local decode = require("cjson").new().decode
return assert(decode([===[
{ "servicePath": "", "documentationLink": "https://developers.google.com/doubleclick-advertisers/", "kind": "discovery#restDescription", "basePath": "", "schemas": { "File": { "id": "File", "properties": { "id": { "type": "string", "format": "int64", "description": "The unique ID of this report file." }, "reportId": { "type": "string", "format": "int64", "description": "The ID of the report this file was generated from." }, "format": { "enumDescriptions": [ "", "" ], "description": "The output format of the report. Only available once the file is available.", "type": "string", "enum": [ "CSV", "EXCEL" ] }, "fileName": { "description": "The filename of the file.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#file\".", "type": "string" }, "dateRange": { "$ref": "DateRange", "description": "The date range for which the file has report data. The date range will always be the absolute date range for which the report is run." }, "urls": { "type": "object", "properties": { "apiUrl": { "description": "The URL for downloading the report data through the API.", "type": "string" }, "browserUrl": { "description": "The URL for downloading the report data through a browser.", "type": "string" } }, "description": "The URLs where the completed report file can be downloaded." }, "status": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "The status of the report file.", "enum": [ "PROCESSING", "REPORT_AVAILABLE", "FAILED", "CANCELLED" ] }, "lastModifiedTime": { "description": "The timestamp in milliseconds since epoch when this file was last modified.", "type": "string", "format": "int64" }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "description": "Represents a File resource. A file contains the metadata for a report run. It shows the status of the run and holds the URLs to the generated report data if the run is finished and the status is \"REPORT_AVAILABLE\".", "type": "object" }, "Language": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of this language." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#language\"." }, "id": { "type": "string", "format": "int64", "description": "Language ID of this language. This is the ID used for targeting and generating reports." }, "languageCode": { "type": "string", "description": "Format of language code is an ISO 639 two-letter language code optionally followed by an underscore followed by an ISO 3166 code. Examples are \"en\" for English or \"zh_CN\" for Simplified Chinese." } }, "id": "Language", "description": "Contains information about a language that can be targeted by ads." }, "AdvertisersListResponse": { "type": "object", "id": "AdvertisersListResponse", "description": "Advertiser List Response", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertisersListResponse\".", "type": "string" }, "advertisers": { "type": "array", "description": "Advertiser collection.", "items": { "$ref": "Advertiser" } } } }, "CreativesListResponse": { "description": "Creative List Response", "id": "CreativesListResponse", "properties": { "creatives": { "description": "Creative collection.", "type": "array", "items": { "$ref": "Creative" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "type": "object" }, "MobileAppsListResponse": { "description": "Mobile app List Response", "id": "MobileAppsListResponse", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "mobileApps": { "description": "Mobile apps collection.", "type": "array", "items": { "$ref": "MobileApp" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileAppsListResponse\".", "type": "string" } }, "type": "object" }, "UserDefinedVariableConfiguration": { "properties": { "variableType": { "description": "Variable name in the tag. This is a required field.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ], "type": "string" }, "reportName": { "type": "string", "description": "User-friendly name for the variable which will appear in reports. This is a required field, must be less than 64 characters long, and cannot contain the following characters: \"\"\u003c\u003e\"." }, "dataType": { "enumDescriptions": [ "", "" ], "enum": [ "STRING", "NUMBER" ], "description": "Data type for the variable. This is a required field.", "type": "string" } }, "description": "User Defined Variable configuration.", "id": "UserDefinedVariableConfiguration", "type": "object" }, "CampaignsListResponse": { "id": "CampaignsListResponse", "type": "object", "description": "Campaign List Response", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "campaigns": { "type": "array", "description": "Campaign collection.", "items": { "$ref": "Campaign" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignsListResponse\".", "type": "string" } } }, "CreativeAssetId": { "description": "Creative Asset ID.", "type": "object", "id": "CreativeAssetId", "properties": { "name": { "type": "string", "description": "Name of the creative asset. This is a required field while inserting an asset. After insertion, this assetIdentifier is used to identify the uploaded asset. Characters in the name must be alphanumeric or one of the following: \".-_ \". Spaces are allowed." }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "IMAGE", "FLASH", "VIDEO", "HTML", "HTML_IMAGE", "AUDIO" ], "description": "Type of asset to upload. This is a required field. FLASH and IMAGE are no longer supported for new uploads. All image assets should use HTML_IMAGE." } } }, "RemarketingList": { "description": "Contains properties of a remarketing list. Remarketing enables you to create lists of users who have performed specific actions on a site, then target ads to members of those lists. This resource can be used to manage remarketing lists that are owned by your advertisers. To see all remarketing lists that are visible to your advertisers, including those that are shared to your advertiser or account, use the TargetableRemarketingLists resource.", "properties": { "listPopulationRule": { "$ref": "ListPopulationRule", "description": "Rule used to populate the remarketing list with users." }, "subaccountId": { "description": "Subaccount ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests.", "format": "int64", "type": "string" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "accountId": { "description": "Account ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests.", "type": "string", "format": "int64" }, "listSource": { "enum": [ "REMARKETING_LIST_SOURCE_OTHER", "REMARKETING_LIST_SOURCE_ADX", "REMARKETING_LIST_SOURCE_DFP", "REMARKETING_LIST_SOURCE_XFP", "REMARKETING_LIST_SOURCE_DFA", "REMARKETING_LIST_SOURCE_GA", "REMARKETING_LIST_SOURCE_YOUTUBE", "REMARKETING_LIST_SOURCE_DBM", "REMARKETING_LIST_SOURCE_GPLUS", "REMARKETING_LIST_SOURCE_DMP", "REMARKETING_LIST_SOURCE_PLAY_STORE" ], "type": "string", "description": "Product from which this remarketing list was originated.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ] }, "description": { "description": "Remarketing list description.", "type": "string" }, "listSize": { "format": "int64", "description": "Number of users currently in the list. This is a read-only field.", "type": "string" }, "name": { "description": "Name of the remarketing list. This is a required field. Must be no greater than 128 characters long.", "type": "string" }, "id": { "format": "int64", "description": "Remarketing list ID. This is a read-only, auto-generated field.", "type": "string" }, "advertiserId": { "description": "Dimension value for the advertiser ID that owns this remarketing list. This is a required field.", "format": "int64", "type": "string" }, "lifeSpan": { "description": "Number of days that a user should remain in the remarketing list without an impression. Acceptable values are 1 to 540, inclusive.", "format": "int64", "type": "string" }, "active": { "description": "Whether this remarketing list is active.", "type": "boolean" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingList\".", "type": "string" } }, "id": "RemarketingList", "type": "object" }, "ConversionsBatchUpdateRequest": { "properties": { "encryptionInfo": { "$ref": "EncryptionInfo", "description": "Describes how encryptedUserId is encrypted. This is a required field if encryptedUserId is used." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchUpdateRequest\"." }, "conversions": { "type": "array", "description": "The set of conversions to update.", "items": { "$ref": "Conversion" } } }, "type": "object", "id": "ConversionsBatchUpdateRequest", "description": "Update Conversions Request." }, "TagSettings": { "properties": { "dynamicTagEnabled": { "type": "boolean", "description": "Whether dynamic floodlight tags are enabled." }, "imageTagEnabled": { "description": "Whether image tags are enabled.", "type": "boolean" } }, "type": "object", "id": "TagSettings", "description": "Dynamic and Image Tag Settings." }, "DeepLink": { "type": "object", "description": "Contains information about a landing page deep link.", "properties": { "mobileApp": { "$ref": "MobileApp", "description": "The mobile app targeted by this deep link." }, "appUrl": { "type": "string", "description": "The URL of the mobile app being linked to." }, "remarketingListIds": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "Ads served to users on these remarketing lists will use this deep link. Applicable when mobileApp.directory is APPLE_APP_STORE." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#deepLink\"." }, "fallbackUrl": { "description": "The fallback URL. This URL will be served to users who do not have the mobile app installed.", "type": "string" } }, "id": "DeepLink" }, "CreativeAssignment": { "description": "Creative Assignment.", "type": "object", "properties": { "startTime": { "format": "date-time", "type": "string" }, "creativeGroupAssignments": { "type": "array", "description": "Creative group assignments for this creative assignment. Only one assignment per creative group number is allowed for a maximum of two assignments.", "items": { "$ref": "CreativeGroupAssignment" } }, "richMediaExitOverrides": { "type": "array", "items": { "$ref": "RichMediaExitOverride" }, "description": "Rich media exit overrides for this creative assignment. Applicable when the creative type is any of the following: - DISPLAY - RICH_MEDIA_INPAGE - RICH_MEDIA_INPAGE_FLOATING - RICH_MEDIA_IM_EXPAND - RICH_MEDIA_EXPANDING - RICH_MEDIA_INTERSTITIAL_FLOAT - RICH_MEDIA_MOBILE_IN_APP - RICH_MEDIA_MULTI_FLOATING - RICH_MEDIA_PEEL_DOWN - VPAID_LINEAR - VPAID_NON_LINEAR " }, "active": { "type": "boolean", "description": "Whether this creative assignment is active. When true, the creative will be included in the ad's rotation." }, "companionCreativeOverrides": { "type": "array", "description": "Companion creative overrides for this creative assignment. Applicable to video ads.", "items": { "$ref": "CompanionClickThroughOverride" } }, "clickThroughUrl": { "description": "Click-through URL of the creative assignment.", "$ref": "ClickThroughUrl" }, "endTime": { "type": "string", "format": "date-time" }, "creativeIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the creative. This is a read-only, auto-generated field." }, "sequence": { "description": "Sequence number of the creative assignment, applicable when the rotation type is CREATIVE_ROTATION_TYPE_SEQUENTIAL. Acceptable values are 1 to 65535, inclusive.", "type": "integer", "format": "int32" }, "weight": { "type": "integer", "format": "int32", "description": "Weight of the creative assignment, applicable when the rotation type is CREATIVE_ROTATION_TYPE_RANDOM. Value must be greater than or equal to 1." }, "applyEventTags": { "description": "Whether applicable event tags should fire when this creative assignment is rendered. If this value is unset when the ad is inserted or updated, it will default to true for all creative types EXCEPT for INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and INSTREAM_VIDEO.", "type": "boolean" }, "creativeId": { "type": "string", "description": "ID of the creative to be assigned. This is a required field.", "format": "int64" }, "sslCompliant": { "description": "Whether the creative to be assigned is SSL-compliant. This is a read-only field that is auto-generated when the ad is inserted or updated.", "type": "boolean" } }, "id": "CreativeAssignment" }, "CreativeAssetMetadata": { "description": "CreativeAssets contains properties of a creative asset file which will be uploaded or has already been uploaded. Refer to the creative sample code for how to upload assets and insert a creative.", "properties": { "assetIdentifier": { "$ref": "CreativeAssetId", "description": "ID of the creative asset. This is a required field." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeAssetMetadata\".", "type": "string" }, "detectedFeatures": { "description": "List of feature dependencies for the creative asset that are detected by Campaign Manager. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative correctly. This is a read-only, auto-generated field.", "items": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ] }, "type": "array" }, "richMedia": { "type": "boolean", "description": "True if the uploaded asset is a rich media asset. This is a read-only, auto-generated field." }, "idDimensionValue": { "description": "Dimension value for the numeric ID of the asset. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "timerCustomEvents": { "items": { "$ref": "CreativeCustomEvent" }, "description": "List of timer events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset.", "type": "array" }, "exitCustomEvents": { "type": "array", "items": { "$ref": "CreativeCustomEvent" }, "description": "List of exit events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset." }, "id": { "description": "Numeric ID of the asset. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "clickTags": { "description": "List of detected click tags for assets. This is a read-only, auto-generated field. This field is empty for a rich media asset.", "items": { "$ref": "ClickTag" }, "type": "array" }, "warnedValidationRules": { "type": "array", "description": "Rules validated during code generation that generated a warning. This is a read-only, auto-generated field. Possible values are: - \"ADMOB_REFERENCED\" - \"ASSET_FORMAT_UNSUPPORTED_DCM\" - \"ASSET_INVALID\" - \"CLICK_TAG_HARD_CODED\" - \"CLICK_TAG_INVALID\" - \"CLICK_TAG_IN_GWD\" - \"CLICK_TAG_MISSING\" - \"CLICK_TAG_MORE_THAN_ONE\" - \"CLICK_TAG_NON_TOP_LEVEL\" - \"COMPONENT_UNSUPPORTED_DCM\" - \"ENABLER_UNSUPPORTED_METHOD_DCM\" - \"EXTERNAL_FILE_REFERENCED\" - \"FILE_DETAIL_EMPTY\" - \"FILE_TYPE_INVALID\" - \"GWD_PROPERTIES_INVALID\" - \"HTML5_FEATURE_UNSUPPORTED\" - \"LINKED_FILE_NOT_FOUND\" - \"MAX_FLASH_VERSION_11\" - \"MRAID_REFERENCED\" - \"NOT_SSL_COMPLIANT\" - \"ORPHANED_ASSET\" - \"PRIMARY_HTML_MISSING\" - \"SVG_INVALID\" - \"ZIP_INVALID\" ", "items": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "CLICK_TAG_NON_TOP_LEVEL", "CLICK_TAG_MISSING", "CLICK_TAG_MORE_THAN_ONE", "CLICK_TAG_INVALID", "ORPHANED_ASSET", "PRIMARY_HTML_MISSING", "EXTERNAL_FILE_REFERENCED", "MRAID_REFERENCED", "ADMOB_REFERENCED", "FILE_TYPE_INVALID", "ZIP_INVALID", "LINKED_FILE_NOT_FOUND", "MAX_FLASH_VERSION_11", "NOT_SSL_COMPLIANT", "FILE_DETAIL_EMPTY", "ASSET_INVALID", "GWD_PROPERTIES_INVALID", "ENABLER_UNSUPPORTED_METHOD_DCM", "ASSET_FORMAT_UNSUPPORTED_DCM", "COMPONENT_UNSUPPORTED_DCM", "HTML5_FEATURE_UNSUPPORTED", "CLICK_TAG_IN_GWD", "CLICK_TAG_HARD_CODED", "SVG_INVALID", "CLICK_TAG_IN_RICH_MEDIA", "MISSING_ENABLER_REFERENCE" ] } }, "counterCustomEvents": { "items": { "$ref": "CreativeCustomEvent" }, "type": "array", "description": "List of counter events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset." } }, "id": "CreativeAssetMetadata", "type": "object" }, "RegionsListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#regionsListResponse\"." }, "regions": { "items": { "$ref": "Region" }, "type": "array", "description": "Region collection." } }, "type": "object", "id": "RegionsListResponse", "description": "Region List Response" }, "SizesListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#sizesListResponse\".", "type": "string" }, "sizes": { "items": { "$ref": "Size" }, "description": "Size collection.", "type": "array" } }, "id": "SizesListResponse", "description": "Size List Response", "type": "object" }, "DayPartTargeting": { "type": "object", "properties": { "hoursOfDay": { "type": "array", "description": "Hours of the day when the ad will serve, where 0 is midnight to 1 AM and 23 is 11 PM to midnight. Can be specified with days of week, in which case the ad would serve during these hours on the specified days. For example if Monday, Wednesday, Friday are the days of week specified and 9-10am, 3-5pm (hours 9, 15, and 16) is specified, the ad would serve Monday, Wednesdays, and Fridays at 9-10am and 3-5pm. Acceptable values are 0 to 23, inclusive.", "items": { "type": "integer", "format": "int32" } }, "userLocalTime": { "description": "Whether or not to use the user's local time. If false, the America/New York time zone applies.", "type": "boolean" }, "daysOfWeek": { "description": "Days of the week when the ad will serve. Acceptable values are: - \"SUNDAY\" - \"MONDAY\" - \"TUESDAY\" - \"WEDNESDAY\" - \"THURSDAY\" - \"FRIDAY\" - \"SATURDAY\" ", "items": { "type": "string", "enum": [ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "enumDescriptions": [ "", "", "", "", "", "", "" ] }, "type": "array" } }, "id": "DayPartTargeting", "description": "Day Part Targeting." }, "Account": { "id": "Account", "description": "Contains properties of a Campaign Manager account.", "properties": { "reportsConfiguration": { "description": "Reporting configuration of this account.", "$ref": "ReportsConfiguration" }, "accountPermissionIds": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "Account permissions assigned to this account." }, "availablePermissionIds": { "description": "User role permissions available to the user roles of this account.", "items": { "type": "string", "format": "int64" }, "type": "array" }, "accountProfile": { "description": "Profile for this account. This is a read-only field that can be left blank.", "enum": [ "ACCOUNT_PROFILE_BASIC", "ACCOUNT_PROFILE_STANDARD" ], "type": "string", "enumDescriptions": [ "", "" ] }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#account\"." }, "activeViewOptOut": { "description": "Whether to serve creatives with Active View tags. If disabled, viewability data will not be available for any impressions.", "type": "boolean" }, "active": { "description": "Whether this account is active.", "type": "boolean" }, "defaultCreativeSizeId": { "type": "string", "description": "Default placement dimensions for this account.", "format": "int64" }, "activeAdsLimitTier": { "description": "Maximum number of active ads allowed for this account.", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "ACTIVE_ADS_TIER_40K", "ACTIVE_ADS_TIER_75K", "ACTIVE_ADS_TIER_100K", "ACTIVE_ADS_TIER_200K", "ACTIVE_ADS_TIER_300K", "ACTIVE_ADS_TIER_500K", "ACTIVE_ADS_TIER_750K", "ACTIVE_ADS_TIER_1M" ] }, "currencyId": { "format": "int64", "type": "string", "description": "ID of currency associated with this account. This is a required field. Acceptable values are: - \"1\" for USD - \"2\" for GBP - \"3\" for ESP - \"4\" for SEK - \"5\" for CAD - \"6\" for JPY - \"7\" for DEM - \"8\" for AUD - \"9\" for FRF - \"10\" for ITL - \"11\" for DKK - \"12\" for NOK - \"13\" for FIM - \"14\" for ZAR - \"15\" for IEP - \"16\" for NLG - \"17\" for EUR - \"18\" for KRW - \"19\" for TWD - \"20\" for SGD - \"21\" for CNY - \"22\" for HKD - \"23\" for NZD - \"24\" for MYR - \"25\" for BRL - \"26\" for PTE - \"28\" for CLP - \"29\" for TRY - \"30\" for ARS - \"31\" for PEN - \"32\" for ILS - \"33\" for CHF - \"34\" for VEF - \"35\" for COP - \"36\" for GTQ - \"37\" for PLN - \"39\" for INR - \"40\" for THB - \"41\" for IDR - \"42\" for CZK - \"43\" for RON - \"44\" for HUF - \"45\" for RUB - \"46\" for AED - \"47\" for BGN - \"48\" for HRK - \"49\" for MXN - \"50\" for NGN - \"51\" for EGP " }, "countryId": { "description": "ID of the country associated with this account.", "format": "int64", "type": "string" }, "name": { "description": "Name of this account. This is a required field, and must be less than 128 characters long and be globally unique.", "type": "string" }, "id": { "type": "string", "description": "ID of this account. This is a read-only, auto-generated field.", "format": "int64" }, "locale": { "type": "string", "description": "Locale of this account. Acceptable values are: - \"cs\" (Czech) - \"de\" (German) - \"en\" (English) - \"en-GB\" (English United Kingdom) - \"es\" (Spanish) - \"fr\" (French) - \"it\" (Italian) - \"ja\" (Japanese) - \"ko\" (Korean) - \"pl\" (Polish) - \"pt-BR\" (Portuguese Brazil) - \"ru\" (Russian) - \"sv\" (Swedish) - \"tr\" (Turkish) - \"zh-CN\" (Chinese Simplified) - \"zh-TW\" (Chinese Traditional) " }, "shareReportsWithTwitter": { "type": "boolean", "description": "Share Path to Conversion reports with Twitter." }, "maximumImageSize": { "format": "int64", "description": "Maximum image size allowed for this account, in kilobytes. Value must be greater than or equal to 1.", "type": "string" }, "description": { "type": "string", "description": "Description of this account." }, "teaserSizeLimit": { "format": "int64", "type": "string", "description": "File size limit in kilobytes of Rich Media teaser creatives. Acceptable values are 1 to 10240, inclusive." }, "nielsenOcrEnabled": { "type": "boolean", "description": "Whether campaigns created in this account will be enabled for Nielsen OCR reach ratings by default." } }, "type": "object" }, "Ad": { "type": "object", "properties": { "type": { "enum": [ "AD_SERVING_STANDARD_AD", "AD_SERVING_DEFAULT_AD", "AD_SERVING_CLICK_TRACKER", "AD_SERVING_TRACKING", "AD_SERVING_BRAND_SAFE_AD" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "Type of ad. This is a required field on insertion. Note that default ads ( AD_SERVING_DEFAULT_AD) cannot be created directly (see Creative resource)." }, "languageTargeting": { "description": "Language targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "LanguageTargeting" }, "remarketingListExpression": { "description": "Remarketing list targeting expression for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "ListTargetingExpression" }, "technologyTargeting": { "$ref": "TechnologyTargeting", "description": "Technology platform targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "clickThroughUrl": { "description": "Click-through URL for this ad. This is a required field on insertion. Applicable when type is AD_SERVING_CLICK_TRACKER.", "$ref": "ClickThroughUrl" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "defaultClickThroughEventTagProperties": { "description": "Default click-through event tag properties for this ad.", "$ref": "DefaultClickThroughEventTagProperties" }, "sslRequired": { "type": "boolean", "description": "Whether this ad requires ssl. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#ad\"." }, "targetingTemplateId": { "type": "string", "description": "Targeting template ID, used to apply preconfigured targeting information to this ad. This cannot be set while any of dayPartTargeting, geoTargeting, keyValueTargetingExpression, languageTargeting, remarketingListExpression, or technologyTargeting are set. Applicable when type is AD_SERVING_STANDARD_AD.", "format": "int64" }, "placementAssignments": { "description": "Placement assignments for this ad.", "type": "array", "items": { "$ref": "PlacementAssignment" } }, "createInfo": { "description": "Information about the creation of this ad. This is a read-only field.", "$ref": "LastModifiedInfo" }, "sslCompliant": { "type": "boolean", "description": "Whether this ad is ssl compliant. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "accountId": { "format": "int64", "description": "Account ID of this ad. This is a read-only field that can be left blank.", "type": "string" }, "clickThroughUrlSuffixProperties": { "description": "Click-through URL suffix properties for this ad. Applies to the URL in the ad or (if overriding ad properties) the URL in the creative.", "$ref": "ClickThroughUrlSuffixProperties" }, "creativeRotation": { "description": "Creative rotation for this ad. Applicable when type is AD_SERVING_DEFAULT_AD, AD_SERVING_STANDARD_AD, or AD_SERVING_TRACKING. When type is AD_SERVING_DEFAULT_AD, this field should have exactly one creativeAssignment .", "$ref": "CreativeRotation" }, "archived": { "description": "Whether this ad is archived. When true, active must be false.", "type": "boolean" }, "deliverySchedule": { "description": "Delivery schedule information for this ad. Applicable when type is AD_SERVING_STANDARD_AD or AD_SERVING_TRACKING. This field along with subfields priority and impressionRatio are required on insertion when type is AD_SERVING_STANDARD_AD.", "$ref": "DeliverySchedule" }, "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this ad. This is a required field on insertion." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this ad. This is a read-only field.", "$ref": "LastModifiedInfo" }, "eventTagOverrides": { "type": "array", "description": "Event tag overrides for this ad.", "items": { "$ref": "EventTagOverride" } }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "comments": { "description": "Comments for this ad.", "type": "string" }, "startTime": { "type": "string", "format": "date-time" }, "campaignId": { "type": "string", "format": "int64", "description": "Campaign ID of this ad. This is a required field on insertion." }, "audienceSegmentId": { "description": "Audience segment ID that is being targeted for this ad. Applicable when type is AD_SERVING_STANDARD_AD.", "type": "string", "format": "int64" }, "geoTargeting": { "$ref": "GeoTargeting", "description": "Geographical targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "keyValueTargetingExpression": { "description": "Key-value targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "KeyValueTargetingExpression" }, "dynamicClickTracker": { "type": "boolean", "description": "Whether this ad is a dynamic click tracker. Applicable when type is AD_SERVING_CLICK_TRACKER. This is a required field on insert, and is read-only after insert." }, "active": { "type": "boolean", "description": "Whether this ad is active. When true, archived must be false." }, "endTime": { "type": "string", "format": "date-time" }, "name": { "type": "string", "description": "Name of this ad. This is a required field and must be less than 256 characters long." }, "creativeGroupAssignments": { "items": { "$ref": "CreativeGroupAssignment" }, "description": "Creative group assignments for this ad. Applicable when type is AD_SERVING_CLICK_TRACKER. Only one assignment per creative group number is allowed for a maximum of two assignments.", "type": "array" }, "compatibility": { "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Compatibility of this ad. Applicable when type is AD_SERVING_DEFAULT_AD. DISPLAY and DISPLAY_INTERSTITIAL refer to either rendering on desktop or on mobile devices or in mobile apps for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are only used for existing default ads. New mobile placements must be assigned DISPLAY or DISPLAY_INTERSTITIAL and default ads created for those placements will be limited to those compatibility types. IN_STREAM_VIDEO refers to rendering in-stream video ads developed with the VAST standard." }, "id": { "type": "string", "description": "ID of this ad. This is a read-only, auto-generated field.", "format": "int64" }, "size": { "$ref": "Size", "description": "Size of this ad. Applicable when type is AD_SERVING_DEFAULT_AD." }, "dayPartTargeting": { "$ref": "DayPartTargeting", "description": "Time and day targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this ad. This is a read-only field that can be left blank." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this ad. This is a read-only, auto-generated field." } }, "description": "Contains properties of a Campaign Manager ad.", "id": "Ad" }, "DisjunctiveMatchStatement": { "id": "DisjunctiveMatchStatement", "description": "Represents a Disjunctive Match Statement resource, which is a conjunction (and) of disjunctive (or) boolean statements.", "type": "object", "properties": { "eventFilters": { "items": { "$ref": "EventFilter" }, "description": "The event filters contained within this disjunctive match statement.", "type": "array" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#disjunctiveMatchStatement." } } }, "FrequencyCap": { "type": "object", "description": "Frequency Cap.", "id": "FrequencyCap", "properties": { "impressions": { "type": "string", "format": "int64", "description": "Number of times an individual user can be served the ad within the specified duration. Acceptable values are 1 to 15, inclusive." }, "duration": { "format": "int64", "type": "string", "description": "Duration of time, in seconds, for this frequency cap. The maximum duration is 90 days. Acceptable values are 1 to 7776000, inclusive." } } }, "FloodlightActivityDynamicTag": { "properties": { "tag": { "type": "string", "description": "Tag code." }, "id": { "type": "string", "format": "int64", "description": "ID of this dynamic tag. This is a read-only, auto-generated field." }, "name": { "description": "Name of this tag.", "type": "string" } }, "type": "object", "id": "FloodlightActivityDynamicTag", "description": "Dynamic Tag" }, "DirectorySiteSettings": { "id": "DirectorySiteSettings", "description": "Directory Site Settings", "properties": { "dfpSettings": { "$ref": "DfpSettings", "description": "Directory site Ad Manager settings." }, "interstitialPlacementAccepted": { "type": "boolean", "description": "Whether this site accepts interstitial ads." }, "instreamVideoPlacementAccepted": { "description": "Whether this site accepts in-stream video ads.", "type": "boolean" }, "activeViewOptOut": { "type": "boolean", "description": "Whether this directory site has disabled active view creatives." } }, "type": "object" }, "BrowsersListResponse": { "description": "Browser List Response", "id": "BrowsersListResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#browsersListResponse\".", "type": "string" }, "browsers": { "description": "Browser collection.", "type": "array", "items": { "$ref": "Browser" } } } }, "ClickTag": { "type": "object", "id": "ClickTag", "properties": { "clickThroughUrl": { "$ref": "CreativeClickThroughUrl", "description": "Parameter value for the specified click tag. This field contains a click-through url." }, "eventName": { "description": "Advertiser event name associated with the click tag. This field is used by DISPLAY_IMAGE_GALLERY and HTML5_BANNER creatives. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "string" }, "name": { "type": "string", "description": "Parameter name for the specified click tag. For DISPLAY_IMAGE_GALLERY creative assets, this field must match the value of the creative asset's creativeAssetId.name field." } }, "description": "Creative Click Tag." }, "ContentCategory": { "id": "ContentCategory", "type": "object", "description": "Organizes placements according to the contents of their associated webpages.", "properties": { "accountId": { "description": "Account ID of this content category. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "name": { "type": "string", "description": "Name of this content category. This is a required field and must be less than 256 characters long and unique among content categories of the same account." }, "id": { "format": "int64", "description": "ID of this content category. This is a read-only, auto-generated field.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#contentCategory\".", "type": "string" } } }, "ConversionsBatchInsertRequest": { "type": "object", "id": "ConversionsBatchInsertRequest", "description": "Insert Conversions Request.", "properties": { "conversions": { "description": "The set of conversions to insert.", "items": { "$ref": "Conversion" }, "type": "array" }, "encryptionInfo": { "$ref": "EncryptionInfo", "description": "Describes how encryptedUserId or encryptedUserIdCandidates[] is encrypted. This is a required field if encryptedUserId or encryptedUserIdCandidates[] is used." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchInsertRequest\"." } } }, "ReportList": { "type": "object", "id": "ReportList", "properties": { "items": { "description": "The reports returned in this response.", "type": "array", "items": { "$ref": "Report" } }, "nextPageToken": { "description": "Continuation token used to page through reports. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted.", "type": "string" }, "kind": { "type": "string", "description": "The kind of list this is, in this case dfareporting#reportList." }, "etag": { "description": "The eTag of this response for caching purposes.", "type": "string" } }, "description": "Represents the list of reports." }, "ListPopulationTerm": { "type": "object", "id": "ListPopulationTerm", "description": "Remarketing List Population Rule Term.", "properties": { "type": { "enum": [ "CUSTOM_VARIABLE_TERM", "LIST_MEMBERSHIP_TERM", "REFERRER_TERM" ], "description": "List population term type determines the applicable fields in this object. If left unset or set to CUSTOM_VARIABLE_TERM, then variableName, variableFriendlyName, operator, value, and negation are applicable. If set to LIST_MEMBERSHIP_TERM then remarketingListId and contains are applicable. If set to REFERRER_TERM then operator, value, and negation are applicable.", "type": "string", "enumDescriptions": [ "", "", "" ] }, "variableName": { "description": "Name of the variable (U1, U2, etc.) being compared in this term. This field is only relevant when type is set to null, CUSTOM_VARIABLE_TERM or REFERRER_TERM.", "type": "string" }, "value": { "type": "string", "description": "Literal to compare the variable to. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM." }, "remarketingListId": { "type": "string", "format": "int64", "description": "ID of the list in question. This field is only relevant when type is set to LIST_MEMBERSHIP_TERM." }, "negation": { "type": "boolean", "description": "Whether to negate the comparison result of this term during rule evaluation. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM." }, "operator": { "description": "Comparison operator of this term. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM.", "enumDescriptions": [ "", "", "", "", "", "", "" ], "type": "string", "enum": [ "NUM_EQUALS", "NUM_LESS_THAN", "NUM_LESS_THAN_EQUAL", "NUM_GREATER_THAN", "NUM_GREATER_THAN_EQUAL", "STRING_EQUALS", "STRING_CONTAINS" ] }, "contains": { "type": "boolean", "description": "Will be true if the term should check if the user is in the list and false if the term should check if the user is not in the list. This field is only relevant when type is set to LIST_MEMBERSHIP_TERM. False by default." }, "variableFriendlyName": { "description": "Friendly name of this term's variable. This is a read-only, auto-generated field. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM.", "type": "string" } } }, "Subaccount": { "description": "Contains properties of a Campaign Manager subaccount.", "type": "object", "id": "Subaccount", "properties": { "accountId": { "description": "ID of the account that contains this subaccount. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "Name of this subaccount. This is a required field. Must be less than 128 characters long and be unique among subaccounts of the same account." }, "id": { "format": "int64", "description": "ID of this subaccount. This is a read-only, auto-generated field.", "type": "string" }, "availablePermissionIds": { "items": { "format": "int64", "type": "string" }, "description": "IDs of the available user role permissions for this subaccount.", "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#subaccount\".", "type": "string" } } }, "Rule": { "description": "A rule associates an asset with a targeting template for asset-level targeting. Applicable to INSTREAM_VIDEO creatives.", "properties": { "targetingTemplateId": { "type": "string", "format": "int64", "description": "A targeting template ID. The targeting from the targeting template will be used to determine whether this asset should be served. This is a required field." }, "name": { "type": "string", "description": "A user-friendly name for this rule. This is a required field." }, "assetId": { "format": "int64", "description": "A creativeAssets[].id. This should refer to one of the parent assets in this creative. This is a required field.", "type": "string" } }, "id": "Rule", "type": "object" }, "Placement": { "id": "Placement", "type": "object", "description": "Contains properties of a placement.", "properties": { "placementGroupId": { "format": "int64", "type": "string", "description": "ID of this placement's group, if applicable." }, "directorySiteId": { "format": "int64", "type": "string", "description": "Directory site ID of this placement. On insert, you must set either this field or the siteId field to specify the site associated with this placement. This is a required field that is read-only after insertion." }, "pricingSchedule": { "$ref": "PricingSchedule", "description": "Pricing schedule of this placement. This field is required on insertion, specifically subfields startDate, endDate and pricingType." }, "size": { "description": "Size associated with this placement. When inserting or updating a placement, only the size ID field is used. This field is required on insertion.", "$ref": "Size" }, "additionalSizes": { "type": "array", "items": { "$ref": "Size" }, "description": "Additional sizes associated with this placement. When inserting or updating a placement, only the size ID field is used." }, "comment": { "type": "string", "description": "Comments for this placement." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placement\".", "type": "string" }, "archived": { "description": "Whether this placement is archived.", "type": "boolean" }, "siteId": { "format": "int64", "type": "string", "description": "Site ID associated with this placement. On insert, you must set either this field or the directorySiteId field to specify the site associated with this placement. This is a required field that is read-only after insertion." }, "directorySiteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this placement. This is a read-only field.", "$ref": "LastModifiedInfo" }, "siteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field." }, "placementStrategyId": { "description": "ID of the placement strategy assigned to this placement.", "type": "string", "format": "int64" }, "contentCategoryId": { "type": "string", "description": "ID of the content category assigned to this placement.", "format": "int64" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "tagSetting": { "$ref": "TagSetting", "description": "Tag settings for this placement." }, "id": { "description": "ID of this placement. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "paymentSource": { "description": "Payment source for this placement. This is a required field that is read-only after insertion.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "PLACEMENT_AGENCY_PAID", "PLACEMENT_PUBLISHER_PAID" ] }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this placement. This field can be left blank.", "type": "string" }, "paymentApproved": { "type": "boolean", "description": "Whether payment was approved for this placement. This is a read-only field relevant only to publisher-paid placements." }, "videoSettings": { "description": "A collection of settings which affect video creatives served through this placement. Applicable to placements with IN_STREAM_VIDEO compatibility.", "$ref": "VideoSettings" }, "sslRequired": { "type": "boolean", "description": "Whether creatives assigned to this placement must be SSL-compliant." }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "createInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this placement. This is a read-only field." }, "status": { "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "PENDING_REVIEW", "PAYMENT_ACCEPTED", "PAYMENT_REJECTED", "ACKNOWLEDGE_REJECTION", "ACKNOWLEDGE_ACCEPTANCE", "DRAFT" ], "description": "Third-party placement status.", "type": "string" }, "wrappingOptOut": { "description": "Whether this placement opts out of tag wrapping.", "type": "boolean" }, "campaignId": { "description": "Campaign ID of this placement. This field is a required field on insertion.", "format": "int64", "type": "string" }, "accountId": { "description": "Account ID of this placement. This field can be left blank.", "type": "string", "format": "int64" }, "videoActiveViewOptOut": { "description": "Whether Verification and ActiveView are disabled for in-stream video creatives for this placement. The same setting videoActiveViewOptOut exists on the site level -- the opt out occurs if either of these settings are true. These settings are distinct from DirectorySites.settings.activeViewOptOut or Sites.siteSettings.activeViewOptOut which only apply to display ads. However, Accounts.activeViewOptOut opts out both video traffic, as well as display ads, from Verification and ActiveView.", "type": "boolean" }, "externalId": { "description": "External ID for this placement.", "type": "string" }, "name": { "type": "string", "description": "Name of this placement.This is a required field and must be less than or equal to 512 characters long." }, "idDimensionValue": { "description": "Dimension value for the ID of this placement. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this placement. This field can be left blank.", "type": "string" }, "vpaidAdapterChoice": { "enumDescriptions": [ "", "", "", "" ], "description": "VPAID adapter setting for this placement. Controls which VPAID format the measurement adapter will use for in-stream video creatives assigned to this placement. *Note:* Flash is no longer supported. This field now defaults to HTML5 when the following values are provided: FLASH, BOTH.", "type": "string", "enum": [ "DEFAULT", "FLASH", "HTML5", "BOTH" ] }, "keyName": { "type": "string", "description": "Key name of this placement. This is a read-only, auto-generated field." }, "lookbackConfiguration": { "$ref": "LookbackConfiguration", "description": "Lookback window settings for this placement." }, "publisherUpdateInfo": { "$ref": "LastModifiedInfo", "description": "Information about the last publisher update. This is a read-only field." }, "tagFormats": { "description": "Tag formats to generate for this placement. This field is required on insertion. Acceptable values are: - \"PLACEMENT_TAG_STANDARD\" - \"PLACEMENT_TAG_IFRAME_JAVASCRIPT\" - \"PLACEMENT_TAG_IFRAME_ILAYER\" - \"PLACEMENT_TAG_INTERNAL_REDIRECT\" - \"PLACEMENT_TAG_JAVASCRIPT\" - \"PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT\" - \"PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT\" - \"PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT\" - \"PLACEMENT_TAG_CLICK_COMMANDS\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4\" - \"PLACEMENT_TAG_TRACKING\" - \"PLACEMENT_TAG_TRACKING_IFRAME\" - \"PLACEMENT_TAG_TRACKING_JAVASCRIPT\" ", "type": "array", "items": { "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string" } }, "placementGroupIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the placement group. This is a read-only, auto-generated field." }, "partnerWrappingData": { "description": "Measurement partner provided settings for a wrapped placement.", "$ref": "MeasurementPartnerWrappingData" }, "adBlockingOptOut": { "type": "boolean", "description": "Whether this placement opts out of ad blocking. When true, ad blocking is disabled for this placement. When false, the campaign and site settings take effect." }, "primary": { "type": "boolean", "description": "Whether this placement is the primary placement of a roadblock (placement group). You cannot change this field from true to false. Setting this field to true will automatically set the primary field on the original primary placement of the roadblock to false, and it will automatically set the roadblock's primaryPlacementId field to the ID of this placement." }, "compatibility": { "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Placement compatibility. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering on desktop, on mobile devices or in mobile apps for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are no longer allowed for new placement insertions. Instead, use DISPLAY or DISPLAY_INTERSTITIAL. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard. This field is required on insertion.", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "type": "string" } } }, "PathReportDimensionValue": { "id": "PathReportDimensionValue", "description": "Represents a PathReportDimensionValue resource.", "properties": { "ids": { "items": { "type": "string" }, "description": "The possible ID's associated with the value if available.", "type": "array" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathReportDimensionValue." }, "matchType": { "enum": [ "EXACT", "BEGINS_WITH", "CONTAINS", "WILDCARD_EXPRESSION" ], "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "values": { "type": "array", "items": { "type": "string" }, "description": "The possible values of the dimension." }, "dimensionName": { "description": "The name of the dimension.", "type": "string" } }, "type": "object" }, "EventTagsListResponse": { "description": "Event Tag List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#eventTagsListResponse\".", "type": "string" }, "eventTags": { "type": "array", "description": "Event tag collection.", "items": { "$ref": "EventTag" } } }, "type": "object", "id": "EventTagsListResponse" }, "LandingPage": { "id": "LandingPage", "properties": { "url": { "type": "string", "description": "URL of this landing page. This is a required field." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#landingPage\".", "type": "string" }, "advertiserId": { "format": "int64", "type": "string", "description": "Advertiser ID of this landing page. This is a required field." }, "name": { "type": "string", "description": "Name of this landing page. This is a required field. It must be less than 256 characters long." }, "id": { "type": "string", "description": "ID of this landing page. This is a read-only, auto-generated field.", "format": "int64" }, "archived": { "description": "Whether this landing page has been archived.", "type": "boolean" }, "deepLinks": { "type": "array", "items": { "$ref": "DeepLink" }, "description": "Links that will direct the user to a mobile app, if installed." } }, "description": "Contains information about where a user's browser is taken after the user clicks an ad.", "type": "object" }, "DeliverySchedule": { "description": "Delivery Schedule.", "id": "DeliverySchedule", "type": "object", "properties": { "frequencyCap": { "description": "Limit on the number of times an individual user can be served the ad within a specified period of time.", "$ref": "FrequencyCap" }, "priority": { "description": "Serving priority of an ad, with respect to other ads. The lower the priority number, the greater the priority with which it is served.", "type": "string", "enum": [ "AD_PRIORITY_01", "AD_PRIORITY_02", "AD_PRIORITY_03", "AD_PRIORITY_04", "AD_PRIORITY_05", "AD_PRIORITY_06", "AD_PRIORITY_07", "AD_PRIORITY_08", "AD_PRIORITY_09", "AD_PRIORITY_10", "AD_PRIORITY_11", "AD_PRIORITY_12", "AD_PRIORITY_13", "AD_PRIORITY_14", "AD_PRIORITY_15", "AD_PRIORITY_16" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "impressionRatio": { "type": "string", "format": "int64", "description": "Impression ratio for this ad. This ratio determines how often each ad is served relative to the others. For example, if ad A has an impression ratio of 1 and ad B has an impression ratio of 3, then Campaign Manager will serve ad B three times as often as ad A. Acceptable values are 1 to 10, inclusive." }, "hardCutoff": { "description": "Whether or not hard cutoff is enabled. If true, the ad will not serve after the end date and time. Otherwise the ad will continue to be served until it has reached its delivery goals.", "type": "boolean" } } }, "PlacementAssignment": { "properties": { "active": { "description": "Whether this placement assignment is active. When true, the placement will be included in the ad's rotation.", "type": "boolean" }, "placementId": { "format": "int64", "description": "ID of the placement to be assigned. This is a required field.", "type": "string" }, "sslRequired": { "type": "boolean", "description": "Whether the placement to be assigned requires SSL. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "placementIdDimensionValue": { "description": "Dimension value for the ID of the placement. This is a read-only, auto-generated field.", "$ref": "DimensionValue" } }, "type": "object", "id": "PlacementAssignment", "description": "Placement Assignment." }, "CrossDimensionReachReportCompatibleFields": { "id": "CrossDimensionReachReportCompatibleFields", "type": "object", "properties": { "metrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report." }, "dimensionFilters": { "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "items": { "$ref": "Dimension" }, "type": "array" }, "overlapMetrics": { "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"overlapMetricNames\" section of the report.", "type": "array" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#crossDimensionReachReportCompatibleFields.", "type": "string" }, "breakdown": { "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"breakdown\" section of the report.", "type": "array" } }, "description": "Represents fields that are compatible to be selected for a report of type \"CROSS_DIMENSION_REACH\"." }, "Pricing": { "id": "Pricing", "properties": { "pricingType": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "PLANNING_PLACEMENT_PRICING_TYPE_IMPRESSIONS", "PLANNING_PLACEMENT_PRICING_TYPE_CPM", "PLANNING_PLACEMENT_PRICING_TYPE_CLICKS", "PLANNING_PLACEMENT_PRICING_TYPE_CPC", "PLANNING_PLACEMENT_PRICING_TYPE_CPA", "PLANNING_PLACEMENT_PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PLANNING_PLACEMENT_PRICING_TYPE_FLAT_RATE_CLICKS", "PLANNING_PLACEMENT_PRICING_TYPE_CPM_ACTIVEVIEW" ], "description": "Pricing type of this inventory item." }, "capCostType": { "enum": [ "PLANNING_PLACEMENT_CAP_COST_TYPE_NONE", "PLANNING_PLACEMENT_CAP_COST_TYPE_MONTHLY", "PLANNING_PLACEMENT_CAP_COST_TYPE_CUMULATIVE" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Cap cost type of this inventory item." }, "startDate": { "format": "date", "type": "string" }, "endDate": { "format": "date", "type": "string" }, "groupType": { "type": "string", "description": "Group type of this inventory item if it represents a placement group. Is null otherwise. There are two type of placement groups: PLANNING_PLACEMENT_GROUP_TYPE_PACKAGE is a simple group of inventory items that acts as a single pricing point for a group of tags. PLANNING_PLACEMENT_GROUP_TYPE_ROADBLOCK is a group of inventory items that not only acts as a single pricing point, but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned inventory items to be marked as primary.", "enumDescriptions": [ "", "" ], "enum": [ "PLANNING_PLACEMENT_GROUP_TYPE_PACKAGE", "PLANNING_PLACEMENT_GROUP_TYPE_ROADBLOCK" ] }, "flights": { "description": "Flights of this inventory item. A flight (a.k.a. pricing period) represents the inventory item pricing information for a specific period of time.", "type": "array", "items": { "$ref": "Flight" } } }, "type": "object", "description": "Pricing Information" }, "CreativeRotation": { "properties": { "creativeAssignments": { "type": "array", "items": { "$ref": "CreativeAssignment" }, "description": "Creative assignments in this creative rotation." }, "creativeOptimizationConfigurationId": { "type": "string", "description": "Creative optimization configuration that is used by this ad. It should refer to one of the existing optimization configurations in the ad's campaign. If it is unset or set to 0, then the campaign's default optimization configuration will be used for this ad.", "format": "int64" }, "type": { "type": "string", "description": "Type of creative rotation. Can be used to specify whether to use sequential or random rotation.", "enum": [ "CREATIVE_ROTATION_TYPE_SEQUENTIAL", "CREATIVE_ROTATION_TYPE_RANDOM" ], "enumDescriptions": [ "", "" ] }, "weightCalculationStrategy": { "type": "string", "description": "Strategy for calculating weights. Used with CREATIVE_ROTATION_TYPE_RANDOM.", "enumDescriptions": [ "", "", "", "" ], "enum": [ "WEIGHT_STRATEGY_EQUAL", "WEIGHT_STRATEGY_CUSTOM", "WEIGHT_STRATEGY_HIGHEST_CTR", "WEIGHT_STRATEGY_OPTIMIZED" ] } }, "id": "CreativeRotation", "description": "Creative Rotation.", "type": "object" }, "Report": { "description": "Represents a Report resource.", "id": "Report", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#report.", "type": "string" }, "format": { "description": "The output format of the report. If not specified, default format is \"CSV\". Note that the actual format in the completed report file might differ if for instance the report's size exceeds the format's capabilities. \"CSV\" will then be the fallback format.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "CSV", "EXCEL" ] }, "delivery": { "properties": { "emailOwner": { "type": "boolean", "description": "Whether the report should be emailed to the report owner." }, "recipients": { "description": "The list of recipients to which to email the report.", "type": "array", "items": { "$ref": "Recipient" } }, "message": { "description": "The message to be sent with each email.", "type": "string" }, "emailOwnerDeliveryType": { "enum": [ "LINK", "ATTACHMENT" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "The type of delivery for the owner to receive, if enabled." } }, "type": "object", "description": "The report's email delivery settings." }, "reachCriteria": { "description": "The report criteria for a report of type \"REACH\".", "properties": { "dimensionFilters": { "items": { "$ref": "DimensionValue" }, "type": "array", "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed." }, "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "metricNames": { "type": "array", "description": "The list of names of metrics the report should include.", "items": { "type": "string" } }, "customRichMediaEvents": { "$ref": "CustomRichMediaEvents", "description": "Custom Rich Media Events group." }, "enableAllDimensionCombinations": { "description": "Whether to enable all reach dimension combinations in the report. Defaults to false. If enabled, the date range of the report should be within the last 42 days.", "type": "boolean" }, "activities": { "$ref": "Activities", "description": "Activity group." }, "dimensions": { "type": "array", "items": { "$ref": "SortedDimension" }, "description": "The list of dimensions the report should include." }, "reachByFrequencyMetricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of Reach By Frequency metrics the report should include." } }, "type": "object" }, "etag": { "description": "The eTag of this response for caching purposes.", "type": "string" }, "accountId": { "type": "string", "format": "int64", "annotations": { "required": [ "dfareporting.reports.update" ] }, "description": "The account ID to which this report belongs." }, "crossDimensionReachCriteria": { "type": "object", "properties": { "breakdown": { "type": "array", "items": { "$ref": "SortedDimension" }, "description": "The list of dimensions the report should include." }, "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." }, "overlapMetricNames": { "items": { "type": "string" }, "type": "array", "description": "The list of names of overlap metrics the report should include." }, "pivoted": { "type": "boolean", "description": "Whether the report is pivoted or not. Defaults to true." }, "dimensionFilters": { "description": "The list of filters on which dimensions are filtered.", "type": "array", "items": { "$ref": "DimensionValue" } }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." }, "dimension": { "enum": [ "ADVERTISER", "CAMPAIGN", "SITE_BY_ADVERTISER", "SITE_BY_CAMPAIGN" ], "enumDescriptions": [ "", "", "", "" ], "description": "The dimension option.", "type": "string" } }, "description": "The report criteria for a report of type \"CROSS_DIMENSION_REACH\"." }, "name": { "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "type": "string", "description": "The name of the report." }, "subAccountId": { "type": "string", "description": "The subaccount ID to which this report belongs if applicable.", "format": "int64" }, "lastModifiedTime": { "format": "uint64", "type": "string", "description": "The timestamp (in milliseconds since epoch) of when this report was last modified.", "annotations": { "required": [ "dfareporting.reports.update" ] } }, "criteria": { "description": "The report criteria for a report of type \"STANDARD\".", "type": "object", "properties": { "metricNames": { "description": "The list of names of metrics the report should include.", "items": { "type": "string" }, "type": "array" }, "dimensionFilters": { "items": { "$ref": "DimensionValue" }, "type": "array", "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed." }, "dateRange": { "$ref": "DateRange", "description": "The date range for which this report should be run." }, "dimensions": { "items": { "$ref": "SortedDimension" }, "description": "The list of standard dimensions the report should include.", "type": "array" }, "activities": { "$ref": "Activities", "description": "Activity group." }, "customRichMediaEvents": { "description": "Custom Rich Media Events group.", "$ref": "CustomRichMediaEvents" } } }, "fileName": { "type": "string", "description": "The filename used when generating report files for this report." }, "pathAttributionCriteria": { "description": "The report criteria for a report of type \"PATH_ATTRIBUTION\".", "properties": { "customChannelGrouping": { "description": "Channel Grouping.", "$ref": "ChannelGrouping" }, "activityFilters": { "items": { "$ref": "DimensionValue" }, "description": "The list of 'dfa:activity' values to filter on.", "type": "array" }, "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." }, "floodlightConfigId": { "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'.", "$ref": "DimensionValue" }, "dimensions": { "items": { "$ref": "SortedDimension" }, "type": "array", "description": "The list of dimensions the report should include." }, "pathFilters": { "items": { "$ref": "PathFilter" }, "description": "Path Filters.", "type": "array" }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." } }, "type": "object" }, "pathCriteria": { "properties": { "customChannelGrouping": { "description": "Channel Grouping.", "$ref": "ChannelGrouping" }, "pathFilters": { "type": "array", "items": { "$ref": "PathFilter" }, "description": "Path Filters." }, "dimensions": { "description": "The list of dimensions the report should include.", "type": "array", "items": { "$ref": "SortedDimension" } }, "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." }, "activityFilters": { "description": "The list of 'dfa:activity' values to filter on.", "type": "array", "items": { "$ref": "DimensionValue" } }, "floodlightConfigId": { "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'.", "$ref": "DimensionValue" }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." } }, "type": "object", "description": "The report criteria for a report of type \"PATH\"." }, "pathToConversionCriteria": { "description": "The report criteria for a report of type \"PATH_TO_CONVERSION\".", "properties": { "customRichMediaEvents": { "description": "The list of custom rich media events to include.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "activityFilters": { "items": { "$ref": "DimensionValue" }, "description": "The list of 'dfa:activity' values to filter on.", "type": "array" }, "floodlightConfigId": { "$ref": "DimensionValue", "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'." }, "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "customFloodlightVariables": { "type": "array", "description": "The list of custom floodlight variables the report should include.", "items": { "$ref": "SortedDimension" } }, "conversionDimensions": { "description": "The list of conversion dimensions the report should include.", "type": "array", "items": { "$ref": "SortedDimension" } }, "perInteractionDimensions": { "type": "array", "description": "The list of per interaction dimensions the report should include.", "items": { "$ref": "SortedDimension" } }, "metricNames": { "description": "The list of names of metrics the report should include.", "type": "array", "items": { "type": "string" } }, "reportProperties": { "type": "object", "description": "The properties of the report.", "properties": { "maximumImpressionInteractions": { "description": "The maximum number of click interactions to include in the report. Advertisers currently paying for E2C reports get up to 200 (100 clicks, 100 impressions). If another advertiser in your network is paying for E2C, you can have up to 5 total exposures per report.", "type": "integer", "format": "int32" }, "maximumInteractionGap": { "description": "The maximum amount of time that can take place between interactions (clicks or impressions) by the same user. Valid values: 1-90.", "type": "integer", "format": "int32" }, "includeUnattributedIPConversions": { "type": "boolean", "description": "Include conversions that have no associated cookies and no exposures. It’s therefore impossible to know how the user was exposed to your ads during the lookback window prior to a conversion." }, "maximumClickInteractions": { "format": "int32", "description": "The maximum number of click interactions to include in the report. Advertisers currently paying for E2C reports get up to 200 (100 clicks, 100 impressions). If another advertiser in your network is paying for E2C, you can have up to 5 total exposures per report.", "type": "integer" }, "includeAttributedIPConversions": { "type": "boolean", "description": "Deprecated: has no effect." }, "pivotOnInteractionPath": { "description": "Enable pivoting on interaction path.", "type": "boolean" }, "clicksLookbackWindow": { "description": "CM360 checks to see if a click interaction occurred within the specified period of time before a conversion. By default the value is pulled from Floodlight or you can manually enter a custom value. Valid values: 1-90.", "type": "integer", "format": "int32" }, "impressionsLookbackWindow": { "type": "integer", "format": "int32", "description": "CM360 checks to see if an impression interaction occurred within the specified period of time before a conversion. By default the value is pulled from Floodlight or you can manually enter a custom value. Valid values: 1-90." }, "includeUnattributedCookieConversions": { "description": "Include conversions of users with a DoubleClick cookie but without an exposure. That means the user did not click or see an ad from the advertiser within the Floodlight group, or that the interaction happened outside the lookback window.", "type": "boolean" } } } }, "type": "object" }, "floodlightCriteria": { "properties": { "reportProperties": { "type": "object", "properties": { "includeAttributedIPConversions": { "description": "Include conversions that have no cookie, but do have an exposure path.", "type": "boolean" }, "includeUnattributedCookieConversions": { "type": "boolean", "description": "Include conversions of users with a DoubleClick cookie but without an exposure. That means the user did not click or see an ad from the advertiser within the Floodlight group, or that the interaction happened outside the lookback window." }, "includeUnattributedIPConversions": { "description": "Include conversions that have no associated cookies and no exposures. It’s therefore impossible to know how the user was exposed to your ads during the lookback window prior to a conversion.", "type": "boolean" } }, "description": "The properties of the report." }, "customRichMediaEvents": { "description": "The list of custom rich media events to include.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." }, "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "dimensions": { "type": "array", "description": "The list of dimensions the report should include.", "items": { "$ref": "SortedDimension" } }, "floodlightConfigId": { "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'.", "$ref": "DimensionValue" }, "dimensionFilters": { "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed.", "items": { "$ref": "DimensionValue" }, "type": "array" } }, "type": "object", "description": "The report criteria for a report of type \"FLOODLIGHT\"." }, "schedule": { "type": "object", "description": "The report's schedule. Can only be set if the report's 'dateRange' is a relative date range and the relative date range is not \"TODAY\".", "properties": { "startDate": { "type": "string", "format": "date" }, "every": { "type": "integer", "description": "Defines every how many days, weeks or months the report should be run. Needs to be set when \"repeats\" is either \"DAILY\", \"WEEKLY\" or \"MONTHLY\".", "format": "int32" }, "active": { "description": "Whether the schedule is active or not. Must be set to either true or false.", "type": "boolean", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] } }, "repeatsOnWeekDays": { "type": "array", "items": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "type": "string", "enum": [ "SUNDAY", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY" ] }, "description": "List of week days \"WEEKLY\" on which scheduled reports should run." }, "runsOnDayOfMonth": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Enum to define for \"MONTHLY\" scheduled reports whether reports should be repeated on the same day of the month as \"startDate\" or the same day of the week of the month. Example: If 'startDate' is Monday, April 2nd 2012 (2012-04-02), \"DAY_OF_MONTH\" would run subsequent reports on the 2nd of every Month, and \"WEEK_OF_MONTH\" would run subsequent reports on the first Monday of the month.", "enum": [ "DAY_OF_MONTH", "WEEK_OF_MONTH" ] }, "expirationDate": { "type": "string", "format": "date" }, "repeats": { "description": "The interval for which the report is repeated. Note: - \"DAILY\" also requires field \"every\" to be set. - \"WEEKLY\" also requires fields \"every\" and \"repeatsOnWeekDays\" to be set. - \"MONTHLY\" also requires fields \"every\" and \"runsOnDayOfMonth\" to be set. ", "type": "string", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] } } } }, "type": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "" ], "enum": [ "STANDARD", "REACH", "PATH_TO_CONVERSION", "CROSS_DIMENSION_REACH", "FLOODLIGHT", "PATH", "PATH_ATTRIBUTION" ], "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "description": "The type of the report." }, "ownerProfileId": { "description": "The user profile id of the owner of this report.", "type": "string", "annotations": { "required": [ "dfareporting.reports.update" ] }, "format": "int64" }, "id": { "description": "The unique ID identifying this report resource.", "type": "string", "format": "int64", "annotations": { "required": [ "dfareporting.reports.update" ] } } }, "type": "object" }, "DynamicTargetingKey": { "id": "DynamicTargetingKey", "description": "Contains properties of a dynamic targeting key. Dynamic targeting keys are unique, user-friendly labels, created at the advertiser level in DCM, that can be assigned to ads, creatives, and placements and used for targeting with Studio dynamic creatives. Use these labels instead of numeric Campaign Manager IDs (such as placement IDs) to save time and avoid errors in your dynamic feeds.", "type": "object", "properties": { "objectType": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ], "type": "string", "description": "Type of the object of this dynamic targeting key. This is a required field." }, "name": { "type": "string", "description": "Name of this dynamic targeting key. This is a required field. Must be less than 256 characters long and cannot contain commas. All characters are converted to lowercase." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#dynamicTargetingKey\".", "type": "string" }, "objectId": { "format": "int64", "type": "string", "description": "ID of the object of this dynamic targeting key. This is a required field." } } }, "DirectorySite": { "id": "DirectorySite", "type": "object", "description": "DirectorySites contains properties of a website from the Site Directory. Sites need to be added to an account via the Sites resource before they can be assigned to a placement.", "properties": { "name": { "description": "Name of this directory site.", "type": "string" }, "url": { "description": "URL of this directory site.", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "ID of this directory site. This is a read-only, auto-generated field." }, "settings": { "description": "Directory site settings.", "$ref": "DirectorySiteSettings" }, "interstitialTagFormats": { "description": "Tag types for interstitial placements. Acceptable values are: - \"IFRAME_JAVASCRIPT_INTERSTITIAL\" - \"INTERNAL_REDIRECT_INTERSTITIAL\" - \"JAVASCRIPT_INTERSTITIAL\" ", "items": { "enumDescriptions": [ "", "", "" ], "enum": [ "IFRAME_JAVASCRIPT_INTERSTITIAL", "INTERNAL_REDIRECT_INTERSTITIAL", "JAVASCRIPT_INTERSTITIAL" ], "type": "string" }, "type": "array" }, "inpageTagFormats": { "type": "array", "items": { "type": "string", "enum": [ "STANDARD", "IFRAME_JAVASCRIPT_INPAGE", "INTERNAL_REDIRECT_INPAGE", "JAVASCRIPT_INPAGE" ], "enumDescriptions": [ "", "", "", "" ] }, "description": "Tag types for regular placements. Acceptable values are: - \"STANDARD\" - \"IFRAME_JAVASCRIPT_INPAGE\" - \"INTERNAL_REDIRECT_INPAGE\" - \"JAVASCRIPT_INPAGE\" " }, "idDimensionValue": { "description": "Dimension value for the ID of this directory site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#directorySite\".", "type": "string" } } }, "CustomViewabilityMetricConfiguration": { "properties": { "timeMillis": { "type": "integer", "description": "The time in milliseconds the video must play for the Custom Viewability Metric to count an impression. If both this and timePercent are specified, the earlier of the two will be used.", "format": "int32" }, "viewabilityPercent": { "format": "int32", "type": "integer", "description": "The percentage of video that must be on screen for the Custom Viewability Metric to count an impression." }, "audible": { "type": "boolean", "description": "Whether the video must be audible to count an impression." }, "timePercent": { "type": "integer", "description": "The percentage of video that must play for the Custom Viewability Metric to count an impression. If both this and timeMillis are specified, the earlier of the two will be used.", "format": "int32" } }, "type": "object", "description": "The attributes, like playtime and percent onscreen, that define the Custom Viewability Metric.", "id": "CustomViewabilityMetricConfiguration" }, "City": { "type": "object", "description": "Contains information about a city that can be targeted by ads.", "properties": { "dartId": { "format": "int64", "type": "string", "description": "DART ID of this city. This is the ID used for targeting and generating reports." }, "countryCode": { "description": "Country code of the country to which this city belongs.", "type": "string" }, "countryDartId": { "format": "int64", "description": "DART ID of the country to which this city belongs.", "type": "string" }, "regionDartId": { "format": "int64", "type": "string", "description": "DART ID of the region to which this city belongs." }, "name": { "description": "Name of this city.", "type": "string" }, "metroDmaId": { "format": "int64", "type": "string", "description": "ID of the metro region (DMA) to which this city belongs." }, "metroCode": { "type": "string", "description": "Metro region code of the metro region (DMA) to which this city belongs." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#city\"." }, "regionCode": { "type": "string", "description": "Region code of the region to which this city belongs." } }, "id": "City" }, "PostalCodesListResponse": { "id": "PostalCodesListResponse", "properties": { "postalCodes": { "items": { "$ref": "PostalCode" }, "type": "array", "description": "Postal code collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#postalCodesListResponse\".", "type": "string" } }, "description": "Postal Code List Response", "type": "object" }, "PopupWindowProperties": { "description": "Popup Window Properties.", "properties": { "offset": { "description": "Upper-left corner coordinates of the popup window. Applicable if positionType is COORDINATES.", "$ref": "OffsetPosition" }, "showStatusBar": { "type": "boolean", "description": "Whether to display the browser status bar." }, "title": { "type": "string", "description": "Title of popup window." }, "showToolBar": { "type": "boolean", "description": "Whether to display the browser tool bar." }, "positionType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "CENTER", "COORDINATES" ], "description": "Popup window position either centered or at specific coordinate." }, "showMenuBar": { "description": "Whether to display the browser menu bar.", "type": "boolean" }, "showScrollBar": { "type": "boolean", "description": "Whether to display the browser scroll bar." }, "dimension": { "$ref": "Size", "description": "Popup dimension for a creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID" }, "showAddressBar": { "description": "Whether to display the browser address bar.", "type": "boolean" } }, "type": "object", "id": "PopupWindowProperties" }, "CreativeFieldAssignment": { "id": "CreativeFieldAssignment", "description": "Creative Field Assignment.", "type": "object", "properties": { "creativeFieldValueId": { "type": "string", "description": "ID of the creative field value.", "format": "int64" }, "creativeFieldId": { "format": "int64", "description": "ID of the creative field.", "type": "string" } } }, "AccountPermissionGroupsListResponse": { "id": "AccountPermissionGroupsListResponse", "type": "object", "properties": { "accountPermissionGroups": { "items": { "$ref": "AccountPermissionGroup" }, "type": "array", "description": "Account permission group collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionGroupsListResponse\".", "type": "string" } }, "description": "Account Permission Group List Response" }, "AdBlockingConfiguration": { "id": "AdBlockingConfiguration", "description": "Campaign ad blocking settings.", "properties": { "enabled": { "description": "Whether this campaign has enabled ad blocking. When true, ad blocking is enabled for placements in the campaign, but this may be overridden by site and placement settings. When false, ad blocking is disabled for all placements under the campaign, regardless of site and placement settings.", "type": "boolean" } }, "type": "object" }, "EncryptionInfo": { "type": "object", "description": "A description of how user IDs are encrypted.", "id": "EncryptionInfo", "properties": { "encryptionEntityId": { "format": "int64", "description": "The encryption entity ID. This should match the encryption configuration for ad serving or Data Transfer.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#encryptionInfo\".", "type": "string" }, "encryptionSource": { "enumDescriptions": [ "", "", "" ], "description": "Describes whether the encrypted cookie was received from ad serving (the %m macro) or from Data Transfer.", "enum": [ "ENCRYPTION_SCOPE_UNKNOWN", "AD_SERVING", "DATA_TRANSFER" ], "type": "string" }, "encryptionEntityType": { "enum": [ "ENCRYPTION_ENTITY_TYPE_UNKNOWN", "DCM_ACCOUNT", "DCM_ADVERTISER", "DBM_PARTNER", "DBM_ADVERTISER", "ADWORDS_CUSTOMER", "DFP_NETWORK_CODE" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "" ], "description": "The encryption entity type. This should match the encryption configuration for ad serving or Data Transfer." } } }, "TranscodeSetting": { "properties": { "enabledVideoFormats": { "type": "array", "description": "Allowlist of video formats to be served to this placement. Set this list to null or empty to serve all video formats.", "items": { "format": "int32", "type": "integer" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#transcodeSetting\"." } }, "description": "Transcode Settings", "id": "TranscodeSetting", "type": "object" }, "PathFilter": { "id": "PathFilter", "description": "Represents a DfaReporting path filter.", "type": "object", "properties": { "eventFilters": { "items": { "$ref": "EventFilter" }, "type": "array", "description": "Event filters in path report." }, "pathMatchPosition": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "PATH_MATCH_POSITION_UNSPECIFIED", "ANY", "FIRST", "LAST" ], "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.", "type": "string" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathFilter." } } }, "Project": { "id": "Project", "description": "Contains properties of a Planning project.", "properties": { "startDate": { "type": "string", "format": "date" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#project\"." }, "overview": { "type": "string", "description": "Overview of this project." }, "id": { "format": "int64", "description": "ID of this project. This is a read-only, auto-generated field.", "type": "string" }, "audienceAgeGroup": { "type": "string", "enum": [ "PLANNING_AUDIENCE_AGE_18_24", "PLANNING_AUDIENCE_AGE_25_34", "PLANNING_AUDIENCE_AGE_35_44", "PLANNING_AUDIENCE_AGE_45_54", "PLANNING_AUDIENCE_AGE_55_64", "PLANNING_AUDIENCE_AGE_65_OR_MORE", "PLANNING_AUDIENCE_AGE_UNKNOWN" ], "description": "Audience age group of this project.", "enumDescriptions": [ "", "", "", "", "", "", "" ] }, "targetConversions": { "format": "int64", "type": "string", "description": "Number of conversions that the advertiser is targeting." }, "endDate": { "format": "date", "type": "string" }, "targetImpressions": { "type": "string", "format": "int64", "description": "Number of impressions that the advertiser is targeting." }, "targetCpcNanos": { "description": "CPC that the advertiser is targeting.", "format": "int64", "type": "string" }, "budget": { "type": "string", "description": "Budget of this project in the currency specified by the current account. The value stored in this field represents only the non-fractional amount. For example, for USD, the smallest value that can be represented by this field is 1 US dollar.", "format": "int64" }, "clientBillingCode": { "description": "Client billing code of this project.", "type": "string" }, "audienceGender": { "enum": [ "PLANNING_AUDIENCE_GENDER_MALE", "PLANNING_AUDIENCE_GENDER_FEMALE" ], "description": "Audience gender of this project.", "enumDescriptions": [ "", "" ], "type": "string" }, "targetCpaNanos": { "description": "CPA that the advertiser is targeting.", "format": "int64", "type": "string" }, "targetCpmActiveViewNanos": { "description": "vCPM from Active View that the advertiser is targeting.", "type": "string", "format": "int64" }, "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this project." }, "clientName": { "description": "Name of the project client.", "type": "string" }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this project." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this project.", "$ref": "LastModifiedInfo" }, "name": { "description": "Name of this project.", "type": "string" }, "targetCpmNanos": { "format": "int64", "type": "string", "description": "CPM that the advertiser is targeting." }, "subaccountId": { "type": "string", "description": "Subaccount ID of this project.", "format": "int64" }, "targetClicks": { "format": "int64", "description": "Number of clicks that the advertiser is targeting.", "type": "string" } }, "type": "object" }, "InventoryItemsListResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "inventoryItems": { "type": "array", "items": { "$ref": "InventoryItem" }, "description": "Inventory item collection" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#inventoryItemsListResponse\"." } }, "id": "InventoryItemsListResponse", "description": "Inventory item List Response" }, "Country": { "id": "Country", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#country\"." }, "dartId": { "type": "string", "description": "DART ID of this country. This is the ID used for targeting and generating reports.", "format": "int64" }, "name": { "description": "Name of this country.", "type": "string" }, "sslEnabled": { "description": "Whether ad serving supports secure servers in this country.", "type": "boolean" }, "countryCode": { "description": "Country code.", "type": "string" } }, "description": "Contains information about a country that can be targeted by ads.", "type": "object" }, "VideoFormatsListResponse": { "properties": { "videoFormats": { "description": "Video format collection.", "type": "array", "items": { "$ref": "VideoFormat" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoFormatsListResponse\".", "type": "string" } }, "type": "object", "description": "Video Format List Response", "id": "VideoFormatsListResponse" }, "ObjectFilter": { "properties": { "status": { "description": "Status of the filter. NONE means the user has access to none of the objects. ALL means the user has access to all objects. ASSIGNED means the user has access to the objects with IDs in the objectIds list.", "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "NONE", "ASSIGNED", "ALL" ] }, "objectIds": { "description": "Applicable when status is ASSIGNED. The user has access to objects with these object IDs.", "items": { "format": "int64", "type": "string" }, "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#objectFilter\".", "type": "string" } }, "type": "object", "id": "ObjectFilter", "description": "Object Filter." }, "UserRolePermission": { "type": "object", "description": "Contains properties of a user role permission.", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermission\".", "type": "string" }, "name": { "description": "Name of this user role permission.", "type": "string" }, "permissionGroupId": { "type": "string", "format": "int64", "description": "ID of the permission group that this user role permission belongs to." }, "id": { "format": "int64", "type": "string", "description": "ID of this user role permission." }, "availability": { "description": "Levels of availability for a user role permission.", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "NOT_AVAILABLE_BY_DEFAULT", "ACCOUNT_BY_DEFAULT", "SUBACCOUNT_AND_ACCOUNT_BY_DEFAULT", "ACCOUNT_ALWAYS", "SUBACCOUNT_AND_ACCOUNT_ALWAYS", "USER_PROFILE_ONLY" ], "type": "string" } }, "id": "UserRolePermission" }, "FloodlightConfigurationsListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightConfigurationsListResponse\"." }, "floodlightConfigurations": { "description": "Floodlight configuration collection.", "type": "array", "items": { "$ref": "FloodlightConfiguration" } } }, "description": "Floodlight Configuration List Response", "id": "FloodlightConfigurationsListResponse", "type": "object" }, "MetrosListResponse": { "description": "Metro List Response", "id": "MetrosListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#metrosListResponse\".", "type": "string" }, "metros": { "type": "array", "description": "Metro collection.", "items": { "$ref": "Metro" } } }, "type": "object" }, "CompanionClickThroughOverride": { "properties": { "creativeId": { "type": "string", "format": "int64", "description": "ID of the creative for this companion click-through override." }, "clickThroughUrl": { "description": "Click-through URL of this companion click-through override.", "$ref": "ClickThroughUrl" } }, "id": "CompanionClickThroughOverride", "type": "object", "description": "Companion Click-through override." }, "DimensionFilter": { "id": "DimensionFilter", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#dimensionFilter.", "type": "string" }, "value": { "type": "string", "description": "The value of the dimension to filter." }, "dimensionName": { "description": "The name of the dimension to filter.", "type": "string" } }, "type": "object", "description": "Represents a dimension filter." }, "ClickThroughUrlSuffixProperties": { "type": "object", "properties": { "clickThroughUrlSuffix": { "type": "string", "description": "Click-through URL suffix to apply to all ads in this entity's scope. Must be less than 128 characters long." }, "overrideInheritedSuffix": { "type": "boolean", "description": "Whether this entity should override the inherited click-through URL suffix with its own defined value." } }, "id": "ClickThroughUrlSuffixProperties", "description": "Click Through URL Suffix settings." }, "ConversionError": { "description": "The error code and description for a conversion that failed to insert or update.", "type": "object", "properties": { "message": { "type": "string", "description": "A description of the error." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionError\"." }, "code": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "The error code.", "enum": [ "INVALID_ARGUMENT", "INTERNAL", "PERMISSION_DENIED", "NOT_FOUND" ] } }, "id": "ConversionError" }, "SitesListResponse": { "description": "Site List Response", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#sitesListResponse\"." }, "sites": { "items": { "$ref": "Site" }, "type": "array", "description": "Site collection." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } }, "id": "SitesListResponse" }, "ReportsConfiguration": { "type": "object", "properties": { "lookbackConfiguration": { "$ref": "LookbackConfiguration", "description": "Default lookback windows for new advertisers in this account." }, "reportGenerationTimeZoneId": { "type": "string", "format": "int64", "description": "Report generation time zone ID of this account. This is a required field that can only be changed by a superuser. Acceptable values are: - \"1\" for \"America/New_York\" - \"2\" for \"Europe/London\" - \"3\" for \"Europe/Paris\" - \"4\" for \"Africa/Johannesburg\" - \"5\" for \"Asia/Jerusalem\" - \"6\" for \"Asia/Shanghai\" - \"7\" for \"Asia/Hong_Kong\" - \"8\" for \"Asia/Tokyo\" - \"9\" for \"Australia/Sydney\" - \"10\" for \"Asia/Dubai\" - \"11\" for \"America/Los_Angeles\" - \"12\" for \"Pacific/Auckland\" - \"13\" for \"America/Sao_Paulo\" - \"16\" for \"America/Asuncion\" - \"17\" for \"America/Chicago\" - \"18\" for \"America/Denver\" - \"19\" for \"America/St_Johns\" - \"20\" for \"Asia/Dhaka\" - \"21\" for \"Asia/Jakarta\" - \"22\" for \"Asia/Kabul\" - \"23\" for \"Asia/Karachi\" - \"24\" for \"Asia/Calcutta\" - \"25\" for \"Asia/Pyongyang\" - \"26\" for \"Asia/Rangoon\" - \"27\" for \"Atlantic/Cape_Verde\" - \"28\" for \"Atlantic/South_Georgia\" - \"29\" for \"Australia/Adelaide\" - \"30\" for \"Australia/Lord_Howe\" - \"31\" for \"Europe/Moscow\" - \"32\" for \"Pacific/Kiritimati\" - \"35\" for \"Pacific/Norfolk\" - \"36\" for \"Pacific/Tongatapu\" " }, "exposureToConversionEnabled": { "type": "boolean", "description": "Whether the exposure to conversion report is enabled. This report shows detailed pathway information on up to 10 of the most recent ad exposures seen by a user before converting." } }, "description": "Reporting Configuration", "id": "ReportsConfiguration" }, "KeyValueTargetingExpression": { "description": "Key Value Targeting Expression.", "id": "KeyValueTargetingExpression", "properties": { "expression": { "description": "Keyword expression being targeted by the ad.", "type": "string" } }, "type": "object" }, "RemarketingListsListResponse": { "id": "RemarketingListsListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingListsListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "remarketingLists": { "description": "Remarketing list collection.", "type": "array", "items": { "$ref": "RemarketingList" } } }, "type": "object", "description": "Remarketing list response" }, "LanguageTargeting": { "properties": { "languages": { "items": { "$ref": "Language" }, "description": "Languages that this ad targets. For each language only languageId is required. The other fields are populated automatically when the ad is inserted or updated.", "type": "array" } }, "id": "LanguageTargeting", "description": "Language Targeting.", "type": "object" }, "ProjectsListResponse": { "description": "Project List Response", "id": "ProjectsListResponse", "properties": { "projects": { "items": { "$ref": "Project" }, "description": "Project collection.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#projectsListResponse\".", "type": "string" } }, "type": "object" }, "PlacementsGenerateTagsResponse": { "type": "object", "id": "PlacementsGenerateTagsResponse", "description": "Placement GenerateTags Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementsGenerateTagsResponse\".", "type": "string" }, "placementTags": { "type": "array", "description": "Set of generated tags for the specified placements.", "items": { "$ref": "PlacementTag" } } } }, "Site": { "properties": { "approved": { "description": "Whether this site is approved.", "type": "boolean" }, "subaccountId": { "description": "Subaccount ID of this site. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "siteSettings": { "description": "Site-wide settings.", "$ref": "SiteSettings" }, "name": { "description": "Name of this site.This is a required field. Must be less than 128 characters long. If this site is under a subaccount, the name must be unique among sites of the same subaccount. Otherwise, this site is a top-level site, and the name must be unique among top-level sites of the same account.", "type": "string" }, "accountId": { "format": "int64", "description": "Account ID of this site. This is a read-only field that can be left blank.", "type": "string" }, "directorySiteId": { "type": "string", "format": "int64", "description": "Directory site associated with this site. This is a required field that is read-only after insertion." }, "id": { "type": "string", "description": "ID of this site. This is a read-only, auto-generated field.", "format": "int64" }, "videoSettings": { "description": "Default video settings for new placements created under this site. This value will be used to populate the placements.videoSettings field, when no value is specified for the new placement.", "$ref": "SiteVideoSettings" }, "siteContacts": { "items": { "$ref": "SiteContact" }, "description": "Site contacts.", "type": "array" }, "idDimensionValue": { "description": "Dimension value for the ID of this site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#site\".", "type": "string" }, "keyName": { "type": "string", "description": "Key name of this site. This is a read-only, auto-generated field." }, "directorySiteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field." } }, "id": "Site", "description": "Contains properties of a site.", "type": "object" }, "Browser": { "description": "Contains information about a browser that can be targeted by ads.", "properties": { "name": { "description": "Name of this browser.", "type": "string" }, "majorVersion": { "type": "string", "description": "Major version number (leftmost number) of this browser. For example, for Chrome 5.0.376.86 beta, this field should be set to 5. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template upload.sh targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is." }, "dartId": { "description": "DART ID of this browser. This is the ID used when generating reports.", "type": "string", "format": "int64" }, "minorVersion": { "type": "string", "description": "Minor version number (number after first dot on left) of this browser. For example, for Chrome 5.0.375.86 beta, this field should be set to 0. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template upload.sh targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#browser\"." }, "browserVersionId": { "description": "ID referring to this grouping of browser and version numbers. This is the ID used for targeting.", "format": "int64", "type": "string" } }, "type": "object", "id": "Browser" }, "CampaignCreativeAssociationsListResponse": { "id": "CampaignCreativeAssociationsListResponse", "type": "object", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignCreativeAssociationsListResponse\"." }, "campaignCreativeAssociations": { "type": "array", "description": "Campaign creative association collection", "items": { "$ref": "CampaignCreativeAssociation" } } }, "description": "Campaign Creative Association List Response" }, "DateRange": { "type": "object", "properties": { "startDate": { "type": "string", "format": "date" }, "relativeDateRange": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "TODAY", "YESTERDAY", "WEEK_TO_DATE", "MONTH_TO_DATE", "QUARTER_TO_DATE", "YEAR_TO_DATE", "PREVIOUS_WEEK", "PREVIOUS_MONTH", "PREVIOUS_QUARTER", "PREVIOUS_YEAR", "LAST_7_DAYS", "LAST_30_DAYS", "LAST_90_DAYS", "LAST_365_DAYS", "LAST_24_MONTHS", "LAST_14_DAYS", "LAST_60_DAYS" ], "description": "The date range relative to the date of when the report is run." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#dateRange." }, "endDate": { "format": "date", "type": "string" } }, "description": "Represents a date range.", "id": "DateRange" }, "AdvertiserLandingPagesListResponse": { "id": "AdvertiserLandingPagesListResponse", "type": "object", "description": "Landing Page List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserLandingPagesListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "landingPages": { "items": { "$ref": "LandingPage" }, "description": "Landing page collection", "type": "array" } } }, "EventTag": { "type": "object", "properties": { "id": { "description": "ID of this event tag. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "status": { "enumDescriptions": [ "", "" ], "description": "Status of this event tag. Must be ENABLED for this event tag to fire. This is a required field.", "enum": [ "ENABLED", "DISABLED" ], "type": "string" }, "name": { "description": "Name of this event tag. This is a required field and must be less than 256 characters long.", "type": "string" }, "campaignId": { "type": "string", "description": "Campaign ID of this event tag. This field or the advertiserId field is required on insertion.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#eventTag\"." }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this event tag. This field or the campaignId field is required on insertion.", "type": "string" }, "enabledByDefault": { "type": "boolean", "description": "Whether this event tag should be automatically enabled for all of the advertiser's campaigns and ads." }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this event tag. This is a read-only field that can be left blank." }, "siteFilterType": { "enumDescriptions": [ "", "" ], "enum": [ "ALLOWLIST", "BLOCKLIST" ], "description": "Site filter type for this event tag. If no type is specified then the event tag will be applied to all sites.", "type": "string" }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "sslCompliant": { "description": "Whether this tag is SSL-compliant or not. This is a read-only field.", "type": "boolean" }, "type": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "IMPRESSION_IMAGE_EVENT_TAG", "IMPRESSION_JAVASCRIPT_EVENT_TAG", "CLICK_THROUGH_EVENT_TAG" ], "description": "Event tag type. Can be used to specify whether to use a third-party pixel, a third-party JavaScript URL, or a third-party click-through URL for either impression or click tracking. This is a required field." }, "accountId": { "description": "Account ID of this event tag. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "siteIds": { "items": { "format": "int64", "type": "string" }, "description": "Filter list of site IDs associated with this event tag. The siteFilterType determines whether this is a allowlist or blocklist filter.", "type": "array" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "excludeFromAdxRequests": { "type": "boolean", "description": "Whether to remove this event tag from ads that are trafficked through Display & Video 360 to Ad Exchange. This may be useful if the event tag uses a pixel that is unapproved for Ad Exchange bids on one or more networks, such as the Google Display Network." }, "url": { "type": "string", "description": "Payload URL for this event tag. The URL on a click-through event tag should have a landing page URL appended to the end of it. This field is required on insertion." }, "urlEscapeLevels": { "format": "int32", "type": "integer", "description": "Number of times the landing page URL should be URL-escaped before being appended to the click-through event tag URL. Only applies to click-through event tags as specified by the event tag type." } }, "description": "Contains properties of an event tag.", "id": "EventTag" }, "Campaign": { "properties": { "advertiserGroupId": { "type": "string", "format": "int64", "description": "Advertiser group ID of the associated advertiser." }, "defaultLandingPageId": { "format": "int64", "type": "string", "description": "The default landing page ID for this campaign." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaign\"." }, "id": { "description": "ID of this campaign. This is a read-only auto-generated field.", "format": "int64", "type": "string" }, "startDate": { "format": "date", "type": "string" }, "clickThroughUrlSuffixProperties": { "description": "Click-through URL suffix override properties for this campaign.", "$ref": "ClickThroughUrlSuffixProperties" }, "advertiserId": { "description": "Advertiser ID of this campaign. This is a required field.", "type": "string", "format": "int64" }, "createInfo": { "description": "Information about the creation of this campaign. This is a read-only field.", "$ref": "LastModifiedInfo" }, "advertiserIdDimensionValue": { "description": "Dimension value for the advertiser ID of this campaign. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "adBlockingConfiguration": { "description": "Ad blocking settings for this campaign.", "$ref": "AdBlockingConfiguration" }, "additionalCreativeOptimizationConfigurations": { "items": { "$ref": "CreativeOptimizationConfiguration" }, "description": "Additional creative optimization configurations for the campaign.", "type": "array" }, "endDate": { "format": "date", "type": "string" }, "eventTagOverrides": { "items": { "$ref": "EventTagOverride" }, "type": "array", "description": "Overrides that can be used to activate or deactivate advertiser event tags." }, "subaccountId": { "description": "Subaccount ID of this campaign. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "traffickerEmails": { "description": "Campaign trafficker contact emails.", "type": "array", "items": { "type": "string" } }, "nielsenOcrEnabled": { "type": "boolean", "description": "Whether Nielsen reports are enabled for this campaign." }, "measurementPartnerLink": { "description": "Measurement partner campaign link for tag wrapping.", "$ref": "MeasurementPartnerCampaignLink" }, "accountId": { "type": "string", "description": "Account ID of this campaign. This is a read-only field that can be left blank.", "format": "int64" }, "defaultClickThroughEventTagProperties": { "description": "Click-through event tag ID override properties for this campaign.", "$ref": "DefaultClickThroughEventTagProperties" }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this campaign. This is a read-only, auto-generated field." }, "audienceSegmentGroups": { "items": { "$ref": "AudienceSegmentGroup" }, "type": "array", "description": "Audience segment groups assigned to this campaign. Cannot have more than 300 segment groups." }, "archived": { "description": "Whether this campaign has been archived.", "type": "boolean" }, "comment": { "type": "string", "description": "Arbitrary comments about this campaign. Must be less than 256 characters long." }, "externalId": { "type": "string", "description": "External ID for this campaign." }, "creativeOptimizationConfiguration": { "$ref": "CreativeOptimizationConfiguration", "description": "Creative optimization configuration for the campaign." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this campaign. This is a read-only field.", "$ref": "LastModifiedInfo" }, "billingInvoiceCode": { "description": "Billing invoice code included in the Campaign Manager client billing invoices associated with the campaign.", "type": "string" }, "name": { "description": "Name of this campaign. This is a required field and must be less than 512 characters long and unique among campaigns of the same advertiser.", "type": "string" }, "creativeGroupIds": { "description": "List of creative group IDs that are assigned to the campaign.", "items": { "type": "string", "format": "int64" }, "type": "array" } }, "id": "Campaign", "description": "Contains properties of a Campaign Manager campaign.", "type": "object" }, "OrderDocumentsListResponse": { "id": "OrderDocumentsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "orderDocuments": { "type": "array", "items": { "$ref": "OrderDocument" }, "description": "Order document collection" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#orderDocumentsListResponse\"." } }, "description": "Order document List Response", "type": "object" }, "MeasurementPartnerCampaignLink": { "id": "MeasurementPartnerCampaignLink", "type": "object", "properties": { "partnerCampaignId": { "description": "Partner campaign ID needed for establishing linking with Measurement partner.", "type": "string" }, "measurementPartner": { "type": "string", "description": "Measurement partner used for tag wrapping.", "enumDescriptions": [ "", "", "" ], "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ] }, "linkStatus": { "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ], "description": ".", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "" ] } } }, "FloodlightReportCompatibleFields": { "type": "object", "description": "Represents fields that are compatible to be selected for a report of type \"FlOODLIGHT\".", "properties": { "dimensions": { "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report.", "items": { "$ref": "Dimension" }, "type": "array" }, "metrics": { "type": "array", "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "items": { "$ref": "Metric" } }, "kind": { "description": "The kind of resource this is, in this case dfareporting#floodlightReportCompatibleFields.", "type": "string" }, "dimensionFilters": { "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "items": { "$ref": "Dimension" }, "type": "array" } }, "id": "FloodlightReportCompatibleFields" }, "DfpSettings": { "id": "DfpSettings", "description": "Google Ad Manager Settings", "properties": { "dfpNetworkCode": { "type": "string", "description": "Ad Manager network code for this directory site." }, "dfpNetworkName": { "description": "Ad Manager network name for this directory site.", "type": "string" }, "programmaticPlacementAccepted": { "type": "boolean", "description": "Whether this directory site accepts programmatic placements." }, "pubPaidPlacementAccepted": { "type": "boolean", "description": "Whether this directory site accepts publisher-paid tags." }, "publisherPortalOnly": { "description": "Whether this directory site is available only via Publisher Portal.", "type": "boolean" } }, "type": "object" }, "ClickThroughUrl": { "properties": { "customClickThroughUrl": { "type": "string", "description": "Custom click-through URL. Applicable if the defaultLandingPage field is set to false and the landingPageId field is left unset." }, "landingPageId": { "type": "string", "format": "int64", "description": "ID of the landing page for the click-through URL. Applicable if the defaultLandingPage field is set to false." }, "defaultLandingPage": { "description": "Whether the campaign default landing page is used.", "type": "boolean" }, "computedClickThroughUrl": { "description": "Read-only convenience field representing the actual URL that will be used for this click-through. The URL is computed as follows: - If defaultLandingPage is enabled then the campaign's default landing page URL is assigned to this field. - If defaultLandingPage is not enabled and a landingPageId is specified then that landing page's URL is assigned to this field. - If neither of the above cases apply, then the customClickThroughUrl is assigned to this field. ", "type": "string" } }, "type": "object", "description": "Click-through URL", "id": "ClickThroughUrl" }, "ConversionsBatchInsertResponse": { "description": "Insert Conversions Response.", "id": "ConversionsBatchInsertResponse", "type": "object", "properties": { "status": { "items": { "$ref": "ConversionStatus" }, "description": "The insert status of each conversion. Statuses are returned in the same order that conversions are inserted.", "type": "array" }, "hasFailures": { "type": "boolean", "description": "Indicates that some or all conversions failed to insert." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchInsertResponse\".", "type": "string" } } }, "SiteContact": { "type": "object", "properties": { "contactType": { "enumDescriptions": [ "", "" ], "description": "Site contact type.", "type": "string", "enum": [ "SALES_PERSON", "TRAFFICKER" ] }, "phone": { "type": "string", "description": "Primary phone number of this site contact." }, "lastName": { "type": "string", "description": "Last name of this site contact." }, "title": { "description": "Title or designation of this site contact.", "type": "string" }, "id": { "description": "ID of this site contact. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "firstName": { "type": "string", "description": "First name of this site contact." }, "address": { "type": "string", "description": "Address of this site contact." }, "email": { "type": "string", "description": "Email address of this site contact. This is a required field." } }, "id": "SiteContact", "description": "Site Contact" }, "MobileCarrier": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileCarrier\".", "type": "string" }, "countryCode": { "description": "Country code of the country to which this mobile carrier belongs.", "type": "string" }, "id": { "description": "ID of this mobile carrier.", "type": "string", "format": "int64" }, "countryDartId": { "description": "DART ID of the country to which this mobile carrier belongs.", "type": "string", "format": "int64" }, "name": { "description": "Name of this mobile carrier.", "type": "string" } }, "id": "MobileCarrier", "type": "object", "description": "Contains information about a mobile carrier that can be targeted by ads." }, "OffsetPosition": { "id": "OffsetPosition", "properties": { "top": { "type": "integer", "description": "Offset distance from top side of an asset or a window.", "format": "int32" }, "left": { "format": "int32", "type": "integer", "description": "Offset distance from left side of an asset or a window." } }, "type": "object", "description": "Offset Position." }, "CitiesListResponse": { "id": "CitiesListResponse", "type": "object", "properties": { "cities": { "items": { "$ref": "City" }, "type": "array", "description": "City collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#citiesListResponse\".", "type": "string" } }, "description": "City List Response" }, "RichMediaExitOverride": { "type": "object", "properties": { "enabled": { "description": "Whether to use the clickThroughUrl. If false, the creative-level exit will be used.", "type": "boolean" }, "clickThroughUrl": { "$ref": "ClickThroughUrl", "description": "Click-through URL of this rich media exit override. Applicable if the enabled field is set to true." }, "exitId": { "description": "ID for the override to refer to a specific exit in the creative.", "format": "int64", "type": "string" } }, "description": "Rich Media Exit Override.", "id": "RichMediaExitOverride" }, "CampaignCreativeAssociation": { "description": "Identifies a creative which has been associated with a given campaign.", "id": "CampaignCreativeAssociation", "type": "object", "properties": { "creativeId": { "description": "ID of the creative associated with the campaign. This is a required field.", "type": "string", "format": "int64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignCreativeAssociation\".", "type": "string" } } }, "FloodlightConfiguration": { "type": "object", "properties": { "id": { "format": "int64", "type": "string", "description": "ID of this floodlight configuration. This is a read-only, auto-generated field." }, "firstDayOfWeek": { "description": "Day that will be counted as the first day of the week in reports. This is a required field.", "enumDescriptions": [ "", "" ], "enum": [ "MONDAY", "SUNDAY" ], "type": "string" }, "lookbackConfiguration": { "$ref": "LookbackConfiguration", "description": "Lookback window settings for this floodlight configuration." }, "accountId": { "description": "Account ID of this floodlight configuration. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "inAppAttributionTrackingEnabled": { "type": "boolean", "description": "Whether in-app attribution tracking is enabled." }, "analyticsDataSharingEnabled": { "type": "boolean", "description": "Whether advertiser data is shared with Google Analytics." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightConfiguration\".", "type": "string" }, "customViewabilityMetric": { "$ref": "CustomViewabilityMetric", "description": "Custom Viewability metric for the floodlight configuration." }, "omnitureSettings": { "$ref": "OmnitureSettings", "description": "Settings for Campaign Manager Omniture integration." }, "tagSettings": { "$ref": "TagSettings", "description": "Configuration settings for dynamic and image floodlight tags." }, "exposureToConversionEnabled": { "description": "Whether the exposure-to-conversion report is enabled. This report shows detailed pathway information on up to 10 of the most recent ad exposures seen by a user before converting.", "type": "boolean" }, "userDefinedVariableConfigurations": { "description": "List of user defined variables enabled for this configuration.", "items": { "$ref": "UserDefinedVariableConfiguration" }, "type": "array" }, "naturalSearchConversionAttributionOption": { "enumDescriptions": [ "", "", "" ], "description": "Types of attribution options for natural search conversions.", "enum": [ "EXCLUDE_NATURAL_SEARCH_CONVERSION_ATTRIBUTION", "INCLUDE_NATURAL_SEARCH_CONVERSION_ATTRIBUTION", "INCLUDE_NATURAL_SEARCH_TIERED_CONVERSION_ATTRIBUTION" ], "type": "string" }, "thirdPartyAuthenticationTokens": { "items": { "$ref": "ThirdPartyAuthenticationToken" }, "description": "List of third-party authentication tokens enabled for this configuration.", "type": "array" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "advertiserId": { "format": "int64", "type": "string", "description": "Advertiser ID of the parent advertiser of this floodlight configuration." }, "idDimensionValue": { "description": "Dimension value for the ID of this floodlight configuration. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "subaccountId": { "description": "Subaccount ID of this floodlight configuration. This is a read-only field that can be left blank.", "type": "string", "format": "int64" } }, "description": "Contains properties of a Floodlight configuration.", "id": "FloodlightConfiguration" }, "InventoryItem": { "description": "Represents a buy from the Planning inventory store.", "properties": { "adSlots": { "type": "array", "description": "Ad slots of this inventory item. If this inventory item represents a standalone placement, there will be exactly one ad slot. If this inventory item represents a placement group, there will be more than one ad slot, each representing one child placement in that placement group.", "items": { "$ref": "AdSlot" } }, "advertiserId": { "description": "Advertiser ID of this inventory item.", "format": "int64", "type": "string" }, "type": { "type": "string", "description": "Type of inventory item.", "enum": [ "PLANNING_PLACEMENT_TYPE_REGULAR", "PLANNING_PLACEMENT_TYPE_CREDIT" ], "enumDescriptions": [ "", "" ] }, "placementStrategyId": { "description": "Placement strategy ID of this inventory item.", "type": "string", "format": "int64" }, "inPlan": { "type": "boolean", "description": "Whether this inventory item is in plan." }, "siteId": { "type": "string", "description": "ID of the site this inventory item is associated with.", "format": "int64" }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this inventory item.", "type": "string" }, "estimatedClickThroughRate": { "type": "string", "format": "int64", "description": "Estimated click-through rate of this inventory item." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this inventory item.", "$ref": "LastModifiedInfo" }, "projectId": { "description": "Project ID of this inventory item.", "format": "int64", "type": "string" }, "pricing": { "description": "Pricing of this inventory item.", "$ref": "Pricing" }, "accountId": { "type": "string", "description": "Account ID of this inventory item.", "format": "int64" }, "estimatedConversionRate": { "format": "int64", "type": "string", "description": "Estimated conversion rate of this inventory item." }, "id": { "format": "int64", "description": "ID of this inventory item.", "type": "string" }, "name": { "description": "Name of this inventory item. For standalone inventory items, this is the same name as that of its only ad slot. For group inventory items, this can differ from the name of any of its ad slots.", "type": "string" }, "contentCategoryId": { "type": "string", "format": "int64", "description": "Content category ID of this inventory item." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#inventoryItem\".", "type": "string" }, "orderId": { "type": "string", "format": "int64", "description": "Order ID of this inventory item." }, "rfpId": { "type": "string", "description": "RFP ID of this inventory item.", "format": "int64" }, "negotiationChannelId": { "format": "int64", "type": "string", "description": "Negotiation channel ID of this inventory item." } }, "type": "object", "id": "InventoryItem" }, "Advertiser": { "properties": { "defaultClickThroughEventTagId": { "description": "ID of the click-through event tag to apply by default to the landing pages of this advertiser's campaigns.", "type": "string", "format": "int64" }, "floodlightConfigurationIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field." }, "id": { "type": "string", "format": "int64", "description": "ID of this advertiser. This is a read-only, auto-generated field." }, "originalFloodlightConfigurationId": { "description": "Original floodlight configuration before any sharing occurred. Set the floodlightConfigurationId of this advertiser to originalFloodlightConfigurationId to unshare the advertiser's current floodlight configuration. You cannot unshare an advertiser's floodlight configuration if the shared configuration has activities associated with any campaign or placement.", "format": "int64", "type": "string" }, "name": { "description": "Name of this advertiser. This is a required field and must be less than 256 characters long and unique among advertisers of the same account.", "type": "string" }, "defaultEmail": { "description": "Default email address used in sender field for tag emails.", "type": "string" }, "status": { "description": "Status of this advertiser.", "type": "string", "enum": [ "APPROVED", "ON_HOLD" ], "enumDescriptions": [ "", "" ] }, "clickThroughUrlSuffix": { "type": "string", "description": "Suffix added to click-through URL of ad creative associations under this advertiser. Must be less than 129 characters long." }, "floodlightConfigurationId": { "description": "Floodlight configuration ID of this advertiser. The floodlight configuration ID will be created automatically, so on insert this field should be left blank. This field can be set to another advertiser's floodlight configuration ID in order to share that advertiser's floodlight configuration with this advertiser, so long as: - This advertiser's original floodlight configuration is not already associated with floodlight activities or floodlight activity groups. - This advertiser's original floodlight configuration is not already shared with another advertiser. ", "type": "string", "format": "int64" }, "accountId": { "format": "int64", "type": "string", "description": "Account ID of this advertiser.This is a read-only field that can be left blank." }, "suspended": { "type": "boolean", "description": "Suspension status of this advertiser." }, "idDimensionValue": { "description": "Dimension value for the ID of this advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "measurementPartnerLink": { "description": "Measurement partner advertiser link for tag wrapping.", "$ref": "MeasurementPartnerAdvertiserLink" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this advertiser.This is a read-only field that can be left blank." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiser\"." }, "advertiserGroupId": { "description": "ID of the advertiser group this advertiser belongs to. You can group advertisers for reporting purposes, allowing you to see aggregated information for all advertisers in each group.", "type": "string", "format": "int64" } }, "type": "object", "id": "Advertiser", "description": "Contains properties of a Campaign Manager advertiser." }, "TagData": { "properties": { "format": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "TagData tag format of this tag.", "type": "string", "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ] }, "adId": { "format": "int64", "description": "Ad associated with this placement tag. Applicable only when format is PLACEMENT_TAG_TRACKING.", "type": "string" }, "creativeId": { "format": "int64", "description": "Creative associated with this placement tag. Applicable only when format is PLACEMENT_TAG_TRACKING.", "type": "string" }, "impressionTag": { "description": "Tag string for serving an ad.", "type": "string" }, "clickTag": { "type": "string", "description": "Tag string to record a click." } }, "description": "Placement Tag Data", "type": "object", "id": "TagData" }, "OrderContact": { "description": "Contact of an order.", "properties": { "contactInfo": { "description": "Free-form information about this contact. It could be any information related to this contact in addition to type, title, name, and signature user profile ID.", "type": "string" }, "contactTitle": { "description": "Title of this contact.", "type": "string" }, "contactType": { "enumDescriptions": [ "", "", "" ], "enum": [ "PLANNING_ORDER_CONTACT_BUYER_CONTACT", "PLANNING_ORDER_CONTACT_BUYER_BILLING_CONTACT", "PLANNING_ORDER_CONTACT_SELLER_CONTACT" ], "description": "Type of this contact.", "type": "string" }, "signatureUserProfileId": { "type": "string", "description": "ID of the user profile containing the signature that will be embedded into order documents.", "format": "int64" }, "contactName": { "description": "Name of this contact.", "type": "string" } }, "type": "object", "id": "OrderContact" }, "MobileApp": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileApp\".", "type": "string" }, "title": { "type": "string", "description": "Title of this mobile app." }, "id": { "type": "string", "description": "ID of this mobile app." }, "directory": { "type": "string", "enum": [ "UNKNOWN", "APPLE_APP_STORE", "GOOGLE_PLAY_STORE", "ROKU_APP_STORE", "AMAZON_FIRETV_APP_STORE", "PLAYSTATION_APP_STORE", "APPLE_TV_APP_STORE", "XBOX_APP_STORE", "SAMSUNG_TV_APP_STORE", "ANDROID_TV_APP_STORE", "GENERIC_CTV_APP_STORE" ], "description": "Mobile app directory.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ] }, "publisherName": { "type": "string", "description": "Publisher name." } }, "description": "Contains information about a mobile app. Used as a landing page deep link.", "type": "object", "id": "MobileApp" }, "DefaultClickThroughEventTagProperties": { "type": "object", "properties": { "overrideInheritedEventTag": { "description": "Whether this entity should override the inherited default click-through event tag with its own defined value.", "type": "boolean" }, "defaultClickThroughEventTagId": { "type": "string", "description": "ID of the click-through event tag to apply to all ads in this entity's scope.", "format": "int64" } }, "id": "DefaultClickThroughEventTagProperties", "description": "Properties of inheriting and overriding the default click-through event tag. A campaign may override the event tag defined at the advertiser level, and an ad may also override the campaign's setting further." }, "SiteVideoSettings": { "type": "object", "properties": { "obaSettings": { "description": "Settings for the OBA icon of video creatives served to this site. This will act as default for new placements created under this site.", "$ref": "ObaIcon" }, "orientation": { "type": "string", "description": "Orientation of a site template used for video. This will act as default for new placements created under this site.", "enumDescriptions": [ "", "", "" ], "enum": [ "ANY", "LANDSCAPE", "PORTRAIT" ] }, "obaEnabled": { "description": "Whether OBA icons are enabled for this placement.", "type": "boolean" }, "transcodeSettings": { "description": "Settings for the transcodes of video creatives served to this site. This will act as default for new placements created under this site.", "$ref": "SiteTranscodeSetting" }, "companionSettings": { "$ref": "SiteCompanionSetting", "description": "Settings for the companion creatives of video creatives served to this site." }, "skippableSettings": { "$ref": "SiteSkippableSetting", "description": "Settings for the skippability of video creatives served to this site. This will act as default for new placements created under this site." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteVideoSettings\".", "type": "string" } }, "id": "SiteVideoSettings", "description": "Video Settings" }, "PlacementsListResponse": { "description": "Placement List Response", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementsListResponse\".", "type": "string" }, "placements": { "items": { "$ref": "Placement" }, "description": "Placement collection.", "type": "array" } }, "type": "object", "id": "PlacementsListResponse" }, "Size": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#size\".", "type": "string" }, "width": { "description": "Width of this size. Acceptable values are 0 to 32767, inclusive.", "format": "int32", "type": "integer" }, "iab": { "type": "boolean", "description": "IAB standard size. This is a read-only, auto-generated field." }, "id": { "description": "ID of this size. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "height": { "type": "integer", "format": "int32", "description": "Height of this size. Acceptable values are 0 to 32767, inclusive." } }, "id": "Size", "description": "Represents the dimensions of ads, placements, creatives, or creative assets." }, "SortedDimension": { "type": "object", "description": "Represents a sorted dimension.", "properties": { "name": { "type": "string", "description": "The name of the dimension." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#sortedDimension.", "type": "string" }, "sortOrder": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "description": "An optional sort order for the dimension column." } }, "id": "SortedDimension" }, "FloodlightActivityGroup": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivityGroup\".", "type": "string" }, "id": { "description": "ID of this floodlight activity group. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "floodlightConfigurationId": { "type": "string", "description": "Floodlight configuration ID of this floodlight activity group. This is a required field.", "format": "int64" }, "floodlightConfigurationIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this floodlight activity group. This is a read-only, auto-generated field." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this floodlight activity group. This is a read-only field that can be left blank." }, "type": { "enumDescriptions": [ "", "" ], "enum": [ "COUNTER", "SALE" ], "description": "Type of the floodlight activity group. This is a required field that is read-only after insertion.", "type": "string" }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this floodlight activity group. If this field is left blank, the value will be copied over either from the floodlight configuration's advertiser or from the existing activity group's advertiser.", "type": "string" }, "tagString": { "type": "string", "description": "Value of the type= parameter in the floodlight tag, which the ad servers use to identify the activity group that the activity belongs to. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being a-z0-9[ _ ]. This tag string must also be unique among activity groups of the same floodlight configuration. This field is read-only after insertion." }, "accountId": { "type": "string", "description": "Account ID of this floodlight activity group. This is a read-only field that can be left blank.", "format": "int64" }, "name": { "type": "string", "description": "Name of this floodlight activity group. This is a required field. Must be less than 65 characters long and cannot contain quotes." } }, "type": "object", "id": "FloodlightActivityGroup", "description": "Contains properties of a Floodlight activity group." }, "TargetableRemarketingList": { "properties": { "id": { "type": "string", "description": "Targetable remarketing list ID.", "format": "int64" }, "listSource": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "REMARKETING_LIST_SOURCE_OTHER", "REMARKETING_LIST_SOURCE_ADX", "REMARKETING_LIST_SOURCE_DFP", "REMARKETING_LIST_SOURCE_XFP", "REMARKETING_LIST_SOURCE_DFA", "REMARKETING_LIST_SOURCE_GA", "REMARKETING_LIST_SOURCE_YOUTUBE", "REMARKETING_LIST_SOURCE_DBM", "REMARKETING_LIST_SOURCE_GPLUS", "REMARKETING_LIST_SOURCE_DMP", "REMARKETING_LIST_SOURCE_PLAY_STORE" ], "description": "Product from which this targetable remarketing list was originated.", "type": "string" }, "name": { "description": "Name of the targetable remarketing list. Is no greater than 128 characters long.", "type": "string" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser.", "$ref": "DimensionValue" }, "advertiserId": { "type": "string", "description": "Dimension value for the advertiser ID that owns this targetable remarketing list.", "format": "int64" }, "accountId": { "description": "Account ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests.", "format": "int64", "type": "string" }, "lifeSpan": { "type": "string", "description": "Number of days that a user should remain in the targetable remarketing list without an impression.", "format": "int64" }, "subaccountId": { "type": "string", "description": "Subaccount ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetableRemarketingList\"." }, "description": { "description": "Targetable remarketing list description.", "type": "string" }, "listSize": { "description": "Number of users currently in the list. This is a read-only field.", "type": "string", "format": "int64" }, "active": { "type": "boolean", "description": "Whether this targetable remarketing list is active." } }, "description": "Contains properties of a targetable remarketing list. Remarketing enables you to create lists of users who have performed specific actions on a site, then target ads to members of those lists. This resource is a read-only view of a remarketing list to be used to faciliate targeting ads to specific lists. Remarketing lists that are owned by your advertisers and those that are shared to your advertisers or account are accessible via this resource. To manage remarketing lists that are owned by your advertisers, use the RemarketingLists resource.", "type": "object", "id": "TargetableRemarketingList" }, "UniversalAdId": { "description": "A Universal Ad ID as per the VAST 4.0 spec. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and VPAID.", "id": "UniversalAdId", "properties": { "value": { "type": "string", "description": "ID value for this creative. Only alphanumeric characters and the following symbols are valid: \"_/\\-\". Maximum length is 64 characters. Read only when registry is DCM." }, "registry": { "type": "string", "enum": [ "OTHER", "AD_ID_OFFICIAL", "CLEARCAST", "DCM" ], "enumDescriptions": [ "", "", "", "" ], "description": "Registry used for the Ad ID value." } }, "type": "object" }, "CompatibleFields": { "properties": { "pathReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"PATH\".", "$ref": "PathReportCompatibleFields" }, "pathAttributionReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"PATH_ATTRIBUTION\".", "$ref": "PathReportCompatibleFields" }, "pathToConversionReportCompatibleFields": { "$ref": "PathToConversionReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"PATH_TO_CONVERSION\"." }, "crossDimensionReachReportCompatibleFields": { "$ref": "CrossDimensionReachReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"CROSS_DIMENSION_REACH\"." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#compatibleFields." }, "reachReportCompatibleFields": { "$ref": "ReachReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"REACH\"." }, "reportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"STANDARD\".", "$ref": "ReportCompatibleFields" }, "floodlightReportCompatibleFields": { "$ref": "FloodlightReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"FLOODLIGHT\"." } }, "id": "CompatibleFields", "description": "Represents a response to the queryCompatibleFields method.", "type": "object" }, "Flight": { "description": "Flight", "id": "Flight", "properties": { "endDate": { "type": "string", "format": "date" }, "units": { "type": "string", "description": "Units of this flight.", "format": "int64" }, "rateOrCost": { "description": "Rate or cost of this flight.", "format": "int64", "type": "string" }, "startDate": { "type": "string", "format": "date" } }, "type": "object" }, "OperatingSystemsListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemsListResponse\"." }, "operatingSystems": { "type": "array", "items": { "$ref": "OperatingSystem" }, "description": "Operating system collection." } }, "description": "Operating System List Response", "type": "object", "id": "OperatingSystemsListResponse" }, "VideoOffset": { "id": "VideoOffset", "type": "object", "description": "Video Offset", "properties": { "offsetPercentage": { "description": "Duration, as a percentage of video duration. Do not set when offsetSeconds is set. Acceptable values are 0 to 100, inclusive.", "type": "integer", "format": "int32" }, "offsetSeconds": { "description": "Duration, in seconds. Do not set when offsetPercentage is set. Acceptable values are 0 to 86399, inclusive.", "format": "int32", "type": "integer" } } }, "UserRolesListResponse": { "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "userRoles": { "description": "User role collection.", "items": { "$ref": "UserRole" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolesListResponse\"." } }, "type": "object", "id": "UserRolesListResponse", "description": "User Role List Response" }, "OrdersListResponse": { "description": "Order List Response", "id": "OrdersListResponse", "properties": { "orders": { "type": "array", "items": { "$ref": "Order" }, "description": "Order collection." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#ordersListResponse\"." } }, "type": "object" }, "FloodlightActivityGroupsListResponse": { "description": "Floodlight Activity Group List Response", "id": "FloodlightActivityGroupsListResponse", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "floodlightActivityGroups": { "items": { "$ref": "FloodlightActivityGroup" }, "description": "Floodlight activity group collection.", "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivityGroupsListResponse\".", "type": "string" } }, "type": "object" }, "AudienceSegment": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of this audience segment. This is a required field and must be less than 65 characters long." }, "allocation": { "format": "int32", "type": "integer", "description": "Weight allocated to this segment. The weight assigned will be understood in proportion to the weights assigned to other segments in the same segment group. Acceptable values are 1 to 1000, inclusive." }, "id": { "description": "ID of this audience segment. This is a read-only, auto-generated field.", "format": "int64", "type": "string" } }, "id": "AudienceSegment", "description": "Audience Segment." }, "ChangeLog": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#changeLog\".", "type": "string" }, "id": { "format": "int64", "type": "string", "description": "ID of this change log." }, "subaccountId": { "description": "Subaccount ID of the modified object.", "format": "int64", "type": "string" }, "userProfileName": { "description": "User profile name of the user who modified the object.", "type": "string" }, "fieldName": { "description": "Field name of the object which changed.", "type": "string" }, "newValue": { "type": "string", "description": "New value of the object field." }, "transactionId": { "format": "int64", "type": "string", "description": "Transaction ID of this change log. When a single API call results in many changes, each change will have a separate ID in the change log but will share the same transactionId." }, "objectType": { "type": "string", "description": "Object type of the change log." }, "objectId": { "type": "string", "format": "int64", "description": "ID of the object of this change log. The object could be a campaign, placement, ad, or other type." }, "userProfileId": { "format": "int64", "type": "string", "description": "ID of the user who modified the object." }, "changeTime": { "type": "string", "format": "date-time" }, "accountId": { "description": "Account ID of the modified object.", "type": "string", "format": "int64" }, "oldValue": { "type": "string", "description": "Old value of the object field." }, "action": { "type": "string", "description": "Action which caused the change." } }, "id": "ChangeLog", "description": "Describes a change that a user has made to a resource.", "type": "object" }, "CreativeCustomEvent": { "id": "CreativeCustomEvent", "properties": { "artworkType": { "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "type": "string", "description": "Artwork type used by the creative.This is a read-only field.", "enumDescriptions": [ "", "", "", "" ] }, "popupWindowProperties": { "$ref": "PopupWindowProperties", "description": "Properties for rich media popup windows. This field is used only for exit events." }, "exitClickThroughUrl": { "description": "Exit click-through URL for the event. This field is used only for exit events.", "$ref": "CreativeClickThroughUrl" }, "advertiserCustomEventType": { "type": "string", "description": "Type of the event. This is a read-only field.", "enumDescriptions": [ "", "", "" ], "enum": [ "ADVERTISER_EVENT_TIMER", "ADVERTISER_EVENT_EXIT", "ADVERTISER_EVENT_COUNTER" ] }, "advertiserCustomEventId": { "type": "string", "description": "Unique ID of this event used by Reporting and Data Transfer. This is a read-only field.", "format": "int64" }, "id": { "format": "int64", "description": "ID of this event. This is a required field and should not be modified after insertion.", "type": "string" }, "artworkLabel": { "type": "string", "description": "Artwork label column, used to link events in Campaign Manager back to events in Studio. This is a required field and should not be modified after insertion." }, "targetType": { "enum": [ "TARGET_BLANK", "TARGET_TOP", "TARGET_SELF", "TARGET_PARENT", "TARGET_POPUP" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "Target type used by the event." }, "videoReportingId": { "type": "string", "description": "Video reporting ID, used to differentiate multiple videos in a single creative. This is a read-only field." }, "advertiserCustomEventName": { "description": "User-entered name for the event.", "type": "string" } }, "type": "object", "description": "Creative Custom Event." }, "ThirdPartyAuthenticationToken": { "description": "Third Party Authentication Token", "type": "object", "properties": { "name": { "description": "Name of the third-party authentication token.", "type": "string" }, "value": { "type": "string", "description": "Value of the third-party authentication token. This is a read-only, auto-generated field." } }, "id": "ThirdPartyAuthenticationToken" }, "Region": { "type": "object", "properties": { "dartId": { "format": "int64", "type": "string", "description": "DART ID of this region." }, "regionCode": { "type": "string", "description": "Region code." }, "countryCode": { "type": "string", "description": "Country code of the country to which this region belongs." }, "name": { "type": "string", "description": "Name of this region." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#region\".", "type": "string" }, "countryDartId": { "description": "DART ID of the country to which this region belongs.", "format": "int64", "type": "string" } }, "id": "Region", "description": "Contains information about a region that can be targeted by ads." }, "RemarketingListShare": { "type": "object", "properties": { "sharedAdvertiserIds": { "type": "array", "description": "Advertisers that the remarketing list is shared with.", "items": { "format": "int64", "type": "string" } }, "sharedAccountIds": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "Accounts that the remarketing list is shared with." }, "remarketingListId": { "type": "string", "format": "int64", "description": "Remarketing list ID. This is a read-only, auto-generated field." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingListShare\"." } }, "description": "Contains properties of a remarketing list's sharing information. Sharing allows other accounts or advertisers to target to your remarketing lists. This resource can be used to manage remarketing list sharing to other accounts and advertisers.", "id": "RemarketingListShare" }, "Metro": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#metro\"." }, "dmaId": { "format": "int64", "description": "DMA ID of this metro region. This is the ID used for targeting and generating reports, and is equivalent to metro_code.", "type": "string" }, "metroCode": { "description": "Metro code of this metro region. This is equivalent to dma_id.", "type": "string" }, "name": { "description": "Name of this metro region.", "type": "string" }, "countryDartId": { "type": "string", "description": "DART ID of the country to which this metro region belongs.", "format": "int64" }, "countryCode": { "type": "string", "description": "Country code of the country to which this metro region belongs." }, "dartId": { "description": "DART ID of this metro region.", "type": "string", "format": "int64" } }, "type": "object", "description": "Contains information about a metro region that can be targeted by ads.", "id": "Metro" }, "TargetingTemplatesListResponse": { "id": "TargetingTemplatesListResponse", "description": "Targeting Template List Response", "properties": { "targetingTemplates": { "description": "Targeting template collection.", "items": { "$ref": "TargetingTemplate" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetingTemplatesListResponse\"." } }, "type": "object" }, "CreativeGroupAssignment": { "type": "object", "description": "Creative Group Assignment.", "id": "CreativeGroupAssignment", "properties": { "creativeGroupId": { "description": "ID of the creative group to be assigned.", "format": "int64", "type": "string" }, "creativeGroupNumber": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "CREATIVE_GROUP_ONE", "CREATIVE_GROUP_TWO" ], "description": "Creative group number of the creative group assignment." } } }, "OptimizationActivity": { "id": "OptimizationActivity", "description": "Creative optimization activity.", "type": "object", "properties": { "weight": { "type": "integer", "format": "int32", "description": "Weight associated with this optimization. The weight assigned will be understood in proportion to the weights assigned to the other optimization activities. Value must be greater than or equal to 1." }, "floodlightActivityIdDimensionValue": { "description": "Dimension value for the ID of the floodlight activity. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "floodlightActivityId": { "format": "int64", "type": "string", "description": "Floodlight activity ID of this optimization activity. This is a required field." } } }, "ChangeLogsListResponse": { "description": "Change Log List Response", "id": "ChangeLogsListResponse", "properties": { "changeLogs": { "type": "array", "description": "Change log collection.", "items": { "$ref": "ChangeLog" } }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#changeLogsListResponse\"." } }, "type": "object" }, "Dimension": { "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#dimension." }, "name": { "description": "The dimension name, e.g. dfa:advertiser", "type": "string" } }, "id": "Dimension", "description": "Represents a dimension.", "type": "object" }, "CustomRichMediaEvents": { "type": "object", "id": "CustomRichMediaEvents", "description": "Represents a Custom Rich Media Events group.", "properties": { "filteredEventIds": { "type": "array", "items": { "$ref": "DimensionValue" }, "description": "List of custom rich media event IDs. Dimension values must be all of type dfa:richMediaEventTypeIdAndName." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#customRichMediaEvents.", "type": "string" } } }, "CompanionSetting": { "description": "Companion Settings", "id": "CompanionSetting", "properties": { "imageOnly": { "type": "boolean", "description": "Whether to serve only static images as companions." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#companionSetting\".", "type": "string" }, "companionsDisabled": { "description": "Whether companions are disabled for this placement.", "type": "boolean" }, "enabledSizes": { "description": "Allowlist of companion sizes to be served to this placement. Set this list to null or empty to serve all companion sizes.", "items": { "$ref": "Size" }, "type": "array" } }, "type": "object" }, "UserRolePermissionsListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionsListResponse\".", "type": "string" }, "userRolePermissions": { "description": "User role permission collection.", "items": { "$ref": "UserRolePermission" }, "type": "array" } }, "type": "object", "description": "User Role Permission List Response", "id": "UserRolePermissionsListResponse" }, "GeoTargeting": { "properties": { "countries": { "items": { "$ref": "Country" }, "description": "Countries to be targeted or excluded from targeting, depending on the setting of the excludeCountries field. For each country only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting or excluding a country, do not target regions, cities, metros, or postal codes in the same country.", "type": "array" }, "regions": { "items": { "$ref": "Region" }, "description": "Regions to be targeted. For each region only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a region, do not target or exclude the country of the region.", "type": "array" }, "excludeCountries": { "description": "Whether or not to exclude the countries in the countries field from targeting. If false, the countries field refers to countries which will be targeted by the ad.", "type": "boolean" }, "cities": { "type": "array", "description": "Cities to be targeted. For each city only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a city, do not target or exclude the country of the city, and do not target the metro or region of the city.", "items": { "$ref": "City" } }, "metros": { "type": "array", "description": "Metros to be targeted. For each metro only dmaId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a metro, do not target or exclude the country of the metro.", "items": { "$ref": "Metro" } }, "postalCodes": { "items": { "$ref": "PostalCode" }, "description": "Postal codes to be targeted. For each postal code only id is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a postal code, do not target or exclude the country of the postal code.", "type": "array" } }, "type": "object", "description": "Geographical Targeting.", "id": "GeoTargeting" }, "SiteSettings": { "id": "SiteSettings", "properties": { "vpaidAdapterChoiceTemplate": { "type": "string", "description": "Default VPAID adapter setting for new placements created under this site. This value will be used to populate the placements.vpaidAdapterChoice field, when no value is specified for the new placement. Controls which VPAID format the measurement adapter will use for in-stream video creatives assigned to the placement. The publisher's specifications will typically determine this setting. For VPAID creatives, the adapter format will match the VPAID format (HTML5 VPAID creatives use the HTML5 adapter). *Note:* Flash is no longer supported. This field now defaults to HTML5 when the following values are provided: FLASH, BOTH.", "enumDescriptions": [ "", "", "", "" ], "enum": [ "DEFAULT", "FLASH", "HTML5", "BOTH" ] }, "activeViewOptOut": { "description": "Whether active view creatives are disabled for this site.", "type": "boolean" }, "videoActiveViewOptOutTemplate": { "type": "boolean", "description": "Whether Verification and ActiveView for in-stream video creatives are disabled by default for new placements created under this site. This value will be used to populate the placement.videoActiveViewOptOut field, when no value is specified for the new placement." }, "disableNewCookie": { "type": "boolean", "description": "Whether new cookies are disabled for this site." }, "adBlockingOptOut": { "description": "Whether this site opts out of ad blocking. When true, ad blocking is disabled for all placements under the site, regardless of the individual placement settings. When false, the campaign and placement settings take effect.", "type": "boolean" }, "tagSetting": { "description": "Configuration settings for dynamic and image floodlight tags.", "$ref": "TagSetting" } }, "type": "object", "description": "Site Settings" }, "AdsListResponse": { "id": "AdsListResponse", "type": "object", "description": "Ad List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#adsListResponse\"." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "ads": { "items": { "$ref": "Ad" }, "description": "Ad collection.", "type": "array" } } }, "OperatingSystemVersionsListResponse": { "id": "OperatingSystemVersionsListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemVersionsListResponse\"." }, "operatingSystemVersions": { "type": "array", "items": { "$ref": "OperatingSystemVersion" }, "description": "Operating system version collection." } }, "type": "object", "description": "Operating System Version List Response" }, "CreativeFieldsListResponse": { "description": "Creative Field List Response", "id": "CreativeFieldsListResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "creativeFields": { "items": { "$ref": "CreativeField" }, "type": "array", "description": "Creative field collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldsListResponse\".", "type": "string" } } }, "FloodlightActivitiesGenerateTagResponse": { "type": "object", "properties": { "globalSiteTagGlobalSnippet": { "description": "The global snippet section of a global site tag. The global site tag sets new cookies on your domain, which will store a unique identifier for a user or the ad click that brought the user to your site. Learn more.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivitiesGenerateTagResponse\".", "type": "string" }, "floodlightActivityTag": { "type": "string", "description": "Generated tag for this Floodlight activity. For global site tags, this is the event snippet." } }, "description": "Floodlight Activity GenerateTag Response", "id": "FloodlightActivitiesGenerateTagResponse" }, "PlacementGroup": { "type": "object", "description": "Contains properties of a package or roadblock.", "id": "PlacementGroup", "properties": { "childPlacementIds": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "IDs of placements which are assigned to this placement group. This is a read-only, auto-generated field." }, "idDimensionValue": { "description": "Dimension value for the ID of this placement group. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "directorySiteId": { "format": "int64", "type": "string", "description": "Directory site ID associated with this placement group. On insert, you must set either this field or the site_id field to specify the site associated with this placement group. This is a required field that is read-only after insertion." }, "createInfo": { "description": "Information about the creation of this placement group. This is a read-only field.", "$ref": "LastModifiedInfo" }, "contentCategoryId": { "format": "int64", "type": "string", "description": "ID of the content category assigned to this placement group." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this placement group. This is a read-only field that can be left blank." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this placement group. This is a read-only field.", "$ref": "LastModifiedInfo" }, "externalId": { "type": "string", "description": "External ID for this placement." }, "id": { "type": "string", "format": "int64", "description": "ID of this placement group. This is a read-only, auto-generated field." }, "placementGroupType": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLACEMENT_PACKAGE", "PLACEMENT_ROADBLOCK" ], "description": "Type of this placement group. A package is a simple group of placements that acts as a single pricing point for a group of tags. A roadblock is a group of placements that not only acts as a single pricing point, but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned placements to be marked as primary for reporting. This field is required on insertion." }, "pricingSchedule": { "$ref": "PricingSchedule", "description": "Pricing schedule of this placement group. This field is required on insertion." }, "siteId": { "format": "int64", "description": "Site ID associated with this placement group. On insert, you must set either this field or the directorySiteId field to specify the site associated with this placement group. This is a required field that is read-only after insertion.", "type": "string" }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this placement group. This is a required field on insertion.", "type": "string" }, "primaryPlacementId": { "format": "int64", "type": "string", "description": "ID of the primary placement, used to calculate the media cost of a roadblock (placement group). Modifying this field will automatically modify the primary field on all affected roadblock child placements." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementGroup\"." }, "placementStrategyId": { "type": "string", "format": "int64", "description": "ID of the placement strategy assigned to this placement group." }, "comment": { "description": "Comments for this placement group.", "type": "string" }, "directorySiteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field." }, "accountId": { "description": "Account ID of this placement group. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "name": { "description": "Name of this placement group. This is a required field and must be less than 256 characters long.", "type": "string" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "campaignId": { "format": "int64", "type": "string", "description": "Campaign ID of this placement group. This field is required on insertion." }, "primaryPlacementIdDimensionValue": { "description": "Dimension value for the ID of the primary placement. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "siteIdDimensionValue": { "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "archived": { "type": "boolean", "description": "Whether this placement group is archived." }, "campaignIdDimensionValue": { "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field.", "$ref": "DimensionValue" } } }, "PostalCode": { "id": "PostalCode", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#postalCode\"." }, "id": { "type": "string", "description": "ID of this postal code." }, "code": { "type": "string", "description": "Postal code. This is equivalent to the id field." }, "countryDartId": { "description": "DART ID of the country to which this postal code belongs.", "type": "string", "format": "int64" }, "countryCode": { "type": "string", "description": "Country code of the country to which this postal code belongs." } }, "description": "Contains information about a postal code that can be targeted by ads.", "type": "object" }, "ChannelGrouping": { "properties": { "rules": { "items": { "$ref": "ChannelGroupingRule" }, "description": "The rules contained within this channel grouping.", "type": "array" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#channelGrouping.", "type": "string" }, "fallbackName": { "description": "ChannelGrouping fallback name.", "type": "string" }, "name": { "description": "ChannelGrouping name.", "type": "string" } }, "type": "object", "description": "Represents a DfaReporting channel grouping.", "id": "ChannelGrouping" }, "UserProfileList": { "description": "Represents the list of user profiles.", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userProfileList\"." }, "items": { "type": "array", "items": { "$ref": "UserProfile" }, "description": "The user profiles returned in this response." }, "etag": { "type": "string", "description": "Etag of this resource." } }, "id": "UserProfileList" }, "CreativeFieldValue": { "id": "CreativeFieldValue", "properties": { "id": { "description": "ID of this creative field value. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldValue\"." }, "value": { "description": "Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field.", "type": "string" } }, "type": "object", "description": "Contains properties of a creative field value." }, "CountriesListResponse": { "id": "CountriesListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#countriesListResponse\".", "type": "string" }, "countries": { "description": "Country collection.", "type": "array", "items": { "$ref": "Country" } } }, "description": "Country List Response", "type": "object" }, "SubaccountsListResponse": { "type": "object", "id": "SubaccountsListResponse", "description": "Subaccount List Response", "properties": { "subaccounts": { "description": "Subaccount collection.", "type": "array", "items": { "$ref": "Subaccount" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#subaccountsListResponse\"." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } } }, "ThirdPartyTrackingUrl": { "id": "ThirdPartyTrackingUrl", "properties": { "url": { "type": "string", "description": "URL for the specified third-party URL type." }, "thirdPartyUrlType": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "IMPRESSION", "CLICK_TRACKING", "VIDEO_START", "VIDEO_FIRST_QUARTILE", "VIDEO_MIDPOINT", "VIDEO_THIRD_QUARTILE", "VIDEO_COMPLETE", "VIDEO_MUTE", "VIDEO_PAUSE", "VIDEO_REWIND", "VIDEO_FULLSCREEN", "VIDEO_STOP", "VIDEO_CUSTOM", "SURVEY", "RICH_MEDIA_IMPRESSION", "RICH_MEDIA_RM_IMPRESSION", "RICH_MEDIA_BACKUP_IMPRESSION", "VIDEO_SKIP", "VIDEO_PROGRESS" ], "description": "Third-party URL type for in-stream video and in-stream audio creatives." } }, "type": "object", "description": "Third-party Tracking URL." }, "VideoFormat": { "id": "VideoFormat", "type": "object", "description": "Contains information about supported video formats.", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoFormat\".", "type": "string" }, "targetBitRate": { "type": "integer", "format": "int32", "description": "The target bit rate of this video format." }, "id": { "type": "integer", "format": "int32", "description": "ID of the video format." }, "fileType": { "description": "File type of the video format.", "enum": [ "FLV", "THREEGPP", "MP4", "WEBM", "M3U8" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ] }, "resolution": { "$ref": "Size", "description": "The resolution of this video format." } } }, "PlacementStrategiesListResponse": { "type": "object", "description": "Placement Strategy List Response", "id": "PlacementStrategiesListResponse", "properties": { "placementStrategies": { "description": "Placement strategy collection.", "items": { "$ref": "PlacementStrategy" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementStrategiesListResponse\".", "type": "string" } } }, "PathToConversionReportCompatibleFields": { "type": "object", "id": "PathToConversionReportCompatibleFields", "properties": { "customFloodlightVariables": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Custom floodlight variables which are compatible to be selected in the \"customFloodlightVariables\" section of the report." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathToConversionReportCompatibleFields." }, "metrics": { "type": "array", "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "items": { "$ref": "Metric" } }, "conversionDimensions": { "items": { "$ref": "Dimension" }, "type": "array", "description": "Conversion dimensions which are compatible to be selected in the \"conversionDimensions\" section of the report." }, "perInteractionDimensions": { "type": "array", "description": "Per-interaction dimensions which are compatible to be selected in the \"perInteractionDimensions\" section of the report.", "items": { "$ref": "Dimension" } } }, "description": "Represents fields that are compatible to be selected for a report of type \"PATH_TO_CONVERSION\"." }, "CreativeAssetSelection": { "description": "Encapsulates the list of rules for asset selection and a default asset in case none of the rules match. Applicable to INSTREAM_VIDEO creatives.", "id": "CreativeAssetSelection", "properties": { "rules": { "type": "array", "description": "Rules determine which asset will be served to a viewer. Rules will be evaluated in the order in which they are stored in this list. This list must contain at least one rule. Applicable to INSTREAM_VIDEO creatives.", "items": { "$ref": "Rule" } }, "defaultAssetId": { "format": "int64", "type": "string", "description": "A creativeAssets[].id. This should refer to one of the parent assets in this creative, and will be served if none of the rules match. This is a required field." } }, "type": "object" }, "CreativeField": { "type": "object", "id": "CreativeField", "properties": { "id": { "type": "string", "description": "ID of this creative field. This is a read-only, auto-generated field.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeField\"." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this creative field. This is a read-only field that can be left blank." }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "name": { "type": "string", "description": "Name of this creative field. This is a required field and must be less than 256 characters long and unique among creative fields of the same advertiser." }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this creative field. This is a required field on insertion.", "type": "string" }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this creative field. This is a read-only field that can be left blank." } }, "description": "Contains properties of a creative field." }, "AdvertiserGroupsListResponse": { "description": "Advertiser Group List Response", "type": "object", "id": "AdvertiserGroupsListResponse", "properties": { "advertiserGroups": { "items": { "$ref": "AdvertiserGroup" }, "description": "Advertiser group collection.", "type": "array" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserGroupsListResponse\".", "type": "string" } } }, "UserRolePermissionGroupsListResponse": { "id": "UserRolePermissionGroupsListResponse", "type": "object", "properties": { "userRolePermissionGroups": { "type": "array", "description": "User role permission group collection.", "items": { "$ref": "UserRolePermissionGroup" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionGroupsListResponse\"." } }, "description": "User Role Permission Group List Response" }, "ReportCompatibleFields": { "id": "ReportCompatibleFields", "description": "Represents fields that are compatible to be selected for a report of type \"STANDARD\".", "type": "object", "properties": { "pivotedActivityMetrics": { "description": "Metrics which are compatible to be selected as activity metrics to pivot on in the \"activities\" section of the report.", "items": { "$ref": "Metric" }, "type": "array" }, "dimensions": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#reportCompatibleFields." }, "metrics": { "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "type": "array" }, "dimensionFilters": { "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "type": "array" } } }, "ConversionsBatchUpdateResponse": { "id": "ConversionsBatchUpdateResponse", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchUpdateResponse\"." }, "status": { "items": { "$ref": "ConversionStatus" }, "description": "The update status of each conversion. Statuses are returned in the same order that conversions are updated.", "type": "array" }, "hasFailures": { "type": "boolean", "description": "Indicates that some or all conversions failed to update." } }, "description": "Update Conversions Response." }, "ListTargetingExpression": { "description": "Remarketing List Targeting Expression.", "type": "object", "properties": { "expression": { "description": "Expression describing which lists are being targeted by the ad.", "type": "string" } }, "id": "ListTargetingExpression" }, "ConversionStatus": { "type": "object", "id": "ConversionStatus", "properties": { "errors": { "description": "A list of errors related to this conversion.", "items": { "$ref": "ConversionError" }, "type": "array" }, "conversion": { "$ref": "Conversion", "description": "The original conversion that was inserted or updated." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionStatus\".", "type": "string" } }, "description": "The original conversion that was inserted or updated and whether there were any errors." }, "ObaIcon": { "properties": { "resourceUrl": { "description": "OBA icon resource URL. Campaign Manager only supports image and JavaScript icons. Learn more", "type": "string" }, "iconViewTrackingUrl": { "type": "string", "description": "URL to track view when an OBA icon is clicked." }, "program": { "description": "Identifies the industry initiative that the icon supports. For example, AdChoices.", "type": "string" }, "iconClickThroughUrl": { "description": "URL to redirect to when an OBA icon is clicked.", "type": "string" }, "iconClickTrackingUrl": { "description": "URL to track click when an OBA icon is clicked.", "type": "string" }, "xPosition": { "description": "OBA icon x coordinate position. Accepted values are left or right.", "type": "string" }, "size": { "$ref": "Size", "description": "OBA icon size." }, "yPosition": { "description": "OBA icon y coordinate position. Accepted values are top or bottom.", "type": "string" } }, "id": "ObaIcon", "type": "object", "description": "Online Behavioral Advertiser icon." }, "DirectorySitesListResponse": { "id": "DirectorySitesListResponse", "type": "object", "properties": { "directorySites": { "type": "array", "items": { "$ref": "DirectorySite" }, "description": "Directory site collection." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#directorySitesListResponse\".", "type": "string" } }, "description": "Directory Site List Response" }, "AdvertiserGroup": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserGroup\".", "type": "string" }, "id": { "description": "ID of this advertiser group. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "Name of this advertiser group. This is a required field and must be less than 256 characters long and unique among advertiser groups of the same account." }, "accountId": { "description": "Account ID of this advertiser group. This is a read-only field that can be left blank.", "type": "string", "format": "int64" } }, "type": "object", "description": "Groups advertisers together so that reports can be generated for the entire group at once.", "id": "AdvertiserGroup" }, "PlacementTag": { "type": "object", "properties": { "placementId": { "type": "string", "description": "Placement ID", "format": "int64" }, "tagDatas": { "description": "Tags generated for this placement.", "type": "array", "items": { "$ref": "TagData" } } }, "id": "PlacementTag", "description": "Placement Tag" }, "LanguagesListResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#languagesListResponse\".", "type": "string" }, "languages": { "items": { "$ref": "Language" }, "description": "Language collection.", "type": "array" } }, "id": "LanguagesListResponse", "description": "Language List Response" }, "PathReportCompatibleFields": { "type": "object", "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathReportCompatibleFields." }, "pathFilters": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"pathFilters\" section of the report.", "items": { "$ref": "Dimension" } }, "channelGroupings": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"channelGroupings\" section of the report.", "items": { "$ref": "Dimension" } }, "dimensions": { "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report.", "items": { "$ref": "Dimension" }, "type": "array" }, "metrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report." } }, "id": "PathReportCompatibleFields", "description": "Represents fields that are compatible to be selected for a report of type \"PATH\"." }, "ContentCategoriesListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#contentCategoriesListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "contentCategories": { "type": "array", "description": "Content category collection.", "items": { "$ref": "ContentCategory" } } }, "id": "ContentCategoriesListResponse", "description": "Content Category List Response", "type": "object" }, "CreativeFieldValuesListResponse": { "type": "object", "description": "Creative Field Value List Response", "id": "CreativeFieldValuesListResponse", "properties": { "creativeFieldValues": { "description": "Creative field value collection.", "items": { "$ref": "CreativeFieldValue" }, "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldValuesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } } }, "MeasurementPartnerAdvertiserLink": { "id": "MeasurementPartnerAdvertiserLink", "type": "object", "properties": { "linkStatus": { "type": "string", "description": ".", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ] }, "measurementPartner": { "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Measurement partner used for tag wrapping." }, "partnerAdvertiserId": { "description": ".", "type": "string" } } }, "SiteSkippableSetting": { "properties": { "skippable": { "description": "Whether the user can skip creatives served to this site. This will act as default for new placements created under this site.", "type": "boolean" }, "skipOffset": { "$ref": "VideoOffset", "description": "Amount of time to play videos served to this site before the skip button should appear. Applicable when skippable is true." }, "progressOffset": { "description": "Amount of time to play videos served to this site template before counting a view. Applicable when skippable is true.", "$ref": "VideoOffset" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteSkippableSetting\".", "type": "string" } }, "type": "object", "description": "Skippable Settings", "id": "SiteSkippableSetting" }, "TargetingTemplate": { "id": "TargetingTemplate", "properties": { "advertiserId": { "format": "int64", "description": "Advertiser ID of this targeting template. This is a required field on insert and is read-only after insert.", "type": "string" }, "languageTargeting": { "description": "Language targeting criteria.", "$ref": "LanguageTargeting" }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this targeting template. This field, if left unset, will be auto-generated on insert and is read-only after insert." }, "dayPartTargeting": { "description": "Time and day targeting criteria.", "$ref": "DayPartTargeting" }, "listTargetingExpression": { "description": "Remarketing list targeting criteria.", "$ref": "ListTargetingExpression" }, "geoTargeting": { "$ref": "GeoTargeting", "description": "Geographical targeting criteria." }, "technologyTargeting": { "description": "Technology platform targeting criteria.", "$ref": "TechnologyTargeting" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this targeting template. This field, if left unset, will be auto-generated on insert and is read-only after insert." }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "name": { "type": "string", "description": "Name of this targeting template. This field is required. It must be less than 256 characters long and unique within an advertiser." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetingTemplate\".", "type": "string" }, "keyValueTargetingExpression": { "description": "Key-value targeting criteria.", "$ref": "KeyValueTargetingExpression" }, "id": { "description": "ID of this targeting template. This is a read-only, auto-generated field.", "type": "string", "format": "int64" } }, "type": "object", "description": "Contains properties of a targeting template. A targeting template encapsulates targeting information which can be reused across multiple ads." }, "MeasurementPartnerWrappingData": { "id": "MeasurementPartnerWrappingData", "properties": { "wrappedTag": { "description": "Tag provided by the measurement partner during wrapping.", "type": "string" }, "measurementPartner": { "enumDescriptions": [ "", "", "" ], "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ], "description": "Measurement partner used for wrapping the placement.", "type": "string" }, "tagWrappingMode": { "type": "string", "enum": [ "NONE", "BLOCKING", "MONITORING", "MONITORING_ONLY", "VIDEO_PIXEL_MONITORING", "TRACKING", "VPAID_MONITORING", "VPAID_BLOCKING", "NON_VPAID_MONITORING", "VPAID_ONLY_MONITORING", "VPAID_ONLY_BLOCKING", "VPAID_ONLY_FILTERING", "VPAID_FILTERING", "NON_VPAID_FILTERING" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "Measurement mode for the wrapped placement." }, "linkStatus": { "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ], "description": "Placement wrapping status.", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string" } }, "description": "Placement tag wrapping", "type": "object" }, "PlacementStrategy": { "properties": { "id": { "description": "ID of this placement strategy. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "accountId": { "type": "string", "description": "Account ID of this placement strategy.This is a read-only field that can be left blank.", "format": "int64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementStrategy\".", "type": "string" }, "name": { "description": "Name of this placement strategy. This is a required field. It must be less than 256 characters long and unique among placement strategies of the same account.", "type": "string" } }, "id": "PlacementStrategy", "description": "Contains properties of a placement strategy.", "type": "object" }, "UserRole": { "id": "UserRole", "properties": { "id": { "description": "ID of this user role. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRole\"." }, "parentUserRoleId": { "type": "string", "format": "int64", "description": "ID of the user role that this user role is based on or copied from. This is a required field." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this user role. This is a read-only field that can be left blank." }, "defaultUserRole": { "description": "Whether this is a default user role. Default user roles are created by the system for the account/subaccount and cannot be modified or deleted. Each default user role comes with a basic set of preassigned permissions.", "type": "boolean" }, "permissions": { "items": { "$ref": "UserRolePermission" }, "type": "array", "description": "List of permissions associated with this user role." }, "accountId": { "type": "string", "description": "Account ID of this user role. This is a read-only field that can be left blank.", "format": "int64" }, "name": { "type": "string", "description": "Name of this user role. This is a required field. Must be less than 256 characters long. If this user role is under a subaccount, the name must be unique among sites of the same subaccount. Otherwise, this user role is a top-level user role, and the name must be unique among top-level user roles of the same account." } }, "type": "object", "description": "Contains properties of auser role, which is used to manage user access." }, "UserRolePermissionGroup": { "type": "object", "description": "Represents a grouping of related user role permissions.", "id": "UserRolePermissionGroup", "properties": { "name": { "description": "Name of this user role permission group.", "type": "string" }, "id": { "type": "string", "description": "ID of this user role permission.", "format": "int64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionGroup\".", "type": "string" } } }, "DynamicTargetingKeysListResponse": { "type": "object", "description": "Dynamic Targeting Key List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#dynamicTargetingKeysListResponse\"." }, "dynamicTargetingKeys": { "items": { "$ref": "DynamicTargetingKey" }, "description": "Dynamic targeting key collection.", "type": "array" } }, "id": "DynamicTargetingKeysListResponse" }, "ChannelGroupingRule": { "description": "Represents a DfaReporting channel grouping rule.", "properties": { "disjunctiveMatchStatements": { "items": { "$ref": "DisjunctiveMatchStatement" }, "type": "array", "description": "The disjunctive match statements contained within this rule." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#channelGroupingRule.", "type": "string" }, "name": { "type": "string", "description": "Rule name." } }, "type": "object", "id": "ChannelGroupingRule" }, "TargetableRemarketingListsListResponse": { "description": "Targetable remarketing list response", "type": "object", "id": "TargetableRemarketingListsListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetableRemarketingListsListResponse\".", "type": "string" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "targetableRemarketingLists": { "type": "array", "description": "Targetable remarketing list collection.", "items": { "$ref": "TargetableRemarketingList" } } } }, "ConnectionType": { "properties": { "name": { "type": "string", "description": "Name of this connection type." }, "id": { "description": "ID of this connection type.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#connectionType\"." } }, "id": "ConnectionType", "type": "object", "description": "Contains information about an internet connection type that can be targeted by ads. Clients can use the connection type to target mobile vs. broadband users." }, "TargetWindow": { "type": "object", "properties": { "customHtml": { "type": "string", "description": "User-entered value." }, "targetWindowOption": { "type": "string", "description": "Type of browser window for which the backup image of the flash creative can be displayed.", "enumDescriptions": [ "", "", "" ], "enum": [ "NEW_WINDOW", "CURRENT_WINDOW", "CUSTOM" ] } }, "id": "TargetWindow", "description": "Target Window." }, "SiteTranscodeSetting": { "description": "Transcode Settings", "properties": { "enabledVideoFormats": { "description": "Allowlist of video formats to be served to this site template. Set this list to null or empty to serve all video formats.", "items": { "format": "int32", "type": "integer" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteTranscodeSetting\"." } }, "type": "object", "id": "SiteTranscodeSetting" }, "CreativeAsset": { "type": "object", "id": "CreativeAsset", "description": "Creative Asset.", "properties": { "orientation": { "enum": [ "LANDSCAPE", "PORTRAIT", "SQUARE" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Orientation of video asset. This is a read-only, auto-generated field." }, "additionalSizes": { "items": { "$ref": "Size" }, "type": "array", "description": "Additional sizes associated with this creative asset. HTML5 asset generated by compatible software such as GWD will be able to support more sizes this creative asset can render." }, "assetIdentifier": { "description": "Identifier of this asset. This is the same identifier returned during creative asset insert operation. This is a required field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT.", "$ref": "CreativeAssetId" }, "audioBitRate": { "type": "integer", "description": "Audio stream bit rate in kbps. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "format": "int32" }, "duration": { "description": "Duration in seconds for which an asset will be displayed. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and VPAID_LINEAR_VIDEO. Value must be greater than or equal to 1.", "type": "integer", "format": "int32" }, "artworkType": { "type": "string", "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "description": "Artwork type of rich media creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "enumDescriptions": [ "", "", "", "" ] }, "backupImageExit": { "$ref": "CreativeCustomEvent", "description": "Exit event configured for the backup image. Applicable to the following creative types: all RICH_MEDIA." }, "fileSize": { "description": "File size associated with this creative asset. This is a read-only field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT.", "format": "int64", "type": "string" }, "customStartTimeValue": { "description": "Custom start time in seconds for making the asset visible. Applicable to the following creative types: all RICH_MEDIA. Value must be greater than or equal to 0.", "type": "integer", "format": "int32" }, "pushdownDuration": { "format": "float", "type": "number", "description": "Pushdown duration in seconds for an asset. Applicable to the following creative types: all RICH_MEDIA.Additionally, only applicable when the asset pushdown field is true, the offsets are 0, the collapsedSize.width matches size.width, and the collapsedSize.height is less than size.height. Acceptable values are 0 to 9.99, inclusive." }, "windowMode": { "enum": [ "OPAQUE", "WINDOW", "TRANSPARENT" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Window mode options for flash assets. Applicable to the following creative types: FLASH_INPAGE, RICH_MEDIA_DISPLAY_EXPANDING, RICH_MEDIA_IM_EXPAND, RICH_MEDIA_DISPLAY_BANNER, and RICH_MEDIA_INPAGE_FLOATING." }, "expandedDimension": { "description": "Detected expanded dimension for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID.", "$ref": "Size" }, "sslCompliant": { "description": "Whether the asset is SSL-compliant. This is a read-only field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT.", "type": "boolean" }, "bitRate": { "type": "integer", "description": "Detected bit-rate for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "format": "int32" }, "alignment": { "enumDescriptions": [ "", "", "", "" ], "description": "Possible alignments for an asset. This is a read-only field. Applicable to the following creative types: RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL .", "type": "string", "enum": [ "ALIGNMENT_TOP", "ALIGNMENT_RIGHT", "ALIGNMENT_BOTTOM", "ALIGNMENT_LEFT" ] }, "role": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "enum": [ "PRIMARY", "BACKUP_IMAGE", "ADDITIONAL_IMAGE", "ADDITIONAL_FLASH", "PARENT_VIDEO", "TRANSCODED_VIDEO", "OTHER", "ALTERNATE_VIDEO", "PARENT_AUDIO", "TRANSCODED_AUDIO" ], "description": "Role of the asset in relation to creative. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT. This is a required field. PRIMARY applies to DISPLAY, FLASH_INPAGE, HTML5_BANNER, IMAGE, DISPLAY_IMAGE_GALLERY, all RICH_MEDIA (which may contain multiple primary assets), and all VPAID creatives. BACKUP_IMAGE applies to FLASH_INPAGE, HTML5_BANNER, all RICH_MEDIA, and all VPAID creatives. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE. ADDITIONAL_IMAGE and ADDITIONAL_FLASH apply to FLASH_INPAGE creatives. OTHER refers to assets from sources other than Campaign Manager, such as Studio uploaded assets, applicable to all RICH_MEDIA and all VPAID creatives. PARENT_VIDEO refers to videos uploaded by the user in Campaign Manager and is applicable to INSTREAM_VIDEO and VPAID_LINEAR_VIDEO creatives. TRANSCODED_VIDEO refers to videos transcoded by Campaign Manager from PARENT_VIDEO assets and is applicable to INSTREAM_VIDEO and VPAID_LINEAR_VIDEO creatives. ALTERNATE_VIDEO refers to the Campaign Manager representation of child asset videos from Studio, and is applicable to VPAID_LINEAR_VIDEO creatives. These cannot be added or removed within Campaign Manager. For VPAID_LINEAR_VIDEO creatives, PARENT_VIDEO, TRANSCODED_VIDEO and ALTERNATE_VIDEO assets that are marked active serve as backup in case the VPAID creative cannot be served. Only PARENT_VIDEO assets can be added or removed for an INSTREAM_VIDEO or VPAID_LINEAR_VIDEO creative. PARENT_AUDIO refers to audios uploaded by the user in Campaign Manager and is applicable to INSTREAM_AUDIO creatives. TRANSCODED_AUDIO refers to audios transcoded by Campaign Manager from PARENT_AUDIO assets and is applicable to INSTREAM_AUDIO creatives. " }, "childAssetType": { "enum": [ "CHILD_ASSET_TYPE_FLASH", "CHILD_ASSET_TYPE_VIDEO", "CHILD_ASSET_TYPE_IMAGE", "CHILD_ASSET_TYPE_DATA" ], "description": "Rich media child asset type. This is a read-only field. Applicable to the following creative types: all VPAID.", "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "hideFlashObjects": { "description": "Whether to hide Flash objects flag for an asset. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "horizontallyLocked": { "type": "boolean", "description": "Whether the asset is horizontally locked. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA." }, "actionScript3": { "description": "Whether ActionScript3 is enabled for the flash asset. This is a read-only field. Applicable to the following creative type: FLASH_INPAGE. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "boolean" }, "collapsedSize": { "description": "Size of an asset when collapsed. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID. Additionally, applicable to assets whose displayType is ASSET_DISPLAY_TYPE_EXPANDING or ASSET_DISPLAY_TYPE_PEEL_DOWN.", "$ref": "Size" }, "transparency": { "description": "Whether the asset is transparent. Applicable to the following creative types: all RICH_MEDIA. Additionally, only applicable to HTML5 assets.", "type": "boolean" }, "startTimeType": { "description": "Initial wait time type before making the asset visible. Applicable to the following creative types: all RICH_MEDIA.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASSET_START_TIME_TYPE_NONE", "ASSET_START_TIME_TYPE_CUSTOM" ] }, "companionCreativeIds": { "description": "List of companion creatives assigned to an in-stream video creative asset. Acceptable values include IDs of existing flash and image creatives. Applicable to INSTREAM_VIDEO creative type with dynamicAssetSelection set to true.", "items": { "type": "string", "format": "int64" }, "type": "array" }, "politeLoad": { "description": "Whether this asset is used as a polite load asset.", "type": "boolean" }, "detectedFeatures": { "type": "array", "items": { "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "description": "List of feature dependencies for the creative asset that are detected by Campaign Manager. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative correctly. This is a read-only, auto-generated field. Applicable to the following creative types: HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE." }, "pushdown": { "type": "boolean", "description": "Whether the asset pushes down other content. Applicable to the following creative types: all RICH_MEDIA. Additionally, only applicable when the asset offsets are 0, the collapsedSize.width matches size.width, and the collapsedSize.height is less than size.height." }, "id": { "format": "int64", "type": "string", "description": "Numeric ID of this creative asset. This is a required field and should not be modified. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT." }, "positionTopUnit": { "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Offset top unit for an asset. This is a read-only field if the asset displayType is ASSET_DISPLAY_TYPE_OVERLAY. Applicable to the following creative types: all RICH_MEDIA.", "enum": [ "OFFSET_UNIT_PIXEL", "OFFSET_UNIT_PERCENT", "OFFSET_UNIT_PIXEL_FROM_CENTER" ] }, "size": { "description": "Size associated with this creative asset. This is a required field when applicable; however for IMAGE and FLASH_INPAGE, creatives if left blank, this field will be automatically set using the actual size of the associated image asset. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER, IMAGE, and all RICH_MEDIA. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "$ref": "Size" }, "position": { "$ref": "OffsetPosition", "description": "Offset position for an asset. Applicable to the following creative types: all RICH_MEDIA." }, "idDimensionValue": { "description": "Dimension value for the ID of the asset. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "positionLeftUnit": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Offset left unit for an asset. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "enum": [ "OFFSET_UNIT_PIXEL", "OFFSET_UNIT_PERCENT", "OFFSET_UNIT_PIXEL_FROM_CENTER" ] }, "zipFilename": { "type": "string", "description": "File name of zip file. This is a read-only field. Applicable to the following creative types: HTML5_BANNER." }, "verticallyLocked": { "description": "Whether the asset is vertically locked. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "audioSampleRate": { "description": "Audio sample bit rate in hertz. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "integer", "format": "int32" }, "flashVersion": { "description": "Flash version of the asset. This is a read-only field. Applicable to the following creative types: FLASH_INPAGE, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "format": "int32", "type": "integer" }, "streamingServingUrl": { "type": "string", "description": "Streaming URL for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID." }, "frameRate": { "format": "float", "type": "number", "description": "Video frame rate for video asset in frames per second. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID." }, "displayType": { "enum": [ "ASSET_DISPLAY_TYPE_INPAGE", "ASSET_DISPLAY_TYPE_FLOATING", "ASSET_DISPLAY_TYPE_OVERLAY", "ASSET_DISPLAY_TYPE_EXPANDING", "ASSET_DISPLAY_TYPE_FLASH_IN_FLASH", "ASSET_DISPLAY_TYPE_FLASH_IN_FLASH_EXPANDING", "ASSET_DISPLAY_TYPE_PEEL_DOWN", "ASSET_DISPLAY_TYPE_VPAID_LINEAR", "ASSET_DISPLAY_TYPE_VPAID_NON_LINEAR", "ASSET_DISPLAY_TYPE_BACKDROP" ], "description": "Type of rich media asset. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ], "type": "string" }, "hideSelectionBoxes": { "description": "Whether to hide selection boxes flag for an asset. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "zIndex": { "type": "integer", "description": "zIndex value of an asset. Applicable to the following creative types: all RICH_MEDIA.Additionally, only applicable to assets whose displayType is NOT one of the following types: ASSET_DISPLAY_TYPE_INPAGE or ASSET_DISPLAY_TYPE_OVERLAY. Acceptable values are -999999999 to 999999999, inclusive.", "format": "int32" }, "offset": { "description": "Offset position for an asset in collapsed mode. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID. Additionally, only applicable to assets whose displayType is ASSET_DISPLAY_TYPE_EXPANDING or ASSET_DISPLAY_TYPE_PEEL_DOWN.", "$ref": "OffsetPosition" }, "mimeType": { "description": "Detected MIME type for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "string" }, "durationType": { "enum": [ "ASSET_DURATION_TYPE_AUTO", "ASSET_DURATION_TYPE_NONE", "ASSET_DURATION_TYPE_CUSTOM" ], "type": "string", "description": "Duration type for which an asset will be displayed. Applicable to the following creative types: all RICH_MEDIA.", "enumDescriptions": [ "", "", "" ] }, "mediaDuration": { "format": "float", "description": "Detected duration for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "number" }, "progressiveServingUrl": { "type": "string", "description": "Progressive URL for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID." }, "originalBackup": { "description": "Whether the backup asset is original or changed by the user in Campaign Manager. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "zipFilesize": { "type": "string", "description": "Size of zip file. This is a read-only field. Applicable to the following creative types: HTML5_BANNER." }, "active": { "description": "Whether the video or audio asset is active. This is a read-only field for VPAID_NON_LINEAR_VIDEO assets. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "boolean" } } }, "PlacementGroupsListResponse": { "description": "Placement Group List Response", "id": "PlacementGroupsListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementGroupsListResponse\"." }, "placementGroups": { "items": { "$ref": "PlacementGroup" }, "description": "Placement group collection.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } }, "type": "object" }, "FileList": { "properties": { "etag": { "description": "Etag of this resource.", "type": "string" }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through files. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted." }, "items": { "items": { "$ref": "File" }, "description": "The files returned in this response.", "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#fileList\".", "type": "string" } }, "type": "object", "description": "List of files for a report.", "id": "FileList" }, "AudienceSegmentGroup": { "type": "object", "description": "Audience Segment Group.", "properties": { "audienceSegments": { "type": "array", "items": { "$ref": "AudienceSegment" }, "description": "Audience segments assigned to this group. The number of segments must be between 2 and 100." }, "name": { "description": "Name of this audience segment group. This is a required field and must be less than 65 characters long.", "type": "string" }, "id": { "format": "int64", "type": "string", "description": "ID of this audience segment group. This is a read-only, auto-generated field." } }, "id": "AudienceSegmentGroup" }, "OrderDocument": { "id": "OrderDocument", "description": "Contains properties of a Planning order document.", "type": "object", "properties": { "subaccountId": { "type": "string", "description": "Subaccount ID of this order document.", "format": "int64" }, "advertiserId": { "format": "int64", "description": "Advertiser ID of this order document.", "type": "string" }, "title": { "description": "Title of this order document.", "type": "string" }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this order document." }, "projectId": { "type": "string", "format": "int64", "description": "Project ID of this order document." }, "lastSentRecipients": { "description": "List of email addresses that received the last sent document.", "items": { "type": "string" }, "type": "array" }, "lastSentTime": { "type": "string", "format": "date-time" }, "id": { "format": "int64", "type": "string", "description": "ID of this order document." }, "amendedOrderDocumentId": { "type": "string", "format": "int64", "description": "The amended order document ID of this order document. An order document can be created by optionally amending another order document so that the change history can be preserved." }, "orderId": { "format": "int64", "type": "string", "description": "ID of the order from which this order document is created." }, "createdInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this order document." }, "type": { "description": "Type of this order document", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLANNING_ORDER_TYPE_INSERTION_ORDER", "PLANNING_ORDER_TYPE_CHANGE_ORDER" ] }, "cancelled": { "type": "boolean", "description": "Whether this order document is cancelled." }, "signed": { "type": "boolean", "description": "Whether this order document has been signed." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#orderDocument\".", "type": "string" }, "effectiveDate": { "format": "date", "type": "string" }, "approvedByUserProfileIds": { "description": "IDs of users who have approved this order document.", "type": "array", "items": { "type": "string", "format": "int64" } } } }, "SkippableSetting": { "id": "SkippableSetting", "description": "Skippable Settings", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#skippableSetting\".", "type": "string" }, "progressOffset": { "$ref": "VideoOffset", "description": "Amount of time to play videos served to this placement before counting a view. Applicable when skippable is true." }, "skippable": { "type": "boolean", "description": "Whether the user can skip creatives served to this placement." }, "skipOffset": { "description": "Amount of time to play videos served to this placement before the skip button should appear. Applicable when skippable is true.", "$ref": "VideoOffset" } } }, "Activities": { "type": "object", "description": "Represents an activity group.", "properties": { "metricNames": { "type": "array", "items": { "type": "string" }, "description": "List of names of floodlight activity metrics." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#activities.", "type": "string" }, "filters": { "type": "array", "items": { "$ref": "DimensionValue" }, "description": "List of activity filters. The dimension values need to be all either of type \"dfa:activity\" or \"dfa:activityGroup\"." } }, "id": "Activities" }, "Creative": { "properties": { "skipOffset": { "description": "Amount of time to play the video before the skip button appears. Applicable to the following creative types: all INSTREAM_VIDEO.", "$ref": "VideoOffset" }, "authoringSource": { "description": "Source application where creative was authored. Presently, only DBM authored creatives will have this field set. Applicable to all creative types.", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "CREATIVE_AUTHORING_SOURCE_DCM", "CREATIVE_AUTHORING_SOURCE_DBM", "CREATIVE_AUTHORING_SOURCE_STUDIO", "CREATIVE_AUTHORING_SOURCE_GWD", "CREATIVE_AUTHORING_SOURCE_ACS" ], "type": "string" }, "clickTags": { "items": { "$ref": "ClickTag" }, "description": "Click tags of the creative. For DISPLAY, FLASH_INPAGE, and HTML5_BANNER creatives, this is a subset of detected click tags for the assets associated with this creative. After creating a flash asset, detected click tags will be returned in the creativeAssetMetadata. When inserting the creative, populate the creative clickTags field using the creativeAssetMetadata.clickTags field. For DISPLAY_IMAGE_GALLERY creatives, there should be exactly one entry in this list for each image creative asset. A click tag is matched with a corresponding creative asset by matching the clickTag.name field with the creativeAsset.assetIdentifier.name field. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "array" }, "requiredFlashVersion": { "format": "int32", "description": "The internal Flash version for this creative as calculated by Studio. This is a read-only field. Applicable to the following creative types: FLASH_INPAGE all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "integer" }, "name": { "description": "Name of the creative. This is a required field and must be less than 256 characters long. Applicable to all creative types.", "type": "string" }, "latestTraffickedCreativeId": { "type": "string", "description": "Latest Studio trafficked creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "format": "int64" }, "creativeAssets": { "type": "array", "items": { "$ref": "CreativeAsset" }, "description": "Assets associated with a creative. Applicable to all but the following creative types: INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and REDIRECT" }, "id": { "description": "ID of this creative. This is a read-only, auto-generated field. Applicable to all creative types.", "format": "int64", "type": "string" }, "backupImageFeatures": { "description": "List of feature dependencies that will cause a backup image to be served if the browser that serves the ad does not support them. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative asset correctly. This field is initially auto-generated to contain all features detected by Campaign Manager for all the assets of this creative and can then be modified by the client. To reset this field, copy over all the creativeAssets' detected features. Applicable to the following creative types: HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "items": { "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "type": "array" }, "dynamicAssetSelection": { "type": "boolean", "description": "Set this to true to enable the use of rules to target individual assets in this creative. When set to true creativeAssetSelection must be set. This also controls asset-level companions. When this is true, companion creatives should be assigned to creative assets. Learn more. Applicable to INSTREAM_VIDEO creatives." }, "adParameters": { "description": "Ad parameters user for VPAID creative. This is a read-only field. Applicable to the following creative types: all VPAID.", "type": "string" }, "adTagKeys": { "items": { "type": "string" }, "type": "array", "description": "Keywords for a Rich Media creative. Keywords let you customize the creative settings of a Rich Media ad running on your site without having to contact the advertiser. You can use keywords to dynamically change the look or functionality of a creative. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this creative. This is a read-only field. Applicable to all creative types." }, "companionCreatives": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "List of companion creatives assigned to an in-Stream video creative. Acceptable values include IDs of existing flash and image creatives. Applicable to the following creative types: all VPAID, all INSTREAM_AUDIO and all INSTREAM_VIDEO with dynamicAssetSelection set to false." }, "version": { "type": "integer", "description": "The version number helps you keep track of multiple versions of your creative in your reports. The version number will always be auto-generated during insert operations to start at 1. For tracking creatives the version cannot be incremented and will always remain at 1. For all other creative types the version can be incremented only by 1 during update operations. In addition, the version will be automatically incremented by 1 when undergoing Rich Media creative merging. Applicable to all creative types.", "format": "int32" }, "artworkType": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "description": "Type of artwork used for the creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "counterCustomEvents": { "description": "List of counter events configured for the creative. For DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID.", "items": { "$ref": "CreativeCustomEvent" }, "type": "array" }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this creative. This field, if left unset, will be auto-generated for both insert and update operations. Applicable to all creative types." }, "backgroundColor": { "type": "string", "description": "The 6-character HTML color code, beginning with #, for the background of the window area where the Flash file is displayed. Default is white. Applicable to the following creative types: FLASH_INPAGE." }, "mediaDuration": { "format": "float", "type": "number", "description": "Creative audio or video duration in seconds. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO, INSTREAM_AUDIO, all RICH_MEDIA, and all VPAID." }, "thirdPartyUrls": { "description": "Third-party URLs for tracking in-stream creative events. Applicable to the following creative types: all INSTREAM_VIDEO, all INSTREAM_AUDIO, and all VPAID.", "items": { "$ref": "ThirdPartyTrackingUrl" }, "type": "array" }, "compatibility": { "type": "array", "items": { "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string" }, "description": "Compatibilities associated with this creative. This is a read-only field. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices or in mobile apps for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. Only pre-existing creatives may have these compatibilities since new creatives will either be assigned DISPLAY or DISPLAY_INTERSTITIAL instead. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard. IN_STREAM_AUDIO refers to rendering in in-stream audio ads developed with the VAST standard. Applicable to all creative types. Acceptable values are: - \"APP\" - \"APP_INTERSTITIAL\" - \"IN_STREAM_VIDEO\" - \"IN_STREAM_AUDIO\" - \"DISPLAY\" - \"DISPLAY_INTERSTITIAL\" " }, "advertiserId": { "description": "Advertiser ID of this creative. This is a required field. Applicable to all creative types.", "type": "string", "format": "int64" }, "skippable": { "description": "Whether the user can choose to skip the creative. Applicable to the following creative types: all INSTREAM_VIDEO and all VPAID.", "type": "boolean" }, "overrideCss": { "type": "string", "description": "Override CSS value for rich media creatives. Applicable to the following creative types: all RICH_MEDIA." }, "autoAdvanceImages": { "description": "Whether images are automatically advanced for image gallery creatives. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY.", "type": "boolean" }, "size": { "description": "Size associated with this creative. When inserting or updating a creative either the size ID field or size width and height fields can be used. This is a required field when applicable; however for IMAGE, FLASH_INPAGE creatives, and for DISPLAY creatives with a primary asset of type HTML_IMAGE, if left blank, this field will be automatically set using the actual size of the associated image assets. Applicable to the following creative types: DISPLAY, DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER, IMAGE, and all RICH_MEDIA.", "$ref": "Size" }, "active": { "type": "boolean", "description": "Whether the creative is active. Applicable to all creative types." }, "renderingIdDimensionValue": { "description": "Dimension value for the rendering ID of this creative. This is a read-only field. Applicable to all creative types.", "$ref": "DimensionValue" }, "universalAdId": { "$ref": "UniversalAdId", "description": "A Universal Ad ID as per the VAST 4.0 spec. Applicable to the following creative types: INSTREAM_AUDIO and INSTREAM_VIDEO and VPAID." }, "backupImageReportingLabel": { "description": "Reporting label used for HTML5 banner backup image. Applicable to the following creative types: DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "string" }, "sslCompliant": { "type": "boolean", "description": "Whether the creative is SSL-compliant. This is a read-only field. Applicable to all creative types." }, "additionalSizes": { "items": { "$ref": "Size" }, "description": "Additional sizes associated with a responsive creative. When inserting or updating a creative either the size ID field or size width and height fields can be used. Applicable to DISPLAY creatives when the primary asset type is HTML_IMAGE.", "type": "array" }, "renderingId": { "format": "int64", "type": "string", "description": "ID of current rendering version. This is a read-only field. Applicable to all creative types." }, "thirdPartyRichMediaImpressionsUrl": { "type": "string", "description": "Third-party URL used to record rich media impressions. Applicable to the following creative types: all RICH_MEDIA." }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this creative. This field, if left unset, will be auto-generated for both insert and update operations. Applicable to all creative types.", "type": "string" }, "studioCreativeId": { "format": "int64", "type": "string", "description": "Studio creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "allowScriptAccess": { "description": "Whether script access is allowed for this creative. This is a read-only and deprecated field which will automatically be set to true on update. Applicable to the following creative types: FLASH_INPAGE.", "type": "boolean" }, "totalFileSize": { "description": "Combined size of all creative assets. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "type": "string", "format": "int64" }, "fsCommand": { "$ref": "FsCommand", "description": "OpenWindow FSCommand of this creative. This lets the SWF file communicate with either Flash Player or the program hosting Flash Player, such as a web browser. This is only triggered if allowScriptAccess field is true. Applicable to the following creative types: FLASH_INPAGE." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creative\".", "type": "string" }, "lastModifiedInfo": { "description": "Creative last modification information. This is a read-only field. Applicable to all creative types.", "$ref": "LastModifiedInfo" }, "convertFlashToHtml5": { "type": "boolean", "description": "Whether Flash assets associated with the creative need to be automatically converted to HTML5. This flag is enabled by default and users can choose to disable it if they don't want the system to generate and use HTML5 asset for this creative. Applicable to the following creative type: FLASH_INPAGE. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE." }, "sslOverride": { "description": "Whether creative should be treated as SSL compliant even if the system scan shows it's not. Applicable to all creative types.", "type": "boolean" }, "timerCustomEvents": { "items": { "$ref": "CreativeCustomEvent" }, "description": "List of timer events configured for the creative. For DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset is not HTML_IMAGE.", "type": "array" }, "authoringTool": { "enumDescriptions": [ "", "" ], "enum": [ "NINJA", "SWIFFY" ], "type": "string", "description": "Authoring tool for HTML5 banner creatives. This is a read-only field. Applicable to the following creative types: HTML5_BANNER." }, "backupImageClickThroughUrl": { "description": "Click-through URL for backup image. Applicable to ENHANCED_BANNER when the primary asset type is not HTML_IMAGE.", "$ref": "CreativeClickThroughUrl" }, "archived": { "type": "boolean", "description": "Whether the creative is archived. Applicable to all creative types." }, "htmlCode": { "description": "HTML code for the creative. This is a required field when applicable. This field is ignored if htmlCodeLocked is true. Applicable to the following creative types: all CUSTOM, FLASH_INPAGE, and HTML5_BANNER, and all RICH_MEDIA.", "type": "string" }, "redirectUrl": { "description": "URL of hosted image or hosted video or another ad tag. For INSTREAM_VIDEO_REDIRECT creatives this is the in-stream video redirect URL. The standard for a VAST (Video Ad Serving Template) ad response allows for a redirect link to another VAST 2.0 or 3.0 call. This is a required field when applicable. Applicable to the following creative types: DISPLAY_REDIRECT, INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and INSTREAM_VIDEO_REDIRECT", "type": "string" }, "obaIcon": { "$ref": "ObaIcon", "description": "Online behavioral advertising icon to be added to the creative. Applicable to the following creative types: all INSTREAM_VIDEO." }, "customKeyValues": { "description": "Custom key-values for a Rich Media creative. Key-values let you customize the creative settings of a Rich Media ad running on your site without having to contact the advertiser. You can use key-values to dynamically change the look or functionality of a creative. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "items": { "type": "string" }, "type": "array" }, "thirdPartyBackupImageImpressionsUrl": { "description": "Third-party URL used to record backup image impressions. Applicable to the following creative types: all RICH_MEDIA.", "type": "string" }, "requiredFlashPluginVersion": { "type": "string", "description": "The minimum required Flash plugin version for this creative. For example, 11.2.202.235. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "mediaDescription": { "type": "string", "description": "Description of the audio or video ad. Applicable to the following creative types: all INSTREAM_VIDEO, INSTREAM_AUDIO, and all VPAID." }, "exitCustomEvents": { "description": "List of exit events configured for the creative. For DISPLAY and DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags, For DISPLAY, an event is also created from the backupImageReportingLabel. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "array", "items": { "$ref": "CreativeCustomEvent" } }, "studioTraffickedCreativeId": { "description": "Studio trafficked creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "type": "string", "format": "int64" }, "progressOffset": { "description": "Amount of time to play the video before counting a view. Applicable to the following creative types: all INSTREAM_VIDEO.", "$ref": "VideoOffset" }, "type": { "type": "string", "description": "Type of this creative. This is a required field. Applicable to all creative types. *Note:* FLASH_INPAGE, HTML5_BANNER, and IMAGE are only used for existing creatives. New creatives should use DISPLAY as a replacement for these types.", "enum": [ "IMAGE", "DISPLAY_REDIRECT", "CUSTOM_DISPLAY", "INTERNAL_REDIRECT", "CUSTOM_DISPLAY_INTERSTITIAL", "INTERSTITIAL_INTERNAL_REDIRECT", "TRACKING_TEXT", "RICH_MEDIA_DISPLAY_BANNER", "RICH_MEDIA_INPAGE_FLOATING", "RICH_MEDIA_IM_EXPAND", "RICH_MEDIA_DISPLAY_EXPANDING", "RICH_MEDIA_DISPLAY_INTERSTITIAL", "RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL", "RICH_MEDIA_MOBILE_IN_APP", "FLASH_INPAGE", "INSTREAM_VIDEO", "VPAID_LINEAR_VIDEO", "VPAID_NON_LINEAR_VIDEO", "INSTREAM_VIDEO_REDIRECT", "RICH_MEDIA_PEEL_DOWN", "HTML5_BANNER", "DISPLAY", "DISPLAY_IMAGE_GALLERY", "BRAND_SAFE_DEFAULT_INSTREAM_VIDEO", "INSTREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "creativeAssetSelection": { "description": "Required if dynamicAssetSelection is true.", "$ref": "CreativeAssetSelection" }, "studioAdvertiserId": { "type": "string", "format": "int64", "description": "Studio advertiser ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "htmlCodeLocked": { "type": "boolean", "description": "Whether HTML code is generated by Campaign Manager or manually entered. Set to true to ignore changes to htmlCode. Applicable to the following creative types: FLASH_INPAGE and HTML5_BANNER." }, "backupImageTargetWindow": { "description": "Target window for backup image. Applicable to the following creative types: FLASH_INPAGE and HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "$ref": "TargetWindow" }, "creativeFieldAssignments": { "items": { "$ref": "CreativeFieldAssignment" }, "type": "array", "description": "Creative field assignments for this creative. Applicable to all creative types." }, "commercialId": { "description": "Industry standard ID assigned to creative for reach and frequency. Applicable to INSTREAM_VIDEO_REDIRECT creatives.", "type": "string" } }, "type": "object", "id": "Creative", "description": "Contains properties of a Creative." }, "Metric": { "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#metric." }, "name": { "description": "The metric name, e.g. dfa:impressions", "type": "string" } }, "id": "Metric", "type": "object", "description": "Represents a metric." }, "PricingSchedulePricingPeriod": { "description": "Pricing Period", "type": "object", "properties": { "startDate": { "type": "string", "format": "date" }, "rateOrCostNanos": { "description": "Rate or cost of this pricing period in nanos (i.e., multipled by 1000000000). Acceptable values are 0 to 1000000000000000000, inclusive.", "type": "string", "format": "int64" }, "endDate": { "format": "date", "type": "string" }, "pricingComment": { "description": "Comments for this pricing period.", "type": "string" }, "units": { "description": "Units of this pricing period. Acceptable values are 0 to 10000000000, inclusive.", "format": "int64", "type": "string" } }, "id": "PricingSchedulePricingPeriod" }, "AccountActiveAdSummary": { "description": "Gets a summary of active ads in an account.", "id": "AccountActiveAdSummary", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountActiveAdSummary\".", "type": "string" }, "activeAds": { "type": "string", "description": "Ads that have been activated for the account", "format": "int64" }, "availableAds": { "description": "Ads that can be activated for the account.", "format": "int64", "type": "string" }, "activeAdsLimitTier": { "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "type": "string", "description": "Maximum number of active ads allowed for the account.", "enum": [ "ACTIVE_ADS_TIER_40K", "ACTIVE_ADS_TIER_75K", "ACTIVE_ADS_TIER_100K", "ACTIVE_ADS_TIER_200K", "ACTIVE_ADS_TIER_300K", "ACTIVE_ADS_TIER_500K", "ACTIVE_ADS_TIER_750K", "ACTIVE_ADS_TIER_1M" ] }, "accountId": { "format": "int64", "type": "string", "description": "ID of the account." } } }, "FloodlightActivitiesListResponse": { "id": "FloodlightActivitiesListResponse", "description": "Floodlight Activity List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivitiesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "floodlightActivities": { "type": "array", "description": "Floodlight activity collection.", "items": { "$ref": "FloodlightActivity" } } }, "type": "object" }, "EventTagOverride": { "id": "EventTagOverride", "properties": { "enabled": { "type": "boolean", "description": "Whether this override is enabled." }, "id": { "type": "string", "format": "int64", "description": "ID of this event tag override. This is a read-only, auto-generated field." } }, "description": "Event tag override information.", "type": "object" }, "EventFilter": { "properties": { "dimensionFilter": { "$ref": "PathReportDimensionValue", "description": "The dimension filter contained within this EventFilter." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#eventFilter.", "type": "string" } }, "description": "Represents a DfaReporting event filter.", "id": "EventFilter", "type": "object" }, "TagSetting": { "type": "object", "id": "TagSetting", "description": "Tag Settings", "properties": { "additionalKeyValues": { "type": "string", "description": "Additional key-values to be included in tags. Each key-value pair must be of the form key=value, and pairs must be separated by a semicolon (;). Keys and values must not contain commas. For example, id=2;color=red is a valid value for this field." }, "includeClickTracking": { "type": "boolean", "description": "Whether click-tracking string should be included in the tags." }, "includeClickThroughUrls": { "type": "boolean", "description": "Whether static landing page URLs should be included in the tags. This setting applies only to placements." }, "keywordOption": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "PLACEHOLDER_WITH_LIST_OF_KEYWORDS", "IGNORE", "GENERATE_SEPARATE_TAG_FOR_EACH_KEYWORD" ], "description": "Option specifying how keywords are embedded in ad tags. This setting can be used to specify whether keyword placeholders are inserted in placement tags for this site. Publishers can then add keywords to those placeholders." } } }, "ListPopulationClause": { "id": "ListPopulationClause", "type": "object", "properties": { "terms": { "type": "array", "items": { "$ref": "ListPopulationTerm" }, "description": "Terms of this list population clause. Each clause is made up of list population terms representing constraints and are joined by ORs." } }, "description": "A group clause made up of list population terms representing constraints joined by ORs." }, "AccountUserProfile": { "type": "object", "description": "AccountUserProfiles contains properties of a Campaign Manager user profile. This resource is specifically for managing user profiles, whereas UserProfiles is for accessing the API.", "id": "AccountUserProfile", "properties": { "userAccessType": { "enum": [ "NORMAL_USER", "SUPER_USER", "INTERNAL_ADMINISTRATOR", "READ_ONLY_SUPER_USER" ], "enumDescriptions": [ "", "", "", "" ], "description": "User type of the user profile. This is a read-only field that can be left blank.", "type": "string" }, "advertiserFilter": { "$ref": "ObjectFilter", "description": "Filter that describes which advertisers are visible to the user profile." }, "name": { "description": "Name of the user profile. This is a required field. Must be less than 64 characters long, must be globally unique, and cannot contain whitespace or any of the following characters: \"&;\u003c\u003e\"#%,\".", "type": "string" }, "active": { "type": "boolean", "description": "Whether this user profile is active. This defaults to false, and must be set true on insert for the user profile to be usable." }, "traffickerType": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "INTERNAL_NON_TRAFFICKER", "INTERNAL_TRAFFICKER", "EXTERNAL_TRAFFICKER" ], "description": "Trafficker type of this user profile. This is a read-only field." }, "accountId": { "description": "Account ID of the user profile. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "userRoleId": { "type": "string", "description": "User role ID of the user profile. This is a required field.", "format": "int64" }, "id": { "type": "string", "description": "ID of the user profile. This is a read-only, auto-generated field.", "format": "int64" }, "email": { "description": "Email of the user profile. The email addresss must be linked to a Google Account. This field is required on insertion and is read-only after insertion.", "type": "string" }, "campaignFilter": { "$ref": "ObjectFilter", "description": "Filter that describes which campaigns are visible to the user profile." }, "comments": { "type": "string", "description": "Comments for this user profile." }, "userRoleFilter": { "description": "Filter that describes which user roles are visible to the user profile.", "$ref": "ObjectFilter" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountUserProfile\".", "type": "string" }, "subaccountId": { "description": "Subaccount ID of the user profile. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "siteFilter": { "description": "Filter that describes which sites are visible to the user profile.", "$ref": "ObjectFilter" }, "locale": { "type": "string", "description": "Locale of the user profile. This is a required field. Acceptable values are: - \"cs\" (Czech) - \"de\" (German) - \"en\" (English) - \"en-GB\" (English United Kingdom) - \"es\" (Spanish) - \"fr\" (French) - \"it\" (Italian) - \"ja\" (Japanese) - \"ko\" (Korean) - \"pl\" (Polish) - \"pt-BR\" (Portuguese Brazil) - \"ru\" (Russian) - \"sv\" (Swedish) - \"tr\" (Turkish) - \"zh-CN\" (Chinese Simplified) - \"zh-TW\" (Chinese Traditional) " } } }, "FloodlightActivityPublisherDynamicTag": { "description": "Publisher Dynamic Tag", "id": "FloodlightActivityPublisherDynamicTag", "type": "object", "properties": { "dynamicTag": { "description": "Dynamic floodlight tag.", "$ref": "FloodlightActivityDynamicTag" }, "viewThrough": { "type": "boolean", "description": "Whether this tag is applicable only for view-throughs." }, "siteId": { "description": "Site ID of this dynamic tag.", "type": "string", "format": "int64" }, "clickThrough": { "type": "boolean", "description": "Whether this tag is applicable only for click-throughs." }, "directorySiteId": { "description": "Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.", "format": "int64", "type": "string" }, "siteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field." } } }, "PlatformType": { "id": "PlatformType", "description": "Contains information about a platform type that can be targeted by ads.", "properties": { "id": { "type": "string", "description": "ID of this platform type.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#platformType\"." }, "name": { "type": "string", "description": "Name of this platform type." } }, "type": "object" }, "AccountPermission": { "type": "object", "properties": { "accountProfiles": { "type": "array", "description": "Account profiles associated with this account permission. Possible values are: - \"ACCOUNT_PROFILE_BASIC\" - \"ACCOUNT_PROFILE_STANDARD\" ", "items": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ACCOUNT_PROFILE_BASIC", "ACCOUNT_PROFILE_STANDARD" ] } }, "name": { "description": "Name of this account permission.", "type": "string" }, "level": { "enum": [ "USER", "ADMINISTRATOR" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Administrative level required to enable this account permission." }, "permissionGroupId": { "type": "string", "description": "Permission group of this account permission.", "format": "int64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermission\".", "type": "string" }, "id": { "type": "string", "description": "ID of this account permission.", "format": "int64" } }, "description": "AccountPermissions contains information about a particular account permission. Some features of Campaign Manager require an account permission to be present in the account.", "id": "AccountPermission" }, "AccountsListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountsListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "accounts": { "type": "array", "description": "Account collection.", "items": { "$ref": "Account" } } }, "description": "Account List Response", "id": "AccountsListResponse", "type": "object" }, "MobileCarriersListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileCarriersListResponse\"." }, "mobileCarriers": { "type": "array", "description": "Mobile carrier collection.", "items": { "$ref": "MobileCarrier" } } }, "type": "object", "id": "MobileCarriersListResponse", "description": "Mobile Carrier List Response" }, "TechnologyTargeting": { "type": "object", "description": "Technology Targeting.", "id": "TechnologyTargeting", "properties": { "mobileCarriers": { "items": { "$ref": "MobileCarrier" }, "description": "Mobile carriers that this ad targets. For each mobile carrier only id is required, and the other fields are populated automatically when the ad is inserted or updated. If targeting a mobile carrier, do not set targeting for any zip codes.", "type": "array" }, "platformTypes": { "type": "array", "items": { "$ref": "PlatformType" }, "description": "Platform types that this ad targets. For example, desktop, mobile, or tablet. For each platform type, only id is required, and the other fields are populated automatically when the ad is inserted or updated." }, "operatingSystems": { "description": "Operating systems that this ad targets. To target specific versions, use operatingSystemVersions. For each operating system only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting an operating system, do not set targeting for operating system versions for the same operating system.", "items": { "$ref": "OperatingSystem" }, "type": "array" }, "browsers": { "items": { "$ref": "Browser" }, "description": "Browsers that this ad targets. For each browser either set browserVersionId or dartId along with the version numbers. If both are specified, only browserVersionId will be used. The other fields are populated automatically when the ad is inserted or updated.", "type": "array" }, "connectionTypes": { "type": "array", "items": { "$ref": "ConnectionType" }, "description": "Connection types that this ad targets. For each connection type only id is required. The other fields are populated automatically when the ad is inserted or updated." }, "operatingSystemVersions": { "items": { "$ref": "OperatingSystemVersion" }, "description": "Operating system versions that this ad targets. To target all versions, use operatingSystems. For each operating system version, only id is required. The other fields are populated automatically when the ad is inserted or updated. If targeting an operating system version, do not set targeting for the corresponding operating system in operatingSystems.", "type": "array" } } }, "Conversion": { "type": "object", "description": "A Conversion represents when a user successfully performs a desired action after seeing an ad.", "properties": { "childDirectedTreatment": { "description": "Whether this particular request may come from a user under the age of 13, under COPPA compliance.", "type": "boolean" }, "encryptedUserIdCandidates": { "type": "array", "description": "A list of the alphanumeric encrypted user IDs. Any user ID with exposure prior to the conversion timestamp will be used in the inserted conversion. If no such user ID is found then the conversion will be rejected with INVALID_ARGUMENT error. When set, encryptionInfo should also be specified. This field may only be used when calling batchinsert; it is not supported by batchupdate. This field is mutually exclusive with encryptedUserId, matchId, mobileDeviceId, gclid and dclid. This or encryptedUserId or matchId or mobileDeviceId or gclid or dclid is a required field.", "items": { "type": "string" } }, "ordinal": { "type": "string", "description": "The ordinal of the conversion. Use this field to control how conversions of the same user and day are de-duplicated. This is a required field." }, "limitAdTracking": { "description": "Whether Limit Ad Tracking is enabled. When set to true, the conversion will be used for reporting but not targeting. This will prevent remarketing.", "type": "boolean" }, "quantity": { "type": "string", "format": "int64", "description": "The quantity of the conversion." }, "value": { "format": "double", "type": "number", "description": "The value of the conversion." }, "floodlightConfigurationId": { "description": "Floodlight Configuration ID of this conversion. This is a required field.", "format": "int64", "type": "string" }, "floodlightActivityId": { "format": "int64", "description": "Floodlight Activity ID of this conversion. This is a required field.", "type": "string" }, "treatmentForUnderage": { "type": "boolean", "description": "Whether this particular request may come from a user under the age of 16 (may differ by country), under compliance with the European Union's General Data Protection Regulation (GDPR)." }, "matchId": { "type": "string", "description": "The match ID field. A match ID is your own first-party identifier that has been synced with Google using the match ID feature in Floodlight. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[],mobileDeviceId, gclid and dclid. This or encryptedUserId or encryptedUserIdCandidates[] or mobileDeviceId or gclid or dclid is a required field." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversion\".", "type": "string" }, "customVariables": { "description": "Custom floodlight variables. This field may only be used when calling batchinsert; it is not supported by batchupdate.", "items": { "$ref": "CustomFloodlightVariable" }, "type": "array" }, "dclid": { "description": "The display click ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, mobileDeviceId and gclid. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or mobileDeviceId or gclid is a required field.", "type": "string" }, "nonPersonalizedAd": { "type": "boolean", "description": "Whether the conversion was for a non personalized ad." }, "gclid": { "type": "string", "description": "The Google click ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, mobileDeviceId and dclid. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or mobileDeviceId or dclid is a required field." }, "timestampMicros": { "type": "string", "format": "int64", "description": "The timestamp of conversion, in Unix epoch micros. This is a required field." }, "encryptedUserId": { "type": "string", "description": "The alphanumeric encrypted user ID. When set, encryptionInfo should also be specified. This field is mutually exclusive with encryptedUserIdCandidates[], matchId, mobileDeviceId, gclid and dclid. This or encryptedUserIdCandidates[] or matchId or mobileDeviceId or gclid or dclid is a required field." }, "mobileDeviceId": { "type": "string", "description": "The mobile device ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, gclid and dclid. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or gclid or dclid is a required field." } }, "id": "Conversion" }, "Order": { "properties": { "sellerOrganizationName": { "description": "Name of the seller organization.", "type": "string" }, "projectId": { "format": "int64", "description": "Project ID of this order.", "type": "string" }, "contacts": { "type": "array", "description": "Contacts for this order.", "items": { "$ref": "OrderContact" } }, "advertiserId": { "description": "Advertiser ID of this order.", "type": "string", "format": "int64" }, "subaccountId": { "description": "Subaccount ID of this order.", "format": "int64", "type": "string" }, "notes": { "type": "string", "description": "Notes of this order." }, "name": { "type": "string", "description": "Name of this order." }, "buyerInvoiceId": { "description": "Buyer invoice ID associated with this order.", "type": "string" }, "lastModifiedInfo": { "$ref": "LastModifiedInfo", "description": "Information about the most recent modification of this order." }, "accountId": { "type": "string", "description": "Account ID of this order.", "format": "int64" }, "siteNames": { "type": "array", "items": { "type": "string" }, "description": "Free-form site names this order is associated with." }, "approverUserProfileIds": { "description": "IDs for users that have to approve documents created for this order.", "type": "array", "items": { "type": "string", "format": "int64" } }, "id": { "description": "ID of this order. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "sellerOrderId": { "description": "Seller order ID associated with this order.", "type": "string" }, "comments": { "description": "Comments in this order.", "type": "string" }, "planningTermId": { "description": "ID of the terms and conditions template used in this order.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#order\".", "type": "string" }, "termsAndConditions": { "type": "string", "description": "Terms and conditions of this order." }, "buyerOrganizationName": { "type": "string", "description": "Name of the buyer organization." }, "siteId": { "description": "Site IDs this order is associated with.", "items": { "format": "int64", "type": "string" }, "type": "array" } }, "type": "object", "description": "Describes properties of a Planning order.", "id": "Order" }, "ListPopulationRule": { "id": "ListPopulationRule", "type": "object", "description": "Remarketing List Population Rule.", "properties": { "floodlightActivityName": { "type": "string", "description": "Name of floodlight activity associated with this rule. This is a read-only, auto-generated field." }, "floodlightActivityId": { "format": "int64", "description": "Floodlight activity ID associated with this rule. This field can be left blank.", "type": "string" }, "listPopulationClauses": { "type": "array", "items": { "$ref": "ListPopulationClause" }, "description": "Clauses that make up this list population rule. Clauses are joined by ANDs, and the clauses themselves are made up of list population terms which are joined by ORs." } } }, "PricingSchedule": { "id": "PricingSchedule", "description": "Pricing Schedule", "type": "object", "properties": { "pricingType": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "description": "Placement pricing type. This field is required on insertion." }, "pricingPeriods": { "type": "array", "items": { "$ref": "PricingSchedulePricingPeriod" }, "description": "Pricing periods for this placement." }, "capCostOption": { "type": "string", "enum": [ "CAP_COST_NONE", "CAP_COST_MONTHLY", "CAP_COST_CUMULATIVE" ], "enumDescriptions": [ "", "", "" ], "description": "Placement cap cost option." }, "testingStartDate": { "type": "string", "format": "date" }, "floodlightActivityId": { "type": "string", "description": "Floodlight activity ID associated with this placement. This field should be set when placement pricing type is set to PRICING_TYPE_CPA.", "format": "int64" }, "startDate": { "type": "string", "format": "date" }, "flighted": { "type": "boolean", "description": "Whether this placement is flighted. If true, pricing periods will be computed automatically." }, "endDate": { "type": "string", "format": "date" } } }, "CreativeClickThroughUrl": { "type": "object", "description": "Click-through URL", "properties": { "computedClickThroughUrl": { "type": "string", "description": "Read-only convenience field representing the actual URL that will be used for this click-through. The URL is computed as follows: - If landingPageId is specified then that landing page's URL is assigned to this field. - Otherwise, the customClickThroughUrl is assigned to this field. " }, "landingPageId": { "type": "string", "format": "int64", "description": "ID of the landing page for the click-through URL." }, "customClickThroughUrl": { "type": "string", "description": "Custom click-through URL. Applicable if the landingPageId field is left unset." } }, "id": "CreativeClickThroughUrl" }, "CreativeGroup": { "type": "object", "description": "Contains properties of a creative group.", "id": "CreativeGroup", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeGroup\"." }, "groupNumber": { "description": "Subgroup of the creative group. Assign your creative groups to a subgroup in order to filter or manage them more easily. This field is required on insertion and is read-only after insertion. Acceptable values are 1 to 2, inclusive.", "format": "int32", "type": "integer" }, "name": { "description": "Name of this creative group. This is a required field and must be less than 256 characters long and unique among creative groups of the same advertiser.", "type": "string" }, "advertiserId": { "description": "Advertiser ID of this creative group. This is a required field on insertion.", "format": "int64", "type": "string" }, "accountId": { "format": "int64", "description": "Account ID of this creative group. This is a read-only field that can be left blank.", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "ID of this creative group. This is a read-only, auto-generated field." }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "subaccountId": { "type": "string", "description": "Subaccount ID of this creative group. This is a read-only field that can be left blank.", "format": "int64" } } }, "CreativeOptimizationConfiguration": { "description": "Creative optimization settings.", "properties": { "optimizationModel": { "enum": [ "CLICK", "POST_CLICK", "POST_IMPRESSION", "POST_CLICK_AND_IMPRESSION", "VIDEO_COMPLETION" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "Optimization model for this configuration." }, "id": { "format": "int64", "description": "ID of this creative optimization config. This field is auto-generated when the campaign is inserted or updated. It can be null for existing campaigns.", "type": "string" }, "name": { "description": "Name of this creative optimization config. This is a required field and must be less than 129 characters long.", "type": "string" }, "optimizationActivitys": { "type": "array", "description": "List of optimization activities associated with this configuration.", "items": { "$ref": "OptimizationActivity" } } }, "type": "object", "id": "CreativeOptimizationConfiguration" }, "ConnectionTypesListResponse": { "id": "ConnectionTypesListResponse", "type": "object", "description": "Connection Type List Response", "properties": { "connectionTypes": { "items": { "$ref": "ConnectionType" }, "type": "array", "description": "Collection of connection types such as broadband and mobile." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#connectionTypesListResponse\"." } } }, "DimensionValue": { "id": "DimensionValue", "description": "Represents a DimensionValue resource.", "type": "object", "properties": { "matchType": { "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.", "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "EXACT", "BEGINS_WITH", "CONTAINS", "WILDCARD_EXPRESSION" ] }, "id": { "type": "string", "description": "The ID associated with the value if available." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#dimensionValue.", "type": "string" }, "dimensionName": { "description": "The name of the dimension.", "type": "string" }, "etag": { "type": "string", "description": "The eTag of this response for caching purposes." }, "value": { "type": "string", "description": "The value of the dimension." } } }, "PlatformTypesListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#platformTypesListResponse\"." }, "platformTypes": { "description": "Platform type collection.", "items": { "$ref": "PlatformType" }, "type": "array" } }, "description": "Platform Type List Response", "type": "object", "id": "PlatformTypesListResponse" }, "OperatingSystemVersion": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemVersion\"." }, "name": { "type": "string", "description": "Name of this operating system version." }, "operatingSystem": { "description": "Operating system of this operating system version.", "$ref": "OperatingSystem" }, "majorVersion": { "type": "string", "description": "Major version (leftmost number) of this operating system version." }, "id": { "description": "ID of this operating system version.", "type": "string", "format": "int64" }, "minorVersion": { "type": "string", "description": "Minor version (number after the first dot) of this operating system version." } }, "description": "Contains information about a particular version of an operating system that can be targeted by ads.", "type": "object", "id": "OperatingSystemVersion" }, "Recipient": { "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#recipient.", "type": "string" }, "deliveryType": { "enumDescriptions": [ "", "" ], "enum": [ "LINK", "ATTACHMENT" ], "type": "string", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "description": "The delivery type for the recipient." }, "email": { "type": "string", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "description": "The email address of the recipient." } }, "id": "Recipient", "type": "object", "description": "Represents a recipient." }, "OperatingSystem": { "type": "object", "description": "Contains information about an operating system that can be targeted by ads.", "properties": { "mobile": { "type": "boolean", "description": "Whether this operating system is for mobile." }, "name": { "type": "string", "description": "Name of this operating system." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystem\".", "type": "string" }, "dartId": { "format": "int64", "type": "string", "description": "DART ID of this operating system. This is the ID used for targeting." }, "desktop": { "type": "boolean", "description": "Whether this operating system is for desktop." } }, "id": "OperatingSystem" }, "LastModifiedInfo": { "properties": { "time": { "type": "string", "description": "Timestamp of the last change in milliseconds since epoch.", "format": "int64" } }, "type": "object", "id": "LastModifiedInfo", "description": "Modification timestamp." }, "SiteCompanionSetting": { "description": "Companion Settings", "properties": { "companionsDisabled": { "description": "Whether companions are disabled for this site template.", "type": "boolean" }, "enabledSizes": { "items": { "$ref": "Size" }, "type": "array", "description": "Allowlist of companion sizes to be served via this site template. Set this list to null or empty to serve all companion sizes." }, "imageOnly": { "type": "boolean", "description": "Whether to serve only static images as companions." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteCompanionSetting\"." } }, "type": "object", "id": "SiteCompanionSetting" }, "CustomViewabilityMetric": { "id": "CustomViewabilityMetric", "type": "object", "properties": { "id": { "type": "string", "format": "int64", "description": "ID of the custom viewability metric." }, "configuration": { "$ref": "CustomViewabilityMetricConfiguration", "description": "Configuration of the custom viewability metric." }, "name": { "description": "Name of the custom viewability metric.", "type": "string" } }, "description": "Custom Viewability Metric" }, "CreativeGroupsListResponse": { "type": "object", "description": "Creative Group List Response", "id": "CreativeGroupsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "creativeGroups": { "description": "Creative group collection.", "type": "array", "items": { "$ref": "CreativeGroup" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeGroupsListResponse\".", "type": "string" } } }, "VideoSettings": { "id": "VideoSettings", "properties": { "obaEnabled": { "type": "boolean", "description": "Whether OBA icons are enabled for this placement." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoSettings\"." }, "transcodeSettings": { "description": "Settings for the transcodes of video creatives served to this placement. If this object is provided, the creative-level transcode settings will be overridden.", "$ref": "TranscodeSetting" }, "orientation": { "enum": [ "ANY", "LANDSCAPE", "PORTRAIT" ], "enumDescriptions": [ "", "", "" ], "description": "Orientation of a video placement. If this value is set, placement will return assets matching the specified orientation.", "type": "string" }, "skippableSettings": { "$ref": "SkippableSetting", "description": "Settings for the skippability of video creatives served to this placement. If this object is provided, the creative-level skippable settings will be overridden." }, "durationSeconds": { "format": "int32", "type": "integer", "description": "Duration of a video placement in seconds." }, "companionSettings": { "$ref": "CompanionSetting", "description": "Settings for the companion creatives of video creatives served to this placement." }, "obaSettings": { "description": "Settings for the OBA icon of video creatives served to this placement. If this object is provided, the creative-level OBA settings will be overridden.", "$ref": "ObaIcon" } }, "type": "object", "description": "Video Settings" }, "FloodlightActivity": { "description": "Contains properties of a Floodlight activity.", "id": "FloodlightActivity", "type": "object", "properties": { "defaultTags": { "items": { "$ref": "FloodlightActivityDynamicTag" }, "description": "Dynamic floodlight tags.", "type": "array" }, "subaccountId": { "type": "string", "description": "Subaccount ID of this floodlight activity. This is a read-only field that can be left blank.", "format": "int64" }, "floodlightActivityGroupTagString": { "type": "string", "description": "Tag string of the associated floodlight activity group. This is a read-only field." }, "tagFormat": { "enum": [ "HTML", "XHTML" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "Tag format type for the floodlight activity. If left blank, the tag format will default to HTML." }, "sslCompliant": { "type": "boolean", "description": "Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags." }, "floodlightActivityGroupId": { "format": "int64", "description": "Floodlight activity group ID of this floodlight activity. This is a required field.", "type": "string" }, "floodlightTagType": { "enum": [ "IFRAME", "IMAGE", "GLOBAL_SITE_TAG" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The type of Floodlight tag this activity will generate. This is a required field." }, "publisherTags": { "type": "array", "items": { "$ref": "FloodlightActivityPublisherDynamicTag" }, "description": "Publisher dynamic floodlight tags." }, "id": { "type": "string", "format": "int64", "description": "ID of this floodlight activity. This is a read-only, auto-generated field." }, "notes": { "type": "string", "description": "General notes or implementation instructions for the tag." }, "floodlightConfigurationIdDimensionValue": { "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivity\".", "type": "string" }, "secure": { "type": "boolean", "description": "Whether this tag should use SSL." }, "sslRequired": { "type": "boolean", "description": "Whether this floodlight activity must be SSL-compliant." }, "status": { "type": "string", "description": "The status of the activity. This can only be set to ACTIVE or ARCHIVED_AND_DISABLED. The ARCHIVED status is no longer supported and cannot be set for Floodlight activities. The DISABLED_POLICY status indicates that a Floodlight activity is violating Google policy. Contact your account manager for more information.", "enumDescriptions": [ "", "", "", "" ], "enum": [ "ACTIVE", "ARCHIVED_AND_DISABLED", "ARCHIVED", "DISABLED_POLICY" ] }, "floodlightActivityGroupType": { "enum": [ "COUNTER", "SALE" ], "enumDescriptions": [ "", "" ], "type": "string", "description": "Type of the associated floodlight activity group. This is a read-only field." }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "cacheBustingType": { "description": "Code type used for cache busting in the generated tag. Applicable only when floodlightActivityGroupType is COUNTER and countingMethod is STANDARD_COUNTING or UNIQUE_COUNTING.", "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "JAVASCRIPT", "ACTIVE_SERVER_PAGE", "JSP", "PHP", "COLD_FUSION" ] }, "name": { "description": "Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes.", "type": "string" }, "advertiserId": { "format": "int64", "type": "string", "description": "Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser." }, "attributionEnabled": { "description": "Whether the activity is enabled for attribution.", "type": "boolean" }, "expectedUrl": { "description": "URL where this tag will be deployed. If specified, must be less than 256 characters long.", "type": "string" }, "floodlightConfigurationId": { "description": "Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.", "type": "string", "format": "int64" }, "tagString": { "description": "Value of the cat= parameter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being a-z0-9[ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion.", "type": "string" }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field." }, "userDefinedVariableTypes": { "description": "List of the user-defined variables used by this conversion tag. These map to the \"u[1-100]=\" in the tags. Each of these can have a user defined type. Acceptable values are U1 to U100, inclusive. ", "type": "array", "items": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ], "type": "string" } }, "floodlightActivityGroupName": { "description": "Name of the associated floodlight activity group. This is a read-only field.", "type": "string" }, "countingMethod": { "enum": [ "STANDARD_COUNTING", "UNIQUE_COUNTING", "SESSION_COUNTING", "TRANSACTIONS_COUNTING", "ITEMS_SOLD_COUNTING" ], "description": "Counting method for conversions for this floodlight activity. This is a required field.", "type": "string", "enumDescriptions": [ "", "", "", "", "" ] }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this floodlight activity. This is a read-only field that can be left blank." } } }, "AccountUserProfilesListResponse": { "description": "Account User Profile List Response", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "accountUserProfiles": { "type": "array", "description": "Account user profile collection.", "items": { "$ref": "AccountUserProfile" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountUserProfilesListResponse\"." } }, "id": "AccountUserProfilesListResponse", "type": "object" }, "AccountPermissionsListResponse": { "id": "AccountPermissionsListResponse", "description": "Account Permission List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionsListResponse\"." }, "accountPermissions": { "items": { "$ref": "AccountPermission" }, "description": "Account permission collection.", "type": "array" } }, "type": "object" }, "FsCommand": { "id": "FsCommand", "description": "FsCommand.", "properties": { "left": { "description": "Distance from the left of the browser.Applicable when positionOption is DISTANCE_FROM_TOP_LEFT_CORNER.", "format": "int32", "type": "integer" }, "windowWidth": { "description": "Width of the window.", "type": "integer", "format": "int32" }, "positionOption": { "description": "Position in the browser where the window will open.", "enum": [ "CENTERED", "DISTANCE_FROM_TOP_LEFT_CORNER" ], "type": "string", "enumDescriptions": [ "", "" ] }, "windowHeight": { "description": "Height of the window.", "format": "int32", "type": "integer" }, "top": { "type": "integer", "description": "Distance from the top of the browser. Applicable when positionOption is DISTANCE_FROM_TOP_LEFT_CORNER.", "format": "int32" } }, "type": "object" }, "AdSlot": { "description": "Ad Slot", "properties": { "height": { "description": "Height of this ad slot.", "type": "string", "format": "int64" }, "compatibility": { "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Ad slot compatibility. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop, mobile devices or in mobile apps for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard.", "type": "string" }, "comment": { "type": "string", "description": "Comment for this ad slot." }, "paymentSourceType": { "type": "string", "description": "Payment source type of this ad slot.", "enum": [ "PLANNING_PAYMENT_SOURCE_TYPE_AGENCY_PAID", "PLANNING_PAYMENT_SOURCE_TYPE_PUBLISHER_PAID" ], "enumDescriptions": [ "", "" ] }, "primary": { "type": "boolean", "description": "Primary ad slot of a roadblock inventory item." }, "name": { "description": "Name of this ad slot.", "type": "string" }, "width": { "type": "string", "description": "Width of this ad slot.", "format": "int64" }, "linkedPlacementId": { "description": "ID of the placement from an external platform that is linked to this ad slot.", "type": "string", "format": "int64" } }, "type": "object", "id": "AdSlot" }, "DimensionValueList": { "description": "Represents the list of DimensionValue resources.", "properties": { "nextPageToken": { "description": "Continuation token used to page through dimension values. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted.", "type": "string" }, "etag": { "type": "string", "description": "The eTag of this response for caching purposes." }, "items": { "type": "array", "items": { "$ref": "DimensionValue" }, "description": "The dimension values returned in this response." }, "kind": { "type": "string", "description": "The kind of list this is, in this case dfareporting#dimensionValueList." } }, "id": "DimensionValueList", "type": "object" }, "CustomFloodlightVariable": { "description": "A custom floodlight variable. This field may only be used when calling batchinsert; it is not supported by batchupdate.", "type": "object", "properties": { "value": { "type": "string", "description": "The value of the custom floodlight variable. The length of string must not exceed 100 characters." }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ], "description": "The type of custom floodlight variable to supply a value for. These map to the \"u[1-20]=\" in the tags.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#customFloodlightVariable\"." } }, "id": "CustomFloodlightVariable" }, "DimensionValueRequest": { "type": "object", "properties": { "kind": { "type": "string", "description": "The kind of request this is, in this case dfareporting#dimensionValueRequest ." }, "endDate": { "format": "date", "type": "string" }, "startDate": { "type": "string", "format": "date" }, "dimensionName": { "description": "The name of the dimension for which values should be requested.", "annotations": { "required": [ "dfareporting.dimensionValues.query" ] }, "type": "string" }, "filters": { "type": "array", "description": "The list of filters by which to filter values. The filters are ANDed.", "items": { "$ref": "DimensionFilter" } } }, "id": "DimensionValueRequest", "description": "Represents a DimensionValuesRequest." }, "LookbackConfiguration": { "id": "LookbackConfiguration", "type": "object", "description": "Lookback configuration settings.", "properties": { "postImpressionActivitiesDuration": { "format": "int32", "description": "Lookback window, in days, from the last time a given user viewed one of your ads. If you enter 0, impressions will not be considered as triggering events for floodlight tracking. If you leave this field blank, the default value for your account will be used. Acceptable values are 0 to 90, inclusive.", "type": "integer" }, "clickDuration": { "type": "integer", "format": "int32", "description": "Lookback window, in days, from the last time a given user clicked on one of your ads. If you enter 0, clicks will not be considered as triggering events for floodlight tracking. If you leave this field blank, the default value for your account will be used. Acceptable values are 0 to 90, inclusive." } } }, "AccountPermissionGroup": { "type": "object", "description": "AccountPermissionGroups contains a mapping of permission group IDs to names. A permission group is a grouping of account permissions.", "properties": { "id": { "type": "string", "format": "int64", "description": "ID of this account permission group." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionGroup\"." }, "name": { "description": "Name of this account permission group.", "type": "string" } }, "id": "AccountPermissionGroup" }, "OmnitureSettings": { "properties": { "omnitureIntegrationEnabled": { "type": "boolean", "description": "Whether Omniture integration is enabled. This property can be enabled only when the \"Advanced Ad Serving\" account setting is enabled." }, "omnitureCostDataEnabled": { "description": "Whether placement cost data will be sent to Omniture. This property can be enabled only if omnitureIntegrationEnabled is true.", "type": "boolean" } }, "id": "OmnitureSettings", "type": "object", "description": "Omniture Integration Settings." }, "UserProfile": { "type": "object", "id": "UserProfile", "description": "A UserProfile resource lets you list all DFA user profiles that are associated with a Google user account. The profile_id needs to be specified in other API requests. ", "properties": { "accountName": { "type": "string", "description": "The account name this profile belongs to." }, "subAccountId": { "description": "The sub account ID this profile belongs to if applicable.", "type": "string", "format": "int64" }, "profileId": { "type": "string", "format": "int64", "description": "The unique ID of the user profile." }, "userName": { "description": "The user name.", "type": "string" }, "subAccountName": { "type": "string", "description": "The sub account name this profile belongs to if applicable." }, "accountId": { "format": "int64", "description": "The account ID to which this profile belongs.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userProfile\"." }, "etag": { "type": "string", "description": "Etag of this resource." } } }, "ReachReportCompatibleFields": { "id": "ReachReportCompatibleFields", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#reachReportCompatibleFields.", "type": "string" }, "dimensions": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report.", "items": { "$ref": "Dimension" } }, "reachByFrequencyMetrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"reachByFrequencyMetricNames\" section of the report." }, "pivotedActivityMetrics": { "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected as activity metrics to pivot on in the \"activities\" section of the report.", "type": "array" }, "metrics": { "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "type": "array", "items": { "$ref": "Metric" } }, "dimensionFilters": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "items": { "$ref": "Dimension" } } }, "description": "Represents fields that are compatible to be selected for a report of type \"REACH\".", "type": "object" } }, "description": "Build applications to efficiently manage large or complex trafficking, reporting, and attribution workflows for Campaign Manager 360.", "protocol": "rest", "title": "Campaign Manager 360 API", "version": "v3.5", "discoveryVersion": "v1", "rootUrl": "https://dfareporting.googleapis.com/", "mtlsRootUrl": "https://dfareporting.mtls.googleapis.com/", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "parameters": { "alt": { "location": "query", "description": "Data format for response.", "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ] }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." } }, "revision": "20220628", "id": "dfareporting:v3.5", "baseUrl": "https://dfareporting.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "name": "dfareporting", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/dfareporting": { "description": "View and manage DoubleClick for Advertisers reports" }, "https://www.googleapis.com/auth/dfatrafficking": { "description": "View and manage your DoubleClick Campaign Manager's (DCM) display ad campaigns" }, "https://www.googleapis.com/auth/ddmconversions": { "description": "Manage DoubleClick Digital Marketing conversions" } } } }, "canonicalName": "Dfareporting", "resources": { "userRoles": { "methods": { "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles/{id}", "response": { "$ref": "UserRole" }, "description": "Gets one user role by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles/{id}", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "location": "path", "required": true, "format": "int64" }, "id": { "description": "User role ID.", "location": "path", "required": true, "type": "string", "format": "int64" } }, "id": "dfareporting.userRoles.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ] }, "list": { "parameters": { "profileId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request." }, "maxResults": { "location": "query", "description": "Maximum number of results to return.", "type": "integer", "format": "int32", "minimum": "0", "maximum": "1000", "default": "1000" }, "subaccountId": { "type": "string", "location": "query", "format": "int64", "description": "Select only user roles that belong to this subaccount." }, "accountUserRoleOnly": { "location": "query", "description": "Select only account level user roles not associated with any specific subaccount.", "type": "boolean" }, "sortOrder": { "enumDescriptions": [ "", "" ], "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results.", "type": "string", "location": "query" }, "ids": { "repeated": true, "format": "int64", "location": "query", "description": "Select only user roles with the specified IDs.", "type": "string" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"userrole*2015\" will return objects with names like \"userrole June 2015\", \"userrole April 2015\", or simply \"userrole 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"userrole\" will match objects with name \"my userrole\", \"userrole 2015\", or simply \"userrole\"." }, "sortField": { "enum": [ "ID", "NAME" ], "type": "string", "default": "ID", "location": "query", "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list." }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "response": { "$ref": "UserRolesListResponse" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.userRoles.list", "httpMethod": "GET", "description": "Retrieves a list of user roles, possibly filtered. This method supports paging.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles" }, "insert": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "httpMethod": "POST", "parameterOrder": [ "profileId" ], "id": "dfareporting.userRoles.insert", "description": "Inserts a new user role.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "UserRole" }, "request": { "$ref": "UserRole" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "type": "string", "required": true } } }, "update": { "parameters": { "profileId": { "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "type": "string" } }, "id": "dfareporting.userRoles.update", "response": { "$ref": "UserRole" }, "request": { "$ref": "UserRole" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "description": "Updates an existing user role.", "httpMethod": "PUT" }, "delete": { "id": "dfareporting.userRoles.delete", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles/{id}", "httpMethod": "DELETE", "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64" }, "id": { "format": "int64", "required": true, "description": "User role ID.", "location": "path", "type": "string" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles/{id}", "description": "Deletes an existing user role." }, "patch": { "path": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PATCH", "id": "dfareporting.userRoles.patch", "response": { "$ref": "UserRole" }, "parameters": { "id": { "format": "int64", "description": "UserRole ID.", "type": "string", "location": "query", "required": true }, "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRoles", "description": "Updates an existing user role. This method supports patch semantics.", "request": { "$ref": "UserRole" }, "parameterOrder": [ "profileId", "id" ] } } }, "sizes": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/sizes/{id}", "description": "Gets one size by ID.", "id": "dfareporting.sizes.get", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sizes/{id}", "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64" }, "id": { "required": true, "description": "Size ID.", "location": "path", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Size" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "description": "Retrieves a list of sizes, possibly filtered. Retrieved sizes are globally unique and may include values not currently in use by your account. Due to this, the list of sizes returned by this method may differ from the list seen in the Trafficking UI.", "response": { "$ref": "SizesListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sizes", "path": "dfareporting/v3.5/userprofiles/{profileId}/sizes", "parameters": { "height": { "location": "query", "maximum": "32767", "format": "int32", "minimum": "0", "type": "integer", "description": "Select only sizes with this height." }, "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true }, "ids": { "repeated": true, "description": "Select only sizes with these IDs.", "format": "int64", "type": "string", "location": "query" }, "iabStandard": { "location": "query", "type": "boolean", "description": "Select only IAB standard sizes." }, "width": { "description": "Select only sizes with this width.", "location": "query", "type": "integer", "minimum": "0", "format": "int32", "maximum": "32767" } }, "httpMethod": "GET", "id": "dfareporting.sizes.list" }, "insert": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sizes", "path": "dfareporting/v3.5/userprofiles/{profileId}/sizes", "description": "Inserts a new size.", "request": { "$ref": "Size" }, "id": "dfareporting.sizes.insert", "response": { "$ref": "Size" }, "httpMethod": "POST", "parameters": { "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "creativeGroups": { "methods": { "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.creativeGroups.get", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups/{id}", "parameters": { "id": { "location": "path", "description": "Creative group ID.", "type": "string", "required": true, "format": "int64" }, "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "description": "Gets one creative group by ID.", "response": { "$ref": "CreativeGroup" }, "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ] }, "update": { "description": "Updates an existing creative group.", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "parameterOrder": [ "profileId" ], "request": { "$ref": "CreativeGroup" }, "httpMethod": "PUT", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "id": "dfareporting.creativeGroups.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "CreativeGroup" }, "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } } }, "list": { "parameters": { "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "advertiserIds": { "repeated": true, "location": "query", "type": "string", "description": "Select only creative groups that belong to these advertisers.", "format": "int64" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for creative groups by name or ID. Wildcards (*) are allowed. For example, \"creativegroup*2015\" will return creative groups with names like \"creativegroup June 2015\", \"creativegroup April 2015\", or simply \"creativegroup 2015\". Most of the searches also add wild-cards implicitly at the start and the end of the search string. For example, a search string of \"creativegroup\" will match creative groups with the name \"my creativegroup\", \"creativegroup 2015\", or simply \"creativegroup\"." }, "sortOrder": { "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "default": "ASCENDING", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ] }, "ids": { "format": "int64", "type": "string", "description": "Select only creative groups with these IDs.", "location": "query", "repeated": true }, "maxResults": { "format": "int32", "minimum": "0", "description": "Maximum number of results to return.", "default": "1000", "location": "query", "type": "integer", "maximum": "1000" }, "groupNumber": { "type": "integer", "location": "query", "description": "Select only creative groups that belong to this subgroup.", "minimum": "1", "maximum": "2", "format": "int32" }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "sortField": { "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "default": "ID" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "response": { "$ref": "CreativeGroupsListResponse" }, "parameterOrder": [ "profileId" ], "description": "Retrieves a list of creative groups, possibly filtered. This method supports paging.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "id": "dfareporting.creativeGroups.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET" }, "insert": { "response": { "$ref": "CreativeGroup" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "CreativeGroup" }, "id": "dfareporting.creativeGroups.insert", "httpMethod": "POST", "parameters": { "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" } }, "description": "Inserts a new creative group." }, "patch": { "parameters": { "id": { "description": "CreativeGroup ID.", "type": "string", "required": true, "format": "int64", "location": "query" }, "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true } }, "request": { "$ref": "CreativeGroup" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeGroups", "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing creative group. This method supports patch semantics.", "response": { "$ref": "CreativeGroup" }, "id": "dfareporting.creativeGroups.patch" } } }, "eventTags": { "methods": { "delete": { "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags/{id}", "description": "Deletes an existing event tag.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags/{id}", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path", "format": "int64" }, "id": { "required": true, "location": "path", "description": "Event tag ID.", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "DELETE", "id": "dfareporting.eventTags.delete", "parameterOrder": [ "profileId", "id" ] }, "insert": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "description": "Inserts a new event tag.", "response": { "$ref": "EventTag" }, "request": { "$ref": "EventTag" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "id": "dfareporting.eventTags.insert" }, "get": { "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" }, "id": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "Event tag ID." } }, "description": "Gets one event tag by ID.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags/{id}", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags/{id}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.eventTags.get", "response": { "$ref": "EventTag" } }, "update": { "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.eventTags.update", "request": { "$ref": "EventTag" }, "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "httpMethod": "PUT", "response": { "$ref": "EventTag" }, "parameterOrder": [ "profileId" ], "description": "Updates an existing event tag." }, "list": { "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path", "required": true }, "eventTagTypes": { "location": "query", "type": "string", "enumDescriptions": [ "", "", "" ], "description": "Select only event tags with the specified event tag types. Event tag types can be used to specify whether to use a third-party pixel, a third-party JavaScript URL, or a third-party click-through URL for either impression or click tracking.", "repeated": true, "enum": [ "IMPRESSION_IMAGE_EVENT_TAG", "IMPRESSION_JAVASCRIPT_EVENT_TAG", "CLICK_THROUGH_EVENT_TAG" ] }, "adId": { "location": "query", "format": "int64", "type": "string", "description": "Select only event tags that belong to this ad." }, "enabled": { "location": "query", "description": "Select only enabled event tags. What is considered enabled or disabled depends on the definitionsOnly parameter. When definitionsOnly is set to true, only the specified advertiser or campaign's event tags' enabledByDefault field is examined. When definitionsOnly is set to false, the specified ad or specified campaign's parent advertiser's or parent campaign's event tags' enabledByDefault and status fields are examined as well.", "type": "boolean" }, "campaignId": { "description": "Select only event tags that belong to this campaign.", "format": "int64", "type": "string", "location": "query" }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"eventtag*2015\" will return objects with names like \"eventtag June 2015\", \"eventtag April 2015\", or simply \"eventtag 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"eventtag\" will match objects with name \"my eventtag\", \"eventtag 2015\", or simply \"eventtag\".", "type": "string", "location": "query" }, "definitionsOnly": { "description": "Examine only the specified campaign or advertiser's event tags for matching selector criteria. When set to false, the parent advertiser and parent campaign of the specified ad or campaign is examined as well. In addition, when set to false, the status field is examined as well, along with the enabledByDefault field. This parameter can not be set to true when adId is specified as ads do not define their own even tags.", "type": "boolean", "location": "query" }, "ids": { "type": "string", "location": "query", "repeated": true, "description": "Select only event tags with these IDs.", "format": "int64" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "default": "ASCENDING", "location": "query" }, "advertiserId": { "type": "string", "location": "query", "description": "Select only event tags that belong to this advertiser.", "format": "int64" }, "sortField": { "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list.", "type": "string", "location": "query", "default": "ID" } }, "response": { "$ref": "EventTagsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "httpMethod": "GET", "description": "Retrieves a list of event tags, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.eventTags.list" }, "patch": { "description": "Updates an existing event tag. This method supports patch semantics.", "request": { "$ref": "EventTag" }, "id": "dfareporting.eventTags.patch", "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "parameters": { "profileId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request." }, "id": { "location": "query", "description": "EventTag ID.", "type": "string", "required": true, "format": "int64" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/eventTags", "response": { "$ref": "EventTag" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "contentCategories": { "methods": { "insert": { "request": { "$ref": "ContentCategory" }, "httpMethod": "POST", "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "response": { "$ref": "ContentCategory" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId" ], "id": "dfareporting.contentCategories.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Inserts a new content category.", "parameters": { "profileId": { "location": "path", "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request." } } }, "patch": { "description": "Updates an existing content category. This method supports patch semantics.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path", "required": true }, "id": { "location": "query", "required": true, "description": "ContentCategory ID.", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "id": "dfareporting.contentCategories.patch", "httpMethod": "PATCH", "response": { "$ref": "ContentCategory" }, "request": { "$ref": "ContentCategory" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId", "id" ] }, "update": { "response": { "$ref": "ContentCategory" }, "request": { "$ref": "ContentCategory" }, "parameterOrder": [ "profileId" ], "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "required": true, "description": "User profile ID associated with this request." } }, "id": "dfareporting.contentCategories.update", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "description": "Updates an existing content category.", "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories" }, "delete": { "parameters": { "id": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "Content category ID." }, "profileId": { "format": "int64", "location": "path", "type": "string", "required": true, "description": "User profile ID associated with this request." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories/{id}", "description": "Deletes an existing content category.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "DELETE", "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories/{id}", "id": "dfareporting.contentCategories.delete", "parameterOrder": [ "profileId", "id" ] }, "list": { "id": "dfareporting.contentCategories.list", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId" ], "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories", "description": "Retrieves a list of content categories, possibly filtered. This method supports paging.", "parameters": { "maxResults": { "type": "integer", "description": "Maximum number of results to return.", "maximum": "1000", "minimum": "0", "format": "int32", "default": "1000", "location": "query" }, "ids": { "repeated": true, "format": "int64", "location": "query", "type": "string", "description": "Select only content categories with these IDs." }, "sortOrder": { "type": "string", "location": "query", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "enumDescriptions": [ "", "" ] }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64", "type": "string" }, "sortField": { "location": "query", "type": "string", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list.", "default": "ID" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"contentcategory*2015\" will return objects with names like \"contentcategory June 2015\", \"contentcategory April 2015\", or simply \"contentcategory 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"contentcategory\" will match objects with name \"my contentcategory\", \"contentcategory 2015\", or simply \"contentcategory\".", "location": "query" } }, "response": { "$ref": "ContentCategoriesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "id": "dfareporting.contentCategories.get", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories/{id}", "description": "Gets one content category by ID.", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/contentCategories/{id}", "response": { "$ref": "ContentCategory" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "location": "path", "required": true, "format": "int64", "description": "Content category ID.", "type": "string" }, "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string" } }, "httpMethod": "GET" } } }, "advertiserGroups": { "methods": { "get": { "response": { "$ref": "AdvertiserGroup" }, "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.advertiserGroups.get", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups/{id}", "parameters": { "id": { "type": "string", "required": true, "description": "Advertiser group ID.", "location": "path", "format": "int64" }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups/{id}", "httpMethod": "GET", "description": "Gets one advertiser group by ID." }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Inserts a new advertiser group.", "response": { "$ref": "AdvertiserGroup" }, "parameters": { "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "request": { "$ref": "AdvertiserGroup" }, "id": "dfareporting.advertiserGroups.insert", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "parameterOrder": [ "profileId" ] }, "list": { "parameters": { "maxResults": { "minimum": "0", "format": "int32", "type": "integer", "default": "1000", "maximum": "1000", "description": "Maximum number of results to return.", "location": "query" }, "sortField": { "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list.", "type": "string", "default": "ID", "location": "query", "enum": [ "ID", "NAME" ] }, "ids": { "location": "query", "format": "int64", "repeated": true, "description": "Select only advertiser groups with these IDs.", "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true, "location": "path" }, "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"advertiser*2015\" will return objects with names like \"advertiser group June 2015\", \"advertiser group April 2015\", or simply \"advertiser group 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"advertisergroup\" will match objects with name \"my advertisergroup\", \"advertisergroup 2015\", or simply \"advertisergroup\".", "location": "query" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "sortOrder": { "description": "Order of sorted results.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "location": "query" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "response": { "$ref": "AdvertiserGroupsListResponse" }, "parameterOrder": [ "profileId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.advertiserGroups.list", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "description": "Retrieves a list of advertiser groups, possibly filtered. This method supports paging." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups/{id}", "description": "Deletes an existing advertiser group.", "parameterOrder": [ "profileId", "id" ], "httpMethod": "DELETE", "id": "dfareporting.advertiserGroups.delete", "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "Advertiser group ID." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups/{id}" }, "update": { "parameters": { "profileId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "parameterOrder": [ "profileId" ], "request": { "$ref": "AdvertiserGroup" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "httpMethod": "PUT", "id": "dfareporting.advertiserGroups.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing advertiser group.", "response": { "$ref": "AdvertiserGroup" } }, "patch": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "httpMethod": "PATCH", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserGroups", "id": "dfareporting.advertiserGroups.patch", "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "required": true, "format": "int64" }, "id": { "type": "string", "format": "int64", "description": "AdvertiserGroup ID.", "required": true, "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing advertiser group. This method supports patch semantics.", "response": { "$ref": "AdvertiserGroup" }, "request": { "$ref": "AdvertiserGroup" } } } }, "browsers": { "methods": { "list": { "parameters": { "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path" } }, "id": "dfareporting.browsers.list", "description": "Retrieves a list of browsers.", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "response": { "$ref": "BrowsersListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/browsers", "path": "dfareporting/v3.5/userprofiles/{profileId}/browsers" } } }, "userProfiles": { "methods": { "list": { "parameters": {}, "path": "dfareporting/v3.5/userprofiles", "flatPath": "dfareporting/v3.5/userprofiles", "parameterOrder": [], "description": "Retrieves list of user profiles for a user.", "id": "dfareporting.userProfiles.list", "scopes": [ "https://www.googleapis.com/auth/ddmconversions", "https://www.googleapis.com/auth/dfareporting", "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "UserProfileList" }, "httpMethod": "GET" }, "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}", "parameterOrder": [ "profileId" ], "httpMethod": "GET", "id": "dfareporting.userProfiles.get", "description": "Gets one user profile by ID.", "response": { "$ref": "UserProfile" }, "parameters": { "profileId": { "location": "path", "format": "int64", "description": "The user profile ID.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/ddmconversions", "https://www.googleapis.com/auth/dfareporting", "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}" } } }, "orderDocuments": { "methods": { "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orderDocuments", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "projectId" ], "response": { "$ref": "OrderDocumentsListResponse" }, "description": "Retrieves a list of order documents, possibly filtered. This method supports paging.", "httpMethod": "GET", "id": "dfareporting.orderDocuments.list", "parameters": { "siteId": { "format": "int64", "location": "query", "repeated": true, "description": "Select only order documents that are associated with these sites.", "type": "string" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "projectId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "Project ID for order documents." }, "searchString": { "type": "string", "location": "query", "description": "Allows searching for order documents by name or ID. Wildcards (*) are allowed. For example, \"orderdocument*2015\" will return order documents with names like \"orderdocument June 2015\", \"orderdocument April 2015\", or simply \"orderdocument 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"orderdocument\" will match order documents with name \"my orderdocument\", \"orderdocument 2015\", or simply \"orderdocument\"." }, "sortField": { "location": "query", "type": "string", "default": "ID", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "approved": { "type": "boolean", "location": "query", "description": "Select only order documents that have been approved by at least one user." }, "sortOrder": { "location": "query", "default": "ASCENDING", "description": "Order of sorted results.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ] }, "orderId": { "type": "string", "format": "int64", "repeated": true, "description": "Select only order documents for specified orders.", "location": "query" }, "maxResults": { "format": "int32", "minimum": "0", "location": "query", "maximum": "1000", "description": "Maximum number of results to return.", "default": "1000", "type": "integer" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true }, "ids": { "description": "Select only order documents with these IDs.", "type": "string", "format": "int64", "repeated": true, "location": "query" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orderDocuments" }, "get": { "response": { "$ref": "OrderDocument" }, "id": "dfareporting.orderDocuments.get", "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orderDocuments/{id}", "httpMethod": "GET", "parameterOrder": [ "profileId", "projectId", "id" ], "description": "Gets one order document by ID.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orderDocuments/{id}", "parameters": { "id": { "type": "string", "location": "path", "description": "Order document ID.", "format": "int64", "required": true }, "projectId": { "location": "path", "required": true, "format": "int64", "type": "string", "description": "Project ID for order documents." }, "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } } } } }, "regions": { "methods": { "list": { "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/regions", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/regions", "id": "dfareporting.regions.list", "httpMethod": "GET", "description": "Retrieves a list of regions.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "RegionsListResponse" } } } }, "accountActiveAdSummaries": { "methods": { "get": { "id": "dfareporting.accountActiveAdSummaries.get", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountActiveAdSummaries/{summaryAccountId}", "parameterOrder": [ "profileId", "summaryAccountId" ], "parameters": { "summaryAccountId": { "description": "Account ID.", "required": true, "type": "string", "format": "int64", "location": "path" }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "AccountActiveAdSummary" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets the account's active ad summary by account ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountActiveAdSummaries/{summaryAccountId}" } } }, "directorySites": { "methods": { "list": { "description": "Retrieves a list of directory sites, possibly filtered. This method supports paging.", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/directorySites", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.directorySites.list", "response": { "$ref": "DirectorySitesListResponse" }, "parameters": { "sortOrder": { "description": "Order of sorted results.", "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING" }, "ids": { "description": "Select only directory sites with these IDs.", "type": "string", "repeated": true, "format": "int64", "location": "query" }, "acceptsPublisherPaidPlacements": { "type": "boolean", "description": "Select only directory sites that accept publisher paid placements. This field can be left blank.", "location": "query" }, "sortField": { "enumDescriptions": [ "", "" ], "default": "ID", "location": "query", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "maxResults": { "minimum": "0", "format": "int32", "maximum": "1000", "type": "integer", "default": "1000", "location": "query", "description": "Maximum number of results to return." }, "dfpNetworkCode": { "location": "query", "type": "string", "description": "Select only directory sites with this Ad Manager network code." }, "acceptsInStreamVideoPlacements": { "location": "query", "type": "boolean", "description": "This search filter is no longer supported and will have no effect on the results returned." }, "active": { "location": "query", "description": "Select only active directory sites. Leave blank to retrieve both active and inactive directory sites.", "type": "boolean" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name, ID or URL. Wildcards (*) are allowed. For example, \"directory site*2015\" will return objects with names like \"directory site June 2015\", \"directory site April 2015\", or simply \"directory site 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"directory site\" will match objects with name \"my directory site\", \"directory site 2015\" or simply, \"directory site\"." }, "acceptsInterstitialPlacements": { "description": "This search filter is no longer supported and will have no effect on the results returned.", "location": "query", "type": "boolean" } }, "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/directorySites" }, "insert": { "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path", "format": "int64" } }, "id": "dfareporting.directorySites.insert", "path": "dfareporting/v3.5/userprofiles/{profileId}/directorySites", "description": "Inserts a new directory site.", "request": { "$ref": "DirectorySite" }, "response": { "$ref": "DirectorySite" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/directorySites", "httpMethod": "POST" }, "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/directorySites/{id}", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "DirectorySite" }, "id": "dfareporting.directorySites.get", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" }, "id": { "type": "string", "description": "Directory site ID.", "location": "path", "format": "int64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "description": "Gets one directory site by ID.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/directorySites/{id}" } } }, "cities": { "methods": { "list": { "httpMethod": "GET", "parameters": { "regionDartIds": { "type": "string", "location": "query", "description": "Select only cities from these regions.", "repeated": true, "format": "int64" }, "countryDartIds": { "repeated": true, "format": "int64", "type": "string", "description": "Select only cities from these countries.", "location": "query" }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64", "location": "path" }, "namePrefix": { "type": "string", "description": "Select only cities with names starting with this prefix.", "location": "query" }, "dartIds": { "description": "Select only cities with these DART IDs.", "location": "query", "format": "int64", "repeated": true, "type": "string" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/cities", "response": { "$ref": "CitiesListResponse" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of cities, possibly filtered.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/cities", "id": "dfareporting.cities.list" } } }, "campaignCreativeAssociations": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "CampaignCreativeAssociationsListResponse" }, "id": "dfareporting.campaignCreativeAssociations.list", "parameterOrder": [ "profileId", "campaignId" ], "description": "Retrieves the list of creative IDs associated with the specified campaign. This method supports paging.", "parameters": { "campaignId": { "format": "int64", "required": true, "location": "path", "type": "string", "description": "Campaign ID in this association." }, "profileId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request." }, "sortOrder": { "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "type": "string" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "maxResults": { "type": "integer", "default": "1000", "location": "query", "format": "int32", "minimum": "0", "maximum": "1000", "description": "Maximum number of results to return." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations" }, "insert": { "id": "dfareporting.campaignCreativeAssociations.insert", "httpMethod": "POST", "response": { "$ref": "CampaignCreativeAssociation" }, "request": { "$ref": "CampaignCreativeAssociation" }, "parameters": { "campaignId": { "type": "string", "required": true, "location": "path", "description": "Campaign ID in this association.", "format": "int64" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string", "required": true } }, "parameterOrder": [ "profileId", "campaignId" ], "description": "Associates a creative with the specified campaign. This method creates a default ad with dimensions matching the creative in the campaign if such a default ad does not exist already.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations", "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations" } } }, "accountPermissionGroups": { "methods": { "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissionGroups/{id}", "response": { "$ref": "AccountPermissionGroup" }, "description": "Gets one account permission group by ID.", "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.accountPermissionGroups.get", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissionGroups/{id}", "parameters": { "id": { "type": "string", "required": true, "description": "Account permission group ID.", "format": "int64", "location": "path" }, "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissionGroups", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissionGroups", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "id": "dfareporting.accountPermissionGroups.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves the list of account permission groups.", "response": { "$ref": "AccountPermissionGroupsListResponse" } } } }, "reports": { "methods": { "patch": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "parameterOrder": [ "profileId", "reportId" ], "request": { "$ref": "Report" }, "parameters": { "reportId": { "format": "int64", "required": true, "description": "The ID of the report.", "location": "path", "type": "string" }, "profileId": { "description": "The DFA user profile ID.", "type": "string", "location": "path", "format": "int64", "required": true } }, "response": { "$ref": "Report" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "description": "Updates an existing report. This method supports patch semantics.", "id": "dfareporting.reports.patch" }, "run": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "description": "Runs a report.", "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/run", "id": "dfareporting.reports.run", "response": { "$ref": "File" }, "parameters": { "reportId": { "description": "The ID of the report.", "format": "int64", "type": "string", "required": true, "location": "path" }, "synchronous": { "default": "false", "description": "If set and true, tries to run the report synchronously.", "type": "boolean", "location": "query" }, "profileId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "The Campaign Manager 360 user profile ID." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/run", "httpMethod": "POST", "parameterOrder": [ "profileId", "reportId" ] }, "list": { "httpMethod": "GET", "parameters": { "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results.", "location": "query", "type": "string", "enumDescriptions": [ "Ascending order.", "Descending order." ], "default": "DESCENDING" }, "sortField": { "location": "query", "description": "The field by which to sort the list.", "enumDescriptions": [ "Sort by report ID.", "Sort by 'lastModifiedTime' field.", "Sort by name of reports." ], "type": "string", "default": "LAST_MODIFIED_TIME", "enum": [ "ID", "LAST_MODIFIED_TIME", "NAME" ] }, "profileId": { "description": "The Campaign Manager 360 user profile ID.", "type": "string", "location": "path", "required": true, "format": "int64" }, "maxResults": { "minimum": "0", "type": "integer", "default": "10", "description": "Maximum number of results to return.", "maximum": "10", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "The value of the nextToken from the previous result page." }, "scope": { "description": "The scope that defines which results are returned.", "default": "MINE", "type": "string", "enumDescriptions": [ "All reports in account.", "My reports." ], "location": "query", "enum": [ "ALL", "MINE" ] } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/reports", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports", "parameterOrder": [ "profileId" ], "description": "Retrieves list of reports.", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "id": "dfareporting.reports.list", "response": { "$ref": "ReportList" } }, "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "parameters": { "profileId": { "location": "path", "required": true, "description": "The Campaign Manager 360 user profile ID.", "format": "int64", "type": "string" }, "reportId": { "description": "The ID of the report.", "format": "int64", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "profileId", "reportId" ], "response": { "$ref": "Report" }, "id": "dfareporting.reports.get", "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "description": "Retrieves a report by its ID." }, "update": { "id": "dfareporting.reports.update", "parameterOrder": [ "profileId", "reportId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "parameters": { "reportId": { "required": true, "description": "The ID of the report.", "format": "int64", "type": "string", "location": "path" }, "profileId": { "type": "string", "description": "The Campaign Manager 360 user profile ID.", "format": "int64", "location": "path", "required": true } }, "request": { "$ref": "Report" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "description": "Updates a report.", "response": { "$ref": "Report" } }, "insert": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/reports", "response": { "$ref": "Report" }, "request": { "$ref": "Report" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.reports.insert", "parameters": { "profileId": { "type": "string", "description": "The Campaign Manager 360 user profile ID.", "required": true, "format": "int64", "location": "path" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports", "description": "Creates a report." }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "profileId", "reportId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "parameters": { "profileId": { "required": true, "type": "string", "description": "The Campaign Manager 360 user profile ID.", "format": "int64", "location": "path" }, "reportId": { "required": true, "description": "The ID of the report.", "type": "string", "location": "path", "format": "int64" } }, "id": "dfareporting.reports.delete", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}", "description": "Deletes a report by its ID.", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ] } }, "resources": { "files": { "methods": { "get": { "parameterOrder": [ "profileId", "reportId", "fileId" ], "supportsMediaDownload": true, "parameters": { "fileId": { "type": "string", "required": true, "location": "path", "description": "The ID of the report file.", "format": "int64" }, "reportId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "The ID of the report." }, "profileId": { "description": "The Campaign Manager 360 user profile ID.", "required": true, "type": "string", "format": "int64", "location": "path" } }, "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/files/{fileId}", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "description": "Retrieves a report file by its report ID and file ID. This method supports media download.", "id": "dfareporting.reports.files.get", "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/files/{fileId}", "response": { "$ref": "File" } }, "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/files", "description": "Lists files for a report.", "id": "dfareporting.reports.files.list", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "parameters": { "sortField": { "default": "LAST_MODIFIED_TIME", "location": "query", "description": "The field by which to sort the list.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ID", "LAST_MODIFIED_TIME" ] }, "pageToken": { "description": "The value of the nextToken from the previous result page.", "location": "query", "type": "string" }, "profileId": { "format": "int64", "description": "The Campaign Manager 360 user profile ID.", "location": "path", "type": "string", "required": true }, "reportId": { "type": "string", "description": "The ID of the parent report.", "format": "int64", "location": "path", "required": true }, "maxResults": { "description": "Maximum number of results to return.", "minimum": "0", "location": "query", "default": "10", "type": "integer", "maximum": "10", "format": "int32" }, "sortOrder": { "default": "DESCENDING", "description": "Order of sorted results.", "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ASCENDING", "DESCENDING" ] } }, "parameterOrder": [ "profileId", "reportId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/{reportId}/files", "response": { "$ref": "FileList" }, "httpMethod": "GET" } } }, "compatibleFields": { "methods": { "query": { "httpMethod": "POST", "path": "dfareporting/v3.5/userprofiles/{profileId}/reports/compatiblefields/query", "response": { "$ref": "CompatibleFields" }, "request": { "$ref": "Report" }, "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/reports/compatiblefields/query", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "id": "dfareporting.reports.compatibleFields.query", "description": "Returns the fields that are compatible to be selected in the respective sections of a report criteria, given the fields already selected in the input report and user permissions.", "parameters": { "profileId": { "required": true, "description": "The Campaign Manager 360 user profile ID.", "location": "path", "format": "int64", "type": "string" } } } } } } }, "mobileCarriers": { "methods": { "list": { "parameterOrder": [ "profileId" ], "id": "dfareporting.mobileCarriers.list", "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/mobileCarriers", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true, "type": "string" } }, "description": "Retrieves a list of mobile carriers.", "path": "dfareporting/v3.5/userprofiles/{profileId}/mobileCarriers", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "MobileCarriersListResponse" } }, "get": { "httpMethod": "GET", "response": { "$ref": "MobileCarrier" }, "parameters": { "id": { "description": "Mobile carrier ID.", "type": "string", "required": true, "location": "path", "format": "int64" }, "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/mobileCarriers/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/mobileCarriers/{id}", "id": "dfareporting.mobileCarriers.get", "description": "Gets one mobile carrier by ID.", "parameterOrder": [ "profileId", "id" ] } } }, "creativeAssets": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "supportsMediaUpload": true, "description": "Inserts a new creative asset.", "request": { "$ref": "CreativeAssetMetadata" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets", "id": "dfareporting.creativeAssets.insert", "parameters": { "advertiserId": { "location": "path", "format": "int64", "description": "Advertiser ID of this creative. This is a required field.", "type": "string", "required": true }, "profileId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "User profile ID associated with this request." } }, "response": { "$ref": "CreativeAssetMetadata" }, "httpMethod": "POST", "mediaUpload": { "maxSize": "1073741824", "protocols": { "simple": { "path": "/upload/dfareporting/v3.5/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets", "multipart": true } }, "accept": [ "*/*" ] }, "parameterOrder": [ "profileId", "advertiserId" ] } } }, "creatives": { "methods": { "list": { "response": { "$ref": "CreativesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.creatives.list", "parameters": { "archived": { "description": "Select only archived creatives. Leave blank to select archived and unarchived creatives.", "location": "query", "type": "boolean" }, "advertiserId": { "description": "Select only creatives with this advertiser ID.", "format": "int64", "location": "query", "type": "string" }, "sortField": { "enum": [ "ID", "NAME" ], "location": "query", "description": "Field by which to sort the list.", "default": "ID", "type": "string", "enumDescriptions": [ "", "" ] }, "sizeIds": { "repeated": true, "location": "query", "format": "int64", "description": "Select only creatives with these size IDs.", "type": "string" }, "types": { "description": "Select only creatives with these creative types.", "type": "string", "repeated": true, "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "IMAGE", "DISPLAY_REDIRECT", "CUSTOM_DISPLAY", "INTERNAL_REDIRECT", "CUSTOM_DISPLAY_INTERSTITIAL", "INTERSTITIAL_INTERNAL_REDIRECT", "TRACKING_TEXT", "RICH_MEDIA_DISPLAY_BANNER", "RICH_MEDIA_INPAGE_FLOATING", "RICH_MEDIA_IM_EXPAND", "RICH_MEDIA_DISPLAY_EXPANDING", "RICH_MEDIA_DISPLAY_INTERSTITIAL", "RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL", "RICH_MEDIA_MOBILE_IN_APP", "FLASH_INPAGE", "INSTREAM_VIDEO", "VPAID_LINEAR_VIDEO", "VPAID_NON_LINEAR_VIDEO", "INSTREAM_VIDEO_REDIRECT", "RICH_MEDIA_PEEL_DOWN", "HTML5_BANNER", "DISPLAY", "DISPLAY_IMAGE_GALLERY", "BRAND_SAFE_DEFAULT_INSTREAM_VIDEO", "INSTREAM_AUDIO" ], "location": "query" }, "sortOrder": { "type": "string", "description": "Order of sorted results.", "default": "ASCENDING", "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "renderingIds": { "description": "Select only creatives with these rendering IDs.", "repeated": true, "type": "string", "location": "query", "format": "int64" }, "studioCreativeId": { "format": "int64", "location": "query", "type": "string", "description": "Select only creatives corresponding to this Studio creative ID." }, "active": { "type": "boolean", "description": "Select only active creatives. Leave blank to select active and inactive creatives.", "location": "query" }, "campaignId": { "format": "int64", "type": "string", "description": "Select only creatives with this campaign ID.", "location": "query" }, "ids": { "location": "query", "repeated": true, "type": "string", "description": "Select only creatives with these IDs.", "format": "int64" }, "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path" }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"creative*2015\" will return objects with names like \"creative June 2015\", \"creative April 2015\", or simply \"creative 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"creative\" will match objects with name \"my creative\", \"creative 2015\", or simply \"creative\".", "type": "string", "location": "query" }, "maxResults": { "format": "int32", "location": "query", "maximum": "1000", "default": "1000", "minimum": "0", "type": "integer", "description": "Maximum number of results to return." }, "creativeFieldIds": { "type": "string", "format": "int64", "location": "query", "description": "Select only creatives with these creative field IDs.", "repeated": true }, "companionCreativeIds": { "format": "int64", "repeated": true, "description": "Select only in-stream video creatives with these companion IDs.", "location": "query", "type": "string" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "httpMethod": "GET", "description": "Retrieves a list of creatives, possibly filtered. This method supports paging." }, "get": { "description": "Gets one creative by ID.", "response": { "$ref": "Creative" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creatives/{id}", "id": "dfareporting.creatives.get", "httpMethod": "GET", "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "format": "int64", "description": "Creative ID.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creatives/{id}", "parameterOrder": [ "profileId", "id" ] }, "insert": { "id": "dfareporting.creatives.insert", "response": { "$ref": "Creative" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "description": "Inserts a new creative.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true, "type": "string" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "httpMethod": "POST", "parameterOrder": [ "profileId" ], "request": { "$ref": "Creative" } }, "update": { "httpMethod": "PUT", "request": { "$ref": "Creative" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "id": "dfareporting.creatives.update", "response": { "$ref": "Creative" }, "description": "Updates an existing creative.", "parameters": { "profileId": { "location": "path", "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64" } } }, "patch": { "parameters": { "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" }, "id": { "required": true, "location": "query", "type": "string", "format": "int64", "description": "Creative ID." } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing creative. This method supports patch semantics.", "request": { "$ref": "Creative" }, "response": { "$ref": "Creative" }, "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creatives", "id": "dfareporting.creatives.patch" } } }, "accountPermissions": { "methods": { "list": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissions", "id": "dfareporting.accountPermissions.list", "response": { "$ref": "AccountPermissionsListResponse" }, "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissions", "description": "Retrieves the list of account permissions.", "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "id": "dfareporting.accountPermissions.get", "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "type": "string", "format": "int64", "description": "Account permission ID.", "required": true, "location": "path" }, "profileId": { "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "location": "path" } }, "response": { "$ref": "AccountPermission" }, "description": "Gets one account permission by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissions/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountPermissions/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET" } } }, "mobileApps": { "methods": { "get": { "description": "Gets one mobile app by ID.", "httpMethod": "GET", "parameters": { "id": { "description": "Mobile app ID.", "location": "path", "type": "string", "required": true }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "MobileApp" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/mobileApps/{id}", "id": "dfareporting.mobileApps.get", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/mobileApps/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/mobileApps", "response": { "$ref": "MobileAppsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/mobileApps", "parameters": { "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"app*2015\" will return objects with names like \"app Jan 2018\", \"app Jan 2018\", or simply \"app 2018\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"app\" will match objects with name \"my app\", \"app 2018\", or simply \"app\".", "type": "string" }, "profileId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request." }, "directories": { "description": "Select only apps from these directories.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "UNKNOWN", "APPLE_APP_STORE", "GOOGLE_PLAY_STORE", "ROKU_APP_STORE", "AMAZON_FIRETV_APP_STORE", "PLAYSTATION_APP_STORE", "APPLE_TV_APP_STORE", "XBOX_APP_STORE", "SAMSUNG_TV_APP_STORE", "ANDROID_TV_APP_STORE", "GENERIC_CTV_APP_STORE" ], "location": "query", "repeated": true }, "ids": { "repeated": true, "type": "string", "description": "Select only apps with these IDs.", "location": "query" }, "maxResults": { "format": "int32", "maximum": "1000", "description": "Maximum number of results to return.", "type": "integer", "minimum": "0", "default": "1000", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId" ], "id": "dfareporting.mobileApps.list", "description": "Retrieves list of available mobile apps." } } }, "operatingSystems": { "methods": { "get": { "id": "dfareporting.operatingSystems.get", "description": "Gets one operating system by DART ID.", "httpMethod": "GET", "response": { "$ref": "OperatingSystem" }, "parameters": { "profileId": { "location": "path", "format": "int64", "type": "string", "required": true, "description": "User profile ID associated with this request." }, "dartId": { "format": "int64", "location": "path", "description": "Operating system DART ID.", "type": "string", "required": true } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystems/{dartId}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "dartId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystems/{dartId}" }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystems", "parameterOrder": [ "profileId" ], "description": "Retrieves a list of operating systems.", "response": { "$ref": "OperatingSystemsListResponse" }, "id": "dfareporting.operatingSystems.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystems", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true, "location": "path" } } } } }, "postalCodes": { "methods": { "get": { "response": { "$ref": "PostalCode" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/postalCodes/{code}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/postalCodes/{code}", "parameterOrder": [ "profileId", "code" ], "description": "Gets one postal code by ID.", "httpMethod": "GET", "id": "dfareporting.postalCodes.get", "parameters": { "code": { "location": "path", "description": "Postal code ID.", "required": true, "type": "string" }, "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true } } }, "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/postalCodes", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" } }, "parameterOrder": [ "profileId" ], "response": { "$ref": "PostalCodesListResponse" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/postalCodes", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.postalCodes.list", "description": "Retrieves a list of postal codes." } } }, "accounts": { "methods": { "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "description": "Retrieves the list of accounts, possibly filtered. This method supports paging.", "parameters": { "maxResults": { "maximum": "1000", "description": "Maximum number of results to return.", "type": "integer", "location": "query", "format": "int32", "default": "1000", "minimum": "0" }, "ids": { "description": "Select only accounts with these IDs.", "repeated": true, "type": "string", "location": "query", "format": "int64" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"account*2015\" will return objects with names like \"account June 2015\", \"account April 2015\", or simply \"account 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"account\" will match objects with name \"my account\", \"account 2015\", or simply \"account\"." }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "active": { "description": "Select only active accounts. Don't set this field to select both active and non-active accounts.", "location": "query", "type": "boolean" }, "sortOrder": { "default": "ASCENDING", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "location": "query", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ] }, "sortField": { "enumDescriptions": [ "", "" ], "location": "query", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "default": "ID", "type": "string" } }, "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "id": "dfareporting.accounts.list", "response": { "$ref": "AccountsListResponse" } }, "update": { "path": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "request": { "$ref": "Account" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Account" }, "parameters": { "profileId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request." } }, "id": "dfareporting.accounts.update", "description": "Updates an existing account.", "parameterOrder": [ "profileId" ] }, "patch": { "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing account. This method supports patch semantics.", "id": "dfareporting.accounts.patch", "path": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accounts", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Account" }, "request": { "$ref": "Account" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true, "type": "string" }, "id": { "location": "query", "type": "string", "required": true, "format": "int64", "description": "Account ID." } } }, "get": { "id": "dfareporting.accounts.get", "parameters": { "profileId": { "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request.", "location": "path" }, "id": { "location": "path", "description": "Account ID.", "format": "int64", "type": "string", "required": true } }, "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accounts/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one account by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/accounts/{id}", "httpMethod": "GET", "response": { "$ref": "Account" } } } }, "connectionTypes": { "methods": { "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/connectionTypes", "response": { "$ref": "ConnectionTypesListResponse" }, "httpMethod": "GET", "id": "dfareporting.connectionTypes.list", "description": "Retrieves a list of connection types.", "parameters": { "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" } }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/connectionTypes" }, "get": { "parameters": { "id": { "required": true, "description": "Connection type ID.", "format": "int64", "type": "string", "location": "path" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one connection type by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/connectionTypes/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/connectionTypes/{id}", "id": "dfareporting.connectionTypes.get", "parameterOrder": [ "profileId", "id" ], "httpMethod": "GET", "response": { "$ref": "ConnectionType" } } } }, "subaccounts": { "methods": { "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts/{id}", "description": "Gets one subaccount by ID.", "response": { "$ref": "Subaccount" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.subaccounts.get", "parameters": { "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64" }, "id": { "description": "Subaccount ID.", "required": true, "format": "int64", "location": "path", "type": "string" } }, "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts/{id}", "parameterOrder": [ "profileId", "id" ] }, "update": { "id": "dfareporting.subaccounts.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "parameterOrder": [ "profileId" ], "request": { "$ref": "Subaccount" }, "response": { "$ref": "Subaccount" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "httpMethod": "PUT", "path": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "description": "Updates an existing subaccount." }, "list": { "response": { "$ref": "SubaccountsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "id": "dfareporting.subaccounts.list", "parameterOrder": [ "profileId" ], "description": "Gets a list of subaccounts, possibly filtered. This method supports paging.", "path": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "parameters": { "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "required": true, "location": "path", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "sortField": { "location": "query", "description": "Field by which to sort the list.", "type": "string", "enumDescriptions": [ "", "" ], "default": "ID", "enum": [ "ID", "NAME" ] }, "sortOrder": { "enumDescriptions": [ "", "" ], "type": "string", "location": "query", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results." }, "ids": { "format": "int64", "type": "string", "description": "Select only subaccounts with these IDs.", "repeated": true, "location": "query" }, "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"subaccount*2015\" will return objects with names like \"subaccount June 2015\", \"subaccount April 2015\", or simply \"subaccount 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"subaccount\" will match objects with name \"my subaccount\", \"subaccount 2015\", or simply \"subaccount\" .", "type": "string" }, "maxResults": { "default": "1000", "format": "int32", "minimum": "0", "maximum": "1000", "location": "query", "type": "integer", "description": "Maximum number of results to return." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing subaccount. This method supports patch semantics.", "path": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "request": { "$ref": "Subaccount" }, "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request." }, "id": { "location": "query", "required": true, "description": "Subaccount ID.", "format": "int64", "type": "string" } }, "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.subaccounts.patch", "httpMethod": "PATCH", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "response": { "$ref": "Subaccount" } }, "insert": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "parameterOrder": [ "profileId" ], "description": "Inserts a new subaccount.", "response": { "$ref": "Subaccount" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.subaccounts.insert", "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "User profile ID associated with this request." } }, "request": { "$ref": "Subaccount" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/subaccounts", "httpMethod": "POST" } } }, "placementStrategies": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.placementStrategies.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "Placement strategy ID." }, "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" } }, "description": "Gets one placement strategy by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies/{id}", "response": { "$ref": "PlacementStrategy" }, "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies/{id}" }, "update": { "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "response": { "$ref": "PlacementStrategy" }, "description": "Updates an existing placement strategy.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "request": { "$ref": "PlacementStrategy" }, "id": "dfareporting.placementStrategies.update", "parameters": { "profileId": { "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path" } } }, "delete": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.placementStrategies.delete", "description": "Deletes an existing placement strategy.", "httpMethod": "DELETE", "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies/{id}", "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path" }, "id": { "required": true, "location": "path", "type": "string", "description": "Placement strategy ID.", "format": "int64" } } }, "patch": { "response": { "$ref": "PlacementStrategy" }, "httpMethod": "PATCH", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.placementStrategies.patch", "description": "Updates an existing placement strategy. This method supports patch semantics.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" }, "id": { "description": "PlacementStrategy ID.", "format": "int64", "type": "string", "required": true, "location": "query" } }, "request": { "$ref": "PlacementStrategy" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies" }, "list": { "response": { "$ref": "PlacementStrategiesListResponse" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.placementStrategies.list", "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path" }, "maxResults": { "minimum": "0", "type": "integer", "default": "1000", "location": "query", "description": "Maximum number of results to return.", "maximum": "1000", "format": "int32" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "sortOrder": { "description": "Order of sorted results.", "enumDescriptions": [ "", "" ], "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "default": "ASCENDING" }, "ids": { "location": "query", "description": "Select only placement strategies with these IDs.", "format": "int64", "repeated": true, "type": "string" }, "sortField": { "default": "ID", "location": "query", "type": "string", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list." }, "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"placementstrategy*2015\" will return objects with names like \"placementstrategy June 2015\", \"placementstrategy April 2015\", or simply \"placementstrategy 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placementstrategy\" will match objects with name \"my placementstrategy\", \"placementstrategy 2015\", or simply \"placementstrategy\".", "location": "query" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of placement strategies, possibly filtered. This method supports paging." }, "insert": { "path": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "PlacementStrategy" }, "request": { "$ref": "PlacementStrategy" }, "httpMethod": "POST", "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "id": "dfareporting.placementStrategies.insert", "parameterOrder": [ "profileId" ], "description": "Inserts a new placement strategy.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementStrategies" } } }, "sites": { "methods": { "insert": { "httpMethod": "POST", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sites", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request." } }, "request": { "$ref": "Site" }, "id": "dfareporting.sites.insert", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/sites", "response": { "$ref": "Site" }, "description": "Inserts a new site." }, "get": { "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" }, "id": { "required": true, "format": "int64", "description": "Site ID.", "type": "string", "location": "path" } }, "response": { "$ref": "Site" }, "description": "Gets one site by ID.", "id": "dfareporting.sites.get", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sites/{id}", "path": "dfareporting/v3.5/userprofiles/{profileId}/sites/{id}" }, "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sites", "path": "dfareporting/v3.5/userprofiles/{profileId}/sites", "parameterOrder": [ "profileId" ], "id": "dfareporting.sites.list", "response": { "$ref": "SitesListResponse" }, "httpMethod": "GET", "parameters": { "searchString": { "type": "string", "description": "Allows searching for objects by name, ID or keyName. Wildcards (*) are allowed. For example, \"site*2015\" will return objects with names like \"site June 2015\", \"site April 2015\", or simply \"site 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"site\" will match objects with name \"my site\", \"site 2015\", or simply \"site\".", "location": "query" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "acceptsInterstitialPlacements": { "type": "boolean", "description": "This search filter is no longer supported and will have no effect on the results returned.", "location": "query" }, "acceptsInStreamVideoPlacements": { "location": "query", "description": "This search filter is no longer supported and will have no effect on the results returned.", "type": "boolean" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "location": "query", "description": "Order of sorted results.", "default": "ASCENDING", "type": "string" }, "acceptsPublisherPaidPlacements": { "type": "boolean", "location": "query", "description": "Select only sites that accept publisher paid placements." }, "unmappedSite": { "type": "boolean", "description": "Select only sites that have not been mapped to a directory site.", "location": "query" }, "campaignIds": { "repeated": true, "format": "int64", "type": "string", "location": "query", "description": "Select only sites with these campaign IDs." }, "ids": { "location": "query", "repeated": true, "description": "Select only sites with these IDs.", "format": "int64", "type": "string" }, "sortField": { "default": "ID", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "location": "query", "type": "string" }, "subaccountId": { "type": "string", "location": "query", "description": "Select only sites with this subaccount ID.", "format": "int64" }, "maxResults": { "location": "query", "description": "Maximum number of results to return.", "minimum": "0", "format": "int32", "default": "1000", "type": "integer", "maximum": "1000" }, "directorySiteIds": { "repeated": true, "location": "query", "format": "int64", "description": "Select only sites with these directory site IDs.", "type": "string" }, "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "approved": { "type": "boolean", "description": "Select only approved sites.", "location": "query" }, "adWordsSite": { "type": "boolean", "description": "Select only AdWords sites.", "location": "query" } }, "description": "Retrieves a list of sites, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "update": { "parameterOrder": [ "profileId" ], "response": { "$ref": "Site" }, "request": { "$ref": "Site" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/sites", "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true } }, "id": "dfareporting.sites.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing site.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sites", "httpMethod": "PUT" }, "patch": { "httpMethod": "PATCH", "description": "Updates an existing site. This method supports patch semantics.", "request": { "$ref": "Site" }, "id": "dfareporting.sites.patch", "path": "dfareporting/v3.5/userprofiles/{profileId}/sites", "response": { "$ref": "Site" }, "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" }, "id": { "location": "query", "format": "int64", "required": true, "type": "string", "description": "Site ID." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/sites" } } }, "ads": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.ads.get", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/ads/{id}", "path": "dfareporting/v3.5/userprofiles/{profileId}/ads/{id}", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true }, "id": { "required": true, "location": "path", "type": "string", "description": "Ad ID.", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "response": { "$ref": "Ad" }, "description": "Gets one ad by ID." }, "insert": { "path": "dfareporting/v3.5/userprofiles/{profileId}/ads", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/ads", "id": "dfareporting.ads.insert", "description": "Inserts a new ad.", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Ad" }, "request": { "$ref": "Ad" }, "parameters": { "profileId": { "type": "string", "format": "int64", "location": "path", "required": true, "description": "User profile ID associated with this request." } }, "httpMethod": "POST" }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/ads", "id": "dfareporting.ads.list", "parameterOrder": [ "profileId" ], "response": { "$ref": "AdsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/ads", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of ads, possibly filtered. This method supports paging.", "parameters": { "placementIds": { "format": "int64", "description": "Select only ads with these placement IDs assigned.", "type": "string", "repeated": true, "location": "query" }, "sortField": { "description": "Field by which to sort the list.", "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "enum": [ "ID", "NAME" ], "default": "ID" }, "sslRequired": { "location": "query", "description": "Select only ads that require SSL.", "type": "boolean" }, "overriddenEventTagId": { "format": "int64", "description": "Select only ads with this event tag override ID.", "type": "string", "location": "query" }, "dynamicClickTracker": { "description": "Select only dynamic click trackers. Applicable when type is AD_SERVING_CLICK_TRACKER. If true, select dynamic click trackers. If false, select static click trackers. Leave unset to select both.", "location": "query", "type": "boolean" }, "sslCompliant": { "type": "boolean", "description": "Select only ads that are SSL-compliant.", "location": "query" }, "archived": { "description": "Select only archived ads.", "location": "query", "type": "boolean" }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "location": "path", "type": "string", "format": "int64" }, "sizeIds": { "type": "string", "format": "int64", "description": "Select only ads with these size IDs.", "location": "query", "repeated": true }, "creativeOptimizationConfigurationIds": { "type": "string", "location": "query", "repeated": true, "description": "Select only ads with these creative optimization configuration IDs.", "format": "int64" }, "type": { "enumDescriptions": [ "", "", "", "", "" ], "location": "query", "repeated": true, "type": "string", "description": "Select only ads with these types.", "enum": [ "AD_SERVING_STANDARD_AD", "AD_SERVING_DEFAULT_AD", "AD_SERVING_CLICK_TRACKER", "AD_SERVING_TRACKING", "AD_SERVING_BRAND_SAFE_AD" ] }, "advertiserId": { "type": "string", "description": "Select only ads with this advertiser ID.", "format": "int64", "location": "query" }, "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"ad*2015\" will return objects with names like \"ad June 2015\", \"ad April 2015\", or simply \"ad 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"ad\" will match objects with name \"my ad\", \"ad 2015\", or simply \"ad\".", "location": "query" }, "remarketingListIds": { "repeated": true, "type": "string", "description": "Select only ads whose list targeting expression use these remarketing list IDs.", "format": "int64", "location": "query" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "sortOrder": { "description": "Order of sorted results.", "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ] }, "creativeIds": { "type": "string", "location": "query", "description": "Select only ads with these creative IDs assigned.", "format": "int64", "repeated": true }, "landingPageIds": { "type": "string", "description": "Select only ads with these landing page IDs.", "location": "query", "repeated": true, "format": "int64" }, "maxResults": { "type": "integer", "minimum": "0", "format": "int32", "location": "query", "description": "Maximum number of results to return.", "default": "1000", "maximum": "1000" }, "campaignIds": { "location": "query", "format": "int64", "repeated": true, "type": "string", "description": "Select only ads with these campaign IDs." }, "compatibility": { "description": "Select default ads with the specified compatibility. Applicable when type is AD_SERVING_DEFAULT_AD. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering an in-stream video ads developed with the VAST standard.", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "type": "string", "location": "query", "enumDescriptions": [ "", "", "", "", "", "" ] }, "ids": { "location": "query", "description": "Select only ads with these IDs.", "repeated": true, "type": "string", "format": "int64" }, "audienceSegmentIds": { "repeated": true, "type": "string", "format": "int64", "description": "Select only ads with these audience segment IDs.", "location": "query" }, "active": { "type": "boolean", "description": "Select only active ads.", "location": "query" } } }, "patch": { "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path" }, "id": { "required": true, "location": "query", "description": "Ad ID.", "type": "string", "format": "int64" } }, "id": "dfareporting.ads.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Ad" }, "description": "Updates an existing ad. This method supports patch semantics.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/ads", "path": "dfareporting/v3.5/userprofiles/{profileId}/ads", "httpMethod": "PATCH", "request": { "$ref": "Ad" } }, "update": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing ad.", "path": "dfareporting/v3.5/userprofiles/{profileId}/ads", "response": { "$ref": "Ad" }, "httpMethod": "PUT", "id": "dfareporting.ads.update", "parameters": { "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "type": "string" } }, "request": { "$ref": "Ad" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/ads", "parameterOrder": [ "profileId" ] } } }, "targetingTemplates": { "methods": { "list": { "httpMethod": "GET", "id": "dfareporting.targetingTemplates.list", "description": "Retrieves a list of targeting templates, optionally filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "TargetingTemplatesListResponse" }, "parameters": { "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"template*2015\" will return objects with names like \"template June 2015\", \"template April 2015\", or simply \"template 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"template\" will match objects with name \"my template\", \"template 2015\", or simply \"template\".", "type": "string" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "profileId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request." }, "maxResults": { "type": "integer", "maximum": "1000", "format": "int32", "default": "1000", "location": "query", "minimum": "0", "description": "Maximum number of results to return." }, "advertiserId": { "location": "query", "type": "string", "description": "Select only targeting templates with this advertiser ID.", "format": "int64" }, "sortField": { "enum": [ "ID", "NAME" ], "type": "string", "location": "query", "default": "ID", "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list." }, "sortOrder": { "description": "Order of sorted results.", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "", "" ], "default": "ASCENDING" }, "ids": { "format": "int64", "description": "Select only targeting templates with these IDs.", "type": "string", "repeated": true, "location": "query" } }, "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates", "path": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates" }, "update": { "parameters": { "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64" } }, "description": "Updates an existing targeting template.", "id": "dfareporting.targetingTemplates.update", "httpMethod": "PUT", "request": { "$ref": "TargetingTemplate" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates", "response": { "$ref": "TargetingTemplate" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates" }, "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates/{id}", "parameterOrder": [ "profileId", "id" ], "description": "Gets one targeting template by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates/{id}", "response": { "$ref": "TargetingTemplate" }, "httpMethod": "GET", "id": "dfareporting.targetingTemplates.get", "parameters": { "id": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "Targeting template ID." }, "profileId": { "required": true, "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "patch": { "parameters": { "profileId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "User profile ID associated with this request." }, "id": { "location": "query", "type": "string", "format": "int64", "required": true, "description": "TargetingTemplate ID." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "TargetingTemplate" }, "httpMethod": "PATCH", "path": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates", "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing targeting template. This method supports patch semantics.", "id": "dfareporting.targetingTemplates.patch", "response": { "$ref": "TargetingTemplate" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates" }, "insert": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "POST", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates", "description": "Inserts a new targeting template.", "parameters": { "profileId": { "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "location": "path" } }, "id": "dfareporting.targetingTemplates.insert", "response": { "$ref": "TargetingTemplate" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/targetingTemplates", "request": { "$ref": "TargetingTemplate" }, "parameterOrder": [ "profileId" ] } } }, "floodlightConfigurations": { "methods": { "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations/{id}", "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true }, "id": { "location": "path", "format": "int64", "description": "Floodlight configuration ID.", "required": true, "type": "string" } }, "parameterOrder": [ "profileId", "id" ], "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations/{id}", "response": { "$ref": "FloodlightConfiguration" }, "id": "dfareporting.floodlightConfigurations.get", "description": "Gets one floodlight configuration by ID.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "update": { "request": { "$ref": "FloodlightConfiguration" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations", "parameters": { "profileId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "User profile ID associated with this request." } }, "id": "dfareporting.floodlightConfigurations.update", "description": "Updates an existing floodlight configuration.", "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "FloodlightConfiguration" } }, "list": { "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations", "response": { "$ref": "FloodlightConfigurationsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.floodlightConfigurations.list", "description": "Retrieves a list of floodlight configurations, possibly filtered.", "parameterOrder": [ "profileId" ], "parameters": { "ids": { "type": "string", "location": "query", "repeated": true, "format": "int64", "description": "Set of IDs of floodlight configurations to retrieve. Required field; otherwise an empty list will be returned." }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations" }, "patch": { "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations", "httpMethod": "PATCH", "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true }, "id": { "format": "int64", "description": "FloodlightConfiguration ID.", "location": "query", "type": "string", "required": true } }, "id": "dfareporting.floodlightConfigurations.patch", "description": "Updates an existing floodlight configuration. This method supports patch semantics.", "parameterOrder": [ "profileId", "id" ], "request": { "$ref": "FloodlightConfiguration" }, "response": { "$ref": "FloodlightConfiguration" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightConfigurations", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "conversions": { "methods": { "batchinsert": { "description": "Inserts conversions.", "id": "dfareporting.conversions.batchinsert", "scopes": [ "https://www.googleapis.com/auth/ddmconversions" ], "parameterOrder": [ "profileId" ], "httpMethod": "POST", "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } }, "response": { "$ref": "ConversionsBatchInsertResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/conversions/batchinsert", "path": "dfareporting/v3.5/userprofiles/{profileId}/conversions/batchinsert", "request": { "$ref": "ConversionsBatchInsertRequest" } }, "batchupdate": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/conversions/batchupdate", "scopes": [ "https://www.googleapis.com/auth/ddmconversions" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" } }, "request": { "$ref": "ConversionsBatchUpdateRequest" }, "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/conversions/batchupdate", "description": "Updates existing conversions.", "id": "dfareporting.conversions.batchupdate", "httpMethod": "POST", "response": { "$ref": "ConversionsBatchUpdateResponse" } } } }, "targetableRemarketingLists": { "methods": { "get": { "description": "Gets one remarketing list by ID.", "parameters": { "id": { "type": "string", "format": "int64", "description": "Remarketing list ID.", "location": "path", "required": true }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true } }, "response": { "$ref": "TargetableRemarketingList" }, "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/targetableRemarketingLists/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetableRemarketingLists/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.targetableRemarketingLists.get", "parameterOrder": [ "profileId", "id" ] }, "list": { "parameters": { "sortOrder": { "type": "string", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "description": "Order of sorted results.", "enumDescriptions": [ "", "" ] }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64", "location": "path" }, "sortField": { "location": "query", "default": "ID", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "active": { "location": "query", "type": "boolean", "description": "Select only active or only inactive targetable remarketing lists." }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "advertiserId": { "type": "string", "location": "query", "required": true, "format": "int64", "description": "Select only targetable remarketing lists targetable by these advertisers." }, "maxResults": { "minimum": "0", "format": "int32", "type": "integer", "default": "1000", "maximum": "1000", "location": "query", "description": "Maximum number of results to return." }, "name": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"remarketing list*2015\" will return objects with names like \"remarketing list June 2015\", \"remarketing list April 2015\", or simply \"remarketing list 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"remarketing list\" will match objects with name \"my remarketing list\", \"remarketing list 2015\", or simply \"remarketing list\".", "type": "string", "location": "query" } }, "response": { "$ref": "TargetableRemarketingListsListResponse" }, "httpMethod": "GET", "id": "dfareporting.targetableRemarketingLists.list", "path": "dfareporting/v3.5/userprofiles/{profileId}/targetableRemarketingLists", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/targetableRemarketingLists", "description": "Retrieves a list of targetable remarketing lists, possibly filtered. This method supports paging.", "parameterOrder": [ "profileId", "advertiserId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "remarketingListShares": { "methods": { "patch": { "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares", "id": "dfareporting.remarketingListShares.patch", "description": "Updates an existing remarketing list share. This method supports patch semantics.", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares", "parameterOrder": [ "profileId", "id" ], "request": { "$ref": "RemarketingListShare" }, "response": { "$ref": "RemarketingListShare" }, "parameters": { "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path" }, "id": { "description": "RemarketingList ID.", "required": true, "format": "int64", "location": "query", "type": "string" } } }, "update": { "response": { "$ref": "RemarketingListShare" }, "request": { "$ref": "RemarketingListShare" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares", "id": "dfareporting.remarketingListShares.update", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64", "location": "path" } }, "description": "Updates an existing remarketing list share.", "httpMethod": "PUT" }, "get": { "id": "dfareporting.remarketingListShares.get", "parameters": { "remarketingListId": { "description": "Remarketing list ID.", "type": "string", "location": "path", "required": true, "format": "int64" }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "type": "string", "required": true } }, "description": "Gets one remarketing list share by remarketing list ID.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares/{remarketingListId}", "parameterOrder": [ "profileId", "remarketingListId" ], "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingListShares/{remarketingListId}", "response": { "$ref": "RemarketingListShare" } } } }, "languages": { "methods": { "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/languages", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/languages", "description": "Retrieves a list of languages.", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64", "location": "path" } }, "httpMethod": "GET", "id": "dfareporting.languages.list", "response": { "$ref": "LanguagesListResponse" } } } }, "files": { "methods": { "list": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/files", "response": { "$ref": "FileList" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/files", "description": "Lists files for a user profile.", "parameters": { "scope": { "type": "string", "default": "MINE", "location": "query", "description": "The scope that defines which results are returned.", "enumDescriptions": [ "All files in account.", "My files.", "Files shared with me." ], "enum": [ "ALL", "MINE", "SHARED_WITH_ME" ] }, "profileId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "The Campaign Manager 360 user profile ID." }, "sortField": { "type": "string", "location": "query", "enum": [ "ID", "LAST_MODIFIED_TIME" ], "enumDescriptions": [ "Sort by file ID.", "Sort by 'lastmodifiedAt' field." ], "default": "LAST_MODIFIED_TIME", "description": "The field by which to sort the list." }, "maxResults": { "default": "10", "type": "integer", "format": "int32", "maximum": "10", "location": "query", "description": "Maximum number of results to return.", "minimum": "0" }, "sortOrder": { "enumDescriptions": [ "Ascending order.", "Descending order." ], "description": "Order of sorted results.", "default": "DESCENDING", "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string" }, "pageToken": { "type": "string", "description": "The value of the nextToken from the previous result page.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "id": "dfareporting.files.list", "httpMethod": "GET" }, "get": { "parameterOrder": [ "reportId", "fileId" ], "id": "dfareporting.files.get", "flatPath": "dfareporting/v3.5/reports/{reportId}/files/{fileId}", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "supportsMediaDownload": true, "httpMethod": "GET", "parameters": { "fileId": { "type": "string", "required": true, "description": "The ID of the report file.", "format": "int64", "location": "path" }, "reportId": { "description": "The ID of the report.", "required": true, "location": "path", "type": "string", "format": "int64" } }, "path": "dfareporting/v3.5/reports/{reportId}/files/{fileId}", "response": { "$ref": "File" }, "description": "Retrieves a report file by its report ID and file ID. This method supports media download." } } }, "orders": { "methods": { "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orders", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orders", "parameters": { "siteId": { "repeated": true, "description": "Select only orders that are associated with these site IDs.", "format": "int64", "type": "string", "location": "query" }, "sortField": { "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "type": "string", "location": "query", "enumDescriptions": [ "", "" ], "default": "ID" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "type": "string", "location": "query", "default": "ASCENDING" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "projectId": { "format": "int64", "required": true, "type": "string", "description": "Project ID for orders.", "location": "path" }, "maxResults": { "format": "int32", "maximum": "1000", "default": "1000", "location": "query", "minimum": "0", "description": "Maximum number of results to return.", "type": "integer" }, "ids": { "format": "int64", "type": "string", "repeated": true, "description": "Select only orders with these IDs.", "location": "query" }, "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" }, "searchString": { "description": "Allows searching for orders by name or ID. Wildcards (*) are allowed. For example, \"order*2015\" will return orders with names like \"order June 2015\", \"order April 2015\", or simply \"order 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"order\" will match orders with name \"my order\", \"order 2015\", or simply \"order\".", "location": "query", "type": "string" } }, "httpMethod": "GET", "id": "dfareporting.orders.list", "parameterOrder": [ "profileId", "projectId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "OrdersListResponse" }, "description": "Retrieves a list of orders, possibly filtered. This method supports paging." }, "get": { "httpMethod": "GET", "id": "dfareporting.orders.get", "parameters": { "profileId": { "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true }, "id": { "type": "string", "required": true, "description": "Order ID.", "location": "path", "format": "int64" }, "projectId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "Project ID for orders." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orders/{id}", "parameterOrder": [ "profileId", "projectId", "id" ], "response": { "$ref": "Order" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/orders/{id}", "description": "Gets one order by ID." } } }, "creativeFieldValues": { "methods": { "list": { "parameterOrder": [ "profileId", "creativeFieldId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of creative field values, possibly filtered. This method supports paging.", "parameters": { "sortField": { "description": "Field by which to sort the list.", "type": "string", "enum": [ "ID", "VALUE" ], "location": "query", "default": "ID", "enumDescriptions": [ "", "" ] }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "sortOrder": { "location": "query", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "description": "Order of sorted results.", "enumDescriptions": [ "", "" ] }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for creative field values by their values. Wildcards (e.g. *) are not allowed." }, "maxResults": { "type": "integer", "description": "Maximum number of results to return.", "format": "int32", "minimum": "0", "maximum": "1000", "default": "1000", "location": "query" }, "ids": { "description": "Select only creative field values with these IDs.", "format": "int64", "repeated": true, "location": "query", "type": "string" }, "creativeFieldId": { "type": "string", "format": "int64", "description": "Creative field ID for this creative field value.", "location": "path", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." } }, "httpMethod": "GET", "id": "dfareporting.creativeFieldValues.list", "response": { "$ref": "CreativeFieldValuesListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues" }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "id": "dfareporting.creativeFieldValues.get", "parameters": { "id": { "location": "path", "required": true, "type": "string", "description": "Creative Field Value ID", "format": "int64" }, "creativeFieldId": { "required": true, "format": "int64", "description": "Creative field ID for this creative field value.", "type": "string", "location": "path" }, "profileId": { "location": "path", "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request." } }, "description": "Gets one creative field value by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "response": { "$ref": "CreativeFieldValue" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}" }, "patch": { "id": "dfareporting.creativeFieldValues.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "httpMethod": "PATCH", "response": { "$ref": "CreativeFieldValue" }, "parameters": { "creativeFieldId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "CreativeField ID." }, "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64" }, "id": { "type": "string", "description": "CreativeFieldValue ID.", "format": "int64", "location": "query", "required": true } }, "description": "Updates an existing creative field value. This method supports patch semantics.", "request": { "$ref": "CreativeFieldValue" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues" }, "update": { "id": "dfareporting.creativeFieldValues.update", "parameters": { "profileId": { "format": "int64", "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path" }, "creativeFieldId": { "type": "string", "required": true, "format": "int64", "location": "path", "description": "Creative field ID for this creative field value." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "creativeFieldId" ], "description": "Updates an existing creative field value.", "response": { "$ref": "CreativeFieldValue" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "httpMethod": "PUT", "request": { "$ref": "CreativeFieldValue" } }, "insert": { "description": "Inserts a new creative field value.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.creativeFieldValues.insert", "request": { "$ref": "CreativeFieldValue" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "httpMethod": "POST", "parameterOrder": [ "profileId", "creativeFieldId" ], "parameters": { "creativeFieldId": { "type": "string", "required": true, "location": "path", "description": "Creative field ID for this creative field value.", "format": "int64" }, "profileId": { "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "response": { "$ref": "CreativeFieldValue" } }, "delete": { "id": "dfareporting.creativeFieldValues.delete", "httpMethod": "DELETE", "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "description": "Deletes an existing creative field value.", "parameters": { "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true }, "creativeFieldId": { "description": "Creative field ID for this creative field value.", "format": "int64", "location": "path", "required": true, "type": "string" }, "id": { "location": "path", "required": true, "description": "Creative Field Value ID", "type": "string", "format": "int64" } } } } }, "dimensionValues": { "methods": { "query": { "response": { "$ref": "DimensionValueList" }, "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "description": "The Campaign Manager 360 user profile ID.", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "The value of the nextToken from the previous result page." }, "maxResults": { "location": "query", "default": "100", "format": "int32", "description": "Maximum number of results to return.", "maximum": "100", "minimum": "0", "type": "integer" } }, "id": "dfareporting.dimensionValues.query", "request": { "$ref": "DimensionValueRequest" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/dimensionvalues/query", "path": "dfareporting/v3.5/userprofiles/{profileId}/dimensionvalues/query", "description": "Retrieves list of report dimension values for a list of filters.", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "httpMethod": "POST", "parameterOrder": [ "profileId" ] } } }, "inventoryItems": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/inventoryItems", "response": { "$ref": "InventoryItemsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/inventoryItems", "parameters": { "orderId": { "type": "string", "format": "int64", "repeated": true, "description": "Select only inventory items that belong to specified orders.", "location": "query" }, "sortField": { "default": "ID", "location": "query", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "projectId": { "type": "string", "location": "path", "format": "int64", "description": "Project ID for order documents.", "required": true }, "ids": { "format": "int64", "type": "string", "repeated": true, "description": "Select only inventory items with these IDs.", "location": "query" }, "siteId": { "format": "int64", "type": "string", "description": "Select only inventory items that are associated with these sites.", "location": "query", "repeated": true }, "type": { "type": "string", "description": "Select only inventory items with this type.", "enum": [ "PLANNING_PLACEMENT_TYPE_REGULAR", "PLANNING_PLACEMENT_TYPE_CREDIT" ], "enumDescriptions": [ "", "" ], "location": "query" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true }, "inPlan": { "description": "Select only inventory items that are in plan.", "location": "query", "type": "boolean" }, "sortOrder": { "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "description": "Order of sorted results." }, "maxResults": { "description": "Maximum number of results to return.", "maximum": "1000", "default": "1000", "format": "int32", "type": "integer", "location": "query", "minimum": "0" } }, "parameterOrder": [ "profileId", "projectId" ], "id": "dfareporting.inventoryItems.list", "description": "Retrieves a list of inventory items, possibly filtered. This method supports paging.", "httpMethod": "GET" }, "get": { "parameterOrder": [ "profileId", "projectId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.inventoryItems.get", "response": { "$ref": "InventoryItem" }, "parameters": { "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path" }, "projectId": { "type": "string", "format": "int64", "required": true, "description": "Project ID for order documents.", "location": "path" }, "id": { "location": "path", "required": true, "type": "string", "description": "Inventory item ID.", "format": "int64" } }, "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/inventoryItems/{id}", "description": "Gets one inventory item by ID.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{projectId}/inventoryItems/{id}" } } }, "operatingSystemVersions": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "OperatingSystemVersionsListResponse" }, "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path" } }, "description": "Retrieves a list of operating system versions.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystemVersions", "id": "dfareporting.operatingSystemVersions.list", "path": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystemVersions", "httpMethod": "GET" }, "get": { "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystemVersions/{id}", "parameters": { "profileId": { "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "location": "path" }, "id": { "description": "Operating system version ID.", "required": true, "type": "string", "location": "path", "format": "int64" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/operatingSystemVersions/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.operatingSystemVersions.get", "description": "Gets one operating system version by ID.", "response": { "$ref": "OperatingSystemVersion" } } } }, "metros": { "methods": { "list": { "parameters": { "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } }, "description": "Retrieves a list of metros.", "id": "dfareporting.metros.list", "response": { "$ref": "MetrosListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/metros", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/metros", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "placements": { "methods": { "insert": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements", "httpMethod": "POST", "description": "Inserts a new placement.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.placements.insert", "request": { "$ref": "Placement" }, "response": { "$ref": "Placement" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placements", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64", "type": "string" } } }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/placements", "description": "Retrieves a list of placements, possibly filtered. This method supports paging.", "response": { "$ref": "PlacementsListResponse" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements", "parameters": { "paymentSource": { "location": "query", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLACEMENT_AGENCY_PAID", "PLACEMENT_PUBLISHER_PAID" ], "description": "Select only placements with this payment source." }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "placementStrategyIds": { "description": "Select only placements that are associated with these placement strategies.", "type": "string", "repeated": true, "location": "query", "format": "int64" }, "pricingTypes": { "description": "Select only placements with these pricing types.", "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "repeated": true, "enumDescriptions": [ "", "", "", "", "", "" ], "location": "query", "type": "string" }, "minEndDate": { "type": "string", "description": "Select only placements or placement groups whose end date is on or after the specified minEndDate. The date should be formatted as \"yyyy-MM-dd\".", "location": "query" }, "searchString": { "type": "string", "location": "query", "description": "Allows searching for placements by name or ID. Wildcards (*) are allowed. For example, \"placement*2015\" will return placements with names like \"placement June 2015\", \"placement May 2015\", or simply \"placements 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placement\" will match placements with name \"my placement\", \"placement 2015\", or simply \"placement\" ." }, "siteIds": { "repeated": true, "type": "string", "description": "Select only placements that are associated with these sites.", "format": "int64", "location": "query" }, "ids": { "type": "string", "location": "query", "description": "Select only placements with these IDs.", "repeated": true, "format": "int64" }, "maxResults": { "maximum": "1000", "location": "query", "default": "1000", "format": "int32", "minimum": "0", "type": "integer", "description": "Maximum number of results to return." }, "profileId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "User profile ID associated with this request." }, "directorySiteIds": { "type": "string", "repeated": true, "format": "int64", "description": "Select only placements that are associated with these directory sites.", "location": "query" }, "advertiserIds": { "type": "string", "format": "int64", "location": "query", "description": "Select only placements that belong to these advertisers.", "repeated": true }, "sizeIds": { "format": "int64", "type": "string", "location": "query", "description": "Select only placements that are associated with these sizes.", "repeated": true }, "minStartDate": { "description": "Select only placements or placement groups whose start date is on or after the specified minStartDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string", "location": "query" }, "campaignIds": { "type": "string", "description": "Select only placements that belong to these campaigns.", "location": "query", "format": "int64", "repeated": true }, "maxStartDate": { "type": "string", "location": "query", "description": "Select only placements or placement groups whose start date is on or before the specified maxStartDate. The date should be formatted as \"yyyy-MM-dd\"." }, "sortOrder": { "description": "Order of sorted results.", "location": "query", "default": "ASCENDING", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "sortField": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "default": "ID", "description": "Field by which to sort the list.", "location": "query" }, "maxEndDate": { "type": "string", "description": "Select only placements or placement groups whose end date is on or before the specified maxEndDate. The date should be formatted as \"yyyy-MM-dd\".", "location": "query" }, "groupIds": { "description": "Select only placements that belong to these placement groups.", "type": "string", "format": "int64", "location": "query", "repeated": true }, "compatibilities": { "repeated": true, "type": "string", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ], "location": "query", "description": "Select only placements that are associated with these compatibilities. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard." }, "contentCategoryIds": { "type": "string", "format": "int64", "description": "Select only placements that are associated with these content categories.", "repeated": true, "location": "query" }, "archived": { "location": "query", "description": "Select only archived placements. Don't set this field to select both archived and non-archived placements.", "type": "boolean" } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.placements.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET" }, "patch": { "id": "dfareporting.placements.patch", "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing placement. This method supports patch semantics.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "Placement" }, "response": { "$ref": "Placement" }, "parameters": { "id": { "location": "query", "type": "string", "required": true, "description": "Placement ID.", "format": "int64" }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placements", "httpMethod": "PATCH" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Placement" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placements/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements/{id}", "id": "dfareporting.placements.get", "parameters": { "id": { "description": "Placement ID.", "required": true, "format": "int64", "location": "path", "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "location": "path", "type": "string", "format": "int64" } }, "parameterOrder": [ "profileId", "id" ], "description": "Gets one placement by ID." }, "generatetags": { "httpMethod": "POST", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements/generatetags", "path": "dfareporting/v3.5/userprofiles/{profileId}/placements/generatetags", "response": { "$ref": "PlacementsGenerateTagsResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.placements.generatetags", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true, "type": "string" }, "tagFormats": { "type": "string", "description": "Tag formats to generate for these placements. *Note:* PLACEMENT_TAG_STANDARD can only be generated for 1x1 placements.", "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ], "location": "query", "repeated": true, "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "placementIds": { "description": "Generate tags for these placements.", "format": "int64", "location": "query", "type": "string", "repeated": true }, "campaignId": { "format": "int64", "description": "Generate placements belonging to this campaign. This is a required field.", "type": "string", "location": "query" } }, "parameterOrder": [ "profileId" ], "description": "Generates tags for a placement." }, "update": { "path": "dfareporting/v3.5/userprofiles/{profileId}/placements", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placements", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true } }, "request": { "$ref": "Placement" }, "id": "dfareporting.placements.update", "response": { "$ref": "Placement" }, "parameterOrder": [ "profileId" ], "httpMethod": "PUT", "description": "Updates an existing placement." } } }, "floodlightActivityGroups": { "methods": { "update": { "request": { "$ref": "FloodlightActivityGroup" }, "description": "Updates an existing floodlight activity group.", "id": "dfareporting.floodlightActivityGroups.update", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" } }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "FloodlightActivityGroup" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "parameterOrder": [ "profileId" ] }, "get": { "id": "dfareporting.floodlightActivityGroups.get", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups/{id}", "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true }, "id": { "type": "string", "location": "path", "description": "Floodlight activity Group ID.", "format": "int64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups/{id}", "httpMethod": "GET", "description": "Gets one floodlight activity group by ID.", "response": { "$ref": "FloodlightActivityGroup" } }, "patch": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "parameters": { "id": { "type": "string", "location": "query", "format": "int64", "description": "FloodlightActivityGroup ID.", "required": true }, "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing floodlight activity group. This method supports patch semantics.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.floodlightActivityGroups.patch", "httpMethod": "PATCH", "response": { "$ref": "FloodlightActivityGroup" }, "request": { "$ref": "FloodlightActivityGroup" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups" }, "insert": { "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "id": "dfareporting.floodlightActivityGroups.insert", "parameterOrder": [ "profileId" ], "httpMethod": "POST", "response": { "$ref": "FloodlightActivityGroup" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "description": "Inserts a new floodlight activity group.", "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "request": { "$ref": "FloodlightActivityGroup" } }, "list": { "httpMethod": "GET", "description": "Retrieves a list of floodlight activity groups, possibly filtered. This method supports paging.", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivityGroups", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "FloodlightActivityGroupsListResponse" }, "id": "dfareporting.floodlightActivityGroups.list", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path", "required": true }, "floodlightConfigurationId": { "location": "query", "description": "Select only floodlight activity groups with the specified floodlight configuration ID. Must specify either advertiserId, or floodlightConfigurationId for a non-empty result.", "format": "int64", "type": "string" }, "sortField": { "type": "string", "location": "query", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "enumDescriptions": [ "", "" ], "default": "ID" }, "type": { "description": "Select only floodlight activity groups with the specified floodlight activity group type.", "enum": [ "COUNTER", "SALE" ], "enumDescriptions": [ "", "" ], "location": "query", "type": "string" }, "ids": { "type": "string", "format": "int64", "location": "query", "description": "Select only floodlight activity groups with the specified IDs. Must specify either advertiserId or floodlightConfigurationId for a non-empty result.", "repeated": true }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "location": "query", "description": "Order of sorted results.", "enumDescriptions": [ "", "" ], "default": "ASCENDING" }, "maxResults": { "description": "Maximum number of results to return.", "type": "integer", "location": "query", "minimum": "0", "maximum": "1000", "format": "int32", "default": "1000" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"floodlightactivitygroup*2015\" will return objects with names like \"floodlightactivitygroup June 2015\", \"floodlightactivitygroup April 2015\", or simply \"floodlightactivitygroup 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"floodlightactivitygroup\" will match objects with name \"my floodlightactivitygroup activity\", \"floodlightactivitygroup 2015\", or simply \"floodlightactivitygroup\"." }, "advertiserId": { "format": "int64", "description": "Select only floodlight activity groups with the specified advertiser ID. Must specify either advertiserId or floodlightConfigurationId for a non-empty result.", "type": "string", "location": "query" } } } } }, "placementGroups": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "description": "Inserts a new placement group.", "request": { "$ref": "PlacementGroup" }, "parameters": { "profileId": { "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "id": "dfareporting.placementGroups.insert", "response": { "$ref": "PlacementGroup" }, "httpMethod": "POST" }, "patch": { "request": { "$ref": "PlacementGroup" }, "response": { "$ref": "PlacementGroup" }, "description": "Updates an existing placement group. This method supports patch semantics.", "httpMethod": "PATCH", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.placementGroups.patch", "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "description": "PlacementGroup ID.", "required": true, "format": "int64", "type": "string", "location": "query" }, "profileId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request." } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups" }, "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "description": "Retrieves a list of placement groups, possibly filtered. This method supports paging.", "response": { "$ref": "PlacementGroupsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "httpMethod": "GET", "parameters": { "sortField": { "type": "string", "default": "ID", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "location": "query", "enumDescriptions": [ "", "" ] }, "campaignIds": { "type": "string", "location": "query", "description": "Select only placement groups that belong to these campaigns.", "format": "int64", "repeated": true }, "ids": { "repeated": true, "format": "int64", "location": "query", "type": "string", "description": "Select only placement groups with these IDs." }, "maxEndDate": { "location": "query", "description": "Select only placements or placement groups whose end date is on or before the specified maxEndDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string" }, "advertiserIds": { "type": "string", "location": "query", "format": "int64", "repeated": true, "description": "Select only placement groups that belong to these advertisers." }, "placementGroupType": { "type": "string", "location": "query", "enum": [ "PLACEMENT_PACKAGE", "PLACEMENT_ROADBLOCK" ], "enumDescriptions": [ "", "" ], "description": "Select only placement groups belonging with this group type. A package is a simple group of placements that acts as a single pricing point for a group of tags. A roadblock is a group of placements that not only acts as a single pricing point but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned placements to be marked as primary for reporting." }, "minEndDate": { "location": "query", "type": "string", "description": "Select only placements or placement groups whose end date is on or after the specified minEndDate. The date should be formatted as \"yyyy-MM-dd\"." }, "archived": { "location": "query", "type": "boolean", "description": "Select only archived placements. Don't set this field to select both archived and non-archived placements." }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64" }, "contentCategoryIds": { "location": "query", "repeated": true, "description": "Select only placement groups that are associated with these content categories.", "type": "string", "format": "int64" }, "maxStartDate": { "location": "query", "description": "Select only placements or placement groups whose start date is on or before the specified maxStartDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string" }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "pricingTypes": { "repeated": true, "location": "query", "description": "Select only placement groups with these pricing types.", "type": "string", "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "enumDescriptions": [ "", "", "", "", "", "" ] }, "placementStrategyIds": { "location": "query", "type": "string", "repeated": true, "description": "Select only placement groups that are associated with these placement strategies.", "format": "int64" }, "directorySiteIds": { "location": "query", "format": "int64", "description": "Select only placement groups that are associated with these directory sites.", "type": "string", "repeated": true }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "description": "Order of sorted results.", "type": "string", "enumDescriptions": [ "", "" ], "default": "ASCENDING" }, "searchString": { "description": "Allows searching for placement groups by name or ID. Wildcards (*) are allowed. For example, \"placement*2015\" will return placement groups with names like \"placement group June 2015\", \"placement group May 2015\", or simply \"placements 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placementgroup\" will match placement groups with name \"my placementgroup\", \"placementgroup 2015\", or simply \"placementgroup\".", "location": "query", "type": "string" }, "siteIds": { "format": "int64", "description": "Select only placement groups that are associated with these sites.", "location": "query", "repeated": true, "type": "string" }, "maxResults": { "format": "int32", "description": "Maximum number of results to return.", "maximum": "800", "type": "integer", "location": "query", "default": "800", "minimum": "0" }, "minStartDate": { "description": "Select only placements or placement groups whose start date is on or after the specified minStartDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string", "location": "query" } }, "id": "dfareporting.placementGroups.list" }, "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.placementGroups.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "format": "int64", "type": "string", "description": "Placement group ID.", "location": "path", "required": true }, "profileId": { "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64", "location": "path" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups/{id}", "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups/{id}", "description": "Gets one placement group by ID.", "response": { "$ref": "PlacementGroup" } }, "update": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.placementGroups.update", "httpMethod": "PUT", "parameters": { "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/placementGroups", "parameterOrder": [ "profileId" ], "request": { "$ref": "PlacementGroup" }, "response": { "$ref": "PlacementGroup" }, "description": "Updates an existing placement group." } } }, "floodlightActivities": { "methods": { "update": { "response": { "$ref": "FloodlightActivity" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "FloodlightActivity" }, "id": "dfareporting.floodlightActivities.update", "description": "Updates an existing floodlight activity.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "parameters": { "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path" } } }, "insert": { "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "description": "Inserts a new floodlight activity.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true, "location": "path" } }, "response": { "$ref": "FloodlightActivity" }, "id": "dfareporting.floodlightActivities.insert", "httpMethod": "POST", "request": { "$ref": "FloodlightActivity" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "httpMethod": "PATCH", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "parameters": { "id": { "location": "query", "format": "int64", "required": true, "description": "FloodlightActivity ID.", "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "FloodlightActivity" }, "id": "dfareporting.floodlightActivities.patch", "request": { "$ref": "FloodlightActivity" }, "parameterOrder": [ "profileId", "id" ], "description": "Updates an existing floodlight activity. This method supports patch semantics." }, "delete": { "description": "Deletes an existing floodlight activity.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/{id}", "id": "dfareporting.floodlightActivities.delete", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/{id}", "parameters": { "id": { "location": "path", "description": "Floodlight activity ID.", "required": true, "format": "int64", "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/{id}", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/{id}", "description": "Gets one floodlight activity by ID.", "id": "dfareporting.floodlightActivities.get", "response": { "$ref": "FloodlightActivity" }, "parameters": { "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" }, "id": { "required": true, "format": "int64", "description": "Floodlight activity ID.", "location": "path", "type": "string" } } }, "list": { "httpMethod": "GET", "parameterOrder": [ "profileId" ], "response": { "$ref": "FloodlightActivitiesListResponse" }, "id": "dfareporting.floodlightActivities.list", "parameters": { "floodlightActivityGroupTagString": { "description": "Select only floodlight activities with the specified floodlight activity group tag string.", "location": "query", "type": "string" }, "profileId": { "type": "string", "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"floodlightactivity*2015\" will return objects with names like \"floodlightactivity June 2015\", \"floodlightactivity April 2015\", or simply \"floodlightactivity 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"floodlightactivity\" will match objects with name \"my floodlightactivity activity\", \"floodlightactivity 2015\", or simply \"floodlightactivity\"." }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "advertiserId": { "location": "query", "description": "Select only floodlight activities for the specified advertiser ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.", "type": "string", "format": "int64" }, "floodlightActivityGroupName": { "description": "Select only floodlight activities with the specified floodlight activity group name.", "location": "query", "type": "string" }, "floodlightActivityGroupIds": { "repeated": true, "type": "string", "location": "query", "description": "Select only floodlight activities with the specified floodlight activity group IDs.", "format": "int64" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results." }, "floodlightActivityGroupType": { "description": "Select only floodlight activities with the specified floodlight activity group type.", "location": "query", "type": "string", "enum": [ "COUNTER", "SALE" ], "enumDescriptions": [ "", "" ] }, "floodlightConfigurationId": { "description": "Select only floodlight activities for the specified floodlight configuration ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.", "format": "int64", "type": "string", "location": "query" }, "maxResults": { "minimum": "0", "default": "1000", "format": "int32", "type": "integer", "maximum": "1000", "location": "query", "description": "Maximum number of results to return." }, "tagString": { "type": "string", "description": "Select only floodlight activities with the specified tag string.", "location": "query" }, "sortField": { "type": "string", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "default": "ID", "location": "query", "enumDescriptions": [ "", "" ] }, "ids": { "format": "int64", "location": "query", "repeated": true, "description": "Select only floodlight activities with the specified IDs. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.", "type": "string" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities", "description": "Retrieves a list of floodlight activities, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "generatetag": { "parameterOrder": [ "profileId" ], "parameters": { "floodlightActivityId": { "format": "int64", "description": "Floodlight activity ID for which we want to generate a tag.", "location": "query", "type": "string" }, "profileId": { "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/generatetag", "id": "dfareporting.floodlightActivities.generatetag", "httpMethod": "POST", "response": { "$ref": "FloodlightActivitiesGenerateTagResponse" }, "description": "Generates a tag for a floodlight activity.", "path": "dfareporting/v3.5/userprofiles/{profileId}/floodlightActivities/generatetag", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "videoFormats": { "methods": { "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/videoFormats", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.videoFormats.list", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true, "location": "path" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/videoFormats", "response": { "$ref": "VideoFormatsListResponse" }, "description": "Lists available video formats.", "parameterOrder": [ "profileId" ] }, "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/videoFormats/{id}", "response": { "$ref": "VideoFormat" }, "description": "Gets one video format by ID.", "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/videoFormats/{id}", "id": "dfareporting.videoFormats.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "required": true, "location": "path", "format": "int32", "description": "Video format ID.", "type": "integer" }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true, "location": "path" } } } } }, "changeLogs": { "methods": { "get": { "id": "dfareporting.changeLogs.get", "response": { "$ref": "ChangeLog" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/changeLogs/{id}", "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/changeLogs/{id}", "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "location": "path", "type": "string", "description": "Change log ID.", "format": "int64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "description": "Gets one change log by ID." }, "list": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/changeLogs", "description": "Retrieves a list of change logs. This method supports paging.", "httpMethod": "GET", "response": { "$ref": "ChangeLogsListResponse" }, "id": "dfareporting.changeLogs.list", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/changeLogs", "parameters": { "action": { "location": "query", "type": "string", "description": "Select only change logs with the specified action.", "enum": [ "ACTION_CREATE", "ACTION_UPDATE", "ACTION_DELETE", "ACTION_ENABLE", "ACTION_DISABLE", "ACTION_ADD", "ACTION_REMOVE", "ACTION_MARK_AS_DEFAULT", "ACTION_ASSOCIATE", "ACTION_ASSIGN", "ACTION_UNASSIGN", "ACTION_SEND", "ACTION_LINK", "ACTION_UNLINK", "ACTION_PUSH", "ACTION_EMAIL_TAGS", "ACTION_SHARE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "objectIds": { "description": "Select only change logs with these object IDs.", "format": "int64", "location": "query", "repeated": true, "type": "string" }, "ids": { "format": "int64", "repeated": true, "type": "string", "location": "query", "description": "Select only change logs with these IDs." }, "userProfileIds": { "format": "int64", "type": "string", "location": "query", "repeated": true, "description": "Select only change logs with these user profile IDs." }, "objectType": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "Select only change logs with the specified object type.", "location": "query", "type": "string", "enum": [ "OBJECT_ADVERTISER", "OBJECT_FLOODLIGHT_CONFIGURATION", "OBJECT_AD", "OBJECT_FLOODLIGHT_ACTVITY", "OBJECT_CAMPAIGN", "OBJECT_FLOODLIGHT_ACTIVITY_GROUP", "OBJECT_CREATIVE", "OBJECT_PLACEMENT", "OBJECT_DFA_SITE", "OBJECT_USER_ROLE", "OBJECT_USER_PROFILE", "OBJECT_ADVERTISER_GROUP", "OBJECT_ACCOUNT", "OBJECT_SUBACCOUNT", "OBJECT_RICHMEDIA_CREATIVE", "OBJECT_INSTREAM_CREATIVE", "OBJECT_MEDIA_ORDER", "OBJECT_CONTENT_CATEGORY", "OBJECT_PLACEMENT_STRATEGY", "OBJECT_SD_SITE", "OBJECT_SIZE", "OBJECT_CREATIVE_GROUP", "OBJECT_CREATIVE_ASSET", "OBJECT_USER_PROFILE_FILTER", "OBJECT_LANDING_PAGE", "OBJECT_CREATIVE_FIELD", "OBJECT_REMARKETING_LIST", "OBJECT_PROVIDED_LIST_CLIENT", "OBJECT_EVENT_TAG", "OBJECT_CREATIVE_BUNDLE", "OBJECT_BILLING_ACCOUNT_GROUP", "OBJECT_BILLING_FEATURE", "OBJECT_RATE_CARD", "OBJECT_ACCOUNT_BILLING_FEATURE", "OBJECT_BILLING_MINIMUM_FEE", "OBJECT_BILLING_PROFILE", "OBJECT_PLAYSTORE_LINK", "OBJECT_TARGETING_TEMPLATE", "OBJECT_SEARCH_LIFT_STUDY", "OBJECT_FLOODLIGHT_DV360_LINK", "OBJECT_ADVERTISER_CUSTOMER_LINK" ] }, "maxChangeTime": { "description": "Select only change logs whose change time is before the specified maxChangeTime.The time should be formatted as an RFC3339 date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is \"2015-07-18T22:54:00-04:00\". In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset.", "type": "string", "location": "query" }, "searchString": { "description": "Select only change logs whose object ID, user name, old or new values match the search string.", "location": "query", "type": "string" }, "profileId": { "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string" }, "minChangeTime": { "type": "string", "description": "Select only change logs whose change time is after the specified minChangeTime.The time should be formatted as an RFC3339 date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is \"2015-07-18T22:54:00-04:00\". In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset.", "location": "query" }, "maxResults": { "type": "integer", "default": "1000", "maximum": "1000", "format": "int32", "location": "query", "minimum": "0", "description": "Maximum number of results to return." } } } } }, "platformTypes": { "methods": { "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/platformTypes/{id}", "parameterOrder": [ "profileId", "id" ], "description": "Gets one platform type by ID.", "response": { "$ref": "PlatformType" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/platformTypes/{id}", "id": "dfareporting.platformTypes.get", "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." }, "id": { "location": "path", "type": "string", "description": "Platform type ID.", "format": "int64", "required": true } } }, "list": { "response": { "$ref": "PlatformTypesListResponse" }, "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/platformTypes", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "format": "int64", "required": true } }, "parameterOrder": [ "profileId" ], "description": "Retrieves a list of platform types.", "id": "dfareporting.platformTypes.list", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/platformTypes", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "projects": { "methods": { "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects/{id}", "id": "dfareporting.projects.get", "response": { "$ref": "Project" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/projects/{id}", "parameters": { "id": { "format": "int64", "description": "Project ID.", "type": "string", "required": true, "location": "path" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true, "type": "string" } }, "description": "Gets one project by ID.", "parameterOrder": [ "profileId", "id" ] }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/projects", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "response": { "$ref": "ProjectsListResponse" }, "httpMethod": "GET", "id": "dfareporting.projects.list", "description": "Retrieves a list of projects, possibly filtered. This method supports paging .", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/projects", "parameters": { "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "required": true, "type": "string" }, "sortOrder": { "type": "string", "default": "ASCENDING", "location": "query", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "advertiserIds": { "type": "string", "location": "query", "format": "int64", "description": "Select only projects with these advertiser IDs.", "repeated": true }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "maxResults": { "type": "integer", "default": "1000", "format": "int32", "location": "query", "minimum": "0", "maximum": "1000", "description": "Maximum number of results to return." }, "searchString": { "description": "Allows searching for projects by name or ID. Wildcards (*) are allowed. For example, \"project*2015\" will return projects with names like \"project June 2015\", \"project April 2015\", or simply \"project 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"project\" will match projects with name \"my project\", \"project 2015\", or simply \"project\".", "type": "string", "location": "query" }, "sortField": { "default": "ID", "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ] }, "ids": { "type": "string", "description": "Select only projects with these IDs.", "repeated": true, "location": "query", "format": "int64" } } } } }, "advertiserLandingPages": { "methods": { "list": { "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "id": "dfareporting.advertiserLandingPages.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "parameters": { "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for landing pages by name or ID. Wildcards (*) are allowed. For example, \"landingpage*2017\" will return landing pages with names like \"landingpage July 2017\", \"landingpage March 2017\", or simply \"landingpage 2017\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"landingpage\" will match campaigns with name \"my landingpage\", \"landingpage 2015\", or simply \"landingpage\"." }, "archived": { "type": "boolean", "description": "Select only archived landing pages. Don't set this field to select both archived and non-archived landing pages.", "location": "query" }, "subaccountId": { "format": "int64", "type": "string", "location": "query", "description": "Select only landing pages that belong to this subaccount." }, "maxResults": { "format": "int32", "default": "1000", "minimum": "0", "maximum": "1000", "type": "integer", "description": "Maximum number of results to return.", "location": "query" }, "ids": { "type": "string", "repeated": true, "location": "query", "format": "int64", "description": "Select only landing pages with these IDs." }, "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" }, "campaignIds": { "description": "Select only landing pages that are associated with these campaigns.", "type": "string", "format": "int64", "location": "query", "repeated": true }, "sortField": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "default": "ID", "location": "query", "description": "Field by which to sort the list." }, "sortOrder": { "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ] }, "advertiserIds": { "location": "query", "type": "string", "format": "int64", "repeated": true, "description": "Select only landing pages that belong to these advertisers." } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "description": "Retrieves a list of landing pages.", "response": { "$ref": "AdvertiserLandingPagesListResponse" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "response": { "$ref": "LandingPage" }, "request": { "$ref": "LandingPage" }, "parameters": { "id": { "format": "int64", "location": "query", "description": "LandingPage ID.", "type": "string", "required": true }, "profileId": { "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string" } }, "id": "dfareporting.advertiserLandingPages.patch", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "httpMethod": "PATCH", "description": "Updates an existing advertiser landing page. This method supports patch semantics." }, "insert": { "id": "dfareporting.advertiserLandingPages.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "description": "Inserts a new landing page.", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true } }, "response": { "$ref": "LandingPage" }, "request": { "$ref": "LandingPage" }, "httpMethod": "POST" }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "httpMethod": "GET", "response": { "$ref": "LandingPage" }, "id": "dfareporting.advertiserLandingPages.get", "parameters": { "id": { "description": "Landing page ID.", "required": true, "location": "path", "format": "int64", "type": "string" }, "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages/{id}", "description": "Gets one landing page by ID." }, "update": { "id": "dfareporting.advertiserLandingPages.update", "response": { "$ref": "LandingPage" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/advertiserLandingPages", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request." } }, "httpMethod": "PUT", "description": "Updates an existing landing page.", "request": { "$ref": "LandingPage" } } } }, "userRolePermissionGroups": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one user role permission group by ID.", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "UserRolePermissionGroup" }, "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissionGroups/{id}", "id": "dfareporting.userRolePermissionGroups.get", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true }, "id": { "location": "path", "description": "User role permission group ID.", "format": "int64", "type": "string", "required": true } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissionGroups/{id}" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets a list of all supported user role permission groups.", "parameters": { "profileId": { "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.userRolePermissionGroups.list", "response": { "$ref": "UserRolePermissionGroupsListResponse" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissionGroups", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissionGroups" } } }, "userRolePermissions": { "methods": { "get": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissions/{id}", "id": "dfareporting.userRolePermissions.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one user role permission by ID.", "response": { "$ref": "UserRolePermission" }, "parameters": { "id": { "location": "path", "required": true, "description": "User role permission ID.", "format": "int64", "type": "string" }, "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissions/{id}", "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ] }, "list": { "id": "dfareporting.userRolePermissions.list", "response": { "$ref": "UserRolePermissionsListResponse" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissions", "parameters": { "ids": { "location": "query", "description": "Select only user role permissions with these IDs.", "repeated": true, "format": "int64", "type": "string" }, "profileId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request." } }, "httpMethod": "GET", "description": "Gets a list of user role permissions, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/userRolePermissions" } } }, "advertisers": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "request": { "$ref": "Advertiser" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "description": "Updates an existing advertiser.", "id": "dfareporting.advertisers.update", "httpMethod": "PUT", "response": { "$ref": "Advertiser" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "parameters": { "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } } }, "list": { "parameters": { "sortOrder": { "location": "query", "description": "Order of sorted results.", "default": "ASCENDING", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ASCENDING", "DESCENDING" ] }, "onlyParent": { "description": "Select only advertisers which use another advertiser's floodlight configuration.", "location": "query", "type": "boolean" }, "status": { "location": "query", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "APPROVED", "ON_HOLD" ], "description": "Select only advertisers with the specified status." }, "floodlightConfigurationIds": { "description": "Select only advertisers with these floodlight configuration IDs.", "location": "query", "type": "string", "format": "int64", "repeated": true }, "sortField": { "type": "string", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "default": "ID", "location": "query", "enumDescriptions": [ "", "" ] }, "includeAdvertisersWithoutGroupsOnly": { "type": "boolean", "description": "Select only advertisers which do not belong to any advertiser group.", "location": "query" }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "subaccountId": { "format": "int64", "description": "Select only advertisers with these subaccount IDs.", "type": "string", "location": "query" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"advertiser*2015\" will return objects with names like \"advertiser June 2015\", \"advertiser April 2015\", or simply \"advertiser 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"advertiser\" will match objects with name \"my advertiser\", \"advertiser 2015\", or simply \"advertiser\" ." }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true }, "maxResults": { "type": "integer", "default": "1000", "format": "int32", "maximum": "1000", "minimum": "0", "location": "query", "description": "Maximum number of results to return." }, "advertiserGroupIds": { "repeated": true, "format": "int64", "location": "query", "description": "Select only advertisers with these advertiser group IDs.", "type": "string" }, "ids": { "type": "string", "repeated": true, "format": "int64", "description": "Select only advertisers with these IDs.", "location": "query" } }, "parameterOrder": [ "profileId" ], "response": { "$ref": "AdvertisersListResponse" }, "description": "Retrieves a list of advertisers, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "id": "dfareporting.advertisers.list" }, "insert": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "description": "Inserts a new advertiser.", "id": "dfareporting.advertisers.insert", "response": { "$ref": "Advertiser" }, "httpMethod": "POST", "path": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } }, "parameterOrder": [ "profileId" ], "request": { "$ref": "Advertiser" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/advertisers/{id}", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertisers/{id}", "parameters": { "id": { "format": "int64", "type": "string", "description": "Advertiser ID.", "location": "path", "required": true }, "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId", "id" ], "description": "Gets one advertiser by ID.", "httpMethod": "GET", "id": "dfareporting.advertisers.get", "response": { "$ref": "Advertiser" } }, "patch": { "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64" }, "id": { "location": "query", "description": "Advertiser ID.", "required": true, "type": "string", "format": "int64" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "response": { "$ref": "Advertiser" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/advertisers", "id": "dfareporting.advertisers.patch", "description": "Updates an existing advertiser. This method supports patch semantics.", "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "request": { "$ref": "Advertiser" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "creativeFields": { "methods": { "patch": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "id": "dfareporting.creativeFields.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "request": { "$ref": "CreativeField" }, "parameters": { "id": { "type": "string", "format": "int64", "description": "CreativeField ID.", "location": "query", "required": true }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "required": true, "location": "path", "type": "string" } }, "description": "Updates an existing creative field. This method supports patch semantics.", "response": { "$ref": "CreativeField" } }, "delete": { "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "format": "int64", "type": "string", "location": "path" }, "id": { "type": "string", "description": "Creative Field ID", "required": true, "format": "int64", "location": "path" } }, "httpMethod": "DELETE", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{id}", "id": "dfareporting.creativeFields.delete", "description": "Deletes an existing creative field.", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{id}" }, "insert": { "parameterOrder": [ "profileId" ], "request": { "$ref": "CreativeField" }, "id": "dfareporting.creativeFields.insert", "response": { "$ref": "CreativeField" }, "description": "Inserts a new creative field.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "POST", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64", "location": "path" } } }, "update": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "CreativeField" }, "httpMethod": "PUT", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "format": "int64", "type": "string", "location": "path" } }, "id": "dfareporting.creativeFields.update", "description": "Updates an existing creative field.", "response": { "$ref": "CreativeField" }, "parameterOrder": [ "profileId" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{id}", "parameters": { "id": { "required": true, "format": "int64", "description": "Creative Field ID", "location": "path", "type": "string" }, "profileId": { "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "id": "dfareporting.creativeFields.get", "description": "Gets one creative field by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields/{id}", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "CreativeField" }, "httpMethod": "GET" }, "list": { "path": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "description": "Retrieves a list of creative fields, possibly filtered. This method supports paging.", "parameters": { "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "maxResults": { "format": "int32", "minimum": "0", "default": "1000", "maximum": "1000", "description": "Maximum number of results to return.", "location": "query", "type": "integer" }, "sortField": { "location": "query", "default": "ID", "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list.", "type": "string", "enum": [ "ID", "NAME" ] }, "ids": { "format": "int64", "type": "string", "location": "query", "description": "Select only creative fields with these IDs.", "repeated": true }, "searchString": { "description": "Allows searching for creative fields by name or ID. Wildcards (*) are allowed. For example, \"creativefield*2015\" will return creative fields with names like \"creativefield June 2015\", \"creativefield April 2015\", or simply \"creativefield 2015\". Most of the searches also add wild-cards implicitly at the start and the end of the search string. For example, a search string of \"creativefield\" will match creative fields with the name \"my creativefield\", \"creativefield 2015\", or simply \"creativefield\".", "location": "query", "type": "string" }, "sortOrder": { "type": "string", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "location": "query", "default": "ASCENDING" }, "advertiserIds": { "type": "string", "repeated": true, "description": "Select only creative fields that belong to these advertisers.", "location": "query", "format": "int64" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "id": "dfareporting.creativeFields.list", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/creativeFields", "parameterOrder": [ "profileId" ], "response": { "$ref": "CreativeFieldsListResponse" } } } }, "remarketingLists": { "methods": { "patch": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "RemarketingList" }, "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string" }, "id": { "description": "RemarketingList ID.", "location": "query", "format": "int64", "type": "string", "required": true } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "description": "Updates an existing remarketing list. This method supports patch semantics.", "response": { "$ref": "RemarketingList" }, "id": "dfareporting.remarketingLists.patch", "httpMethod": "PATCH", "parameterOrder": [ "profileId", "id" ] }, "insert": { "httpMethod": "POST", "response": { "$ref": "RemarketingList" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.remarketingLists.insert", "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "required": true, "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "RemarketingList" }, "description": "Inserts a new remarketing list." }, "update": { "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "id": "dfareporting.remarketingLists.update", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "RemarketingList" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "httpMethod": "PUT", "request": { "$ref": "RemarketingList" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "description": "Updates an existing remarketing list." }, "get": { "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "RemarketingList" }, "description": "Gets one remarketing list by ID.", "parameters": { "id": { "location": "path", "format": "int64", "description": "Remarketing list ID.", "required": true, "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string", "required": true } }, "httpMethod": "GET", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists/{id}", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.remarketingLists.get" }, "list": { "description": "Retrieves a list of remarketing lists, possibly filtered. This method supports paging.", "path": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "advertiserId" ], "response": { "$ref": "RemarketingListsListResponse" }, "id": "dfareporting.remarketingLists.list", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/remarketingLists", "parameters": { "maxResults": { "description": "Maximum number of results to return.", "location": "query", "maximum": "1000", "minimum": "0", "format": "int32", "type": "integer", "default": "1000" }, "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" }, "name": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"remarketing list*2015\" will return objects with names like \"remarketing list June 2015\", \"remarketing list April 2015\", or simply \"remarketing list 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"remarketing list\" will match objects with name \"my remarketing list\", \"remarketing list 2015\", or simply \"remarketing list\".", "location": "query" }, "sortField": { "default": "ID", "enumDescriptions": [ "", "" ], "type": "string", "description": "Field by which to sort the list.", "location": "query", "enum": [ "ID", "NAME" ] }, "advertiserId": { "required": true, "type": "string", "location": "query", "description": "Select only remarketing lists owned by this advertiser.", "format": "int64" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "active": { "type": "boolean", "location": "query", "description": "Select only active or only inactive remarketing lists." }, "sortOrder": { "description": "Order of sorted results.", "type": "string", "default": "ASCENDING", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "location": "query" }, "floodlightActivityId": { "format": "int64", "location": "query", "description": "Select only remarketing lists that have this floodlight activity ID.", "type": "string" } } } } }, "countries": { "methods": { "list": { "parameters": { "profileId": { "format": "int64", "type": "string", "required": true, "location": "path", "description": "User profile ID associated with this request." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "CountriesListResponse" }, "description": "Retrieves a list of countries.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/countries", "parameterOrder": [ "profileId" ], "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/countries", "id": "dfareporting.countries.list" }, "get": { "parameterOrder": [ "profileId", "dartId" ], "parameters": { "dartId": { "description": "Country DART ID.", "type": "string", "location": "path", "format": "int64", "required": true }, "profileId": { "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/countries/{dartId}", "description": "Gets one country by ID.", "httpMethod": "GET", "response": { "$ref": "Country" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/countries/{dartId}", "id": "dfareporting.countries.get" } } }, "dynamicTargetingKeys": { "methods": { "delete": { "description": "Deletes an existing dynamic targeting key.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys/{objectId}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.dynamicTargetingKeys.delete", "httpMethod": "DELETE", "path": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys/{objectId}", "parameters": { "objectId": { "description": "ID of the object of this dynamic targeting key. This is a required field.", "format": "int64", "required": true, "location": "path", "type": "string" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string" }, "objectType": { "location": "query", "type": "string", "required": true, "description": "Type of the object of this dynamic targeting key. This is a required field.", "enumDescriptions": [ "", "", "", "" ], "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ] }, "name": { "required": true, "type": "string", "description": "Name of this dynamic targeting key. This is a required field. Must be less than 256 characters long and cannot contain commas. All characters are converted to lowercase.", "location": "query" } }, "parameterOrder": [ "profileId", "objectId", "name", "objectType" ] }, "list": { "response": { "$ref": "DynamicTargetingKeysListResponse" }, "id": "dfareporting.dynamicTargetingKeys.list", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys", "parameters": { "names": { "repeated": true, "type": "string", "description": "Select only dynamic targeting keys exactly matching these names.", "location": "query" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path" }, "objectId": { "type": "string", "format": "int64", "description": "Select only dynamic targeting keys with this object ID.", "location": "query" }, "objectType": { "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ], "enumDescriptions": [ "", "", "", "" ], "location": "query", "description": "Select only dynamic targeting keys with this object type.", "type": "string" }, "advertiserId": { "location": "query", "description": "Select only dynamic targeting keys whose object has this advertiser ID.", "type": "string", "format": "int64" } }, "httpMethod": "GET", "description": "Retrieves a list of dynamic targeting keys.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys" }, "insert": { "request": { "$ref": "DynamicTargetingKey" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys", "response": { "$ref": "DynamicTargetingKey" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "httpMethod": "POST", "parameterOrder": [ "profileId" ], "id": "dfareporting.dynamicTargetingKeys.insert", "description": "Inserts a new dynamic targeting key. Keys must be created at the advertiser level before being assigned to the advertiser's ads, creatives, or placements. There is a maximum of 1000 keys per advertiser, out of which a maximum of 20 keys can be assigned per ad, creative, or placement.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/dynamicTargetingKeys" } } }, "accountUserProfiles": { "methods": { "get": { "id": "dfareporting.accountUserProfiles.get", "httpMethod": "GET", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles/{id}", "response": { "$ref": "AccountUserProfile" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles/{id}", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" }, "id": { "description": "User profile ID.", "location": "path", "format": "int64", "required": true, "type": "string" } }, "description": "Gets one account user profile by ID." }, "list": { "httpMethod": "GET", "description": "Retrieves a list of account user profiles, possibly filtered. This method supports paging.", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "parameters": { "maxResults": { "minimum": "0", "format": "int32", "default": "1000", "description": "Maximum number of results to return.", "location": "query", "type": "integer", "maximum": "1000" }, "searchString": { "type": "string", "description": "Allows searching for objects by name, ID or email. Wildcards (*) are allowed. For example, \"user profile*2015\" will return objects with names like \"user profile June 2015\", \"user profile April 2015\", or simply \"user profile 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"user profile\" will match objects with name \"my user profile\", \"user profile 2015\", or simply \"user profile\".", "location": "query" }, "subaccountId": { "format": "int64", "type": "string", "location": "query", "description": "Select only user profiles with the specified subaccount ID." }, "sortField": { "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "default": "ID", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "sortOrder": { "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "default": "ASCENDING" }, "active": { "location": "query", "description": "Select only active user profiles.", "type": "boolean" }, "ids": { "type": "string", "repeated": true, "location": "query", "description": "Select only user profiles with these IDs.", "format": "int64" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true, "location": "path" }, "userRoleId": { "description": "Select only user profiles with the specified user role ID.", "format": "int64", "location": "query", "type": "string" } }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "id": "dfareporting.accountUserProfiles.list", "response": { "$ref": "AccountUserProfilesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ] }, "insert": { "description": "Inserts a new account user profile.", "response": { "$ref": "AccountUserProfile" }, "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "request": { "$ref": "AccountUserProfile" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.accountUserProfiles.insert", "path": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "POST", "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "location": "path", "description": "User profile ID associated with this request." } } }, "update": { "httpMethod": "PUT", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "AccountUserProfile" }, "description": "Updates an existing account user profile.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "id": "dfareporting.accountUserProfiles.update", "parameterOrder": [ "profileId" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "AccountUserProfile" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "location": "query", "type": "string", "description": "AccountUserProfile ID.", "required": true, "format": "int64" }, "profileId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "response": { "$ref": "AccountUserProfile" }, "httpMethod": "PATCH", "request": { "$ref": "AccountUserProfile" }, "id": "dfareporting.accountUserProfiles.patch", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/accountUserProfiles", "description": "Updates an existing account user profile. This method supports patch semantics." } } }, "campaigns": { "methods": { "get": { "parameters": { "profileId": { "type": "string", "location": "path", "required": true, "description": "User profile ID associated with this request.", "format": "int64" }, "id": { "description": "Campaign ID.", "format": "int64", "type": "string", "required": true, "location": "path" } }, "id": "dfareporting.campaigns.get", "description": "Gets one campaign by ID.", "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{id}", "response": { "$ref": "Campaign" }, "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns/{id}" }, "insert": { "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "response": { "$ref": "Campaign" }, "httpMethod": "POST", "request": { "$ref": "Campaign" }, "description": "Inserts a new campaign.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "type": "string", "required": true } }, "id": "dfareporting.campaigns.insert", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "patch": { "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "description": "Campaign ID.", "type": "string", "location": "query", "required": true, "format": "int64" }, "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64" } }, "response": { "$ref": "Campaign" }, "description": "Updates an existing campaign. This method supports patch semantics.", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "id": "dfareporting.campaigns.patch", "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "request": { "$ref": "Campaign" } }, "list": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "id": "dfareporting.campaigns.list", "description": "Retrieves a list of campaigns, possibly filtered. This method supports paging.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "CampaignsListResponse" }, "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "location": "path", "type": "string" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "location": "query", "type": "string" }, "sortField": { "location": "query", "enum": [ "ID", "NAME" ], "default": "ID", "type": "string", "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list." }, "atLeastOneOptimizationActivity": { "location": "query", "description": "Select only campaigns that have at least one optimization activity.", "type": "boolean" }, "overriddenEventTagId": { "format": "int64", "type": "string", "location": "query", "description": "Select only campaigns that have overridden this event tag ID." }, "searchString": { "type": "string", "description": "Allows searching for campaigns by name or ID. Wildcards (*) are allowed. For example, \"campaign*2015\" will return campaigns with names like \"campaign June 2015\", \"campaign April 2015\", or simply \"campaign 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"campaign\" will match campaigns with name \"my campaign\", \"campaign 2015\", or simply \"campaign\".", "location": "query" }, "excludedIds": { "repeated": true, "format": "int64", "description": "Exclude campaigns with these IDs.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "maxResults": { "type": "integer", "format": "int32", "location": "query", "minimum": "0", "maximum": "1000", "description": "Maximum number of results to return.", "default": "1000" }, "advertiserIds": { "type": "string", "format": "int64", "location": "query", "description": "Select only campaigns that belong to these advertisers.", "repeated": true }, "archived": { "type": "boolean", "description": "Select only archived campaigns. Don't set this field to select both archived and non-archived campaigns.", "location": "query" }, "advertiserGroupIds": { "description": "Select only campaigns whose advertisers belong to these advertiser groups.", "type": "string", "format": "int64", "repeated": true, "location": "query" }, "ids": { "type": "string", "format": "int64", "description": "Select only campaigns with these IDs.", "location": "query", "repeated": true }, "subaccountId": { "description": "Select only campaigns that belong to this subaccount.", "format": "int64", "location": "query", "type": "string" } } }, "update": { "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing campaign.", "response": { "$ref": "Campaign" }, "httpMethod": "PUT", "id": "dfareporting.campaigns.update", "request": { "$ref": "Campaign" }, "parameters": { "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "path": "dfareporting/v3.5/userprofiles/{profileId}/campaigns", "flatPath": "dfareporting/v3.5/userprofiles/{profileId}/campaigns" } } } }, "ownerName": "Google" }
]===]))
