local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "id": "dfareporting:v4", "documentationLink": "https://developers.google.com/doubleclick-advertisers/", "resources": { "postalCodes": { "methods": { "list": { "httpMethod": "GET", "description": "Retrieves a list of postal codes.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/postalCodes", "response": { "$ref": "PostalCodesListResponse" }, "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/postalCodes", "id": "dfareporting.postalCodes.list", "parameterOrder": [ "profileId" ] }, "get": { "parameterOrder": [ "profileId", "code" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "required": true, "type": "string", "format": "int64" }, "code": { "location": "path", "description": "Postal code ID.", "required": true, "type": "string" } }, "path": "dfareporting/v4/userprofiles/{profileId}/postalCodes/{code}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/postalCodes/{code}", "id": "dfareporting.postalCodes.get", "description": "Gets one postal code by ID.", "response": { "$ref": "PostalCode" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET" } } }, "subaccounts": { "methods": { "insert": { "path": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "httpMethod": "POST", "id": "dfareporting.subaccounts.insert", "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "description": "Inserts a new subaccount.", "request": { "$ref": "Subaccount" }, "parameterOrder": [ "profileId" ], "response": { "$ref": "Subaccount" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Subaccount" }, "description": "Updates an existing subaccount. This method supports patch semantics.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "path": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "id": "dfareporting.subaccounts.patch", "httpMethod": "PATCH", "parameters": { "id": { "location": "query", "type": "string", "format": "int64", "required": true, "description": "Subaccount ID." }, "profileId": { "format": "int64", "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request." } }, "request": { "$ref": "Subaccount" }, "parameterOrder": [ "profileId", "id" ] }, "get": { "id": "dfareporting.subaccounts.get", "response": { "$ref": "Subaccount" }, "description": "Gets one subaccount by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/subaccounts/{id}", "path": "dfareporting/v4/userprofiles/{profileId}/subaccounts/{id}", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "format": "int64", "type": "string", "location": "path" }, "id": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "Subaccount ID." } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ] }, "update": { "response": { "$ref": "Subaccount" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "parameters": { "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "description": "Updates an existing subaccount.", "path": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "httpMethod": "PUT", "id": "dfareporting.subaccounts.update", "request": { "$ref": "Subaccount" } }, "list": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "description": "Gets a list of subaccounts, possibly filtered. This method supports paging.", "parameters": { "ids": { "description": "Select only subaccounts with these IDs.", "location": "query", "type": "string", "format": "int64", "repeated": true }, "sortField": { "default": "ID", "location": "query", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "type": "string", "description": "Field by which to sort the list." }, "sortOrder": { "default": "ASCENDING", "description": "Order of sorted results.", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "", "" ] }, "maxResults": { "maximum": "1000", "location": "query", "format": "int32", "default": "1000", "description": "Maximum number of results to return.", "type": "integer", "minimum": "0" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"subaccount*2015\" will return objects with names like \"subaccount June 2015\", \"subaccount April 2015\", or simply \"subaccount 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"subaccount\" will match objects with name \"my subaccount\", \"subaccount 2015\", or simply \"subaccount\" .", "location": "query", "type": "string" } }, "response": { "$ref": "SubaccountsListResponse" }, "parameterOrder": [ "profileId" ], "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/subaccounts", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.subaccounts.list" } } }, "floodlightConfigurations": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "type": "string", "location": "path", "required": true, "description": "Floodlight configuration ID.", "format": "int64" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations/{id}", "response": { "$ref": "FloodlightConfiguration" }, "description": "Gets one floodlight configuration by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations/{id}", "id": "dfareporting.floodlightConfigurations.get" }, "update": { "parameters": { "profileId": { "format": "int64", "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path" } }, "id": "dfareporting.floodlightConfigurations.update", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "request": { "$ref": "FloodlightConfiguration" }, "path": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "response": { "$ref": "FloodlightConfiguration" }, "description": "Updates an existing floodlight configuration.", "httpMethod": "PUT" }, "patch": { "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "httpMethod": "PATCH", "request": { "$ref": "FloodlightConfiguration" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing floodlight configuration. This method supports patch semantics.", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "id": "dfareporting.floodlightConfigurations.patch", "response": { "$ref": "FloodlightConfiguration" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "type": "string", "required": true }, "id": { "type": "string", "location": "query", "format": "int64", "required": true, "description": "FloodlightConfiguration ID." } } }, "list": { "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true }, "ids": { "description": "Set of IDs of floodlight configurations to retrieve. Required field; otherwise an empty list will be returned.", "format": "int64", "type": "string", "location": "query", "repeated": true } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightConfigurations", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of floodlight configurations, possibly filtered.", "response": { "$ref": "FloodlightConfigurationsListResponse" }, "id": "dfareporting.floodlightConfigurations.list" } } }, "eventTags": { "methods": { "list": { "path": "dfareporting/v4/userprofiles/{profileId}/eventTags", "parameterOrder": [ "profileId" ], "response": { "$ref": "EventTagsListResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "adId": { "location": "query", "description": "Select only event tags that belong to this ad.", "format": "int64", "type": "string" }, "campaignId": { "location": "query", "type": "string", "format": "int64", "description": "Select only event tags that belong to this campaign." }, "ids": { "repeated": true, "description": "Select only event tags with these IDs.", "type": "string", "format": "int64", "location": "query" }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"eventtag*2015\" will return objects with names like \"eventtag June 2015\", \"eventtag April 2015\", or simply \"eventtag 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"eventtag\" will match objects with name \"my eventtag\", \"eventtag 2015\", or simply \"eventtag\".", "type": "string", "location": "query" }, "definitionsOnly": { "description": "Examine only the specified campaign or advertiser's event tags for matching selector criteria. When set to false, the parent advertiser and parent campaign of the specified ad or campaign is examined as well. In addition, when set to false, the status field is examined as well, along with the enabledByDefault field. This parameter can not be set to true when adId is specified as ads do not define their own even tags.", "location": "query", "type": "boolean" }, "profileId": { "location": "path", "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64" }, "eventTagTypes": { "description": "Select only event tags with the specified event tag types. Event tag types can be used to specify whether to use a third-party pixel, a third-party JavaScript URL, or a third-party click-through URL for either impression or click tracking.", "type": "string", "repeated": true, "enum": [ "IMPRESSION_IMAGE_EVENT_TAG", "IMPRESSION_JAVASCRIPT_EVENT_TAG", "CLICK_THROUGH_EVENT_TAG" ], "enumDescriptions": [ "", "", "" ], "location": "query" }, "sortField": { "enumDescriptions": [ "", "" ], "default": "ID", "type": "string", "location": "query", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ] }, "advertiserId": { "description": "Select only event tags that belong to this advertiser.", "type": "string", "location": "query", "format": "int64" }, "enabled": { "description": "Select only enabled event tags. What is considered enabled or disabled depends on the definitionsOnly parameter. When definitionsOnly is set to true, only the specified advertiser or campaign's event tags' enabledByDefault field is examined. When definitionsOnly is set to false, the specified ad or specified campaign's parent advertiser's or parent campaign's event tags' enabledByDefault and status fields are examined as well.", "location": "query", "type": "boolean" }, "sortOrder": { "description": "Order of sorted results.", "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ] } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags", "description": "Retrieves a list of event tags, possibly filtered.", "id": "dfareporting.eventTags.list" }, "delete": { "path": "dfareporting/v4/userprofiles/{profileId}/eventTags/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "format": "int64", "type": "string", "location": "path", "required": true, "description": "Event tag ID." }, "profileId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags/{id}", "httpMethod": "DELETE", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.eventTags.delete", "description": "Deletes an existing event tag." }, "update": { "id": "dfareporting.eventTags.update", "path": "dfareporting/v4/userprofiles/{profileId}/eventTags", "httpMethod": "PUT", "response": { "$ref": "EventTag" }, "description": "Updates an existing event tag.", "request": { "$ref": "EventTag" }, "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ] }, "insert": { "description": "Inserts a new event tag.", "path": "dfareporting/v4/userprofiles/{profileId}/eventTags", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags", "parameters": { "profileId": { "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string" } }, "httpMethod": "POST", "parameterOrder": [ "profileId" ], "response": { "$ref": "EventTag" }, "id": "dfareporting.eventTags.insert", "request": { "$ref": "EventTag" } }, "get": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags/{id}", "description": "Gets one event tag by ID.", "httpMethod": "GET", "response": { "$ref": "EventTag" }, "id": "dfareporting.eventTags.get", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/eventTags/{id}", "parameters": { "id": { "format": "int64", "type": "string", "location": "path", "description": "Event tag ID.", "required": true }, "profileId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "User profile ID associated with this request." } } }, "patch": { "response": { "$ref": "EventTag" }, "description": "Updates an existing event tag. This method supports patch semantics.", "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "request": { "$ref": "EventTag" }, "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "type": "string", "description": "EventTag ID.", "required": true, "format": "int64", "location": "query" } }, "path": "dfareporting/v4/userprofiles/{profileId}/eventTags", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.eventTags.patch", "flatPath": "dfareporting/v4/userprofiles/{profileId}/eventTags" } } }, "creativeFieldValues": { "methods": { "get": { "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "description": "Gets one creative field value by ID.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "response": { "$ref": "CreativeFieldValue" }, "parameters": { "creativeFieldId": { "location": "path", "description": "Creative field ID for this creative field value.", "required": true, "type": "string", "format": "int64" }, "id": { "description": "Creative Field Value ID", "location": "path", "required": true, "type": "string", "format": "int64" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64" } }, "id": "dfareporting.creativeFieldValues.get" }, "insert": { "description": "Inserts a new creative field value.", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "parameterOrder": [ "profileId", "creativeFieldId" ], "id": "dfareporting.creativeFieldValues.insert", "request": { "$ref": "CreativeFieldValue" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "CreativeFieldValue" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64", "type": "string" }, "creativeFieldId": { "required": true, "description": "Creative field ID for this creative field value.", "location": "path", "type": "string", "format": "int64" } } }, "update": { "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "response": { "$ref": "CreativeFieldValue" }, "httpMethod": "PUT", "parameterOrder": [ "profileId", "creativeFieldId" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path", "required": true }, "creativeFieldId": { "format": "int64", "required": true, "type": "string", "description": "Creative field ID for this creative field value.", "location": "path" } }, "description": "Updates an existing creative field value.", "id": "dfareporting.creativeFieldValues.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "request": { "$ref": "CreativeFieldValue" } }, "patch": { "httpMethod": "PATCH", "request": { "$ref": "CreativeFieldValue" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "description": "Updates an existing creative field value. This method supports patch semantics.", "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "location": "query", "format": "int64", "description": "CreativeFieldValue ID.", "type": "string", "required": true }, "creativeFieldId": { "location": "path", "description": "CreativeField ID.", "type": "string", "format": "int64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "CreativeFieldValue" }, "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "id": "dfareporting.creativeFieldValues.patch", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues" }, "list": { "parameters": { "searchString": { "location": "query", "description": "Allows searching for creative field values by their values. Wildcards (e.g. *) are not allowed.", "type": "string" }, "ids": { "repeated": true, "description": "Select only creative field values with these IDs.", "location": "query", "format": "int64", "type": "string" }, "sortField": { "enumDescriptions": [ "", "" ], "type": "string", "default": "ID", "location": "query", "description": "Field by which to sort the list.", "enum": [ "ID", "VALUE" ] }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "creativeFieldId": { "description": "Creative field ID for this creative field value.", "format": "int64", "type": "string", "location": "path", "required": true }, "sortOrder": { "location": "query", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results.", "enumDescriptions": [ "", "" ], "default": "ASCENDING" }, "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path", "required": true }, "maxResults": { "type": "integer", "minimum": "0", "location": "query", "default": "1000", "description": "Maximum number of results to return.", "format": "int32", "maximum": "1000" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of creative field values, possibly filtered. This method supports paging.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues", "response": { "$ref": "CreativeFieldValuesListResponse" }, "httpMethod": "GET", "id": "dfareporting.creativeFieldValues.list", "parameterOrder": [ "profileId", "creativeFieldId" ], "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues" }, "delete": { "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "description": "Deletes an existing creative field value.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "creativeFieldId", "id" ], "httpMethod": "DELETE", "parameters": { "id": { "type": "string", "format": "int64", "location": "path", "required": true, "description": "Creative Field Value ID" }, "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64" }, "creativeFieldId": { "type": "string", "format": "int64", "description": "Creative field ID for this creative field value.", "location": "path", "required": true } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{creativeFieldId}/creativeFieldValues/{id}", "id": "dfareporting.creativeFieldValues.delete" } } }, "targetableRemarketingLists": { "methods": { "list": { "response": { "$ref": "TargetableRemarketingListsListResponse" }, "parameterOrder": [ "profileId", "advertiserId" ], "description": "Retrieves a list of targetable remarketing lists, possibly filtered. This method supports paging.", "httpMethod": "GET", "id": "dfareporting.targetableRemarketingLists.list", "parameters": { "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true }, "name": { "type": "string", "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"remarketing list*2015\" will return objects with names like \"remarketing list June 2015\", \"remarketing list April 2015\", or simply \"remarketing list 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"remarketing list\" will match objects with name \"my remarketing list\", \"remarketing list 2015\", or simply \"remarketing list\"." }, "sortOrder": { "description": "Order of sorted results.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "location": "query" }, "sortField": { "description": "Field by which to sort the list.", "type": "string", "default": "ID", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "location": "query" }, "advertiserId": { "location": "query", "type": "string", "description": "Select only targetable remarketing lists targetable by these advertisers.", "format": "int64", "required": true }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "active": { "location": "query", "description": "Select only active or only inactive targetable remarketing lists.", "type": "boolean" }, "maxResults": { "default": "1000", "format": "int32", "maximum": "1000", "location": "query", "description": "Maximum number of results to return.", "minimum": "0", "type": "integer" } }, "path": "dfareporting/v4/userprofiles/{profileId}/targetableRemarketingLists", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetableRemarketingLists" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one remarketing list by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/targetableRemarketingLists/{id}", "parameters": { "profileId": { "type": "string", "format": "int64", "location": "path", "required": true, "description": "User profile ID associated with this request." }, "id": { "location": "path", "type": "string", "required": true, "format": "int64", "description": "Remarketing list ID." } }, "response": { "$ref": "TargetableRemarketingList" }, "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.targetableRemarketingLists.get", "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetableRemarketingLists/{id}" } } }, "accounts": { "methods": { "get": { "description": "Gets one account by ID.", "id": "dfareporting.accounts.get", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/accounts/{id}", "response": { "$ref": "Account" }, "path": "dfareporting/v4/userprofiles/{profileId}/accounts/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "required": true, "description": "Account ID.", "location": "path", "format": "int64", "type": "string" }, "profileId": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "User profile ID associated with this request." } } }, "list": { "id": "dfareporting.accounts.list", "description": "Retrieves the list of accounts, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/accounts", "httpMethod": "GET", "response": { "$ref": "AccountsListResponse" }, "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/accounts", "parameters": { "sortOrder": { "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "default": "ASCENDING", "description": "Order of sorted results.", "type": "string" }, "active": { "description": "Select only active accounts. Don't set this field to select both active and non-active accounts.", "location": "query", "type": "boolean" }, "sortField": { "default": "ID", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "type": "string", "location": "query", "enumDescriptions": [ "", "" ] }, "maxResults": { "description": "Maximum number of results to return.", "type": "integer", "default": "1000", "minimum": "0", "maximum": "1000", "format": "int32", "location": "query" }, "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"account*2015\" will return objects with names like \"account June 2015\", \"account April 2015\", or simply \"account 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"account\" will match objects with name \"my account\", \"account 2015\", or simply \"account\".", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true, "location": "path" }, "ids": { "repeated": true, "location": "query", "description": "Select only accounts with these IDs.", "format": "int64", "type": "string" } } }, "patch": { "parameters": { "id": { "format": "int64", "type": "string", "description": "Account ID.", "location": "query", "required": true }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" } }, "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/accounts", "description": "Updates an existing account. This method supports patch semantics.", "id": "dfareporting.accounts.patch", "request": { "$ref": "Account" }, "response": { "$ref": "Account" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accounts" }, "update": { "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accounts", "response": { "$ref": "Account" }, "request": { "$ref": "Account" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.accounts.update", "path": "dfareporting/v4/userprofiles/{profileId}/accounts", "parameterOrder": [ "profileId" ], "httpMethod": "PUT", "description": "Updates an existing account." } } }, "mobileApps": { "methods": { "list": { "response": { "$ref": "MobileAppsListResponse" }, "id": "dfareporting.mobileApps.list", "description": "Retrieves list of available mobile apps.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "ids": { "description": "Select only apps with these IDs.", "location": "query", "type": "string", "repeated": true }, "maxResults": { "location": "query", "type": "integer", "default": "1000", "maximum": "1000", "description": "Maximum number of results to return.", "format": "int32", "minimum": "0" }, "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"app*2015\" will return objects with names like \"app Jan 2018\", \"app Jan 2018\", or simply \"app 2018\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"app\" will match objects with name \"my app\", \"app 2018\", or simply \"app\".", "location": "query", "type": "string" }, "directories": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "description": "Select only apps from these directories.", "repeated": true, "location": "query", "type": "string", "enum": [ "UNKNOWN", "APPLE_APP_STORE", "GOOGLE_PLAY_STORE", "ROKU_APP_STORE", "AMAZON_FIRETV_APP_STORE", "PLAYSTATION_APP_STORE", "APPLE_TV_APP_STORE", "XBOX_APP_STORE", "SAMSUNG_TV_APP_STORE", "ANDROID_TV_APP_STORE", "GENERIC_CTV_APP_STORE" ] }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/mobileApps", "path": "dfareporting/v4/userprofiles/{profileId}/mobileApps", "parameterOrder": [ "profileId" ] }, "get": { "path": "dfareporting/v4/userprofiles/{profileId}/mobileApps/{id}", "description": "Gets one mobile app by ID.", "httpMethod": "GET", "id": "dfareporting.mobileApps.get", "response": { "$ref": "MobileApp" }, "parameters": { "id": { "type": "string", "description": "Mobile app ID.", "location": "path", "required": true }, "profileId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/mobileApps/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "accountActiveAdSummaries": { "methods": { "get": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountActiveAdSummaries/{summaryAccountId}", "parameterOrder": [ "profileId", "summaryAccountId" ], "id": "dfareporting.accountActiveAdSummaries.get", "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true }, "summaryAccountId": { "description": "Account ID.", "format": "int64", "location": "path", "type": "string", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets the account's active ad summary by account ID.", "response": { "$ref": "AccountActiveAdSummary" }, "path": "dfareporting/v4/userprofiles/{profileId}/accountActiveAdSummaries/{summaryAccountId}" } } }, "directorySites": { "methods": { "insert": { "parameterOrder": [ "profileId" ], "request": { "$ref": "DirectorySite" }, "response": { "$ref": "DirectorySite" }, "id": "dfareporting.directorySites.insert", "httpMethod": "POST", "description": "Inserts a new directory site.", "parameters": { "profileId": { "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/directorySites", "path": "dfareporting/v4/userprofiles/{profileId}/directorySites", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "httpMethod": "GET", "response": { "$ref": "DirectorySite" }, "parameters": { "id": { "description": "Directory site ID.", "required": true, "type": "string", "location": "path", "format": "int64" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/directorySites/{id}", "description": "Gets one directory site by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/directorySites/{id}", "id": "dfareporting.directorySites.get" }, "list": { "response": { "$ref": "DirectorySitesListResponse" }, "description": "Retrieves a list of directory sites, possibly filtered. This method supports paging.", "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/directorySites", "parameters": { "searchString": { "type": "string", "location": "query", "description": "Allows searching for objects by name, ID or URL. Wildcards (*) are allowed. For example, \"directory site*2015\" will return objects with names like \"directory site June 2015\", \"directory site April 2015\", or simply \"directory site 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"directory site\" will match objects with name \"my directory site\", \"directory site 2015\" or simply, \"directory site\"." }, "acceptsPublisherPaidPlacements": { "location": "query", "description": "Select only directory sites that accept publisher paid placements. This field can be left blank.", "type": "boolean" }, "active": { "type": "boolean", "description": "Select only active directory sites. Leave blank to retrieve both active and inactive directory sites.", "location": "query" }, "acceptsInStreamVideoPlacements": { "location": "query", "type": "boolean", "description": "This search filter is no longer supported and will have no effect on the results returned." }, "dfpNetworkCode": { "type": "string", "location": "query", "description": "Select only directory sites with this Ad Manager network code." }, "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path" }, "acceptsInterstitialPlacements": { "location": "query", "description": "This search filter is no longer supported and will have no effect on the results returned.", "type": "boolean" }, "maxResults": { "type": "integer", "format": "int32", "maximum": "1000", "minimum": "0", "location": "query", "default": "1000", "description": "Maximum number of results to return." }, "sortField": { "type": "string", "default": "ID", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "location": "query", "enumDescriptions": [ "", "" ] }, "sortOrder": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Order of sorted results.", "location": "query", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ] }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "ids": { "location": "query", "format": "int64", "description": "Select only directory sites with these IDs.", "type": "string", "repeated": true } }, "id": "dfareporting.directorySites.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/directorySites", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ] } } }, "campaigns": { "methods": { "list": { "description": "Retrieves a list of campaigns, possibly filtered. This method supports paging.", "response": { "$ref": "CampaignsListResponse" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns", "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/campaigns", "id": "dfareporting.campaigns.list", "parameters": { "subaccountId": { "type": "string", "format": "int64", "location": "query", "description": "Select only campaigns that belong to this subaccount." }, "overriddenEventTagId": { "type": "string", "location": "query", "description": "Select only campaigns that have overridden this event tag ID.", "format": "int64" }, "advertiserIds": { "location": "query", "repeated": true, "format": "int64", "type": "string", "description": "Select only campaigns that belong to these advertisers." }, "ids": { "description": "Select only campaigns with these IDs.", "repeated": true, "format": "int64", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "advertiserGroupIds": { "format": "int64", "type": "string", "location": "query", "repeated": true, "description": "Select only campaigns whose advertisers belong to these advertiser groups." }, "archived": { "location": "query", "description": "Select only archived campaigns. Don't set this field to select both archived and non-archived campaigns.", "type": "boolean" }, "sortField": { "enum": [ "ID", "NAME" ], "location": "query", "description": "Field by which to sort the list.", "type": "string", "enumDescriptions": [ "", "" ], "default": "ID" }, "atLeastOneOptimizationActivity": { "description": "Select only campaigns that have at least one optimization activity.", "type": "boolean", "location": "query" }, "excludedIds": { "description": "Exclude campaigns with these IDs.", "type": "string", "format": "int64", "location": "query", "repeated": true }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for campaigns by name or ID. Wildcards (*) are allowed. For example, \"campaign*2015\" will return campaigns with names like \"campaign June 2015\", \"campaign April 2015\", or simply \"campaign 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"campaign\" will match campaigns with name \"my campaign\", \"campaign 2015\", or simply \"campaign\"." }, "profileId": { "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true, "type": "string" }, "sortOrder": { "location": "query", "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ] }, "maxResults": { "format": "int32", "default": "1000", "maximum": "1000", "type": "integer", "minimum": "0", "description": "Maximum number of results to return.", "location": "query" } } }, "insert": { "request": { "$ref": "Campaign" }, "response": { "$ref": "Campaign" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns", "path": "dfareporting/v4/userprofiles/{profileId}/campaigns", "description": "Inserts a new campaign.", "id": "dfareporting.campaigns.insert", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" } } }, "update": { "path": "dfareporting/v4/userprofiles/{profileId}/campaigns", "request": { "$ref": "Campaign" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true, "location": "path" } }, "description": "Updates an existing campaign.", "httpMethod": "PUT", "response": { "$ref": "Campaign" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.campaigns.update", "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Campaign" }, "description": "Updates an existing campaign. This method supports patch semantics.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns", "request": { "$ref": "Campaign" }, "httpMethod": "PATCH", "parameters": { "id": { "required": true, "description": "Campaign ID.", "type": "string", "location": "query", "format": "int64" }, "profileId": { "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string" } }, "path": "dfareporting/v4/userprofiles/{profileId}/campaigns", "id": "dfareporting.campaigns.patch", "parameterOrder": [ "profileId", "id" ] }, "get": { "id": "dfareporting.campaigns.get", "path": "dfareporting/v4/userprofiles/{profileId}/campaigns/{id}", "response": { "$ref": "Campaign" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns/{id}", "description": "Gets one campaign by ID.", "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "description": "Campaign ID.", "format": "int64", "location": "path", "type": "string", "required": true }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true } } } } }, "languages": { "methods": { "list": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/languages", "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path", "format": "int64" } }, "path": "dfareporting/v4/userprofiles/{profileId}/languages", "description": "Retrieves a list of languages.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.languages.list", "response": { "$ref": "LanguagesListResponse" } } } }, "regions": { "methods": { "list": { "parameterOrder": [ "profileId" ], "response": { "$ref": "RegionsListResponse" }, "parameters": { "profileId": { "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "required": true, "type": "string" } }, "description": "Retrieves a list of regions.", "id": "dfareporting.regions.list", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/regions", "path": "dfareporting/v4/userprofiles/{profileId}/regions", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "campaignCreativeAssociations": { "methods": { "insert": { "parameters": { "campaignId": { "description": "Campaign ID in this association.", "required": true, "location": "path", "type": "string", "format": "int64" }, "profileId": { "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true, "type": "string" } }, "id": "dfareporting.campaignCreativeAssociations.insert", "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations", "httpMethod": "POST", "description": "Associates a creative with the specified campaign. This method creates a default ad with dimensions matching the creative in the campaign if such a default ad does not exist already.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "campaignId" ], "response": { "$ref": "CampaignCreativeAssociation" }, "request": { "$ref": "CampaignCreativeAssociation" }, "path": "dfareporting/v4/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations" }, "list": { "parameters": { "sortOrder": { "location": "query", "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ] }, "maxResults": { "format": "int32", "maximum": "1000", "description": "Maximum number of results to return.", "default": "1000", "type": "integer", "location": "query", "minimum": "0" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "campaignId": { "description": "Campaign ID in this association.", "location": "path", "required": true, "type": "string", "format": "int64" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations", "id": "dfareporting.campaignCreativeAssociations.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/campaigns/{campaignId}/campaignCreativeAssociations", "response": { "$ref": "CampaignCreativeAssociationsListResponse" }, "description": "Retrieves the list of creative IDs associated with the specified campaign. This method supports paging.", "parameterOrder": [ "profileId", "campaignId" ] } } }, "remarketingListShares": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares", "id": "dfareporting.remarketingListShares.patch", "parameters": { "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" }, "id": { "format": "int64", "required": true, "description": "RemarketingList ID.", "location": "query", "type": "string" } }, "parameterOrder": [ "profileId", "id" ], "httpMethod": "PATCH", "request": { "$ref": "RemarketingListShare" }, "response": { "$ref": "RemarketingListShare" }, "description": "Updates an existing remarketing list share. This method supports patch semantics.", "path": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares" }, "get": { "httpMethod": "GET", "response": { "$ref": "RemarketingListShare" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares/{remarketingListId}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares/{remarketingListId}", "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request." }, "remarketingListId": { "format": "int64", "required": true, "location": "path", "type": "string", "description": "Remarketing list ID." } }, "description": "Gets one remarketing list share by remarketing list ID.", "id": "dfareporting.remarketingListShares.get", "parameterOrder": [ "profileId", "remarketingListId" ] }, "update": { "id": "dfareporting.remarketingListShares.update", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares", "httpMethod": "PUT", "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "description": "Updates an existing remarketing list share.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingListShares", "request": { "$ref": "RemarketingListShare" }, "response": { "$ref": "RemarketingListShare" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "inventoryItems": { "methods": { "get": { "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64", "location": "path" }, "id": { "location": "path", "required": true, "description": "Inventory item ID.", "type": "string", "format": "int64" }, "projectId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Project ID for order documents." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one inventory item by ID.", "httpMethod": "GET", "id": "dfareporting.inventoryItems.get", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/inventoryItems/{id}", "response": { "$ref": "InventoryItem" }, "parameterOrder": [ "profileId", "projectId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/inventoryItems/{id}" }, "list": { "description": "Retrieves a list of inventory items, possibly filtered. This method supports paging.", "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/inventoryItems", "parameters": { "sortOrder": { "enumDescriptions": [ "", "" ], "default": "ASCENDING", "location": "query", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string" }, "orderId": { "type": "string", "location": "query", "format": "int64", "description": "Select only inventory items that belong to specified orders.", "repeated": true }, "sortField": { "type": "string", "enum": [ "ID", "NAME" ], "default": "ID", "enumDescriptions": [ "", "" ], "description": "Field by which to sort the list.", "location": "query" }, "inPlan": { "description": "Select only inventory items that are in plan.", "location": "query", "type": "boolean" }, "projectId": { "location": "path", "format": "int64", "required": true, "description": "Project ID for order documents.", "type": "string" }, "type": { "enum": [ "PLANNING_PLACEMENT_TYPE_REGULAR", "PLANNING_PLACEMENT_TYPE_CREDIT" ], "location": "query", "enumDescriptions": [ "", "" ], "type": "string", "description": "Select only inventory items with this type." }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "profileId": { "location": "path", "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "required": true }, "maxResults": { "default": "1000", "location": "query", "type": "integer", "minimum": "0", "format": "int32", "description": "Maximum number of results to return.", "maximum": "1000" }, "ids": { "description": "Select only inventory items with these IDs.", "location": "query", "format": "int64", "repeated": true, "type": "string" }, "siteId": { "repeated": true, "location": "query", "format": "int64", "type": "string", "description": "Select only inventory items that are associated with these sites." } }, "parameterOrder": [ "profileId", "projectId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/inventoryItems", "id": "dfareporting.inventoryItems.list", "response": { "$ref": "InventoryItemsListResponse" } } } }, "cities": { "methods": { "list": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/cities", "id": "dfareporting.cities.list", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/cities", "httpMethod": "GET", "response": { "$ref": "CitiesListResponse" }, "description": "Retrieves a list of cities, possibly filtered.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "namePrefix": { "description": "Select only cities with names starting with this prefix.", "type": "string", "location": "query" }, "dartIds": { "description": "Select only cities with these DART IDs.", "format": "int64", "type": "string", "location": "query", "repeated": true }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path" }, "countryDartIds": { "description": "Select only cities from these countries.", "repeated": true, "location": "query", "type": "string", "format": "int64" }, "regionDartIds": { "format": "int64", "description": "Select only cities from these regions.", "repeated": true, "type": "string", "location": "query" } } } } }, "sites": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing site. This method supports patch semantics.", "parameters": { "profileId": { "format": "int64", "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string" }, "id": { "description": "Site ID.", "format": "int64", "location": "query", "required": true, "type": "string" } }, "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.sites.patch", "path": "dfareporting/v4/userprofiles/{profileId}/sites", "flatPath": "dfareporting/v4/userprofiles/{profileId}/sites", "response": { "$ref": "Site" }, "request": { "$ref": "Site" }, "httpMethod": "PATCH" }, "list": { "parameters": { "unmappedSite": { "type": "boolean", "description": "Select only sites that have not been mapped to a directory site.", "location": "query" }, "adWordsSite": { "type": "boolean", "description": "Select only AdWords sites.", "location": "query" }, "sortField": { "enumDescriptions": [ "", "" ], "location": "query", "default": "ID", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64", "location": "path" }, "searchString": { "type": "string", "location": "query", "description": "Allows searching for objects by name, ID or keyName. Wildcards (*) are allowed. For example, \"site*2015\" will return objects with names like \"site June 2015\", \"site April 2015\", or simply \"site 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"site\" will match objects with name \"my site\", \"site 2015\", or simply \"site\"." }, "maxResults": { "maximum": "1000", "type": "integer", "minimum": "0", "location": "query", "description": "Maximum number of results to return.", "default": "1000", "format": "int32" }, "ids": { "repeated": true, "format": "int64", "type": "string", "location": "query", "description": "Select only sites with these IDs." }, "directorySiteIds": { "location": "query", "description": "Select only sites with these directory site IDs.", "type": "string", "format": "int64", "repeated": true }, "approved": { "type": "boolean", "description": "Select only approved sites.", "location": "query" }, "subaccountId": { "location": "query", "description": "Select only sites with this subaccount ID.", "format": "int64", "type": "string" }, "acceptsInterstitialPlacements": { "description": "This search filter is no longer supported and will have no effect on the results returned.", "type": "boolean", "location": "query" }, "campaignIds": { "description": "Select only sites with these campaign IDs.", "type": "string", "format": "int64", "location": "query", "repeated": true }, "acceptsPublisherPaidPlacements": { "type": "boolean", "description": "Select only sites that accept publisher paid placements.", "location": "query" }, "sortOrder": { "default": "ASCENDING", "description": "Order of sorted results.", "location": "query", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ] }, "acceptsInStreamVideoPlacements": { "location": "query", "type": "boolean", "description": "This search filter is no longer supported and will have no effect on the results returned." } }, "response": { "$ref": "SitesListResponse" }, "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/sites", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.sites.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/sites", "description": "Retrieves a list of sites, possibly filtered. This method supports paging." }, "get": { "parameters": { "profileId": { "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true }, "id": { "format": "int64", "required": true, "description": "Site ID.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/sites/{id}", "description": "Gets one site by ID.", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/sites/{id}", "response": { "$ref": "Site" }, "httpMethod": "GET", "id": "dfareporting.sites.get" }, "insert": { "parameterOrder": [ "profileId" ], "description": "Inserts a new site.", "parameters": { "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "Site" }, "response": { "$ref": "Site" }, "path": "dfareporting/v4/userprofiles/{profileId}/sites", "httpMethod": "POST", "id": "dfareporting.sites.insert", "flatPath": "dfareporting/v4/userprofiles/{profileId}/sites" }, "update": { "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "description": "Updates an existing site.", "request": { "$ref": "Site" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "path": "dfareporting/v4/userprofiles/{profileId}/sites", "id": "dfareporting.sites.update", "flatPath": "dfareporting/v4/userprofiles/{profileId}/sites", "response": { "$ref": "Site" } } } }, "accountPermissions": { "methods": { "list": { "path": "dfareporting/v4/userprofiles/{profileId}/accountPermissions", "id": "dfareporting.accountPermissions.list", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves the list of account permissions.", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountPermissions", "response": { "$ref": "AccountPermissionsListResponse" }, "parameterOrder": [ "profileId" ] }, "get": { "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountPermissions/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64" }, "id": { "format": "int64", "required": true, "description": "Account permission ID.", "location": "path", "type": "string" } }, "response": { "$ref": "AccountPermission" }, "path": "dfareporting/v4/userprofiles/{profileId}/accountPermissions/{id}", "id": "dfareporting.accountPermissions.get", "parameterOrder": [ "profileId", "id" ], "description": "Gets one account permission by ID." } } }, "userProfiles": { "methods": { "get": { "parameters": { "profileId": { "type": "string", "format": "int64", "description": "The user profile ID.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/ddmconversions", "https://www.googleapis.com/auth/dfareporting", "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "id": "dfareporting.userProfiles.get", "path": "dfareporting/v4/userprofiles/{profileId}", "response": { "$ref": "UserProfile" }, "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}", "description": "Gets one user profile by ID." }, "list": { "id": "dfareporting.userProfiles.list", "description": "Retrieves list of user profiles for a user.", "httpMethod": "GET", "path": "dfareporting/v4/userprofiles", "parameterOrder": [], "flatPath": "dfareporting/v4/userprofiles", "scopes": [ "https://www.googleapis.com/auth/ddmconversions", "https://www.googleapis.com/auth/dfareporting", "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "UserProfileList" }, "parameters": {} } } }, "operatingSystems": { "methods": { "get": { "response": { "$ref": "OperatingSystem" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/operatingSystems/{dartId}", "id": "dfareporting.operatingSystems.get", "parameterOrder": [ "profileId", "dartId" ], "path": "dfareporting/v4/userprofiles/{profileId}/operatingSystems/{dartId}", "parameters": { "dartId": { "format": "int64", "location": "path", "required": true, "description": "Operating system DART ID.", "type": "string" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "location": "path" } }, "description": "Gets one operating system by DART ID.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "parameterOrder": [ "profileId" ], "id": "dfareporting.operatingSystems.list", "description": "Retrieves a list of operating systems.", "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request." } }, "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/operatingSystems", "path": "dfareporting/v4/userprofiles/{profileId}/operatingSystems", "response": { "$ref": "OperatingSystemsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "userRolePermissions": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "User profile ID associated with this request." }, "id": { "format": "int64", "description": "User role permission ID.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "GET", "id": "dfareporting.userRolePermissions.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one user role permission by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/userRolePermissions/{id}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRolePermissions/{id}", "response": { "$ref": "UserRolePermission" } }, "list": { "description": "Gets a list of user role permissions, possibly filtered.", "response": { "$ref": "UserRolePermissionsListResponse" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRolePermissions", "id": "dfareporting.userRolePermissions.list", "path": "dfareporting/v4/userprofiles/{profileId}/userRolePermissions", "parameterOrder": [ "profileId" ], "parameters": { "ids": { "format": "int64", "repeated": true, "type": "string", "location": "query", "description": "Select only user role permissions with these IDs." }, "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "projects": { "methods": { "list": { "response": { "$ref": "ProjectsListResponse" }, "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects", "path": "dfareporting/v4/userprofiles/{profileId}/projects", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.projects.list", "parameterOrder": [ "profileId" ], "description": "Retrieves a list of projects, possibly filtered. This method supports paging .", "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "ids": { "location": "query", "format": "int64", "repeated": true, "type": "string", "description": "Select only projects with these IDs." }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "searchString": { "description": "Allows searching for projects by name or ID. Wildcards (*) are allowed. For example, \"project*2015\" will return projects with names like \"project June 2015\", \"project April 2015\", or simply \"project 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"project\" will match projects with name \"my project\", \"project 2015\", or simply \"project\".", "location": "query", "type": "string" }, "advertiserIds": { "location": "query", "description": "Select only projects with these advertiser IDs.", "format": "int64", "type": "string", "repeated": true }, "maxResults": { "location": "query", "default": "1000", "format": "int32", "description": "Maximum number of results to return.", "type": "integer", "maximum": "1000", "minimum": "0" }, "sortField": { "description": "Field by which to sort the list.", "enumDescriptions": [ "", "" ], "type": "string", "location": "query", "default": "ID", "enum": [ "ID", "NAME" ] }, "sortOrder": { "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "default": "ASCENDING" } } }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path", "required": true }, "id": { "type": "string", "required": true, "description": "Project ID.", "format": "int64", "location": "path" } }, "description": "Gets one project by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/projects/{id}", "response": { "$ref": "Project" }, "id": "dfareporting.projects.get", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{id}" } } }, "creativeGroups": { "methods": { "list": { "response": { "$ref": "CreativeGroupsListResponse" }, "httpMethod": "GET", "description": "Retrieves a list of creative groups, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "parameterOrder": [ "profileId" ], "id": "dfareporting.creativeGroups.list", "parameters": { "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "required": true, "location": "path", "type": "string" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for creative groups by name or ID. Wildcards (*) are allowed. For example, \"creativegroup*2015\" will return creative groups with names like \"creativegroup June 2015\", \"creativegroup April 2015\", or simply \"creativegroup 2015\". Most of the searches also add wild-cards implicitly at the start and the end of the search string. For example, a search string of \"creativegroup\" will match creative groups with the name \"my creativegroup\", \"creativegroup 2015\", or simply \"creativegroup\"." }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "advertiserIds": { "location": "query", "format": "int64", "description": "Select only creative groups that belong to these advertisers.", "repeated": true, "type": "string" }, "maxResults": { "description": "Maximum number of results to return.", "minimum": "0", "format": "int32", "type": "integer", "maximum": "1000", "location": "query", "default": "1000" }, "groupNumber": { "type": "integer", "description": "Select only creative groups that belong to this subgroup.", "format": "int32", "location": "query", "maximum": "2", "minimum": "1" }, "sortField": { "type": "string", "description": "Field by which to sort the list.", "default": "ID", "location": "query", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ] }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "", "" ], "description": "Order of sorted results.", "type": "string", "default": "ASCENDING" }, "ids": { "location": "query", "format": "int64", "type": "string", "repeated": true, "description": "Select only creative groups with these IDs." } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeGroups" }, "insert": { "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "request": { "$ref": "CreativeGroup" }, "response": { "$ref": "CreativeGroup" }, "path": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "httpMethod": "POST", "description": "Inserts a new creative group.", "id": "dfareporting.creativeGroups.insert" }, "update": { "request": { "$ref": "CreativeGroup" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "path": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "id": "dfareporting.creativeGroups.update", "response": { "$ref": "CreativeGroup" }, "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing creative group.", "httpMethod": "PUT" }, "get": { "id": "dfareporting.creativeGroups.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "CreativeGroup" }, "parameters": { "id": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Creative group ID." }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path" } }, "description": "Gets one creative group by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/creativeGroups/{id}", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeGroups/{id}" }, "patch": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeGroups", "response": { "$ref": "CreativeGroup" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string", "location": "path" }, "id": { "description": "CreativeGroup ID.", "type": "string", "required": true, "location": "query", "format": "int64" } }, "request": { "$ref": "CreativeGroup" }, "description": "Updates an existing creative group. This method supports patch semantics.", "id": "dfareporting.creativeGroups.patch", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PATCH", "path": "dfareporting/v4/userprofiles/{profileId}/creativeGroups" } } }, "floodlightActivityGroups": { "methods": { "patch": { "httpMethod": "PATCH", "parameters": { "id": { "type": "string", "format": "int64", "location": "query", "required": true, "description": "FloodlightActivityGroup ID." }, "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing floodlight activity group. This method supports patch semantics.", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "response": { "$ref": "FloodlightActivityGroup" }, "request": { "$ref": "FloodlightActivityGroup" }, "id": "dfareporting.floodlightActivityGroups.patch", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups" }, "update": { "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "id": "dfareporting.floodlightActivityGroups.update", "request": { "$ref": "FloodlightActivityGroup" }, "parameters": { "profileId": { "format": "int64", "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "response": { "$ref": "FloodlightActivityGroup" }, "description": "Updates an existing floodlight activity group.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "parameters": { "maxResults": { "format": "int32", "type": "integer", "minimum": "0", "default": "1000", "location": "query", "maximum": "1000", "description": "Maximum number of results to return." }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"floodlightactivitygroup*2015\" will return objects with names like \"floodlightactivitygroup June 2015\", \"floodlightactivitygroup April 2015\", or simply \"floodlightactivitygroup 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"floodlightactivitygroup\" will match objects with name \"my floodlightactivitygroup activity\", \"floodlightactivitygroup 2015\", or simply \"floodlightactivitygroup\".", "location": "query", "type": "string" }, "sortOrder": { "default": "ASCENDING", "type": "string", "location": "query", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "type": { "enumDescriptions": [ "", "" ], "enum": [ "COUNTER", "SALE" ], "type": "string", "description": "Select only floodlight activity groups with the specified floodlight activity group type.", "location": "query" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "sortField": { "default": "ID", "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "ids": { "description": "Select only floodlight activity groups with the specified IDs. Must specify either advertiserId or floodlightConfigurationId for a non-empty result.", "repeated": true, "format": "int64", "location": "query", "type": "string" }, "floodlightConfigurationId": { "description": "Select only floodlight activity groups with the specified floodlight configuration ID. Must specify either advertiserId, or floodlightConfigurationId for a non-empty result.", "location": "query", "type": "string", "format": "int64" }, "advertiserId": { "type": "string", "location": "query", "format": "int64", "description": "Select only floodlight activity groups with the specified advertiser ID. Must specify either advertiserId or floodlightConfigurationId for a non-empty result." }, "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64" } }, "response": { "$ref": "FloodlightActivityGroupsListResponse" }, "httpMethod": "GET", "description": "Retrieves a list of floodlight activity groups, possibly filtered. This method supports paging.", "id": "dfareporting.floodlightActivityGroups.list" }, "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.floodlightActivityGroups.get", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups/{id}", "response": { "$ref": "FloodlightActivityGroup" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "description": "Gets one floodlight activity group by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups/{id}", "parameters": { "id": { "location": "path", "required": true, "format": "int64", "type": "string", "description": "Floodlight activity Group ID." }, "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." } } }, "insert": { "response": { "$ref": "FloodlightActivityGroup" }, "description": "Inserts a new floodlight activity group.", "request": { "$ref": "FloodlightActivityGroup" }, "httpMethod": "POST", "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "User profile ID associated with this request." } }, "id": "dfareporting.floodlightActivityGroups.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivityGroups" } } }, "billingProfiles": { "methods": { "update": { "request": { "$ref": "BillingProfile" }, "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles", "response": { "$ref": "BillingProfile" }, "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request." } }, "description": "Updates an existing billing profile.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.billingProfiles.update", "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles" }, "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.billingProfiles.get", "description": "Gets one billing profile by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{id}", "parameters": { "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "id": { "description": "Billing Profile ID.", "format": "int64", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "BillingProfile" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET" }, "list": { "parameterOrder": [ "profileId" ], "id": "dfareporting.billingProfiles.list", "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles", "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles", "description": "Retrieves a list of billing profiles, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "BillingProfilesListResponse" }, "httpMethod": "GET", "parameters": { "onlySuggestion": { "description": "Select only billing profile which is suggested for the currency_code & subaccount_id using the Billing Suggestion API.", "location": "query", "type": "boolean" }, "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" }, "ids": { "format": "int64", "repeated": true, "location": "query", "type": "string", "description": "Select only billing profile with these IDs." }, "maxResults": { "type": "integer", "location": "query", "description": "Maximum number of results to return.", "default": "1000", "maximum": "1000", "format": "int32", "minimum": "0" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "status": { "description": "Select only billing profile with the specified status.", "repeated": true, "type": "string", "location": "query", "enum": [ "UNDER_REVIEW", "ACTIVE", "ARCHIVED" ], "enumDescriptions": [ "", "", "" ] }, "sortField": { "type": "string", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "location": "query", "default": "ID" }, "name": { "description": "Allows searching for billing profiles by name. Wildcards (*) are allowed. For example, \"profile*2020\" will return objects with names like \"profile June 2020\", \"profile April 2020\", or simply \"profile 2020\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"profile\" will match objects with name \"my profile\", \"profile 2021\", or simply \"profile\".", "location": "query", "type": "string" }, "subaccountIds": { "description": "Select only billing profile with the specified subaccount.When only_suggestion is true, only a single subaccount_id is supported.", "type": "string", "repeated": true, "format": "int64", "location": "query" }, "currency_code": { "type": "string", "location": "query", "description": "Select only billing profile with currency." }, "sortOrder": { "type": "string", "default": "ASCENDING", "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "description": "Order of sorted results." } } } } }, "userRolePermissionGroups": { "methods": { "get": { "description": "Gets one user role permission group by ID.", "response": { "$ref": "UserRolePermissionGroup" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRolePermissionGroups/{id}", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "User profile ID associated with this request." }, "id": { "required": true, "format": "int64", "type": "string", "description": "User role permission group ID.", "location": "path" } }, "httpMethod": "GET", "id": "dfareporting.userRolePermissionGroups.get", "path": "dfareporting/v4/userprofiles/{profileId}/userRolePermissionGroups/{id}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.userRolePermissionGroups.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRolePermissionGroups", "path": "dfareporting/v4/userprofiles/{profileId}/userRolePermissionGroups", "response": { "$ref": "UserRolePermissionGroupsListResponse" }, "description": "Gets a list of all supported user role permission groups.", "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "profileId" ] } } }, "platformTypes": { "methods": { "get": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/platformTypes/{id}", "id": "dfareporting.platformTypes.get", "response": { "$ref": "PlatformType" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "description": "Gets one platform type by ID.", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/platformTypes/{id}", "parameters": { "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64" }, "id": { "required": true, "type": "string", "description": "Platform type ID.", "format": "int64", "location": "path" } } }, "list": { "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "location": "path", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.platformTypes.list", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/platformTypes", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of platform types.", "response": { "$ref": "PlatformTypesListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/platformTypes" } } }, "orders": { "methods": { "list": { "parameters": { "projectId": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "Project ID for orders." }, "searchString": { "description": "Allows searching for orders by name or ID. Wildcards (*) are allowed. For example, \"order*2015\" will return orders with names like \"order June 2015\", \"order April 2015\", or simply \"order 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"order\" will match orders with name \"my order\", \"order 2015\", or simply \"order\".", "type": "string", "location": "query" }, "sortOrder": { "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "type": "string", "default": "ASCENDING", "location": "query" }, "ids": { "description": "Select only orders with these IDs.", "repeated": true, "location": "query", "format": "int64", "type": "string" }, "profileId": { "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "required": true }, "sortField": { "description": "Field by which to sort the list.", "type": "string", "enumDescriptions": [ "", "" ], "location": "query", "default": "ID", "enum": [ "ID", "NAME" ] }, "maxResults": { "maximum": "1000", "description": "Maximum number of results to return.", "location": "query", "default": "1000", "type": "integer", "minimum": "0", "format": "int32" }, "siteId": { "location": "query", "format": "int64", "type": "string", "description": "Select only orders that are associated with these site IDs.", "repeated": true }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" } }, "id": "dfareporting.orders.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of orders, possibly filtered. This method supports paging.", "response": { "$ref": "OrdersListResponse" }, "parameterOrder": [ "profileId", "projectId" ], "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orders", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orders" }, "get": { "response": { "$ref": "Order" }, "id": "dfareporting.orders.get", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orders/{id}", "parameters": { "id": { "description": "Order ID.", "type": "string", "required": true, "location": "path", "format": "int64" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "required": true, "format": "int64" }, "projectId": { "description": "Project ID for orders.", "location": "path", "type": "string", "required": true, "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orders/{id}", "description": "Gets one order by ID.", "parameterOrder": [ "profileId", "projectId", "id" ] } } }, "billingAssignments": { "methods": { "insert": { "id": "dfareporting.billingAssignments.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingAssignments", "description": "Inserts a new billing assignment and returns the new assignment. Only one of advertiser_id or campaign_id is support per request. If the new assignment has no effect (assigning a campaign to the parent advertiser billing profile or assigning an advertiser to the account billing profile), no assignment will be returned.", "request": { "$ref": "BillingAssignment" }, "parameters": { "billingProfileId": { "type": "string", "description": "Billing profile ID of this billing assignment.", "format": "int64", "location": "path", "required": true }, "profileId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request." } }, "httpMethod": "POST", "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingAssignments", "parameterOrder": [ "profileId", "billingProfileId" ], "response": { "$ref": "BillingAssignment" } }, "list": { "response": { "$ref": "BillingAssignmentsListResponse" }, "parameterOrder": [ "profileId", "billingProfileId" ], "httpMethod": "GET", "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request." }, "billingProfileId": { "location": "path", "required": true, "type": "string", "description": "Billing profile ID of this billing assignment.", "format": "int64" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingAssignments", "id": "dfareporting.billingAssignments.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingAssignments", "description": "Retrieves a list of billing assignments." } } }, "operatingSystemVersions": { "methods": { "list": { "description": "Retrieves a list of operating system versions.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/operatingSystemVersions", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "format": "int64", "type": "string", "required": true, "location": "path", "description": "User profile ID associated with this request." } }, "id": "dfareporting.operatingSystemVersions.list", "response": { "$ref": "OperatingSystemVersionsListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/operatingSystemVersions" }, "get": { "id": "dfareporting.operatingSystemVersions.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/operatingSystemVersions/{id}", "parameters": { "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path" }, "id": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "Operating system version ID." } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/operatingSystemVersions/{id}", "description": "Gets one operating system version by ID.", "response": { "$ref": "OperatingSystemVersion" } } } }, "conversions": { "methods": { "batchupdate": { "scopes": [ "https://www.googleapis.com/auth/ddmconversions" ], "path": "dfareporting/v4/userprofiles/{profileId}/conversions/batchupdate", "id": "dfareporting.conversions.batchupdate", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/conversions/batchupdate", "request": { "$ref": "ConversionsBatchUpdateRequest" }, "httpMethod": "POST", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64", "location": "path" } }, "description": "Updates existing conversions.", "response": { "$ref": "ConversionsBatchUpdateResponse" } }, "batchinsert": { "id": "dfareporting.conversions.batchinsert", "httpMethod": "POST", "parameters": { "profileId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "description": "Inserts conversions.", "path": "dfareporting/v4/userprofiles/{profileId}/conversions/batchinsert", "flatPath": "dfareporting/v4/userprofiles/{profileId}/conversions/batchinsert", "response": { "$ref": "ConversionsBatchInsertResponse" }, "scopes": [ "https://www.googleapis.com/auth/ddmconversions" ], "request": { "$ref": "ConversionsBatchInsertRequest" }, "parameterOrder": [ "profileId" ] } } }, "connectionTypes": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/connectionTypes/{id}", "response": { "$ref": "ConnectionType" }, "id": "dfareporting.connectionTypes.get", "description": "Gets one connection type by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/connectionTypes/{id}", "httpMethod": "GET", "parameters": { "id": { "description": "Connection type ID.", "required": true, "format": "int64", "type": "string", "location": "path" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.connectionTypes.list", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/connectionTypes", "description": "Retrieves a list of connection types.", "path": "dfareporting/v4/userprofiles/{profileId}/connectionTypes", "response": { "$ref": "ConnectionTypesListResponse" }, "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "parameterOrder": [ "profileId" ] } } }, "countries": { "methods": { "list": { "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/countries", "parameterOrder": [ "profileId" ], "description": "Retrieves a list of countries.", "response": { "$ref": "CountriesListResponse" }, "id": "dfareporting.countries.list", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/countries" }, "get": { "description": "Gets one country by ID.", "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/countries/{dartId}", "response": { "$ref": "Country" }, "parameterOrder": [ "profileId", "dartId" ], "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true }, "dartId": { "format": "int64", "location": "path", "description": "Country DART ID.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/countries/{dartId}", "id": "dfareporting.countries.get" } } }, "advertiserGroups": { "methods": { "list": { "parameters": { "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"advertiser*2015\" will return objects with names like \"advertiser group June 2015\", \"advertiser group April 2015\", or simply \"advertiser group 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"advertisergroup\" will match objects with name \"my advertisergroup\", \"advertisergroup 2015\", or simply \"advertisergroup\".", "location": "query" }, "ids": { "type": "string", "repeated": true, "location": "query", "format": "int64", "description": "Select only advertiser groups with these IDs." }, "sortField": { "enumDescriptions": [ "", "" ], "default": "ID", "type": "string", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "location": "query" }, "sortOrder": { "default": "ASCENDING", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results.", "location": "query", "enumDescriptions": [ "", "" ] }, "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true }, "maxResults": { "description": "Maximum number of results to return.", "location": "query", "maximum": "1000", "minimum": "0", "default": "1000", "format": "int32", "type": "integer" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" } }, "response": { "$ref": "AdvertiserGroupsListResponse" }, "description": "Retrieves a list of advertiser groups, possibly filtered. This method supports paging.", "parameterOrder": [ "profileId" ], "id": "dfareporting.advertiserGroups.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups" }, "delete": { "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups/{id}", "description": "Deletes an existing advertiser group.", "httpMethod": "DELETE", "id": "dfareporting.advertiserGroups.delete", "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "description": "Advertiser group ID.", "location": "path", "format": "int64", "type": "string", "required": true }, "profileId": { "format": "int64", "location": "path", "type": "string", "required": true, "description": "User profile ID associated with this request." } } }, "update": { "response": { "$ref": "AdvertiserGroup" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "httpMethod": "PUT", "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.advertiserGroups.update", "description": "Updates an existing advertiser group.", "request": { "$ref": "AdvertiserGroup" } }, "insert": { "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "request": { "$ref": "AdvertiserGroup" }, "description": "Inserts a new advertiser group.", "httpMethod": "POST", "id": "dfareporting.advertiserGroups.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "response": { "$ref": "AdvertiserGroup" } }, "get": { "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64", "required": true }, "id": { "description": "Advertiser group ID.", "location": "path", "type": "string", "format": "int64", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups/{id}", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups/{id}", "description": "Gets one advertiser group by ID.", "id": "dfareporting.advertiserGroups.get", "response": { "$ref": "AdvertiserGroup" }, "httpMethod": "GET" }, "patch": { "request": { "$ref": "AdvertiserGroup" }, "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "AdvertiserGroup" }, "parameters": { "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string" }, "id": { "location": "query", "type": "string", "description": "AdvertiserGroup ID.", "required": true, "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PATCH", "id": "dfareporting.advertiserGroups.patch", "path": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserGroups", "description": "Updates an existing advertiser group. This method supports patch semantics." } } }, "creatives": { "methods": { "insert": { "request": { "$ref": "Creative" }, "id": "dfareporting.creatives.insert", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creatives", "response": { "$ref": "Creative" }, "description": "Inserts a new creative.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true, "location": "path" } }, "httpMethod": "POST", "path": "dfareporting/v4/userprofiles/{profileId}/creatives", "parameterOrder": [ "profileId" ] }, "get": { "id": "dfareporting.creatives.get", "parameters": { "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" }, "id": { "format": "int64", "location": "path", "required": true, "description": "Creative ID.", "type": "string" } }, "path": "dfareporting/v4/userprofiles/{profileId}/creatives/{id}", "httpMethod": "GET", "response": { "$ref": "Creative" }, "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/creatives/{id}", "description": "Gets one creative by ID.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "patch": { "id": "dfareporting.creatives.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing creative. This method supports patch semantics.", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "Creative" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creatives", "path": "dfareporting/v4/userprofiles/{profileId}/creatives", "request": { "$ref": "Creative" }, "httpMethod": "PATCH", "parameters": { "profileId": { "location": "path", "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "required": true }, "id": { "type": "string", "location": "query", "format": "int64", "required": true, "description": "Creative ID." } } }, "list": { "path": "dfareporting/v4/userprofiles/{profileId}/creatives", "response": { "$ref": "CreativesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "sortField": { "type": "string", "description": "Field by which to sort the list.", "location": "query", "default": "ID", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ] }, "searchString": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"creative*2015\" will return objects with names like \"creative June 2015\", \"creative April 2015\", or simply \"creative 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"creative\" will match objects with name \"my creative\", \"creative 2015\", or simply \"creative\".", "type": "string", "location": "query" }, "types": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "Select only creatives with these creative types.", "location": "query", "enum": [ "IMAGE", "DISPLAY_REDIRECT", "CUSTOM_DISPLAY", "INTERNAL_REDIRECT", "CUSTOM_DISPLAY_INTERSTITIAL", "INTERSTITIAL_INTERNAL_REDIRECT", "TRACKING_TEXT", "RICH_MEDIA_DISPLAY_BANNER", "RICH_MEDIA_INPAGE_FLOATING", "RICH_MEDIA_IM_EXPAND", "RICH_MEDIA_DISPLAY_EXPANDING", "RICH_MEDIA_DISPLAY_INTERSTITIAL", "RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL", "RICH_MEDIA_MOBILE_IN_APP", "FLASH_INPAGE", "INSTREAM_VIDEO", "VPAID_LINEAR_VIDEO", "VPAID_NON_LINEAR_VIDEO", "INSTREAM_VIDEO_REDIRECT", "RICH_MEDIA_PEEL_DOWN", "HTML5_BANNER", "DISPLAY", "DISPLAY_IMAGE_GALLERY", "BRAND_SAFE_DEFAULT_INSTREAM_VIDEO", "INSTREAM_AUDIO" ], "type": "string", "repeated": true }, "sortOrder": { "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ], "location": "query", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ] }, "maxResults": { "format": "int32", "default": "1000", "description": "Maximum number of results to return.", "minimum": "0", "type": "integer", "location": "query", "maximum": "1000" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "advertiserId": { "location": "query", "description": "Select only creatives with this advertiser ID.", "type": "string", "format": "int64" }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path" }, "creativeFieldIds": { "location": "query", "format": "int64", "repeated": true, "description": "Select only creatives with these creative field IDs.", "type": "string" }, "ids": { "repeated": true, "type": "string", "format": "int64", "description": "Select only creatives with these IDs.", "location": "query" }, "companionCreativeIds": { "description": "Select only in-stream video creatives with these companion IDs.", "type": "string", "format": "int64", "location": "query", "repeated": true }, "active": { "type": "boolean", "description": "Select only active creatives. Leave blank to select active and inactive creatives.", "location": "query" }, "archived": { "type": "boolean", "location": "query", "description": "Select only archived creatives. Leave blank to select archived and unarchived creatives." }, "campaignId": { "type": "string", "location": "query", "format": "int64", "description": "Select only creatives with this campaign ID." }, "renderingIds": { "format": "int64", "type": "string", "repeated": true, "description": "Select only creatives with these rendering IDs.", "location": "query" }, "sizeIds": { "type": "string", "repeated": true, "location": "query", "description": "Select only creatives with these size IDs.", "format": "int64" }, "studioCreativeId": { "location": "query", "type": "string", "description": "Select only creatives corresponding to this Studio creative ID.", "format": "int64" } }, "description": "Retrieves a list of creatives, possibly filtered. This method supports paging.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creatives", "id": "dfareporting.creatives.list", "httpMethod": "GET", "parameterOrder": [ "profileId" ] }, "update": { "parameters": { "profileId": { "location": "path", "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "required": true } }, "request": { "$ref": "Creative" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creatives", "response": { "$ref": "Creative" }, "description": "Updates an existing creative.", "id": "dfareporting.creatives.update", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/creatives" } } }, "sizes": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/sizes", "parameters": { "width": { "type": "integer", "maximum": "32767", "minimum": "0", "format": "int32", "location": "query", "description": "Select only sizes with this width." }, "ids": { "repeated": true, "location": "query", "description": "Select only sizes with these IDs.", "type": "string", "format": "int64" }, "height": { "location": "query", "minimum": "0", "format": "int32", "maximum": "32767", "type": "integer", "description": "Select only sizes with this height." }, "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string", "location": "path" }, "iabStandard": { "type": "boolean", "location": "query", "description": "Select only IAB standard sizes." } }, "path": "dfareporting/v4/userprofiles/{profileId}/sizes", "httpMethod": "GET", "response": { "$ref": "SizesListResponse" }, "id": "dfareporting.sizes.list", "parameterOrder": [ "profileId" ], "description": "Retrieves a list of sizes, possibly filtered. Retrieved sizes are globally unique and may include values not currently in use by your account. Due to this, the list of sizes returned by this method may differ from the list seen in the Trafficking UI." }, "insert": { "id": "dfareporting.sizes.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "POST", "description": "Inserts a new size.", "path": "dfareporting/v4/userprofiles/{profileId}/sizes", "request": { "$ref": "Size" }, "response": { "$ref": "Size" }, "parameters": { "profileId": { "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/sizes", "parameterOrder": [ "profileId" ] }, "get": { "httpMethod": "GET", "description": "Gets one size by ID.", "id": "dfareporting.sizes.get", "flatPath": "dfareporting/v4/userprofiles/{profileId}/sizes/{id}", "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "User profile ID associated with this request." }, "id": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "Size ID." } }, "path": "dfareporting/v4/userprofiles/{profileId}/sizes/{id}", "response": { "$ref": "Size" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "placementGroups": { "methods": { "get": { "response": { "$ref": "PlacementGroup" }, "id": "dfareporting.placementGroups.get", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/placementGroups/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "format": "int64", "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string" }, "id": { "type": "string", "location": "path", "required": true, "format": "int64", "description": "Placement group ID." } }, "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementGroups/{id}", "description": "Gets one placement group by ID." }, "patch": { "request": { "$ref": "PlacementGroup" }, "path": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "response": { "$ref": "PlacementGroup" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "id": "dfareporting.placementGroups.patch", "parameters": { "id": { "required": true, "location": "query", "type": "string", "description": "PlacementGroup ID.", "format": "int64" }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true } }, "description": "Updates an existing placement group. This method supports patch semantics.", "httpMethod": "PATCH", "parameterOrder": [ "profileId", "id" ] }, "insert": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "PlacementGroup" }, "description": "Inserts a new placement group.", "parameterOrder": [ "profileId" ], "httpMethod": "POST", "response": { "$ref": "PlacementGroup" }, "id": "dfareporting.placementGroups.insert", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "path": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true, "location": "path" } } }, "update": { "httpMethod": "PUT", "request": { "$ref": "PlacementGroup" }, "description": "Updates an existing placement group.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "response": { "$ref": "PlacementGroup" }, "parameters": { "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string" } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.placementGroups.update" }, "list": { "description": "Retrieves a list of placement groups, possibly filtered. This method supports paging.", "httpMethod": "GET", "response": { "$ref": "PlacementGroupsListResponse" }, "parameterOrder": [ "profileId" ], "id": "dfareporting.placementGroups.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "path": "dfareporting/v4/userprofiles/{profileId}/placementGroups", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "activeStatus": { "enum": [ "PLACEMENT_STATUS_UNKNOWN", "PLACEMENT_STATUS_ACTIVE", "PLACEMENT_STATUS_INACTIVE", "PLACEMENT_STATUS_ARCHIVED", "PLACEMENT_STATUS_PERMANENTLY_ARCHIVED" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "description": "Select only placements with these active statuses.", "location": "query", "repeated": true }, "maxEndDate": { "type": "string", "description": "Select only placements or placement groups whose end date is on or before the specified maxEndDate. The date should be formatted as \"yyyy-MM-dd\".", "location": "query" }, "ids": { "location": "query", "format": "int64", "repeated": true, "description": "Select only placement groups with these IDs.", "type": "string" }, "sortOrder": { "description": "Order of sorted results.", "type": "string", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ], "location": "query" }, "pricingTypes": { "enumDescriptions": [ "", "", "", "", "", "" ], "location": "query", "description": "Select only placement groups with these pricing types.", "repeated": true, "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "type": "string" }, "profileId": { "required": true, "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "location": "path" }, "contentCategoryIds": { "description": "Select only placement groups that are associated with these content categories.", "location": "query", "repeated": true, "format": "int64", "type": "string" }, "placementStrategyIds": { "description": "Select only placement groups that are associated with these placement strategies.", "type": "string", "location": "query", "repeated": true, "format": "int64" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for placement groups by name or ID. Wildcards (*) are allowed. For example, \"placement*2015\" will return placement groups with names like \"placement group June 2015\", \"placement group May 2015\", or simply \"placements 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placementgroup\" will match placement groups with name \"my placementgroup\", \"placementgroup 2015\", or simply \"placementgroup\"." }, "siteIds": { "type": "string", "description": "Select only placement groups that are associated with these sites.", "format": "int64", "repeated": true, "location": "query" }, "campaignIds": { "format": "int64", "location": "query", "description": "Select only placement groups that belong to these campaigns.", "type": "string", "repeated": true }, "placementGroupType": { "location": "query", "enum": [ "PLACEMENT_PACKAGE", "PLACEMENT_ROADBLOCK" ], "enumDescriptions": [ "", "" ], "description": "Select only placement groups belonging with this group type. A package is a simple group of placements that acts as a single pricing point for a group of tags. A roadblock is a group of placements that not only acts as a single pricing point but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned placements to be marked as primary for reporting.", "type": "string" }, "directorySiteIds": { "repeated": true, "location": "query", "description": "Select only placement groups that are associated with these directory sites.", "type": "string", "format": "int64" }, "maxStartDate": { "location": "query", "type": "string", "description": "Select only placements or placement groups whose start date is on or before the specified maxStartDate. The date should be formatted as \"yyyy-MM-dd\"." }, "minEndDate": { "type": "string", "location": "query", "description": "Select only placements or placement groups whose end date is on or after the specified minEndDate. The date should be formatted as \"yyyy-MM-dd\"." }, "advertiserIds": { "format": "int64", "description": "Select only placement groups that belong to these advertisers.", "repeated": true, "location": "query", "type": "string" }, "minStartDate": { "location": "query", "description": "Select only placements or placement groups whose start date is on or after the specified minStartDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string" }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "sortField": { "description": "Field by which to sort the list.", "default": "ID", "type": "string", "enumDescriptions": [ "", "" ], "location": "query", "enum": [ "ID", "NAME" ] }, "maxResults": { "location": "query", "minimum": "0", "default": "800", "description": "Maximum number of results to return.", "maximum": "800", "type": "integer", "format": "int32" } } } } }, "creativeFields": { "methods": { "insert": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Inserts a new creative field.", "httpMethod": "POST", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "parameterOrder": [ "profileId" ], "request": { "$ref": "CreativeField" }, "response": { "$ref": "CreativeField" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "id": "dfareporting.creativeFields.insert", "parameters": { "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64" } } }, "get": { "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{id}", "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{id}", "parameters": { "profileId": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "User profile ID associated with this request." }, "id": { "location": "path", "format": "int64", "type": "string", "required": true, "description": "Creative Field ID" } }, "description": "Gets one creative field by ID.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.creativeFields.get", "response": { "$ref": "CreativeField" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "format": "int64", "type": "string", "required": true, "location": "path", "description": "Creative Field ID" }, "profileId": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "description": "Deletes an existing creative field.", "httpMethod": "DELETE", "id": "dfareporting.creativeFields.delete", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{id}", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields/{id}", "parameterOrder": [ "profileId", "id" ] }, "update": { "parameters": { "profileId": { "required": true, "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "parameterOrder": [ "profileId" ], "id": "dfareporting.creativeFields.update", "response": { "$ref": "CreativeField" }, "request": { "$ref": "CreativeField" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "description": "Updates an existing creative field.", "httpMethod": "PUT" }, "patch": { "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.creativeFields.patch", "request": { "$ref": "CreativeField" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "parameters": { "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "location": "path" }, "id": { "description": "CreativeField ID.", "location": "query", "required": true, "format": "int64", "type": "string" } }, "description": "Updates an existing creative field. This method supports patch semantics.", "httpMethod": "PATCH", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "CreativeField" } }, "list": { "response": { "$ref": "CreativeFieldsListResponse" }, "id": "dfareporting.creativeFields.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "parameters": { "advertiserIds": { "repeated": true, "location": "query", "type": "string", "format": "int64", "description": "Select only creative fields that belong to these advertisers." }, "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "sortField": { "default": "ID", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "type": "string", "description": "Field by which to sort the list.", "location": "query" }, "searchString": { "type": "string", "location": "query", "description": "Allows searching for creative fields by name or ID. Wildcards (*) are allowed. For example, \"creativefield*2015\" will return creative fields with names like \"creativefield June 2015\", \"creativefield April 2015\", or simply \"creativefield 2015\". Most of the searches also add wild-cards implicitly at the start and the end of the search string. For example, a search string of \"creativefield\" will match creative fields with the name \"my creativefield\", \"creativefield 2015\", or simply \"creativefield\"." }, "ids": { "description": "Select only creative fields with these IDs.", "type": "string", "location": "query", "format": "int64", "repeated": true }, "maxResults": { "type": "integer", "description": "Maximum number of results to return.", "default": "1000", "maximum": "1000", "minimum": "0", "format": "int32", "location": "query" }, "sortOrder": { "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "", "" ], "default": "ASCENDING", "description": "Order of sorted results." } }, "parameterOrder": [ "profileId" ], "description": "Retrieves a list of creative fields, possibly filtered. This method supports paging.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeFields", "path": "dfareporting/v4/userprofiles/{profileId}/creativeFields" } } }, "floodlightActivities": { "methods": { "get": { "description": "Gets one floodlight activity by ID.", "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "type": "string", "location": "path", "format": "int64", "description": "Floodlight activity ID.", "required": true }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true } }, "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/{id}", "id": "dfareporting.floodlightActivities.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/{id}", "response": { "$ref": "FloodlightActivity" }, "httpMethod": "GET" }, "list": { "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" }, "pageToken": { "location": "query", "type": "string", "description": "Value of the nextPageToken from the previous result page." }, "floodlightActivityGroupTagString": { "type": "string", "description": "Select only floodlight activities with the specified floodlight activity group tag string.", "location": "query" }, "advertiserId": { "type": "string", "format": "int64", "location": "query", "description": "Select only floodlight activities for the specified advertiser ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result." }, "maxResults": { "description": "Maximum number of results to return.", "minimum": "0", "maximum": "1000", "location": "query", "default": "1000", "type": "integer", "format": "int32" }, "floodlightActivityGroupName": { "location": "query", "type": "string", "description": "Select only floodlight activities with the specified floodlight activity group name." }, "sortOrder": { "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results.", "type": "string", "enumDescriptions": [ "", "" ], "default": "ASCENDING" }, "tagString": { "description": "Select only floodlight activities with the specified tag string.", "type": "string", "location": "query" }, "floodlightConfigurationId": { "format": "int64", "description": "Select only floodlight activities for the specified floodlight configuration ID. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.", "location": "query", "type": "string" }, "floodlightActivityGroupType": { "type": "string", "location": "query", "enumDescriptions": [ "", "" ], "description": "Select only floodlight activities with the specified floodlight activity group type.", "enum": [ "COUNTER", "SALE" ] }, "floodlightActivityGroupIds": { "format": "int64", "type": "string", "repeated": true, "location": "query", "description": "Select only floodlight activities with the specified floodlight activity group IDs." }, "ids": { "description": "Select only floodlight activities with the specified IDs. Must specify either ids, advertiserId, or floodlightConfigurationId for a non-empty result.", "type": "string", "location": "query", "repeated": true, "format": "int64" }, "searchString": { "type": "string", "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"floodlightactivity*2015\" will return objects with names like \"floodlightactivity June 2015\", \"floodlightactivity April 2015\", or simply \"floodlightactivity 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"floodlightactivity\" will match objects with name \"my floodlightactivity activity\", \"floodlightactivity 2015\", or simply \"floodlightactivity\"." }, "sortField": { "description": "Field by which to sort the list.", "default": "ID", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "location": "query", "type": "string" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "response": { "$ref": "FloodlightActivitiesListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "id": "dfareporting.floodlightActivities.list", "description": "Retrieves a list of floodlight activities, possibly filtered. This method supports paging." }, "delete": { "parameters": { "id": { "format": "int64", "location": "path", "required": true, "type": "string", "description": "Floodlight activity ID." }, "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "id": "dfareporting.floodlightActivities.delete", "description": "Deletes an existing floodlight activity.", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/{id}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "DELETE", "parameterOrder": [ "profileId", "id" ] }, "generatetag": { "response": { "$ref": "FloodlightActivitiesGenerateTagResponse" }, "description": "Generates a tag for a floodlight activity.", "parameters": { "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true }, "floodlightActivityId": { "description": "Floodlight activity ID for which we want to generate a tag.", "type": "string", "location": "query", "format": "int64" } }, "httpMethod": "POST", "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/generatetag", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities/generatetag", "id": "dfareporting.floodlightActivities.generatetag" }, "update": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "FloodlightActivity" }, "response": { "$ref": "FloodlightActivity" }, "httpMethod": "PUT", "id": "dfareporting.floodlightActivities.update", "description": "Updates an existing floodlight activity.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "type": "string", "required": true, "location": "path" } }, "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities" }, "patch": { "id": "dfareporting.floodlightActivities.patch", "httpMethod": "PATCH", "response": { "$ref": "FloodlightActivity" }, "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "type": "string", "required": true, "format": "int64", "description": "FloodlightActivity ID.", "location": "query" }, "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64" } }, "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing floodlight activity. This method supports patch semantics.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "request": { "$ref": "FloodlightActivity" } }, "insert": { "path": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "httpMethod": "POST", "request": { "$ref": "FloodlightActivity" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/floodlightActivities", "id": "dfareporting.floodlightActivities.insert", "response": { "$ref": "FloodlightActivity" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" } }, "description": "Inserts a new floodlight activity.", "parameterOrder": [ "profileId" ] } } }, "billingRates": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "billingProfileId": { "required": true, "format": "int64", "description": "Billing profile ID of this billing rate.", "location": "path", "type": "string" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true } }, "response": { "$ref": "BillingRatesListResponse" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingRates", "httpMethod": "GET", "parameterOrder": [ "profileId", "billingProfileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/billingProfiles/{billingProfileId}/billingRates", "description": "Retrieves a list of billing rates. This method supports paging.", "id": "dfareporting.billingRates.list" } } }, "orderDocuments": { "methods": { "list": { "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orderDocuments", "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orderDocuments", "id": "dfareporting.orderDocuments.list", "response": { "$ref": "OrderDocumentsListResponse" }, "parameterOrder": [ "profileId", "projectId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "searchString": { "type": "string", "location": "query", "description": "Allows searching for order documents by name or ID. Wildcards (*) are allowed. For example, \"orderdocument*2015\" will return order documents with names like \"orderdocument June 2015\", \"orderdocument April 2015\", or simply \"orderdocument 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"orderdocument\" will match order documents with name \"my orderdocument\", \"orderdocument 2015\", or simply \"orderdocument\"." }, "sortField": { "location": "query", "type": "string", "description": "Field by which to sort the list.", "default": "ID", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ] }, "projectId": { "location": "path", "required": true, "format": "int64", "description": "Project ID for order documents.", "type": "string" }, "orderId": { "repeated": true, "description": "Select only order documents for specified orders.", "location": "query", "format": "int64", "type": "string" }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "maxResults": { "location": "query", "default": "1000", "type": "integer", "minimum": "0", "format": "int32", "description": "Maximum number of results to return.", "maximum": "1000" }, "siteId": { "repeated": true, "location": "query", "format": "int64", "description": "Select only order documents that are associated with these sites.", "type": "string" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "default": "ASCENDING", "location": "query", "enumDescriptions": [ "", "" ], "description": "Order of sorted results." }, "approved": { "type": "boolean", "location": "query", "description": "Select only order documents that have been approved by at least one user." }, "ids": { "format": "int64", "location": "query", "type": "string", "repeated": true, "description": "Select only order documents with these IDs." }, "profileId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "description": "Retrieves a list of order documents, possibly filtered. This method supports paging.", "httpMethod": "GET" }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId", "projectId", "id" ], "httpMethod": "GET", "response": { "$ref": "OrderDocument" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orderDocuments/{id}", "path": "dfareporting/v4/userprofiles/{profileId}/projects/{projectId}/orderDocuments/{id}", "description": "Gets one order document by ID.", "parameters": { "projectId": { "type": "string", "required": true, "description": "Project ID for order documents.", "format": "int64", "location": "path" }, "id": { "description": "Order document ID.", "type": "string", "format": "int64", "required": true, "location": "path" }, "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "required": true } }, "id": "dfareporting.orderDocuments.get" } } }, "metros": { "methods": { "list": { "id": "dfareporting.metros.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." } }, "description": "Retrieves a list of metros.", "httpMethod": "GET", "path": "dfareporting/v4/userprofiles/{profileId}/metros", "response": { "$ref": "MetrosListResponse" }, "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/metros" } } }, "dynamicTargetingKeys": { "methods": { "insert": { "parameterOrder": [ "profileId" ], "request": { "$ref": "DynamicTargetingKey" }, "id": "dfareporting.dynamicTargetingKeys.insert", "parameters": { "profileId": { "required": true, "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "path": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys", "description": "Inserts a new dynamic targeting key. Keys must be created at the advertiser level before being assigned to the advertiser's ads, creatives, or placements. There is a maximum of 1000 keys per advertiser, out of which a maximum of 20 keys can be assigned per ad, creative, or placement.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys", "httpMethod": "POST", "response": { "$ref": "DynamicTargetingKey" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "id": "dfareporting.dynamicTargetingKeys.list", "parameters": { "advertiserId": { "location": "query", "description": "Select only dynamic targeting keys whose object has this advertiser ID.", "format": "int64", "type": "string" }, "profileId": { "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path", "format": "int64" }, "objectId": { "description": "Select only dynamic targeting keys with this object ID.", "location": "query", "format": "int64", "type": "string" }, "names": { "repeated": true, "description": "Select only dynamic targeting keys exactly matching these names.", "type": "string", "location": "query" }, "objectType": { "location": "query", "description": "Select only dynamic targeting keys with this object type.", "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] } }, "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys", "description": "Retrieves a list of dynamic targeting keys.", "response": { "$ref": "DynamicTargetingKeysListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "delete": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys/{objectId}", "id": "dfareporting.dynamicTargetingKeys.delete", "parameters": { "profileId": { "location": "path", "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64" }, "objectId": { "format": "int64", "type": "string", "required": true, "description": "ID of the object of this dynamic targeting key. This is a required field.", "location": "path" }, "objectType": { "required": true, "description": "Type of the object of this dynamic targeting key. This is a required field.", "enumDescriptions": [ "", "", "", "" ], "location": "query", "type": "string", "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ] }, "name": { "description": "Name of this dynamic targeting key. This is a required field. Must be less than 256 characters long and cannot contain commas. All characters are converted to lowercase.", "required": true, "type": "string", "location": "query" } }, "parameterOrder": [ "profileId", "objectId", "name", "objectType" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "DELETE", "path": "dfareporting/v4/userprofiles/{profileId}/dynamicTargetingKeys/{objectId}", "description": "Deletes an existing dynamic targeting key." } } }, "advertiserInvoices": { "methods": { "list": { "parameters": { "issueMonth": { "location": "query", "description": "Month for which invoices are needed in the format YYYYMM. Required field", "type": "string" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "type": "string", "required": true, "location": "path" }, "advertiserId": { "format": "int64", "type": "string", "required": true, "description": "Advertiser ID of this invoice.", "location": "path" }, "maxResults": { "location": "query", "default": "1000", "description": "Maximum number of results to return.", "minimum": "0", "format": "int32", "maximum": "1000", "type": "integer" } }, "description": "Retrieves a list of invoices for a particular issue month. The api only works if the billing profile invoice level is set to either advertiser or campaign non-consolidated invoice level.", "parameterOrder": [ "profileId", "advertiserId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.advertiserInvoices.list", "response": { "$ref": "AdvertiserInvoicesListResponse" }, "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers/{advertiserId}/invoices", "path": "dfareporting/v4/userprofiles/{profileId}/advertisers/{advertiserId}/invoices" } } }, "videoFormats": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" }, "id": { "description": "Video format ID.", "type": "integer", "location": "path", "required": true, "format": "int32" } }, "response": { "$ref": "VideoFormat" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/videoFormats/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one video format by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/videoFormats/{id}", "httpMethod": "GET", "id": "dfareporting.videoFormats.get" }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.videoFormats.list", "path": "dfareporting/v4/userprofiles/{profileId}/videoFormats", "parameterOrder": [ "profileId" ], "description": "Lists available video formats.", "response": { "$ref": "VideoFormatsListResponse" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/videoFormats", "parameters": { "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64", "location": "path" } }, "httpMethod": "GET" } } }, "accountPermissionGroups": { "methods": { "list": { "id": "dfareporting.accountPermissionGroups.list", "description": "Retrieves the list of account permission groups.", "path": "dfareporting/v4/userprofiles/{profileId}/accountPermissionGroups", "response": { "$ref": "AccountPermissionGroupsListResponse" }, "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountPermissionGroups", "httpMethod": "GET", "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "location": "path", "type": "string", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "parameters": { "profileId": { "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "required": true }, "id": { "type": "string", "description": "Account permission group ID.", "required": true, "location": "path", "format": "int64" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountPermissionGroups/{id}", "path": "dfareporting/v4/userprofiles/{profileId}/accountPermissionGroups/{id}", "httpMethod": "GET", "response": { "$ref": "AccountPermissionGroup" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one account permission group by ID.", "id": "dfareporting.accountPermissionGroups.get", "parameterOrder": [ "profileId", "id" ] } } }, "placements": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "PlacementsListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/placements", "httpMethod": "GET", "parameters": { "minStartDate": { "type": "string", "description": "Select only placements or placement groups whose start date is on or after the specified minStartDate. The date should be formatted as \"yyyy-MM-dd\".", "location": "query" }, "sortField": { "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "default": "ID", "description": "Field by which to sort the list.", "location": "query", "type": "string" }, "directorySiteIds": { "repeated": true, "location": "query", "type": "string", "format": "int64", "description": "Select only placements that are associated with these directory sites." }, "ids": { "format": "int64", "type": "string", "description": "Select only placements with these IDs.", "repeated": true, "location": "query" }, "siteIds": { "location": "query", "type": "string", "format": "int64", "repeated": true, "description": "Select only placements that are associated with these sites." }, "placementStrategyIds": { "type": "string", "repeated": true, "description": "Select only placements that are associated with these placement strategies.", "format": "int64", "location": "query" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "", "" ], "location": "query", "default": "ASCENDING", "description": "Order of sorted results." }, "advertiserIds": { "type": "string", "format": "int64", "description": "Select only placements that belong to these advertisers.", "location": "query", "repeated": true }, "maxEndDate": { "description": "Select only placements or placement groups whose end date is on or before the specified maxEndDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string", "location": "query" }, "minEndDate": { "description": "Select only placements or placement groups whose end date is on or after the specified minEndDate. The date should be formatted as \"yyyy-MM-dd\".", "location": "query", "type": "string" }, "searchString": { "location": "query", "description": "Allows searching for placements by name or ID. Wildcards (*) are allowed. For example, \"placement*2015\" will return placements with names like \"placement June 2015\", \"placement May 2015\", or simply \"placements 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placement\" will match placements with name \"my placement\", \"placement 2015\", or simply \"placement\" .", "type": "string" }, "pricingTypes": { "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "location": "query", "type": "string", "repeated": true, "description": "Select only placements with these pricing types." }, "activeStatus": { "type": "string", "repeated": true, "enum": [ "PLACEMENT_STATUS_UNKNOWN", "PLACEMENT_STATUS_ACTIVE", "PLACEMENT_STATUS_INACTIVE", "PLACEMENT_STATUS_ARCHIVED", "PLACEMENT_STATUS_PERMANENTLY_ARCHIVED" ], "enumDescriptions": [ "", "", "", "", "" ], "location": "query", "description": "Select only placements with these active statuses." }, "maxResults": { "type": "integer", "maximum": "1000", "description": "Maximum number of results to return.", "default": "1000", "location": "query", "format": "int32", "minimum": "0" }, "campaignIds": { "repeated": true, "format": "int64", "location": "query", "type": "string", "description": "Select only placements that belong to these campaigns." }, "compatibilities": { "enumDescriptions": [ "", "", "", "", "", "" ], "location": "query", "repeated": true, "description": "Select only placements that are associated with these compatibilities. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard.", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "type": "string" }, "contentCategoryIds": { "description": "Select only placements that are associated with these content categories.", "type": "string", "location": "query", "repeated": true, "format": "int64" }, "sizeIds": { "description": "Select only placements that are associated with these sizes.", "location": "query", "format": "int64", "repeated": true, "type": "string" }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string" }, "groupIds": { "location": "query", "type": "string", "format": "int64", "repeated": true, "description": "Select only placements that belong to these placement groups." }, "paymentSource": { "location": "query", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLACEMENT_AGENCY_PAID", "PLACEMENT_PUBLISHER_PAID" ], "description": "Select only placements with this payment source." }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "type": "string", "location": "query" }, "maxStartDate": { "location": "query", "description": "Select only placements or placement groups whose start date is on or before the specified maxStartDate. The date should be formatted as \"yyyy-MM-dd\".", "type": "string" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements", "id": "dfareporting.placements.list", "description": "Retrieves a list of placements, possibly filtered. This method supports paging.", "parameterOrder": [ "profileId" ] }, "generatetags": { "parameterOrder": [ "profileId" ], "description": "Generates tags for a placement.", "response": { "$ref": "PlacementsGenerateTagsResponse" }, "parameters": { "placementIds": { "location": "query", "repeated": true, "description": "Generate tags for these placements.", "format": "int64", "type": "string" }, "profileId": { "type": "string", "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "required": true }, "tagFormats": { "repeated": true, "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ], "location": "query", "type": "string", "description": "Tag formats to generate for these placements. *Note:* PLACEMENT_TAG_STANDARD can only be generated for 1x1 placements.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "campaignId": { "location": "query", "type": "string", "format": "int64", "description": "Generate placements belonging to this campaign. This is a required field." } }, "id": "dfareporting.placements.generatetags", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements/generatetags", "path": "dfareporting/v4/userprofiles/{profileId}/placements/generatetags", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "update": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Placement" }, "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true } }, "id": "dfareporting.placements.update", "parameterOrder": [ "profileId" ], "description": "Updates an existing placement.", "request": { "$ref": "Placement" }, "path": "dfareporting/v4/userprofiles/{profileId}/placements" }, "get": { "httpMethod": "GET", "response": { "$ref": "Placement" }, "path": "dfareporting/v4/userprofiles/{profileId}/placements/{id}", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.placements.get", "parameters": { "id": { "description": "Placement ID.", "location": "path", "format": "int64", "required": true, "type": "string" }, "profileId": { "format": "int64", "description": "User profile ID associated with this request.", "location": "path", "type": "string", "required": true } }, "description": "Gets one placement by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "insert": { "request": { "$ref": "Placement" }, "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Inserts a new placement.", "id": "dfareporting.placements.insert", "response": { "$ref": "Placement" }, "path": "dfareporting/v4/userprofiles/{profileId}/placements", "parameterOrder": [ "profileId" ] }, "patch": { "parameters": { "id": { "description": "Placement ID.", "required": true, "location": "query", "type": "string", "format": "int64" }, "profileId": { "format": "int64", "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request." } }, "parameterOrder": [ "profileId", "id" ], "request": { "$ref": "Placement" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placements", "description": "Updates an existing placement. This method supports patch semantics.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "Placement" }, "id": "dfareporting.placements.patch", "path": "dfareporting/v4/userprofiles/{profileId}/placements", "httpMethod": "PATCH" } } }, "placementStrategies": { "methods": { "insert": { "description": "Inserts a new placement strategy.", "request": { "$ref": "PlacementStrategy" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "response": { "$ref": "PlacementStrategy" }, "parameters": { "profileId": { "required": true, "format": "int64", "location": "path", "description": "User profile ID associated with this request.", "type": "string" } }, "httpMethod": "POST", "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "parameterOrder": [ "profileId" ], "id": "dfareporting.placementStrategies.insert", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "delete": { "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies/{id}", "parameters": { "id": { "description": "Placement strategy ID.", "location": "path", "required": true, "type": "string", "format": "int64" }, "profileId": { "format": "int64", "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request." } }, "httpMethod": "DELETE", "id": "dfareporting.placementStrategies.delete", "parameterOrder": [ "profileId", "id" ], "description": "Deletes an existing placement strategy.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "ids": { "location": "query", "format": "int64", "description": "Select only placement strategies with these IDs.", "type": "string", "repeated": true }, "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "type": "string" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"placementstrategy*2015\" will return objects with names like \"placementstrategy June 2015\", \"placementstrategy April 2015\", or simply \"placementstrategy 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"placementstrategy\" will match objects with name \"my placementstrategy\", \"placementstrategy 2015\", or simply \"placementstrategy\"." }, "sortOrder": { "description": "Order of sorted results.", "default": "ASCENDING", "enumDescriptions": [ "", "" ], "location": "query", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ] }, "sortField": { "type": "string", "default": "ID", "enumDescriptions": [ "", "" ], "location": "query", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "maxResults": { "description": "Maximum number of results to return.", "minimum": "0", "default": "1000", "format": "int32", "maximum": "1000", "location": "query", "type": "integer" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "parameterOrder": [ "profileId" ], "response": { "$ref": "PlacementStrategiesListResponse" }, "description": "Retrieves a list of placement strategies, possibly filtered. This method supports paging.", "httpMethod": "GET", "id": "dfareporting.placementStrategies.list" }, "update": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PUT", "response": { "$ref": "PlacementStrategy" }, "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "format": "int64", "type": "string", "location": "path", "required": true, "description": "User profile ID associated with this request." } }, "description": "Updates an existing placement strategy.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "id": "dfareporting.placementStrategies.update", "request": { "$ref": "PlacementStrategy" } }, "get": { "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "PlacementStrategy" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies/{id}", "description": "Gets one placement strategy by ID.", "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies/{id}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.placementStrategies.get", "parameters": { "id": { "format": "int64", "type": "string", "description": "Placement strategy ID.", "required": true, "location": "path" }, "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "type": "string" } } }, "patch": { "httpMethod": "PATCH", "path": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string" }, "id": { "location": "query", "type": "string", "format": "int64", "required": true, "description": "PlacementStrategy ID." } }, "id": "dfareporting.placementStrategies.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "PlacementStrategy" }, "description": "Updates an existing placement strategy. This method supports patch semantics.", "request": { "$ref": "PlacementStrategy" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/placementStrategies", "parameterOrder": [ "profileId", "id" ] } } }, "contentCategories": { "methods": { "patch": { "request": { "$ref": "ContentCategory" }, "httpMethod": "PATCH", "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "response": { "$ref": "ContentCategory" }, "parameters": { "id": { "format": "int64", "location": "query", "description": "ContentCategory ID.", "type": "string", "required": true }, "profileId": { "format": "int64", "required": true, "type": "string", "location": "path", "description": "User profile ID associated with this request." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing content category. This method supports patch semantics.", "id": "dfareporting.contentCategories.patch" }, "insert": { "request": { "$ref": "ContentCategory" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "description": "Inserts a new content category.", "httpMethod": "POST", "response": { "$ref": "ContentCategory" }, "parameters": { "profileId": { "location": "path", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "type": "string" } }, "id": "dfareporting.contentCategories.insert" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories/{id}", "description": "Gets one content category by ID.", "parameterOrder": [ "profileId", "id" ], "parameters": { "id": { "required": true, "location": "path", "description": "Content category ID.", "format": "int64", "type": "string" }, "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories/{id}", "response": { "$ref": "ContentCategory" }, "id": "dfareporting.contentCategories.get" }, "update": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "description": "Updates an existing content category.", "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "id": "dfareporting.contentCategories.update", "response": { "$ref": "ContentCategory" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "ContentCategory" } }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories/{id}", "parameters": { "id": { "format": "int64", "description": "Content category ID.", "location": "path", "required": true, "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "type": "string", "required": true } }, "description": "Deletes an existing content category.", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.contentCategories.delete", "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories/{id}" }, "list": { "id": "dfareporting.contentCategories.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "ContentCategoriesListResponse" }, "description": "Retrieves a list of content categories, possibly filtered. This method supports paging.", "parameters": { "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "maxResults": { "format": "int32", "location": "query", "maximum": "1000", "default": "1000", "type": "integer", "description": "Maximum number of results to return.", "minimum": "0" }, "searchString": { "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"contentcategory*2015\" will return objects with names like \"contentcategory June 2015\", \"contentcategory April 2015\", or simply \"contentcategory 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"contentcategory\" will match objects with name \"my contentcategory\", \"contentcategory 2015\", or simply \"contentcategory\".", "location": "query" }, "sortField": { "type": "string", "default": "ID", "enumDescriptions": [ "", "" ], "location": "query", "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list." }, "sortOrder": { "default": "ASCENDING", "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "type": "string", "description": "Order of sorted results." }, "ids": { "location": "query", "repeated": true, "format": "int64", "description": "Select only content categories with these IDs.", "type": "string" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "required": true, "format": "int64", "type": "string" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "path": "dfareporting/v4/userprofiles/{profileId}/contentCategories", "parameterOrder": [ "profileId" ] } } }, "creativeAssets": { "methods": { "insert": { "httpMethod": "POST", "response": { "$ref": "CreativeAssetMetadata" }, "supportsMediaUpload": true, "description": "Inserts a new creative asset.", "mediaUpload": { "protocols": { "simple": { "path": "/upload/dfareporting/v4/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets", "multipart": true } }, "maxSize": "1073741824", "accept": [ "*/*" ] }, "id": "dfareporting.creativeAssets.insert", "path": "dfareporting/v4/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "request": { "$ref": "CreativeAssetMetadata" }, "parameters": { "profileId": { "description": "User profile ID associated with this request.", "type": "string", "location": "path", "required": true, "format": "int64" }, "advertiserId": { "location": "path", "description": "Advertiser ID of this creative. This is a required field.", "type": "string", "format": "int64", "required": true } }, "parameterOrder": [ "profileId", "advertiserId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/creativeAssets/{advertiserId}/creativeAssets" } } }, "advertiserLandingPages": { "methods": { "patch": { "request": { "$ref": "LandingPage" }, "path": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.advertiserLandingPages.patch", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true, "type": "string" }, "id": { "required": true, "type": "string", "format": "int64", "location": "query", "description": "LandingPage ID." } }, "description": "Updates an existing advertiser landing page. This method supports patch semantics.", "response": { "$ref": "LandingPage" }, "httpMethod": "PATCH" }, "update": { "id": "dfareporting.advertiserLandingPages.update", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "request": { "$ref": "LandingPage" }, "httpMethod": "PUT", "response": { "$ref": "LandingPage" }, "parameters": { "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "location": "path" } }, "path": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing landing page." }, "insert": { "id": "dfareporting.advertiserLandingPages.insert", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "response": { "$ref": "LandingPage" }, "description": "Inserts a new landing page.", "request": { "$ref": "LandingPage" }, "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "path": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "description": "Retrieves a list of landing pages.", "response": { "$ref": "AdvertiserLandingPagesListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages", "id": "dfareporting.advertiserLandingPages.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "subaccountId": { "location": "query", "description": "Select only landing pages that belong to this subaccount.", "type": "string", "format": "int64" }, "sortField": { "enum": [ "ID", "NAME" ], "location": "query", "enumDescriptions": [ "", "" ], "default": "ID", "description": "Field by which to sort the list.", "type": "string" }, "sortOrder": { "enumDescriptions": [ "", "" ], "enum": [ "ASCENDING", "DESCENDING" ], "default": "ASCENDING", "location": "query", "description": "Order of sorted results.", "type": "string" }, "profileId": { "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64", "location": "path" }, "searchString": { "location": "query", "description": "Allows searching for landing pages by name or ID. Wildcards (*) are allowed. For example, \"landingpage*2017\" will return landing pages with names like \"landingpage July 2017\", \"landingpage March 2017\", or simply \"landingpage 2017\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"landingpage\" will match campaigns with name \"my landingpage\", \"landingpage 2015\", or simply \"landingpage\".", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Value of the nextPageToken from the previous result page." }, "campaignIds": { "location": "query", "description": "Select only landing pages that are associated with these campaigns.", "format": "int64", "repeated": true, "type": "string" }, "advertiserIds": { "description": "Select only landing pages that belong to these advertisers.", "location": "query", "type": "string", "format": "int64", "repeated": true }, "archived": { "description": "Select only archived landing pages. Don't set this field to select both archived and non-archived landing pages.", "location": "query", "type": "boolean" }, "maxResults": { "default": "1000", "location": "query", "format": "int32", "description": "Maximum number of results to return.", "minimum": "0", "maximum": "1000", "type": "integer" }, "ids": { "type": "string", "format": "int64", "description": "Select only landing pages with these IDs.", "repeated": true, "location": "query" } }, "httpMethod": "GET" }, "get": { "response": { "$ref": "LandingPage" }, "id": "dfareporting.advertiserLandingPages.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages/{id}", "description": "Gets one landing page by ID.", "httpMethod": "GET", "parameterOrder": [ "profileId", "id" ], "path": "dfareporting/v4/userprofiles/{profileId}/advertiserLandingPages/{id}", "parameters": { "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64" }, "id": { "type": "string", "format": "int64", "description": "Landing page ID.", "required": true, "location": "path" } } } } }, "ads": { "methods": { "patch": { "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing ad. This method supports patch semantics.", "parameters": { "id": { "type": "string", "location": "query", "format": "int64", "description": "Ad ID.", "required": true }, "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "response": { "$ref": "Ad" }, "path": "dfareporting/v4/userprofiles/{profileId}/ads", "request": { "$ref": "Ad" }, "httpMethod": "PATCH", "id": "dfareporting.ads.patch", "flatPath": "dfareporting/v4/userprofiles/{profileId}/ads" }, "get": { "path": "dfareporting/v4/userprofiles/{profileId}/ads/{id}", "response": { "$ref": "Ad" }, "description": "Gets one ad by ID.", "parameters": { "id": { "location": "path", "description": "Ad ID.", "format": "int64", "required": true, "type": "string" }, "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "id": "dfareporting.ads.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/ads/{id}", "parameterOrder": [ "profileId", "id" ], "httpMethod": "GET" }, "list": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/ads", "parameterOrder": [ "profileId" ], "httpMethod": "GET", "response": { "$ref": "AdsListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/ads", "description": "Retrieves a list of ads, possibly filtered. This method supports paging.", "id": "dfareporting.ads.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "archived": { "description": "Select only archived ads.", "location": "query", "type": "boolean" }, "compatibility": { "description": "Select default ads with the specified compatibility. Applicable when type is AD_SERVING_DEFAULT_AD. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering an in-stream video ads developed with the VAST standard.", "location": "query", "type": "string", "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ] }, "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"ad*2015\" will return objects with names like \"ad June 2015\", \"ad April 2015\", or simply \"ad 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"ad\" will match objects with name \"my ad\", \"ad 2015\", or simply \"ad\".", "type": "string" }, "sizeIds": { "location": "query", "type": "string", "format": "int64", "description": "Select only ads with these size IDs.", "repeated": true }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "default": "ASCENDING", "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results." }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "creativeOptimizationConfigurationIds": { "format": "int64", "description": "Select only ads with these creative optimization configuration IDs.", "type": "string", "location": "query", "repeated": true }, "remarketingListIds": { "description": "Select only ads whose list targeting expression use these remarketing list IDs.", "location": "query", "format": "int64", "type": "string", "repeated": true }, "advertiserId": { "type": "string", "location": "query", "format": "int64", "description": "Select only ads with this advertiser ID." }, "sslCompliant": { "description": "Select only ads that are SSL-compliant.", "location": "query", "type": "boolean" }, "active": { "type": "boolean", "description": "Select only active ads.", "location": "query" }, "campaignIds": { "location": "query", "description": "Select only ads with these campaign IDs.", "format": "int64", "repeated": true, "type": "string" }, "landingPageIds": { "location": "query", "type": "string", "repeated": true, "format": "int64", "description": "Select only ads with these landing page IDs." }, "sslRequired": { "type": "boolean", "description": "Select only ads that require SSL.", "location": "query" }, "creativeIds": { "repeated": true, "type": "string", "description": "Select only ads with these creative IDs assigned.", "location": "query", "format": "int64" }, "profileId": { "location": "path", "required": true, "type": "string", "description": "User profile ID associated with this request.", "format": "int64" }, "audienceSegmentIds": { "format": "int64", "location": "query", "type": "string", "description": "Select only ads with these audience segment IDs.", "repeated": true }, "dynamicClickTracker": { "location": "query", "type": "boolean", "description": "Select only dynamic click trackers. Applicable when type is AD_SERVING_CLICK_TRACKER. If true, select dynamic click trackers. If false, select static click trackers. Leave unset to select both." }, "placementIds": { "format": "int64", "type": "string", "repeated": true, "location": "query", "description": "Select only ads with these placement IDs assigned." }, "type": { "type": "string", "description": "Select only ads with these types.", "location": "query", "enum": [ "AD_SERVING_STANDARD_AD", "AD_SERVING_DEFAULT_AD", "AD_SERVING_CLICK_TRACKER", "AD_SERVING_TRACKING", "AD_SERVING_BRAND_SAFE_AD" ], "enumDescriptions": [ "", "", "", "", "" ], "repeated": true }, "ids": { "location": "query", "format": "int64", "type": "string", "description": "Select only ads with these IDs.", "repeated": true }, "overriddenEventTagId": { "description": "Select only ads with this event tag override ID.", "format": "int64", "location": "query", "type": "string" }, "maxResults": { "maximum": "1000", "minimum": "0", "type": "integer", "description": "Maximum number of results to return.", "format": "int32", "default": "1000", "location": "query" }, "sortField": { "default": "ID", "description": "Field by which to sort the list.", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "location": "query", "type": "string" } } }, "insert": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/ads", "description": "Inserts a new ad.", "response": { "$ref": "Ad" }, "request": { "$ref": "Ad" }, "httpMethod": "POST", "parameterOrder": [ "profileId" ], "id": "dfareporting.ads.insert", "parameters": { "profileId": { "location": "path", "description": "User profile ID associated with this request.", "required": true, "type": "string", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/ads" }, "update": { "id": "dfareporting.ads.update", "description": "Updates an existing ad.", "request": { "$ref": "Ad" }, "parameters": { "profileId": { "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/ads", "httpMethod": "PUT", "path": "dfareporting/v4/userprofiles/{profileId}/ads", "response": { "$ref": "Ad" }, "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] } } }, "userRoles": { "methods": { "update": { "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/userRoles", "id": "dfareporting.userRoles.update", "httpMethod": "PUT", "parameterOrder": [ "profileId" ], "description": "Updates an existing user role.", "request": { "$ref": "UserRole" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles", "response": { "$ref": "UserRole" } }, "patch": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles", "description": "Updates an existing user role. This method supports patch semantics.", "response": { "$ref": "UserRole" }, "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.userRoles.patch", "request": { "$ref": "UserRole" }, "httpMethod": "PATCH", "parameters": { "id": { "required": true, "description": "UserRole ID.", "format": "int64", "location": "query", "type": "string" }, "profileId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "User profile ID associated with this request." } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/userRoles" }, "insert": { "parameters": { "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "required": true, "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "UserRole" }, "request": { "$ref": "UserRole" }, "description": "Inserts a new user role.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles", "parameterOrder": [ "profileId" ], "httpMethod": "POST", "path": "dfareporting/v4/userprofiles/{profileId}/userRoles", "id": "dfareporting.userRoles.insert" }, "delete": { "path": "dfareporting/v4/userprofiles/{profileId}/userRoles/{id}", "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.userRoles.delete", "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles/{id}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Deletes an existing user role.", "parameters": { "id": { "format": "int64", "description": "User role ID.", "type": "string", "required": true, "location": "path" }, "profileId": { "format": "int64", "type": "string", "description": "User profile ID associated with this request.", "required": true, "location": "path" } } }, "get": { "parameterOrder": [ "profileId", "id" ], "description": "Gets one user role by ID.", "response": { "$ref": "UserRole" }, "parameters": { "id": { "description": "User role ID.", "type": "string", "location": "path", "format": "int64", "required": true }, "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "format": "int64", "required": true } }, "id": "dfareporting.userRoles.get", "path": "dfareporting/v4/userprofiles/{profileId}/userRoles/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles/{id}" }, "list": { "path": "dfareporting/v4/userprofiles/{profileId}/userRoles", "parameters": { "accountUserRoleOnly": { "description": "Select only account level user roles not associated with any specific subaccount.", "location": "query", "type": "boolean" }, "subaccountId": { "format": "int64", "type": "string", "description": "Select only user roles that belong to this subaccount.", "location": "query" }, "ids": { "repeated": true, "location": "query", "description": "Select only user roles with the specified IDs.", "type": "string", "format": "int64" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "profileId": { "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "required": true }, "sortOrder": { "location": "query", "default": "ASCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Order of sorted results." }, "maxResults": { "type": "integer", "description": "Maximum number of results to return.", "default": "1000", "minimum": "0", "location": "query", "format": "int32", "maximum": "1000" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"userrole*2015\" will return objects with names like \"userrole June 2015\", \"userrole April 2015\", or simply \"userrole 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"userrole\" will match objects with name \"my userrole\", \"userrole 2015\", or simply \"userrole\"." }, "sortField": { "location": "query", "enumDescriptions": [ "", "" ], "enum": [ "ID", "NAME" ], "default": "ID", "type": "string", "description": "Field by which to sort the list." } }, "description": "Retrieves a list of user roles, possibly filtered. This method supports paging.", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/userRoles", "id": "dfareporting.userRoles.list", "response": { "$ref": "UserRolesListResponse" }, "httpMethod": "GET" } } }, "dimensionValues": { "methods": { "query": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "response": { "$ref": "DimensionValueList" }, "path": "dfareporting/v4/userprofiles/{profileId}/dimensionvalues/query", "request": { "$ref": "DimensionValueRequest" }, "httpMethod": "POST", "flatPath": "dfareporting/v4/userprofiles/{profileId}/dimensionvalues/query", "id": "dfareporting.dimensionValues.query", "parameters": { "pageToken": { "type": "string", "description": "The value of the nextToken from the previous result page.", "location": "query" }, "profileId": { "location": "path", "description": "The Campaign Manager 360 user profile ID.", "type": "string", "required": true, "format": "int64" }, "maxResults": { "format": "int32", "description": "Maximum number of results to return.", "minimum": "0", "maximum": "100", "type": "integer", "location": "query", "default": "100" } }, "description": "Retrieves list of report dimension values for a list of filters.", "parameterOrder": [ "profileId" ] } } }, "changeLogs": { "methods": { "get": { "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.changeLogs.get", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "GET", "response": { "$ref": "ChangeLog" }, "description": "Gets one change log by ID.", "parameters": { "id": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "Change log ID." }, "profileId": { "required": true, "type": "string", "description": "User profile ID associated with this request.", "location": "path", "format": "int64" } }, "path": "dfareporting/v4/userprofiles/{profileId}/changeLogs/{id}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/changeLogs/{id}" }, "list": { "httpMethod": "GET", "response": { "$ref": "ChangeLogsListResponse" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/changeLogs", "parameterOrder": [ "profileId" ], "description": "Retrieves a list of change logs. This method supports paging.", "id": "dfareporting.changeLogs.list", "parameters": { "searchString": { "type": "string", "description": "Select only change logs whose object ID, user name, old or new values match the search string.", "location": "query" }, "ids": { "type": "string", "location": "query", "description": "Select only change logs with these IDs.", "format": "int64", "repeated": true }, "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "maxChangeTime": { "location": "query", "type": "string", "description": "Select only change logs whose change time is before the specified maxChangeTime.The time should be formatted as an RFC3339 date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is \"2015-07-18T22:54:00-04:00\". In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset." }, "userProfileIds": { "type": "string", "format": "int64", "repeated": true, "location": "query", "description": "Select only change logs with these user profile IDs." }, "minChangeTime": { "description": "Select only change logs whose change time is after the specified minChangeTime.The time should be formatted as an RFC3339 date/time string. For example, for 10:54 PM on July 18th, 2015, in the America/New York time zone, the format is \"2015-07-18T22:54:00-04:00\". In other words, the year, month, day, the letter T, the hour (24-hour clock system), minute, second, and then the time zone offset.", "location": "query", "type": "string" }, "objectType": { "enum": [ "OBJECT_ADVERTISER", "OBJECT_FLOODLIGHT_CONFIGURATION", "OBJECT_AD", "OBJECT_FLOODLIGHT_ACTVITY", "OBJECT_CAMPAIGN", "OBJECT_FLOODLIGHT_ACTIVITY_GROUP", "OBJECT_CREATIVE", "OBJECT_PLACEMENT", "OBJECT_DFA_SITE", "OBJECT_USER_ROLE", "OBJECT_USER_PROFILE", "OBJECT_ADVERTISER_GROUP", "OBJECT_ACCOUNT", "OBJECT_SUBACCOUNT", "OBJECT_RICHMEDIA_CREATIVE", "OBJECT_INSTREAM_CREATIVE", "OBJECT_MEDIA_ORDER", "OBJECT_CONTENT_CATEGORY", "OBJECT_PLACEMENT_STRATEGY", "OBJECT_SD_SITE", "OBJECT_SIZE", "OBJECT_CREATIVE_GROUP", "OBJECT_CREATIVE_ASSET", "OBJECT_USER_PROFILE_FILTER", "OBJECT_LANDING_PAGE", "OBJECT_CREATIVE_FIELD", "OBJECT_REMARKETING_LIST", "OBJECT_PROVIDED_LIST_CLIENT", "OBJECT_EVENT_TAG", "OBJECT_CREATIVE_BUNDLE", "OBJECT_BILLING_ACCOUNT_GROUP", "OBJECT_BILLING_FEATURE", "OBJECT_RATE_CARD", "OBJECT_ACCOUNT_BILLING_FEATURE", "OBJECT_BILLING_MINIMUM_FEE", "OBJECT_BILLING_PROFILE", "OBJECT_PLAYSTORE_LINK", "OBJECT_TARGETING_TEMPLATE", "OBJECT_SEARCH_LIFT_STUDY", "OBJECT_FLOODLIGHT_DV360_LINK", "OBJECT_ADVERTISER_CUSTOMER_LINK" ], "location": "query", "type": "string", "description": "Select only change logs with the specified object type.", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "maxResults": { "type": "integer", "location": "query", "maximum": "1000", "format": "int32", "minimum": "0", "description": "Maximum number of results to return.", "default": "1000" }, "action": { "type": "string", "description": "Select only change logs with the specified action.", "location": "query", "enum": [ "ACTION_CREATE", "ACTION_UPDATE", "ACTION_DELETE", "ACTION_ENABLE", "ACTION_DISABLE", "ACTION_ADD", "ACTION_REMOVE", "ACTION_MARK_AS_DEFAULT", "ACTION_ASSOCIATE", "ACTION_ASSIGN", "ACTION_UNASSIGN", "ACTION_SEND", "ACTION_LINK", "ACTION_UNLINK", "ACTION_PUSH", "ACTION_EMAIL_TAGS", "ACTION_SHARE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "objectIds": { "description": "Select only change logs with these object IDs.", "format": "int64", "type": "string", "repeated": true, "location": "query" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/changeLogs" } } }, "reports": { "resources": { "files": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The value of the nextToken from the previous result page." }, "sortField": { "default": "LAST_MODIFIED_TIME", "enumDescriptions": [ "", "" ], "type": "string", "description": "The field by which to sort the list.", "location": "query", "enum": [ "ID", "LAST_MODIFIED_TIME" ] }, "profileId": { "required": true, "description": "The Campaign Manager 360 user profile ID.", "type": "string", "format": "int64", "location": "path" }, "sortOrder": { "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "description": "Order of sorted results.", "default": "DESCENDING", "enumDescriptions": [ "", "" ], "location": "query" }, "maxResults": { "type": "integer", "default": "10", "maximum": "10", "description": "Maximum number of results to return.", "format": "int32", "minimum": "0", "location": "query" }, "reportId": { "format": "int64", "description": "The ID of the parent report.", "location": "path", "required": true, "type": "string" } }, "id": "dfareporting.reports.files.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/files", "response": { "$ref": "FileList" }, "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/files", "description": "Lists files for a report.", "httpMethod": "GET", "parameterOrder": [ "profileId", "reportId" ] }, "get": { "supportsMediaDownload": true, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/files/{fileId}", "description": "Retrieves a report file by its report ID and file ID. This method supports media download.", "parameterOrder": [ "profileId", "reportId", "fileId" ], "response": { "$ref": "File" }, "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/files/{fileId}", "id": "dfareporting.reports.files.get", "parameters": { "reportId": { "location": "path", "format": "int64", "description": "The ID of the report.", "type": "string", "required": true }, "profileId": { "type": "string", "required": true, "description": "The Campaign Manager 360 user profile ID.", "location": "path", "format": "int64" }, "fileId": { "format": "int64", "required": true, "location": "path", "description": "The ID of the report file.", "type": "string" } } } } }, "compatibleFields": { "methods": { "query": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/compatiblefields/query", "response": { "$ref": "CompatibleFields" }, "httpMethod": "POST", "request": { "$ref": "Report" }, "path": "dfareporting/v4/userprofiles/{profileId}/reports/compatiblefields/query", "id": "dfareporting.reports.compatibleFields.query", "parameters": { "profileId": { "location": "path", "format": "int64", "type": "string", "required": true, "description": "The Campaign Manager 360 user profile ID." } }, "parameterOrder": [ "profileId" ], "description": "Returns the fields that are compatible to be selected in the respective sections of a report criteria, given the fields already selected in the input report and user permissions.", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ] } } } }, "methods": { "insert": { "id": "dfareporting.reports.insert", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "httpMethod": "POST", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports", "description": "Creates a report.", "parameterOrder": [ "profileId" ], "parameters": { "profileId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "The Campaign Manager 360 user profile ID." } }, "path": "dfareporting/v4/userprofiles/{profileId}/reports", "response": { "$ref": "Report" }, "request": { "$ref": "Report" } }, "update": { "httpMethod": "PUT", "id": "dfareporting.reports.update", "parameters": { "reportId": { "location": "path", "format": "int64", "description": "The ID of the report.", "type": "string", "required": true }, "profileId": { "required": true, "location": "path", "format": "int64", "type": "string", "description": "The Campaign Manager 360 user profile ID." } }, "description": "Updates a report.", "response": { "$ref": "Report" }, "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "request": { "$ref": "Report" }, "parameterOrder": [ "profileId", "reportId" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/reports", "httpMethod": "GET", "parameters": { "profileId": { "type": "string", "format": "int64", "location": "path", "required": true, "description": "The Campaign Manager 360 user profile ID." }, "maxResults": { "maximum": "10", "location": "query", "format": "int32", "default": "10", "type": "integer", "minimum": "0", "description": "Maximum number of results to return." }, "sortOrder": { "location": "query", "enumDescriptions": [ "Ascending order.", "Descending order." ], "default": "DESCENDING", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string", "description": "Order of sorted results." }, "sortField": { "location": "query", "enum": [ "ID", "LAST_MODIFIED_TIME", "NAME" ], "type": "string", "default": "LAST_MODIFIED_TIME", "enumDescriptions": [ "Sort by report ID.", "Sort by 'lastModifiedTime' field.", "Sort by name of reports." ], "description": "The field by which to sort the list." }, "pageToken": { "type": "string", "location": "query", "description": "The value of the nextToken from the previous result page." }, "scope": { "enumDescriptions": [ "All reports in account.", "My reports." ], "location": "query", "enum": [ "ALL", "MINE" ], "type": "string", "description": "The scope that defines which results are returned.", "default": "MINE" } }, "response": { "$ref": "ReportList" }, "description": "Retrieves list of reports.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports", "id": "dfareporting.reports.list" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "description": "Deletes a report by its ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "id": "dfareporting.reports.delete", "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "parameterOrder": [ "profileId", "reportId" ], "httpMethod": "DELETE", "parameters": { "reportId": { "format": "int64", "type": "string", "required": true, "location": "path", "description": "The ID of the report." }, "profileId": { "required": true, "location": "path", "type": "string", "format": "int64", "description": "The Campaign Manager 360 user profile ID." } } }, "run": { "description": "Runs a report.", "parameterOrder": [ "profileId", "reportId" ], "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "httpMethod": "POST", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/run", "response": { "$ref": "File" }, "parameters": { "synchronous": { "location": "query", "description": "If set and true, tries to run the report synchronously.", "default": "false", "type": "boolean" }, "reportId": { "location": "path", "format": "int64", "description": "The ID of the report.", "type": "string", "required": true }, "profileId": { "required": true, "description": "The Campaign Manager 360 user profile ID.", "location": "path", "format": "int64", "type": "string" } }, "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}/run", "id": "dfareporting.reports.run" }, "get": { "parameters": { "profileId": { "type": "string", "description": "The Campaign Manager 360 user profile ID.", "format": "int64", "required": true, "location": "path" }, "reportId": { "description": "The ID of the report.", "location": "path", "format": "int64", "type": "string", "required": true } }, "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "httpMethod": "GET", "description": "Retrieves a report by its ID.", "id": "dfareporting.reports.get", "parameterOrder": [ "profileId", "reportId" ], "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "response": { "$ref": "Report" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}" }, "patch": { "parameters": { "profileId": { "format": "int64", "location": "path", "description": "The DFA user profile ID.", "type": "string", "required": true }, "reportId": { "location": "path", "description": "The ID of the report.", "type": "string", "format": "int64", "required": true } }, "parameterOrder": [ "profileId", "reportId" ], "httpMethod": "PATCH", "flatPath": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "description": "Updates an existing report. This method supports patch semantics.", "path": "dfareporting/v4/userprofiles/{profileId}/reports/{reportId}", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "id": "dfareporting.reports.patch", "request": { "$ref": "Report" }, "response": { "$ref": "Report" } } } }, "accountUserProfiles": { "methods": { "update": { "httpMethod": "PUT", "id": "dfareporting.accountUserProfiles.update", "path": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "description": "Updates an existing account user profile.", "parameterOrder": [ "profileId" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "parameters": { "profileId": { "required": true, "location": "path", "description": "User profile ID associated with this request.", "type": "string", "format": "int64" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "response": { "$ref": "AccountUserProfile" }, "request": { "$ref": "AccountUserProfile" } }, "patch": { "request": { "$ref": "AccountUserProfile" }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "location": "path", "required": true, "format": "int64", "type": "string" }, "id": { "type": "string", "required": true, "location": "query", "description": "AccountUserProfile ID.", "format": "int64" } }, "id": "dfareporting.accountUserProfiles.patch", "httpMethod": "PATCH", "path": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Updates an existing account user profile. This method supports patch semantics.", "response": { "$ref": "AccountUserProfile" } }, "list": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "httpMethod": "GET", "parameterOrder": [ "profileId" ], "response": { "$ref": "AccountUserProfilesListResponse" }, "id": "dfareporting.accountUserProfiles.list", "path": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "description": "Retrieves a list of account user profiles, possibly filtered. This method supports paging.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "maxResults": { "minimum": "0", "default": "1000", "location": "query", "format": "int32", "description": "Maximum number of results to return.", "type": "integer", "maximum": "1000" }, "pageToken": { "type": "string", "description": "Value of the nextPageToken from the previous result page.", "location": "query" }, "userRoleId": { "location": "query", "format": "int64", "description": "Select only user profiles with the specified user role ID.", "type": "string" }, "sortOrder": { "location": "query", "description": "Order of sorted results.", "default": "ASCENDING", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "sortField": { "enum": [ "ID", "NAME" ], "description": "Field by which to sort the list.", "location": "query", "type": "string", "default": "ID", "enumDescriptions": [ "", "" ] }, "subaccountId": { "location": "query", "format": "int64", "description": "Select only user profiles with the specified subaccount ID.", "type": "string" }, "ids": { "location": "query", "description": "Select only user profiles with these IDs.", "repeated": true, "type": "string", "format": "int64" }, "active": { "type": "boolean", "location": "query", "description": "Select only active user profiles." }, "profileId": { "description": "User profile ID associated with this request.", "required": true, "type": "string", "location": "path", "format": "int64" }, "searchString": { "description": "Allows searching for objects by name, ID or email. Wildcards (*) are allowed. For example, \"user profile*2015\" will return objects with names like \"user profile June 2015\", \"user profile April 2015\", or simply \"user profile 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"user profile\" will match objects with name \"my user profile\", \"user profile 2015\", or simply \"user profile\".", "type": "string", "location": "query" } } }, "insert": { "httpMethod": "POST", "description": "Inserts a new account user profile.", "parameterOrder": [ "profileId" ], "id": "dfareporting.accountUserProfiles.insert", "path": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "request": { "$ref": "AccountUserProfile" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "format": "int64", "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles", "response": { "$ref": "AccountUserProfile" } }, "get": { "path": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles/{id}", "parameterOrder": [ "profileId", "id" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Gets one account user profile by ID.", "response": { "$ref": "AccountUserProfile" }, "id": "dfareporting.accountUserProfiles.get", "parameters": { "id": { "type": "string", "format": "int64", "description": "User profile ID.", "required": true, "location": "path" }, "profileId": { "type": "string", "location": "path", "format": "int64", "required": true, "description": "User profile ID associated with this request." } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/accountUserProfiles/{id}", "httpMethod": "GET" } } }, "files": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "parameters": { "sortField": { "enum": [ "ID", "LAST_MODIFIED_TIME" ], "description": "The field by which to sort the list.", "type": "string", "location": "query", "enumDescriptions": [ "Sort by file ID.", "Sort by 'lastmodifiedAt' field." ], "default": "LAST_MODIFIED_TIME" }, "maxResults": { "description": "Maximum number of results to return.", "type": "integer", "location": "query", "minimum": "0", "format": "int32", "maximum": "10", "default": "10" }, "profileId": { "description": "The Campaign Manager 360 user profile ID.", "format": "int64", "location": "path", "type": "string", "required": true }, "pageToken": { "location": "query", "description": "The value of the nextToken from the previous result page.", "type": "string" }, "scope": { "default": "MINE", "enumDescriptions": [ "All files in account.", "My files.", "Files shared with me." ], "enum": [ "ALL", "MINE", "SHARED_WITH_ME" ], "location": "query", "type": "string", "description": "The scope that defines which results are returned." }, "sortOrder": { "default": "DESCENDING", "description": "Order of sorted results.", "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "enumDescriptions": [ "Ascending order.", "Descending order." ] } }, "response": { "$ref": "FileList" }, "description": "Lists files for a user profile.", "id": "dfareporting.files.list", "parameterOrder": [ "profileId" ], "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/files", "path": "dfareporting/v4/userprofiles/{profileId}/files" }, "get": { "parameterOrder": [ "reportId", "fileId" ], "parameters": { "fileId": { "type": "string", "format": "int64", "required": true, "description": "The ID of the report file.", "location": "path" }, "reportId": { "description": "The ID of the report.", "format": "int64", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "File" }, "description": "Retrieves a report file by its report ID and file ID. This method supports media download.", "scopes": [ "https://www.googleapis.com/auth/dfareporting" ], "flatPath": "dfareporting/v4/reports/{reportId}/files/{fileId}", "httpMethod": "GET", "id": "dfareporting.files.get", "path": "dfareporting/v4/reports/{reportId}/files/{fileId}", "supportsMediaDownload": true } } }, "browsers": { "methods": { "list": { "description": "Retrieves a list of browsers.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/browsers", "id": "dfareporting.browsers.list", "parameterOrder": [ "profileId" ], "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/browsers", "response": { "$ref": "BrowsersListResponse" }, "parameters": { "profileId": { "format": "int64", "location": "path", "required": true, "description": "User profile ID associated with this request.", "type": "string" } }, "httpMethod": "GET" } } }, "remarketingLists": { "methods": { "insert": { "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "type": "string", "location": "path" } }, "request": { "$ref": "RemarketingList" }, "description": "Inserts a new remarketing list.", "id": "dfareporting.remarketingLists.insert", "response": { "$ref": "RemarketingList" }, "path": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ] }, "list": { "response": { "$ref": "RemarketingListsListResponse" }, "id": "dfareporting.remarketingLists.list", "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "description": "Retrieves a list of remarketing lists, possibly filtered. This method supports paging.", "parameters": { "active": { "type": "boolean", "description": "Select only active or only inactive remarketing lists.", "location": "query" }, "pageToken": { "location": "query", "description": "Value of the nextPageToken from the previous result page.", "type": "string" }, "sortField": { "description": "Field by which to sort the list.", "type": "string", "enumDescriptions": [ "", "" ], "location": "query", "default": "ID", "enum": [ "ID", "NAME" ] }, "maxResults": { "maximum": "1000", "minimum": "0", "format": "int32", "type": "integer", "location": "query", "default": "1000", "description": "Maximum number of results to return." }, "advertiserId": { "format": "int64", "type": "string", "description": "Select only remarketing lists owned by this advertiser.", "required": true, "location": "query" }, "floodlightActivityId": { "format": "int64", "type": "string", "description": "Select only remarketing lists that have this floodlight activity ID.", "location": "query" }, "sortOrder": { "type": "string", "enumDescriptions": [ "", "" ], "default": "ASCENDING", "location": "query", "enum": [ "ASCENDING", "DESCENDING" ], "description": "Order of sorted results." }, "profileId": { "type": "string", "required": true, "format": "int64", "description": "User profile ID associated with this request.", "location": "path" }, "name": { "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"remarketing list*2015\" will return objects with names like \"remarketing list June 2015\", \"remarketing list April 2015\", or simply \"remarketing list 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"remarketing list\" will match objects with name \"my remarketing list\", \"remarketing list 2015\", or simply \"remarketing list\".", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "parameterOrder": [ "profileId", "advertiserId" ] }, "get": { "path": "dfareporting/v4/userprofiles/{profileId}/remarketingLists/{id}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingLists/{id}", "description": "Gets one remarketing list by ID.", "parameterOrder": [ "profileId", "id" ], "response": { "$ref": "RemarketingList" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "id": { "format": "int64", "required": true, "description": "Remarketing list ID.", "type": "string", "location": "path" }, "profileId": { "description": "User profile ID associated with this request.", "location": "path", "format": "int64", "required": true, "type": "string" } }, "id": "dfareporting.remarketingLists.get", "httpMethod": "GET" }, "patch": { "description": "Updates an existing remarketing list. This method supports patch semantics.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "path": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "response": { "$ref": "RemarketingList" }, "request": { "$ref": "RemarketingList" }, "id": "dfareporting.remarketingLists.patch", "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "location": "path", "type": "string", "description": "User profile ID associated with this request.", "required": true, "format": "int64" }, "id": { "description": "RemarketingList ID.", "type": "string", "format": "int64", "location": "query", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "httpMethod": "PATCH" }, "update": { "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "httpMethod": "PUT", "flatPath": "dfareporting/v4/userprofiles/{profileId}/remarketingLists", "response": { "$ref": "RemarketingList" }, "request": { "$ref": "RemarketingList" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.remarketingLists.update", "description": "Updates an existing remarketing list.", "parameters": { "profileId": { "format": "int64", "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path" } } } } }, "advertisers": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "description": "Retrieves a list of advertisers, possibly filtered. This method supports paging.", "response": { "$ref": "AdvertisersListResponse" }, "parameters": { "advertiserGroupIds": { "location": "query", "format": "int64", "repeated": true, "type": "string", "description": "Select only advertisers with these advertiser group IDs." }, "status": { "enumDescriptions": [ "", "" ], "description": "Select only advertisers with the specified status.", "type": "string", "location": "query", "enum": [ "APPROVED", "ON_HOLD" ] }, "maxResults": { "minimum": "0", "format": "int32", "default": "1000", "description": "Maximum number of results to return.", "maximum": "1000", "location": "query", "type": "integer" }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "floodlightConfigurationIds": { "location": "query", "repeated": true, "description": "Select only advertisers with these floodlight configuration IDs.", "format": "int64", "type": "string" }, "sortField": { "enumDescriptions": [ "", "" ], "type": "string", "default": "ID", "enum": [ "ID", "NAME" ], "location": "query", "description": "Field by which to sort the list." }, "sortOrder": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ASCENDING", "DESCENDING" ], "location": "query", "description": "Order of sorted results.", "default": "ASCENDING" }, "onlyParent": { "description": "Select only advertisers which use another advertiser's floodlight configuration.", "location": "query", "type": "boolean" }, "includeAdvertisersWithoutGroupsOnly": { "type": "boolean", "description": "Select only advertisers which do not belong to any advertiser group.", "location": "query" }, "subaccountId": { "description": "Select only advertisers with these subaccount IDs.", "type": "string", "location": "query", "format": "int64" }, "profileId": { "location": "path", "type": "string", "required": true, "description": "User profile ID associated with this request.", "format": "int64" }, "searchString": { "location": "query", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"advertiser*2015\" will return objects with names like \"advertiser June 2015\", \"advertiser April 2015\", or simply \"advertiser 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"advertiser\" will match objects with name \"my advertiser\", \"advertiser 2015\", or simply \"advertiser\" .", "type": "string" }, "ids": { "location": "query", "type": "string", "format": "int64", "repeated": true, "description": "Select only advertisers with these IDs." } }, "path": "dfareporting/v4/userprofiles/{profileId}/advertisers", "id": "dfareporting.advertisers.list", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers", "parameterOrder": [ "profileId" ], "httpMethod": "GET" }, "patch": { "parameterOrder": [ "profileId", "id" ], "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers", "id": "dfareporting.advertisers.patch", "path": "dfareporting/v4/userprofiles/{profileId}/advertisers", "description": "Updates an existing advertiser. This method supports patch semantics.", "parameters": { "profileId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "User profile ID associated with this request." }, "id": { "location": "query", "format": "int64", "description": "Advertiser ID.", "required": true, "type": "string" } }, "httpMethod": "PATCH", "response": { "$ref": "Advertiser" }, "request": { "$ref": "Advertiser" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "insert": { "id": "dfareporting.advertisers.insert", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/advertisers", "response": { "$ref": "Advertiser" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "required": true, "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers", "description": "Inserts a new advertiser.", "httpMethod": "POST", "request": { "$ref": "Advertiser" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "id": "dfareporting.advertisers.get", "path": "dfareporting/v4/userprofiles/{profileId}/advertisers/{id}", "parameterOrder": [ "profileId", "id" ], "description": "Gets one advertiser by ID.", "response": { "$ref": "Advertiser" }, "httpMethod": "GET", "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers/{id}", "parameters": { "id": { "location": "path", "format": "int64", "type": "string", "description": "Advertiser ID.", "required": true }, "profileId": { "required": true, "description": "User profile ID associated with this request.", "type": "string", "location": "path", "format": "int64" } } }, "update": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/advertisers", "description": "Updates an existing advertiser.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "location": "path", "required": true, "type": "string" } }, "path": "dfareporting/v4/userprofiles/{profileId}/advertisers", "id": "dfareporting.advertisers.update", "httpMethod": "PUT", "response": { "$ref": "Advertiser" }, "request": { "$ref": "Advertiser" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ] } } }, "mobileCarriers": { "methods": { "get": { "parameters": { "profileId": { "type": "string", "required": true, "location": "path", "description": "User profile ID associated with this request.", "format": "int64" }, "id": { "location": "path", "required": true, "description": "Mobile carrier ID.", "type": "string", "format": "int64" } }, "httpMethod": "GET", "description": "Gets one mobile carrier by ID.", "response": { "$ref": "MobileCarrier" }, "parameterOrder": [ "profileId", "id" ], "id": "dfareporting.mobileCarriers.get", "path": "dfareporting/v4/userprofiles/{profileId}/mobileCarriers/{id}", "flatPath": "dfareporting/v4/userprofiles/{profileId}/mobileCarriers/{id}", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "list": { "id": "dfareporting.mobileCarriers.list", "response": { "$ref": "MobileCarriersListResponse" }, "path": "dfareporting/v4/userprofiles/{profileId}/mobileCarriers", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "type": "string", "location": "path", "description": "User profile ID associated with this request.", "required": true, "format": "int64" } }, "httpMethod": "GET", "description": "Retrieves a list of mobile carriers.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/mobileCarriers", "parameterOrder": [ "profileId" ] } } }, "targetingTemplates": { "methods": { "insert": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "response": { "$ref": "TargetingTemplate" }, "id": "dfareporting.targetingTemplates.insert", "path": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "httpMethod": "POST", "request": { "$ref": "TargetingTemplate" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameterOrder": [ "profileId" ], "description": "Inserts a new targeting template.", "parameters": { "profileId": { "description": "User profile ID associated with this request.", "format": "int64", "required": true, "location": "path", "type": "string" } } }, "patch": { "response": { "$ref": "TargetingTemplate" }, "parameters": { "id": { "location": "query", "type": "string", "format": "int64", "required": true, "description": "TargetingTemplate ID." }, "profileId": { "required": true, "type": "string", "format": "int64", "description": "User profile ID associated with this request.", "location": "path" } }, "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "description": "Updates an existing targeting template. This method supports patch semantics.", "httpMethod": "PATCH", "path": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "id": "dfareporting.targetingTemplates.patch", "parameterOrder": [ "profileId", "id" ], "request": { "$ref": "TargetingTemplate" }, "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "get": { "response": { "$ref": "TargetingTemplate" }, "id": "dfareporting.targetingTemplates.get", "parameterOrder": [ "profileId", "id" ], "parameters": { "profileId": { "type": "string", "required": true, "format": "int64", "location": "path", "description": "User profile ID associated with this request." }, "id": { "required": true, "location": "path", "type": "string", "description": "Targeting template ID.", "format": "int64" } }, "description": "Gets one targeting template by ID.", "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates/{id}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "path": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates/{id}" }, "list": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "description": "Retrieves a list of targeting templates, optionally filtered. This method supports paging.", "response": { "$ref": "TargetingTemplatesListResponse" }, "httpMethod": "GET", "parameterOrder": [ "profileId" ], "path": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "parameters": { "advertiserId": { "location": "query", "type": "string", "format": "int64", "description": "Select only targeting templates with this advertiser ID." }, "profileId": { "description": "User profile ID associated with this request.", "type": "string", "format": "int64", "location": "path", "required": true }, "sortField": { "location": "query", "description": "Field by which to sort the list.", "default": "ID", "enum": [ "ID", "NAME" ], "enumDescriptions": [ "", "" ], "type": "string" }, "sortOrder": { "enumDescriptions": [ "", "" ], "location": "query", "default": "ASCENDING", "description": "Order of sorted results.", "enum": [ "ASCENDING", "DESCENDING" ], "type": "string" }, "searchString": { "location": "query", "type": "string", "description": "Allows searching for objects by name or ID. Wildcards (*) are allowed. For example, \"template*2015\" will return objects with names like \"template June 2015\", \"template April 2015\", or simply \"template 2015\". Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of \"template\" will match objects with name \"my template\", \"template 2015\", or simply \"template\"." }, "pageToken": { "description": "Value of the nextPageToken from the previous result page.", "location": "query", "type": "string" }, "maxResults": { "type": "integer", "location": "query", "default": "1000", "minimum": "0", "format": "int32", "description": "Maximum number of results to return.", "maximum": "1000" }, "ids": { "location": "query", "description": "Select only targeting templates with these IDs.", "repeated": true, "format": "int64", "type": "string" } }, "id": "dfareporting.targetingTemplates.list", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ] }, "update": { "flatPath": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "path": "dfareporting/v4/userprofiles/{profileId}/targetingTemplates", "request": { "$ref": "TargetingTemplate" }, "description": "Updates an existing targeting template.", "scopes": [ "https://www.googleapis.com/auth/dfatrafficking" ], "parameters": { "profileId": { "required": true, "location": "path", "type": "string", "description": "User profile ID associated with this request.", "format": "int64" } }, "parameterOrder": [ "profileId" ], "id": "dfareporting.targetingTemplates.update", "response": { "$ref": "TargetingTemplate" }, "httpMethod": "PUT" } } } }, "kind": "discovery#restDescription", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/ddmconversions": { "description": "Manage DoubleClick Digital Marketing conversions" }, "https://www.googleapis.com/auth/dfatrafficking": { "description": "View and manage your DoubleClick Campaign Manager's (DCM) display ad campaigns" }, "https://www.googleapis.com/auth/dfareporting": { "description": "View and manage DoubleClick for Advertisers reports" } } } }, "revision": "20220628", "title": "Campaign Manager 360 API", "parameters": { "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ], "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "fullyEncodeReservedExpansion": true, "description": "Build applications to efficiently manage large or complex trafficking, reporting, and attribution workflows for Campaign Manager 360.", "protocol": "rest", "servicePath": "", "ownerName": "Google", "schemas": { "CreativeAsset": { "id": "CreativeAsset", "type": "object", "description": "Creative Asset.", "properties": { "childAssetType": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "CHILD_ASSET_TYPE_FLASH", "CHILD_ASSET_TYPE_VIDEO", "CHILD_ASSET_TYPE_IMAGE", "CHILD_ASSET_TYPE_DATA" ], "description": "Rich media child asset type. This is a read-only field. Applicable to the following creative types: all VPAID." }, "displayType": { "description": "Type of rich media asset. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "type": "string", "enum": [ "ASSET_DISPLAY_TYPE_INPAGE", "ASSET_DISPLAY_TYPE_FLOATING", "ASSET_DISPLAY_TYPE_OVERLAY", "ASSET_DISPLAY_TYPE_EXPANDING", "ASSET_DISPLAY_TYPE_FLASH_IN_FLASH", "ASSET_DISPLAY_TYPE_FLASH_IN_FLASH_EXPANDING", "ASSET_DISPLAY_TYPE_PEEL_DOWN", "ASSET_DISPLAY_TYPE_VPAID_LINEAR", "ASSET_DISPLAY_TYPE_VPAID_NON_LINEAR", "ASSET_DISPLAY_TYPE_BACKDROP" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ] }, "sslCompliant": { "description": "Whether the asset is SSL-compliant. This is a read-only field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT.", "type": "boolean" }, "expandedDimension": { "description": "Detected expanded dimension for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID.", "$ref": "Size" }, "customStartTimeValue": { "type": "integer", "format": "int32", "description": "Custom start time in seconds for making the asset visible. Applicable to the following creative types: all RICH_MEDIA. Value must be greater than or equal to 0." }, "progressiveServingUrl": { "type": "string", "description": "Progressive URL for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID." }, "startTimeType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ASSET_START_TIME_TYPE_NONE", "ASSET_START_TIME_TYPE_CUSTOM" ], "description": "Initial wait time type before making the asset visible. Applicable to the following creative types: all RICH_MEDIA." }, "role": { "enum": [ "PRIMARY", "BACKUP_IMAGE", "ADDITIONAL_IMAGE", "ADDITIONAL_FLASH", "PARENT_VIDEO", "TRANSCODED_VIDEO", "OTHER", "ALTERNATE_VIDEO", "PARENT_AUDIO", "TRANSCODED_AUDIO" ], "type": "string", "description": "Role of the asset in relation to creative. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT. This is a required field. PRIMARY applies to DISPLAY, FLASH_INPAGE, HTML5_BANNER, IMAGE, DISPLAY_IMAGE_GALLERY, all RICH_MEDIA (which may contain multiple primary assets), and all VPAID creatives. BACKUP_IMAGE applies to FLASH_INPAGE, HTML5_BANNER, all RICH_MEDIA, and all VPAID creatives. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE. ADDITIONAL_IMAGE and ADDITIONAL_FLASH apply to FLASH_INPAGE creatives. OTHER refers to assets from sources other than Campaign Manager, such as Studio uploaded assets, applicable to all RICH_MEDIA and all VPAID creatives. PARENT_VIDEO refers to videos uploaded by the user in Campaign Manager and is applicable to INSTREAM_VIDEO and VPAID_LINEAR_VIDEO creatives. TRANSCODED_VIDEO refers to videos transcoded by Campaign Manager from PARENT_VIDEO assets and is applicable to INSTREAM_VIDEO and VPAID_LINEAR_VIDEO creatives. ALTERNATE_VIDEO refers to the Campaign Manager representation of child asset videos from Studio, and is applicable to VPAID_LINEAR_VIDEO creatives. These cannot be added or removed within Campaign Manager. For VPAID_LINEAR_VIDEO creatives, PARENT_VIDEO, TRANSCODED_VIDEO and ALTERNATE_VIDEO assets that are marked active serve as backup in case the VPAID creative cannot be served. Only PARENT_VIDEO assets can be added or removed for an INSTREAM_VIDEO or VPAID_LINEAR_VIDEO creative. PARENT_AUDIO refers to audios uploaded by the user in Campaign Manager and is applicable to INSTREAM_AUDIO creatives. TRANSCODED_AUDIO refers to audios transcoded by Campaign Manager from PARENT_AUDIO assets and is applicable to INSTREAM_AUDIO creatives. ", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "" ] }, "streamingServingUrl": { "type": "string", "description": "Streaming URL for video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID." }, "zipFilename": { "description": "File name of zip file. This is a read-only field. Applicable to the following creative types: HTML5_BANNER.", "type": "string" }, "bitRate": { "description": "Detected bit-rate for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "format": "int32", "type": "integer" }, "durationType": { "description": "Duration type for which an asset will be displayed. Applicable to the following creative types: all RICH_MEDIA.", "enum": [ "ASSET_DURATION_TYPE_AUTO", "ASSET_DURATION_TYPE_NONE", "ASSET_DURATION_TYPE_CUSTOM" ], "enumDescriptions": [ "", "", "" ], "type": "string" }, "fileSize": { "type": "string", "format": "int64", "description": "File size associated with this creative asset. This is a read-only field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT." }, "zIndex": { "format": "int32", "type": "integer", "description": "zIndex value of an asset. Applicable to the following creative types: all RICH_MEDIA.Additionally, only applicable to assets whose displayType is NOT one of the following types: ASSET_DISPLAY_TYPE_INPAGE or ASSET_DISPLAY_TYPE_OVERLAY. Acceptable values are -999999999 to 999999999, inclusive." }, "additionalSizes": { "items": { "$ref": "Size" }, "description": "Additional sizes associated with this creative asset. HTML5 asset generated by compatible software such as GWD will be able to support more sizes this creative asset can render.", "type": "array" }, "orientation": { "enumDescriptions": [ "", "", "" ], "enum": [ "LANDSCAPE", "PORTRAIT", "SQUARE" ], "type": "string", "description": "Orientation of video asset. This is a read-only, auto-generated field." }, "mediaDuration": { "type": "number", "format": "float", "description": "Detected duration for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the asset. This is a read-only, auto-generated field." }, "hideFlashObjects": { "type": "boolean", "description": "Whether to hide Flash objects flag for an asset. Applicable to the following creative types: all RICH_MEDIA." }, "artworkType": { "description": "Artwork type of rich media creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "type": "string", "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "enumDescriptions": [ "", "", "", "" ] }, "offset": { "description": "Offset position for an asset in collapsed mode. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID. Additionally, only applicable to assets whose displayType is ASSET_DISPLAY_TYPE_EXPANDING or ASSET_DISPLAY_TYPE_PEEL_DOWN.", "$ref": "OffsetPosition" }, "frameRate": { "format": "float", "description": "Video frame rate for video asset in frames per second. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO and all VPAID.", "type": "number" }, "size": { "description": "Size associated with this creative asset. This is a required field when applicable; however for IMAGE and FLASH_INPAGE, creatives if left blank, this field will be automatically set using the actual size of the associated image asset. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER, IMAGE, and all RICH_MEDIA. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "$ref": "Size" }, "assetIdentifier": { "description": "Identifier of this asset. This is the same identifier returned during creative asset insert operation. This is a required field. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT.", "$ref": "CreativeAssetId" }, "positionTopUnit": { "enum": [ "OFFSET_UNIT_PIXEL", "OFFSET_UNIT_PERCENT", "OFFSET_UNIT_PIXEL_FROM_CENTER" ], "enumDescriptions": [ "", "", "" ], "description": "Offset top unit for an asset. This is a read-only field if the asset displayType is ASSET_DISPLAY_TYPE_OVERLAY. Applicable to the following creative types: all RICH_MEDIA.", "type": "string" }, "horizontallyLocked": { "description": "Whether the asset is horizontally locked. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "duration": { "description": "Duration in seconds for which an asset will be displayed. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and VPAID_LINEAR_VIDEO. Value must be greater than or equal to 1.", "format": "int32", "type": "integer" }, "collapsedSize": { "description": "Size of an asset when collapsed. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID. Additionally, applicable to assets whose displayType is ASSET_DISPLAY_TYPE_EXPANDING or ASSET_DISPLAY_TYPE_PEEL_DOWN.", "$ref": "Size" }, "audioBitRate": { "type": "integer", "description": "Audio stream bit rate in kbps. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "format": "int32" }, "originalBackup": { "type": "boolean", "description": "Whether the backup asset is original or changed by the user in Campaign Manager. Applicable to the following creative types: all RICH_MEDIA." }, "alignment": { "description": "Possible alignments for an asset. This is a read-only field. Applicable to the following creative types: RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL .", "enum": [ "ALIGNMENT_TOP", "ALIGNMENT_RIGHT", "ALIGNMENT_BOTTOM", "ALIGNMENT_LEFT" ], "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "hideSelectionBoxes": { "type": "boolean", "description": "Whether to hide selection boxes flag for an asset. Applicable to the following creative types: all RICH_MEDIA." }, "zipFilesize": { "type": "string", "description": "Size of zip file. This is a read-only field. Applicable to the following creative types: HTML5_BANNER." }, "transparency": { "description": "Whether the asset is transparent. Applicable to the following creative types: all RICH_MEDIA. Additionally, only applicable to HTML5 assets.", "type": "boolean" }, "actionScript3": { "type": "boolean", "description": "Whether ActionScript3 is enabled for the flash asset. This is a read-only field. Applicable to the following creative type: FLASH_INPAGE. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE." }, "companionCreativeIds": { "description": "List of companion creatives assigned to an in-stream video creative asset. Acceptable values include IDs of existing flash and image creatives. Applicable to INSTREAM_VIDEO creative type with dynamicAssetSelection set to true.", "type": "array", "items": { "type": "string", "format": "int64" } }, "detectedFeatures": { "description": "List of feature dependencies for the creative asset that are detected by Campaign Manager. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative correctly. This is a read-only, auto-generated field. Applicable to the following creative types: HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "array", "items": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ], "type": "string" } }, "backupImageExit": { "$ref": "CreativeCustomEvent", "description": "Exit event configured for the backup image. Applicable to the following creative types: all RICH_MEDIA." }, "active": { "description": "Whether the video or audio asset is active. This is a read-only field for VPAID_NON_LINEAR_VIDEO assets. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "boolean" }, "audioSampleRate": { "description": "Audio sample bit rate in hertz. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "format": "int32", "type": "integer" }, "verticallyLocked": { "description": "Whether the asset is vertically locked. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "type": "boolean" }, "flashVersion": { "format": "int32", "type": "integer", "description": "Flash version of the asset. This is a read-only field. Applicable to the following creative types: FLASH_INPAGE, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE." }, "pushdown": { "type": "boolean", "description": "Whether the asset pushes down other content. Applicable to the following creative types: all RICH_MEDIA. Additionally, only applicable when the asset offsets are 0, the collapsedSize.width matches size.width, and the collapsedSize.height is less than size.height." }, "windowMode": { "description": "Window mode options for flash assets. Applicable to the following creative types: FLASH_INPAGE, RICH_MEDIA_DISPLAY_EXPANDING, RICH_MEDIA_IM_EXPAND, RICH_MEDIA_DISPLAY_BANNER, and RICH_MEDIA_INPAGE_FLOATING.", "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "OPAQUE", "WINDOW", "TRANSPARENT" ] }, "politeLoad": { "description": "Whether this asset is used as a polite load asset.", "type": "boolean" }, "id": { "format": "int64", "type": "string", "description": "Numeric ID of this creative asset. This is a required field and should not be modified. Applicable to all but the following creative types: all REDIRECT and TRACKING_TEXT." }, "pushdownDuration": { "description": "Pushdown duration in seconds for an asset. Applicable to the following creative types: all RICH_MEDIA.Additionally, only applicable when the asset pushdown field is true, the offsets are 0, the collapsedSize.width matches size.width, and the collapsedSize.height is less than size.height. Acceptable values are 0 to 9.99, inclusive.", "type": "number", "format": "float" }, "position": { "description": "Offset position for an asset. Applicable to the following creative types: all RICH_MEDIA.", "$ref": "OffsetPosition" }, "positionLeftUnit": { "type": "string", "description": "Offset left unit for an asset. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA.", "enum": [ "OFFSET_UNIT_PIXEL", "OFFSET_UNIT_PERCENT", "OFFSET_UNIT_PIXEL_FROM_CENTER" ], "enumDescriptions": [ "", "", "" ] }, "mimeType": { "description": "Detected MIME type for audio or video asset. This is a read-only field. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and all VPAID.", "type": "string" } } }, "GeoTargeting": { "properties": { "countries": { "items": { "$ref": "Country" }, "description": "Countries to be targeted or excluded from targeting, depending on the setting of the excludeCountries field. For each country only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting or excluding a country, do not target regions, cities, metros, or postal codes in the same country.", "type": "array" }, "metros": { "description": "Metros to be targeted. For each metro only dmaId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a metro, do not target or exclude the country of the metro.", "items": { "$ref": "Metro" }, "type": "array" }, "cities": { "items": { "$ref": "City" }, "description": "Cities to be targeted. For each city only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a city, do not target or exclude the country of the city, and do not target the metro or region of the city.", "type": "array" }, "regions": { "type": "array", "description": "Regions to be targeted. For each region only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a region, do not target or exclude the country of the region.", "items": { "$ref": "Region" } }, "excludeCountries": { "type": "boolean", "description": "Whether or not to exclude the countries in the countries field from targeting. If false, the countries field refers to countries which will be targeted by the ad." }, "postalCodes": { "description": "Postal codes to be targeted. For each postal code only id is required. The other fields are populated automatically when the ad is inserted or updated. If targeting a postal code, do not target or exclude the country of the postal code.", "type": "array", "items": { "$ref": "PostalCode" } } }, "description": "Geographical Targeting.", "type": "object", "id": "GeoTargeting" }, "PricingSchedule": { "description": "Pricing Schedule", "properties": { "capCostOption": { "description": "Placement cap cost option.", "enumDescriptions": [ "", "", "" ], "enum": [ "CAP_COST_NONE", "CAP_COST_MONTHLY", "CAP_COST_CUMULATIVE" ], "type": "string" }, "testingStartDate": { "type": "string", "format": "date" }, "pricingPeriods": { "description": "Pricing periods for this placement.", "type": "array", "items": { "$ref": "PricingSchedulePricingPeriod" } }, "pricingType": { "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string", "enum": [ "PRICING_TYPE_CPM", "PRICING_TYPE_CPC", "PRICING_TYPE_CPA", "PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PRICING_TYPE_FLAT_RATE_CLICKS", "PRICING_TYPE_CPM_ACTIVEVIEW" ], "description": "Placement pricing type. This field is required on insertion." }, "floodlightActivityId": { "format": "int64", "description": "Floodlight activity ID associated with this placement. This field should be set when placement pricing type is set to PRICING_TYPE_CPA.", "type": "string" }, "startDate": { "format": "date", "type": "string" }, "flighted": { "description": "Whether this placement is flighted. If true, pricing periods will be computed automatically.", "type": "boolean" }, "endDate": { "type": "string", "format": "date" } }, "id": "PricingSchedule", "type": "object" }, "ChannelGroupingRule": { "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#channelGroupingRule." }, "name": { "description": "Rule name.", "type": "string" }, "disjunctiveMatchStatements": { "type": "array", "description": "The disjunctive match statements contained within this rule.", "items": { "$ref": "DisjunctiveMatchStatement" } } }, "description": "Represents a DfaReporting channel grouping rule.", "type": "object", "id": "ChannelGroupingRule" }, "ConnectionTypesListResponse": { "properties": { "connectionTypes": { "description": "Collection of connection types such as broadband and mobile.", "type": "array", "items": { "$ref": "ConnectionType" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#connectionTypesListResponse\"." } }, "description": "Connection Type List Response", "type": "object", "id": "ConnectionTypesListResponse" }, "AdvertiserLandingPagesListResponse": { "id": "AdvertiserLandingPagesListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserLandingPagesListResponse\"." }, "landingPages": { "items": { "$ref": "LandingPage" }, "description": "Landing page collection", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } }, "type": "object", "description": "Landing Page List Response" }, "Placement": { "properties": { "comment": { "description": "Comments for this placement.", "type": "string" }, "additionalSizes": { "description": "Additional sizes associated with this placement. When inserting or updating a placement, only the size ID field is used.", "type": "array", "items": { "$ref": "Size" } }, "videoSettings": { "$ref": "VideoSettings", "description": "A collection of settings which affect video creatives served through this placement. Applicable to placements with IN_STREAM_VIDEO compatibility." }, "paymentApproved": { "description": "Whether payment was approved for this placement. This is a read-only field relevant only to publisher-paid placements.", "type": "boolean" }, "placementGroupId": { "format": "int64", "type": "string", "description": "ID of this placement's group, if applicable." }, "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this placement. This field can be left blank." }, "name": { "description": "Name of this placement.This is a required field and must be less than or equal to 512 characters long.", "type": "string" }, "directorySiteId": { "description": "Directory site ID of this placement. On insert, you must set either this field or the siteId field to specify the site associated with this placement. This is a required field that is read-only after insertion.", "type": "string", "format": "int64" }, "idDimensionValue": { "description": "Dimension value for the ID of this placement. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "keyName": { "type": "string", "description": "Key name of this placement. This is a read-only, auto-generated field." }, "pricingSchedule": { "description": "Pricing schedule of this placement. This field is required on insertion, specifically subfields startDate, endDate and pricingType.", "$ref": "PricingSchedule" }, "tagSetting": { "description": "Tag settings for this placement.", "$ref": "TagSetting" }, "siteIdDimensionValue": { "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "siteId": { "type": "string", "description": "Site ID associated with this placement. On insert, you must set either this field or the directorySiteId field to specify the site associated with this placement. This is a required field that is read-only after insertion.", "format": "int64" }, "primary": { "description": "Whether this placement is the primary placement of a roadblock (placement group). You cannot change this field from true to false. Setting this field to true will automatically set the primary field on the original primary placement of the roadblock to false, and it will automatically set the roadblock's primaryPlacementId field to the ID of this placement.", "type": "boolean" }, "subaccountId": { "type": "string", "description": "Subaccount ID of this placement. This field can be left blank.", "format": "int64" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placement\".", "type": "string" }, "partnerWrappingData": { "description": "Measurement partner provided settings for a wrapped placement.", "$ref": "MeasurementPartnerWrappingData" }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this placement. This is a read-only field.", "$ref": "LastModifiedInfo" }, "publisherUpdateInfo": { "$ref": "LastModifiedInfo", "description": "Information about the last publisher update. This is a read-only field." }, "adBlockingOptOut": { "description": "Whether this placement opts out of ad blocking. When true, ad blocking is disabled for this placement. When false, the campaign and site settings take effect.", "type": "boolean" }, "campaignId": { "type": "string", "format": "int64", "description": "Campaign ID of this placement. This field is a required field on insertion." }, "createInfo": { "description": "Information about the creation of this placement. This is a read-only field.", "$ref": "LastModifiedInfo" }, "tagFormats": { "description": "Tag formats to generate for this placement. This field is required on insertion. Acceptable values are: - \"PLACEMENT_TAG_STANDARD\" - \"PLACEMENT_TAG_IFRAME_JAVASCRIPT\" - \"PLACEMENT_TAG_IFRAME_ILAYER\" - \"PLACEMENT_TAG_INTERNAL_REDIRECT\" - \"PLACEMENT_TAG_JAVASCRIPT\" - \"PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT\" - \"PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT\" - \"PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT\" - \"PLACEMENT_TAG_CLICK_COMMANDS\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3\" - \"PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4\" - \"PLACEMENT_TAG_TRACKING\" - \"PLACEMENT_TAG_TRACKING_IFRAME\" - \"PLACEMENT_TAG_TRACKING_JAVASCRIPT\" ", "items": { "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string" }, "type": "array" }, "compatibility": { "description": "Placement compatibility. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering on desktop, on mobile devices or in mobile apps for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are no longer allowed for new placement insertions. Instead, use DISPLAY or DISPLAY_INTERSTITIAL. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard. This field is required on insertion.", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string" }, "vpaidAdapterChoice": { "description": "VPAID adapter setting for this placement. Controls which VPAID format the measurement adapter will use for in-stream video creatives assigned to this placement. *Note:* Flash is no longer supported. This field now defaults to HTML5 when the following values are provided: FLASH, BOTH.", "enum": [ "DEFAULT", "FLASH", "HTML5", "BOTH" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "paymentSource": { "description": "Payment source for this placement. This is a required field that is read-only after insertion.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "PLACEMENT_AGENCY_PAID", "PLACEMENT_PUBLISHER_PAID" ] }, "lookbackConfiguration": { "$ref": "LookbackConfiguration", "description": "Lookback window settings for this placement." }, "placementGroupIdDimensionValue": { "description": "Dimension value for the ID of the placement group. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "placementStrategyId": { "description": "ID of the placement strategy assigned to this placement.", "type": "string", "format": "int64" }, "directorySiteIdDimensionValue": { "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "size": { "description": "Size associated with this placement. When inserting or updating a placement, only the size ID field is used. This field is required on insertion.", "$ref": "Size" }, "externalId": { "description": "External ID for this placement.", "type": "string" }, "accountId": { "format": "int64", "type": "string", "description": "Account ID of this placement. This field can be left blank." }, "videoActiveViewOptOut": { "description": "Whether Verification and ActiveView are disabled for in-stream video creatives for this placement. The same setting videoActiveViewOptOut exists on the site level -- the opt out occurs if either of these settings are true. These settings are distinct from DirectorySites.settings.activeViewOptOut or Sites.siteSettings.activeViewOptOut which only apply to display ads. However, Accounts.activeViewOptOut opts out both video traffic, as well as display ads, from Verification and ActiveView.", "type": "boolean" }, "wrappingOptOut": { "description": "Whether this placement opts out of tag wrapping.", "type": "boolean" }, "contentCategoryId": { "format": "int64", "type": "string", "description": "ID of the content category assigned to this placement." }, "activeStatus": { "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "PLACEMENT_STATUS_UNKNOWN", "PLACEMENT_STATUS_ACTIVE", "PLACEMENT_STATUS_INACTIVE", "PLACEMENT_STATUS_ARCHIVED", "PLACEMENT_STATUS_PERMANENTLY_ARCHIVED" ], "type": "string", "description": "Whether this placement is active, inactive, archived or permanently archived." }, "id": { "format": "int64", "type": "string", "description": "ID of this placement. This is a read-only, auto-generated field." }, "status": { "enumDescriptions": [ "", "", "", "", "", "" ], "enum": [ "PENDING_REVIEW", "PAYMENT_ACCEPTED", "PAYMENT_REJECTED", "ACKNOWLEDGE_REJECTION", "ACKNOWLEDGE_ACCEPTANCE", "DRAFT" ], "description": "Third-party placement status.", "type": "string" }, "sslRequired": { "type": "boolean", "description": "Whether creatives assigned to this placement must be SSL-compliant." } }, "type": "object", "description": "Contains properties of a placement.", "id": "Placement" }, "ContentCategory": { "description": "Organizes placements according to the contents of their associated webpages.", "properties": { "name": { "description": "Name of this content category. This is a required field and must be less than 256 characters long and unique among content categories of the same account.", "type": "string" }, "accountId": { "description": "Account ID of this content category. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "id": { "format": "int64", "description": "ID of this content category. This is a read-only, auto-generated field.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#contentCategory\"." } }, "id": "ContentCategory", "type": "object" }, "CreativesListResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "creatives": { "items": { "$ref": "Creative" }, "description": "Creative collection.", "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativesListResponse\".", "type": "string" } }, "description": "Creative List Response", "id": "CreativesListResponse" }, "CitiesListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#citiesListResponse\"." }, "cities": { "description": "City collection.", "type": "array", "items": { "$ref": "City" } } }, "type": "object", "id": "CitiesListResponse", "description": "City List Response" }, "CampaignSummary": { "type": "object", "id": "CampaignSummary", "properties": { "preTaxAmountMicros": { "type": "string", "format": "int64", "description": "The pre-tax amount for this campaign, in micros of the invoice's currency." }, "taxAmountMicros": { "description": "The tax amount for this campaign, in micros of the invoice's currency.", "type": "string", "format": "int64" }, "billingInvoiceCode": { "description": "Campaign billing invoice code.", "type": "string" }, "totalAmountMicros": { "format": "int64", "type": "string", "description": "The total amount of charges for this campaign, in micros of the invoice's currency." }, "campaignId": { "format": "int64", "description": "Campaign ID.", "type": "string" } }, "description": "Represents a summarized campaign information associated with this invoice." }, "BrowsersListResponse": { "type": "object", "description": "Browser List Response", "properties": { "browsers": { "description": "Browser collection.", "type": "array", "items": { "$ref": "Browser" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#browsersListResponse\".", "type": "string" } }, "id": "BrowsersListResponse" }, "PlacementStrategy": { "description": "Contains properties of a placement strategy.", "type": "object", "properties": { "id": { "format": "int64", "type": "string", "description": "ID of this placement strategy. This is a read-only, auto-generated field." }, "name": { "description": "Name of this placement strategy. This is a required field. It must be less than 256 characters long and unique among placement strategies of the same account.", "type": "string" }, "accountId": { "format": "int64", "description": "Account ID of this placement strategy.This is a read-only field that can be left blank.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementStrategy\"." } }, "id": "PlacementStrategy" }, "SiteSkippableSetting": { "description": "Skippable Settings", "properties": { "progressOffset": { "description": "Amount of time to play videos served to this site template before counting a view. Applicable when skippable is true.", "$ref": "VideoOffset" }, "skipOffset": { "description": "Amount of time to play videos served to this site before the skip button should appear. Applicable when skippable is true.", "$ref": "VideoOffset" }, "skippable": { "type": "boolean", "description": "Whether the user can skip creatives served to this site. This will act as default for new placements created under this site." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteSkippableSetting\".", "type": "string" } }, "id": "SiteSkippableSetting", "type": "object" }, "ObjectFilter": { "description": "Object Filter.", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#objectFilter\".", "type": "string" }, "status": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "NONE", "ASSIGNED", "ALL" ], "description": "Status of the filter. NONE means the user has access to none of the objects. ALL means the user has access to all objects. ASSIGNED means the user has access to the objects with IDs in the objectIds list." }, "objectIds": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "Applicable when status is ASSIGNED. The user has access to objects with these object IDs." } }, "type": "object", "id": "ObjectFilter" }, "UniversalAdId": { "properties": { "registry": { "enum": [ "OTHER", "AD_ID_OFFICIAL", "CLEARCAST", "DCM" ], "type": "string", "description": "Registry used for the Ad ID value.", "enumDescriptions": [ "", "", "", "" ] }, "value": { "description": "ID value for this creative. Only alphanumeric characters and the following symbols are valid: \"_/\\-\". Maximum length is 64 characters. Read only when registry is DCM.", "type": "string" } }, "description": "A Universal Ad ID as per the VAST 4.0 spec. Applicable to the following creative types: INSTREAM_AUDIO, INSTREAM_VIDEO and VPAID.", "id": "UniversalAdId", "type": "object" }, "OrderDocumentsListResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#orderDocumentsListResponse\"." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "orderDocuments": { "items": { "$ref": "OrderDocument" }, "type": "array", "description": "Order document collection" } }, "type": "object", "description": "Order document List Response", "id": "OrderDocumentsListResponse" }, "AccountPermissionGroup": { "id": "AccountPermissionGroup", "properties": { "id": { "type": "string", "format": "int64", "description": "ID of this account permission group." }, "name": { "type": "string", "description": "Name of this account permission group." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionGroup\"." } }, "description": "AccountPermissionGroups contains a mapping of permission group IDs to names. A permission group is a grouping of account permissions.", "type": "object" }, "OperatingSystemVersionsListResponse": { "description": "Operating System Version List Response", "id": "OperatingSystemVersionsListResponse", "properties": { "operatingSystemVersions": { "type": "array", "description": "Operating system version collection.", "items": { "$ref": "OperatingSystemVersion" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemVersionsListResponse\".", "type": "string" } }, "type": "object" }, "InventoryItemsListResponse": { "id": "InventoryItemsListResponse", "description": "Inventory item List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#inventoryItemsListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "inventoryItems": { "items": { "$ref": "InventoryItem" }, "description": "Inventory item collection", "type": "array" } }, "type": "object" }, "CompanionSetting": { "description": "Companion Settings", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#companionSetting\"." }, "companionsDisabled": { "description": "Whether companions are disabled for this placement.", "type": "boolean" }, "enabledSizes": { "description": "Allowlist of companion sizes to be served to this placement. Set this list to null or empty to serve all companion sizes.", "items": { "$ref": "Size" }, "type": "array" }, "imageOnly": { "description": "Whether to serve only static images as companions.", "type": "boolean" } }, "id": "CompanionSetting" }, "FloodlightConfigurationsListResponse": { "type": "object", "description": "Floodlight Configuration List Response", "properties": { "floodlightConfigurations": { "type": "array", "description": "Floodlight configuration collection.", "items": { "$ref": "FloodlightConfiguration" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightConfigurationsListResponse\".", "type": "string" } }, "id": "FloodlightConfigurationsListResponse" }, "Campaign": { "properties": { "advertiserId": { "format": "int64", "description": "Advertiser ID of this campaign. This is a required field.", "type": "string" }, "startDate": { "format": "date", "type": "string" }, "advertiserGroupId": { "description": "Advertiser group ID of the associated advertiser.", "format": "int64", "type": "string" }, "name": { "description": "Name of this campaign. This is a required field and must be less than 512 characters long and unique among campaigns of the same advertiser.", "type": "string" }, "accountId": { "type": "string", "description": "Account ID of this campaign. This is a read-only field that can be left blank.", "format": "int64" }, "comment": { "description": "Arbitrary comments about this campaign. Must be less than 256 characters long.", "type": "string" }, "additionalCreativeOptimizationConfigurations": { "description": "Additional creative optimization configurations for the campaign.", "items": { "$ref": "CreativeOptimizationConfiguration" }, "type": "array" }, "creativeGroupIds": { "items": { "type": "string", "format": "int64" }, "description": "List of creative group IDs that are assigned to the campaign.", "type": "array" }, "defaultClickThroughEventTagProperties": { "description": "Click-through event tag ID override properties for this campaign.", "$ref": "DefaultClickThroughEventTagProperties" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaign\".", "type": "string" }, "adBlockingConfiguration": { "$ref": "AdBlockingConfiguration", "description": "Ad blocking settings for this campaign." }, "advertiserIdDimensionValue": { "description": "Dimension value for the advertiser ID of this campaign. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "createInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this campaign. This is a read-only field." }, "billingInvoiceCode": { "description": "Billing invoice code included in the Campaign Manager client billing invoices associated with the campaign.", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "ID of this campaign. This is a read-only auto-generated field." }, "externalId": { "type": "string", "description": "External ID for this campaign." }, "clickThroughUrlSuffixProperties": { "description": "Click-through URL suffix override properties for this campaign.", "$ref": "ClickThroughUrlSuffixProperties" }, "eventTagOverrides": { "type": "array", "items": { "$ref": "EventTagOverride" }, "description": "Overrides that can be used to activate or deactivate advertiser event tags." }, "endDate": { "format": "date", "type": "string" }, "defaultLandingPageId": { "type": "string", "format": "int64", "description": "The default landing page ID for this campaign." }, "audienceSegmentGroups": { "description": "Audience segment groups assigned to this campaign. Cannot have more than 300 segment groups.", "items": { "$ref": "AudienceSegmentGroup" }, "type": "array" }, "measurementPartnerLink": { "description": "Measurement partner campaign link for tag wrapping.", "$ref": "MeasurementPartnerCampaignLink" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this campaign. This is a read-only field that can be left blank." }, "creativeOptimizationConfiguration": { "description": "Creative optimization configuration for the campaign.", "$ref": "CreativeOptimizationConfiguration" }, "lastModifiedInfo": { "description": "Information about the most recent modification of this campaign. This is a read-only field.", "$ref": "LastModifiedInfo" }, "archived": { "description": "Whether this campaign has been archived.", "type": "boolean" }, "idDimensionValue": { "description": "Dimension value for the ID of this campaign. This is a read-only, auto-generated field.", "$ref": "DimensionValue" } }, "id": "Campaign", "type": "object", "description": "Contains properties of a Campaign Manager campaign." }, "Site": { "id": "Site", "description": "Contains properties of a site.", "properties": { "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this site. This is a read-only, auto-generated field." }, "name": { "type": "string", "description": "Name of this site.This is a required field. Must be less than 128 characters long. If this site is under a subaccount, the name must be unique among sites of the same subaccount. Otherwise, this site is a top-level site, and the name must be unique among top-level sites of the same account." }, "videoSettings": { "description": "Default video settings for new placements created under this site. This value will be used to populate the placements.videoSettings field, when no value is specified for the new placement.", "$ref": "SiteVideoSettings" }, "siteSettings": { "description": "Site-wide settings.", "$ref": "SiteSettings" }, "accountId": { "type": "string", "description": "Account ID of this site. This is a read-only field that can be left blank.", "format": "int64" }, "siteContacts": { "description": "Site contacts.", "type": "array", "items": { "$ref": "SiteContact" } }, "approved": { "type": "boolean", "description": "Whether this site is approved." }, "directorySiteId": { "format": "int64", "type": "string", "description": "Directory site associated with this site. This is a required field that is read-only after insertion." }, "keyName": { "description": "Key name of this site. This is a read-only, auto-generated field.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#site\"." }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this site. This is a read-only field that can be left blank." }, "id": { "type": "string", "description": "ID of this site. This is a read-only, auto-generated field.", "format": "int64" }, "directorySiteIdDimensionValue": { "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" } }, "type": "object" }, "OperatingSystem": { "type": "object", "properties": { "dartId": { "description": "DART ID of this operating system. This is the ID used for targeting.", "type": "string", "format": "int64" }, "desktop": { "type": "boolean", "description": "Whether this operating system is for desktop." }, "name": { "description": "Name of this operating system.", "type": "string" }, "mobile": { "description": "Whether this operating system is for mobile.", "type": "boolean" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystem\"." } }, "description": "Contains information about an operating system that can be targeted by ads.", "id": "OperatingSystem" }, "CreativeFieldValuesListResponse": { "description": "Creative Field Value List Response", "id": "CreativeFieldValuesListResponse", "properties": { "creativeFieldValues": { "type": "array", "items": { "$ref": "CreativeFieldValue" }, "description": "Creative field value collection." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldValuesListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "type": "object" }, "ConversionsBatchUpdateRequest": { "properties": { "encryptionInfo": { "description": "Describes how encryptedUserId is encrypted. This is a required field if encryptedUserId is used.", "$ref": "EncryptionInfo" }, "conversions": { "description": "The set of conversions to update.", "items": { "$ref": "Conversion" }, "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchUpdateRequest\".", "type": "string" } }, "description": "Update Conversions Request.", "id": "ConversionsBatchUpdateRequest", "type": "object" }, "PathReportCompatibleFields": { "properties": { "channelGroupings": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"channelGroupings\" section of the report." }, "metrics": { "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "type": "array", "items": { "$ref": "Metric" } }, "kind": { "description": "The kind of resource this is, in this case dfareporting#pathReportCompatibleFields.", "type": "string" }, "dimensions": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report." }, "pathFilters": { "items": { "$ref": "Dimension" }, "type": "array", "description": "Dimensions which are compatible to be selected in the \"pathFilters\" section of the report." } }, "type": "object", "id": "PathReportCompatibleFields", "description": "Represents fields that are compatible to be selected for a report of type \"PATH\"." }, "LastModifiedInfo": { "properties": { "time": { "type": "string", "description": "Timestamp of the last change in milliseconds since epoch.", "format": "int64" } }, "type": "object", "description": "Modification timestamp.", "id": "LastModifiedInfo" }, "Flight": { "id": "Flight", "description": "Flight", "type": "object", "properties": { "startDate": { "format": "date", "type": "string" }, "rateOrCost": { "description": "Rate or cost of this flight.", "type": "string", "format": "int64" }, "units": { "type": "string", "format": "int64", "description": "Units of this flight." }, "endDate": { "type": "string", "format": "date" } } }, "ReachReportCompatibleFields": { "description": "Represents fields that are compatible to be selected for a report of type \"REACH\".", "properties": { "reachByFrequencyMetrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"reachByFrequencyMetricNames\" section of the report." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#reachReportCompatibleFields." }, "metrics": { "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "type": "array", "items": { "$ref": "Metric" } }, "pivotedActivityMetrics": { "description": "Metrics which are compatible to be selected as activity metrics to pivot on in the \"activities\" section of the report.", "items": { "$ref": "Metric" }, "type": "array" }, "dimensionFilters": { "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "type": "array" }, "dimensions": { "items": { "$ref": "Dimension" }, "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report." } }, "id": "ReachReportCompatibleFields", "type": "object" }, "UserRole": { "id": "UserRole", "properties": { "defaultUserRole": { "description": "Whether this is a default user role. Default user roles are created by the system for the account/subaccount and cannot be modified or deleted. Each default user role comes with a basic set of preassigned permissions.", "type": "boolean" }, "parentUserRoleId": { "format": "int64", "description": "ID of the user role that this user role is based on or copied from. This is a required field.", "type": "string" }, "accountId": { "format": "int64", "description": "Account ID of this user role. This is a read-only field that can be left blank.", "type": "string" }, "id": { "description": "ID of this user role. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRole\".", "type": "string" }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this user role. This is a read-only field that can be left blank.", "type": "string" }, "name": { "type": "string", "description": "Name of this user role. This is a required field. Must be less than 256 characters long. If this user role is under a subaccount, the name must be unique among sites of the same subaccount. Otherwise, this user role is a top-level user role, and the name must be unique among top-level user roles of the same account." }, "permissions": { "type": "array", "description": "List of permissions associated with this user role.", "items": { "$ref": "UserRolePermission" } } }, "type": "object", "description": "Contains properties of auser role, which is used to manage user access." }, "LanguageTargeting": { "properties": { "languages": { "type": "array", "items": { "$ref": "Language" }, "description": "Languages that this ad targets. For each language only languageId is required. The other fields are populated automatically when the ad is inserted or updated." } }, "id": "LanguageTargeting", "description": "Language Targeting.", "type": "object" }, "Metro": { "properties": { "name": { "type": "string", "description": "Name of this metro region." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#metro\"." }, "metroCode": { "type": "string", "description": "Metro code of this metro region. This is equivalent to dma_id." }, "dmaId": { "type": "string", "description": "DMA ID of this metro region. This is the ID used for targeting and generating reports, and is equivalent to metro_code.", "format": "int64" }, "countryCode": { "type": "string", "description": "Country code of the country to which this metro region belongs." }, "dartId": { "format": "int64", "type": "string", "description": "DART ID of this metro region." }, "countryDartId": { "description": "DART ID of the country to which this metro region belongs.", "format": "int64", "type": "string" } }, "description": "Contains information about a metro region that can be targeted by ads.", "type": "object", "id": "Metro" }, "CreativeGroup": { "id": "CreativeGroup", "properties": { "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "groupNumber": { "type": "integer", "format": "int32", "description": "Subgroup of the creative group. Assign your creative groups to a subgroup in order to filter or manage them more easily. This field is required on insertion and is read-only after insertion. Acceptable values are 1 to 2, inclusive." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeGroup\"." }, "accountId": { "type": "string", "description": "Account ID of this creative group. This is a read-only field that can be left blank.", "format": "int64" }, "id": { "format": "int64", "description": "ID of this creative group. This is a read-only, auto-generated field.", "type": "string" }, "advertiserId": { "type": "string", "description": "Advertiser ID of this creative group. This is a required field on insertion.", "format": "int64" }, "subaccountId": { "description": "Subaccount ID of this creative group. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "Name of this creative group. This is a required field and must be less than 256 characters long and unique among creative groups of the same advertiser." } }, "type": "object", "description": "Contains properties of a creative group." }, "ClickThroughUrlSuffixProperties": { "type": "object", "id": "ClickThroughUrlSuffixProperties", "description": "Click Through URL Suffix settings.", "properties": { "clickThroughUrlSuffix": { "type": "string", "description": "Click-through URL suffix to apply to all ads in this entity's scope. Must be less than 128 characters long." }, "overrideInheritedSuffix": { "description": "Whether this entity should override the inherited click-through URL suffix with its own defined value.", "type": "boolean" } } }, "ListPopulationClause": { "type": "object", "description": "A group clause made up of list population terms representing constraints joined by ORs.", "id": "ListPopulationClause", "properties": { "terms": { "description": "Terms of this list population clause. Each clause is made up of list population terms representing constraints and are joined by ORs.", "type": "array", "items": { "$ref": "ListPopulationTerm" } } } }, "Recipient": { "description": "Represents a recipient.", "properties": { "email": { "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "description": "The email address of the recipient.", "type": "string" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#recipient." }, "deliveryType": { "type": "string", "enumDescriptions": [ "", "" ], "description": "The delivery type for the recipient.", "enum": [ "LINK", "ATTACHMENT" ], "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] } } }, "type": "object", "id": "Recipient" }, "ConversionsBatchUpdateResponse": { "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchUpdateResponse\"." }, "hasFailures": { "type": "boolean", "description": "Indicates that some or all conversions failed to update." }, "status": { "description": "The update status of each conversion. Statuses are returned in the same order that conversions are updated.", "items": { "$ref": "ConversionStatus" }, "type": "array" } }, "description": "Update Conversions Response.", "type": "object", "id": "ConversionsBatchUpdateResponse" }, "PricingSchedulePricingPeriod": { "id": "PricingSchedulePricingPeriod", "type": "object", "properties": { "pricingComment": { "type": "string", "description": "Comments for this pricing period." }, "endDate": { "type": "string", "format": "date" }, "units": { "description": "Units of this pricing period. Acceptable values are 0 to 10000000000, inclusive.", "format": "int64", "type": "string" }, "startDate": { "format": "date", "type": "string" }, "rateOrCostNanos": { "format": "int64", "description": "Rate or cost of this pricing period in nanos (i.e., multipled by 1000000000). Acceptable values are 0 to 1000000000000000000, inclusive.", "type": "string" } }, "description": "Pricing Period" }, "RegionsListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#regionsListResponse\".", "type": "string" }, "regions": { "items": { "$ref": "Region" }, "type": "array", "description": "Region collection." } }, "description": "Region List Response", "type": "object", "id": "RegionsListResponse" }, "ConversionError": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionError\".", "type": "string" }, "code": { "enum": [ "INVALID_ARGUMENT", "INTERNAL", "PERMISSION_DENIED", "NOT_FOUND" ], "description": "The error code.", "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "message": { "type": "string", "description": "A description of the error." } }, "type": "object", "description": "The error code and description for a conversion that failed to insert or update.", "id": "ConversionError" }, "Browser": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#browser\".", "type": "string" }, "minorVersion": { "type": "string", "description": "Minor version number (number after first dot on left) of this browser. For example, for Chrome 5.0.375.86 beta, this field should be set to 0. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template upload.sh targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is." }, "majorVersion": { "description": "Major version number (leftmost number) of this browser. For example, for Chrome 5.0.376.86 beta, this field should be set to 5. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template upload.sh targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is.", "type": "string" }, "browserVersionId": { "description": "ID referring to this grouping of browser and version numbers. This is the ID used for targeting.", "format": "int64", "type": "string" }, "name": { "description": "Name of this browser.", "type": "string" }, "dartId": { "format": "int64", "description": "DART ID of this browser. This is the ID used when generating reports.", "type": "string" } }, "description": "Contains information about a browser that can be targeted by ads.", "id": "Browser", "type": "object" }, "LanguagesListResponse": { "description": "Language List Response", "properties": { "languages": { "description": "Language collection.", "type": "array", "items": { "$ref": "Language" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#languagesListResponse\"." } }, "type": "object", "id": "LanguagesListResponse" }, "OffsetPosition": { "description": "Offset Position.", "id": "OffsetPosition", "properties": { "top": { "description": "Offset distance from top side of an asset or a window.", "type": "integer", "format": "int32" }, "left": { "description": "Offset distance from left side of an asset or a window.", "format": "int32", "type": "integer" } }, "type": "object" }, "RichMediaExitOverride": { "description": "Rich Media Exit Override.", "id": "RichMediaExitOverride", "type": "object", "properties": { "clickThroughUrl": { "description": "Click-through URL of this rich media exit override. Applicable if the enabled field is set to true.", "$ref": "ClickThroughUrl" }, "enabled": { "type": "boolean", "description": "Whether to use the clickThroughUrl. If false, the creative-level exit will be used." }, "exitId": { "format": "int64", "description": "ID for the override to refer to a specific exit in the creative.", "type": "string" } } }, "RemarketingListShare": { "type": "object", "id": "RemarketingListShare", "properties": { "sharedAdvertiserIds": { "items": { "type": "string", "format": "int64" }, "description": "Advertisers that the remarketing list is shared with.", "type": "array" }, "sharedAccountIds": { "type": "array", "description": "Accounts that the remarketing list is shared with.", "items": { "type": "string", "format": "int64" } }, "remarketingListId": { "format": "int64", "type": "string", "description": "Remarketing list ID. This is a read-only, auto-generated field." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingListShare\"." } }, "description": "Contains properties of a remarketing list's sharing information. Sharing allows other accounts or advertisers to target to your remarketing lists. This resource can be used to manage remarketing list sharing to other accounts and advertisers." }, "CreativeFieldValue": { "type": "object", "description": "Contains properties of a creative field value.", "id": "CreativeFieldValue", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldValue\".", "type": "string" }, "value": { "type": "string", "description": "Value of this creative field value. It needs to be less than 256 characters in length and unique per creative field." }, "id": { "type": "string", "format": "int64", "description": "ID of this creative field value. This is a read-only, auto-generated field." } } }, "PlacementGroup": { "properties": { "pricingSchedule": { "description": "Pricing schedule of this placement group. This field is required on insertion.", "$ref": "PricingSchedule" }, "directorySiteId": { "description": "Directory site ID associated with this placement group. On insert, you must set either this field or the site_id field to specify the site associated with this placement group. This is a required field that is read-only after insertion.", "format": "int64", "type": "string" }, "externalId": { "description": "External ID for this placement.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementGroup\".", "type": "string" }, "comment": { "type": "string", "description": "Comments for this placement group." }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "activeStatus": { "enum": [ "PLACEMENT_STATUS_UNKNOWN", "PLACEMENT_STATUS_ACTIVE", "PLACEMENT_STATUS_INACTIVE", "PLACEMENT_STATUS_ARCHIVED", "PLACEMENT_STATUS_PERMANENTLY_ARCHIVED" ], "description": "Whether this placement group is active, inactive, archived or permanently archived.", "type": "string", "enumDescriptions": [ "", "", "", "", "" ] }, "siteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field." }, "primaryPlacementId": { "type": "string", "format": "int64", "description": "ID of the primary placement, used to calculate the media cost of a roadblock (placement group). Modifying this field will automatically modify the primary field on all affected roadblock child placements." }, "placementStrategyId": { "description": "ID of the placement strategy assigned to this placement group.", "format": "int64", "type": "string" }, "accountId": { "description": "Account ID of this placement group. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "Name of this placement group. This is a required field and must be less than 256 characters long." }, "id": { "format": "int64", "type": "string", "description": "ID of this placement group. This is a read-only, auto-generated field." }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this placement group. This is a read-only field that can be left blank." }, "siteId": { "description": "Site ID associated with this placement group. On insert, you must set either this field or the directorySiteId field to specify the site associated with this placement group. This is a required field that is read-only after insertion.", "type": "string", "format": "int64" }, "advertiserId": { "description": "Advertiser ID of this placement group. This is a required field on insertion.", "format": "int64", "type": "string" }, "placementGroupType": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLACEMENT_PACKAGE", "PLACEMENT_ROADBLOCK" ], "description": "Type of this placement group. A package is a simple group of placements that acts as a single pricing point for a group of tags. A roadblock is a group of placements that not only acts as a single pricing point, but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned placements to be marked as primary for reporting. This field is required on insertion." }, "primaryPlacementIdDimensionValue": { "description": "Dimension value for the ID of the primary placement. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "childPlacementIds": { "type": "array", "description": "IDs of placements which are assigned to this placement group. This is a read-only, auto-generated field.", "items": { "type": "string", "format": "int64" } }, "lastModifiedInfo": { "$ref": "LastModifiedInfo", "description": "Information about the most recent modification of this placement group. This is a read-only field." }, "contentCategoryId": { "type": "string", "description": "ID of the content category assigned to this placement group.", "format": "int64" }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "directorySiteIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the directory site. This is a read-only, auto-generated field." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this placement group. This is a read-only, auto-generated field." }, "campaignId": { "type": "string", "format": "int64", "description": "Campaign ID of this placement group. This field is required on insertion." }, "createInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this placement group. This is a read-only field." } }, "type": "object", "id": "PlacementGroup", "description": "Contains properties of a package or roadblock." }, "SortedDimension": { "id": "SortedDimension", "type": "object", "properties": { "sortOrder": { "type": "string", "description": "An optional sort order for the dimension column.", "enum": [ "ASCENDING", "DESCENDING" ], "enumDescriptions": [ "", "" ] }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#sortedDimension." }, "name": { "type": "string", "description": "The name of the dimension." } }, "description": "Represents a sorted dimension." }, "ObaIcon": { "id": "ObaIcon", "properties": { "yPosition": { "type": "string", "description": "OBA icon y coordinate position. Accepted values are top or bottom." }, "xPosition": { "type": "string", "description": "OBA icon x coordinate position. Accepted values are left or right." }, "program": { "type": "string", "description": "Identifies the industry initiative that the icon supports. For example, AdChoices." }, "iconClickTrackingUrl": { "type": "string", "description": "URL to track click when an OBA icon is clicked." }, "size": { "description": "OBA icon size.", "$ref": "Size" }, "resourceUrl": { "type": "string", "description": "OBA icon resource URL. Campaign Manager only supports image and JavaScript icons. Learn more" }, "iconClickThroughUrl": { "type": "string", "description": "URL to redirect to when an OBA icon is clicked." }, "iconViewTrackingUrl": { "type": "string", "description": "URL to track view when an OBA icon is clicked." } }, "type": "object", "description": "Online Behavioral Advertiser icon." }, "FileList": { "properties": { "items": { "description": "The files returned in this response.", "items": { "$ref": "File" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through files. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#fileList\".", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "description": "List of files for a report.", "type": "object", "id": "FileList" }, "TagSetting": { "type": "object", "id": "TagSetting", "description": "Tag Settings", "properties": { "includeClickThroughUrls": { "description": "Whether static landing page URLs should be included in the tags. This setting applies only to placements.", "type": "boolean" }, "keywordOption": { "description": "Option specifying how keywords are embedded in ad tags. This setting can be used to specify whether keyword placeholders are inserted in placement tags for this site. Publishers can then add keywords to those placeholders.", "type": "string", "enum": [ "PLACEHOLDER_WITH_LIST_OF_KEYWORDS", "IGNORE", "GENERATE_SEPARATE_TAG_FOR_EACH_KEYWORD" ], "enumDescriptions": [ "", "", "" ] }, "includeClickTracking": { "description": "Whether click-tracking string should be included in the tags.", "type": "boolean" }, "additionalKeyValues": { "description": "Additional key-values to be included in tags. Each key-value pair must be of the form key=value, and pairs must be separated by a semicolon (;). Keys and values must not contain commas. For example, id=2;color=red is a valid value for this field.", "type": "string" } } }, "PlacementsGenerateTagsResponse": { "id": "PlacementsGenerateTagsResponse", "description": "Placement GenerateTags Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementsGenerateTagsResponse\"." }, "placementTags": { "description": "Set of generated tags for the specified placements.", "items": { "$ref": "PlacementTag" }, "type": "array" } }, "type": "object" }, "Order": { "description": "Describes properties of a Planning order.", "type": "object", "properties": { "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this order." }, "approverUserProfileIds": { "type": "array", "description": "IDs for users that have to approve documents created for this order.", "items": { "type": "string", "format": "int64" } }, "sellerOrderId": { "type": "string", "description": "Seller order ID associated with this order." }, "projectId": { "type": "string", "description": "Project ID of this order.", "format": "int64" }, "lastModifiedInfo": { "description": "Information about the most recent modification of this order.", "$ref": "LastModifiedInfo" }, "planningTermId": { "description": "ID of the terms and conditions template used in this order.", "format": "int64", "type": "string" }, "id": { "type": "string", "description": "ID of this order. This is a read-only, auto-generated field.", "format": "int64" }, "termsAndConditions": { "type": "string", "description": "Terms and conditions of this order." }, "buyerOrganizationName": { "type": "string", "description": "Name of the buyer organization." }, "contacts": { "description": "Contacts for this order.", "items": { "$ref": "OrderContact" }, "type": "array" }, "comments": { "type": "string", "description": "Comments in this order." }, "siteId": { "description": "Site IDs this order is associated with.", "type": "array", "items": { "type": "string", "format": "int64" } }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this order." }, "sellerOrganizationName": { "description": "Name of the seller organization.", "type": "string" }, "name": { "description": "Name of this order.", "type": "string" }, "notes": { "type": "string", "description": "Notes of this order." }, "siteNames": { "type": "array", "description": "Free-form site names this order is associated with.", "items": { "type": "string" } }, "buyerInvoiceId": { "type": "string", "description": "Buyer invoice ID associated with this order." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this order." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#order\".", "type": "string" } }, "id": "Order" }, "CustomFloodlightVariable": { "properties": { "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "description": "The type of custom floodlight variable to supply a value for. These map to the \"u[1-20]=\" in the tags.", "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ] }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#customFloodlightVariable\".", "type": "string" }, "value": { "description": "The value of the custom floodlight variable. The length of string must not exceed 100 characters.", "type": "string" } }, "id": "CustomFloodlightVariable", "description": "A custom floodlight variable. This field may only be used when calling batchinsert; it is not supported by batchupdate.", "type": "object" }, "ThirdPartyTrackingUrl": { "id": "ThirdPartyTrackingUrl", "properties": { "url": { "description": "URL for the specified third-party URL type.", "type": "string" }, "thirdPartyUrlType": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "IMPRESSION", "CLICK_TRACKING", "VIDEO_START", "VIDEO_FIRST_QUARTILE", "VIDEO_MIDPOINT", "VIDEO_THIRD_QUARTILE", "VIDEO_COMPLETE", "VIDEO_MUTE", "VIDEO_PAUSE", "VIDEO_REWIND", "VIDEO_FULLSCREEN", "VIDEO_STOP", "VIDEO_CUSTOM", "SURVEY", "RICH_MEDIA_IMPRESSION", "RICH_MEDIA_RM_IMPRESSION", "RICH_MEDIA_BACKUP_IMPRESSION", "VIDEO_SKIP", "VIDEO_PROGRESS" ], "description": "Third-party URL type for in-stream video and in-stream audio creatives." } }, "description": "Third-party Tracking URL.", "type": "object" }, "TagSettings": { "id": "TagSettings", "description": "Dynamic and Image Tag Settings.", "properties": { "dynamicTagEnabled": { "description": "Whether dynamic floodlight tags are enabled.", "type": "boolean" }, "imageTagEnabled": { "description": "Whether image tags are enabled.", "type": "boolean" } }, "type": "object" }, "DirectorySiteSettings": { "description": "Directory Site Settings", "id": "DirectorySiteSettings", "type": "object", "properties": { "instreamVideoPlacementAccepted": { "description": "Whether this site accepts in-stream video ads.", "type": "boolean" }, "dfpSettings": { "$ref": "DfpSettings", "description": "Directory site Ad Manager settings." }, "interstitialPlacementAccepted": { "description": "Whether this site accepts interstitial ads.", "type": "boolean" }, "activeViewOptOut": { "type": "boolean", "description": "Whether this directory site has disabled active view creatives." } } }, "Metric": { "description": "Represents a metric.", "type": "object", "properties": { "name": { "type": "string", "description": "The metric name, e.g. dfa:impressions" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#metric.", "type": "string" } }, "id": "Metric" }, "Report": { "id": "Report", "type": "object", "properties": { "pathToConversionCriteria": { "properties": { "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "customFloodlightVariables": { "description": "The list of custom floodlight variables the report should include.", "items": { "$ref": "SortedDimension" }, "type": "array" }, "conversionDimensions": { "type": "array", "items": { "$ref": "SortedDimension" }, "description": "The list of conversion dimensions the report should include." }, "floodlightConfigId": { "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'.", "$ref": "DimensionValue" }, "reportProperties": { "properties": { "includeAttributedIPConversions": { "type": "boolean", "description": "Deprecated: has no effect." }, "maximumInteractionGap": { "type": "integer", "format": "int32", "description": "The maximum amount of time that can take place between interactions (clicks or impressions) by the same user. Valid values: 1-90." }, "includeUnattributedCookieConversions": { "description": "Include conversions of users with a DoubleClick cookie but without an exposure. That means the user did not click or see an ad from the advertiser within the Floodlight group, or that the interaction happened outside the lookback window.", "type": "boolean" }, "clicksLookbackWindow": { "format": "int32", "description": "CM360 checks to see if a click interaction occurred within the specified period of time before a conversion. By default the value is pulled from Floodlight or you can manually enter a custom value. Valid values: 1-90.", "type": "integer" }, "maximumImpressionInteractions": { "type": "integer", "description": "The maximum number of click interactions to include in the report. Advertisers currently paying for E2C reports get up to 200 (100 clicks, 100 impressions). If another advertiser in your network is paying for E2C, you can have up to 5 total exposures per report.", "format": "int32" }, "maximumClickInteractions": { "type": "integer", "format": "int32", "description": "The maximum number of click interactions to include in the report. Advertisers currently paying for E2C reports get up to 200 (100 clicks, 100 impressions). If another advertiser in your network is paying for E2C, you can have up to 5 total exposures per report." }, "includeUnattributedIPConversions": { "description": "Include conversions that have no associated cookies and no exposures. It’s therefore impossible to know how the user was exposed to your ads during the lookback window prior to a conversion.", "type": "boolean" }, "impressionsLookbackWindow": { "type": "integer", "format": "int32", "description": "CM360 checks to see if an impression interaction occurred within the specified period of time before a conversion. By default the value is pulled from Floodlight or you can manually enter a custom value. Valid values: 1-90." }, "pivotOnInteractionPath": { "description": "Enable pivoting on interaction path.", "type": "boolean" } }, "description": "The properties of the report.", "type": "object" }, "activityFilters": { "items": { "$ref": "DimensionValue" }, "description": "The list of 'dfa:activity' values to filter on.", "type": "array" }, "customRichMediaEvents": { "type": "array", "items": { "$ref": "DimensionValue" }, "description": "The list of custom rich media events to include." }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." }, "perInteractionDimensions": { "description": "The list of per interaction dimensions the report should include.", "items": { "$ref": "SortedDimension" }, "type": "array" } }, "description": "The report criteria for a report of type \"PATH_TO_CONVERSION\".", "type": "object" }, "type": { "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "enum": [ "STANDARD", "REACH", "PATH_TO_CONVERSION", "CROSS_DIMENSION_REACH", "FLOODLIGHT", "PATH", "PATH_ATTRIBUTION" ], "description": "The type of the report.", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "" ] }, "crossDimensionReachCriteria": { "type": "object", "description": "The report criteria for a report of type \"CROSS_DIMENSION_REACH\".", "properties": { "dimensionFilters": { "description": "The list of filters on which dimensions are filtered.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "pivoted": { "type": "boolean", "description": "Whether the report is pivoted or not. Defaults to true." }, "breakdown": { "description": "The list of dimensions the report should include.", "items": { "$ref": "SortedDimension" }, "type": "array" }, "dimension": { "enum": [ "ADVERTISER", "CAMPAIGN", "SITE_BY_ADVERTISER", "SITE_BY_CAMPAIGN" ], "description": "The dimension option.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "overlapMetricNames": { "description": "The list of names of overlap metrics the report should include.", "type": "array", "items": { "type": "string" } }, "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." }, "metricNames": { "description": "The list of names of metrics the report should include.", "type": "array", "items": { "type": "string" } } } }, "pathCriteria": { "properties": { "floodlightConfigId": { "$ref": "DimensionValue", "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'." }, "customChannelGrouping": { "$ref": "ChannelGrouping", "description": "Channel Grouping." }, "activityFilters": { "items": { "$ref": "DimensionValue" }, "description": "The list of 'dfa:activity' values to filter on.", "type": "array" }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." }, "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "dimensions": { "description": "The list of dimensions the report should include.", "items": { "$ref": "SortedDimension" }, "type": "array" }, "pathFilters": { "items": { "$ref": "PathFilter" }, "type": "array", "description": "Path Filters." } }, "description": "The report criteria for a report of type \"PATH\".", "type": "object" }, "format": { "description": "The output format of the report. If not specified, default format is \"CSV\". Note that the actual format in the completed report file might differ if for instance the report's size exceeds the format's capabilities. \"CSV\" will then be the fallback format.", "type": "string", "enum": [ "CSV", "EXCEL" ], "enumDescriptions": [ "", "" ] }, "criteria": { "type": "object", "properties": { "activities": { "description": "Activity group.", "$ref": "Activities" }, "dimensionFilters": { "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "dateRange": { "description": "The date range for which this report should be run.", "$ref": "DateRange" }, "dimensions": { "items": { "$ref": "SortedDimension" }, "type": "array", "description": "The list of standard dimensions the report should include." }, "metricNames": { "type": "array", "description": "The list of names of metrics the report should include.", "items": { "type": "string" } }, "customRichMediaEvents": { "$ref": "CustomRichMediaEvents", "description": "Custom Rich Media Events group." } }, "description": "The report criteria for a report of type \"STANDARD\"." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#report.", "type": "string" }, "id": { "type": "string", "description": "The unique ID identifying this report resource.", "annotations": { "required": [ "dfareporting.reports.update" ] }, "format": "int64" }, "fileName": { "description": "The filename used when generating report files for this report.", "type": "string" }, "subAccountId": { "format": "int64", "type": "string", "description": "The subaccount ID to which this report belongs if applicable." }, "accountId": { "type": "string", "format": "int64", "annotations": { "required": [ "dfareporting.reports.update" ] }, "description": "The account ID to which this report belongs." }, "pathAttributionCriteria": { "type": "object", "properties": { "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." }, "customChannelGrouping": { "description": "Channel Grouping.", "$ref": "ChannelGrouping" }, "activityFilters": { "description": "The list of 'dfa:activity' values to filter on.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "dimensions": { "type": "array", "description": "The list of dimensions the report should include.", "items": { "$ref": "SortedDimension" } }, "metricNames": { "type": "array", "items": { "type": "string" }, "description": "The list of names of metrics the report should include." }, "pathFilters": { "description": "Path Filters.", "type": "array", "items": { "$ref": "PathFilter" } }, "floodlightConfigId": { "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'.", "$ref": "DimensionValue" } }, "description": "The report criteria for a report of type \"PATH_ATTRIBUTION\"." }, "reachCriteria": { "description": "The report criteria for a report of type \"REACH\".", "type": "object", "properties": { "reachByFrequencyMetricNames": { "items": { "type": "string" }, "type": "array", "description": "The list of names of Reach By Frequency metrics the report should include." }, "dateRange": { "description": "The date range this report should be run for.", "$ref": "DateRange" }, "customRichMediaEvents": { "$ref": "CustomRichMediaEvents", "description": "Custom Rich Media Events group." }, "dimensionFilters": { "items": { "$ref": "DimensionValue" }, "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed.", "type": "array" }, "enableAllDimensionCombinations": { "type": "boolean", "description": "Whether to enable all reach dimension combinations in the report. Defaults to false. If enabled, the date range of the report should be within the last 42 days." }, "metricNames": { "items": { "type": "string" }, "type": "array", "description": "The list of names of metrics the report should include." }, "dimensions": { "type": "array", "description": "The list of dimensions the report should include.", "items": { "$ref": "SortedDimension" } }, "activities": { "$ref": "Activities", "description": "Activity group." } } }, "etag": { "description": "The eTag of this response for caching purposes.", "type": "string" }, "name": { "type": "string", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "description": "The name of the report." }, "floodlightCriteria": { "description": "The report criteria for a report of type \"FLOODLIGHT\".", "properties": { "metricNames": { "description": "The list of names of metrics the report should include.", "type": "array", "items": { "type": "string" } }, "dimensionFilters": { "description": "The list of filters on which dimensions are filtered. Filters for different dimensions are ANDed, filters for the same dimension are grouped together and ORed.", "items": { "$ref": "DimensionValue" }, "type": "array" }, "floodlightConfigId": { "$ref": "DimensionValue", "description": "The floodlight ID for which to show data in this report. All advertisers associated with that ID will automatically be added. The dimension of the value needs to be 'dfa:floodlightConfigId'." }, "reportProperties": { "description": "The properties of the report.", "properties": { "includeUnattributedCookieConversions": { "description": "Include conversions of users with a DoubleClick cookie but without an exposure. That means the user did not click or see an ad from the advertiser within the Floodlight group, or that the interaction happened outside the lookback window.", "type": "boolean" }, "includeAttributedIPConversions": { "type": "boolean", "description": "Include conversions that have no cookie, but do have an exposure path." }, "includeUnattributedIPConversions": { "description": "Include conversions that have no associated cookies and no exposures. It’s therefore impossible to know how the user was exposed to your ads during the lookback window prior to a conversion.", "type": "boolean" } }, "type": "object" }, "dimensions": { "items": { "$ref": "SortedDimension" }, "description": "The list of dimensions the report should include.", "type": "array" }, "customRichMediaEvents": { "description": "The list of custom rich media events to include.", "type": "array", "items": { "$ref": "DimensionValue" } }, "dateRange": { "$ref": "DateRange", "description": "The date range this report should be run for." } }, "type": "object" }, "schedule": { "description": "The report's schedule. Can only be set if the report's 'dateRange' is a relative date range and the relative date range is not \"TODAY\".", "properties": { "every": { "type": "integer", "format": "int32", "description": "Defines every how many days, weeks or months the report should be run. Needs to be set when \"repeats\" is either \"DAILY\", \"WEEKLY\" or \"MONTHLY\"." }, "expirationDate": { "format": "date", "type": "string" }, "repeatsOnWeekDays": { "items": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "enum": [ "SUNDAY", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY" ], "type": "string" }, "description": "List of week days \"WEEKLY\" on which scheduled reports should run.", "type": "array" }, "startDate": { "format": "date", "type": "string" }, "runsOnDayOfMonth": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "DAY_OF_MONTH", "WEEK_OF_MONTH" ], "description": "Enum to define for \"MONTHLY\" scheduled reports whether reports should be repeated on the same day of the month as \"startDate\" or the same day of the week of the month. Example: If 'startDate' is Monday, April 2nd 2012 (2012-04-02), \"DAY_OF_MONTH\" would run subsequent reports on the 2nd of every Month, and \"WEEK_OF_MONTH\" would run subsequent reports on the first Monday of the month." }, "active": { "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] }, "type": "boolean", "description": "Whether the schedule is active or not. Must be set to either true or false." }, "repeats": { "description": "The interval for which the report is repeated. Note: - \"DAILY\" also requires field \"every\" to be set. - \"WEEKLY\" also requires fields \"every\" and \"repeatsOnWeekDays\" to be set. - \"MONTHLY\" also requires fields \"every\" and \"runsOnDayOfMonth\" to be set. ", "type": "string", "annotations": { "required": [ "dfareporting.reports.insert", "dfareporting.reports.update" ] } } }, "type": "object" }, "lastModifiedTime": { "format": "uint64", "type": "string", "annotations": { "required": [ "dfareporting.reports.update" ] }, "description": "The timestamp (in milliseconds since epoch) of when this report was last modified." }, "delivery": { "description": "The report's email delivery settings.", "type": "object", "properties": { "emailOwner": { "type": "boolean", "description": "Whether the report should be emailed to the report owner." }, "message": { "description": "The message to be sent with each email.", "type": "string" }, "emailOwnerDeliveryType": { "description": "The type of delivery for the owner to receive, if enabled.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "LINK", "ATTACHMENT" ] }, "recipients": { "description": "The list of recipients to which to email the report.", "items": { "$ref": "Recipient" }, "type": "array" } } }, "ownerProfileId": { "description": "The user profile id of the owner of this report.", "annotations": { "required": [ "dfareporting.reports.update" ] }, "type": "string", "format": "int64" } }, "description": "Represents a Report resource." }, "ReportList": { "type": "object", "properties": { "nextPageToken": { "description": "Continuation token used to page through reports. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted.", "type": "string" }, "kind": { "type": "string", "description": "The kind of list this is, in this case dfareporting#reportList." }, "etag": { "type": "string", "description": "The eTag of this response for caching purposes." }, "items": { "type": "array", "items": { "$ref": "Report" }, "description": "The reports returned in this response." } }, "id": "ReportList", "description": "Represents the list of reports." }, "CustomViewabilityMetricConfiguration": { "properties": { "timePercent": { "description": "The percentage of video that must play for the Custom Viewability Metric to count an impression. If both this and timeMillis are specified, the earlier of the two will be used.", "format": "int32", "type": "integer" }, "timeMillis": { "description": "The time in milliseconds the video must play for the Custom Viewability Metric to count an impression. If both this and timePercent are specified, the earlier of the two will be used.", "type": "integer", "format": "int32" }, "viewabilityPercent": { "description": "The percentage of video that must be on screen for the Custom Viewability Metric to count an impression.", "type": "integer", "format": "int32" }, "audible": { "type": "boolean", "description": "Whether the video must be audible to count an impression." } }, "id": "CustomViewabilityMetricConfiguration", "description": "The attributes, like playtime and percent onscreen, that define the Custom Viewability Metric.", "type": "object" }, "OrderDocument": { "type": "object", "properties": { "approvedByUserProfileIds": { "type": "array", "description": "IDs of users who have approved this order document.", "items": { "type": "string", "format": "int64" } }, "amendedOrderDocumentId": { "description": "The amended order document ID of this order document. An order document can be created by optionally amending another order document so that the change history can be preserved.", "format": "int64", "type": "string" }, "title": { "description": "Title of this order document.", "type": "string" }, "id": { "format": "int64", "type": "string", "description": "ID of this order document." }, "effectiveDate": { "type": "string", "format": "date" }, "signed": { "description": "Whether this order document has been signed.", "type": "boolean" }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this order document.", "type": "string" }, "createdInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this order document." }, "cancelled": { "type": "boolean", "description": "Whether this order document is cancelled." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this order document." }, "orderId": { "type": "string", "format": "int64", "description": "ID of the order from which this order document is created." }, "advertiserId": { "format": "int64", "type": "string", "description": "Advertiser ID of this order document." }, "projectId": { "format": "int64", "type": "string", "description": "Project ID of this order document." }, "type": { "description": "Type of this order document", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "PLANNING_ORDER_TYPE_INSERTION_ORDER", "PLANNING_ORDER_TYPE_CHANGE_ORDER" ] }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#orderDocument\".", "type": "string" }, "lastSentRecipients": { "items": { "type": "string" }, "description": "List of email addresses that received the last sent document.", "type": "array" }, "lastSentTime": { "type": "string", "format": "date-time" } }, "description": "Contains properties of a Planning order document.", "id": "OrderDocument" }, "CreativeGroupAssignment": { "properties": { "creativeGroupNumber": { "enum": [ "CREATIVE_GROUP_ONE", "CREATIVE_GROUP_TWO" ], "type": "string", "description": "Creative group number of the creative group assignment.", "enumDescriptions": [ "", "" ] }, "creativeGroupId": { "type": "string", "description": "ID of the creative group to be assigned.", "format": "int64" } }, "description": "Creative Group Assignment.", "type": "object", "id": "CreativeGroupAssignment" }, "AudienceSegment": { "description": "Audience Segment.", "id": "AudienceSegment", "properties": { "name": { "description": "Name of this audience segment. This is a required field and must be less than 65 characters long.", "type": "string" }, "allocation": { "format": "int32", "description": "Weight allocated to this segment. The weight assigned will be understood in proportion to the weights assigned to other segments in the same segment group. Acceptable values are 1 to 1000, inclusive.", "type": "integer" }, "id": { "description": "ID of this audience segment. This is a read-only, auto-generated field.", "type": "string", "format": "int64" } }, "type": "object" }, "TranscodeSetting": { "id": "TranscodeSetting", "description": "Transcode Settings", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#transcodeSetting\"." }, "enabledVideoFormats": { "items": { "type": "integer", "format": "int32" }, "type": "array", "description": "Allowlist of video formats to be served to this placement. Set this list to null or empty to serve all video formats." } } }, "SitesListResponse": { "id": "SitesListResponse", "description": "Site List Response", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#sitesListResponse\".", "type": "string" }, "sites": { "items": { "$ref": "Site" }, "description": "Site collection.", "type": "array" } }, "type": "object" }, "EncryptionInfo": { "properties": { "encryptionEntityType": { "type": "string", "enum": [ "ENCRYPTION_ENTITY_TYPE_UNKNOWN", "DCM_ACCOUNT", "DCM_ADVERTISER", "DBM_PARTNER", "DBM_ADVERTISER", "ADWORDS_CUSTOMER", "DFP_NETWORK_CODE" ], "enumDescriptions": [ "", "", "", "", "", "", "" ], "description": "The encryption entity type. This should match the encryption configuration for ad serving or Data Transfer." }, "encryptionEntityId": { "description": "The encryption entity ID. This should match the encryption configuration for ad serving or Data Transfer.", "type": "string", "format": "int64" }, "encryptionSource": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "ENCRYPTION_SCOPE_UNKNOWN", "AD_SERVING", "DATA_TRANSFER" ], "description": "Describes whether the encrypted cookie was received from ad serving (the %m macro) or from Data Transfer." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#encryptionInfo\".", "type": "string" } }, "type": "object", "description": "A description of how user IDs are encrypted.", "id": "EncryptionInfo" }, "CustomRichMediaEvents": { "type": "object", "id": "CustomRichMediaEvents", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#customRichMediaEvents.", "type": "string" }, "filteredEventIds": { "description": "List of custom rich media event IDs. Dimension values must be all of type dfa:richMediaEventTypeIdAndName.", "type": "array", "items": { "$ref": "DimensionValue" } } }, "description": "Represents a Custom Rich Media Events group." }, "Ad": { "properties": { "idDimensionValue": { "description": "Dimension value for the ID of this ad. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "size": { "description": "Size of this ad. Applicable when type is AD_SERVING_DEFAULT_AD.", "$ref": "Size" }, "audienceSegmentId": { "type": "string", "description": "Audience segment ID that is being targeted for this ad. Applicable when type is AD_SERVING_STANDARD_AD.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#ad\"." }, "lastModifiedInfo": { "description": "Information about the most recent modification of this ad. This is a read-only field.", "$ref": "LastModifiedInfo" }, "dayPartTargeting": { "$ref": "DayPartTargeting", "description": "Time and day targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "dynamicClickTracker": { "description": "Whether this ad is a dynamic click tracker. Applicable when type is AD_SERVING_CLICK_TRACKER. This is a required field on insert, and is read-only after insert.", "type": "boolean" }, "archived": { "type": "boolean", "description": "Whether this ad is archived. When true, active must be false." }, "createInfo": { "$ref": "LastModifiedInfo", "description": "Information about the creation of this ad. This is a read-only field." }, "keyValueTargetingExpression": { "description": "Key-value targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "KeyValueTargetingExpression" }, "technologyTargeting": { "$ref": "TechnologyTargeting", "description": "Technology platform targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "deliverySchedule": { "$ref": "DeliverySchedule", "description": "Delivery schedule information for this ad. Applicable when type is AD_SERVING_STANDARD_AD or AD_SERVING_TRACKING. This field along with subfields priority and impressionRatio are required on insertion when type is AD_SERVING_STANDARD_AD." }, "compatibility": { "description": "Compatibility of this ad. Applicable when type is AD_SERVING_DEFAULT_AD. DISPLAY and DISPLAY_INTERSTITIAL refer to either rendering on desktop or on mobile devices or in mobile apps for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are only used for existing default ads. New mobile placements must be assigned DISPLAY or DISPLAY_INTERSTITIAL and default ads created for those placements will be limited to those compatibility types. IN_STREAM_VIDEO refers to rendering in-stream video ads developed with the VAST standard.", "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ] }, "clickThroughUrl": { "description": "Click-through URL for this ad. This is a required field on insertion. Applicable when type is AD_SERVING_CLICK_TRACKER.", "$ref": "ClickThroughUrl" }, "languageTargeting": { "description": "Language targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "LanguageTargeting" }, "advertiserId": { "description": "Advertiser ID of this ad. This is a required field on insertion.", "type": "string", "format": "int64" }, "targetingTemplateId": { "format": "int64", "type": "string", "description": "Targeting template ID, used to apply preconfigured targeting information to this ad. This cannot be set while any of dayPartTargeting, geoTargeting, keyValueTargetingExpression, languageTargeting, remarketingListExpression, or technologyTargeting are set. Applicable when type is AD_SERVING_STANDARD_AD." }, "active": { "description": "Whether this ad is active. When true, archived must be false.", "type": "boolean" }, "placementAssignments": { "description": "Placement assignments for this ad.", "type": "array", "items": { "$ref": "PlacementAssignment" } }, "accountId": { "description": "Account ID of this ad. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "id": { "type": "string", "description": "ID of this ad. This is a read-only, auto-generated field.", "format": "int64" }, "comments": { "description": "Comments for this ad.", "type": "string" }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "clickThroughUrlSuffixProperties": { "description": "Click-through URL suffix properties for this ad. Applies to the URL in the ad or (if overriding ad properties) the URL in the creative.", "$ref": "ClickThroughUrlSuffixProperties" }, "startTime": { "type": "string", "format": "date-time" }, "campaignId": { "type": "string", "format": "int64", "description": "Campaign ID of this ad. This is a required field on insertion." }, "type": { "enumDescriptions": [ "", "", "", "", "" ], "description": "Type of ad. This is a required field on insertion. Note that default ads ( AD_SERVING_DEFAULT_AD) cannot be created directly (see Creative resource).", "enum": [ "AD_SERVING_STANDARD_AD", "AD_SERVING_DEFAULT_AD", "AD_SERVING_CLICK_TRACKER", "AD_SERVING_TRACKING", "AD_SERVING_BRAND_SAFE_AD" ], "type": "string" }, "defaultClickThroughEventTagProperties": { "description": "Default click-through event tag properties for this ad.", "$ref": "DefaultClickThroughEventTagProperties" }, "sslRequired": { "description": "Whether this ad requires ssl. This is a read-only field that is auto-generated when the ad is inserted or updated.", "type": "boolean" }, "subaccountId": { "description": "Subaccount ID of this ad. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "name": { "description": "Name of this ad. This is a required field and must be less than 256 characters long.", "type": "string" }, "endTime": { "type": "string", "format": "date-time" }, "eventTagOverrides": { "type": "array", "description": "Event tag overrides for this ad.", "items": { "$ref": "EventTagOverride" } }, "geoTargeting": { "$ref": "GeoTargeting", "description": "Geographical targeting information for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD." }, "remarketingListExpression": { "description": "Remarketing list targeting expression for this ad. This field must be left blank if the ad is using a targeting template. Applicable when type is AD_SERVING_STANDARD_AD.", "$ref": "ListTargetingExpression" }, "creativeRotation": { "description": "Creative rotation for this ad. Applicable when type is AD_SERVING_DEFAULT_AD, AD_SERVING_STANDARD_AD, or AD_SERVING_TRACKING. When type is AD_SERVING_DEFAULT_AD, this field should have exactly one creativeAssignment .", "$ref": "CreativeRotation" }, "sslCompliant": { "type": "boolean", "description": "Whether this ad is ssl compliant. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "creativeGroupAssignments": { "description": "Creative group assignments for this ad. Applicable when type is AD_SERVING_CLICK_TRACKER. Only one assignment per creative group number is allowed for a maximum of two assignments.", "items": { "$ref": "CreativeGroupAssignment" }, "type": "array" } }, "id": "Ad", "description": "Contains properties of a Campaign Manager ad.", "type": "object" }, "RemarketingListsListResponse": { "type": "object", "description": "Remarketing list response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingListsListResponse\".", "type": "string" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "remarketingLists": { "items": { "$ref": "RemarketingList" }, "type": "array", "description": "Remarketing list collection." } }, "id": "RemarketingListsListResponse" }, "LandingPage": { "type": "object", "id": "LandingPage", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#landingPage\"." }, "name": { "type": "string", "description": "Name of this landing page. This is a required field. It must be less than 256 characters long." }, "archived": { "description": "Whether this landing page has been archived.", "type": "boolean" }, "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this landing page. This is a required field." }, "id": { "description": "ID of this landing page. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "url": { "description": "URL of this landing page. This is a required field.", "type": "string" }, "deepLinks": { "description": "Links that will direct the user to a mobile app, if installed.", "type": "array", "items": { "$ref": "DeepLink" } } }, "description": "Contains information about where a user's browser is taken after the user clicks an ad." }, "BillingRate": { "id": "BillingRate", "properties": { "id": { "description": "ID of this billing rate.", "format": "int64", "type": "string" }, "tieredRates": { "type": "array", "items": { "$ref": "BillingRateTieredRate" }, "description": "Tiered rate of this billing rate. This cannot co-exist with flat rate." }, "type": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "AD_SERVING", "CLICKS", "MINIMUM_SERVICE", "PATH_TO_CONVERSION", "RICH_MEDIA_INPAGE", "RICH_MEDIA_EXPANDING", "RICH_MEDIA_FLOATING", "RICH_MEDIA_VIDEO", "RICH_MEDIA_TEASER", "RICH_MEDIA_VPAID", "INSTREAM_VIDEO", "PIXEL", "TRACKING", "TRAFFICKING_FEATURE", "CUSTOM_REPORTS", "EXPOSURE_TO_CONVERSION", "DATA_TRANSFER", "DATA_TRANSFER_SETUP", "STARTUP", "STATEMENT_OF_WORK", "PROVIDED_LIST", "PROVIDED_LIST_SETUP", "ENHANCED_FORMATS", "TRACKING_AD_IMPRESSIONS", "TRACKING_AD_CLICKS", "NIELSEN_DIGITAL_AD_RATINGS_FEE", "INSTREAM_VIDEO_REDIRECT", "INSTREAM_VIDEO_VPAID", "DISPLAY_AD_SERVING", "VIDEO_AD_SERVING", "AUDIO_AD_SERVING", "ADVANCED_DISPLAY_AD_SERVING" ], "description": "Type of this billing rate.", "type": "string" }, "rateInMicros": { "format": "int64", "description": "Flat rate in micros of this billing rate. This cannot co-exist with tiered rate.", "type": "string" }, "currencyCode": { "type": "string", "description": "Billing currency code in ISO 4217 format." }, "endDate": { "description": "End date of this billing rate.", "type": "string" }, "startDate": { "description": "Start date of this billing rate.", "type": "string" }, "unitOfMeasure": { "type": "string", "enum": [ "CPM", "CPC", "EA", "P2C" ], "enumDescriptions": [ "", "", "", "" ], "description": "Unit of measure for this billing rate." }, "name": { "description": "Name of this billing rate. This must be less than 256 characters long.", "type": "string" } }, "type": "object" }, "DimensionValueList": { "description": "Represents the list of DimensionValue resources.", "type": "object", "id": "DimensionValueList", "properties": { "kind": { "type": "string", "description": "The kind of list this is, in this case dfareporting#dimensionValueList." }, "etag": { "description": "The eTag of this response for caching purposes.", "type": "string" }, "items": { "description": "The dimension values returned in this response.", "type": "array", "items": { "$ref": "DimensionValue" } }, "nextPageToken": { "type": "string", "description": "Continuation token used to page through dimension values. To retrieve the next page of results, set the next request's \"pageToken\" to the value of this field. The page token is only valid for a limited amount of time and should not be persisted." } } }, "City": { "id": "City", "properties": { "dartId": { "type": "string", "format": "int64", "description": "DART ID of this city. This is the ID used for targeting and generating reports." }, "countryCode": { "type": "string", "description": "Country code of the country to which this city belongs." }, "metroCode": { "type": "string", "description": "Metro region code of the metro region (DMA) to which this city belongs." }, "metroDmaId": { "description": "ID of the metro region (DMA) to which this city belongs.", "format": "int64", "type": "string" }, "regionCode": { "type": "string", "description": "Region code of the region to which this city belongs." }, "name": { "description": "Name of this city.", "type": "string" }, "regionDartId": { "type": "string", "description": "DART ID of the region to which this city belongs.", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#city\"." }, "countryDartId": { "type": "string", "format": "int64", "description": "DART ID of the country to which this city belongs." } }, "description": "Contains information about a city that can be targeted by ads.", "type": "object" }, "DynamicTargetingKeysListResponse": { "type": "object", "description": "Dynamic Targeting Key List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#dynamicTargetingKeysListResponse\".", "type": "string" }, "dynamicTargetingKeys": { "type": "array", "items": { "$ref": "DynamicTargetingKey" }, "description": "Dynamic targeting key collection." } }, "id": "DynamicTargetingKeysListResponse" }, "AudienceSegmentGroup": { "id": "AudienceSegmentGroup", "properties": { "id": { "type": "string", "format": "int64", "description": "ID of this audience segment group. This is a read-only, auto-generated field." }, "name": { "description": "Name of this audience segment group. This is a required field and must be less than 65 characters long.", "type": "string" }, "audienceSegments": { "items": { "$ref": "AudienceSegment" }, "type": "array", "description": "Audience segments assigned to this group. The number of segments must be between 2 and 100." } }, "type": "object", "description": "Audience Segment Group." }, "DfpSettings": { "description": "Google Ad Manager Settings", "id": "DfpSettings", "type": "object", "properties": { "pubPaidPlacementAccepted": { "description": "Whether this directory site accepts publisher-paid tags.", "type": "boolean" }, "publisherPortalOnly": { "type": "boolean", "description": "Whether this directory site is available only via Publisher Portal." }, "programmaticPlacementAccepted": { "type": "boolean", "description": "Whether this directory site accepts programmatic placements." }, "dfpNetworkName": { "type": "string", "description": "Ad Manager network name for this directory site." }, "dfpNetworkCode": { "description": "Ad Manager network code for this directory site.", "type": "string" } } }, "Activities": { "properties": { "filters": { "description": "List of activity filters. The dimension values need to be all either of type \"dfa:activity\" or \"dfa:activityGroup\".", "items": { "$ref": "DimensionValue" }, "type": "array" }, "metricNames": { "items": { "type": "string" }, "description": "List of names of floodlight activity metrics.", "type": "array" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#activities.", "type": "string" } }, "description": "Represents an activity group.", "type": "object", "id": "Activities" }, "UserDefinedVariableConfiguration": { "type": "object", "properties": { "reportName": { "description": "User-friendly name for the variable which will appear in reports. This is a required field, must be less than 64 characters long, and cannot contain the following characters: \"\"\u003c\u003e\".", "type": "string" }, "dataType": { "enum": [ "STRING", "NUMBER" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Data type for the variable. This is a required field." }, "variableType": { "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "description": "Variable name in the tag. This is a required field." } }, "id": "UserDefinedVariableConfiguration", "description": "User Defined Variable configuration." }, "SiteCompanionSetting": { "properties": { "enabledSizes": { "description": "Allowlist of companion sizes to be served via this site template. Set this list to null or empty to serve all companion sizes.", "type": "array", "items": { "$ref": "Size" } }, "imageOnly": { "description": "Whether to serve only static images as companions.", "type": "boolean" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteCompanionSetting\"." }, "companionsDisabled": { "type": "boolean", "description": "Whether companions are disabled for this site template." } }, "type": "object", "description": "Companion Settings", "id": "SiteCompanionSetting" }, "BillingAssignment": { "type": "object", "properties": { "advertiserId": { "description": "ID of the advertiser associated with the billing assignment.Wildcard (*) means this assignment is not limited to a single advertiser", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#billingAssignment\"." }, "subaccountId": { "type": "string", "description": "ID of the subaccount associated with the billing assignment.Wildcard (*) means this assignment is not limited to a single subaccountThis is a read-only, auto-generated field." }, "accountId": { "type": "string", "description": "ID of the account associated with the billing assignment.This is a read-only, auto-generated field." }, "campaignId": { "description": "ID of the campaign associated with the billing assignment. Wildcard (*) means this assignment is not limited to a single campaign", "type": "string" } }, "id": "BillingAssignment", "description": "List account, subaccount, advertiser, and campaign associated with a given Billing Profile." }, "TargetableRemarketingListsListResponse": { "properties": { "targetableRemarketingLists": { "description": "Targetable remarketing list collection.", "type": "array", "items": { "$ref": "TargetableRemarketingList" } }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetableRemarketingListsListResponse\"." } }, "description": "Targetable remarketing list response", "type": "object", "id": "TargetableRemarketingListsListResponse" }, "DateRange": { "type": "object", "properties": { "startDate": { "type": "string", "format": "date" }, "relativeDateRange": { "description": "The date range relative to the date of when the report is run.", "enum": [ "TODAY", "YESTERDAY", "WEEK_TO_DATE", "MONTH_TO_DATE", "QUARTER_TO_DATE", "YEAR_TO_DATE", "PREVIOUS_WEEK", "PREVIOUS_MONTH", "PREVIOUS_QUARTER", "PREVIOUS_YEAR", "LAST_7_DAYS", "LAST_30_DAYS", "LAST_90_DAYS", "LAST_365_DAYS", "LAST_24_MONTHS", "LAST_14_DAYS", "LAST_60_DAYS" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#dateRange.", "type": "string" }, "endDate": { "format": "date", "type": "string" } }, "id": "DateRange", "description": "Represents a date range." }, "PlatformTypesListResponse": { "properties": { "platformTypes": { "description": "Platform type collection.", "type": "array", "items": { "$ref": "PlatformType" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#platformTypesListResponse\"." } }, "id": "PlatformTypesListResponse", "type": "object", "description": "Platform Type List Response" }, "CreativeAssetMetadata": { "id": "CreativeAssetMetadata", "description": "CreativeAssets contains properties of a creative asset file which will be uploaded or has already been uploaded. Refer to the creative sample code for how to upload assets and insert a creative.", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeAssetMetadata\".", "type": "string" }, "warnedValidationRules": { "items": { "type": "string", "enum": [ "CLICK_TAG_NON_TOP_LEVEL", "CLICK_TAG_MISSING", "CLICK_TAG_MORE_THAN_ONE", "CLICK_TAG_INVALID", "ORPHANED_ASSET", "PRIMARY_HTML_MISSING", "EXTERNAL_FILE_REFERENCED", "MRAID_REFERENCED", "ADMOB_REFERENCED", "FILE_TYPE_INVALID", "ZIP_INVALID", "LINKED_FILE_NOT_FOUND", "MAX_FLASH_VERSION_11", "NOT_SSL_COMPLIANT", "FILE_DETAIL_EMPTY", "ASSET_INVALID", "GWD_PROPERTIES_INVALID", "ENABLER_UNSUPPORTED_METHOD_DCM", "ASSET_FORMAT_UNSUPPORTED_DCM", "COMPONENT_UNSUPPORTED_DCM", "HTML5_FEATURE_UNSUPPORTED", "CLICK_TAG_IN_GWD", "CLICK_TAG_HARD_CODED", "SVG_INVALID", "CLICK_TAG_IN_RICH_MEDIA", "MISSING_ENABLER_REFERENCE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "type": "array", "description": "Rules validated during code generation that generated a warning. This is a read-only, auto-generated field. Possible values are: - \"ADMOB_REFERENCED\" - \"ASSET_FORMAT_UNSUPPORTED_DCM\" - \"ASSET_INVALID\" - \"CLICK_TAG_HARD_CODED\" - \"CLICK_TAG_INVALID\" - \"CLICK_TAG_IN_GWD\" - \"CLICK_TAG_MISSING\" - \"CLICK_TAG_MORE_THAN_ONE\" - \"CLICK_TAG_NON_TOP_LEVEL\" - \"COMPONENT_UNSUPPORTED_DCM\" - \"ENABLER_UNSUPPORTED_METHOD_DCM\" - \"EXTERNAL_FILE_REFERENCED\" - \"FILE_DETAIL_EMPTY\" - \"FILE_TYPE_INVALID\" - \"GWD_PROPERTIES_INVALID\" - \"HTML5_FEATURE_UNSUPPORTED\" - \"LINKED_FILE_NOT_FOUND\" - \"MAX_FLASH_VERSION_11\" - \"MRAID_REFERENCED\" - \"NOT_SSL_COMPLIANT\" - \"ORPHANED_ASSET\" - \"PRIMARY_HTML_MISSING\" - \"SVG_INVALID\" - \"ZIP_INVALID\" " }, "id": { "format": "int64", "type": "string", "description": "Numeric ID of the asset. This is a read-only, auto-generated field." }, "exitCustomEvents": { "type": "array", "description": "List of exit events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset.", "items": { "$ref": "CreativeCustomEvent" } }, "counterCustomEvents": { "description": "List of counter events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset.", "type": "array", "items": { "$ref": "CreativeCustomEvent" } }, "clickTags": { "type": "array", "items": { "$ref": "ClickTag" }, "description": "List of detected click tags for assets. This is a read-only, auto-generated field. This field is empty for a rich media asset." }, "richMedia": { "description": "True if the uploaded asset is a rich media asset. This is a read-only, auto-generated field.", "type": "boolean" }, "assetIdentifier": { "$ref": "CreativeAssetId", "description": "ID of the creative asset. This is a required field." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the numeric ID of the asset. This is a read-only, auto-generated field." }, "timerCustomEvents": { "description": "List of timer events configured for the asset. This is a read-only, auto-generated field and only applicable to a rich media asset.", "type": "array", "items": { "$ref": "CreativeCustomEvent" } }, "detectedFeatures": { "description": "List of feature dependencies for the creative asset that are detected by Campaign Manager. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative correctly. This is a read-only, auto-generated field.", "items": { "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string" }, "type": "array" } } }, "PlacementAssignment": { "type": "object", "id": "PlacementAssignment", "properties": { "placementIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the placement. This is a read-only, auto-generated field." }, "sslRequired": { "type": "boolean", "description": "Whether the placement to be assigned requires SSL. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "placementId": { "type": "string", "format": "int64", "description": "ID of the placement to be assigned. This is a required field." }, "active": { "type": "boolean", "description": "Whether this placement assignment is active. When true, the placement will be included in the ad's rotation." } }, "description": "Placement Assignment." }, "CompatibleFields": { "id": "CompatibleFields", "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#compatibleFields." }, "crossDimensionReachReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"CROSS_DIMENSION_REACH\".", "$ref": "CrossDimensionReachReportCompatibleFields" }, "reachReportCompatibleFields": { "$ref": "ReachReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"REACH\"." }, "pathAttributionReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"PATH_ATTRIBUTION\".", "$ref": "PathReportCompatibleFields" }, "floodlightReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"FLOODLIGHT\".", "$ref": "FloodlightReportCompatibleFields" }, "pathToConversionReportCompatibleFields": { "description": "Contains items that are compatible to be selected for a report of type \"PATH_TO_CONVERSION\".", "$ref": "PathToConversionReportCompatibleFields" }, "reportCompatibleFields": { "$ref": "ReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"STANDARD\"." }, "pathReportCompatibleFields": { "$ref": "PathReportCompatibleFields", "description": "Contains items that are compatible to be selected for a report of type \"PATH\"." } }, "description": "Represents a response to the queryCompatibleFields method.", "type": "object" }, "Subaccount": { "description": "Contains properties of a Campaign Manager subaccount.", "properties": { "name": { "description": "Name of this subaccount. This is a required field. Must be less than 128 characters long and be unique among subaccounts of the same account.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#subaccount\".", "type": "string" }, "availablePermissionIds": { "items": { "format": "int64", "type": "string" }, "description": "IDs of the available user role permissions for this subaccount.", "type": "array" }, "accountId": { "format": "int64", "description": "ID of the account that contains this subaccount. This is a read-only field that can be left blank.", "type": "string" }, "id": { "type": "string", "description": "ID of this subaccount. This is a read-only, auto-generated field.", "format": "int64" } }, "type": "object", "id": "Subaccount" }, "Pricing": { "type": "object", "description": "Pricing Information", "properties": { "endDate": { "type": "string", "format": "date" }, "pricingType": { "description": "Pricing type of this inventory item.", "type": "string", "enum": [ "PLANNING_PLACEMENT_PRICING_TYPE_IMPRESSIONS", "PLANNING_PLACEMENT_PRICING_TYPE_CPM", "PLANNING_PLACEMENT_PRICING_TYPE_CLICKS", "PLANNING_PLACEMENT_PRICING_TYPE_CPC", "PLANNING_PLACEMENT_PRICING_TYPE_CPA", "PLANNING_PLACEMENT_PRICING_TYPE_FLAT_RATE_IMPRESSIONS", "PLANNING_PLACEMENT_PRICING_TYPE_FLAT_RATE_CLICKS", "PLANNING_PLACEMENT_PRICING_TYPE_CPM_ACTIVEVIEW" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ] }, "flights": { "items": { "$ref": "Flight" }, "description": "Flights of this inventory item. A flight (a.k.a. pricing period) represents the inventory item pricing information for a specific period of time.", "type": "array" }, "capCostType": { "enum": [ "PLANNING_PLACEMENT_CAP_COST_TYPE_NONE", "PLANNING_PLACEMENT_CAP_COST_TYPE_MONTHLY", "PLANNING_PLACEMENT_CAP_COST_TYPE_CUMULATIVE" ], "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Cap cost type of this inventory item." }, "startDate": { "type": "string", "format": "date" }, "groupType": { "description": "Group type of this inventory item if it represents a placement group. Is null otherwise. There are two type of placement groups: PLANNING_PLACEMENT_GROUP_TYPE_PACKAGE is a simple group of inventory items that acts as a single pricing point for a group of tags. PLANNING_PLACEMENT_GROUP_TYPE_ROADBLOCK is a group of inventory items that not only acts as a single pricing point, but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned inventory items to be marked as primary.", "enum": [ "PLANNING_PLACEMENT_GROUP_TYPE_PACKAGE", "PLANNING_PLACEMENT_GROUP_TYPE_ROADBLOCK" ], "enumDescriptions": [ "", "" ], "type": "string" } }, "id": "Pricing" }, "AdvertiserGroup": { "properties": { "accountId": { "format": "int64", "description": "Account ID of this advertiser group. This is a read-only field that can be left blank.", "type": "string" }, "name": { "type": "string", "description": "Name of this advertiser group. This is a required field and must be less than 256 characters long and unique among advertiser groups of the same account." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserGroup\".", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "ID of this advertiser group. This is a read-only, auto-generated field." } }, "description": "Groups advertisers together so that reports can be generated for the entire group at once.", "id": "AdvertiserGroup", "type": "object" }, "AccountUserProfile": { "id": "AccountUserProfile", "properties": { "userRoleFilter": { "$ref": "ObjectFilter", "description": "Filter that describes which user roles are visible to the user profile." }, "email": { "type": "string", "description": "Email of the user profile. The email addresss must be linked to a Google Account. This field is required on insertion and is read-only after insertion." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of the user profile. This is a read-only field that can be left blank." }, "campaignFilter": { "description": "Filter that describes which campaigns are visible to the user profile.", "$ref": "ObjectFilter" }, "userAccessType": { "enum": [ "NORMAL_USER", "SUPER_USER", "INTERNAL_ADMINISTRATOR", "READ_ONLY_SUPER_USER" ], "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "User type of the user profile. This is a read-only field that can be left blank." }, "name": { "description": "Name of the user profile. This is a required field. Must be less than 64 characters long, must be globally unique, and cannot contain whitespace or any of the following characters: \"&;\u003c\u003e\"#%,\".", "type": "string" }, "siteFilter": { "description": "Filter that describes which sites are visible to the user profile.", "$ref": "ObjectFilter" }, "comments": { "type": "string", "description": "Comments for this user profile." }, "subaccountId": { "description": "Subaccount ID of the user profile. This is a read-only field that can be left blank.", "type": "string", "format": "int64" }, "active": { "description": "Whether this user profile is active. This defaults to false, and must be set true on insert for the user profile to be usable.", "type": "boolean" }, "advertiserFilter": { "description": "Filter that describes which advertisers are visible to the user profile.", "$ref": "ObjectFilter" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountUserProfile\"." }, "id": { "description": "ID of the user profile. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "locale": { "description": "Locale of the user profile. This is a required field. Acceptable values are: - \"cs\" (Czech) - \"de\" (German) - \"en\" (English) - \"en-GB\" (English United Kingdom) - \"es\" (Spanish) - \"fr\" (French) - \"it\" (Italian) - \"ja\" (Japanese) - \"ko\" (Korean) - \"pl\" (Polish) - \"pt-BR\" (Portuguese Brazil) - \"ru\" (Russian) - \"sv\" (Swedish) - \"tr\" (Turkish) - \"zh-CN\" (Chinese Simplified) - \"zh-TW\" (Chinese Traditional) ", "type": "string" }, "traffickerType": { "enum": [ "INTERNAL_NON_TRAFFICKER", "INTERNAL_TRAFFICKER", "EXTERNAL_TRAFFICKER" ], "type": "string", "description": "Trafficker type of this user profile. This is a read-only field.", "enumDescriptions": [ "", "", "" ] }, "userRoleId": { "format": "int64", "description": "User role ID of the user profile. This is a required field.", "type": "string" } }, "type": "object", "description": "AccountUserProfiles contains properties of a Campaign Manager user profile. This resource is specifically for managing user profiles, whereas UserProfiles is for accessing the API." }, "FloodlightActivityGroup": { "type": "object", "properties": { "type": { "enumDescriptions": [ "", "" ], "type": "string", "description": "Type of the floodlight activity group. This is a required field that is read-only after insertion.", "enum": [ "COUNTER", "SALE" ] }, "floodlightConfigurationIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this floodlight activity group. This is a read-only, auto-generated field." }, "advertiserId": { "description": "Advertiser ID of this floodlight activity group. If this field is left blank, the value will be copied over either from the floodlight configuration's advertiser or from the existing activity group's advertiser.", "format": "int64", "type": "string" }, "tagString": { "description": "Value of the type= parameter in the floodlight tag, which the ad servers use to identify the activity group that the activity belongs to. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being a-z0-9[ _ ]. This tag string must also be unique among activity groups of the same floodlight configuration. This field is read-only after insertion.", "type": "string" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this floodlight activity group. This is a read-only field that can be left blank." }, "floodlightConfigurationId": { "description": "Floodlight configuration ID of this floodlight activity group. This is a required field.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivityGroup\".", "type": "string" }, "name": { "type": "string", "description": "Name of this floodlight activity group. This is a required field. Must be less than 65 characters long and cannot contain quotes." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this floodlight activity group. This is a read-only field that can be left blank." }, "id": { "description": "ID of this floodlight activity group. This is a read-only, auto-generated field.", "format": "int64", "type": "string" } }, "id": "FloodlightActivityGroup", "description": "Contains properties of a Floodlight activity group." }, "CreativeFieldAssignment": { "type": "object", "properties": { "creativeFieldId": { "format": "int64", "description": "ID of the creative field.", "type": "string" }, "creativeFieldValueId": { "description": "ID of the creative field value.", "format": "int64", "type": "string" } }, "id": "CreativeFieldAssignment", "description": "Creative Field Assignment." }, "EventTagOverride": { "description": "Event tag override information.", "id": "EventTagOverride", "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Whether this override is enabled." }, "id": { "description": "ID of this event tag override. This is a read-only, auto-generated field.", "type": "string", "format": "int64" } } }, "PostalCodesListResponse": { "id": "PostalCodesListResponse", "description": "Postal Code List Response", "properties": { "postalCodes": { "description": "Postal code collection.", "items": { "$ref": "PostalCode" }, "type": "array" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#postalCodesListResponse\"." } }, "type": "object" }, "ConversionStatus": { "id": "ConversionStatus", "type": "object", "description": "The original conversion that was inserted or updated and whether there were any errors.", "properties": { "errors": { "items": { "$ref": "ConversionError" }, "description": "A list of errors related to this conversion.", "type": "array" }, "conversion": { "description": "The original conversion that was inserted or updated.", "$ref": "Conversion" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionStatus\"." } } }, "DirectorySite": { "properties": { "name": { "description": "Name of this directory site.", "type": "string" }, "interstitialTagFormats": { "description": "Tag types for interstitial placements. Acceptable values are: - \"IFRAME_JAVASCRIPT_INTERSTITIAL\" - \"INTERNAL_REDIRECT_INTERSTITIAL\" - \"JAVASCRIPT_INTERSTITIAL\" ", "type": "array", "items": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "IFRAME_JAVASCRIPT_INTERSTITIAL", "INTERNAL_REDIRECT_INTERSTITIAL", "JAVASCRIPT_INTERSTITIAL" ] } }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this directory site. This is a read-only, auto-generated field." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#directorySite\".", "type": "string" }, "url": { "description": "URL of this directory site.", "type": "string" }, "inpageTagFormats": { "items": { "enumDescriptions": [ "", "", "", "" ], "enum": [ "STANDARD", "IFRAME_JAVASCRIPT_INPAGE", "INTERNAL_REDIRECT_INPAGE", "JAVASCRIPT_INPAGE" ], "type": "string" }, "description": "Tag types for regular placements. Acceptable values are: - \"STANDARD\" - \"IFRAME_JAVASCRIPT_INPAGE\" - \"INTERNAL_REDIRECT_INPAGE\" - \"JAVASCRIPT_INPAGE\" ", "type": "array" }, "settings": { "$ref": "DirectorySiteSettings", "description": "Directory site settings." }, "id": { "type": "string", "format": "int64", "description": "ID of this directory site. This is a read-only, auto-generated field." } }, "type": "object", "id": "DirectorySite", "description": "DirectorySites contains properties of a website from the Site Directory. Sites need to be added to an account via the Sites resource before they can be assigned to a placement." }, "CreativeGroupsListResponse": { "type": "object", "id": "CreativeGroupsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "creativeGroups": { "type": "array", "description": "Creative group collection.", "items": { "$ref": "CreativeGroup" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeGroupsListResponse\".", "type": "string" } }, "description": "Creative Group List Response" }, "Language": { "properties": { "name": { "description": "Name of this language.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#language\"." }, "languageCode": { "type": "string", "description": "Format of language code is an ISO 639 two-letter language code optionally followed by an underscore followed by an ISO 3166 code. Examples are \"en\" for English or \"zh_CN\" for Simplified Chinese." }, "id": { "format": "int64", "type": "string", "description": "Language ID of this language. This is the ID used for targeting and generating reports." } }, "description": "Contains information about a language that can be targeted by ads.", "id": "Language", "type": "object" }, "FloodlightActivity": { "properties": { "floodlightConfigurationIdDimensionValue": { "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "status": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "The status of the activity. This can only be set to ACTIVE or ARCHIVED_AND_DISABLED. The ARCHIVED status is no longer supported and cannot be set for Floodlight activities. The DISABLED_POLICY status indicates that a Floodlight activity is violating Google policy. Contact your account manager for more information.", "enum": [ "ACTIVE", "ARCHIVED_AND_DISABLED", "ARCHIVED", "DISABLED_POLICY" ] }, "name": { "type": "string", "description": "Name of this floodlight activity. This is a required field. Must be less than 129 characters long and cannot contain quotes." }, "cacheBustingType": { "enumDescriptions": [ "", "", "", "", "" ], "type": "string", "enum": [ "JAVASCRIPT", "ACTIVE_SERVER_PAGE", "JSP", "PHP", "COLD_FUSION" ], "description": "Code type used for cache busting in the generated tag. Applicable only when floodlightActivityGroupType is COUNTER and countingMethod is STANDARD_COUNTING or UNIQUE_COUNTING." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivity\".", "type": "string" }, "publisherTags": { "type": "array", "items": { "$ref": "FloodlightActivityPublisherDynamicTag" }, "description": "Publisher dynamic floodlight tags." }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this floodlight activity. This is a read-only, auto-generated field." }, "floodlightTagType": { "type": "string", "description": "The type of Floodlight tag this activity will generate. This is a required field.", "enum": [ "IFRAME", "IMAGE", "GLOBAL_SITE_TAG" ], "enumDescriptions": [ "", "", "" ] }, "defaultTags": { "type": "array", "description": "Dynamic floodlight tags.", "items": { "$ref": "FloodlightActivityDynamicTag" } }, "floodlightConfigurationId": { "format": "int64", "description": "Floodlight configuration ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's floodlight configuration or from the existing activity's floodlight configuration.", "type": "string" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "countingMethod": { "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "STANDARD_COUNTING", "UNIQUE_COUNTING", "SESSION_COUNTING", "TRANSACTIONS_COUNTING", "ITEMS_SOLD_COUNTING" ], "description": "Counting method for conversions for this floodlight activity. This is a required field." }, "tagString": { "type": "string", "description": "Value of the cat= parameter in the floodlight tag, which the ad servers use to identify the activity. This is optional: if empty, a new tag string will be generated for you. This string must be 1 to 8 characters long, with valid characters being a-z0-9[ _ ]. This tag string must also be unique among activities of the same activity group. This field is read-only after insertion." }, "sslCompliant": { "type": "boolean", "description": "Whether the floodlight activity is SSL-compliant. This is a read-only field, its value detected by the system from the floodlight tags." }, "tagFormat": { "enumDescriptions": [ "", "" ], "description": "Tag format type for the floodlight activity. If left blank, the tag format will default to HTML.", "type": "string", "enum": [ "HTML", "XHTML" ] }, "expectedUrl": { "description": "URL where this tag will be deployed. If specified, must be less than 256 characters long.", "type": "string" }, "userDefinedVariableTypes": { "description": "List of the user-defined variables used by this conversion tag. These map to the \"u[1-100]=\" in the tags. Each of these can have a user defined type. Acceptable values are U1 to U100, inclusive. ", "items": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "U1", "U2", "U3", "U4", "U5", "U6", "U7", "U8", "U9", "U10", "U11", "U12", "U13", "U14", "U15", "U16", "U17", "U18", "U19", "U20", "U21", "U22", "U23", "U24", "U25", "U26", "U27", "U28", "U29", "U30", "U31", "U32", "U33", "U34", "U35", "U36", "U37", "U38", "U39", "U40", "U41", "U42", "U43", "U44", "U45", "U46", "U47", "U48", "U49", "U50", "U51", "U52", "U53", "U54", "U55", "U56", "U57", "U58", "U59", "U60", "U61", "U62", "U63", "U64", "U65", "U66", "U67", "U68", "U69", "U70", "U71", "U72", "U73", "U74", "U75", "U76", "U77", "U78", "U79", "U80", "U81", "U82", "U83", "U84", "U85", "U86", "U87", "U88", "U89", "U90", "U91", "U92", "U93", "U94", "U95", "U96", "U97", "U98", "U99", "U100" ] }, "type": "array" }, "floodlightActivityGroupTagString": { "type": "string", "description": "Tag string of the associated floodlight activity group. This is a read-only field." }, "notes": { "description": "General notes or implementation instructions for the tag.", "type": "string" }, "floodlightActivityGroupId": { "format": "int64", "description": "Floodlight activity group ID of this floodlight activity. This is a required field.", "type": "string" }, "secure": { "type": "boolean", "description": "Whether this tag should use SSL." }, "advertiserId": { "description": "Advertiser ID of this floodlight activity. If this field is left blank, the value will be copied over either from the activity group's advertiser or the existing activity's advertiser.", "type": "string", "format": "int64" }, "attributionEnabled": { "description": "Whether the activity is enabled for attribution.", "type": "boolean" }, "sslRequired": { "description": "Whether this floodlight activity must be SSL-compliant.", "type": "boolean" }, "floodlightActivityGroupType": { "enum": [ "COUNTER", "SALE" ], "type": "string", "description": "Type of the associated floodlight activity group. This is a read-only field.", "enumDescriptions": [ "", "" ] }, "floodlightActivityGroupName": { "description": "Name of the associated floodlight activity group. This is a read-only field.", "type": "string" }, "id": { "type": "string", "description": "ID of this floodlight activity. This is a read-only, auto-generated field.", "format": "int64" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this floodlight activity. This is a read-only field that can be left blank." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this floodlight activity. This is a read-only field that can be left blank." } }, "description": "Contains properties of a Floodlight activity.", "type": "object", "id": "FloodlightActivity" }, "AccountUserProfilesListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountUserProfilesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "accountUserProfiles": { "items": { "$ref": "AccountUserProfile" }, "description": "Account user profile collection.", "type": "array" } }, "type": "object", "id": "AccountUserProfilesListResponse", "description": "Account User Profile List Response" }, "DefaultClickThroughEventTagProperties": { "type": "object", "description": "Properties of inheriting and overriding the default click-through event tag. A campaign may override the event tag defined at the advertiser level, and an ad may also override the campaign's setting further.", "properties": { "defaultClickThroughEventTagId": { "description": "ID of the click-through event tag to apply to all ads in this entity's scope.", "format": "int64", "type": "string" }, "overrideInheritedEventTag": { "description": "Whether this entity should override the inherited default click-through event tag with its own defined value.", "type": "boolean" } }, "id": "DefaultClickThroughEventTagProperties" }, "DeliverySchedule": { "properties": { "impressionRatio": { "format": "int64", "type": "string", "description": "Impression ratio for this ad. This ratio determines how often each ad is served relative to the others. For example, if ad A has an impression ratio of 1 and ad B has an impression ratio of 3, then Campaign Manager will serve ad B three times as often as ad A. Acceptable values are 1 to 10, inclusive." }, "hardCutoff": { "description": "Whether or not hard cutoff is enabled. If true, the ad will not serve after the end date and time. Otherwise the ad will continue to be served until it has reached its delivery goals.", "type": "boolean" }, "frequencyCap": { "description": "Limit on the number of times an individual user can be served the ad within a specified period of time.", "$ref": "FrequencyCap" }, "priority": { "description": "Serving priority of an ad, with respect to other ads. The lower the priority number, the greater the priority with which it is served.", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "enum": [ "AD_PRIORITY_01", "AD_PRIORITY_02", "AD_PRIORITY_03", "AD_PRIORITY_04", "AD_PRIORITY_05", "AD_PRIORITY_06", "AD_PRIORITY_07", "AD_PRIORITY_08", "AD_PRIORITY_09", "AD_PRIORITY_10", "AD_PRIORITY_11", "AD_PRIORITY_12", "AD_PRIORITY_13", "AD_PRIORITY_14", "AD_PRIORITY_15", "AD_PRIORITY_16" ] } }, "id": "DeliverySchedule", "type": "object", "description": "Delivery Schedule." }, "VideoSettings": { "description": "Video Settings", "type": "object", "properties": { "orientation": { "description": "Orientation of a video placement. If this value is set, placement will return assets matching the specified orientation.", "type": "string", "enum": [ "ANY", "LANDSCAPE", "PORTRAIT" ], "enumDescriptions": [ "", "", "" ] }, "publisherSpecificationId": { "type": "string", "format": "int64", "description": "Publisher specification ID of a video placement." }, "companionSettings": { "description": "Settings for the companion creatives of video creatives served to this placement.", "$ref": "CompanionSetting" }, "transcodeSettings": { "description": "Settings for the transcodes of video creatives served to this placement. If this object is provided, the creative-level transcode settings will be overridden.", "$ref": "TranscodeSetting" }, "skippableSettings": { "description": "Settings for the skippability of video creatives served to this placement. If this object is provided, the creative-level skippable settings will be overridden.", "$ref": "SkippableSetting" }, "durationSeconds": { "type": "integer", "description": "Duration of a video placement in seconds.", "format": "int32" }, "obaSettings": { "$ref": "ObaIcon", "description": "Settings for the OBA icon of video creatives served to this placement. If this object is provided, the creative-level OBA settings will be overridden." }, "obaEnabled": { "description": "Whether OBA icons are enabled for this placement.", "type": "boolean" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoSettings\"." } }, "id": "VideoSettings" }, "DeepLink": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#deepLink\".", "type": "string" }, "remarketingListIds": { "description": "Ads served to users on these remarketing lists will use this deep link. Applicable when mobileApp.directory is APPLE_APP_STORE.", "type": "array", "items": { "type": "string", "format": "int64" } }, "mobileApp": { "description": "The mobile app targeted by this deep link.", "$ref": "MobileApp" }, "fallbackUrl": { "description": "The fallback URL. This URL will be served to users who do not have the mobile app installed.", "type": "string" }, "appUrl": { "type": "string", "description": "The URL of the mobile app being linked to." } }, "description": "Contains information about a landing page deep link.", "id": "DeepLink", "type": "object" }, "CreativeRotation": { "id": "CreativeRotation", "type": "object", "description": "Creative Rotation.", "properties": { "creativeOptimizationConfigurationId": { "format": "int64", "type": "string", "description": "Creative optimization configuration that is used by this ad. It should refer to one of the existing optimization configurations in the ad's campaign. If it is unset or set to 0, then the campaign's default optimization configuration will be used for this ad." }, "weightCalculationStrategy": { "type": "string", "enum": [ "WEIGHT_STRATEGY_EQUAL", "WEIGHT_STRATEGY_CUSTOM", "WEIGHT_STRATEGY_HIGHEST_CTR", "WEIGHT_STRATEGY_OPTIMIZED" ], "description": "Strategy for calculating weights. Used with CREATIVE_ROTATION_TYPE_RANDOM.", "enumDescriptions": [ "", "", "", "" ] }, "creativeAssignments": { "description": "Creative assignments in this creative rotation.", "type": "array", "items": { "$ref": "CreativeAssignment" } }, "type": { "enumDescriptions": [ "", "" ], "enum": [ "CREATIVE_ROTATION_TYPE_SEQUENTIAL", "CREATIVE_ROTATION_TYPE_RANDOM" ], "description": "Type of creative rotation. Can be used to specify whether to use sequential or random rotation.", "type": "string" } } }, "PathReportDimensionValue": { "type": "object", "description": "Represents a PathReportDimensionValue resource.", "id": "PathReportDimensionValue", "properties": { "dimensionName": { "type": "string", "description": "The name of the dimension." }, "values": { "description": "The possible values of the dimension.", "items": { "type": "string" }, "type": "array" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathReportDimensionValue." }, "matchType": { "enum": [ "EXACT", "BEGINS_WITH", "CONTAINS", "WILDCARD_EXPRESSION" ], "enumDescriptions": [ "", "", "", "" ], "type": "string", "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT." }, "ids": { "type": "array", "items": { "type": "string" }, "description": "The possible ID's associated with the value if available." } } }, "EventTag": { "description": "Contains properties of an event tag.", "properties": { "type": { "enum": [ "IMPRESSION_IMAGE_EVENT_TAG", "IMPRESSION_JAVASCRIPT_EVENT_TAG", "CLICK_THROUGH_EVENT_TAG" ], "description": "Event tag type. Can be used to specify whether to use a third-party pixel, a third-party JavaScript URL, or a third-party click-through URL for either impression or click tracking. This is a required field.", "enumDescriptions": [ "", "", "" ], "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#eventTag\"." }, "name": { "type": "string", "description": "Name of this event tag. This is a required field and must be less than 256 characters long." }, "campaignIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the campaign. This is a read-only, auto-generated field." }, "urlEscapeLevels": { "format": "int32", "type": "integer", "description": "Number of times the landing page URL should be URL-escaped before being appended to the click-through event tag URL. Only applies to click-through event tags as specified by the event tag type." }, "advertiserId": { "type": "string", "format": "int64", "description": "Advertiser ID of this event tag. This field or the campaignId field is required on insertion." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this event tag. This is a read-only field that can be left blank." }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "campaignId": { "description": "Campaign ID of this event tag. This field or the advertiserId field is required on insertion.", "format": "int64", "type": "string" }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this event tag. This is a read-only field that can be left blank.", "type": "string" }, "siteIds": { "description": "Filter list of site IDs associated with this event tag. The siteFilterType determines whether this is a allowlist or blocklist filter.", "items": { "format": "int64", "type": "string" }, "type": "array" }, "excludeFromAdxRequests": { "description": "Whether to remove this event tag from ads that are trafficked through Display & Video 360 to Ad Exchange. This may be useful if the event tag uses a pixel that is unapproved for Ad Exchange bids on one or more networks, such as the Google Display Network.", "type": "boolean" }, "status": { "type": "string", "description": "Status of this event tag. Must be ENABLED for this event tag to fire. This is a required field.", "enum": [ "ENABLED", "DISABLED" ], "enumDescriptions": [ "", "" ] }, "id": { "description": "ID of this event tag. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "enabledByDefault": { "type": "boolean", "description": "Whether this event tag should be automatically enabled for all of the advertiser's campaigns and ads." }, "url": { "description": "Payload URL for this event tag. The URL on a click-through event tag should have a landing page URL appended to the end of it. This field is required on insertion.", "type": "string" }, "sslCompliant": { "description": "Whether this tag is SSL-compliant or not. This is a read-only field.", "type": "boolean" }, "siteFilterType": { "type": "string", "enum": [ "ALLOWLIST", "BLOCKLIST" ], "description": "Site filter type for this event tag. If no type is specified then the event tag will be applied to all sites.", "enumDescriptions": [ "", "" ] } }, "type": "object", "id": "EventTag" }, "ThirdPartyAuthenticationToken": { "properties": { "value": { "description": "Value of the third-party authentication token. This is a read-only, auto-generated field.", "type": "string" }, "name": { "description": "Name of the third-party authentication token.", "type": "string" } }, "id": "ThirdPartyAuthenticationToken", "type": "object", "description": "Third Party Authentication Token" }, "Creative": { "id": "Creative", "description": "Contains properties of a Creative.", "type": "object", "properties": { "advertiserId": { "description": "Advertiser ID of this creative. This is a required field. Applicable to all creative types.", "format": "int64", "type": "string" }, "commercialId": { "type": "string", "description": "Industry standard ID assigned to creative for reach and frequency. Applicable to INSTREAM_VIDEO_REDIRECT creatives." }, "version": { "format": "int32", "type": "integer", "description": "The version number helps you keep track of multiple versions of your creative in your reports. The version number will always be auto-generated during insert operations to start at 1. For tracking creatives the version cannot be incremented and will always remain at 1. For all other creative types the version can be incremented only by 1 during update operations. In addition, the version will be automatically incremented by 1 when undergoing Rich Media creative merging. Applicable to all creative types." }, "size": { "$ref": "Size", "description": "Size associated with this creative. When inserting or updating a creative either the size ID field or size width and height fields can be used. This is a required field when applicable; however for IMAGE, FLASH_INPAGE creatives, and for DISPLAY creatives with a primary asset of type HTML_IMAGE, if left blank, this field will be automatically set using the actual size of the associated image assets. Applicable to the following creative types: DISPLAY, DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER, IMAGE, and all RICH_MEDIA." }, "timerCustomEvents": { "type": "array", "description": "List of timer events configured for the creative. For DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset is not HTML_IMAGE.", "items": { "$ref": "CreativeCustomEvent" } }, "fsCommand": { "$ref": "FsCommand", "description": "OpenWindow FSCommand of this creative. This lets the SWF file communicate with either Flash Player or the program hosting Flash Player, such as a web browser. This is only triggered if allowScriptAccess field is true. Applicable to the following creative types: FLASH_INPAGE." }, "customKeyValues": { "description": "Custom key-values for a Rich Media creative. Key-values let you customize the creative settings of a Rich Media ad running on your site without having to contact the advertiser. You can use key-values to dynamically change the look or functionality of a creative. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "items": { "type": "string" }, "type": "array" }, "thirdPartyRichMediaImpressionsUrl": { "type": "string", "description": "Third-party URL used to record rich media impressions. Applicable to the following creative types: all RICH_MEDIA." }, "type": { "enum": [ "IMAGE", "DISPLAY_REDIRECT", "CUSTOM_DISPLAY", "INTERNAL_REDIRECT", "CUSTOM_DISPLAY_INTERSTITIAL", "INTERSTITIAL_INTERNAL_REDIRECT", "TRACKING_TEXT", "RICH_MEDIA_DISPLAY_BANNER", "RICH_MEDIA_INPAGE_FLOATING", "RICH_MEDIA_IM_EXPAND", "RICH_MEDIA_DISPLAY_EXPANDING", "RICH_MEDIA_DISPLAY_INTERSTITIAL", "RICH_MEDIA_DISPLAY_MULTI_FLOATING_INTERSTITIAL", "RICH_MEDIA_MOBILE_IN_APP", "FLASH_INPAGE", "INSTREAM_VIDEO", "VPAID_LINEAR_VIDEO", "VPAID_NON_LINEAR_VIDEO", "INSTREAM_VIDEO_REDIRECT", "RICH_MEDIA_PEEL_DOWN", "HTML5_BANNER", "DISPLAY", "DISPLAY_IMAGE_GALLERY", "BRAND_SAFE_DEFAULT_INSTREAM_VIDEO", "INSTREAM_AUDIO" ], "description": "Type of this creative. This is a required field. Applicable to all creative types. *Note:* FLASH_INPAGE, HTML5_BANNER, and IMAGE are only used for existing creatives. New creatives should use DISPLAY as a replacement for these types.", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "backupImageTargetWindow": { "description": "Target window for backup image. Applicable to the following creative types: FLASH_INPAGE and HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "$ref": "TargetWindow" }, "accountId": { "format": "int64", "description": "Account ID of this creative. This field, if left unset, will be auto-generated for both insert and update operations. Applicable to all creative types.", "type": "string" }, "authoringTool": { "enumDescriptions": [ "", "" ], "description": "Authoring tool for HTML5 banner creatives. This is a read-only field. Applicable to the following creative types: HTML5_BANNER.", "type": "string", "enum": [ "NINJA", "SWIFFY" ] }, "progressOffset": { "description": "Amount of time to play the video before counting a view. Applicable to the following creative types: all INSTREAM_VIDEO.", "$ref": "VideoOffset" }, "backupImageFeatures": { "items": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "enum": [ "CSS_FONT_FACE", "CSS_BACKGROUND_SIZE", "CSS_BORDER_IMAGE", "CSS_BORDER_RADIUS", "CSS_BOX_SHADOW", "CSS_FLEX_BOX", "CSS_HSLA", "CSS_MULTIPLE_BGS", "CSS_OPACITY", "CSS_RGBA", "CSS_TEXT_SHADOW", "CSS_ANIMATIONS", "CSS_COLUMNS", "CSS_GENERATED_CONTENT", "CSS_GRADIENTS", "CSS_REFLECTIONS", "CSS_TRANSFORMS", "CSS_TRANSFORMS3D", "CSS_TRANSITIONS", "APPLICATION_CACHE", "CANVAS", "CANVAS_TEXT", "DRAG_AND_DROP", "HASH_CHANGE", "HISTORY", "AUDIO", "VIDEO", "INDEXED_DB", "INPUT_ATTR_AUTOCOMPLETE", "INPUT_ATTR_AUTOFOCUS", "INPUT_ATTR_LIST", "INPUT_ATTR_PLACEHOLDER", "INPUT_ATTR_MAX", "INPUT_ATTR_MIN", "INPUT_ATTR_MULTIPLE", "INPUT_ATTR_PATTERN", "INPUT_ATTR_REQUIRED", "INPUT_ATTR_STEP", "INPUT_TYPE_SEARCH", "INPUT_TYPE_TEL", "INPUT_TYPE_URL", "INPUT_TYPE_EMAIL", "INPUT_TYPE_DATETIME", "INPUT_TYPE_DATE", "INPUT_TYPE_MONTH", "INPUT_TYPE_WEEK", "INPUT_TYPE_TIME", "INPUT_TYPE_DATETIME_LOCAL", "INPUT_TYPE_NUMBER", "INPUT_TYPE_RANGE", "INPUT_TYPE_COLOR", "LOCAL_STORAGE", "POST_MESSAGE", "SESSION_STORAGE", "WEB_SOCKETS", "WEB_SQL_DATABASE", "WEB_WORKERS", "GEO_LOCATION", "INLINE_SVG", "SMIL", "SVG_HREF", "SVG_CLIP_PATHS", "TOUCH", "WEBGL", "SVG_FILTERS", "SVG_FE_IMAGE" ] }, "description": "List of feature dependencies that will cause a backup image to be served if the browser that serves the ad does not support them. Feature dependencies are features that a browser must be able to support in order to render your HTML5 creative asset correctly. This field is initially auto-generated to contain all features detected by Campaign Manager for all the assets of this creative and can then be modified by the client. To reset this field, copy over all the creativeAssets' detected features. Applicable to the following creative types: HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "array" }, "requiredFlashPluginVersion": { "description": "The minimum required Flash plugin version for this creative. For example, 11.2.202.235. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "type": "string" }, "sslCompliant": { "type": "boolean", "description": "Whether the creative is SSL-compliant. This is a read-only field. Applicable to all creative types." }, "authoringSource": { "description": "Source application where creative was authored. Presently, only DBM authored creatives will have this field set. Applicable to all creative types.", "enum": [ "CREATIVE_AUTHORING_SOURCE_DCM", "CREATIVE_AUTHORING_SOURCE_DBM", "CREATIVE_AUTHORING_SOURCE_STUDIO", "CREATIVE_AUTHORING_SOURCE_GWD", "CREATIVE_AUTHORING_SOURCE_ACS" ], "enumDescriptions": [ "", "", "", "", "" ], "type": "string" }, "backupImageReportingLabel": { "type": "string", "description": "Reporting label used for HTML5 banner backup image. Applicable to the following creative types: DISPLAY when the primary asset type is not HTML_IMAGE." }, "archived": { "description": "Whether the creative is archived. Applicable to all creative types.", "type": "boolean" }, "htmlCodeLocked": { "type": "boolean", "description": "Whether HTML code is generated by Campaign Manager or manually entered. Set to true to ignore changes to htmlCode. Applicable to the following creative types: FLASH_INPAGE and HTML5_BANNER." }, "creativeAssetSelection": { "description": "Required if dynamicAssetSelection is true.", "$ref": "CreativeAssetSelection" }, "creativeFieldAssignments": { "description": "Creative field assignments for this creative. Applicable to all creative types.", "type": "array", "items": { "$ref": "CreativeFieldAssignment" } }, "overrideCss": { "description": "Override CSS value for rich media creatives. Applicable to the following creative types: all RICH_MEDIA.", "type": "string" }, "mediaDescription": { "type": "string", "description": "Description of the audio or video ad. Applicable to the following creative types: all INSTREAM_VIDEO, INSTREAM_AUDIO, and all VPAID." }, "obaIcon": { "$ref": "ObaIcon", "description": "Online behavioral advertising icon to be added to the creative. Applicable to the following creative types: all INSTREAM_VIDEO." }, "creativeAssets": { "type": "array", "items": { "$ref": "CreativeAsset" }, "description": "Assets associated with a creative. Applicable to all but the following creative types: INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and REDIRECT" }, "lastModifiedInfo": { "$ref": "LastModifiedInfo", "description": "Creative last modification information. This is a read-only field. Applicable to all creative types." }, "universalAdId": { "description": "A Universal Ad ID as per the VAST 4.0 spec. Applicable to the following creative types: INSTREAM_AUDIO and INSTREAM_VIDEO and VPAID.", "$ref": "UniversalAdId" }, "renderingId": { "format": "int64", "description": "ID of current rendering version. This is a read-only field. Applicable to all creative types.", "type": "string" }, "skippable": { "description": "Whether the user can choose to skip the creative. Applicable to the following creative types: all INSTREAM_VIDEO and all VPAID.", "type": "boolean" }, "idDimensionValue": { "description": "Dimension value for the ID of this creative. This is a read-only field. Applicable to all creative types.", "$ref": "DimensionValue" }, "companionCreatives": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "List of companion creatives assigned to an in-Stream video creative. Acceptable values include IDs of existing flash and image creatives. Applicable to the following creative types: all VPAID, all INSTREAM_AUDIO and all INSTREAM_VIDEO with dynamicAssetSelection set to false." }, "backgroundColor": { "type": "string", "description": "The 6-character HTML color code, beginning with #, for the background of the window area where the Flash file is displayed. Default is white. Applicable to the following creative types: FLASH_INPAGE." }, "active": { "description": "Whether the creative is active. Applicable to all creative types.", "type": "boolean" }, "skipOffset": { "description": "Amount of time to play the video before the skip button appears. Applicable to the following creative types: all INSTREAM_VIDEO.", "$ref": "VideoOffset" }, "compatibility": { "type": "array", "items": { "type": "string", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ] }, "description": "Compatibilities associated with this creative. This is a read-only field. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop or on mobile devices or in mobile apps for regular or interstitial ads, respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. Only pre-existing creatives may have these compatibilities since new creatives will either be assigned DISPLAY or DISPLAY_INTERSTITIAL instead. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard. IN_STREAM_AUDIO refers to rendering in in-stream audio ads developed with the VAST standard. Applicable to all creative types. Acceptable values are: - \"APP\" - \"APP_INTERSTITIAL\" - \"IN_STREAM_VIDEO\" - \"IN_STREAM_AUDIO\" - \"DISPLAY\" - \"DISPLAY_INTERSTITIAL\" " }, "name": { "description": "Name of the creative. This is a required field and must be less than 256 characters long. Applicable to all creative types.", "type": "string" }, "requiredFlashVersion": { "format": "int32", "description": "The internal Flash version for this creative as calculated by Studio. This is a read-only field. Applicable to the following creative types: FLASH_INPAGE all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "integer" }, "thirdPartyBackupImageImpressionsUrl": { "type": "string", "description": "Third-party URL used to record backup image impressions. Applicable to the following creative types: all RICH_MEDIA." }, "convertFlashToHtml5": { "description": "Whether Flash assets associated with the creative need to be automatically converted to HTML5. This flag is enabled by default and users can choose to disable it if they don't want the system to generate and use HTML5 asset for this creative. Applicable to the following creative type: FLASH_INPAGE. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "boolean" }, "totalFileSize": { "type": "string", "format": "int64", "description": "Combined size of all creative assets. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "exitCustomEvents": { "items": { "$ref": "CreativeCustomEvent" }, "type": "array", "description": "List of exit events configured for the creative. For DISPLAY and DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags, For DISPLAY, an event is also created from the backupImageReportingLabel. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE." }, "allowScriptAccess": { "type": "boolean", "description": "Whether script access is allowed for this creative. This is a read-only and deprecated field which will automatically be set to true on update. Applicable to the following creative types: FLASH_INPAGE." }, "clickTags": { "type": "array", "description": "Click tags of the creative. For DISPLAY, FLASH_INPAGE, and HTML5_BANNER creatives, this is a subset of detected click tags for the assets associated with this creative. After creating a flash asset, detected click tags will be returned in the creativeAssetMetadata. When inserting the creative, populate the creative clickTags field using the creativeAssetMetadata.clickTags field. For DISPLAY_IMAGE_GALLERY creatives, there should be exactly one entry in this list for each image creative asset. A click tag is matched with a corresponding creative asset by matching the clickTag.name field with the creativeAsset.assetIdentifier.name field. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, FLASH_INPAGE, HTML5_BANNER. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "items": { "$ref": "ClickTag" } }, "mediaDuration": { "type": "number", "description": "Creative audio or video duration in seconds. This is a read-only field. Applicable to the following creative types: INSTREAM_VIDEO, INSTREAM_AUDIO, all RICH_MEDIA, and all VPAID.", "format": "float" }, "additionalSizes": { "type": "array", "items": { "$ref": "Size" }, "description": "Additional sizes associated with a responsive creative. When inserting or updating a creative either the size ID field or size width and height fields can be used. Applicable to DISPLAY creatives when the primary asset type is HTML_IMAGE." }, "sslOverride": { "description": "Whether creative should be treated as SSL compliant even if the system scan shows it's not. Applicable to all creative types.", "type": "boolean" }, "artworkType": { "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "type": "string", "description": "Type of artwork used for the creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "enumDescriptions": [ "", "", "", "" ] }, "latestTraffickedCreativeId": { "type": "string", "description": "Latest Studio trafficked creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "format": "int64" }, "redirectUrl": { "type": "string", "description": "URL of hosted image or hosted video or another ad tag. For INSTREAM_VIDEO_REDIRECT creatives this is the in-stream video redirect URL. The standard for a VAST (Video Ad Serving Template) ad response allows for a redirect link to another VAST 2.0 or 3.0 call. This is a required field when applicable. Applicable to the following creative types: DISPLAY_REDIRECT, INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and INSTREAM_VIDEO_REDIRECT" }, "studioTraffickedCreativeId": { "type": "string", "format": "int64", "description": "Studio trafficked creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "htmlCode": { "type": "string", "description": "HTML code for the creative. This is a required field when applicable. This field is ignored if htmlCodeLocked is true. Applicable to the following creative types: all CUSTOM, FLASH_INPAGE, and HTML5_BANNER, and all RICH_MEDIA." }, "thirdPartyUrls": { "description": "Third-party URLs for tracking in-stream creative events. Applicable to the following creative types: all INSTREAM_VIDEO, all INSTREAM_AUDIO, and all VPAID.", "items": { "$ref": "ThirdPartyTrackingUrl" }, "type": "array" }, "backupImageClickThroughUrl": { "description": "Click-through URL for backup image. Applicable to ENHANCED_BANNER when the primary asset type is not HTML_IMAGE.", "$ref": "CreativeClickThroughUrl" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creative\"." }, "id": { "format": "int64", "description": "ID of this creative. This is a read-only, auto-generated field. Applicable to all creative types.", "type": "string" }, "studioAdvertiserId": { "description": "Studio advertiser ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "format": "int64", "type": "string" }, "counterCustomEvents": { "items": { "$ref": "CreativeCustomEvent" }, "type": "array", "description": "List of counter events configured for the creative. For DISPLAY_IMAGE_GALLERY creatives, these are read-only and auto-generated from clickTags. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY, all RICH_MEDIA, and all VPAID." }, "studioCreativeId": { "format": "int64", "type": "string", "description": "Studio creative ID associated with rich media and VPAID creatives. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA, and all VPAID." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this creative. This field, if left unset, will be auto-generated for both insert and update operations. Applicable to all creative types." }, "renderingIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the rendering ID of this creative. This is a read-only field. Applicable to all creative types." }, "dynamicAssetSelection": { "description": "Set this to true to enable the use of rules to target individual assets in this creative. When set to true creativeAssetSelection must be set. This also controls asset-level companions. When this is true, companion creatives should be assigned to creative assets. Learn more. Applicable to INSTREAM_VIDEO creatives.", "type": "boolean" }, "autoAdvanceImages": { "description": "Whether images are automatically advanced for image gallery creatives. Applicable to the following creative types: DISPLAY_IMAGE_GALLERY.", "type": "boolean" }, "adTagKeys": { "description": "Keywords for a Rich Media creative. Keywords let you customize the creative settings of a Rich Media ad running on your site without having to contact the advertiser. You can use keywords to dynamically change the look or functionality of a creative. Applicable to the following creative types: all RICH_MEDIA, and all VPAID.", "items": { "type": "string" }, "type": "array" }, "adParameters": { "type": "string", "description": "Ad parameters user for VPAID creative. This is a read-only field. Applicable to the following creative types: all VPAID." } } }, "ConnectionType": { "properties": { "id": { "type": "string", "format": "int64", "description": "ID of this connection type." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#connectionType\".", "type": "string" }, "name": { "description": "Name of this connection type.", "type": "string" } }, "description": "Contains information about an internet connection type that can be targeted by ads. Clients can use the connection type to target mobile vs. broadband users.", "type": "object", "id": "ConnectionType" }, "AccountPermissionsListResponse": { "id": "AccountPermissionsListResponse", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionsListResponse\"." }, "accountPermissions": { "items": { "$ref": "AccountPermission" }, "description": "Account permission collection.", "type": "array" } }, "description": "Account Permission List Response" }, "VideoOffset": { "description": "Video Offset", "type": "object", "properties": { "offsetPercentage": { "format": "int32", "type": "integer", "description": "Duration, as a percentage of video duration. Do not set when offsetSeconds is set. Acceptable values are 0 to 100, inclusive." }, "offsetSeconds": { "format": "int32", "description": "Duration, in seconds. Do not set when offsetPercentage is set. Acceptable values are 0 to 86399, inclusive.", "type": "integer" } }, "id": "VideoOffset" }, "PlatformType": { "description": "Contains information about a platform type that can be targeted by ads.", "type": "object", "id": "PlatformType", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#platformType\".", "type": "string" }, "name": { "description": "Name of this platform type.", "type": "string" }, "id": { "format": "int64", "description": "ID of this platform type.", "type": "string" } } }, "CreativeOptimizationConfiguration": { "description": "Creative optimization settings.", "type": "object", "properties": { "optimizationModel": { "enum": [ "CLICK", "POST_CLICK", "POST_IMPRESSION", "POST_CLICK_AND_IMPRESSION", "VIDEO_COMPLETION" ], "type": "string", "description": "Optimization model for this configuration.", "enumDescriptions": [ "", "", "", "", "" ] }, "optimizationActivitys": { "type": "array", "items": { "$ref": "OptimizationActivity" }, "description": "List of optimization activities associated with this configuration." }, "id": { "format": "int64", "description": "ID of this creative optimization config. This field is auto-generated when the campaign is inserted or updated. It can be null for existing campaigns.", "type": "string" }, "name": { "description": "Name of this creative optimization config. This is a required field and must be less than 129 characters long.", "type": "string" } }, "id": "CreativeOptimizationConfiguration" }, "UserProfileList": { "id": "UserProfileList", "description": "Represents the list of user profiles.", "properties": { "items": { "type": "array", "items": { "$ref": "UserProfile" }, "description": "The user profiles returned in this response." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userProfileList\".", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" } }, "type": "object" }, "CreativeField": { "properties": { "name": { "type": "string", "description": "Name of this creative field. This is a required field and must be less than 256 characters long and unique among creative fields of the same advertiser." }, "id": { "description": "ID of this creative field. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "accountId": { "type": "string", "description": "Account ID of this creative field. This is a read-only field that can be left blank.", "format": "int64" }, "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "subaccountId": { "type": "string", "description": "Subaccount ID of this creative field. This is a read-only field that can be left blank.", "format": "int64" }, "advertiserId": { "description": "Advertiser ID of this creative field. This is a required field on insertion.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeField\"." } }, "id": "CreativeField", "type": "object", "description": "Contains properties of a creative field." }, "AccountsListResponse": { "id": "AccountsListResponse", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountsListResponse\".", "type": "string" }, "accounts": { "description": "Account collection.", "type": "array", "items": { "$ref": "Account" } } }, "type": "object", "description": "Account List Response" }, "UserRolePermission": { "id": "UserRolePermission", "type": "object", "description": "Contains properties of a user role permission.", "properties": { "id": { "description": "ID of this user role permission.", "type": "string", "format": "int64" }, "availability": { "enumDescriptions": [ "", "", "", "", "", "" ], "description": "Levels of availability for a user role permission.", "enum": [ "NOT_AVAILABLE_BY_DEFAULT", "ACCOUNT_BY_DEFAULT", "SUBACCOUNT_AND_ACCOUNT_BY_DEFAULT", "ACCOUNT_ALWAYS", "SUBACCOUNT_AND_ACCOUNT_ALWAYS", "USER_PROFILE_ONLY" ], "type": "string" }, "name": { "type": "string", "description": "Name of this user role permission." }, "permissionGroupId": { "format": "int64", "description": "ID of the permission group that this user role permission belongs to.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermission\".", "type": "string" } } }, "LookbackConfiguration": { "type": "object", "properties": { "postImpressionActivitiesDuration": { "type": "integer", "format": "int32", "description": "Lookback window, in days, from the last time a given user viewed one of your ads. If you enter 0, impressions will not be considered as triggering events for floodlight tracking. If you leave this field blank, the default value for your account will be used. Acceptable values are 0 to 90, inclusive." }, "clickDuration": { "description": "Lookback window, in days, from the last time a given user clicked on one of your ads. If you enter 0, clicks will not be considered as triggering events for floodlight tracking. If you leave this field blank, the default value for your account will be used. Acceptable values are 0 to 90, inclusive.", "type": "integer", "format": "int32" } }, "description": "Lookback configuration settings.", "id": "LookbackConfiguration" }, "MobileCarriersListResponse": { "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileCarriersListResponse\".", "type": "string" }, "mobileCarriers": { "type": "array", "description": "Mobile carrier collection.", "items": { "$ref": "MobileCarrier" } } }, "id": "MobileCarriersListResponse", "description": "Mobile Carrier List Response" }, "BillingRatesListResponse": { "id": "BillingRatesListResponse", "description": "Billing Rate List Response", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#billingRatesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "billingRates": { "type": "array", "description": "Billing rates collection.", "items": { "$ref": "BillingRate" } } } }, "SiteSettings": { "description": "Site Settings", "id": "SiteSettings", "type": "object", "properties": { "disableNewCookie": { "description": "Whether new cookies are disabled for this site.", "type": "boolean" }, "adBlockingOptOut": { "type": "boolean", "description": "Whether this site opts out of ad blocking. When true, ad blocking is disabled for all placements under the site, regardless of the individual placement settings. When false, the campaign and placement settings take effect." }, "tagSetting": { "description": "Configuration settings for dynamic and image floodlight tags.", "$ref": "TagSetting" }, "vpaidAdapterChoiceTemplate": { "enum": [ "DEFAULT", "FLASH", "HTML5", "BOTH" ], "description": "Default VPAID adapter setting for new placements created under this site. This value will be used to populate the placements.vpaidAdapterChoice field, when no value is specified for the new placement. Controls which VPAID format the measurement adapter will use for in-stream video creatives assigned to the placement. The publisher's specifications will typically determine this setting. For VPAID creatives, the adapter format will match the VPAID format (HTML5 VPAID creatives use the HTML5 adapter). *Note:* Flash is no longer supported. This field now defaults to HTML5 when the following values are provided: FLASH, BOTH.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "videoActiveViewOptOutTemplate": { "description": "Whether Verification and ActiveView for in-stream video creatives are disabled by default for new placements created under this site. This value will be used to populate the placement.videoActiveViewOptOut field, when no value is specified for the new placement.", "type": "boolean" }, "activeViewOptOut": { "type": "boolean", "description": "Whether active view creatives are disabled for this site." } } }, "VideoFormatsListResponse": { "properties": { "videoFormats": { "description": "Video format collection.", "items": { "$ref": "VideoFormat" }, "type": "array" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoFormatsListResponse\".", "type": "string" } }, "type": "object", "id": "VideoFormatsListResponse", "description": "Video Format List Response" }, "PlacementTag": { "description": "Placement Tag", "properties": { "placementId": { "format": "int64", "description": "Placement ID", "type": "string" }, "tagDatas": { "type": "array", "items": { "$ref": "TagData" }, "description": "Tags generated for this placement." } }, "type": "object", "id": "PlacementTag" }, "OmnitureSettings": { "properties": { "omnitureIntegrationEnabled": { "description": "Whether Omniture integration is enabled. This property can be enabled only when the \"Advanced Ad Serving\" account setting is enabled.", "type": "boolean" }, "omnitureCostDataEnabled": { "type": "boolean", "description": "Whether placement cost data will be sent to Omniture. This property can be enabled only if omnitureIntegrationEnabled is true." } }, "description": "Omniture Integration Settings.", "type": "object", "id": "OmnitureSettings" }, "MobileApp": { "properties": { "directory": { "enum": [ "UNKNOWN", "APPLE_APP_STORE", "GOOGLE_PLAY_STORE", "ROKU_APP_STORE", "AMAZON_FIRETV_APP_STORE", "PLAYSTATION_APP_STORE", "APPLE_TV_APP_STORE", "XBOX_APP_STORE", "SAMSUNG_TV_APP_STORE", "ANDROID_TV_APP_STORE", "GENERIC_CTV_APP_STORE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "description": "Mobile app directory.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileApp\".", "type": "string" }, "id": { "description": "ID of this mobile app.", "type": "string" }, "title": { "type": "string", "description": "Title of this mobile app." }, "publisherName": { "type": "string", "description": "Publisher name." } }, "id": "MobileApp", "type": "object", "description": "Contains information about a mobile app. Used as a landing page deep link." }, "CreativeAssignment": { "type": "object", "description": "Creative Assignment.", "id": "CreativeAssignment", "properties": { "sequence": { "format": "int32", "description": "Sequence number of the creative assignment, applicable when the rotation type is CREATIVE_ROTATION_TYPE_SEQUENTIAL. Acceptable values are 1 to 65535, inclusive.", "type": "integer" }, "creativeGroupAssignments": { "items": { "$ref": "CreativeGroupAssignment" }, "description": "Creative group assignments for this creative assignment. Only one assignment per creative group number is allowed for a maximum of two assignments.", "type": "array" }, "creativeId": { "description": "ID of the creative to be assigned. This is a required field.", "type": "string", "format": "int64" }, "active": { "type": "boolean", "description": "Whether this creative assignment is active. When true, the creative will be included in the ad's rotation." }, "applyEventTags": { "description": "Whether applicable event tags should fire when this creative assignment is rendered. If this value is unset when the ad is inserted or updated, it will default to true for all creative types EXCEPT for INTERNAL_REDIRECT, INTERSTITIAL_INTERNAL_REDIRECT, and INSTREAM_VIDEO.", "type": "boolean" }, "clickThroughUrl": { "description": "Click-through URL of the creative assignment.", "$ref": "ClickThroughUrl" }, "weight": { "format": "int32", "description": "Weight of the creative assignment, applicable when the rotation type is CREATIVE_ROTATION_TYPE_RANDOM. Value must be greater than or equal to 1.", "type": "integer" }, "startTime": { "type": "string", "format": "date-time" }, "companionCreativeOverrides": { "description": "Companion creative overrides for this creative assignment. Applicable to video ads.", "type": "array", "items": { "$ref": "CompanionClickThroughOverride" } }, "sslCompliant": { "type": "boolean", "description": "Whether the creative to be assigned is SSL-compliant. This is a read-only field that is auto-generated when the ad is inserted or updated." }, "creativeIdDimensionValue": { "description": "Dimension value for the ID of the creative. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "richMediaExitOverrides": { "type": "array", "description": "Rich media exit overrides for this creative assignment. Applicable when the creative type is any of the following: - DISPLAY - RICH_MEDIA_INPAGE - RICH_MEDIA_INPAGE_FLOATING - RICH_MEDIA_IM_EXPAND - RICH_MEDIA_EXPANDING - RICH_MEDIA_INTERSTITIAL_FLOAT - RICH_MEDIA_MOBILE_IN_APP - RICH_MEDIA_MULTI_FLOATING - RICH_MEDIA_PEEL_DOWN - VPAID_LINEAR - VPAID_NON_LINEAR ", "items": { "$ref": "RichMediaExitOverride" } }, "endTime": { "format": "date-time", "type": "string" } } }, "UserRolePermissionsListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionsListResponse\".", "type": "string" }, "userRolePermissions": { "description": "User role permission collection.", "type": "array", "items": { "$ref": "UserRolePermission" } } }, "description": "User Role Permission List Response", "id": "UserRolePermissionsListResponse", "type": "object" }, "Invoice": { "properties": { "paymentsProfileId": { "type": "string", "description": "The ID of the payments profile the invoice belongs to. Appears on the invoice PDF as *Billing ID*." }, "invoiceType": { "enum": [ "INVOICE_TYPE_UNSPECIFIED", "INVOICE_TYPE_CREDIT", "INVOICE_TYPE_INVOICE" ], "type": "string", "enumDescriptions": [ "", "", "" ], "description": "The type of invoice document." }, "totalAmountMicros": { "description": "The invoice total amount, in micros of the invoice's currency.", "type": "string", "format": "int64" }, "replacedInvoiceIds": { "items": { "type": "string" }, "description": "The originally issued invoice(s) that is being cancelled by this invoice, if applicable. May appear on invoice PDF as *Replaced invoice numbers*. Note: There may be multiple replaced invoices due to consolidation of multiple invoices into a single invoice.", "type": "array" }, "id": { "type": "string", "description": "ID of this invoice." }, "issueDate": { "type": "string", "description": "The date when the invoice was issued." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#invoice\".", "type": "string" }, "pdfUrl": { "type": "string", "description": "The URL to download a PDF copy of the invoice. Note that this URL is user specific and requires a valid OAuth 2.0 access token to access. The access token must be provided in an *Authorization: Bearer* HTTP header. The URL will only be usable for 7 days from when the api is called." }, "serviceStartDate": { "type": "string", "description": "The invoice service start date." }, "currencyCode": { "description": "Invoice currency code in ISO 4217 format.", "type": "string" }, "campaign_summaries": { "items": { "$ref": "CampaignSummary" }, "description": "The list of summarized campaign information associated with this invoice.", "type": "array" }, "serviceEndDate": { "description": "The invoice service end date.", "type": "string" }, "totalTaxAmountMicros": { "type": "string", "format": "int64", "description": "The sum of all taxes in invoice, in micros of the invoice's currency." }, "subtotalAmountMicros": { "description": "The pre-tax subtotal amount, in micros of the invoice's currency.", "format": "int64", "type": "string" }, "paymentsAccountId": { "description": "The ID of the payments account the invoice belongs to. Appears on the invoice PDF as *Billing Account Number*.", "type": "string" }, "correctedInvoiceId": { "description": "The originally issued invoice that is being adjusted by this invoice, if applicable. May appear on invoice PDF as *Reference invoice number*.", "type": "string" }, "purchaseOrderNumber": { "description": "Purchase order number associated with the invoice.", "type": "string" }, "dueDate": { "description": "The invoice due date.", "type": "string" } }, "id": "Invoice", "description": "Contains information about a single invoice", "type": "object" }, "BillingProfilesListResponse": { "description": "Billing profile List Response", "type": "object", "id": "BillingProfilesListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#billingProfilesListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "billingProfiles": { "type": "array", "items": { "$ref": "BillingProfile" }, "description": "Billing profiles collection." } } }, "CountriesListResponse": { "description": "Country List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#countriesListResponse\".", "type": "string" }, "countries": { "description": "Country collection.", "items": { "$ref": "Country" }, "type": "array" } }, "type": "object", "id": "CountriesListResponse" }, "FloodlightActivityGroupsListResponse": { "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivityGroupsListResponse\".", "type": "string" }, "floodlightActivityGroups": { "description": "Floodlight activity group collection.", "items": { "$ref": "FloodlightActivityGroup" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } }, "description": "Floodlight Activity Group List Response", "type": "object", "id": "FloodlightActivityGroupsListResponse" }, "DimensionFilter": { "id": "DimensionFilter", "type": "object", "description": "Represents a dimension filter.", "properties": { "value": { "type": "string", "description": "The value of the dimension to filter." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#dimensionFilter.", "type": "string" }, "dimensionName": { "type": "string", "description": "The name of the dimension to filter." } } }, "FloodlightConfiguration": { "type": "object", "properties": { "customViewabilityMetric": { "description": "Custom Viewability metric for the floodlight configuration.", "$ref": "CustomViewabilityMetric" }, "subaccountId": { "description": "Subaccount ID of this floodlight configuration. This is a read-only field that can be left blank.", "format": "int64", "type": "string" }, "id": { "description": "ID of this floodlight configuration. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "lookbackConfiguration": { "description": "Lookback window settings for this floodlight configuration.", "$ref": "LookbackConfiguration" }, "userDefinedVariableConfigurations": { "description": "List of user defined variables enabled for this configuration.", "items": { "$ref": "UserDefinedVariableConfiguration" }, "type": "array" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightConfiguration\"." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this floodlight configuration. This is a read-only field that can be left blank." }, "tagSettings": { "$ref": "TagSettings", "description": "Configuration settings for dynamic and image floodlight tags." }, "firstDayOfWeek": { "enum": [ "MONDAY", "SUNDAY" ], "type": "string", "enumDescriptions": [ "", "" ], "description": "Day that will be counted as the first day of the week in reports. This is a required field." }, "inAppAttributionTrackingEnabled": { "description": "Whether in-app attribution tracking is enabled.", "type": "boolean" }, "naturalSearchConversionAttributionOption": { "description": "Types of attribution options for natural search conversions.", "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "EXCLUDE_NATURAL_SEARCH_CONVERSION_ATTRIBUTION", "INCLUDE_NATURAL_SEARCH_CONVERSION_ATTRIBUTION", "INCLUDE_NATURAL_SEARCH_TIERED_CONVERSION_ATTRIBUTION" ] }, "idDimensionValue": { "description": "Dimension value for the ID of this floodlight configuration. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "omnitureSettings": { "description": "Settings for Campaign Manager Omniture integration.", "$ref": "OmnitureSettings" }, "analyticsDataSharingEnabled": { "type": "boolean", "description": "Whether advertiser data is shared with Google Analytics." }, "thirdPartyAuthenticationTokens": { "type": "array", "items": { "$ref": "ThirdPartyAuthenticationToken" }, "description": "List of third-party authentication tokens enabled for this configuration." }, "exposureToConversionEnabled": { "description": "Whether the exposure-to-conversion report is enabled. This report shows detailed pathway information on up to 10 of the most recent ad exposures seen by a user before converting.", "type": "boolean" }, "advertiserId": { "type": "string", "description": "Advertiser ID of the parent advertiser of this floodlight configuration.", "format": "int64" } }, "description": "Contains properties of a Floodlight configuration.", "id": "FloodlightConfiguration" }, "ReportCompatibleFields": { "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#reportCompatibleFields." }, "pivotedActivityMetrics": { "items": { "$ref": "Metric" }, "type": "array", "description": "Metrics which are compatible to be selected as activity metrics to pivot on in the \"activities\" section of the report." }, "metrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report." }, "dimensions": { "items": { "$ref": "Dimension" }, "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report." }, "dimensionFilters": { "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "type": "array" } }, "description": "Represents fields that are compatible to be selected for a report of type \"STANDARD\".", "id": "ReportCompatibleFields", "type": "object" }, "PlacementGroupsListResponse": { "description": "Placement Group List Response", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementGroupsListResponse\"." }, "placementGroups": { "type": "array", "description": "Placement group collection.", "items": { "$ref": "PlacementGroup" } } }, "id": "PlacementGroupsListResponse", "type": "object" }, "UserRolePermissionGroupsListResponse": { "description": "User Role Permission Group List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionGroupsListResponse\".", "type": "string" }, "userRolePermissionGroups": { "type": "array", "items": { "$ref": "UserRolePermissionGroup" }, "description": "User role permission group collection." } }, "type": "object", "id": "UserRolePermissionGroupsListResponse" }, "TargetingTemplate": { "description": "Contains properties of a targeting template. A targeting template encapsulates targeting information which can be reused across multiple ads.", "id": "TargetingTemplate", "type": "object", "properties": { "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field." }, "languageTargeting": { "description": "Language targeting criteria.", "$ref": "LanguageTargeting" }, "geoTargeting": { "description": "Geographical targeting criteria.", "$ref": "GeoTargeting" }, "listTargetingExpression": { "description": "Remarketing list targeting criteria.", "$ref": "ListTargetingExpression" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetingTemplate\"." }, "id": { "type": "string", "description": "ID of this targeting template. This is a read-only, auto-generated field.", "format": "int64" }, "name": { "description": "Name of this targeting template. This field is required. It must be less than 256 characters long and unique within an advertiser.", "type": "string" }, "dayPartTargeting": { "description": "Time and day targeting criteria.", "$ref": "DayPartTargeting" }, "subaccountId": { "format": "int64", "description": "Subaccount ID of this targeting template. This field, if left unset, will be auto-generated on insert and is read-only after insert.", "type": "string" }, "keyValueTargetingExpression": { "$ref": "KeyValueTargetingExpression", "description": "Key-value targeting criteria." }, "advertiserId": { "format": "int64", "type": "string", "description": "Advertiser ID of this targeting template. This is a required field on insert and is read-only after insert." }, "technologyTargeting": { "$ref": "TechnologyTargeting", "description": "Technology platform targeting criteria." }, "accountId": { "type": "string", "description": "Account ID of this targeting template. This field, if left unset, will be auto-generated on insert and is read-only after insert.", "format": "int64" } } }, "PathToConversionReportCompatibleFields": { "type": "object", "id": "PathToConversionReportCompatibleFields", "properties": { "conversionDimensions": { "description": "Conversion dimensions which are compatible to be selected in the \"conversionDimensions\" section of the report.", "items": { "$ref": "Dimension" }, "type": "array" }, "kind": { "description": "The kind of resource this is, in this case dfareporting#pathToConversionReportCompatibleFields.", "type": "string" }, "perInteractionDimensions": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Per-interaction dimensions which are compatible to be selected in the \"perInteractionDimensions\" section of the report." }, "customFloodlightVariables": { "items": { "$ref": "Dimension" }, "description": "Custom floodlight variables which are compatible to be selected in the \"customFloodlightVariables\" section of the report.", "type": "array" }, "metrics": { "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "items": { "$ref": "Metric" }, "type": "array" } }, "description": "Represents fields that are compatible to be selected for a report of type \"PATH_TO_CONVERSION\"." }, "AdSlot": { "properties": { "name": { "type": "string", "description": "Name of this ad slot." }, "comment": { "description": "Comment for this ad slot.", "type": "string" }, "height": { "type": "string", "description": "Height of this ad slot.", "format": "int64" }, "paymentSourceType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "PLANNING_PAYMENT_SOURCE_TYPE_AGENCY_PAID", "PLANNING_PAYMENT_SOURCE_TYPE_PUBLISHER_PAID" ], "description": "Payment source type of this ad slot." }, "compatibility": { "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string", "enum": [ "DISPLAY", "DISPLAY_INTERSTITIAL", "APP", "APP_INTERSTITIAL", "IN_STREAM_VIDEO", "IN_STREAM_AUDIO" ], "description": "Ad slot compatibility. DISPLAY and DISPLAY_INTERSTITIAL refer to rendering either on desktop, mobile devices or in mobile apps for regular or interstitial ads respectively. APP and APP_INTERSTITIAL are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the VAST standard." }, "primary": { "type": "boolean", "description": "Primary ad slot of a roadblock inventory item." }, "width": { "description": "Width of this ad slot.", "format": "int64", "type": "string" }, "linkedPlacementId": { "format": "int64", "description": "ID of the placement from an external platform that is linked to this ad slot.", "type": "string" } }, "type": "object", "description": "Ad Slot", "id": "AdSlot" }, "AdBlockingConfiguration": { "id": "AdBlockingConfiguration", "properties": { "enabled": { "type": "boolean", "description": "Whether this campaign has enabled ad blocking. When true, ad blocking is enabled for placements in the campaign, but this may be overridden by site and placement settings. When false, ad blocking is disabled for all placements under the campaign, regardless of site and placement settings." } }, "description": "Campaign ad blocking settings.", "type": "object" }, "ListPopulationRule": { "type": "object", "description": "Remarketing List Population Rule.", "properties": { "floodlightActivityName": { "type": "string", "description": "Name of floodlight activity associated with this rule. This is a read-only, auto-generated field." }, "listPopulationClauses": { "items": { "$ref": "ListPopulationClause" }, "description": "Clauses that make up this list population rule. Clauses are joined by ANDs, and the clauses themselves are made up of list population terms which are joined by ORs.", "type": "array" }, "floodlightActivityId": { "type": "string", "format": "int64", "description": "Floodlight activity ID associated with this rule. This field can be left blank." } }, "id": "ListPopulationRule" }, "CreativeClickThroughUrl": { "properties": { "landingPageId": { "description": "ID of the landing page for the click-through URL.", "format": "int64", "type": "string" }, "customClickThroughUrl": { "description": "Custom click-through URL. Applicable if the landingPageId field is left unset.", "type": "string" }, "computedClickThroughUrl": { "type": "string", "description": "Read-only convenience field representing the actual URL that will be used for this click-through. The URL is computed as follows: - If landingPageId is specified then that landing page's URL is assigned to this field. - Otherwise, the customClickThroughUrl is assigned to this field. " } }, "id": "CreativeClickThroughUrl", "type": "object", "description": "Click-through URL" }, "DimensionValueRequest": { "properties": { "dimensionName": { "type": "string", "description": "The name of the dimension for which values should be requested.", "annotations": { "required": [ "dfareporting.dimensionValues.query" ] } }, "filters": { "type": "array", "description": "The list of filters by which to filter values. The filters are ANDed.", "items": { "$ref": "DimensionFilter" } }, "kind": { "type": "string", "description": "The kind of request this is, in this case dfareporting#dimensionValueRequest ." }, "endDate": { "type": "string", "format": "date" }, "startDate": { "format": "date", "type": "string" } }, "description": "Represents a DimensionValuesRequest.", "id": "DimensionValueRequest", "type": "object" }, "EventFilter": { "description": "Represents a DfaReporting event filter.", "type": "object", "properties": { "dimensionFilter": { "description": "The dimension filter contained within this EventFilter.", "$ref": "PathReportDimensionValue" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#eventFilter." } }, "id": "EventFilter" }, "PlacementsListResponse": { "type": "object", "id": "PlacementsListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementsListResponse\".", "type": "string" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "placements": { "type": "array", "items": { "$ref": "Placement" }, "description": "Placement collection." } }, "description": "Placement List Response" }, "TargetableRemarketingList": { "description": "Contains properties of a targetable remarketing list. Remarketing enables you to create lists of users who have performed specific actions on a site, then target ads to members of those lists. This resource is a read-only view of a remarketing list to be used to faciliate targeting ads to specific lists. Remarketing lists that are owned by your advertisers and those that are shared to your advertisers or account are accessible via this resource. To manage remarketing lists that are owned by your advertisers, use the RemarketingLists resource.", "type": "object", "id": "TargetableRemarketingList", "properties": { "advertiserIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the advertiser." }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests." }, "accountId": { "type": "string", "format": "int64", "description": "Account ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetableRemarketingList\"." }, "active": { "description": "Whether this targetable remarketing list is active.", "type": "boolean" }, "name": { "description": "Name of the targetable remarketing list. Is no greater than 128 characters long.", "type": "string" }, "description": { "type": "string", "description": "Targetable remarketing list description." }, "id": { "format": "int64", "type": "string", "description": "Targetable remarketing list ID." }, "listSource": { "enum": [ "REMARKETING_LIST_SOURCE_OTHER", "REMARKETING_LIST_SOURCE_ADX", "REMARKETING_LIST_SOURCE_DFP", "REMARKETING_LIST_SOURCE_XFP", "REMARKETING_LIST_SOURCE_DFA", "REMARKETING_LIST_SOURCE_GA", "REMARKETING_LIST_SOURCE_YOUTUBE", "REMARKETING_LIST_SOURCE_DBM", "REMARKETING_LIST_SOURCE_GPLUS", "REMARKETING_LIST_SOURCE_DMP", "REMARKETING_LIST_SOURCE_PLAY_STORE" ], "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "description": "Product from which this targetable remarketing list was originated." }, "listSize": { "format": "int64", "description": "Number of users currently in the list. This is a read-only field.", "type": "string" }, "lifeSpan": { "format": "int64", "description": "Number of days that a user should remain in the targetable remarketing list without an impression.", "type": "string" }, "advertiserId": { "description": "Dimension value for the advertiser ID that owns this targetable remarketing list.", "type": "string", "format": "int64" } } }, "UserRolesListResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "userRoles": { "items": { "$ref": "UserRole" }, "type": "array", "description": "User role collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolesListResponse\".", "type": "string" } }, "id": "UserRolesListResponse", "description": "User Role List Response" }, "OperatingSystemsListResponse": { "id": "OperatingSystemsListResponse", "description": "Operating System List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemsListResponse\".", "type": "string" }, "operatingSystems": { "items": { "$ref": "OperatingSystem" }, "description": "Operating system collection.", "type": "array" } }, "type": "object" }, "Dimension": { "description": "Represents a dimension.", "id": "Dimension", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#dimension.", "type": "string" }, "name": { "type": "string", "description": "The dimension name, e.g. dfa:advertiser" } }, "type": "object" }, "CreativeAssetId": { "description": "Creative Asset ID.", "id": "CreativeAssetId", "type": "object", "properties": { "name": { "description": "Name of the creative asset. This is a required field while inserting an asset. After insertion, this assetIdentifier is used to identify the uploaded asset. Characters in the name must be alphanumeric or one of the following: \".-_ \". Spaces are allowed.", "type": "string" }, "type": { "description": "Type of asset to upload. This is a required field. FLASH and IMAGE are no longer supported for new uploads. All image assets should use HTML_IMAGE.", "enum": [ "IMAGE", "FLASH", "VIDEO", "HTML", "HTML_IMAGE", "AUDIO" ], "enumDescriptions": [ "", "", "", "", "", "" ], "type": "string" } } }, "TargetWindow": { "type": "object", "description": "Target Window.", "id": "TargetWindow", "properties": { "targetWindowOption": { "enumDescriptions": [ "", "", "" ], "description": "Type of browser window for which the backup image of the flash creative can be displayed.", "type": "string", "enum": [ "NEW_WINDOW", "CURRENT_WINDOW", "CUSTOM" ] }, "customHtml": { "description": "User-entered value.", "type": "string" } } }, "MeasurementPartnerWrappingData": { "properties": { "linkStatus": { "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "description": "Placement wrapping status.", "type": "string" }, "tagWrappingMode": { "description": "Measurement mode for the wrapped placement.", "enum": [ "NONE", "BLOCKING", "MONITORING", "MONITORING_READ_ONLY", "VIDEO_PIXEL_MONITORING", "TRACKING", "VPAID_MONITORING", "VPAID_BLOCKING", "NON_VPAID_MONITORING", "VPAID_ONLY_MONITORING", "VPAID_ONLY_BLOCKING", "VPAID_ONLY_FILTERING", "VPAID_FILTERING", "NON_VPAID_FILTERING" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "" ] }, "measurementPartner": { "enumDescriptions": [ "", "", "" ], "description": "Measurement partner used for wrapping the placement.", "type": "string", "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ] }, "wrappedTag": { "description": "Tag provided by the measurement partner during wrapping.", "type": "string" } }, "description": "Placement tag wrapping", "type": "object", "id": "MeasurementPartnerWrappingData" }, "BillingRateTieredRate": { "properties": { "lowValue": { "description": "The minimum for this tier range.", "format": "int64", "type": "string" }, "rateInMicros": { "description": "Rate in micros for this tier.", "format": "int64", "type": "string" }, "highValue": { "description": "The maximum for this tier range.", "format": "int64", "type": "string" } }, "type": "object", "id": "BillingRateTieredRate" }, "CampaignCreativeAssociation": { "type": "object", "properties": { "creativeId": { "description": "ID of the creative associated with the campaign. This is a required field.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignCreativeAssociation\".", "type": "string" } }, "description": "Identifies a creative which has been associated with a given campaign.", "id": "CampaignCreativeAssociation" }, "ChannelGrouping": { "properties": { "fallbackName": { "type": "string", "description": "ChannelGrouping fallback name." }, "rules": { "items": { "$ref": "ChannelGroupingRule" }, "type": "array", "description": "The rules contained within this channel grouping." }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#channelGrouping." }, "name": { "type": "string", "description": "ChannelGrouping name." } }, "id": "ChannelGrouping", "description": "Represents a DfaReporting channel grouping.", "type": "object" }, "UserRolePermissionGroup": { "description": "Represents a grouping of related user role permissions.", "type": "object", "id": "UserRolePermissionGroup", "properties": { "id": { "description": "ID of this user role permission.", "format": "int64", "type": "string" }, "name": { "type": "string", "description": "Name of this user role permission group." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userRolePermissionGroup\".", "type": "string" } } }, "MetrosListResponse": { "description": "Metro List Response", "type": "object", "id": "MetrosListResponse", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#metrosListResponse\"." }, "metros": { "type": "array", "items": { "$ref": "Metro" }, "description": "Metro collection." } } }, "FloodlightActivitiesGenerateTagResponse": { "description": "Floodlight Activity GenerateTag Response", "id": "FloodlightActivitiesGenerateTagResponse", "type": "object", "properties": { "globalSiteTagGlobalSnippet": { "type": "string", "description": "The global snippet section of a global site tag. The global site tag sets new cookies on your domain, which will store a unique identifier for a user or the ad click that brought the user to your site. Learn more." }, "floodlightActivityTag": { "description": "Generated tag for this Floodlight activity. For global site tags, this is the event snippet.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivitiesGenerateTagResponse\".", "type": "string" } } }, "AdvertisersListResponse": { "id": "AdvertisersListResponse", "properties": { "advertisers": { "description": "Advertiser collection.", "type": "array", "items": { "$ref": "Advertiser" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertisersListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "description": "Advertiser List Response", "type": "object" }, "ChangeLogsListResponse": { "id": "ChangeLogsListResponse", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "changeLogs": { "type": "array", "description": "Change log collection.", "items": { "$ref": "ChangeLog" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#changeLogsListResponse\"." } }, "description": "Change Log List Response", "type": "object" }, "MobileAppsListResponse": { "type": "object", "description": "Mobile app List Response", "properties": { "mobileApps": { "description": "Mobile apps collection.", "type": "array", "items": { "$ref": "MobileApp" } }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileAppsListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "id": "MobileAppsListResponse" }, "MeasurementPartnerCampaignLink": { "id": "MeasurementPartnerCampaignLink", "properties": { "measurementPartner": { "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ], "description": "Measurement partner used for tag wrapping.", "type": "string", "enumDescriptions": [ "", "", "" ] }, "linkStatus": { "description": ".", "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ] }, "partnerCampaignId": { "description": "Partner campaign ID needed for establishing linking with Measurement partner.", "type": "string" } }, "type": "object" }, "Region": { "type": "object", "id": "Region", "description": "Contains information about a region that can be targeted by ads.", "properties": { "countryCode": { "description": "Country code of the country to which this region belongs.", "type": "string" }, "countryDartId": { "description": "DART ID of the country to which this region belongs.", "type": "string", "format": "int64" }, "regionCode": { "description": "Region code.", "type": "string" }, "dartId": { "format": "int64", "description": "DART ID of this region.", "type": "string" }, "name": { "type": "string", "description": "Name of this region." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#region\"." } } }, "ContentCategoriesListResponse": { "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#contentCategoriesListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "contentCategories": { "type": "array", "description": "Content category collection.", "items": { "$ref": "ContentCategory" } } }, "id": "ContentCategoriesListResponse", "description": "Content Category List Response" }, "FloodlightActivityDynamicTag": { "properties": { "id": { "description": "ID of this dynamic tag. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "name": { "description": "Name of this tag.", "type": "string" }, "tag": { "description": "Tag code.", "type": "string" } }, "type": "object", "id": "FloodlightActivityDynamicTag", "description": "Dynamic Tag" }, "ListPopulationTerm": { "description": "Remarketing List Population Rule Term.", "type": "object", "id": "ListPopulationTerm", "properties": { "negation": { "type": "boolean", "description": "Whether to negate the comparison result of this term during rule evaluation. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM." }, "type": { "description": "List population term type determines the applicable fields in this object. If left unset or set to CUSTOM_VARIABLE_TERM, then variableName, variableFriendlyName, operator, value, and negation are applicable. If set to LIST_MEMBERSHIP_TERM then remarketingListId and contains are applicable. If set to REFERRER_TERM then operator, value, and negation are applicable.", "enum": [ "CUSTOM_VARIABLE_TERM", "LIST_MEMBERSHIP_TERM", "REFERRER_TERM" ], "enumDescriptions": [ "", "", "" ], "type": "string" }, "contains": { "type": "boolean", "description": "Will be true if the term should check if the user is in the list and false if the term should check if the user is not in the list. This field is only relevant when type is set to LIST_MEMBERSHIP_TERM. False by default." }, "variableName": { "type": "string", "description": "Name of the variable (U1, U2, etc.) being compared in this term. This field is only relevant when type is set to null, CUSTOM_VARIABLE_TERM or REFERRER_TERM." }, "remarketingListId": { "format": "int64", "description": "ID of the list in question. This field is only relevant when type is set to LIST_MEMBERSHIP_TERM.", "type": "string" }, "operator": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "enum": [ "NUM_EQUALS", "NUM_LESS_THAN", "NUM_LESS_THAN_EQUAL", "NUM_GREATER_THAN", "NUM_GREATER_THAN_EQUAL", "STRING_EQUALS", "STRING_CONTAINS" ], "description": "Comparison operator of this term. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM.", "type": "string" }, "value": { "description": "Literal to compare the variable to. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM or REFERRER_TERM.", "type": "string" }, "variableFriendlyName": { "type": "string", "description": "Friendly name of this term's variable. This is a read-only, auto-generated field. This field is only relevant when type is left unset or set to CUSTOM_VARIABLE_TERM." } } }, "CustomViewabilityMetric": { "description": "Custom Viewability Metric", "properties": { "id": { "type": "string", "description": "ID of the custom viewability metric.", "format": "int64" }, "name": { "type": "string", "description": "Name of the custom viewability metric." }, "configuration": { "$ref": "CustomViewabilityMetricConfiguration", "description": "Configuration of the custom viewability metric." } }, "type": "object", "id": "CustomViewabilityMetric" }, "MeasurementPartnerAdvertiserLink": { "properties": { "partnerAdvertiserId": { "description": ".", "type": "string" }, "measurementPartner": { "enum": [ "NONE", "INTEGRAL_AD_SCIENCE", "DOUBLE_VERIFY" ], "description": "Measurement partner used for tag wrapping.", "enumDescriptions": [ "", "", "" ], "type": "string" }, "linkStatus": { "enum": [ "MEASUREMENT_PARTNER_UNLINKED", "MEASUREMENT_PARTNER_LINKED", "MEASUREMENT_PARTNER_LINK_PENDING", "MEASUREMENT_PARTNER_LINK_FAILURE", "MEASUREMENT_PARTNER_LINK_OPT_OUT", "MEASUREMENT_PARTNER_LINK_OPT_OUT_PENDING", "MEASUREMENT_PARTNER_LINK_WRAPPING_PENDING", "MEASUREMENT_PARTNER_MODE_CHANGE_PENDING" ], "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "description": ".", "type": "string" } }, "id": "MeasurementPartnerAdvertiserLink", "type": "object" }, "ClickTag": { "description": "Creative Click Tag.", "type": "object", "id": "ClickTag", "properties": { "name": { "type": "string", "description": "Parameter name for the specified click tag. For DISPLAY_IMAGE_GALLERY creative assets, this field must match the value of the creative asset's creativeAssetId.name field." }, "clickThroughUrl": { "$ref": "CreativeClickThroughUrl", "description": "Parameter value for the specified click tag. This field contains a click-through url." }, "eventName": { "description": "Advertiser event name associated with the click tag. This field is used by DISPLAY_IMAGE_GALLERY and HTML5_BANNER creatives. Applicable to DISPLAY when the primary asset type is not HTML_IMAGE.", "type": "string" } } }, "ConversionsBatchInsertRequest": { "id": "ConversionsBatchInsertRequest", "description": "Insert Conversions Request.", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchInsertRequest\".", "type": "string" }, "conversions": { "description": "The set of conversions to insert.", "type": "array", "items": { "$ref": "Conversion" } }, "encryptionInfo": { "description": "Describes how encryptedUserId or encryptedUserIdCandidates[] is encrypted. This is a required field if encryptedUserId or encryptedUserIdCandidates[] is used.", "$ref": "EncryptionInfo" } }, "type": "object" }, "VideoFormat": { "description": "Contains information about supported video formats.", "type": "object", "properties": { "fileType": { "enum": [ "FLV", "THREEGPP", "MP4", "WEBM", "M3U8" ], "enumDescriptions": [ "", "", "", "", "" ], "description": "File type of the video format.", "type": "string" }, "targetBitRate": { "type": "integer", "description": "The target bit rate of this video format.", "format": "int32" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#videoFormat\"." }, "id": { "type": "integer", "description": "ID of the video format.", "format": "int32" }, "resolution": { "description": "The resolution of this video format.", "$ref": "Size" } }, "id": "VideoFormat" }, "AdvertiserGroupsListResponse": { "type": "object", "id": "AdvertiserGroupsListResponse", "properties": { "advertiserGroups": { "items": { "$ref": "AdvertiserGroup" }, "description": "Advertiser group collection.", "type": "array" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserGroupsListResponse\"." } }, "description": "Advertiser Group List Response" }, "FloodlightActivitiesListResponse": { "description": "Floodlight Activity List Response", "type": "object", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#floodlightActivitiesListResponse\"." }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "floodlightActivities": { "description": "Floodlight activity collection.", "items": { "$ref": "FloodlightActivity" }, "type": "array" } }, "id": "FloodlightActivitiesListResponse" }, "SiteContact": { "id": "SiteContact", "properties": { "firstName": { "type": "string", "description": "First name of this site contact." }, "id": { "type": "string", "format": "int64", "description": "ID of this site contact. This is a read-only, auto-generated field." }, "email": { "type": "string", "description": "Email address of this site contact. This is a required field." }, "phone": { "description": "Primary phone number of this site contact.", "type": "string" }, "title": { "type": "string", "description": "Title or designation of this site contact." }, "address": { "type": "string", "description": "Address of this site contact." }, "contactType": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "SALES_PERSON", "TRAFFICKER" ], "description": "Site contact type." }, "lastName": { "description": "Last name of this site contact.", "type": "string" } }, "type": "object", "description": "Site Contact" }, "CreativeAssetSelection": { "description": "Encapsulates the list of rules for asset selection and a default asset in case none of the rules match. Applicable to INSTREAM_VIDEO creatives.", "type": "object", "id": "CreativeAssetSelection", "properties": { "defaultAssetId": { "format": "int64", "type": "string", "description": "A creativeAssets[].id. This should refer to one of the parent assets in this creative, and will be served if none of the rules match. This is a required field." }, "rules": { "type": "array", "items": { "$ref": "Rule" }, "description": "Rules determine which asset will be served to a viewer. Rules will be evaluated in the order in which they are stored in this list. This list must contain at least one rule. Applicable to INSTREAM_VIDEO creatives." } } }, "DirectorySitesListResponse": { "type": "object", "id": "DirectorySitesListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#directorySitesListResponse\".", "type": "string" }, "directorySites": { "items": { "$ref": "DirectorySite" }, "description": "Directory site collection.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." } }, "description": "Directory Site List Response" }, "DimensionValue": { "properties": { "dimensionName": { "description": "The name of the dimension.", "type": "string" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#dimensionValue." }, "id": { "description": "The ID associated with the value if available.", "type": "string" }, "etag": { "description": "The eTag of this response for caching purposes.", "type": "string" }, "matchType": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "EXACT", "BEGINS_WITH", "CONTAINS", "WILDCARD_EXPRESSION" ], "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT." }, "value": { "description": "The value of the dimension.", "type": "string" } }, "description": "Represents a DimensionValue resource.", "type": "object", "id": "DimensionValue" }, "UserProfile": { "type": "object", "description": "A UserProfile resource lets you list all DFA user profiles that are associated with a Google user account. The profile_id needs to be specified in other API requests. ", "id": "UserProfile", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#userProfile\".", "type": "string" }, "profileId": { "format": "int64", "type": "string", "description": "The unique ID of the user profile." }, "subAccountName": { "description": "The sub account name this profile belongs to if applicable.", "type": "string" }, "userName": { "type": "string", "description": "The user name." }, "subAccountId": { "description": "The sub account ID this profile belongs to if applicable.", "format": "int64", "type": "string" }, "accountName": { "description": "The account name this profile belongs to.", "type": "string" }, "etag": { "description": "Etag of this resource.", "type": "string" }, "accountId": { "type": "string", "description": "The account ID to which this profile belongs.", "format": "int64" } } }, "KeyValueTargetingExpression": { "id": "KeyValueTargetingExpression", "type": "object", "description": "Key Value Targeting Expression.", "properties": { "expression": { "type": "string", "description": "Keyword expression being targeted by the ad." } } }, "ProjectsListResponse": { "type": "object", "id": "ProjectsListResponse", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#projectsListResponse\".", "type": "string" }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "projects": { "items": { "$ref": "Project" }, "description": "Project collection.", "type": "array" } }, "description": "Project List Response" }, "OperatingSystemVersion": { "description": "Contains information about a particular version of an operating system that can be targeted by ads.", "type": "object", "id": "OperatingSystemVersion", "properties": { "minorVersion": { "description": "Minor version (number after the first dot) of this operating system version.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#operatingSystemVersion\".", "type": "string" }, "operatingSystem": { "description": "Operating system of this operating system version.", "$ref": "OperatingSystem" }, "id": { "description": "ID of this operating system version.", "format": "int64", "type": "string" }, "majorVersion": { "type": "string", "description": "Major version (leftmost number) of this operating system version." }, "name": { "description": "Name of this operating system version.", "type": "string" } } }, "SkippableSetting": { "type": "object", "description": "Skippable Settings", "id": "SkippableSetting", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#skippableSetting\".", "type": "string" }, "skipOffset": { "$ref": "VideoOffset", "description": "Amount of time to play videos served to this placement before the skip button should appear. Applicable when skippable is true." }, "skippable": { "description": "Whether the user can skip creatives served to this placement.", "type": "boolean" }, "progressOffset": { "$ref": "VideoOffset", "description": "Amount of time to play videos served to this placement before counting a view. Applicable when skippable is true." } } }, "BillingAssignmentsListResponse": { "properties": { "billingAssignments": { "type": "array", "items": { "$ref": "BillingAssignment" }, "description": "Billing assignments collection." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#billingAssignmentsListResponse\".", "type": "string" } }, "type": "object", "id": "BillingAssignmentsListResponse", "description": "Billing assignment List Response" }, "Advertiser": { "description": "Contains properties of a Campaign Manager advertiser.", "type": "object", "id": "Advertiser", "properties": { "measurementPartnerLink": { "description": "Measurement partner advertiser link for tag wrapping.", "$ref": "MeasurementPartnerAdvertiserLink" }, "subaccountId": { "format": "int64", "type": "string", "description": "Subaccount ID of this advertiser.This is a read-only field that can be left blank." }, "floodlightConfigurationIdDimensionValue": { "description": "Dimension value for the ID of the floodlight configuration. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "status": { "enumDescriptions": [ "", "" ], "description": "Status of this advertiser.", "enum": [ "APPROVED", "ON_HOLD" ], "type": "string" }, "defaultEmail": { "description": "Default email address used in sender field for tag emails.", "type": "string" }, "name": { "type": "string", "description": "Name of this advertiser. This is a required field and must be less than 256 characters long and unique among advertisers of the same account." }, "floodlightConfigurationId": { "format": "int64", "description": "Floodlight configuration ID of this advertiser. The floodlight configuration ID will be created automatically, so on insert this field should be left blank. This field can be set to another advertiser's floodlight configuration ID in order to share that advertiser's floodlight configuration with this advertiser, so long as: - This advertiser's original floodlight configuration is not already associated with floodlight activities or floodlight activity groups. - This advertiser's original floodlight configuration is not already shared with another advertiser. ", "type": "string" }, "advertiserGroupId": { "description": "ID of the advertiser group this advertiser belongs to. You can group advertisers for reporting purposes, allowing you to see aggregated information for all advertisers in each group.", "format": "int64", "type": "string" }, "id": { "description": "ID of this advertiser. This is a read-only, auto-generated field.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiser\"." }, "clickThroughUrlSuffix": { "type": "string", "description": "Suffix added to click-through URL of ad creative associations under this advertiser. Must be less than 129 characters long." }, "originalFloodlightConfigurationId": { "description": "Original floodlight configuration before any sharing occurred. Set the floodlightConfigurationId of this advertiser to originalFloodlightConfigurationId to unshare the advertiser's current floodlight configuration. You cannot unshare an advertiser's floodlight configuration if the shared configuration has activities associated with any campaign or placement.", "type": "string", "format": "int64" }, "suspended": { "description": "Suspension status of this advertiser.", "type": "boolean" }, "defaultClickThroughEventTagId": { "description": "ID of the click-through event tag to apply by default to the landing pages of this advertiser's campaigns.", "format": "int64", "type": "string" }, "idDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of this advertiser. This is a read-only, auto-generated field." }, "accountId": { "description": "Account ID of this advertiser.This is a read-only field that can be left blank.", "format": "int64", "type": "string" } } }, "ClickThroughUrl": { "type": "object", "description": "Click-through URL", "properties": { "customClickThroughUrl": { "type": "string", "description": "Custom click-through URL. Applicable if the defaultLandingPage field is set to false and the landingPageId field is left unset." }, "computedClickThroughUrl": { "description": "Read-only convenience field representing the actual URL that will be used for this click-through. The URL is computed as follows: - If defaultLandingPage is enabled then the campaign's default landing page URL is assigned to this field. - If defaultLandingPage is not enabled and a landingPageId is specified then that landing page's URL is assigned to this field. - If neither of the above cases apply, then the customClickThroughUrl is assigned to this field. ", "type": "string" }, "landingPageId": { "description": "ID of the landing page for the click-through URL. Applicable if the defaultLandingPage field is set to false.", "format": "int64", "type": "string" }, "defaultLandingPage": { "description": "Whether the campaign default landing page is used.", "type": "boolean" } }, "id": "ClickThroughUrl" }, "PathFilter": { "description": "Represents a DfaReporting path filter.", "type": "object", "id": "PathFilter", "properties": { "pathMatchPosition": { "enumDescriptions": [ "", "", "", "" ], "description": "Determines how the 'value' field is matched when filtering. If not specified, defaults to EXACT. If set to WILDCARD_EXPRESSION, '*' is allowed as a placeholder for variable length character sequences, and it can be escaped with a backslash. Note, only paid search dimensions ('dfa:paidSearch*') allow a matchType other than EXACT.", "enum": [ "PATH_MATCH_POSITION_UNSPECIFIED", "ANY", "FIRST", "LAST" ], "type": "string" }, "eventFilters": { "description": "Event filters in path report.", "items": { "$ref": "EventFilter" }, "type": "array" }, "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#pathFilter." } } }, "File": { "type": "object", "id": "File", "description": "Represents a File resource. A file contains the metadata for a report run. It shows the status of the run and holds the URLs to the generated report data if the run is finished and the status is \"REPORT_AVAILABLE\".", "properties": { "fileName": { "description": "The filename of the file.", "type": "string" }, "status": { "description": "The status of the report file.", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "PROCESSING", "REPORT_AVAILABLE", "FAILED", "CANCELLED", "QUEUED" ], "type": "string" }, "reportId": { "format": "int64", "description": "The ID of the report this file was generated from.", "type": "string" }, "format": { "enumDescriptions": [ "", "" ], "enum": [ "CSV", "EXCEL" ], "type": "string", "description": "The output format of the report. Only available once the file is available." }, "etag": { "description": "Etag of this resource.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#file\".", "type": "string" }, "lastModifiedTime": { "type": "string", "description": "The timestamp in milliseconds since epoch when this file was last modified.", "format": "int64" }, "id": { "format": "int64", "type": "string", "description": "The unique ID of this report file." }, "urls": { "description": "The URLs where the completed report file can be downloaded.", "type": "object", "properties": { "browserUrl": { "description": "The URL for downloading the report data through a browser.", "type": "string" }, "apiUrl": { "type": "string", "description": "The URL for downloading the report data through the API." } } }, "dateRange": { "$ref": "DateRange", "description": "The date range for which the file has report data. The date range will always be the absolute date range for which the report is run." } } }, "AccountActiveAdSummary": { "properties": { "accountId": { "format": "int64", "description": "ID of the account.", "type": "string" }, "availableAds": { "description": "Ads that can be activated for the account.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountActiveAdSummary\".", "type": "string" }, "activeAds": { "type": "string", "format": "int64", "description": "Ads that have been activated for the account" }, "activeAdsLimitTier": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "description": "Maximum number of active ads allowed for the account.", "enum": [ "ACTIVE_ADS_TIER_40K", "ACTIVE_ADS_TIER_75K", "ACTIVE_ADS_TIER_100K", "ACTIVE_ADS_TIER_200K", "ACTIVE_ADS_TIER_300K", "ACTIVE_ADS_TIER_500K", "ACTIVE_ADS_TIER_750K", "ACTIVE_ADS_TIER_1M" ] } }, "id": "AccountActiveAdSummary", "description": "Gets a summary of active ads in an account.", "type": "object" }, "PostalCode": { "properties": { "code": { "description": "Postal code. This is equivalent to the id field.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#postalCode\".", "type": "string" }, "countryCode": { "type": "string", "description": "Country code of the country to which this postal code belongs." }, "id": { "type": "string", "description": "ID of this postal code." }, "countryDartId": { "format": "int64", "description": "DART ID of the country to which this postal code belongs.", "type": "string" } }, "id": "PostalCode", "description": "Contains information about a postal code that can be targeted by ads.", "type": "object" }, "OptimizationActivity": { "description": "Creative optimization activity.", "id": "OptimizationActivity", "type": "object", "properties": { "floodlightActivityIdDimensionValue": { "$ref": "DimensionValue", "description": "Dimension value for the ID of the floodlight activity. This is a read-only, auto-generated field." }, "floodlightActivityId": { "description": "Floodlight activity ID of this optimization activity. This is a required field.", "type": "string", "format": "int64" }, "weight": { "format": "int32", "description": "Weight associated with this optimization. The weight assigned will be understood in proportion to the weights assigned to the other optimization activities. Value must be greater than or equal to 1.", "type": "integer" } } }, "SubaccountsListResponse": { "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#subaccountsListResponse\".", "type": "string" }, "subaccounts": { "items": { "$ref": "Subaccount" }, "type": "array", "description": "Subaccount collection." } }, "type": "object", "description": "Subaccount List Response", "id": "SubaccountsListResponse" }, "TagData": { "description": "Placement Tag Data", "type": "object", "properties": { "adId": { "format": "int64", "type": "string", "description": "Ad associated with this placement tag. Applicable only when format is PLACEMENT_TAG_TRACKING." }, "format": { "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ], "type": "string", "description": "TagData tag format of this tag.", "enum": [ "PLACEMENT_TAG_STANDARD", "PLACEMENT_TAG_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_IFRAME_ILAYER", "PLACEMENT_TAG_INTERNAL_REDIRECT", "PLACEMENT_TAG_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT", "PLACEMENT_TAG_INTERSTITIAL_INTERNAL_REDIRECT", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT", "PLACEMENT_TAG_CLICK_COMMANDS", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH", "PLACEMENT_TAG_TRACKING", "PLACEMENT_TAG_TRACKING_IFRAME", "PLACEMENT_TAG_TRACKING_JAVASCRIPT", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_3", "PLACEMENT_TAG_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_IFRAME_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INTERSTITIAL_JAVASCRIPT_LEGACY", "PLACEMENT_TAG_INSTREAM_VIDEO_PREFETCH_VAST_4", "PLACEMENT_TAG_TRACKING_THIRD_PARTY_MEASUREMENT" ] }, "impressionTag": { "description": "Tag string for serving an ad.", "type": "string" }, "clickTag": { "type": "string", "description": "Tag string to record a click." }, "creativeId": { "format": "int64", "type": "string", "description": "Creative associated with this placement tag. Applicable only when format is PLACEMENT_TAG_TRACKING." } }, "id": "TagData" }, "OrdersListResponse": { "description": "Order List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#ordersListResponse\"." }, "orders": { "description": "Order collection.", "type": "array", "items": { "$ref": "Order" } }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "id": "OrdersListResponse", "type": "object" }, "MobileCarrier": { "id": "MobileCarrier", "description": "Contains information about a mobile carrier that can be targeted by ads.", "properties": { "countryCode": { "type": "string", "description": "Country code of the country to which this mobile carrier belongs." }, "countryDartId": { "description": "DART ID of the country to which this mobile carrier belongs.", "format": "int64", "type": "string" }, "id": { "format": "int64", "description": "ID of this mobile carrier.", "type": "string" }, "name": { "description": "Name of this mobile carrier.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#mobileCarrier\".", "type": "string" } }, "type": "object" }, "EventTagsListResponse": { "id": "EventTagsListResponse", "type": "object", "description": "Event Tag List Response", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#eventTagsListResponse\".", "type": "string" }, "eventTags": { "items": { "$ref": "EventTag" }, "type": "array", "description": "Event tag collection." } } }, "ConversionsBatchInsertResponse": { "properties": { "status": { "description": "The insert status of each conversion. Statuses are returned in the same order that conversions are inserted.", "items": { "$ref": "ConversionStatus" }, "type": "array" }, "hasFailures": { "type": "boolean", "description": "Indicates that some or all conversions failed to insert." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversionsBatchInsertResponse\".", "type": "string" } }, "description": "Insert Conversions Response.", "type": "object", "id": "ConversionsBatchInsertResponse" }, "Country": { "id": "Country", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#country\"." }, "dartId": { "type": "string", "format": "int64", "description": "DART ID of this country. This is the ID used for targeting and generating reports." }, "countryCode": { "description": "Country code.", "type": "string" }, "sslEnabled": { "type": "boolean", "description": "Whether ad serving supports secure servers in this country." }, "name": { "description": "Name of this country.", "type": "string" } }, "type": "object", "description": "Contains information about a country that can be targeted by ads." }, "BillingProfile": { "type": "object", "id": "BillingProfile", "properties": { "purchaseOrder": { "description": "Purchase order (PO) for this billing profile. This PO number is used in the invoices for all of the advertisers in this billing profile.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#billingProfile\"." }, "countryCode": { "type": "string", "description": "Country code of this billing profile.This is a read-only field." }, "status": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Status of this billing profile.This is a read-only field.", "enum": [ "UNDER_REVIEW", "ACTIVE", "ARCHIVED" ] }, "secondaryPaymentsCustomerId": { "type": "string", "description": "The ID of the secondary payment customer the billing profile belongs to. This is a read-only field." }, "consolidatedInvoice": { "description": "Consolidated invoice option for this billing profile. Used to get a single, consolidated invoice across the chosen invoice level.", "type": "boolean" }, "id": { "description": "ID of this billing profile. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "isDefault": { "description": "True if the billing profile is the account default profile. This is a read-only field.", "type": "boolean" }, "invoiceLevel": { "type": "string", "description": "Invoice level for this billing profile. Used to group fees into separate invoices by account, advertiser, or campaign.", "enum": [ "ACCOUNT_LEVEL", "ADVERTISER_LEVEL", "CAMPAIGN_LEVEL" ], "enumDescriptions": [ "", "", "" ] }, "currencyCode": { "description": "Billing currency code in ISO 4217 format.This is a read-only field.", "type": "string" }, "paymentsCustomerId": { "description": "The ID of the payment customer the billing profile belongs to. This is a read-only field.", "type": "string" }, "name": { "type": "string", "description": "Name of this billing profile. This is a required field and must be less than 256 characters long and must be unique among billing profile in the same account." }, "paymentsAccountId": { "description": "The ID of the payment account the billing profile belongs to. This is a read-only field.", "type": "string" } }, "description": "Contains properties of a Campaign Manager Billing Profile." }, "AccountPermissionGroupsListResponse": { "description": "Account Permission Group List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermissionGroupsListResponse\"." }, "accountPermissionGroups": { "type": "array", "items": { "$ref": "AccountPermissionGroup" }, "description": "Account permission group collection." } }, "id": "AccountPermissionGroupsListResponse", "type": "object" }, "ChangeLog": { "properties": { "objectType": { "description": "Object type of the change log.", "type": "string" }, "id": { "description": "ID of this change log.", "format": "int64", "type": "string" }, "newValue": { "type": "string", "description": "New value of the object field." }, "fieldName": { "description": "Field name of the object which changed.", "type": "string" }, "userProfileName": { "type": "string", "description": "User profile name of the user who modified the object." }, "userProfileId": { "type": "string", "description": "ID of the user who modified the object.", "format": "int64" }, "objectId": { "type": "string", "description": "ID of the object of this change log. The object could be a campaign, placement, ad, or other type.", "format": "int64" }, "changeTime": { "type": "string", "format": "date-time" }, "oldValue": { "description": "Old value of the object field.", "type": "string" }, "accountId": { "description": "Account ID of the modified object.", "format": "int64", "type": "string" }, "subaccountId": { "description": "Subaccount ID of the modified object.", "format": "int64", "type": "string" }, "transactionId": { "description": "Transaction ID of this change log. When a single API call results in many changes, each change will have a separate ID in the change log but will share the same transactionId.", "format": "int64", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#changeLog\".", "type": "string" }, "action": { "description": "Action which caused the change.", "type": "string" } }, "id": "ChangeLog", "description": "Describes a change that a user has made to a resource.", "type": "object" }, "TechnologyTargeting": { "properties": { "operatingSystemVersions": { "description": "Operating system versions that this ad targets. To target all versions, use operatingSystems. For each operating system version, only id is required. The other fields are populated automatically when the ad is inserted or updated. If targeting an operating system version, do not set targeting for the corresponding operating system in operatingSystems.", "type": "array", "items": { "$ref": "OperatingSystemVersion" } }, "operatingSystems": { "description": "Operating systems that this ad targets. To target specific versions, use operatingSystemVersions. For each operating system only dartId is required. The other fields are populated automatically when the ad is inserted or updated. If targeting an operating system, do not set targeting for operating system versions for the same operating system.", "items": { "$ref": "OperatingSystem" }, "type": "array" }, "mobileCarriers": { "items": { "$ref": "MobileCarrier" }, "type": "array", "description": "Mobile carriers that this ad targets. For each mobile carrier only id is required, and the other fields are populated automatically when the ad is inserted or updated. If targeting a mobile carrier, do not set targeting for any zip codes." }, "connectionTypes": { "items": { "$ref": "ConnectionType" }, "description": "Connection types that this ad targets. For each connection type only id is required. The other fields are populated automatically when the ad is inserted or updated.", "type": "array" }, "platformTypes": { "description": "Platform types that this ad targets. For example, desktop, mobile, or tablet. For each platform type, only id is required, and the other fields are populated automatically when the ad is inserted or updated.", "type": "array", "items": { "$ref": "PlatformType" } }, "browsers": { "items": { "$ref": "Browser" }, "type": "array", "description": "Browsers that this ad targets. For each browser either set browserVersionId or dartId along with the version numbers. If both are specified, only browserVersionId will be used. The other fields are populated automatically when the ad is inserted or updated." } }, "id": "TechnologyTargeting", "type": "object", "description": "Technology Targeting." }, "InventoryItem": { "properties": { "projectId": { "format": "int64", "type": "string", "description": "Project ID of this inventory item." }, "lastModifiedInfo": { "$ref": "LastModifiedInfo", "description": "Information about the most recent modification of this inventory item." }, "adSlots": { "description": "Ad slots of this inventory item. If this inventory item represents a standalone placement, there will be exactly one ad slot. If this inventory item represents a placement group, there will be more than one ad slot, each representing one child placement in that placement group.", "items": { "$ref": "AdSlot" }, "type": "array" }, "estimatedClickThroughRate": { "description": "Estimated click-through rate of this inventory item.", "format": "int64", "type": "string" }, "inPlan": { "type": "boolean", "description": "Whether this inventory item is in plan." }, "name": { "type": "string", "description": "Name of this inventory item. For standalone inventory items, this is the same name as that of its only ad slot. For group inventory items, this can differ from the name of any of its ad slots." }, "orderId": { "type": "string", "description": "Order ID of this inventory item.", "format": "int64" }, "subaccountId": { "description": "Subaccount ID of this inventory item.", "type": "string", "format": "int64" }, "id": { "format": "int64", "type": "string", "description": "ID of this inventory item." }, "advertiserId": { "description": "Advertiser ID of this inventory item.", "format": "int64", "type": "string" }, "negotiationChannelId": { "description": "Negotiation channel ID of this inventory item.", "format": "int64", "type": "string" }, "contentCategoryId": { "type": "string", "description": "Content category ID of this inventory item.", "format": "int64" }, "placementStrategyId": { "format": "int64", "type": "string", "description": "Placement strategy ID of this inventory item." }, "estimatedConversionRate": { "description": "Estimated conversion rate of this inventory item.", "format": "int64", "type": "string" }, "rfpId": { "format": "int64", "type": "string", "description": "RFP ID of this inventory item." }, "siteId": { "description": "ID of the site this inventory item is associated with.", "format": "int64", "type": "string" }, "accountId": { "format": "int64", "type": "string", "description": "Account ID of this inventory item." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#inventoryItem\".", "type": "string" }, "pricing": { "description": "Pricing of this inventory item.", "$ref": "Pricing" }, "type": { "description": "Type of inventory item.", "enumDescriptions": [ "", "" ], "enum": [ "PLANNING_PLACEMENT_TYPE_REGULAR", "PLANNING_PLACEMENT_TYPE_CREDIT" ], "type": "string" } }, "type": "object", "description": "Represents a buy from the Planning inventory store.", "id": "InventoryItem" }, "PlacementStrategiesListResponse": { "type": "object", "description": "Placement Strategy List Response", "properties": { "placementStrategies": { "items": { "$ref": "PlacementStrategy" }, "type": "array", "description": "Placement strategy collection." }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#placementStrategiesListResponse\".", "type": "string" } }, "id": "PlacementStrategiesListResponse" }, "Account": { "description": "Contains properties of a Campaign Manager account.", "properties": { "id": { "format": "int64", "type": "string", "description": "ID of this account. This is a read-only, auto-generated field." }, "shareReportsWithTwitter": { "type": "boolean", "description": "Share Path to Conversion reports with Twitter." }, "reportsConfiguration": { "description": "Reporting configuration of this account.", "$ref": "ReportsConfiguration" }, "countryId": { "format": "int64", "type": "string", "description": "ID of the country associated with this account." }, "defaultCreativeSizeId": { "description": "Default placement dimensions for this account.", "type": "string", "format": "int64" }, "activeAdsLimitTier": { "enum": [ "ACTIVE_ADS_TIER_40K", "ACTIVE_ADS_TIER_75K", "ACTIVE_ADS_TIER_100K", "ACTIVE_ADS_TIER_200K", "ACTIVE_ADS_TIER_300K", "ACTIVE_ADS_TIER_500K", "ACTIVE_ADS_TIER_750K", "ACTIVE_ADS_TIER_1M" ], "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "" ], "description": "Maximum number of active ads allowed for this account." }, "active": { "type": "boolean", "description": "Whether this account is active." }, "activeViewOptOut": { "description": "Whether to serve creatives with Active View tags. If disabled, viewability data will not be available for any impressions.", "type": "boolean" }, "locale": { "type": "string", "description": "Locale of this account. Acceptable values are: - \"cs\" (Czech) - \"de\" (German) - \"en\" (English) - \"en-GB\" (English United Kingdom) - \"es\" (Spanish) - \"fr\" (French) - \"it\" (Italian) - \"ja\" (Japanese) - \"ko\" (Korean) - \"pl\" (Polish) - \"pt-BR\" (Portuguese Brazil) - \"ru\" (Russian) - \"sv\" (Swedish) - \"tr\" (Turkish) - \"zh-CN\" (Chinese Simplified) - \"zh-TW\" (Chinese Traditional) " }, "name": { "description": "Name of this account. This is a required field, and must be less than 128 characters long and be globally unique.", "type": "string" }, "accountPermissionIds": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "Account permissions assigned to this account." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#account\"." }, "accountProfile": { "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "ACCOUNT_PROFILE_BASIC", "ACCOUNT_PROFILE_STANDARD" ], "description": "Profile for this account. This is a read-only field that can be left blank." }, "teaserSizeLimit": { "format": "int64", "description": "File size limit in kilobytes of Rich Media teaser creatives. Acceptable values are 1 to 10240, inclusive.", "type": "string" }, "description": { "type": "string", "description": "Description of this account." }, "maximumImageSize": { "description": "Maximum image size allowed for this account, in kilobytes. Value must be greater than or equal to 1.", "type": "string", "format": "int64" }, "currencyId": { "type": "string", "format": "int64", "description": "ID of currency associated with this account. This is a required field. Acceptable values are: - \"1\" for USD - \"2\" for GBP - \"3\" for ESP - \"4\" for SEK - \"5\" for CAD - \"6\" for JPY - \"7\" for DEM - \"8\" for AUD - \"9\" for FRF - \"10\" for ITL - \"11\" for DKK - \"12\" for NOK - \"13\" for FIM - \"14\" for ZAR - \"15\" for IEP - \"16\" for NLG - \"17\" for EUR - \"18\" for KRW - \"19\" for TWD - \"20\" for SGD - \"21\" for CNY - \"22\" for HKD - \"23\" for NZD - \"24\" for MYR - \"25\" for BRL - \"26\" for PTE - \"28\" for CLP - \"29\" for TRY - \"30\" for ARS - \"31\" for PEN - \"32\" for ILS - \"33\" for CHF - \"34\" for VEF - \"35\" for COP - \"36\" for GTQ - \"37\" for PLN - \"39\" for INR - \"40\" for THB - \"41\" for IDR - \"42\" for CZK - \"43\" for RON - \"44\" for HUF - \"45\" for RUB - \"46\" for AED - \"47\" for BGN - \"48\" for HRK - \"49\" for MXN - \"50\" for NGN - \"51\" for EGP " }, "nielsenOcrEnabled": { "description": "Whether campaigns created in this account will be enabled for Nielsen OCR reach ratings by default.", "type": "boolean" }, "availablePermissionIds": { "type": "array", "description": "User role permissions available to the user roles of this account.", "items": { "type": "string", "format": "int64" } } }, "type": "object", "id": "Account" }, "ListTargetingExpression": { "properties": { "expression": { "type": "string", "description": "Expression describing which lists are being targeted by the ad." } }, "id": "ListTargetingExpression", "type": "object", "description": "Remarketing List Targeting Expression." }, "TargetingTemplatesListResponse": { "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#targetingTemplatesListResponse\".", "type": "string" }, "targetingTemplates": { "description": "Targeting template collection.", "items": { "$ref": "TargetingTemplate" }, "type": "array" } }, "type": "object", "description": "Targeting Template List Response", "id": "TargetingTemplatesListResponse" }, "CompanionClickThroughOverride": { "id": "CompanionClickThroughOverride", "type": "object", "description": "Companion Click-through override.", "properties": { "creativeId": { "format": "int64", "type": "string", "description": "ID of the creative for this companion click-through override." }, "clickThroughUrl": { "$ref": "ClickThroughUrl", "description": "Click-through URL of this companion click-through override." } } }, "AccountPermission": { "properties": { "name": { "type": "string", "description": "Name of this account permission." }, "level": { "description": "Administrative level required to enable this account permission.", "type": "string", "enum": [ "USER", "ADMINISTRATOR" ], "enumDescriptions": [ "", "" ] }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#accountPermission\".", "type": "string" }, "id": { "description": "ID of this account permission.", "format": "int64", "type": "string" }, "accountProfiles": { "type": "array", "description": "Account profiles associated with this account permission. Possible values are: - \"ACCOUNT_PROFILE_BASIC\" - \"ACCOUNT_PROFILE_STANDARD\" ", "items": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "ACCOUNT_PROFILE_BASIC", "ACCOUNT_PROFILE_STANDARD" ] } }, "permissionGroupId": { "description": "Permission group of this account permission.", "type": "string", "format": "int64" } }, "description": "AccountPermissions contains information about a particular account permission. Some features of Campaign Manager require an account permission to be present in the account.", "type": "object", "id": "AccountPermission" }, "SizesListResponse": { "description": "Size List Response", "id": "SizesListResponse", "type": "object", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#sizesListResponse\".", "type": "string" }, "sizes": { "type": "array", "description": "Size collection.", "items": { "$ref": "Size" } } } }, "CreativeCustomEvent": { "type": "object", "description": "Creative Custom Event.", "id": "CreativeCustomEvent", "properties": { "exitClickThroughUrl": { "description": "Exit click-through URL for the event. This field is used only for exit events.", "$ref": "CreativeClickThroughUrl" }, "popupWindowProperties": { "$ref": "PopupWindowProperties", "description": "Properties for rich media popup windows. This field is used only for exit events." }, "artworkType": { "enum": [ "ARTWORK_TYPE_FLASH", "ARTWORK_TYPE_HTML5", "ARTWORK_TYPE_MIXED", "ARTWORK_TYPE_IMAGE" ], "description": "Artwork type used by the creative.This is a read-only field.", "type": "string", "enumDescriptions": [ "", "", "", "" ] }, "advertiserCustomEventName": { "type": "string", "description": "User-entered name for the event." }, "id": { "type": "string", "description": "ID of this event. This is a required field and should not be modified after insertion.", "format": "int64" }, "artworkLabel": { "description": "Artwork label column, used to link events in Campaign Manager back to events in Studio. This is a required field and should not be modified after insertion.", "type": "string" }, "targetType": { "type": "string", "enum": [ "TARGET_BLANK", "TARGET_TOP", "TARGET_SELF", "TARGET_PARENT", "TARGET_POPUP" ], "enumDescriptions": [ "", "", "", "", "" ], "description": "Target type used by the event." }, "advertiserCustomEventType": { "description": "Type of the event. This is a read-only field.", "enumDescriptions": [ "", "", "" ], "enum": [ "ADVERTISER_EVENT_TIMER", "ADVERTISER_EVENT_EXIT", "ADVERTISER_EVENT_COUNTER" ], "type": "string" }, "videoReportingId": { "description": "Video reporting ID, used to differentiate multiple videos in a single creative. This is a read-only field.", "type": "string" }, "advertiserCustomEventId": { "format": "int64", "type": "string", "description": "Unique ID of this event used by Reporting and Data Transfer. This is a read-only field." } } }, "CampaignsListResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "campaigns": { "type": "array", "description": "Campaign collection.", "items": { "$ref": "Campaign" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignsListResponse\"." } }, "id": "CampaignsListResponse", "description": "Campaign List Response" }, "Size": { "description": "Represents the dimensions of ads, placements, creatives, or creative assets.", "id": "Size", "type": "object", "properties": { "width": { "type": "integer", "description": "Width of this size. Acceptable values are 0 to 32767, inclusive.", "format": "int32" }, "id": { "format": "int64", "description": "ID of this size. This is a read-only, auto-generated field.", "type": "string" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#size\"." }, "iab": { "description": "IAB standard size. This is a read-only, auto-generated field.", "type": "boolean" }, "height": { "description": "Height of this size. Acceptable values are 0 to 32767, inclusive.", "format": "int32", "type": "integer" } } }, "DayPartTargeting": { "id": "DayPartTargeting", "type": "object", "description": "Day Part Targeting.", "properties": { "daysOfWeek": { "items": { "enumDescriptions": [ "", "", "", "", "", "", "" ], "enum": [ "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string" }, "type": "array", "description": "Days of the week when the ad will serve. Acceptable values are: - \"SUNDAY\" - \"MONDAY\" - \"TUESDAY\" - \"WEDNESDAY\" - \"THURSDAY\" - \"FRIDAY\" - \"SATURDAY\" " }, "hoursOfDay": { "description": "Hours of the day when the ad will serve, where 0 is midnight to 1 AM and 23 is 11 PM to midnight. Can be specified with days of week, in which case the ad would serve during these hours on the specified days. For example if Monday, Wednesday, Friday are the days of week specified and 9-10am, 3-5pm (hours 9, 15, and 16) is specified, the ad would serve Monday, Wednesdays, and Fridays at 9-10am and 3-5pm. Acceptable values are 0 to 23, inclusive.", "items": { "format": "int32", "type": "integer" }, "type": "array" }, "userLocalTime": { "type": "boolean", "description": "Whether or not to use the user's local time. If false, the America/New York time zone applies." } } }, "SiteVideoSettings": { "properties": { "transcodeSettings": { "description": "Settings for the transcodes of video creatives served to this site. This will act as default for new placements created under this site.", "$ref": "SiteTranscodeSetting" }, "obaEnabled": { "type": "boolean", "description": "Whether OBA icons are enabled for this placement." }, "skippableSettings": { "description": "Settings for the skippability of video creatives served to this site. This will act as default for new placements created under this site.", "$ref": "SiteSkippableSetting" }, "orientation": { "enumDescriptions": [ "", "", "" ], "type": "string", "description": "Orientation of a site template used for video. This will act as default for new placements created under this site.", "enum": [ "ANY", "LANDSCAPE", "PORTRAIT" ] }, "publisherSpecificationId": { "format": "int64", "description": "Publisher specification ID used to identify site-associated publisher requirements and automatically populate transcode settings. If publisher specification ID is specified, it will take precedence over transcode settings.", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteVideoSettings\".", "type": "string" }, "companionSettings": { "$ref": "SiteCompanionSetting", "description": "Settings for the companion creatives of video creatives served to this site." }, "obaSettings": { "description": "Settings for the OBA icon of video creatives served to this site. This will act as default for new placements created under this site.", "$ref": "ObaIcon" } }, "id": "SiteVideoSettings", "type": "object", "description": "Video Settings" }, "DynamicTargetingKey": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of this dynamic targeting key. This is a required field. Must be less than 256 characters long and cannot contain commas. All characters are converted to lowercase." }, "objectId": { "description": "ID of the object of this dynamic targeting key. This is a required field.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#dynamicTargetingKey\"." }, "objectType": { "type": "string", "enum": [ "OBJECT_ADVERTISER", "OBJECT_AD", "OBJECT_CREATIVE", "OBJECT_PLACEMENT" ], "enumDescriptions": [ "", "", "", "" ], "description": "Type of the object of this dynamic targeting key. This is a required field." } }, "description": "Contains properties of a dynamic targeting key. Dynamic targeting keys are unique, user-friendly labels, created at the advertiser level in DCM, that can be assigned to ads, creatives, and placements and used for targeting with Studio dynamic creatives. Use these labels instead of numeric Campaign Manager IDs (such as placement IDs) to save time and avoid errors in your dynamic feeds.", "id": "DynamicTargetingKey" }, "FrequencyCap": { "type": "object", "description": "Frequency Cap.", "properties": { "impressions": { "format": "int64", "type": "string", "description": "Number of times an individual user can be served the ad within the specified duration. Acceptable values are 1 to 15, inclusive." }, "duration": { "type": "string", "description": "Duration of time, in seconds, for this frequency cap. The maximum duration is 90 days. Acceptable values are 1 to 7776000, inclusive.", "format": "int64" } }, "id": "FrequencyCap" }, "DisjunctiveMatchStatement": { "description": "Represents a Disjunctive Match Statement resource, which is a conjunction (and) of disjunctive (or) boolean statements.", "type": "object", "id": "DisjunctiveMatchStatement", "properties": { "kind": { "description": "The kind of resource this is, in this case dfareporting#disjunctiveMatchStatement.", "type": "string" }, "eventFilters": { "items": { "$ref": "EventFilter" }, "type": "array", "description": "The event filters contained within this disjunctive match statement." } } }, "FloodlightReportCompatibleFields": { "properties": { "kind": { "type": "string", "description": "The kind of resource this is, in this case dfareporting#floodlightReportCompatibleFields." }, "dimensionFilters": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report.", "items": { "$ref": "Dimension" } }, "metrics": { "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report.", "type": "array" }, "dimensions": { "type": "array", "items": { "$ref": "Dimension" }, "description": "Dimensions which are compatible to be selected in the \"dimensions\" section of the report." } }, "type": "object", "description": "Represents fields that are compatible to be selected for a report of type \"FlOODLIGHT\".", "id": "FloodlightReportCompatibleFields" }, "CampaignCreativeAssociationsListResponse": { "id": "CampaignCreativeAssociationsListResponse", "type": "object", "description": "Campaign Creative Association List Response", "properties": { "campaignCreativeAssociations": { "items": { "$ref": "CampaignCreativeAssociation" }, "description": "Campaign creative association collection", "type": "array" }, "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#campaignCreativeAssociationsListResponse\"." } } }, "OrderContact": { "properties": { "signatureUserProfileId": { "description": "ID of the user profile containing the signature that will be embedded into order documents.", "format": "int64", "type": "string" }, "contactName": { "type": "string", "description": "Name of this contact." }, "contactType": { "type": "string", "description": "Type of this contact.", "enum": [ "PLANNING_ORDER_CONTACT_BUYER_CONTACT", "PLANNING_ORDER_CONTACT_BUYER_BILLING_CONTACT", "PLANNING_ORDER_CONTACT_SELLER_CONTACT" ], "enumDescriptions": [ "", "", "" ] }, "contactTitle": { "description": "Title of this contact.", "type": "string" }, "contactInfo": { "type": "string", "description": "Free-form information about this contact. It could be any information related to this contact in addition to type, title, name, and signature user profile ID." } }, "type": "object", "id": "OrderContact", "description": "Contact of an order." }, "SiteTranscodeSetting": { "description": "Transcode Settings", "properties": { "enabledVideoFormats": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "Allowlist of video formats to be served to this site template. Set this list to null or empty to serve all video formats." }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#siteTranscodeSetting\".", "type": "string" } }, "type": "object", "id": "SiteTranscodeSetting" }, "FloodlightActivityPublisherDynamicTag": { "id": "FloodlightActivityPublisherDynamicTag", "properties": { "viewThrough": { "description": "Whether this tag is applicable only for view-throughs.", "type": "boolean" }, "siteIdDimensionValue": { "description": "Dimension value for the ID of the site. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "dynamicTag": { "$ref": "FloodlightActivityDynamicTag", "description": "Dynamic floodlight tag." }, "siteId": { "format": "int64", "type": "string", "description": "Site ID of this dynamic tag." }, "directorySiteId": { "type": "string", "description": "Directory site ID of this dynamic tag. This is a write-only field that can be used as an alternative to the siteId field. When this resource is retrieved, only the siteId field will be populated.", "format": "int64" }, "clickThrough": { "type": "boolean", "description": "Whether this tag is applicable only for click-throughs." } }, "type": "object", "description": "Publisher Dynamic Tag" }, "RemarketingList": { "properties": { "lifeSpan": { "format": "int64", "description": "Number of days that a user should remain in the remarketing list without an impression. Acceptable values are 1 to 540, inclusive.", "type": "string" }, "description": { "description": "Remarketing list description.", "type": "string" }, "listSize": { "description": "Number of users currently in the list. This is a read-only field.", "format": "int64", "type": "string" }, "listSource": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "", "", "", "", "" ], "description": "Product from which this remarketing list was originated.", "enum": [ "REMARKETING_LIST_SOURCE_OTHER", "REMARKETING_LIST_SOURCE_ADX", "REMARKETING_LIST_SOURCE_DFP", "REMARKETING_LIST_SOURCE_XFP", "REMARKETING_LIST_SOURCE_DFA", "REMARKETING_LIST_SOURCE_GA", "REMARKETING_LIST_SOURCE_YOUTUBE", "REMARKETING_LIST_SOURCE_DBM", "REMARKETING_LIST_SOURCE_GPLUS", "REMARKETING_LIST_SOURCE_DMP", "REMARKETING_LIST_SOURCE_PLAY_STORE" ] }, "active": { "type": "boolean", "description": "Whether this remarketing list is active." }, "name": { "description": "Name of the remarketing list. This is a required field. Must be no greater than 128 characters long.", "type": "string" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests." }, "advertiserId": { "description": "Dimension value for the advertiser ID that owns this remarketing list. This is a required field.", "format": "int64", "type": "string" }, "accountId": { "description": "Account ID of this remarketing list. This is a read-only, auto-generated field that is only returned in GET requests.", "type": "string", "format": "int64" }, "advertiserIdDimensionValue": { "description": "Dimension value for the ID of the advertiser. This is a read-only, auto-generated field.", "$ref": "DimensionValue" }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#remarketingList\"." }, "id": { "description": "Remarketing list ID. This is a read-only, auto-generated field.", "format": "int64", "type": "string" }, "listPopulationRule": { "description": "Rule used to populate the remarketing list with users.", "$ref": "ListPopulationRule" } }, "type": "object", "description": "Contains properties of a remarketing list. Remarketing enables you to create lists of users who have performed specific actions on a site, then target ads to members of those lists. This resource can be used to manage remarketing lists that are owned by your advertisers. To see all remarketing lists that are visible to your advertisers, including those that are shared to your advertiser or account, use the TargetableRemarketingLists resource.", "id": "RemarketingList" }, "PopupWindowProperties": { "type": "object", "properties": { "positionType": { "type": "string", "enumDescriptions": [ "", "" ], "description": "Popup window position either centered or at specific coordinate.", "enum": [ "CENTER", "COORDINATES" ] }, "showMenuBar": { "description": "Whether to display the browser menu bar.", "type": "boolean" }, "offset": { "$ref": "OffsetPosition", "description": "Upper-left corner coordinates of the popup window. Applicable if positionType is COORDINATES." }, "showStatusBar": { "type": "boolean", "description": "Whether to display the browser status bar." }, "showAddressBar": { "type": "boolean", "description": "Whether to display the browser address bar." }, "dimension": { "$ref": "Size", "description": "Popup dimension for a creative. This is a read-only field. Applicable to the following creative types: all RICH_MEDIA and all VPAID" }, "title": { "type": "string", "description": "Title of popup window." }, "showScrollBar": { "type": "boolean", "description": "Whether to display the browser scroll bar." }, "showToolBar": { "description": "Whether to display the browser tool bar.", "type": "boolean" } }, "id": "PopupWindowProperties", "description": "Popup Window Properties." }, "AdsListResponse": { "description": "Ad List Response", "id": "AdsListResponse", "properties": { "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" }, "ads": { "description": "Ad collection.", "type": "array", "items": { "$ref": "Ad" } }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#adsListResponse\"." } }, "type": "object" }, "AdvertiserInvoicesListResponse": { "description": "Invoice List Response", "properties": { "nextPageToken": { "type": "string", "description": "Pagination token to be used for the next list operation." }, "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#advertiserInvoicesListResponse\"." }, "invoices": { "items": { "$ref": "Invoice" }, "description": "Invoice collection", "type": "array" } }, "type": "object", "id": "AdvertiserInvoicesListResponse" }, "CrossDimensionReachReportCompatibleFields": { "properties": { "overlapMetrics": { "description": "Metrics which are compatible to be selected in the \"overlapMetricNames\" section of the report.", "type": "array", "items": { "$ref": "Metric" } }, "breakdown": { "type": "array", "description": "Dimensions which are compatible to be selected in the \"breakdown\" section of the report.", "items": { "$ref": "Dimension" } }, "metrics": { "type": "array", "items": { "$ref": "Metric" }, "description": "Metrics which are compatible to be selected in the \"metricNames\" section of the report." }, "kind": { "description": "The kind of resource this is, in this case dfareporting#crossDimensionReachReportCompatibleFields.", "type": "string" }, "dimensionFilters": { "items": { "$ref": "Dimension" }, "type": "array", "description": "Dimensions which are compatible to be selected in the \"dimensionFilters\" section of the report." } }, "id": "CrossDimensionReachReportCompatibleFields", "type": "object", "description": "Represents fields that are compatible to be selected for a report of type \"CROSS_DIMENSION_REACH\"." }, "Conversion": { "type": "object", "description": "A Conversion represents when a user successfully performs a desired action after seeing an ad.", "id": "Conversion", "properties": { "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#conversion\".", "type": "string" }, "mobileDeviceId": { "description": "The mobile device ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, gclid, dclid, and impressionId. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or gclid or dclid or impressionId is a required field.", "type": "string" }, "encryptedUserId": { "description": "The alphanumeric encrypted user ID. When set, encryptionInfo should also be specified. This field is mutually exclusive with encryptedUserIdCandidates[], matchId, mobileDeviceId, gclid, dclid, and impressionId. This or encryptedUserIdCandidates[] or matchId or mobileDeviceId or gclid or dclid or impressionId is a required field.", "type": "string" }, "nonPersonalizedAd": { "type": "boolean", "description": "Whether the conversion was for a non personalized ad." }, "quantity": { "description": "The quantity of the conversion.", "format": "int64", "type": "string" }, "impressionId": { "type": "string", "description": "The impression ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, mobileDeviceId, and gclid. One of these identifiers must be set." }, "matchId": { "type": "string", "description": "The match ID field. A match ID is your own first-party identifier that has been synced with Google using the match ID feature in Floodlight. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[],mobileDeviceId, gclid, dclid, and impressionId. This or encryptedUserId orencryptedUserIdCandidates[] or mobileDeviceId or gclid or dclid or impressionIdis a required field." }, "floodlightConfigurationId": { "type": "string", "format": "int64", "description": "Floodlight Configuration ID of this conversion. This is a required field." }, "value": { "type": "number", "format": "double", "description": "The value of the conversion." }, "encryptedUserIdCandidates": { "type": "array", "description": "A list of the alphanumeric encrypted user IDs. Any user ID with exposure prior to the conversion timestamp will be used in the inserted conversion. If no such user ID is found then the conversion will be rejected with INVALID_ARGUMENT error. When set, encryptionInfo should also be specified. This field may only be used when calling batchinsert; it is not supported by batchupdate. This field is mutually exclusive with encryptedUserId, matchId, mobileDeviceId, gclid dclid, and impressionId. This or encryptedUserId or matchId or mobileDeviceId or gclid or dclid or impressionId is a required field.", "items": { "type": "string" } }, "dclid": { "description": "The display click ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, mobileDeviceId, gclid, and impressionId. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or mobileDeviceId or gclid or impressionId is a required field.", "type": "string" }, "floodlightActivityId": { "description": "Floodlight Activity ID of this conversion. This is a required field.", "type": "string", "format": "int64" }, "treatmentForUnderage": { "type": "boolean", "description": "Whether this particular request may come from a user under the age of 16 (may differ by country), under compliance with the European Union's General Data Protection Regulation (GDPR)." }, "ordinal": { "type": "string", "description": "The ordinal of the conversion. Use this field to control how conversions of the same user and day are de-duplicated. This is a required field." }, "timestampMicros": { "format": "int64", "description": "The timestamp of conversion, in Unix epoch micros. This is a required field.", "type": "string" }, "customVariables": { "type": "array", "description": "Custom floodlight variables. This field may only be used when calling batchinsert; it is not supported by batchupdate.", "items": { "$ref": "CustomFloodlightVariable" } }, "childDirectedTreatment": { "description": "Whether this particular request may come from a user under the age of 13, under COPPA compliance.", "type": "boolean" }, "limitAdTracking": { "description": "Whether Limit Ad Tracking is enabled. When set to true, the conversion will be used for reporting but not targeting. This will prevent remarketing.", "type": "boolean" }, "gclid": { "description": "The Google click ID. This field is mutually exclusive with encryptedUserId, encryptedUserIdCandidates[], matchId, mobileDeviceId, dclid, and impressionId. This or encryptedUserId or encryptedUserIdCandidates[] or matchId or mobileDeviceId or dclid or impressionId is a required field.", "type": "string" } } }, "Project": { "description": "Contains properties of a Planning project.", "id": "Project", "type": "object", "properties": { "id": { "format": "int64", "description": "ID of this project. This is a read-only, auto-generated field.", "type": "string" }, "overview": { "type": "string", "description": "Overview of this project." }, "audienceGender": { "enum": [ "PLANNING_AUDIENCE_GENDER_MALE", "PLANNING_AUDIENCE_GENDER_FEMALE" ], "description": "Audience gender of this project.", "type": "string", "enumDescriptions": [ "", "" ] }, "audienceAgeGroup": { "type": "string", "enumDescriptions": [ "", "", "", "", "", "", "" ], "description": "Audience age group of this project.", "enum": [ "PLANNING_AUDIENCE_AGE_18_24", "PLANNING_AUDIENCE_AGE_25_34", "PLANNING_AUDIENCE_AGE_35_44", "PLANNING_AUDIENCE_AGE_45_54", "PLANNING_AUDIENCE_AGE_55_64", "PLANNING_AUDIENCE_AGE_65_OR_MORE", "PLANNING_AUDIENCE_AGE_UNKNOWN" ] }, "targetCpmActiveViewNanos": { "format": "int64", "type": "string", "description": "vCPM from Active View that the advertiser is targeting." }, "budget": { "format": "int64", "type": "string", "description": "Budget of this project in the currency specified by the current account. The value stored in this field represents only the non-fractional amount. For example, for USD, the smallest value that can be represented by this field is 1 US dollar." }, "clientName": { "type": "string", "description": "Name of the project client." }, "targetImpressions": { "type": "string", "description": "Number of impressions that the advertiser is targeting.", "format": "int64" }, "targetCpmNanos": { "description": "CPM that the advertiser is targeting.", "format": "int64", "type": "string" }, "advertiserId": { "type": "string", "description": "Advertiser ID of this project.", "format": "int64" }, "targetConversions": { "format": "int64", "description": "Number of conversions that the advertiser is targeting.", "type": "string" }, "endDate": { "format": "date", "type": "string" }, "kind": { "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#project\".", "type": "string" }, "clientBillingCode": { "type": "string", "description": "Client billing code of this project." }, "name": { "description": "Name of this project.", "type": "string" }, "targetCpcNanos": { "description": "CPC that the advertiser is targeting.", "format": "int64", "type": "string" }, "targetCpaNanos": { "description": "CPA that the advertiser is targeting.", "type": "string", "format": "int64" }, "lastModifiedInfo": { "$ref": "LastModifiedInfo", "description": "Information about the most recent modification of this project." }, "accountId": { "description": "Account ID of this project.", "type": "string", "format": "int64" }, "targetClicks": { "format": "int64", "type": "string", "description": "Number of clicks that the advertiser is targeting." }, "startDate": { "format": "date", "type": "string" }, "subaccountId": { "type": "string", "format": "int64", "description": "Subaccount ID of this project." } } }, "Rule": { "id": "Rule", "description": "A rule associates an asset with a targeting template for asset-level targeting. Applicable to INSTREAM_VIDEO creatives.", "properties": { "targetingTemplateId": { "type": "string", "description": "A targeting template ID. The targeting from the targeting template will be used to determine whether this asset should be served. This is a required field.", "format": "int64" }, "assetId": { "format": "int64", "type": "string", "description": "A creativeAssets[].id. This should refer to one of the parent assets in this creative. This is a required field." }, "name": { "type": "string", "description": "A user-friendly name for this rule. This is a required field." } }, "type": "object" }, "CreativeFieldsListResponse": { "id": "CreativeFieldsListResponse", "description": "Creative Field List Response", "properties": { "kind": { "type": "string", "description": "Identifies what kind of resource this is. Value: the fixed string \"dfareporting#creativeFieldsListResponse\"." }, "creativeFields": { "description": "Creative field collection.", "type": "array", "items": { "$ref": "CreativeField" } }, "nextPageToken": { "description": "Pagination token to be used for the next list operation.", "type": "string" } }, "type": "object" }, "FsCommand": { "id": "FsCommand", "description": "FsCommand.", "properties": { "windowHeight": { "format": "int32", "type": "integer", "description": "Height of the window." }, "top": { "type": "integer", "format": "int32", "description": "Distance from the top of the browser. Applicable when positionOption is DISTANCE_FROM_TOP_LEFT_CORNER." }, "windowWidth": { "description": "Width of the window.", "format": "int32", "type": "integer" }, "positionOption": { "enumDescriptions": [ "", "" ], "enum": [ "CENTERED", "DISTANCE_FROM_TOP_LEFT_CORNER" ], "type": "string", "description": "Position in the browser where the window will open." }, "left": { "format": "int32", "type": "integer", "description": "Distance from the left of the browser.Applicable when positionOption is DISTANCE_FROM_TOP_LEFT_CORNER." } }, "type": "object" }, "ReportsConfiguration": { "description": "Reporting Configuration", "id": "ReportsConfiguration", "type": "object", "properties": { "reportGenerationTimeZoneId": { "format": "int64", "description": "Report generation time zone ID of this account. This is a required field that can only be changed by a superuser. Acceptable values are: - \"1\" for \"America/New_York\" - \"2\" for \"Europe/London\" - \"3\" for \"Europe/Paris\" - \"4\" for \"Africa/Johannesburg\" - \"5\" for \"Asia/Jerusalem\" - \"6\" for \"Asia/Shanghai\" - \"7\" for \"Asia/Hong_Kong\" - \"8\" for \"Asia/Tokyo\" - \"9\" for \"Australia/Sydney\" - \"10\" for \"Asia/Dubai\" - \"11\" for \"America/Los_Angeles\" - \"12\" for \"Pacific/Auckland\" - \"13\" for \"America/Sao_Paulo\" - \"16\" for \"America/Asuncion\" - \"17\" for \"America/Chicago\" - \"18\" for \"America/Denver\" - \"19\" for \"America/St_Johns\" - \"20\" for \"Asia/Dhaka\" - \"21\" for \"Asia/Jakarta\" - \"22\" for \"Asia/Kabul\" - \"23\" for \"Asia/Karachi\" - \"24\" for \"Asia/Calcutta\" - \"25\" for \"Asia/Pyongyang\" - \"26\" for \"Asia/Rangoon\" - \"27\" for \"Atlantic/Cape_Verde\" - \"28\" for \"Atlantic/South_Georgia\" - \"29\" for \"Australia/Adelaide\" - \"30\" for \"Australia/Lord_Howe\" - \"31\" for \"Europe/Moscow\" - \"32\" for \"Pacific/Kiritimati\" - \"35\" for \"Pacific/Norfolk\" - \"36\" for \"Pacific/Tongatapu\" ", "type": "string" }, "lookbackConfiguration": { "$ref": "LookbackConfiguration", "description": "Default lookback windows for new advertisers in this account." }, "exposureToConversionEnabled": { "type": "boolean", "description": "Whether the exposure to conversion report is enabled. This report shows detailed pathway information on up to 10 of the most recent ad exposures seen by a user before converting." } } } }, "canonicalName": "Dfareporting", "version": "v4", "name": "dfareporting", "mtlsRootUrl": "https://dfareporting.mtls.googleapis.com/", "rootUrl": "https://dfareporting.googleapis.com/", "basePath": "", "batchPath": "batch", "ownerDomain": "google.com", "baseUrl": "https://dfareporting.googleapis.com/" }
]===]))
