local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220706", "canonicalName": "Dialogflow", "version": "v2beta1", "name": "dialogflow", "kind": "discovery#restDescription", "basePath": "", "discoveryVersion": "v1", "baseUrl": "https://dialogflow.googleapis.com/", "servicePath": "", "resources": { "projects": { "methods": { "getAgent": { "description": "Retrieves the specified agent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameters": { "parent": { "description": "Required. The project that the agent to fetch is associated with. Format: `projects/` or `projects//locations/`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/agent", "id": "dialogflow.projects.getAgent", "response": { "$ref": "GoogleCloudDialogflowV2beta1Agent" }, "flatPath": "v2beta1/projects/{projectsId}/agent" }, "deleteAgent": { "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "description": "Required. The project that the agent to delete is associated with. Format: `projects/` or `projects//locations/`." } }, "id": "dialogflow.projects.deleteAgent", "description": "Deletes the specified agent.", "path": "v2beta1/{+parent}/agent", "flatPath": "v2beta1/projects/{projectsId}/agent", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "setAgent": { "id": "dialogflow.projects.setAgent", "description": "Creates/updates the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "path": "v2beta1/{+parent}/agent", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Optional. The mask to control which fields get updated." }, "parent": { "type": "string", "description": "Required. The project of this agent. Format: `projects/` or `projects//locations/`", "required": true, "location": "path", "pattern": "^projects/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/agent", "response": { "$ref": "GoogleCloudDialogflowV2beta1Agent" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Agent" } } }, "resources": { "answerRecords": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. The project to list all answer records for in reverse chronological order. Format: `projects//locations/`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+$" }, "pageToken": { "location": "query", "description": "Optional. The ListAnswerRecordsResponse.next_page_token value returned from a previous list request used to continue listing on the next page.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum number of records to return in a single page. The server may return fewer records than this. If unspecified, we use 10. The maximum is 100." } }, "id": "dialogflow.projects.answerRecords.list", "flatPath": "v2beta1/projects/{projectsId}/answerRecords", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListAnswerRecordsResponse" }, "description": "Returns the list of all answer records in the specified project in reverse chronological order.", "path": "v2beta1/{+parent}/answerRecords" }, "patch": { "id": "dialogflow.projects.answerRecords.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified answer record.", "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" }, "path": "v2beta1/{+name}", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "The unique identifier of this answer record. Required for AnswerRecords.UpdateAnswerRecord method. Format: `projects//locations//answerRecords/`.", "pattern": "^projects/[^/]+/answerRecords/[^/]+$" }, "updateMask": { "type": "string", "description": "Required. The mask to control which fields get updated.", "format": "google-fieldmask", "location": "query" } }, "flatPath": "v2beta1/projects/{projectsId}/answerRecords/{answerRecordsId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" } }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/answerRecords/[^/]+$", "description": "Required. The name of the answer record to retrieve. Format: `projects//locations//answerRecords/`.", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.answerRecords.get", "flatPath": "v2beta1/projects/{projectsId}/answerRecords/{answerRecordsId}", "parameterOrder": [ "name" ], "path": "v2beta1/{+name}", "description": "Deprecated. Retrieves a specific answer record." } } }, "conversations": { "methods": { "complete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}:complete", "path": "v2beta1/{+name}:complete", "id": "dialogflow.projects.conversations.complete", "description": "Completes the specified conversation. Finished conversations are purged from the database after 30 days.", "request": { "$ref": "GoogleCloudDialogflowV2beta1CompleteConversationRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/conversations/[^/]+$", "required": true, "description": "Required. Resource identifier of the conversation to close. Format: `projects//locations//conversations/`.", "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" } }, "create": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "parameters": { "parent": { "description": "Required. Resource identifier of the project creating the conversation. Format: `projects//locations/`.", "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string" }, "conversationId": { "type": "string", "description": "Optional. Identifier of the conversation. Generally it's auto generated by Google. Only set it if you cannot wait for the response to return a auto-generated one to you. The conversation ID must be compliant with the regression fomula \"a-zA-Z*\" with the characters length in range of [3,64]. If the field is provided, the caller is resposible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.", "location": "query" } }, "id": "dialogflow.projects.conversations.create", "request": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "path": "v2beta1/{+parent}/conversations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversations", "description": "Creates a new conversation. Conversations are auto-completed after 24 hours. Conversation Lifecycle: There are two stages during a conversation: Automated Agent Stage and Assist Stage. For Automated Agent Stage, there will be a dialogflow agent responding to user queries. For Assist Stage, there's no dialogflow agent responding to user queries. But we will provide suggestions which are generated from conversation. If Conversation.conversation_profile is configured for a dialogflow agent, conversation will start from `Automated Agent Stage`, otherwise, it will start from `Assist Stage`. And during `Automated Agent Stage`, once an Intent with Intent.live_agent_handoff is triggered, conversation will transfer to Assist Stage." }, "get": { "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}", "description": "Retrieves the specific conversation.", "id": "dialogflow.projects.conversations.get", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "httpMethod": "GET", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the conversation. Format: `projects//locations//conversations/`.", "pattern": "^projects/[^/]+/conversations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}" }, "list": { "description": "Returns the list of all conversations in the specified project.", "flatPath": "v2beta1/projects/{projectsId}/conversations", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." }, "parent": { "required": true, "description": "Required. The project from which to list all conversation. Format: `projects//locations/`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+$" }, "filter": { "type": "string", "description": "A filter expression that filters conversations listed in the response. In general, the expression must specify the field name, a comparison operator, and the value to use for filtering: - The value must be a string, a number, or a boolean. - The comparison operator must be either `=`,`!=`, `\u003e`, or `\u003c`. - To filter on multiple expressions, separate the expressions with `AND` or `OR` (omitting both implies `AND`). - For clarity, expressions can be enclosed in parentheses. Only `lifecycle_state` can be filtered on in this way. For example, the following expression only returns `COMPLETED` conversations: `lifecycle_state = \"COMPLETED\"` For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" } }, "id": "dialogflow.projects.conversations.list", "path": "v2beta1/{+parent}/conversations", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListConversationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET" } }, "resources": { "messages": { "methods": { "list": { "id": "dialogflow.projects.conversations.messages.list", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/messages", "description": "Lists messages that belong to a given conversation. `messages` are ordered by `create_time` in descending order. To fetch updates without duplication, send request with filter `create_time_epoch_microseconds \u003e [first item's create_time of previous request]` and empty page_token.", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListMessagesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/messages", "parameters": { "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "filter": { "description": "Optional. Filter on message fields. Currently predicates on `create_time` and `create_time_epoch_microseconds` are supported. `create_time` only support milliseconds accuracy. E.g., `create_time_epoch_microseconds \u003e 1551790877964485` or `create_time \u003e \"2017-01-15T01:30:15.01Z\"`. For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "description": "Required. The name of the conversation to list messages for. Format: `projects//locations//conversations/`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/conversations/[^/]+$" } }, "httpMethod": "GET" }, "batchCreate": { "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/messages:batchCreate", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/conversations/[^/]+$", "type": "string", "description": "Required. Resource identifier of the conversation to create message. Format: `projects//locations//conversations/`.", "required": true } }, "path": "v2beta1/{+parent}/messages:batchCreate", "description": "Batch ingests messages to conversation. Customers can use this RPC to ingest historical messages to conversation.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.conversations.messages.batchCreate", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateMessagesRequest" }, "response": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateMessagesResponse" } } } }, "participants": { "resources": { "suggestions": { "methods": { "suggestSmartReplies": { "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestSmartReplies", "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "location": "path", "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`." } }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/suggestions:suggestSmartReplies", "id": "dialogflow.projects.conversations.participants.suggestions.suggestSmartReplies", "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesRequest" }, "httpMethod": "POST", "description": "Gets smart replies for a participant based on specific historical messages.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse" } }, "compile": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "id": "dialogflow.projects.conversations.participants.suggestions.compile", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "required": true, "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.", "type": "string" } }, "description": "Deprecated. use SuggestArticles and SuggestFaqAnswers instead. Gets suggestions for a participant based on specific historical messages. Note that ListSuggestions will only list the auto-generated suggestions, while CompileSuggestion will try to compile suggestion based on the provided conversation context in the real time.", "response": { "$ref": "GoogleCloudDialogflowV2beta1CompileSuggestionResponse" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1CompileSuggestionRequest" }, "path": "v2beta1/{+parent}/suggestions:compile", "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:compile" }, "suggestFaqAnswers": { "description": "Gets suggested faq answers for a participant based on specific historical messages.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestFaqAnswers", "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse" }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersRequest" }, "id": "dialogflow.projects.conversations.participants.suggestions.suggestFaqAnswers", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "required": true, "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.", "location": "path" } }, "path": "v2beta1/{+parent}/suggestions:suggestFaqAnswers" }, "suggestArticles": { "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse" }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.conversations.participants.suggestions.suggestArticles", "description": "Gets suggested articles for a participant based on specific historical messages. Note that ListSuggestions will only list the auto-generated suggestions, while CompileSuggestion will try to compile suggestion based on the provided conversation context in the real time.", "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestArticles", "parameters": { "parent": { "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesRequest" }, "path": "v2beta1/{+parent}/suggestions:suggestArticles" }, "list": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "description": "Required. The name of the participant to fetch suggestions for. Format: `projects//locations//conversations//participants/`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$" }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of items to return in a single page. The default value is 100; the maximum value is 1000.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "filter": { "description": "Optional. Filter on suggestions fields. Currently predicates on `create_time` and `create_time_epoch_microseconds` are supported. `create_time` only support milliseconds accuracy. E.g., `create_time_epoch_microseconds \u003e 1551790877964485` or `create_time \u003e \"2017-01-15T01:30:15.01Z\"` For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions", "id": "dialogflow.projects.conversations.participants.suggestions.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListSuggestionsResponse" }, "httpMethod": "GET", "path": "v2beta1/{+parent}/suggestions", "description": "Deprecated: Use inline suggestion, event based suggestion or Suggestion* API instead. See HumanAgentAssistantConfig.name for more details. Removal Date: 2020-09-01. Retrieves suggestions for live agents. This method should be used by human agent client software to fetch auto generated suggestions in real-time, while the conversation with an end user is in progress. The functionality is implemented in terms of the [list pagination](https://cloud.google.com/apis/design/design_patterns#list_pagination) design pattern. The client app should use the `next_page_token` field to fetch the next batch of suggestions. `suggestions` are sorted by `create_time` in descending order. To fetch latest suggestion, just set `page_size` to 1. To fetch new suggestions without duplication, send request with filter `create_time_epoch_microseconds \u003e [first item's create_time of previous request]` and empty page_token." } } } }, "methods": { "patch": { "id": "dialogflow.projects.conversations.participants.patch", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "description": "Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`." }, "updateMask": { "description": "Required. The mask to specify which fields to update.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "description": "Updates the specified participant.", "request": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "httpMethod": "PATCH", "path": "v2beta1/{+name}" }, "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/conversations/[^/]+$", "type": "string", "required": true, "description": "Required. Resource identifier of the conversation adding the participant. Format: `projects//locations//conversations/`.", "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "description": "Creates a new participant in a conversation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.conversations.participants.create", "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants", "path": "v2beta1/{+parent}/participants", "request": { "$ref": "GoogleCloudDialogflowV2beta1Participant" } }, "analyzeContent": { "path": "v2beta1/{+participant}:analyzeContent", "id": "dialogflow.projects.conversations.participants.analyzeContent", "parameterOrder": [ "participant" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1AnalyzeContentResponse" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1AnalyzeContentRequest" }, "description": "Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation. Note: Always use agent versions for production traffic sent to virtual agents. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "participant": { "required": true, "description": "Required. The name of the participant this text comes from. Format: `projects//locations//conversations//participants/`.", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}:analyzeContent" }, "list": { "path": "v2beta1/{+parent}/participants", "id": "dialogflow.projects.conversations.participants.list", "parameters": { "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "description": "Required. The conversation to list all participants from. Format: `projects//locations//conversations/`.", "pattern": "^projects/[^/]+/conversations/[^/]+$", "type": "string", "required": true, "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1ListParticipantsResponse" }, "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all participants in the specified conversation.", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the participant. Format: `projects//locations//conversations//participants/`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/conversations/[^/]+/participants/[^/]+$" } }, "path": "v2beta1/{+name}", "description": "Retrieves a conversation participant.", "id": "dialogflow.projects.conversations.participants.get", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "flatPath": "v2beta1/projects/{projectsId}/conversations/{conversationsId}/participants/{participantsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } } }, "locations": { "methods": { "setAgent": { "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Optional. The mask to control which fields get updated." }, "parent": { "required": true, "type": "string", "location": "path", "description": "Required. The project of this agent. Format: `projects/` or `projects//locations/`", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "description": "Creates/updates the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent", "httpMethod": "POST", "response": { "$ref": "GoogleCloudDialogflowV2beta1Agent" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1Agent" }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.setAgent", "path": "v2beta1/{+parent}/agent" }, "deleteAgent": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The project that the agent to delete is associated with. Format: `projects/` or `projects//locations/`.", "type": "string" } }, "path": "v2beta1/{+parent}/agent", "id": "dialogflow.projects.locations.deleteAgent", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "description": "Deletes the specified agent.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent" }, "list": { "id": "dialogflow.projects.locations.list", "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "name": { "required": true, "location": "path", "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "type": "string" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default." } }, "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}/locations", "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/locations" }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Resource name for the location.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Gets information about a location.", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}", "id": "dialogflow.projects.locations.get", "response": { "$ref": "GoogleCloudLocationLocation" }, "parameterOrder": [ "name" ], "path": "v2beta1/{+name}" }, "getAgent": { "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent", "id": "dialogflow.projects.locations.getAgent", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified agent.", "path": "v2beta1/{+parent}/agent", "parameters": { "parent": { "description": "Required. The project that the agent to fetch is associated with. Format: `projects/` or `projects//locations/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Agent" } } }, "resources": { "knowledgeBases": { "resources": { "documents": { "methods": { "delete": { "description": "Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.knowledgeBases.documents.delete", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$" } }, "parameterOrder": [ "name" ], "path": "v2beta1/{+name}" }, "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "filter": { "location": "query", "description": "The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh knowledge_types with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"display_name:customer\" matches documents whose display name contains \"customer\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"state=ACTIVE\" matches documents with ACTIVE state. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "location": "query", "format": "int32" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$", "required": true, "type": "string", "description": "Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`." } }, "httpMethod": "GET", "id": "dialogflow.projects.locations.knowledgeBases.documents.list", "path": "v2beta1/{+parent}/documents", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListDocumentsResponse" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents", "parameterOrder": [ "parent" ], "description": "Returns the list of all documents of the knowledge base. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.", "type": "string" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "location": "path", "description": "Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`." } }, "description": "Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "id": "dialogflow.projects.locations.knowledgeBases.documents.patch", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "path": "v2beta1/{+name}" }, "import": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$", "location": "path", "description": "Required. The knowledge base to import documents into. Format: `projects//locations//knowledgeBases/`." } }, "id": "dialogflow.projects.locations.knowledgeBases.documents.import", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1ImportDocumentsRequest" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents:import", "path": "v2beta1/{+parent}/documents:import", "description": "Create documents by importing data from external sources. Dialogflow supports up to 350 documents in each request. If you try to import more, Dialogflow will return an error. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: ImportDocumentsResponse", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ] }, "get": { "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.knowledgeBases.documents.get", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified document. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`." }, "reload": { "httpMethod": "POST", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}:reload", "request": { "$ref": "GoogleCloudDialogflowV2beta1ReloadDocumentRequest" }, "parameters": { "name": { "description": "Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "required": true, "type": "string", "location": "path" } }, "path": "v2beta1/{+name}:reload", "description": "Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. Note: If the document source is Google Cloud Storage URI, its metadata will be replaced with the custom metadata from Google Cloud Storage if the `import_gcs_custom_metadata` field is set to true in the request. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "id": "dialogflow.projects.locations.knowledgeBases.documents.reload", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "create": { "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}/documents", "parameters": { "importGcsCustomMetadata": { "description": "Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.", "location": "query", "type": "boolean" }, "parent": { "required": true, "type": "string", "description": "Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$" } }, "id": "dialogflow.projects.locations.knowledgeBases.documents.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2beta1/{+parent}/documents" } } } }, "methods": { "create": { "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Creates a knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases", "parameters": { "parent": { "location": "path", "description": "Required. The project to create a knowledge base for. Format: `projects//locations/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "path": "v2beta1/{+parent}/knowledgeBases", "id": "dialogflow.projects.locations.knowledgeBases.create", "httpMethod": "POST", "parameterOrder": [ "parent" ] }, "list": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases", "httpMethod": "GET", "id": "dialogflow.projects.locations.knowledgeBases.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all knowledge bases of the specified agent. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListKnowledgeBasesResponse" }, "parameters": { "filter": { "type": "string", "description": "The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh language_code with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-us' matches knowledge bases with en-us language code. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:articles' matches knowledge bases whose display name contains \"articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "location": "query" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "parent": { "type": "string", "required": true, "description": "Required. The project to list of knowledge bases for. Format: `projects//locations/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "path": "v2beta1/{+parent}/knowledgeBases" }, "delete": { "parameters": { "force": { "description": "Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.", "location": "query", "type": "boolean" }, "name": { "description": "Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`.", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "id": "dialogflow.projects.locations.knowledgeBases.delete" }, "patch": { "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "id": "dialogflow.projects.locations.knowledgeBases.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}", "httpMethod": "PATCH", "description": "Updates the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields." }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$", "description": "The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.", "location": "path" } } }, "get": { "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/knowledgeBases/[^/]+$", "description": "Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`.", "location": "path" } }, "id": "dialogflow.projects.locations.knowledgeBases.get", "description": "Retrieves the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/knowledgeBases/{knowledgeBasesId}" } } }, "agent": { "methods": { "export": { "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Exports the specified agent to a ZIP file. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse", "path": "v2beta1/{+parent}/agent:export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent:export", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The project that the agent to export is associated with. Format: `projects/` or `projects//locations/`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1ExportAgentRequest" }, "id": "dialogflow.projects.locations.agent.export" }, "import": { "path": "v2beta1/{+parent}/agent:import", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Imports the specified agent from a ZIP file. Uploads new intents and entity types without deleting the existing ones. Intents and entity types with the same name are replaced with the new versions from ImportAgentRequest. After the import, the imported draft agent will be trained automatically (unless disabled in agent settings). However, once the import is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when importing is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project that the agent to import is associated with. Format: `projects/` or `projects//locations/`.", "location": "path", "required": true, "type": "string" } }, "id": "dialogflow.projects.locations.agent.import", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1ImportAgentRequest" } }, "train": { "id": "dialogflow.projects.locations.agent.train", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/agent:train", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent:train", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1TrainAgentRequest" }, "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The project that the agent to train is associated with. Format: `projects/` or `projects//locations/`.", "required": true } }, "description": "Trains the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training)." }, "search": { "id": "dialogflow.projects.locations.agent.search", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The project to list agents from. Format: `projects/` or `projects//locations/`.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." } }, "path": "v2beta1/{+parent}/agent:search", "description": "Returns the list of agents. Since there is at most one conversational agent per project, this method is useful primarily for listing all agents across projects the caller has access to. One can achieve that with a wildcard project collection id \"-\". Refer to [List Sub-Collections](https://cloud.google.com/apis/design/design_patterns#list_sub-collections).", "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent:search", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SearchAgentsResponse" } }, "getValidationResult": { "httpMethod": "GET", "path": "v2beta1/{+parent}/agent/validationResult", "id": "dialogflow.projects.locations.agent.getValidationResult", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The project that the agent is associated with. Format: `projects/` or `projects//locations/`.", "type": "string" }, "languageCode": { "description": "Optional. The language for which you want a validation result. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "description": "Gets agent validation result. Agent validation is performed during training time and is updated automatically when training is completed.", "response": { "$ref": "GoogleCloudDialogflowV2beta1ValidationResult" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/validationResult" }, "getFulfillment": { "parameters": { "name": { "location": "path", "description": "Required. The name of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/fulfillment$", "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/fulfillment", "path": "v2beta1/{+name}", "description": "Retrieves the fulfillment.", "id": "dialogflow.projects.locations.agent.getFulfillment" }, "updateFulfillment": { "path": "v2beta1/{+name}", "request": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "required": true, "description": "Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/fulfillment$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "location": "query" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/fulfillment", "id": "dialogflow.projects.locations.agent.updateFulfillment", "description": "Updates the fulfillment." }, "restore": { "httpMethod": "POST", "id": "dialogflow.projects.locations.agent.restore", "request": { "$ref": "GoogleCloudDialogflowV2beta1RestoreAgentRequest" }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/agent:restore", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Restores the specified agent from a ZIP file. Replaces the current agent version with a new one. All the intents and entity types in the older version are deleted. After the restore, the restored draft agent will be trained automatically (unless disabled in agent settings). However, once the restore is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when restoring is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent:restore", "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The project that the agent to restore is associated with. Format: `projects/` or `projects//locations/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } }, "resources": { "versions": { "methods": { "create": { "path": "v2beta1/{+parent}/versions", "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "parameterOrder": [ "parent" ], "description": "Creates an agent version. The new version points to the agent instance in the \"default\" environment.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/versions", "request": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "id": "dialogflow.projects.locations.agent.versions.create", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The agent to create a version for. Supported formats: - `projects//agent` - `projects//locations//agent`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST" }, "list": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/versions", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListVersionsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" }, "parent": { "description": "Required. The agent to list all versions from. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "type": "string", "required": true, "location": "path" } }, "id": "dialogflow.projects.locations.agent.versions.list", "path": "v2beta1/{+parent}/versions", "description": "Returns the list of all versions of the specified agent." }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/versions/[^/]+$", "description": "Required. The name of the version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified agent version.", "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/versions/{versionsId}", "id": "dialogflow.projects.locations.agent.versions.get", "path": "v2beta1/{+name}" }, "delete": { "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/versions/[^/]+$", "description": "Required. The name of the version to delete. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/versions/{versionsId}", "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.agent.versions.delete", "description": "Delete the specified agent version." }, "patch": { "request": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "id": "dialogflow.projects.locations.agent.versions.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/versions/{versionsId}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Required. The mask to control which fields get updated.", "type": "string", "location": "query" }, "name": { "description": "Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/versions/[^/]+$" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "path": "v2beta1/{+name}", "httpMethod": "PATCH", "description": "Updates the specified agent version. Note that this method does not allow you to update the state of the agent the given version points to. It allows you to update only mutable properties of the version resource.", "parameterOrder": [ "name" ] } } }, "sessions": { "resources": { "contexts": { "methods": { "create": { "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts", "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agent.sessions.contexts.create", "description": "Creates a context. If the specified context already exists, overrides the context.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/contexts", "httpMethod": "POST", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The session to create a context for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$" } } }, "patch": { "description": "Updates the specified context.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "updateMask": { "location": "query", "description": "Optional. The mask to control which fields get updated.", "format": "google-fieldmask", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "type": "string", "required": true, "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "location": "path" } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "id": "dialogflow.projects.locations.agent.sessions.contexts.patch", "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ] }, "get": { "description": "Retrieves the specified context.", "id": "dialogflow.projects.locations.agent.sessions.contexts.get", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "description": "Required. The name of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string" } }, "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET" }, "delete": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the context to delete. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified context.", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agent.sessions.contexts.delete" }, "list": { "parameters": { "parent": { "description": "Required. The session to list all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$", "type": "string", "required": true }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." } }, "path": "v2beta1/{+parent}/contexts", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListContextsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Returns the list of all contexts in the specified session.", "id": "dialogflow.projects.locations.agent.sessions.contexts.list" } } }, "entityTypes": { "methods": { "create": { "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The session to create a session entity type for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/entityTypes", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "description": "Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/entityTypes", "id": "dialogflow.projects.locations.agent.sessions.entityTypes.create", "parameterOrder": [ "parent" ] }, "get": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "description": "Required. The name of the session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "id": "dialogflow.projects.locations.agent.sessions.entityTypes.get", "description": "Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+name}" }, "patch": { "parameters": { "updateMask": { "location": "query", "description": "Optional. The mask to control which fields get updated.", "format": "google-fieldmask", "type": "string" }, "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "id": "dialogflow.projects.locations.agent.sessions.entityTypes.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameterOrder": [ "name" ], "path": "v2beta1/{+name}" }, "delete": { "path": "v2beta1/{+name}", "description": "Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agent.sessions.entityTypes.delete", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "list": { "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agent.sessions.entityTypes.list", "path": "v2beta1/{+parent}/entityTypes", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/entityTypes", "parameters": { "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$", "description": "Required. The session to list all session entity types from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "type": "string", "required": true }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse" }, "description": "Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration." } } } }, "methods": { "detectIntent": { "parameters": { "session": { "description": "Required. The name of the session this query is sent to. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$", "location": "path", "required": true } }, "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}:detectIntent", "httpMethod": "POST", "parameterOrder": [ "session" ], "path": "v2beta1/{+session}:detectIntent", "request": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentRequest" }, "id": "dialogflow.projects.locations.agent.sessions.detectIntent", "response": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentResponse" } }, "deleteContexts": { "path": "v2beta1/{+parent}/contexts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes all active contexts in the specified session.", "id": "dialogflow.projects.locations.agent.sessions.deleteContexts", "httpMethod": "DELETE", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/sessions/{sessionsId}/contexts", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "description": "Required. The name of the session to delete all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/sessions/[^/]+$", "required": true } } } } }, "environments": { "methods": { "delete": { "id": "dialogflow.projects.locations.agent.environments.delete", "parameterOrder": [ "name" ], "description": "Deletes the specified agent environment.", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+$", "description": "Required. The name of the environment to delete. / Format: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}" }, "get": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agent.environments.get", "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "path": "v2beta1/{+name}", "parameters": { "name": { "description": "Required. The name of the environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+$" } }, "description": "Retrieves the specified agent environment." }, "list": { "response": { "$ref": "GoogleCloudDialogflowV2beta1ListEnvironmentsResponse" }, "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "description": "Required. The agent to list all environments from. Format: - `projects//agent` - `projects//locations//agent`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "location": "path" } }, "description": "Returns the list of all non-draft environments of the specified agent.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments", "path": "v2beta1/{+parent}/environments", "id": "dialogflow.projects.locations.agent.environments.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameterOrder": [ "parent" ] }, "create": { "id": "dialogflow.projects.locations.agent.environments.create", "description": "Creates an agent environment.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "path": "v2beta1/{+parent}/environments", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "parameters": { "environmentId": { "description": "Required. The unique id of the new environment.", "type": "string", "location": "query" }, "parent": { "description": "Required. The agent to create an environment for. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "type": "string", "required": true, "location": "path" } } }, "getHistory": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query" }, "parent": { "location": "path", "description": "Required. The name of the environment to retrieve history for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+$", "type": "string", "required": true }, "pageSize": { "format": "int32", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer" } }, "id": "dialogflow.projects.locations.agent.environments.getHistory", "path": "v2beta1/{+parent}/history", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/history", "description": "Gets the history of the specified environment.", "response": { "$ref": "GoogleCloudDialogflowV2beta1EnvironmentHistory" }, "parameterOrder": [ "parent" ] }, "patch": { "description": "Updates the specified agent environment. This method allows you to deploy new agent versions into the environment. When an environment is pointed to a new agent version by setting `environment.agent_version`, the environment is temporarily set to the `LOADING` state. During that time, the environment keeps on serving the previous version of the agent. After the new agent version is done loading, the environment is set back to the `RUNNING` state. You can use \"-\" as Environment ID in environment name to update version in \"draft\" environment. WARNING: this will negate all recent changes to draft and can't be undone. You may want to save the draft to a version before calling this function.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "parameters": { "allowLoadToDraftAndDiscardChanges": { "location": "query", "type": "boolean", "description": "Optional. This field is used to prevent accidental overwrite of the draft environment, which is an operation that cannot be undone. To confirm that the caller desires this overwrite, this field must be explicitly set to true when updating the draft environment (environment ID = `-`)." }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+$", "location": "path", "type": "string", "description": "Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`" }, "updateMask": { "type": "string", "description": "Required. The mask to control which fields get updated.", "format": "google-fieldmask", "location": "query" } }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}", "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.agent.environments.patch", "request": { "$ref": "GoogleCloudDialogflowV2beta1Environment" } } }, "resources": { "intents": { "methods": { "list": { "response": { "$ref": "GoogleCloudDialogflowV2beta1ListIntentsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agent.environments.intents.list", "httpMethod": "GET", "description": "Returns the list of all intents in the specified agent.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/intents", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents", "parameters": { "intentView": { "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "location": "query", "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "description": "Optional. The resource view to apply to the returned intent.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+$", "description": "Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.", "type": "string", "location": "path" }, "languageCode": { "location": "query", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" } } } } }, "users": { "resources": { "sessions": { "resources": { "entityTypes": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "location": "path", "description": "Required. The session to create a session entity type for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "type": "string" } }, "description": "Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "httpMethod": "POST", "path": "v2beta1/{+parent}/entityTypes", "id": "dialogflow.projects.locations.agent.environments.users.sessions.entityTypes.create", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes" }, "list": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes", "httpMethod": "GET", "id": "dialogflow.projects.locations.agent.environments.users.sessions.entityTypes.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse" }, "description": "Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+parent}/entityTypes", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query" }, "parent": { "description": "Required. The session to list all session entity types from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "description": "Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.agent.environments.users.sessions.entityTypes.patch", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated.", "location": "query" }, "name": { "type": "string", "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "httpMethod": "PATCH" }, "get": { "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "type": "string" } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "description": "Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.agent.environments.users.sessions.entityTypes.get" }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agent.environments.users.sessions.entityTypes.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+name}" } } }, "contexts": { "methods": { "patch": { "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "description": "Updates the specified context.", "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameters": { "name": { "location": "path", "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$", "required": true, "type": "string" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Optional. The mask to control which fields get updated.", "location": "query" } }, "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agent.environments.users.sessions.contexts.patch", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}", "path": "v2beta1/{+name}" }, "list": { "id": "dialogflow.projects.locations.agent.environments.users.sessions.contexts.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListContextsResponse" }, "description": "Returns the list of all contexts in the specified session.", "httpMethod": "GET", "path": "v2beta1/{+parent}/contexts", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query" }, "parent": { "description": "Required. The session to list all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "type": "string", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameters": { "name": { "description": "Required. The name of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$", "location": "path", "required": true } }, "id": "dialogflow.projects.locations.agent.environments.users.sessions.contexts.get", "parameterOrder": [ "name" ], "description": "Retrieves the specified context.", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}" }, "create": { "httpMethod": "POST", "path": "v2beta1/{+parent}/contexts", "description": "Creates a context. If the specified context already exists, overrides the context.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "id": "dialogflow.projects.locations.agent.environments.users.sessions.contexts.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "type": "string", "location": "path", "description": "Required. The session to create a context for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts", "parameterOrder": [ "parent" ] }, "delete": { "id": "dialogflow.projects.locations.agent.environments.users.sessions.contexts.delete", "parameters": { "name": { "type": "string", "description": "Required. The name of the context to delete. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$" } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}", "description": "Deletes the specified context." } } } }, "methods": { "deleteContexts": { "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "description": "Required. The name of the session to delete all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "location": "path" } }, "id": "dialogflow.projects.locations.agent.environments.users.sessions.deleteContexts", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "description": "Deletes all active contexts in the specified session.", "path": "v2beta1/{+parent}/contexts" }, "detectIntent": { "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "session": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "description": "Required. The name of the session this query is sent to. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "required": true, "location": "path" } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}:detectIntent", "path": "v2beta1/{+session}:detectIntent", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentRequest" }, "response": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentResponse" }, "id": "dialogflow.projects.locations.agent.environments.users.sessions.detectIntent", "parameterOrder": [ "session" ] } } } } } } }, "intents": { "methods": { "batchUpdate": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents:batchUpdate", "id": "dialogflow.projects.locations.agent.intents.batchUpdate", "httpMethod": "POST", "path": "v2beta1/{+parent}/intents:batchUpdate", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsRequest" }, "description": "Updates/Creates multiple intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateIntentsResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the agent to update or create intents in. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/locations/[^/]+/agent$" } } }, "list": { "id": "dialogflow.projects.locations.agent.intents.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all intents in the specified agent.", "parameters": { "intentView": { "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "type": "string", "location": "query", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "description": "Optional. The resource view to apply to the returned intent." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "parent": { "type": "string", "required": true, "description": "Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.", "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "location": "path" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string", "location": "query" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListIntentsResponse" }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents" }, "get": { "parameters": { "intentView": { "location": "query", "type": "string", "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "description": "Optional. The resource view to apply to the returned intent." }, "languageCode": { "location": "query", "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." }, "name": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the intent. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "pattern": "^projects/[^/]+/locations/[^/]+/agent/intents/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agent.intents.get", "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "Retrieves the specified intent.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents/{intentsId}" }, "create": { "path": "v2beta1/{+parent}/intents", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "id": "dialogflow.projects.locations.agent.intents.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "Creates an intent in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameters": { "intentView": { "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "type": "string", "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "location": "query", "description": "Optional. The resource view to apply to the returned intent." }, "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "location": "path", "description": "Required. The agent to create a intent for. Supported formats: - `projects//agent` - `projects//locations//agent`" }, "languageCode": { "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query" } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents", "httpMethod": "POST" }, "delete": { "id": "dialogflow.projects.locations.agent.intents.delete", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents/{intentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified intent and its direct or indirect followup intents. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the intent to delete. If this intent has direct or indirect followup intents, we also delete them. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/intents/[^/]+$", "required": true } } }, "batchDelete": { "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents:batchDelete", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteIntentsRequest" }, "httpMethod": "POST", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "type": "string", "required": true, "description": "Required. The name of the agent to delete all entities types for. Supported formats: - `projects//agent` - `projects//locations//agent`" } }, "path": "v2beta1/{+parent}/intents:batchDelete", "description": "Deletes intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "id": "dialogflow.projects.locations.agent.intents.batchDelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "id": "dialogflow.projects.locations.agent.intents.patch", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "Updates the specified intent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/intents/{intentsId}", "path": "v2beta1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agent/intents/[^/]+$", "required": true, "location": "path", "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "type": "string" }, "updateMask": { "description": "Optional. The mask to control which fields get updated.", "type": "string", "format": "google-fieldmask", "location": "query" }, "intentView": { "description": "Optional. The resource view to apply to the returned intent.", "type": "string", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "location": "query" }, "languageCode": { "location": "query", "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." } }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" } } } }, "entityTypes": { "resources": { "entities": { "methods": { "batchDelete": { "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}/entities:batchDelete", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteEntitiesRequest" }, "id": "dialogflow.projects.locations.agent.entityTypes.entities.batchDelete", "path": "v2beta1/{+parent}/entities:batchDelete", "description": "Deletes entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "type": "string", "description": "Required. The name of the entity type to delete entries for. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$" } } }, "batchUpdate": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}/entities:batchUpdate", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateEntitiesRequest" }, "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$", "type": "string", "description": "Required. The name of the entity type to update or create entities in. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`" } }, "id": "dialogflow.projects.locations.agent.entityTypes.entities.batchUpdate", "description": "Updates or creates multiple entities in the specified entity type. This method does not affect entities in the entity type that aren't explicitly specified in the request. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training). This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/entities:batchUpdate" }, "batchCreate": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.agent.entityTypes.entities.batchCreate", "httpMethod": "POST", "description": "Creates multiple new entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/entities:batchCreate", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}/entities:batchCreate", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateEntitiesRequest" }, "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The name of the entity type to create entities in. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } }, "methods": { "delete": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "id": "dialogflow.projects.locations.agent.entityTypes.delete", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}", "description": "Deletes the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "path": "v2beta1/{+name}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "batchUpdate": { "path": "v2beta1/{+parent}/entityTypes:batchUpdate", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agent$", "type": "string", "required": true, "description": "Required. The name of the agent to update or create entity types in. Supported formats: - `projects//agent` - `projects//locations//agent`", "location": "path" } }, "description": "Updates/Creates multiple entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateEntityTypesResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes:batchUpdate", "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agent.entityTypes.batchUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesRequest" } }, "batchDelete": { "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteEntityTypesRequest" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The name of the agent to delete all entities types for. Supported formats: - `projects//agent`, - `projects//locations//agent`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent$" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agent.entityTypes.batchDelete", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes:batchDelete", "parameterOrder": [ "parent" ], "description": "Deletes entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v2beta1/{+parent}/entityTypes:batchDelete" }, "patch": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}", "request": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agent.entityTypes.patch", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameters": { "name": { "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$", "required": true, "location": "path" }, "languageCode": { "location": "query", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "updateMask": { "description": "Optional. The mask to control which fields get updated.", "type": "string", "location": "query", "format": "google-fieldmask" } } }, "create": { "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The agent to create a entity type for. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/locations/[^/]+/agent$" }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query", "type": "string" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/entityTypes", "httpMethod": "POST", "description": "Creates an entity type in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes", "id": "dialogflow.projects.locations.agent.entityTypes.create", "request": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "id": "dialogflow.projects.locations.agent.entityTypes.get", "parameters": { "name": { "description": "Required. The name of the entity type. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agent/entityTypes/[^/]+$", "type": "string" }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string", "location": "query" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes/{entityTypesId}", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "description": "Retrieves the specified entity type." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The agent to list all entity types from. Supported formats: - `projects//agent` - `projects//locations//agent`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agent$" }, "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query" }, "languageCode": { "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query" } }, "description": "Returns the list of all entity types in the specified agent.", "id": "dialogflow.projects.locations.agent.entityTypes.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListEntityTypesResponse" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/agent/entityTypes", "path": "v2beta1/{+parent}/entityTypes", "httpMethod": "GET", "parameterOrder": [ "parent" ] } } } } }, "answerRecords": { "methods": { "list": { "path": "v2beta1/{+parent}/answerRecords", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project to list all answer records for in reverse chronological order. Format: `projects//locations/`." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of records to return in a single page. The server may return fewer records than this. If unspecified, we use 10. The maximum is 100." }, "pageToken": { "description": "Optional. The ListAnswerRecordsResponse.next_page_token value returned from a previous list request used to continue listing on the next page.", "location": "query", "type": "string" } }, "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/answerRecords", "id": "dialogflow.projects.locations.answerRecords.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListAnswerRecordsResponse" }, "parameterOrder": [ "parent" ], "description": "Returns the list of all answer records in the specified project in reverse chronological order." }, "get": { "description": "Deprecated. Retrieves a specific answer record.", "httpMethod": "GET", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/answerRecords/[^/]+$", "location": "path", "description": "Required. The name of the answer record to retrieve. Format: `projects//locations//answerRecords/`." } }, "id": "dialogflow.projects.locations.answerRecords.get", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/answerRecords/{answerRecordsId}" }, "patch": { "description": "Updates the specified answer record.", "response": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" }, "id": "dialogflow.projects.locations.answerRecords.patch", "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" }, "parameters": { "name": { "location": "path", "description": "The unique identifier of this answer record. Required for AnswerRecords.UpdateAnswerRecord method. Format: `projects//locations//answerRecords/`.", "pattern": "^projects/[^/]+/locations/[^/]+/answerRecords/[^/]+$", "type": "string", "required": true }, "updateMask": { "description": "Required. The mask to control which fields get updated.", "type": "string", "location": "query", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/answerRecords/{answerRecordsId}", "httpMethod": "PATCH" } } }, "operations": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation's parent resource." }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "description": "The standard list page size.", "type": "integer" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "dialogflow.projects.locations.operations.list", "path": "v2beta1/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/operations" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "type": "string", "description": "The name of the operation resource.", "location": "path" } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "dialogflow.projects.locations.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET" }, "cancel": { "httpMethod": "POST", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+name}:cancel", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "dialogflow.projects.locations.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ] } } }, "conversationProfiles": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The project to create a conversation profile for. Format: `projects//locations/`.", "type": "string", "required": true } }, "description": "Creates a conversation profile in the specified project. ConversationProfile.CreateTime and ConversationProfile.UpdateTime aren't populated in the response. You can retrieve them via GetConversationProfile API.", "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.conversationProfiles.create", "path": "v2beta1/{+parent}/conversationProfiles", "request": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" } }, "clearSuggestionFeatureConfig": { "path": "v2beta1/{+conversationProfile}:clearSuggestionFeatureConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigRequest" }, "httpMethod": "POST", "parameterOrder": [ "conversationProfile" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles/{conversationProfilesId}:clearSuggestionFeatureConfig", "description": "Clears a suggestion feature from a conversation profile for the given participant role. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ClearSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile", "parameters": { "conversationProfile": { "type": "string", "description": "Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.", "pattern": "^projects/[^/]+/locations/[^/]+/conversationProfiles/[^/]+$", "required": true, "location": "path" } }, "id": "dialogflow.projects.locations.conversationProfiles.clearSuggestionFeatureConfig" }, "setSuggestionFeatureConfig": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles/{conversationProfilesId}:setSuggestionFeatureConfig", "description": "Adds or updates a suggestion feature in a conversation profile. If the conversation profile contains the type of suggestion feature for the participant role, it will update it. Otherwise it will insert the suggestion feature. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: SetSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile If a long running operation to add or update suggestion feature config for the same conversation profile, participant role and suggestion feature type exists, please cancel the existing long running operation before sending such request, otherwise the request will be rejected.", "id": "dialogflow.projects.locations.conversationProfiles.setSuggestionFeatureConfig", "parameterOrder": [ "conversationProfile" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+conversationProfile}:setSuggestionFeatureConfig", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameters": { "conversationProfile": { "description": "Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversationProfiles/[^/]+$", "required": true } } }, "list": { "httpMethod": "GET", "path": "v2beta1/{+parent}/conversationProfiles", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles", "description": "Returns the list of all conversation profiles in the specified project.", "id": "dialogflow.projects.locations.conversationProfiles.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListConversationProfilesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer" }, "parent": { "location": "path", "required": true, "description": "Required. The project to list all conversation profiles from. Format: `projects//locations/`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" } } }, "patch": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles/{conversationProfilesId}", "request": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "httpMethod": "PATCH", "description": "Updates the specified conversation profile. ConversationProfile.CreateTime and ConversationProfile.UpdateTime aren't populated in the response. You can retrieve them via GetConversationProfile API.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.conversationProfiles.patch", "path": "v2beta1/{+name}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Required. The mask to control which fields to update.", "location": "query", "type": "string" }, "name": { "description": "The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/conversationProfiles/[^/]+$", "required": true, "location": "path" } } }, "delete": { "parameters": { "name": { "type": "string", "description": "Required. The name of the conversation profile to delete. Format: `projects//locations//conversationProfiles/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversationProfiles/[^/]+$", "required": true } }, "description": "Deletes the specified conversation profile.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles/{conversationProfilesId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "path": "v2beta1/{+name}", "id": "dialogflow.projects.locations.conversationProfiles.delete" }, "get": { "id": "dialogflow.projects.locations.conversationProfiles.get", "parameters": { "name": { "description": "Required. The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/conversationProfiles/[^/]+$", "location": "path", "required": true } }, "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "description": "Retrieves the specified conversation profile.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversationProfiles/{conversationProfilesId}", "parameterOrder": [ "name" ] } } }, "conversations": { "resources": { "participants": { "resources": { "suggestions": { "methods": { "suggestArticles": { "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesRequest" }, "description": "Gets suggested articles for a participant based on specific historical messages. Note that ListSuggestions will only list the auto-generated suggestions, while CompileSuggestion will try to compile suggestion based on the provided conversation context in the real time.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`." } }, "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestArticles", "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse" }, "path": "v2beta1/{+parent}/suggestions:suggestArticles", "id": "dialogflow.projects.locations.conversations.participants.suggestions.suggestArticles" }, "suggestSmartReplies": { "path": "v2beta1/{+parent}/suggestions:suggestSmartReplies", "httpMethod": "POST", "description": "Gets smart replies for a participant based on specific historical messages.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestSmartReplies", "parameters": { "parent": { "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse" }, "id": "dialogflow.projects.locations.conversations.participants.suggestions.suggestSmartReplies", "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesRequest" } }, "suggestFaqAnswers": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse" }, "parameterOrder": [ "parent" ], "description": "Gets suggested faq answers for a participant based on specific historical messages.", "path": "v2beta1/{+parent}/suggestions:suggestFaqAnswers", "id": "dialogflow.projects.locations.conversations.participants.suggestions.suggestFaqAnswers", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the participant to fetch suggestion for. Format: `projects//locations//conversations//participants/`." } }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}/suggestions:suggestFaqAnswers", "request": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersRequest" } } } } }, "methods": { "list": { "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants", "httpMethod": "GET", "description": "Returns the list of all participants in the specified conversation.", "id": "dialogflow.projects.locations.conversations.participants.list", "path": "v2beta1/{+parent}/participants", "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "description": "Required. The conversation to list all participants from. Format: `projects//locations//conversations/`.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListParticipantsResponse" } }, "create": { "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants", "httpMethod": "POST", "id": "dialogflow.projects.locations.conversations.participants.create", "path": "v2beta1/{+parent}/participants", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "parameters": { "parent": { "required": true, "location": "path", "description": "Required. Resource identifier of the conversation adding the participant. Format: `projects//locations//conversations/`.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "type": "string" } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "description": "Creates a new participant in a conversation." }, "analyzeContent": { "request": { "$ref": "GoogleCloudDialogflowV2beta1AnalyzeContentRequest" }, "parameters": { "participant": { "description": "Required. The name of the participant this text comes from. Format: `projects//locations//conversations//participants/`.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$", "type": "string", "location": "path", "required": true } }, "description": "Adds a text (chat, for example), or audio (phone recording, for example) message from a participant into the conversation. Note: Always use agent versions for production traffic sent to virtual agents. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "parameterOrder": [ "participant" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}:analyzeContent", "id": "dialogflow.projects.locations.conversations.participants.analyzeContent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1AnalyzeContentResponse" }, "path": "v2beta1/{+participant}:analyzeContent", "httpMethod": "POST" }, "patch": { "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The mask to specify which fields to update." }, "name": { "required": true, "description": "Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`.", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$", "type": "string", "location": "path" } }, "description": "Updates the specified participant.", "id": "dialogflow.projects.locations.conversations.participants.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}", "path": "v2beta1/{+name}" }, "get": { "description": "Retrieves a conversation participant.", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/participants/{participantsId}", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+/participants/[^/]+$", "description": "Required. The name of the participant. Format: `projects//locations//conversations//participants/`.", "type": "string" } }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.conversations.participants.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1Participant" } } } }, "messages": { "methods": { "list": { "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" }, "filter": { "description": "Optional. Filter on message fields. Currently predicates on `create_time` and `create_time_epoch_microseconds` are supported. `create_time` only support milliseconds accuracy. E.g., `create_time_epoch_microseconds \u003e 1551790877964485` or `create_time \u003e \"2017-01-15T01:30:15.01Z\"`. For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query", "type": "string" }, "parent": { "description": "Required. The name of the conversation to list messages for. Format: `projects//locations//conversations/`", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$" } }, "path": "v2beta1/{+parent}/messages", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/messages", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListMessagesResponse" }, "description": "Lists messages that belong to a given conversation. `messages` are ordered by `create_time` in descending order. To fetch updates without duplication, send request with filter `create_time_epoch_microseconds \u003e [first item's create_time of previous request]` and empty page_token.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.conversations.messages.list" }, "batchCreate": { "response": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateMessagesResponse" }, "description": "Batch ingests messages to conversation. Customers can use this RPC to ingest historical messages to conversation.", "id": "dialogflow.projects.locations.conversations.messages.batchCreate", "parameterOrder": [ "parent" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateMessagesRequest" }, "path": "v2beta1/{+parent}/messages:batchCreate", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}/messages:batchCreate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "required": true, "description": "Required. Resource identifier of the conversation to create message. Format: `projects//locations//conversations/`." } } } } } }, "methods": { "get": { "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "description": "Retrieves the specific conversation.", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the conversation. Format: `projects//locations//conversations/`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.conversations.get" }, "complete": { "id": "dialogflow.projects.locations.conversations.complete", "path": "v2beta1/{+name}:complete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations/{conversationsId}:complete", "parameterOrder": [ "name" ], "description": "Completes the specified conversation. Finished conversations are purged from the database after 30 days.", "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/conversations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. Resource identifier of the conversation to close. Format: `projects//locations//conversations/`." } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1CompleteConversationRequest" }, "httpMethod": "POST" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "path": "v2beta1/{+parent}/conversations", "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations", "parameters": { "parent": { "type": "string", "description": "Required. Resource identifier of the project creating the conversation. Format: `projects//locations/`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" }, "conversationId": { "description": "Optional. Identifier of the conversation. Generally it's auto generated by Google. Only set it if you cannot wait for the response to return a auto-generated one to you. The conversation ID must be compliant with the regression fomula \"a-zA-Z*\" with the characters length in range of [3,64]. If the field is provided, the caller is resposible for 1. the uniqueness of the ID, otherwise the request will be rejected. 2. the consistency for whether to use custom ID or not under a project to better ensure uniqueness.", "type": "string", "location": "query" } }, "id": "dialogflow.projects.locations.conversations.create", "response": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "description": "Creates a new conversation. Conversations are auto-completed after 24 hours. Conversation Lifecycle: There are two stages during a conversation: Automated Agent Stage and Assist Stage. For Automated Agent Stage, there will be a dialogflow agent responding to user queries. For Assist Stage, there's no dialogflow agent responding to user queries. But we will provide suggestions which are generated from conversation. If Conversation.conversation_profile is configured for a dialogflow agent, conversation will start from `Automated Agent Stage`, otherwise, it will start from `Assist Stage`. And during `Automated Agent Stage`, once an Intent with Intent.live_agent_handoff is triggered, conversation will transfer to Assist Stage.", "httpMethod": "POST" }, "list": { "description": "Returns the list of all conversations in the specified project.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListConversationsResponse" }, "id": "dialogflow.projects.locations.conversations.list", "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Required. The project from which to list all conversation. Format: `projects//locations/`.", "location": "path" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters conversations listed in the response. In general, the expression must specify the field name, a comparison operator, and the value to use for filtering: - The value must be a string, a number, or a boolean. - The comparison operator must be either `=`,`!=`, `\u003e`, or `\u003c`. - To filter on multiple expressions, separate the expressions with `AND` or `OR` (omitting both implies `AND`). - For clarity, expressions can be enclosed in parentheses. Only `lifecycle_state` can be filtered on in this way. For example, the following expression only returns `COMPLETED` conversations: `lifecycle_state = \"COMPLETED\"` For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query", "type": "string" } }, "path": "v2beta1/{+parent}/conversations", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/locations/{locationsId}/conversations" } } } } }, "agent": { "resources": { "intents": { "methods": { "list": { "parameters": { "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." }, "intentView": { "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "location": "query", "type": "string", "description": "Optional. The resource view to apply to the returned intent." }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.", "pattern": "^projects/[^/]+/agent$", "required": true } }, "flatPath": "v2beta1/projects/{projectsId}/agent/intents", "id": "dialogflow.projects.agent.intents.list", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all intents in the specified agent.", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListIntentsResponse" } }, "patch": { "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "id": "dialogflow.projects.agent.intents.patch", "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "Updates the specified intent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameters": { "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query", "type": "string" }, "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/agent/intents/[^/]+$", "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated.", "location": "query" }, "intentView": { "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "description": "Optional. The resource view to apply to the returned intent.", "type": "string", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/intents/{intentsId}", "parameterOrder": [ "name" ] }, "delete": { "description": "Deletes the specified intent and its direct or indirect followup intents. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the intent to delete. If this intent has direct or indirect followup intents, we also delete them. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "location": "path", "required": true, "pattern": "^projects/[^/]+/agent/intents/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/intents/{intentsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "id": "dialogflow.projects.agent.intents.delete" }, "batchUpdate": { "parameters": { "parent": { "pattern": "^projects/[^/]+/agent$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the agent to update or create intents in. Supported formats: - `projects//agent` - `projects//locations//agent`" } }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/agent/intents:batchUpdate", "description": "Updates/Creates multiple intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateIntentsResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsRequest" }, "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.agent.intents.batchUpdate" }, "get": { "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/agent/intents/{intentsId}", "description": "Retrieves the specified intent.", "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "parameters": { "languageCode": { "type": "string", "location": "query", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/agent/intents/[^/]+$", "type": "string", "description": "Required. The name of the intent. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`" }, "intentView": { "location": "query", "type": "string", "description": "Optional. The resource view to apply to the returned intent.", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ] } }, "path": "v2beta1/{+name}", "id": "dialogflow.projects.agent.intents.get" }, "batchDelete": { "id": "dialogflow.projects.agent.intents.batchDelete", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/agent$", "description": "Required. The name of the agent to delete all entities types for. Supported formats: - `projects//agent` - `projects//locations//agent`", "location": "path", "required": true } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents:batchDelete", "description": "Deletes intents in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/agent/intents:batchDelete", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteIntentsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "flatPath": "v2beta1/projects/{projectsId}/agent/intents", "parameters": { "parent": { "description": "Required. The agent to create a intent for. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/agent$", "type": "string", "location": "path", "required": true }, "intentView": { "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "description": "Optional. The resource view to apply to the returned intent.", "location": "query", "type": "string", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ] }, "languageCode": { "location": "query", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" } }, "id": "dialogflow.projects.agent.intents.create", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "Creates an intent in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "path": "v2beta1/{+parent}/intents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } }, "entityTypes": { "methods": { "patch": { "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}", "path": "v2beta1/{+name}", "description": "Updates the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "type": "string", "location": "query", "description": "Optional. The mask to control which fields get updated.", "format": "google-fieldmask" }, "languageCode": { "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query" }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "location": "path", "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$", "required": true } }, "id": "dialogflow.projects.agent.entityTypes.patch", "request": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "description": "Required. The agent to create a entity type for. Supported formats: - `projects//agent` - `projects//locations//agent`", "pattern": "^projects/[^/]+/agent$", "type": "string", "location": "path" }, "languageCode": { "location": "query", "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "id": "dialogflow.projects.agent.entityTypes.create", "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes", "description": "Creates an entity type in the specified agent. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/entityTypes" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified entity type. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "id": "dialogflow.projects.agent.entityTypes.delete", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "type": "string", "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$", "location": "path", "required": true } } }, "batchUpdate": { "parameters": { "parent": { "description": "Required. The name of the agent to update or create entity types in. Supported formats: - `projects//agent` - `projects//locations//agent`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/agent$", "required": true } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Updates/Creates multiple entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: BatchUpdateEntityTypesResponse Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes:batchUpdate", "id": "dialogflow.projects.agent.entityTypes.batchUpdate", "path": "v2beta1/{+parent}/entityTypes:batchUpdate" }, "list": { "description": "Returns the list of all entity types in the specified agent.", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/agent$", "description": "Required. The agent to list all entity types from. Supported formats: - `projects//agent` - `projects//locations//agent`", "type": "string", "location": "path", "required": true }, "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "type": "integer", "format": "int32" } }, "id": "dialogflow.projects.agent.entityTypes.list", "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListEntityTypesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/entityTypes" }, "batchDelete": { "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The name of the agent to delete all entities types for. Supported formats: - `projects//agent`, - `projects//locations//agent`.", "location": "path", "pattern": "^projects/[^/]+/agent$" } }, "id": "dialogflow.projects.agent.entityTypes.batchDelete", "description": "Deletes entity types in the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteEntityTypesRequest" }, "path": "v2beta1/{+parent}/entityTypes:batchDelete", "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes:batchDelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}", "parameters": { "languageCode": { "location": "query", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "name": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the entity type. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$" } }, "id": "dialogflow.projects.agent.entityTypes.get", "description": "Retrieves the specified entity type.", "response": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "path": "v2beta1/{+name}" } }, "resources": { "entities": { "methods": { "batchDelete": { "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchDeleteEntitiesRequest" }, "path": "v2beta1/{+parent}/entities:batchDelete", "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Deletes entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$", "description": "Required. The name of the entity type to delete entries for. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}/entities:batchDelete", "id": "dialogflow.projects.agent.entityTypes.entities.batchDelete" }, "batchCreate": { "description": "Creates multiple new entities in the specified entity type. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchCreateEntitiesRequest" }, "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}/entities:batchCreate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.agent.entityTypes.entities.batchCreate", "path": "v2beta1/{+parent}/entities:batchCreate", "parameters": { "parent": { "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$", "type": "string", "description": "Required. The name of the entity type to create entities in. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "location": "path", "required": true } } }, "batchUpdate": { "path": "v2beta1/{+parent}/entities:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/agent/entityTypes/{entityTypesId}/entities:batchUpdate", "httpMethod": "POST", "description": "Updates or creates multiple entities in the specified entity type. This method does not affect entities in the entity type that aren't explicitly specified in the request. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training). This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)", "request": { "$ref": "GoogleCloudDialogflowV2beta1BatchUpdateEntitiesRequest" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/agent/entityTypes/[^/]+$", "description": "Required. The name of the entity type to update or create entities in. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`", "location": "path", "type": "string", "required": true } }, "id": "dialogflow.projects.agent.entityTypes.entities.batchUpdate" } } } } }, "knowledgeBases": { "resources": { "documents": { "methods": { "reload": { "path": "v2beta1/{+name}:reload", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1ReloadDocumentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. Note: If the document source is Google Cloud Storage URI, its metadata will be replaced with the custom metadata from Google Cloud Storage if the `import_gcs_custom_metadata` field is set to true in the request. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`", "required": true, "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+/documents/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}:reload", "parameterOrder": [ "name" ], "httpMethod": "POST", "id": "dialogflow.projects.agent.knowledgeBases.documents.reload" }, "get": { "path": "v2beta1/{+name}", "id": "dialogflow.projects.agent.knowledgeBases.documents.get", "response": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "description": "Retrieves the specified document. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`.", "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+/documents/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}" }, "create": { "description": "Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "parameters": { "importGcsCustomMetadata": { "location": "query", "type": "boolean", "description": "Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI." }, "parent": { "location": "path", "description": "Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`.", "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+$", "type": "string", "required": true } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents", "path": "v2beta1/{+parent}/documents", "id": "dialogflow.projects.agent.knowledgeBases.documents.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "updateMask": { "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "required": true, "description": "Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+/documents/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "path": "v2beta1/{+name}", "id": "dialogflow.projects.agent.knowledgeBases.documents.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "description": "Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "httpMethod": "PATCH" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.", "type": "string", "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+/documents/[^/]+$", "required": true } }, "description": "Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "id": "dialogflow.projects.agent.knowledgeBases.documents.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "DELETE", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}" }, "list": { "response": { "$ref": "GoogleCloudDialogflowV2beta1ListDocumentsResponse" }, "httpMethod": "GET", "path": "v2beta1/{+parent}/documents", "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+$", "description": "Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`." }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "format": "int32", "location": "query", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh knowledge_types with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"display_name:customer\" matches documents whose display name contains \"customer\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"state=ACTIVE\" matches documents with ACTIVE state. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160)." } }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.agent.knowledgeBases.documents.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}/documents", "description": "Returns the list of all documents of the knowledge base. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`." } } } }, "methods": { "create": { "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "path": "v2beta1/{+parent}/knowledgeBases", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases", "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The project to create a knowledge base for. Format: `projects//locations/`.", "required": true, "pattern": "^projects/[^/]+/agent$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Creates a knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "id": "dialogflow.projects.agent.knowledgeBases.create", "httpMethod": "POST", "parameterOrder": [ "parent" ] }, "patch": { "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "parameters": { "name": { "description": "The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+$", "type": "string" }, "updateMask": { "type": "string", "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.", "location": "query", "format": "google-fieldmask" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}", "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "id": "dialogflow.projects.agent.knowledgeBases.patch", "description": "Updates the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`." }, "list": { "id": "dialogflow.projects.agent.knowledgeBases.list", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListKnowledgeBasesResponse" }, "parameterOrder": [ "parent" ], "description": "Returns the list of all knowledge bases of the specified agent. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "path": "v2beta1/{+parent}/knowledgeBases", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh language_code with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-us' matches knowledge bases with en-us language code. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:articles' matches knowledge bases whose display name contains \"articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160)." }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/agent$", "description": "Required. The project to list of knowledge bases for. Format: `projects//locations/`.", "location": "path" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "location": "query", "format": "int32" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "parameters": { "name": { "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`." } }, "id": "dialogflow.projects.agent.knowledgeBases.get", "path": "v2beta1/{+name}", "parameterOrder": [ "name" ] }, "delete": { "parameters": { "force": { "description": "Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.", "type": "boolean", "location": "query" }, "name": { "pattern": "^projects/[^/]+/agent/knowledgeBases/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`." } }, "id": "dialogflow.projects.agent.knowledgeBases.delete", "description": "Deletes the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "parameterOrder": [ "name" ], "path": "v2beta1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2beta1/projects/{projectsId}/agent/knowledgeBases/{knowledgeBasesId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } }, "versions": { "methods": { "create": { "id": "dialogflow.projects.agent.versions.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Creates an agent version. The new version points to the agent instance in the \"default\" environment.", "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/agent/versions", "request": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "parameters": { "parent": { "description": "Required. The agent to create a version for. Supported formats: - `projects//agent` - `projects//locations//agent`", "location": "path", "pattern": "^projects/[^/]+/agent$", "type": "string", "required": true } }, "path": "v2beta1/{+parent}/versions", "parameterOrder": [ "parent" ] }, "delete": { "parameterOrder": [ "name" ], "description": "Delete the specified agent version.", "id": "dialogflow.projects.agent.versions.delete", "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the version to delete. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "type": "string", "required": true, "pattern": "^projects/[^/]+/agent/versions/[^/]+$", "location": "path" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/versions/{versionsId}", "response": { "$ref": "GoogleProtobufEmpty" } }, "patch": { "description": "Updates the specified agent version. Note that this method does not allow you to update the state of the agent the given version points to. It allows you to update only mutable properties of the version resource.", "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/versions/{versionsId}", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.agent.versions.patch", "parameters": { "name": { "pattern": "^projects/[^/]+/agent/versions/[^/]+$", "location": "path", "type": "string", "description": "Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "required": true }, "updateMask": { "format": "google-fieldmask", "description": "Required. The mask to control which fields get updated.", "location": "query", "type": "string" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified agent version.", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/agent/versions/{versionsId}", "parameters": { "name": { "description": "Required. The name of the version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/agent/versions/[^/]+$", "required": true } }, "path": "v2beta1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "id": "dialogflow.projects.agent.versions.get" }, "list": { "description": "Returns the list of all versions of the specified agent.", "path": "v2beta1/{+parent}/versions", "flatPath": "v2beta1/projects/{projectsId}/agent/versions", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.agent.versions.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ListVersionsResponse" }, "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/agent$", "description": "Required. The agent to list all versions from. Supported formats: - `projects//agent` - `projects//locations//agent`", "location": "path", "required": true, "type": "string" }, "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request." } } } } }, "environments": { "methods": { "get": { "httpMethod": "GET", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "id": "dialogflow.projects.agent.environments.get", "description": "Retrieves the specified agent environment.", "parameters": { "name": { "pattern": "^projects/[^/]+/agent/environments/[^/]+$", "description": "Required. The name of the environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ] }, "getHistory": { "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/history", "description": "Gets the history of the specified environment.", "response": { "$ref": "GoogleCloudDialogflowV2beta1EnvironmentHistory" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/history", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "format": "int32" }, "parent": { "required": true, "pattern": "^projects/[^/]+/agent/environments/[^/]+$", "type": "string", "location": "path", "description": "Required. The name of the environment to retrieve history for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." } }, "id": "dialogflow.projects.agent.environments.getHistory", "httpMethod": "GET" }, "create": { "flatPath": "v2beta1/projects/{projectsId}/agent/environments", "id": "dialogflow.projects.agent.environments.create", "description": "Creates an agent environment.", "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v2beta1/{+parent}/environments", "request": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "parameters": { "environmentId": { "location": "query", "description": "Required. The unique id of the new environment.", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/agent$", "required": true, "description": "Required. The agent to create an environment for. Supported formats: - `projects//agent` - `projects//locations//agent`", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "delete": { "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+$", "description": "Required. The name of the environment to delete. / Format: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "required": true } }, "id": "dialogflow.projects.agent.environments.delete", "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}", "description": "Deletes the specified agent environment.", "response": { "$ref": "GoogleProtobufEmpty" } }, "patch": { "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "pattern": "^projects/[^/]+/agent/environments/[^/]+$" }, "allowLoadToDraftAndDiscardChanges": { "type": "boolean", "location": "query", "description": "Optional. This field is used to prevent accidental overwrite of the draft environment, which is an operation that cannot be undone. To confirm that the caller desires this overwrite, this field must be explicitly set to true when updating the draft environment (environment ID = `-`)." }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. The mask to control which fields get updated." } }, "id": "dialogflow.projects.agent.environments.patch", "response": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "request": { "$ref": "GoogleCloudDialogflowV2beta1Environment" }, "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}", "description": "Updates the specified agent environment. This method allows you to deploy new agent versions into the environment. When an environment is pointed to a new agent version by setting `environment.agent_version`, the environment is temporarily set to the `LOADING` state. During that time, the environment keeps on serving the previous version of the agent. After the new agent version is done loading, the environment is set back to the `RUNNING` state. You can use \"-\" as Environment ID in environment name to update version in \"draft\" environment. WARNING: this will negate all recent changes to draft and can't be undone. You may want to save the draft to a version before calling this function." }, "list": { "description": "Returns the list of all non-draft environments of the specified agent.", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListEnvironmentsResponse" }, "path": "v2beta1/{+parent}/environments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/agent/environments", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.agent.environments.list", "parameters": { "parent": { "description": "Required. The agent to list all environments from. Format: - `projects//agent` - `projects//locations//agent`", "location": "path", "required": true, "pattern": "^projects/[^/]+/agent$", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." } } } }, "resources": { "intents": { "methods": { "list": { "description": "Returns the list of all intents in the specified agent.", "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/intents", "parameters": { "languageCode": { "location": "query", "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." }, "parent": { "pattern": "^projects/[^/]+/agent/environments/[^/]+$", "description": "Required. The agent to list all intents from. Format: `projects//agent` or `projects//locations//agent`. Alternatively, you can specify the environment to list intents for. Format: `projects//agent/environments/` or `projects//locations//agent/environments/`. Note: training phrases of the intents will not be returned for non-draft environment.", "required": true, "type": "string", "location": "path" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "intentView": { "description": "Optional. The resource view to apply to the returned intent.", "type": "string", "location": "query", "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ] }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/intents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "id": "dialogflow.projects.agent.environments.intents.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListIntentsResponse" } } } }, "users": { "resources": { "sessions": { "resources": { "contexts": { "methods": { "create": { "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "id": "dialogflow.projects.agent.environments.users.sessions.contexts.create", "parameterOrder": [ "parent" ], "description": "Creates a context. If the specified context already exists, overrides the context.", "path": "v2beta1/{+parent}/contexts", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The session to create a context for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$" } }, "httpMethod": "POST" }, "get": { "description": "Retrieves the specified context.", "httpMethod": "GET", "id": "dialogflow.projects.agent.environments.users.sessions.contexts.get", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$", "description": "Required. The name of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "required": true } }, "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Deletes the specified context.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}", "id": "dialogflow.projects.agent.environments.users.sessions.contexts.delete", "path": "v2beta1/{+name}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$", "description": "Required. The name of the context to delete. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "location": "path" } } }, "patch": { "httpMethod": "PATCH", "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts/{contextsId}", "id": "dialogflow.projects.agent.environments.users.sessions.contexts.patch", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/contexts/[^/]+$", "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`" }, "updateMask": { "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated.", "type": "string", "location": "query" } }, "description": "Updates the specified context.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "path": "v2beta1/{+parent}/contexts", "id": "dialogflow.projects.agent.environments.users.sessions.contexts.list", "httpMethod": "GET", "description": "Returns the list of all contexts in the specified session.", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "location": "path", "required": true, "description": "Required. The session to list all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$" } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1ListContextsResponse" }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts" } } }, "entityTypes": { "methods": { "create": { "description": "Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "httpMethod": "POST", "path": "v2beta1/{+parent}/entityTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "parameters": { "parent": { "description": "Required. The session to create a session entity type for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "required": true } }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes", "id": "dialogflow.projects.agent.environments.users.sessions.entityTypes.create", "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" } }, "delete": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.agent.environments.users.sessions.entityTypes.delete", "path": "v2beta1/{+name}", "description": "Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration." }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "id": "dialogflow.projects.agent.environments.users.sessions.entityTypes.get", "path": "v2beta1/{+name}", "description": "Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "type": "string", "location": "path", "description": "Required. The name of the session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "list": { "response": { "$ref": "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse" }, "id": "dialogflow.projects.agent.environments.users.sessions.entityTypes.list", "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "parent": { "description": "Required. The session to list all session entity types from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "required": true, "location": "path", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" } }, "path": "v2beta1/{+parent}/entityTypes", "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes", "description": "Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH", "description": "Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "location": "path", "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.", "required": true }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Optional. The mask to control which fields get updated." } }, "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "id": "dialogflow.projects.agent.environments.users.sessions.entityTypes.patch", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "parameterOrder": [ "name" ] } } } }, "methods": { "detectIntent": { "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "request": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentRequest" }, "parameters": { "session": { "required": true, "description": "Required. The name of the session this query is sent to. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$", "location": "path" } }, "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}:detectIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+session}:detectIntent", "parameterOrder": [ "session" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentResponse" }, "id": "dialogflow.projects.agent.environments.users.sessions.detectIntent" }, "deleteContexts": { "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+parent}/contexts", "description": "Deletes all active contexts in the specified session.", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.agent.environments.users.sessions.deleteContexts", "parameters": { "parent": { "description": "Required. The name of the session to delete all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/agent/environments/[^/]+/users/[^/]+/sessions/[^/]+$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/environments/{environmentsId}/users/{usersId}/sessions/{sessionsId}/contexts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } } } } }, "sessions": { "resources": { "contexts": { "methods": { "get": { "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameters": { "name": { "pattern": "^projects/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "description": "Required. The name of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "required": true, "type": "string" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "description": "Retrieves the specified context.", "parameterOrder": [ "name" ], "id": "dialogflow.projects.agent.sessions.contexts.get" }, "create": { "description": "Creates a context. If the specified context already exists, overrides the context.", "id": "dialogflow.projects.agent.sessions.contexts.create", "path": "v2beta1/{+parent}/contexts", "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/agent/sessions/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The session to create a context for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts", "parameterOrder": [ "parent" ] }, "list": { "id": "dialogflow.projects.agent.sessions.contexts.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from a previous list request." }, "pageSize": { "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query" }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/agent/sessions/[^/]+$", "description": "Required. The session to list all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts", "parameterOrder": [ "parent" ], "description": "Returns the list of all contexts in the specified session.", "path": "v2beta1/{+parent}/contexts", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListContextsResponse" }, "httpMethod": "GET" }, "patch": { "parameterOrder": [ "name" ], "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "request": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "parameters": { "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated." }, "name": { "pattern": "^projects/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`" } }, "path": "v2beta1/{+name}", "id": "dialogflow.projects.agent.sessions.contexts.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified context.", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "delete": { "parameters": { "name": { "description": "Required. The name of the context to delete. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "pattern": "^projects/[^/]+/agent/sessions/[^/]+/contexts/[^/]+$", "type": "string", "location": "path", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts/{contextsId}", "id": "dialogflow.projects.agent.sessions.contexts.delete", "description": "Deletes the specified context.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } }, "entityTypes": { "methods": { "create": { "id": "dialogflow.projects.agent.sessions.entityTypes.create", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/agent/sessions/[^/]+$", "type": "string", "description": "Required. The session to create a session entity type for. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "description": "Creates a session entity type. If the specified session entity type already exists, overrides the session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "path": "v2beta1/{+parent}/entityTypes", "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/entityTypes", "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" } }, "delete": { "path": "v2beta1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "type": "string", "description": "Required. The name of the entity type to delete. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameterOrder": [ "name" ], "id": "dialogflow.projects.agent.sessions.entityTypes.delete", "description": "Deletes the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration." }, "list": { "description": "Returns the list of all session entity types in the specified session. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "path": "v2beta1/{+parent}/entityTypes", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query" }, "parent": { "location": "path", "description": "Required. The session to list all session entity types from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "pattern": "^projects/[^/]+/agent/sessions/[^/]+$", "required": true } }, "id": "dialogflow.projects.agent.sessions.entityTypes.list", "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/entityTypes", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "id": "dialogflow.projects.agent.sessions.entityTypes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "description": "Retrieves the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "parameters": { "name": { "pattern": "^projects/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "description": "Required. The name of the session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "location": "path", "type": "string", "required": true } } }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated.", "type": "string" }, "name": { "pattern": "^projects/[^/]+/agent/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "description": "Updates the specified session entity type. This method doesn't work with Google Assistant integration. Contact Dialogflow support if you need to use session entities with Google Assistant integration.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "id": "dialogflow.projects.agent.sessions.entityTypes.patch" } } } }, "methods": { "deleteContexts": { "httpMethod": "DELETE", "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}/contexts", "id": "dialogflow.projects.agent.sessions.deleteContexts", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The name of the session to delete all contexts from. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user.", "type": "string", "pattern": "^projects/[^/]+/agent/sessions/[^/]+$" } }, "path": "v2beta1/{+parent}/contexts", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes all active contexts in the specified session." }, "detectIntent": { "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause contexts and session entity types to be updated, which in turn might affect results of future queries. If you might use [Agent Assist](https://cloud.google.com/dialogflow/docs/#aa) or other CCAI products now or in the future, consider using AnalyzeContent instead of `DetectIntent`. `AnalyzeContent` has additional functionality for Agent Assist and other CCAI products. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "response": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentResponse" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentRequest" }, "id": "dialogflow.projects.agent.sessions.detectIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/agent/sessions/{sessionsId}:detectIntent", "parameterOrder": [ "session" ], "path": "v2beta1/{+session}:detectIntent", "httpMethod": "POST", "parameters": { "session": { "location": "path", "pattern": "^projects/[^/]+/agent/sessions/[^/]+$", "description": "Required. The name of the session this query is sent to. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment (`Environment ID` might be referred to as environment name at some places). If `User ID` is not specified, we are using \"-\". It's up to the API caller to choose an appropriate `Session ID` and `User Id`. They can be a random number or some type of user and session identifiers (preferably hashed). The length of the `Session ID` and `User ID` must not exceed 36 characters. For more information, see the [API interactions guide](https://cloud.google.com/dialogflow/docs/api-overview). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/es/docs/agents-versions).", "type": "string", "required": true } } } } } }, "methods": { "restore": { "flatPath": "v2beta1/projects/{projectsId}/agent:restore", "path": "v2beta1/{+parent}/agent:restore", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.agent.restore", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1RestoreAgentRequest" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "description": "Required. The project that the agent to restore is associated with. Format: `projects/` or `projects//locations/`.", "location": "path", "required": true, "pattern": "^projects/[^/]+$" } }, "description": "Restores the specified agent from a ZIP file. Replaces the current agent version with a new one. All the intents and entity types in the older version are deleted. After the restore, the restored draft agent will be trained automatically (unless disabled in agent settings). However, once the restore is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when restoring is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training)." }, "search": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "path": "v2beta1/{+parent}/agent:search", "description": "Returns the list of agents. Since there is at most one conversational agent per project, this method is useful primarily for listing all agents across projects the caller has access to. One can achieve that with a wildcard project collection id \"-\". Refer to [List Sub-Collections](https://cloud.google.com/apis/design/design_patterns#list_sub-collections).", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return in a single page. By default 100 and at most 1000." }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The project to list agents from. Format: `projects/` or `projects//locations/`.", "type": "string" } }, "id": "dialogflow.projects.agent.search", "response": { "$ref": "GoogleCloudDialogflowV2beta1SearchAgentsResponse" }, "flatPath": "v2beta1/projects/{projectsId}/agent:search" }, "getFulfillment": { "parameterOrder": [ "name" ], "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "id": "dialogflow.projects.agent.getFulfillment", "response": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "description": "Retrieves the fulfillment.", "parameters": { "name": { "location": "path", "required": true, "description": "Required. The name of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment`", "type": "string", "pattern": "^projects/[^/]+/agent/fulfillment$" } }, "flatPath": "v2beta1/projects/{projectsId}/agent/fulfillment" }, "export": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The project that the agent to export is associated with. Format: `projects/` or `projects//locations/`.", "location": "path", "pattern": "^projects/[^/]+$" } }, "httpMethod": "POST", "id": "dialogflow.projects.agent.export", "flatPath": "v2beta1/projects/{projectsId}/agent:export", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1ExportAgentRequest" }, "description": "Exports the specified agent to a ZIP file. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse", "path": "v2beta1/{+parent}/agent:export", "response": { "$ref": "GoogleLongrunningOperation" } }, "getValidationResult": { "httpMethod": "GET", "path": "v2beta1/{+parent}/agent/validationResult", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ValidationResult" }, "flatPath": "v2beta1/projects/{projectsId}/agent/validationResult", "parameters": { "languageCode": { "type": "string", "description": "Optional. The language for which you want a validation result. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query" }, "parent": { "location": "path", "pattern": "^projects/[^/]+$", "description": "Required. The project that the agent is associated with. Format: `projects/` or `projects//locations/`.", "type": "string", "required": true } }, "id": "dialogflow.projects.agent.getValidationResult", "parameterOrder": [ "parent" ], "description": "Gets agent validation result. Agent validation is performed during training time and is updated automatically when training is completed." }, "train": { "path": "v2beta1/{+parent}/agent:train", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "id": "dialogflow.projects.agent.train", "request": { "$ref": "GoogleCloudDialogflowV2beta1TrainAgentRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Trains the specified agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "flatPath": "v2beta1/projects/{projectsId}/agent:train", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "required": true, "description": "Required. The project that the agent to train is associated with. Format: `projects/` or `projects//locations/`.", "location": "path", "type": "string" } } }, "import": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/agent:import", "description": "Imports the specified agent from a ZIP file. Uploads new intents and entity types without deleting the existing ones. Intents and entity types with the same name are replaced with the new versions from ImportAgentRequest. After the import, the imported draft agent will be trained automatically (unless disabled in agent settings). However, once the import is done, training may not be completed yet. Please call TrainAgent and wait for the operation it returns in order to train explicitly. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) The operation only tracks when importing is complete, not when it is done training. Note: You should always train an agent prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/es/docs/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.agent.import", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "description": "Required. The project that the agent to import is associated with. Format: `projects/` or `projects//locations/`." } }, "parameterOrder": [ "parent" ], "flatPath": "v2beta1/projects/{projectsId}/agent:import", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowV2beta1ImportAgentRequest" } }, "updateFulfillment": { "flatPath": "v2beta1/projects/{projectsId}/agent/fulfillment", "description": "Updates the fulfillment.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/agent/fulfillment$", "required": true }, "updateMask": { "type": "string", "description": "Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "location": "query", "format": "google-fieldmask" } }, "id": "dialogflow.projects.agent.updateFulfillment", "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH" } } }, "operations": { "methods": { "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/operations", "parameters": { "name": { "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the operation's parent resource." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "description": "The standard list page size.", "format": "int32", "location": "query", "type": "integer" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" } }, "path": "v2beta1/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.operations.list" }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/operations/[^/]+$" } }, "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/operations/{operationsId}:cancel", "path": "v2beta1/{+name}:cancel", "response": { "$ref": "GoogleProtobufEmpty" } }, "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the operation resource." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v2beta1/{+name}", "id": "dialogflow.projects.operations.get", "flatPath": "v2beta1/projects/{projectsId}/operations/{operationsId}" } } }, "knowledgeBases": { "methods": { "create": { "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "Required. The project to create a knowledge base for. Format: `projects//locations/`.", "required": true, "type": "string" } }, "id": "dialogflow.projects.knowledgeBases.create", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases", "path": "v2beta1/{+parent}/knowledgeBases", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "parameterOrder": [ "parent" ], "description": "Creates a knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "httpMethod": "POST" }, "patch": { "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}", "parameters": { "name": { "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "type": "string", "description": "The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`.", "location": "path", "required": true }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.", "location": "query" } }, "httpMethod": "PATCH", "path": "v2beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "id": "dialogflow.projects.knowledgeBases.patch" }, "get": { "parameterOrder": [ "name" ], "id": "dialogflow.projects.knowledgeBases.get", "response": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "httpMethod": "GET", "description": "Retrieves the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "parameters": { "name": { "description": "Required. The name of the knowledge base to retrieve. Format `projects//locations//knowledgeBases/`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "location": "path" } }, "path": "v2beta1/{+name}", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "list": { "path": "v2beta1/{+parent}/knowledgeBases", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListKnowledgeBasesResponse" }, "parameters": { "pageSize": { "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "format": "int32", "location": "query", "type": "integer" }, "filter": { "description": "The filter expression used to filter knowledge bases returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh language_code with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-us' matches knowledge bases with en-us language code. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:articles' matches knowledge bases whose display name contains \"articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'display_name:\"Best Articles\"' matches knowledge bases whose display name contains \"Best Articles\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 'language_code=en-gb AND display_name=articles' matches all knowledge bases whose display name contains \"articles\" and whose language code is \"en-gb\". Note: An empty filter string (i.e. \"\") is a no-op and will result in no filtering. For more information about filtering, see [API Filtering](https://aip.dev/160).", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." }, "parent": { "description": "Required. The project to list of knowledge bases for. Format: `projects//locations/`.", "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true } }, "id": "dialogflow.projects.knowledgeBases.list", "description": "Returns the list of all knowledge bases of the specified agent. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases" }, "delete": { "parameters": { "force": { "description": "Optional. Force deletes the knowledge base. When set to true, any documents in the knowledge base are also deleted.", "location": "query", "type": "boolean" }, "name": { "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the knowledge base to delete. Format: `projects//locations//knowledgeBases/`." } }, "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}", "description": "Deletes the specified knowledge base. Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`.", "response": { "$ref": "GoogleProtobufEmpty" }, "id": "dialogflow.projects.knowledgeBases.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+name}", "httpMethod": "DELETE" } }, "resources": { "documents": { "methods": { "create": { "path": "v2beta1/{+parent}/documents", "parameterOrder": [ "parent" ], "description": "Creates a new document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "id": "dialogflow.projects.knowledgeBases.documents.create", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents", "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "description": "Required. The knowledge base to create a document for. Format: `projects//locations//knowledgeBases/`." }, "importGcsCustomMetadata": { "location": "query", "type": "boolean", "description": "Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI." } } }, "import": { "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The knowledge base to import documents into. Format: `projects//locations//knowledgeBases/`.", "required": true, "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "description": "Create documents by importing data from external sources. Dialogflow supports up to 350 documents in each request. If you try to import more, Dialogflow will return an error. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: ImportDocumentsResponse", "id": "dialogflow.projects.knowledgeBases.documents.import", "request": { "$ref": "GoogleCloudDialogflowV2beta1ImportDocumentsRequest" }, "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v2beta1/{+parent}/documents:import" }, "list": { "id": "dialogflow.projects.knowledgeBases.documents.list", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListDocumentsResponse" }, "parameterOrder": [ "parent" ], "description": "Returns the list of all documents of the knowledge base. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "path": "v2beta1/{+parent}/documents", "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/knowledgeBases/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The knowledge base to list all documents for. Format: `projects//locations//knowledgeBases/`." }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of items to return in a single page. By default 10 and at most 100.", "format": "int32" }, "filter": { "type": "string", "description": "The filter expression used to filter documents returned by the list method. The expression has the following syntax: [AND ] ... The following fields and operators are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh knowledge_types with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh display_name with has(:) operator LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh state with equals(=) operator Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ\" matches documents with FAQ knowledge type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"display_name:customer\" matches documents whose display name contains \"customer\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"state=ACTIVE\" matches documents with ACTIVE state. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"knowledge_types:FAQ AND state=ACTIVE\" matches all active FAQ documents. For more information about filtering, see [API Filtering](https://aip.dev/160).", "location": "query" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" } } }, "reload": { "request": { "$ref": "GoogleCloudDialogflowV2beta1ReloadDocumentRequest" }, "description": "Reloads the specified document from its specified source, content_uri or content. The previously loaded content of the document will be deleted. Note: Even when the content of the document has not changed, there still may be side effects because of internal implementation changes. Note: If the document source is Google Cloud Storage URI, its metadata will be replaced with the custom metadata from Google Cloud Storage if the `import_gcs_custom_metadata` field is set to true in the request. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "path": "v2beta1/{+name}:reload", "id": "dialogflow.projects.knowledgeBases.documents.reload", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}:reload", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the document to reload. Format: `projects//locations//knowledgeBases//documents/`", "required": true } } }, "delete": { "id": "dialogflow.projects.knowledgeBases.documents.delete", "parameters": { "name": { "description": "Required. The name of the document to delete. Format: `projects//locations//knowledgeBases//documents/`.", "location": "path", "pattern": "^projects/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "path": "v2beta1/{+name}", "description": "Deletes the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "httpMethod": "DELETE", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}" }, "patch": { "parameterOrder": [ "name" ], "description": "Updates the specified document. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: KnowledgeOperationMetadata - `response`: Document Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "request": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.knowledgeBases.documents.patch", "path": "v2beta1/{+name}", "parameters": { "updateMask": { "location": "query", "description": "Optional. Not specified means `update all`. Currently, only `display_name` can be updated, an InvalidArgument will be returned for attempting to update other fields.", "format": "google-fieldmask", "type": "string" }, "name": { "required": true, "description": "Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`.", "type": "string", "pattern": "^projects/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "location": "path" } }, "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/knowledgeBases/[^/]+/documents/[^/]+$", "description": "Required. The name of the document to retrieve. Format `projects//locations//knowledgeBases//documents/`.", "type": "string" } }, "description": "Retrieves the specified document. Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/knowledgeBases/{knowledgeBasesId}/documents/{documentsId}", "path": "v2beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "id": "dialogflow.projects.knowledgeBases.documents.get" } } } } }, "conversationProfiles": { "methods": { "setSuggestionFeatureConfig": { "request": { "$ref": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigRequest" }, "id": "dialogflow.projects.conversationProfiles.setSuggestionFeatureConfig", "parameterOrder": [ "conversationProfile" ], "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles/{conversationProfilesId}:setSuggestionFeatureConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "description": "Adds or updates a suggestion feature in a conversation profile. If the conversation profile contains the type of suggestion feature for the participant role, it will update it. Otherwise it will insert the suggestion feature. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: SetSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile If a long running operation to add or update suggestion feature config for the same conversation profile, participant role and suggestion feature type exists, please cancel the existing long running operation before sending such request, otherwise the request will be rejected.", "path": "v2beta1/{+conversationProfile}:setSuggestionFeatureConfig", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "conversationProfile": { "pattern": "^projects/[^/]+/conversationProfiles/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`." } } }, "patch": { "parameters": { "name": { "pattern": "^projects/[^/]+/conversationProfiles/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`." }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. The mask to control which fields to update." } }, "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "id": "dialogflow.projects.conversationProfiles.patch", "httpMethod": "PATCH", "description": "Updates the specified conversation profile. ConversationProfile.CreateTime and ConversationProfile.UpdateTime aren't populated in the response. You can retrieve them via GetConversationProfile API.", "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles/{conversationProfilesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "parameterOrder": [ "name" ], "path": "v2beta1/{+name}" }, "list": { "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles", "path": "v2beta1/{+parent}/conversationProfiles", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all conversation profiles in the specified project.", "response": { "$ref": "GoogleCloudDialogflowV2beta1ListConversationProfilesResponse" }, "httpMethod": "GET", "id": "dialogflow.projects.conversationProfiles.list", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" }, "parent": { "type": "string", "description": "Required. The project to list all conversation profiles from. Format: `projects//locations/`.", "required": true, "pattern": "^projects/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." } } }, "delete": { "description": "Deletes the specified conversation profile.", "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles/{conversationProfilesId}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.conversationProfiles.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the conversation profile to delete. Format: `projects//locations//conversationProfiles/`.", "required": true, "pattern": "^projects/[^/]+/conversationProfiles/[^/]+$", "location": "path", "type": "string" } }, "path": "v2beta1/{+name}" }, "get": { "description": "Retrieves the specified conversation profile.", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`.", "pattern": "^projects/[^/]+/conversationProfiles/[^/]+$", "location": "path" } }, "httpMethod": "GET", "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles/{conversationProfilesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.conversationProfiles.get", "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "path": "v2beta1/{+name}", "parameterOrder": [ "name" ] }, "clearSuggestionFeatureConfig": { "parameters": { "conversationProfile": { "required": true, "pattern": "^projects/[^/]+/conversationProfiles/[^/]+$", "location": "path", "description": "Required. The Conversation Profile to add or update the suggestion feature config. Format: `projects//locations//conversationProfiles/`.", "type": "string" } }, "id": "dialogflow.projects.conversationProfiles.clearSuggestionFeatureConfig", "parameterOrder": [ "conversationProfile" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles/{conversationProfilesId}:clearSuggestionFeatureConfig", "httpMethod": "POST", "description": "Clears a suggestion feature from a conversation profile for the given participant role. This method is a [long-running operation](https://cloud.google.com/dialogflow/es/docs/how/long-running-operations). The returned `Operation` type has the following method-specific fields: - `metadata`: ClearSuggestionFeatureConfigOperationMetadata - `response`: ConversationProfile", "path": "v2beta1/{+conversationProfile}:clearSuggestionFeatureConfig" }, "create": { "flatPath": "v2beta1/projects/{projectsId}/conversationProfiles", "request": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "path": "v2beta1/{+parent}/conversationProfiles", "parameterOrder": [ "parent" ], "description": "Creates a conversation profile in the specified project. ConversationProfile.CreateTime and ConversationProfile.UpdateTime aren't populated in the response. You can retrieve them via GetConversationProfile API.", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The project to create a conversation profile for. Format: `projects//locations/`.", "type": "string" } }, "id": "dialogflow.projects.conversationProfiles.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" }, "httpMethod": "POST" } } } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/dialogflow": { "description": "View, manage and query your Dialogflow agents" } } } }, "ownerName": "Google", "protocol": "rest", "rootUrl": "https://dialogflow.googleapis.com/", "parameters": { "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "type": "string", "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "type": "string", "enum": [ "1", "2" ], "description": "V1 error format." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." } }, "title": "Dialogflow API", "batchPath": "batch", "documentationLink": "https://cloud.google.com/dialogflow/", "ownerDomain": "google.com", "version_module": true, "schemas": { "GoogleCloudDialogflowV2beta1OutputAudio": { "type": "object", "properties": { "config": { "$ref": "GoogleCloudDialogflowV2beta1OutputAudioConfig", "description": "Required. Instructs the speech synthesizer how to generate the speech audio." }, "audio": { "description": "Required. The natural language speech audio.", "type": "string", "format": "byte" } }, "description": "Represents the natural language speech audio to be played to the end user.", "id": "GoogleCloudDialogflowV2beta1OutputAudio" }, "GoogleCloudDialogflowV2IntentMessageSimpleResponses": { "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponses", "properties": { "simpleResponses": { "type": "array", "description": "Required. The list of simple responses.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponse" } } }, "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.", "type": "object" }, "GoogleCloudDialogflowV2beta1DtmfParameters": { "type": "object", "properties": { "acceptsDtmfInput": { "description": "Indicates whether DTMF input can be handled in the next request.", "type": "boolean" } }, "id": "GoogleCloudDialogflowV2beta1DtmfParameters", "description": "The message in the response that indicates the parameters of DTMF." }, "GoogleCloudDialogflowCxV3DeployFlowMetadata": { "properties": { "testErrors": { "description": "Errors of running deployment tests.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } }, "id": "GoogleCloudDialogflowCxV3DeployFlowMetadata", "type": "object", "description": "Metadata returned for the Environments.DeployFlow long running operation." }, "GoogleCloudDialogflowV2beta1SubAgent": { "type": "object", "id": "GoogleCloudDialogflowV2beta1SubAgent", "description": "Contains basic configuration for a sub-agent.", "properties": { "environment": { "description": "Optional. The unique identifier (`environment name` in dialogflow console) of this sub-agent environment. Assumes draft environment if `environment` is not set.", "type": "string" }, "project": { "type": "string", "description": "Required. The project of this agent. Format: `projects/` or `projects//locations/`." } } }, "GoogleCloudDialogflowCxV3beta1IntentParameter": { "id": "GoogleCloudDialogflowCxV3beta1IntentParameter", "type": "object", "description": "Represents an intent parameter.", "properties": { "id": { "type": "string", "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts." }, "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply": { "properties": { "postbackData": { "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested reply. This data will be also forwarded to webhook to allow performing custom business logic.", "type": "string" }, "text": { "type": "string", "description": "Suggested reply text." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply", "type": "object", "description": "Rich Business Messaging (RBM) suggested reply that the user can click instead of typing in their own response." }, "GoogleCloudDialogflowCxV3beta1TestError": { "properties": { "testCase": { "description": "The test case resource name.", "type": "string" }, "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test." }, "testTime": { "format": "google-datetime", "description": "The timestamp when the test was completed.", "type": "string" } }, "type": "object", "description": "Error info for running a test.", "id": "GoogleCloudDialogflowCxV3beta1TestError" }, "GoogleCloudDialogflowV2beta1SuggestFaqAnswersRequest": { "id": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersRequest", "type": "object", "properties": { "contextSize": { "description": "Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 20 and at most 50.", "type": "integer", "format": "int32" }, "assistQueryParams": { "description": "Optional. Parameters for a human assist query.", "$ref": "GoogleCloudDialogflowV2beta1AssistQueryParameters" }, "latestMessage": { "description": "Optional. The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "description": "The request message for Participants.SuggestFaqAnswers." }, "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata": { "description": "Metadata for ReloadDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "id": "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowV2beta1GcsSource": { "description": "Google Cloud Storage location for single input.", "type": "object", "properties": { "uri": { "description": "Required. The Google Cloud Storage URIs for the inputs. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1GcsSource" }, "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata": { "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.", "properties": {}, "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata", "type": "object" }, "GoogleCloudDialogflowV2AnnotatedMessagePart": { "id": "GoogleCloudDialogflowV2AnnotatedMessagePart", "type": "object", "properties": { "text": { "description": "A part of a message possibly annotated with an entity.", "type": "string" }, "formattedValue": { "type": "any", "description": "The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } " }, "entityType": { "type": "string", "description": "The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity." } }, "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end." }, "GoogleCloudDialogflowV2beta1Sentiment": { "properties": { "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float", "type": "number" }, "magnitude": { "type": "number", "format": "float", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative)." } }, "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "id": "GoogleCloudDialogflowV2beta1Sentiment", "type": "object" }, "GoogleCloudDialogflowCxV3Fulfillment": { "properties": { "messages": { "description": "The list of rich message responses to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" } }, "setParameterActions": { "description": "Set parameter values before executing the webhook.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction" }, "type": "array" }, "conditionalCases": { "description": "Conditional cases for this fulfillment.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases" } }, "webhook": { "type": "string", "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`." }, "tag": { "type": "string", "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified." }, "returnPartialResponses": { "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.", "type": "boolean" } }, "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.", "type": "object", "id": "GoogleCloudDialogflowCxV3Fulfillment" }, "GoogleCloudDialogflowV2beta1Fulfillment": { "id": "GoogleCloudDialogflowV2beta1Fulfillment", "description": "By default, your agent responds to a matched intent with a static response. As an alternative, you can provide a more dynamic response by using fulfillment. When you enable fulfillment for an intent, Dialogflow responds to that intent by calling a service that you define. For example, if an end-user wants to schedule a haircut on Friday, your service can check your database and respond to the end-user with availability information for Friday. For more information, see the [fulfillment guide](https://cloud.google.com/dialogflow/docs/fulfillment-overview).", "type": "object", "properties": { "name": { "description": "Required. The unique identifier of the fulfillment. Supported formats: - `projects//agent/fulfillment` - `projects//locations//agent/fulfillment` This field is not used for Fulfillment in an Environment.", "type": "string" }, "enabled": { "type": "boolean", "description": "Whether fulfillment is enabled." }, "displayName": { "type": "string", "description": "The human-readable name of the fulfillment, unique within the agent. This field is not used for Fulfillment in an Environment." }, "genericWebService": { "description": "Configuration for a generic web service.", "$ref": "GoogleCloudDialogflowV2beta1FulfillmentGenericWebService" }, "features": { "type": "array", "description": "The field defines whether the fulfillment is enabled for certain features.", "items": { "$ref": "GoogleCloudDialogflowV2beta1FulfillmentFeature" } } } }, "GoogleCloudDialogflowCxV3Intent": { "properties": { "name": { "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.", "type": "string" }, "priority": { "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer", "format": "int32" }, "trainingPhrases": { "description": "The collection of training phrases the agent is trained on to identify the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrase" }, "type": "array" }, "isFallback": { "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.", "type": "boolean" }, "description": { "type": "string", "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters." }, "displayName": { "description": "Required. The human-readable name of the intent, unique within the agent.", "type": "string" }, "labels": { "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys.contextual\" means the intent is a contextual intent.", "type": "object", "additionalProperties": { "type": "string" } }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3IntentParameter" }, "type": "array", "description": "The collection of parameters associated with the intent." } }, "id": "GoogleCloudDialogflowCxV3Intent", "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.", "type": "object" }, "GoogleCloudDialogflowV2beta1AudioInput": { "properties": { "config": { "description": "Required. Instructs the speech recognizer how to process the speech audio.", "$ref": "GoogleCloudDialogflowV2beta1InputAudioConfig" }, "audio": { "format": "byte", "description": "Required. The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes.", "type": "string" } }, "type": "object", "description": "Represents the natural language speech audio to be processed.", "id": "GoogleCloudDialogflowV2beta1AudioInput" }, "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo": { "description": "Represents fulfillment information communicated to the webhook.", "id": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo", "type": "object", "properties": { "tag": { "type": "string", "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes." } } }, "GoogleCloudDialogflowV2beta1SuggestSmartRepliesRequest": { "properties": { "contextSize": { "description": "Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. By default 20 and at most 50.", "format": "int32", "type": "integer" }, "currentTextInput": { "description": "The current natural language text segment to compile suggestion for. This provides a way for user to get follow up smart reply suggestion after a smart reply selection, without sending a text message.", "$ref": "GoogleCloudDialogflowV2beta1TextInput" }, "latestMessage": { "description": "The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesRequest", "type": "object", "description": "The request message for Participants.SuggestSmartReplies." }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContent": { "type": "object", "description": "The media content card for Actions on Google.", "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent", "properties": { "mediaObjects": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject" }, "description": "Required. List of media objects.", "type": "array" }, "mediaType": { "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ], "description": "Optional. What type of media is the content (ie \"audio\").", "enumDescriptions": [ "Unspecified.", "Response media type is audio." ], "type": "string" } } }, "GoogleCloudDialogflowV2Sentiment": { "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "type": "object", "properties": { "magnitude": { "format": "float", "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative)." }, "score": { "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float" } }, "id": "GoogleCloudDialogflowV2Sentiment" }, "GoogleCloudDialogflowV2beta1Document": { "description": "A knowledge document to be used by a KnowledgeBase. For more information, see the [knowledge base guide](https://cloud.google.com/dialogflow/docs/how/knowledge-bases). Note: The `projects.agent.knowledgeBases.documents` resource is deprecated; only use `projects.knowledgeBases.documents`.", "type": "object", "properties": { "content": { "description": "The raw content of the document. This field is only permitted for EXTRACTIVE_QA and FAQ knowledge types. Note: This field is in the process of being deprecated, please use raw_content instead.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "UPDATING", "RELOADING", "DELETING" ], "description": "Output only. The current state of the document.", "type": "string", "readOnly": true, "enumDescriptions": [ "The document state is unspecified.", "The document creation is in progress.", "The document is active and ready to use.", "The document updation is in progress.", "The document is reloading.", "The document deletion is in progress." ] }, "mimeType": { "description": "Required. The MIME type of this document.", "type": "string" }, "name": { "type": "string", "description": "Optional. The document resource name. The name must be empty when creating a document. Format: `projects//locations//knowledgeBases//documents/`." }, "knowledgeTypes": { "items": { "type": "string", "enumDescriptions": [ "The type is unspecified or arbitrary.", "The document content contains question and answer pairs as either HTML or CSV. Typical FAQ HTML formats are parsed accurately, but unusual formats may fail to be parsed. CSV must have questions in the first column and answers in the second, with no header. Because of this explicit format, they are always parsed accurately.", "Documents for which unstructured text is extracted and used for question answering.", "The entire document content as a whole can be used for query results. Only for Contact Center Solutions on Dialogflow.", "The document contains agent-facing Smart Reply entries.", "The legacy enum for agent-facing smart reply feature." ], "enum": [ "KNOWLEDGE_TYPE_UNSPECIFIED", "FAQ", "EXTRACTIVE_QA", "ARTICLE_SUGGESTION", "AGENT_FACING_SMART_REPLY", "SMART_REPLY" ] }, "description": "Required. The knowledge type of document content.", "type": "array" }, "contentUri": { "type": "string", "description": "The URI where the file content is located. For documents stored in Google Cloud Storage, these URIs must have the form `gs:///`. NOTE: External URLs must correspond to public webpages, i.e., they must be indexed by Google Search. In particular, URLs for showing documents in Google Cloud Storage (i.e. the URL in your browser) are not supported. Instead use the `gs://` format URI described above." }, "rawContent": { "type": "string", "description": "The raw content of the document. This field is only permitted for EXTRACTIVE_QA and FAQ knowledge types.", "format": "byte" }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Metadata for the document. The metadata supports arbitrary key-value pairs. Suggested use cases include storing a document's title, an external URL distinct from the document's content_uri, etc. The max size of a `key` or a `value` of the metadata is 1024 bytes." }, "latestReloadStatus": { "description": "Output only. The time and status of the latest reload. This reload may have been triggered automatically or manually and may not have succeeded.", "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1DocumentReloadStatus" }, "enableAutoReload": { "description": "Optional. If true, we try to automatically reload the document every day (at a time picked by the system). If false or unspecified, we don't try to automatically reload the document. Currently you can only enable automatic reload for documents sourced from a public url, see `source` field for the source types. Reload status can be tracked in `latest_reload_status`. If a reload fails, we will keep the document unchanged. If a reload fails with internal errors, the system will try to reload the document on the next day. If a reload fails with non-retriable errors (e.g. PERMISSION_DENIED), the system will not try to reload the document anymore. You need to manually reload the document successfully by calling `ReloadDocument` and clear the errors.", "type": "boolean" }, "displayName": { "description": "Required. The display name of the document. The name must be 1024 bytes or less; otherwise, the creation request fails.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1Document" }, "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig": { "description": "The configuration for continuous tests.", "properties": { "enableContinuousRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day." }, "enablePredeploymentRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.", "type": "boolean" }, "testCases": { "items": { "type": "string" }, "type": "array", "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`" } }, "id": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageColumnProperties": { "id": "GoogleCloudDialogflowV2IntentMessageColumnProperties", "type": "object", "description": "Column properties for TableCard.", "properties": { "horizontalAlignment": { "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ], "type": "string", "description": "Optional. Defines text alignment for all cells in this column.", "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ] }, "header": { "description": "Required. Column heading.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1AgentAssistantFeedbackSummarizationFeedback": { "description": "Feedback for conversation summarization.", "id": "GoogleCloudDialogflowV2beta1AgentAssistantFeedbackSummarizationFeedback", "properties": { "submitTimestamp": { "type": "string", "format": "google-datetime", "description": "Timestamp when the summary was submitted." }, "summaryText": { "type": "string", "description": "Text of actual submitted summary." }, "startTimestamp": { "description": "Timestamp when composing of the summary starts.", "type": "string", "format": "google-datetime" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1TextToSpeechSettings": { "properties": { "enableTextToSpeech": { "description": "Optional. Indicates whether text to speech is enabled. Even when this field is false, other settings in this proto are still retained.", "type": "boolean" }, "outputAudioEncoding": { "enum": [ "OUTPUT_AUDIO_ENCODING_UNSPECIFIED", "OUTPUT_AUDIO_ENCODING_LINEAR_16", "OUTPUT_AUDIO_ENCODING_MP3", "OUTPUT_AUDIO_ENCODING_MP3_64_KBPS", "OUTPUT_AUDIO_ENCODING_OGG_OPUS", "OUTPUT_AUDIO_ENCODING_MULAW" ], "description": "Required. Audio encoding of the synthesized audio content.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM). Audio content returned as LINEAR16 also contains a WAV header.", "MP3 audio at 32kbps.", "MP3 audio at 64kbps.", "Opus encoded audio wrapped in an ogg container. The result will be a file which can be played natively on Android, and in browsers (at least Chrome and Firefox). The quality of the encoding is considerably higher than MP3 while using approximately the same bitrate.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law." ], "type": "string" }, "sampleRateHertz": { "description": "Optional. The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).", "format": "int32", "type": "integer" }, "synthesizeSpeechConfigs": { "description": "Optional. Configuration of how speech should be synthesized, mapping from language (https://cloud.google.com/dialogflow/docs/reference/language) to SynthesizeSpeechConfig.", "additionalProperties": { "$ref": "GoogleCloudDialogflowV2beta1SynthesizeSpeechConfig" }, "type": "object" } }, "id": "GoogleCloudDialogflowV2beta1TextToSpeechSettings", "type": "object", "description": "Instructs the speech synthesizer on how to generate the output audio content." }, "GoogleCloudDialogflowV2IntentTrainingPhrase": { "id": "GoogleCloudDialogflowV2IntentTrainingPhrase", "description": "Represents an example that the agent is trained on.", "type": "object", "properties": { "timesAddedCount": { "type": "integer", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.", "format": "int32" }, "type": { "description": "Required. The type of the training phrase.", "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ], "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases that you've created in template mode, those will continue to work." ], "type": "string" }, "name": { "description": "Output only. The unique identifier of this training phrase.", "type": "string" }, "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.", "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrasePart" }, "type": "array" } } }, "GoogleCloudDialogflowCxV3WebhookGenericWebService": { "id": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Represents configuration for a generic web service.", "properties": { "password": { "description": "The password for HTTP Basic authentication.", "type": "string" }, "allowedCaCerts": { "items": { "type": "string", "format": "byte" }, "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```", "type": "array" }, "uri": { "description": "Required. The webhook URI for receiving POST requests. It must use https protocol.", "type": "string" }, "username": { "type": "string", "description": "The user name for HTTP Basic authentication." }, "requestHeaders": { "type": "object", "description": "The HTTP request headers to send together with webhook requests.", "additionalProperties": { "type": "string" } } }, "type": "object" }, "GoogleCloudDialogflowV2SuggestFaqAnswersResponse": { "id": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse", "description": "The request message for Participants.SuggestFaqAnswers.", "properties": { "faqAnswers": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2FaqAnswer" }, "description": "Answers extracted from FAQ documents." }, "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV2KnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowV2KnowledgeOperationMetadata", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string", "description": "Output only. The current state of this operation.", "readOnly": true }, "knowledgeBase": { "description": "The name of the knowledge base interacted with during the operation.", "type": "string" }, "exportOperationMetadata": { "description": "Metadata for the Export Data Operation such as the destination of export.", "$ref": "GoogleCloudDialogflowV2ExportOperationMetadata" } }, "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "type": "object" }, "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata": { "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "type": "object", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Timestamp whe the request was created. The time is measured on server side." }, "participantRole": { "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "type": "string", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ] }, "suggestionFeatureType": { "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "description": "Required. The type of the suggestion feature to add or update.", "type": "string" }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" } }, "id": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1QueryInput": { "id": "GoogleCloudDialogflowCxV3beta1QueryInput", "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. ", "properties": { "event": { "$ref": "GoogleCloudDialogflowCxV3beta1EventInput", "description": "The event to be triggered." }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3beta1DtmfInput", "description": "The DTMF event to be handled." }, "text": { "$ref": "GoogleCloudDialogflowCxV3beta1TextInput", "description": "The natural language text to be processed." }, "intent": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentInput", "description": "The intent to be triggered." }, "audio": { "description": "The natural language speech audio to be processed.", "$ref": "GoogleCloudDialogflowCxV3beta1AudioInput" }, "languageCode": { "type": "string", "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1KnowledgeBase": { "id": "GoogleCloudDialogflowV2beta1KnowledgeBase", "properties": { "displayName": { "type": "string", "description": "Required. The display name of the knowledge base. The name must be 1024 bytes or less; otherwise, the creation request fails." }, "name": { "type": "string", "description": "The knowledge base resource name. The name must be empty when creating a knowledge base. Format: `projects//locations//knowledgeBases/`." }, "languageCode": { "description": "Language which represents the KnowledgeBase. When the KnowledgeBase is created/updated, this is populated for all non en-us languages. If not populated, the default language en-us applies.", "type": "string" } }, "type": "object", "description": "A knowledge base represents a collection of knowledge documents that you provide to Dialogflow. Your knowledge documents contain information that may be useful during conversations with end-users. Some Dialogflow features use knowledge bases when looking for a response to an end-user input. For more information, see the [knowledge base guide](https://cloud.google.com/dialogflow/docs/how/knowledge-bases). Note: The `projects.agent.knowledgeBases` resource is deprecated; only use `projects.knowledgeBases`." }, "GoogleCloudDialogflowV2IntentMessageCarouselSelect": { "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelect", "type": "object", "description": "The card for presenting a carousel of options to select from.", "properties": { "items": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem" }, "type": "array", "description": "Required. Carousel items." } } }, "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata": { "type": "object", "properties": { "trainingModelType": { "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ], "type": "string", "description": "Optional. Type of the article suggestion model. If not provided, model_type is used.", "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ] } }, "description": "Metadata for article suggestion models.", "id": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata" }, "GoogleCloudDialogflowCxV3beta1DtmfInput": { "description": "Represents the input for dtmf event.", "properties": { "digits": { "type": "string", "description": "The dtmf digits." }, "finishDigit": { "description": "The finish digit (if any).", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1DtmfInput" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageText": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageText", "description": "The text response message.", "properties": { "text": { "items": { "type": "string" }, "description": "Required. A collection of text responses.", "type": "array" }, "allowPlaybackInterruption": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1TelephonyDtmfEvents": { "type": "object", "id": "GoogleCloudDialogflowV2beta1TelephonyDtmfEvents", "properties": { "dtmfEvents": { "items": { "type": "string", "enum": [ "TELEPHONY_DTMF_UNSPECIFIED", "DTMF_ONE", "DTMF_TWO", "DTMF_THREE", "DTMF_FOUR", "DTMF_FIVE", "DTMF_SIX", "DTMF_SEVEN", "DTMF_EIGHT", "DTMF_NINE", "DTMF_ZERO", "DTMF_A", "DTMF_B", "DTMF_C", "DTMF_D", "DTMF_STAR", "DTMF_POUND" ], "enumDescriptions": [ "Not specified. This value may be used to indicate an absent digit.", "Number: '1'.", "Number: '2'.", "Number: '3'.", "Number: '4'.", "Number: '5'.", "Number: '6'.", "Number: '7'.", "Number: '8'.", "Number: '9'.", "Number: '0'.", "Letter: 'A'.", "Letter: 'B'.", "Letter: 'C'.", "Letter: 'D'.", "Asterisk/star: '*'.", "Pound/diamond/hash/square/gate/octothorpe: '#'." ] }, "description": "A sequence of TelephonyDtmf digits.", "type": "array" } }, "description": "A wrapper of repeated TelephonyDtmf digits." }, "GoogleCloudDialogflowV2beta1ListParticipantsResponse": { "type": "object", "description": "The response message for Participants.ListParticipants.", "properties": { "participants": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Participant" }, "description": "The list of participants. There is a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1ListParticipantsResponse" }, "GoogleCloudDialogflowV2beta1ListKnowledgeBasesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "knowledgeBases": { "description": "The list of knowledge bases.", "items": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeBase" }, "type": "array" } }, "type": "object", "description": "Response message for KnowledgeBases.ListKnowledgeBases.", "id": "GoogleCloudDialogflowV2beta1ListKnowledgeBasesResponse" }, "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata": { "type": "object", "description": "Metadata for ConversationDatasets.", "properties": {}, "id": "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata" }, "GoogleCloudDialogflowV2beta1ImportAgentRequest": { "description": "The request message for Agents.ImportAgent.", "type": "object", "properties": { "agentContent": { "format": "byte", "type": "string", "description": "Zip compressed raw byte content for agent." }, "agentUri": { "description": "The URI to a Google Cloud Storage file containing the agent to import. Note: The URI must start with \"gs://\". Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1ImportAgentRequest" }, "GoogleCloudDialogflowV2IntentMessageCard": { "id": "GoogleCloudDialogflowV2IntentMessageCard", "properties": { "imageUri": { "type": "string", "description": "Optional. The public URI to an image file for the card." }, "title": { "type": "string", "description": "Optional. The title of the card." }, "subtitle": { "description": "Optional. The subtitle of the card.", "type": "string" }, "buttons": { "type": "array", "description": "Optional. The collection of card buttons.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCardButton" } } }, "type": "object", "description": "The card response message." }, "GoogleCloudDialogflowV2Intent": { "properties": { "endInteraction": { "type": "boolean", "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false." }, "trainingPhrases": { "description": "Optional. The collection of examples that the agent is trained on.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrase" } }, "rootFollowupIntentName": { "readOnly": true, "description": "Output only. Read-only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. We populate this field only in the output. Format: `projects//agent/intents/`.", "type": "string" }, "mlDisabled": { "type": "boolean", "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off." }, "name": { "type": "string", "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`." }, "resetContexts": { "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched.", "type": "boolean" }, "parentFollowupIntentName": { "description": "Read-only after creation. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.", "type": "string" }, "messages": { "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" } }, "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "liveAgentHandoff": { "type": "boolean", "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false." }, "webhookState": { "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ], "type": "string", "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ], "description": "Optional. Indicates whether webhooks are enabled for the intent." }, "defaultResponsePlatforms": { "items": { "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ], "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ], "type": "string" }, "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).", "type": "array" }, "followupIntentInfo": { "description": "Output only. Read-only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "items": { "$ref": "GoogleCloudDialogflowV2IntentFollowupIntentInfo" }, "type": "array", "readOnly": true }, "inputContextNames": { "type": "array", "items": { "type": "string" }, "description": "Optional. The list of context names required for this intent to be triggered. Format: `projects//agent/sessions/-/contexts/`." }, "events": { "items": { "type": "string" }, "type": "array", "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters." }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowV2IntentParameter" }, "description": "Optional. The collection of parameters associated with the intent.", "type": "array" }, "priority": { "format": "int32", "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer" }, "action": { "type": "string", "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces." }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.", "type": "array" }, "displayName": { "description": "Required. The name of this intent.", "type": "string" } }, "id": "GoogleCloudDialogflowV2Intent", "type": "object", "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview)." }, "GoogleCloudDialogflowV2beta1ListConversationProfilesResponse": { "id": "GoogleCloudDialogflowV2beta1ListConversationProfilesResponse", "description": "The response message for ConversationProfiles.ListConversationProfiles.", "type": "object", "properties": { "conversationProfiles": { "description": "The list of project conversation profiles. There is a maximum number of items returned based on the page_size field in the request.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1ConversationProfile" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata", "type": "object", "description": "Metadata for DeleteDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowV2IntentMessage": { "type": "object", "description": "A rich response message. Corresponds to the intent `Response` field in the Dialogflow console. For more information, see [Rich response messages](https://cloud.google.com/dialogflow/docs/intents-rich-messages).", "id": "GoogleCloudDialogflowV2IntentMessage", "properties": { "linkOutSuggestion": { "description": "The link out suggestion chip for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion" }, "carouselSelect": { "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelect", "description": "The carousel card response for Actions on Google." }, "basicCard": { "description": "The basic card response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCard" }, "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "The image response." }, "text": { "$ref": "GoogleCloudDialogflowV2IntentMessageText", "description": "The text response." }, "card": { "description": "The card response.", "$ref": "GoogleCloudDialogflowV2IntentMessageCard" }, "quickReplies": { "description": "The quick replies response.", "$ref": "GoogleCloudDialogflowV2IntentMessageQuickReplies" }, "mediaContent": { "description": "The media content card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContent" }, "suggestions": { "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestions", "description": "The suggestion chips for Actions on Google." }, "browseCarouselCard": { "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard", "description": "Browse carousel card for Actions on Google." }, "payload": { "description": "A custom platform-specific response.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "platform": { "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ], "description": "Optional. The platform that this message is intended for.", "type": "string", "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ] }, "listSelect": { "$ref": "GoogleCloudDialogflowV2IntentMessageListSelect", "description": "The list card response for Actions on Google." }, "tableCard": { "description": "Table card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageTableCard" }, "simpleResponses": { "description": "The voice and text-only responses for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponses" } } }, "GoogleCloudDialogflowV2beta1IntentMessage": { "description": "Corresponds to the `Response` field in the Dialogflow console.", "properties": { "card": { "description": "Displays a card.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCard" }, "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "A custom platform-specific response.", "type": "object" }, "telephonyPlayAudio": { "description": "Plays audio from a file in Telephony Gateway.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio" }, "quickReplies": { "description": "Displays quick replies.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies" }, "image": { "description": "Displays an image.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "linkOutSuggestion": { "description": "Displays a link out suggestion chip for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion" }, "rbmStandaloneRichCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "description": "Standalone Rich Business Messaging (RBM) rich card response." }, "telephonySynthesizeSpeech": { "description": "Synthesizes speech in Telephony Gateway.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech" }, "mediaContent": { "description": "The media content card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent" }, "carouselSelect": { "description": "Displays a carousel card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect" }, "suggestions": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions", "description": "Displays suggestion chips for Actions on Google." }, "browseCarouselCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard", "description": "Browse carousel card for Actions on Google." }, "tableCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCard", "description": "Table card for Actions on Google." }, "rbmText": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmText", "description": "Rich Business Messaging (RBM) text response. RBM allows businesses to send enriched and branded versions of SMS. See https://jibe.google.com/business-messaging." }, "platform": { "type": "string", "description": "Optional. The platform that this message is intended for.", "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ], "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ] }, "telephonyTransferCall": { "description": "Transfers the call in Telephony Gateway.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall" }, "simpleResponses": { "description": "Returns a voice or text-only response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses" }, "basicCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard", "description": "Displays a basic card for Actions on Google." }, "text": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageText", "description": "Returns a text response." }, "rbmCarouselRichCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard", "description": "Rich Business Messaging (RBM) carousel rich card response." }, "listSelect": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelect", "description": "Displays a list card for Actions on Google." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessage", "type": "object" }, "GoogleCloudDialogflowCxV3ExportTestCasesResponse": { "properties": { "gcsUri": { "type": "string", "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest." }, "content": { "type": "string", "format": "byte", "description": "Uncompressed raw byte content for test cases." } }, "id": "GoogleCloudDialogflowCxV3ExportTestCasesResponse", "description": "The response message for TestCases.ExportTestCases.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation": { "properties": {}, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation", "description": "Opens the device's location chooser so the user can pick a location to send back to the agent." }, "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object", "description": "Metadata for UpdateDocument operation." }, "GoogleCloudDialogflowCxV3beta1PageInfo": { "properties": { "currentPage": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`." }, "displayName": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.", "type": "string" }, "formInfo": { "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form.", "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo" } }, "description": "Represents page information communicated to and from the webhook.", "id": "GoogleCloudDialogflowCxV3beta1PageInfo", "type": "object" }, "GoogleCloudDialogflowCxV3beta1EventInput": { "type": "object", "description": "Represents the event to trigger.", "properties": { "event": { "type": "string", "description": "Name of the event." } }, "id": "GoogleCloudDialogflowCxV3beta1EventInput" }, "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior", "description": "Configuration for how the filling of a parameter should be handled.", "properties": { "initialPromptFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter." }, "repromptEventHandlers": { "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" } } } }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata": { "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata", "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.", "type": "object", "properties": {} }, "GoogleCloudDialogflowV2beta1FaqAnswer": { "id": "GoogleCloudDialogflowV2beta1FaqAnswer", "type": "object", "description": "Represents answer from \"frequently asked questions\".", "properties": { "answer": { "description": "The piece of text from the `source` knowledge base document.", "type": "string" }, "question": { "type": "string", "description": "The corresponding FAQ question." }, "confidence": { "format": "float", "type": "number", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "source": { "type": "string", "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`." }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates." } } }, "GoogleCloudDialogflowV2beta1DocumentReloadStatus": { "properties": { "time": { "type": "string", "description": "Output only. The time of a reload attempt. This reload may have been triggered automatically or manually and may not have succeeded.", "format": "google-datetime" }, "status": { "$ref": "GoogleRpcStatus", "description": "Output only. The status of a reload attempt or the initial load." } }, "id": "GoogleCloudDialogflowV2beta1DocumentReloadStatus", "type": "object", "description": "The status of a reload attempt." }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall": { "description": "Transfers the call in Telephony Gateway.", "properties": { "phoneNumber": { "type": "string", "description": "Required. The phone number to transfer the call to in [E.164 format](https://en.wikipedia.org/wiki/E.164). We currently only allow transferring to US numbers (+1xxxyyyzzzz)." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall", "type": "object" }, "GoogleCloudDialogflowV2SuggestSmartRepliesResponse": { "id": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse", "type": "object", "properties": { "smartReplyAnswers": { "type": "array", "readOnly": true, "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.", "items": { "$ref": "GoogleCloudDialogflowV2SmartReplyAnswer" } }, "contextSize": { "format": "int32", "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation." }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." } }, "description": "The response message for Participants.SuggestSmartReplies." }, "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse": { "properties": { "results": { "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" }, "type": "array", "description": "The test case results. The detailed conversation turns are empty in this response." } }, "description": "The response message for TestCases.BatchRunTestCases.", "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse", "type": "object" }, "GoogleCloudDialogflowCxV3beta1FormParameter": { "description": "Represents a form parameter.", "properties": { "displayName": { "type": "string", "description": "Required. The human-readable name of the parameter, unique within the form." }, "fillBehavior": { "description": "Required. Defines fill behavior for the parameter.", "$ref": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior" }, "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" }, "defaultValue": { "type": "any", "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored." }, "required": { "type": "boolean", "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." }, "entityType": { "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.", "type": "string" }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FormParameter" }, "GoogleCloudDialogflowV2beta1Context": { "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "id": "GoogleCloudDialogflowV2beta1Context", "properties": { "name": { "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "type": "string" }, "lifespanCount": { "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.", "type": "integer", "format": "int32" }, "parameters": { "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "type": "object" }, "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata": { "id": "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata", "description": "Metadata for a ConversationModels.CreateConversationModelEvaluation operation.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "RUNNING", "CANCELLED", "SUCCEEDED", "FAILED" ], "type": "string", "description": "State of CreateConversationModel operation.", "enumDescriptions": [ "Operation status not specified.", "The operation is being prepared.", "The operation is running.", "The operation is cancelled.", "The operation has succeeded.", "The operation has failed." ] }, "conversationModelEvaluation": { "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels//evaluations/`", "type": "string" }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels/`", "type": "string" }, "createTime": { "type": "string", "description": "Timestamp when the request to create conversation model was submitted. The time is measured on server side.", "format": "google-datetime" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ConversationEvent": { "properties": { "errorStatus": { "$ref": "GoogleRpcStatus", "description": "Optional. More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL." }, "newMessagePayload": { "$ref": "GoogleCloudDialogflowV2beta1Message", "description": "Payload of NEW_MESSAGE event." }, "conversation": { "description": "Required. The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "type": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ], "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ], "description": "Required. The type of the event that this notification refers to." } }, "id": "GoogleCloudDialogflowV2beta1ConversationEvent", "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.", "type": "object" }, "GoogleCloudDialogflowV2beta1SuggestionFeature": { "properties": { "type": { "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "type": "string", "description": "Type of Human Agent Assistant API feature to request.", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ] } }, "id": "GoogleCloudDialogflowV2beta1SuggestionFeature", "type": "object", "description": "The type of Human Agent Assistant API suggestion to perform, and the maximum number of results to return for that type. Multiple `Feature` objects can be specified in the `features` list." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia": { "type": "object", "properties": { "height": { "enumDescriptions": [ "Not specified.", "112 DP.", "168 DP.", "264 DP. Not available for rich card carousels when the card width is set to small." ], "description": "Required for cards with vertical orientation. The height of the media within a rich card with a vertical layout. For a standalone card with horizontal layout, height is not customizable, and this field is ignored.", "type": "string", "enum": [ "HEIGHT_UNSPECIFIED", "SHORT", "MEDIUM", "TALL" ] }, "thumbnailUri": { "description": "Optional. Publicly reachable URI of the thumbnail.If you don't provide a thumbnail URI, the RBM platform displays a blank placeholder thumbnail until the user's device downloads the file. Depending on the user's setting, the file may not download automatically and may require the user to tap a download button.", "type": "string" }, "fileUri": { "description": "Required. Publicly reachable URI of the file. The RBM platform determines the MIME type of the file from the content-type field in the HTTP headers when the platform fetches the file. The content-type field must be present and accurate in the HTTP response from the URL.", "type": "string" } }, "description": "Rich Business Messaging (RBM) Media displayed in Cards The following media-types are currently supported: Image Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpg' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/gif LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/png Video Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/h263 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/m4v LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mp4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/webm", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia" }, "GoogleCloudDialogflowCxV3InputAudioConfig": { "id": "GoogleCloudDialogflowCxV3InputAudioConfig", "type": "object", "description": "Instructs the speech recognizer on how to process the audio content.", "properties": { "phraseHints": { "type": "array", "items": { "type": "string" }, "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details." }, "model": { "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" }, "audioEncoding": { "type": "string", "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ], "description": "Required. Audio encoding of the audio content to process." }, "sampleRateHertz": { "format": "int32", "type": "integer", "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details." }, "modelVariant": { "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ], "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "description": "Optional. Which variant of the Speech model to use.", "type": "string" }, "singleUtterance": { "type": "boolean", "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods." }, "enableWordInfo": { "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.", "type": "boolean" } } }, "GoogleCloudDialogflowV2beta1VoiceSelectionParams": { "type": "object", "description": "Description of which voice to use for speech synthesis.", "id": "GoogleCloudDialogflowV2beta1VoiceSelectionParams", "properties": { "name": { "type": "string", "description": "Optional. The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and ssml_gender. For the list of available voices, please refer to [Supported voices and languages](https://cloud.google.com/text-to-speech/docs/voices)." }, "ssmlGender": { "description": "Optional. The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement. If a voice of the appropriate gender is not available, the synthesizer should substitute a voice with a different gender rather than failing the request.", "enumDescriptions": [ "An unspecified gender, which means that the client doesn't care which gender the selected voice will have.", "A male voice.", "A female voice.", "A gender-neutral voice." ], "type": "string", "enum": [ "SSML_VOICE_GENDER_UNSPECIFIED", "SSML_VOICE_GENDER_MALE", "SSML_VOICE_GENDER_FEMALE", "SSML_VOICE_GENDER_NEUTRAL" ] } } }, "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigRequest": { "description": "The request message for ConversationProfiles.SetSuggestionFeature.", "properties": { "suggestionFeatureConfig": { "description": "Required. The suggestion feature config to add or update.", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionFeatureConfig" }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string", "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used." } }, "id": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigRequest", "type": "object" }, "GoogleCloudDialogflowV2beta1ListEnvironmentsResponse": { "type": "object", "description": "The response message for Environments.ListEnvironments.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "environments": { "type": "array", "description": "The list of agent environments. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Environment" } } }, "id": "GoogleCloudDialogflowV2beta1ListEnvironmentsResponse" }, "GoogleCloudDialogflowV2beta1Suggestion": { "id": "GoogleCloudDialogflowV2beta1Suggestion", "type": "object", "description": "Represents a suggestion for a human agent.", "properties": { "articles": { "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionArticle" }, "type": "array", "description": "Output only. Articles ordered by score in descending order." }, "name": { "type": "string", "description": "Output only. The name of this suggestion. Format: `projects//locations//conversations//participants/*/suggestions/`." }, "createTime": { "description": "Output only. The time the suggestion was created.", "format": "google-datetime", "type": "string" }, "latestMessage": { "type": "string", "description": "Output only. Latest message used as context to compile this suggestion. Format: `projects//locations//conversations//messages/`." }, "faqAnswers": { "type": "array", "description": "Output only. Answers extracted from FAQ documents.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionFaqAnswer" } } } }, "GoogleCloudDialogflowV2beta1SuggestArticlesRequest": { "type": "object", "description": "The request message for Participants.SuggestArticles.", "properties": { "contextSize": { "description": "Optional. Max number of messages prior to and including latest_message to use as context when compiling the suggestion. By default 20 and at most 50.", "type": "integer", "format": "int32" }, "assistQueryParams": { "description": "Optional. Parameters for a human assist query.", "$ref": "GoogleCloudDialogflowV2beta1AssistQueryParameters" }, "latestMessage": { "type": "string", "description": "Optional. The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`." } }, "id": "GoogleCloudDialogflowV2beta1SuggestArticlesRequest" }, "GoogleCloudDialogflowCxV3beta1TextInput": { "id": "GoogleCloudDialogflowCxV3beta1TextInput", "type": "object", "properties": { "text": { "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters.", "type": "string" } }, "description": "Represents the natural language text to be processed." }, "GoogleCloudDialogflowV2beta1EnvironmentHistory": { "description": "The response message for Environments.GetEnvironmentHistory.", "properties": { "parent": { "description": "Output only. The name of the environment this history is for. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`", "readOnly": true, "type": "string" }, "entries": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EnvironmentHistoryEntry" }, "readOnly": true, "description": "Output only. The list of agent environments. There will be a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "readOnly": true, "type": "string", "description": "Output only. Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "GoogleCloudDialogflowV2beta1EnvironmentHistory", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageMediaContent": { "id": "GoogleCloudDialogflowV2IntentMessageMediaContent", "properties": { "mediaObjects": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject" }, "type": "array", "description": "Required. List of media objects." }, "mediaType": { "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ], "description": "Optional. What type of media is the content (ie \"audio\").", "type": "string", "enumDescriptions": [ "Unspecified.", "Response media type is audio." ] } }, "type": "object", "description": "The media content card for Actions on Google." }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata": { "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata", "properties": { "errors": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseError" }, "type": "array", "description": "Errors for failed test cases." } } }, "GoogleCloudLocationLocation": { "properties": { "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object", "id": "GoogleCloudLocationLocation", "description": "A resource that represents Google Cloud Platform location." }, "GoogleCloudDialogflowV2beta1ValidationError": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ValidationError", "properties": { "entries": { "items": { "type": "string" }, "description": "The names of the entries that the error is associated with. Format: - \"projects//agent\", if the error is associated with the entire agent. - \"projects//agent/intents/\", if the error is associated with certain intents. - \"projects//agent/intents//trainingPhrases/\", if the error is associated with certain intent training phrases. - \"projects//agent/intents//parameters/\", if the error is associated with certain intent parameters. - \"projects//agent/entities/\", if the error is associated with certain entities.", "type": "array" }, "errorMessage": { "description": "The detailed error message.", "type": "string" }, "severity": { "type": "string", "description": "The severity of the error.", "enumDescriptions": [ "Not specified. This value should never be used.", "The agent doesn't follow Dialogflow best practices.", "The agent may not behave as expected.", "The agent may experience partial failures.", "The agent may completely fail." ], "enum": [ "SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR", "CRITICAL" ] } }, "description": "Represents a single validation error." }, "GoogleCloudDialogflowCxV3beta1TransitionRoute": { "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow.", "properties": { "condition": { "type": "string", "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first." }, "name": { "type": "string", "description": "Output only. The unique identifier of this transition route.", "readOnly": true }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "intent": { "type": "string", "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TransitionRoute" }, "GoogleCloudDialogflowCxV3beta1TestCaseResult": { "description": "Represents a result from running a test case in an agent environment.", "type": "object", "properties": { "testResult": { "description": "Whether the test case passed in the agent environment.", "type": "string", "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ] }, "name": { "type": "string", "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`." }, "testTime": { "description": "The time that the test was run.", "type": "string", "format": "google-datetime" }, "conversationTurns": { "description": "The conversation turns uttered during the test case replay in chronological order.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" }, "type": "array" }, "environment": { "description": "Environment where the test was run. If not set, it indicates the draft environment.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard": { "properties": { "imageDisplayOptions": { "description": "Optional. Settings for displaying the image. Applies to every image in items.", "type": "string", "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ] }, "items": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem" }, "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.", "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard", "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel", "type": "object" }, "GoogleCloudDialogflowV2beta1AutomatedAgentReply": { "id": "GoogleCloudDialogflowV2beta1AutomatedAgentReply", "type": "object", "description": "Represents a response from an automated agent.", "properties": { "intent": { "description": "Name of the intent if an intent is matched for the query. For a V2 query, the value format is `projects//locations/ /agent/intents/`. For a V3 query, the value format is `projects//locations/ /agents//intents/`.", "type": "string" }, "cxSessionParameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The collection of current Dialogflow CX agent session parameters at the time of this response. Deprecated: Use `parameters` instead." }, "matchConfidence": { "type": "number", "format": "float", "description": "The confidence of the match. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation." }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The collection of current parameters at the time of this response.", "type": "object" }, "allowCancellation": { "description": "Indicates whether the partial automated agent reply is interruptible when a later reply message arrives. e.g. if the agent specified some music as partial response, it can be cancelled.", "type": "boolean" }, "responseMessages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1ResponseMessage" }, "description": "Response messages from the automated agent." }, "detectIntentResponse": { "$ref": "GoogleCloudDialogflowV2beta1DetectIntentResponse", "description": "Response of the Dialogflow Sessions.DetectIntent call." }, "event": { "description": "Event name if an event is triggered for the query.", "type": "string" }, "automatedAgentReplyType": { "enumDescriptions": [ "Not specified. This should never happen.", "Partial reply. e.g. Aggregated responses in a `Fulfillment` that enables `return_partial_response` can be returned as partial reply. WARNING: partial reply is not eligible for barge-in.", "Final reply." ], "enum": [ "AUTOMATED_AGENT_REPLY_TYPE_UNSPECIFIED", "PARTIAL", "FINAL" ], "type": "string", "description": "AutomatedAgentReply type." } } }, "GoogleCloudDialogflowCxV3TestConfig": { "type": "object", "id": "GoogleCloudDialogflowCxV3TestConfig", "description": "Represents configurations for a test case.", "properties": { "trackingParameters": { "description": "Session parameters to be compared when calculating differences.", "type": "array", "items": { "type": "string" } }, "flow": { "type": "string", "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow." }, "page": { "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" } } }, "GoogleCloudDialogflowV2MessageAnnotation": { "id": "GoogleCloudDialogflowV2MessageAnnotation", "properties": { "parts": { "description": "The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2AnnotatedMessagePart" } }, "containEntities": { "type": "boolean", "description": "Indicates whether the text message contains entities." } }, "type": "object", "description": "Represents the result of annotation for the message." }, "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse": { "description": "The response message for EntityTypes.BatchUpdateEntityTypes.", "id": "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse", "type": "object", "properties": { "entityTypes": { "type": "array", "description": "The collection of updated or created entity types.", "items": { "$ref": "GoogleCloudDialogflowV2EntityType" } } } }, "GoogleCloudDialogflowCxV3ImportTestCasesResponse": { "properties": { "names": { "type": "array", "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowCxV3ImportTestCasesResponse", "type": "object", "description": "The response message for TestCases.ImportTestCases." }, "GoogleCloudDialogflowCxV3beta1DeployFlowResponse": { "type": "object", "properties": { "environment": { "description": "The updated environment where the flow is deployed.", "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "deployment": { "description": "The name of the flow version deployment. Format: `projects//locations//agents// environments//deployments/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1DeployFlowResponse", "description": "The response message for Environments.DeployFlow." }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrase": { "properties": { "name": { "type": "string", "description": "Output only. The unique identifier of this training phrase." }, "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart" } }, "timesAddedCount": { "format": "int32", "type": "integer", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased." }, "type": { "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Note: Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases in template mode, they will be removed during training and it can cause a drop in agent performance." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ], "description": "Required. The type of the training phrase." } }, "type": "object", "description": "Represents an example that the agent is trained on.", "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase" }, "GoogleCloudDialogflowCxV3Page": { "properties": { "transitionRoutes": { "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified.", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" }, "type": "array" }, "name": { "type": "string", "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`." }, "form": { "$ref": "GoogleCloudDialogflowCxV3Form", "description": "The form associated with the page, used for collecting parameters relevant to the page." }, "displayName": { "type": "string", "description": "Required. The human-readable name of the page, unique within the flow." }, "eventHandlers": { "type": "array", "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input.", "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" } }, "entryFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "The fulfillment to call when the session is entering the page." }, "transitionRouteGroups": { "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3Page", "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "type": "object" }, "GoogleCloudDialogflowV2beta1BatchDeleteEntityTypesRequest": { "description": "The request message for EntityTypes.BatchDeleteEntityTypes.", "id": "GoogleCloudDialogflowV2beta1BatchDeleteEntityTypesRequest", "properties": { "entityTypeNames": { "type": "array", "description": "Required. The names entity types to delete. All names must point to the same agent as `parent`.", "items": { "type": "string" } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ListSuggestionsResponse": { "id": "GoogleCloudDialogflowV2beta1ListSuggestionsResponse", "type": "object", "properties": { "nextPageToken": { "description": "Optional. Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" }, "suggestions": { "description": "Required. The list of suggestions. There will be a maximum number of items returned based on the page_size field in the request. `suggestions` is sorted by `create_time` in descending order.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Suggestion" } } }, "description": "The response message for Participants.ListSuggestions." }, "GoogleCloudDialogflowV2beta1CompileSuggestionResponse": { "properties": { "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the CompileSuggestionRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer", "format": "int32" }, "suggestion": { "$ref": "GoogleCloudDialogflowV2beta1Suggestion", "description": "The compiled suggestion." }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." } }, "description": "The response message for Participants.CompileSuggestion.", "type": "object", "id": "GoogleCloudDialogflowV2beta1CompileSuggestionResponse" }, "GoogleCloudDialogflowV2beta1SmartReplyAnswer": { "type": "object", "properties": { "reply": { "description": "The content of the reply.", "type": "string" }, "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "confidence": { "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float", "type": "number" } }, "description": "Represents a smart reply answer.", "id": "GoogleCloudDialogflowV2beta1SmartReplyAnswer" }, "GoogleCloudDialogflowV2beta1ExportOperationMetadata": { "properties": { "exportedGcsDestination": { "description": "Cloud Storage file path of the exported data.", "$ref": "GoogleCloudDialogflowV2beta1GcsDestination" } }, "id": "GoogleCloudDialogflowV2beta1ExportOperationMetadata", "description": "Metadata related to the Export Data Operations (e.g. ExportDocument).", "type": "object" }, "GoogleCloudDialogflowV2InputDataset": { "type": "object", "properties": { "dataset": { "type": "string", "description": "Required. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`" } }, "id": "GoogleCloudDialogflowV2InputDataset", "description": "InputDataset used to create model or do evaluation. NextID:5" }, "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata": { "id": "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata", "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.", "type": "object", "properties": { "participantRole": { "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ] }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" }, "createTime": { "description": "Timestamp whe the request was created. The time is measured on server side.", "type": "string", "format": "google-datetime" }, "suggestionFeatureType": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "description": "Required. The type of the suggestion feature to remove.", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ] } } }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo": { "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo", "properties": { "lastMatchedIntent": { "type": "string", "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`." }, "displayName": { "description": "Always present. The display name of the last matched intent.", "type": "string" }, "confidence": { "format": "float", "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number" }, "parameters": { "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue" }, "type": "object", "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here." } }, "type": "object", "description": "Represents intent information communicated to the webhook." }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfig": { "type": "object", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfig", "properties": { "humanAgentSuggestionConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionConfig", "description": "Configuration for agent assistance of human agent participant." }, "endUserSuggestionConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionConfig", "description": "Configuration for agent assistance of end user participant. Currently, this feature is not general available, please contact Google to get access." }, "notificationConfig": { "description": "Pub/Sub topic on which to publish new agent assistant events.", "$ref": "GoogleCloudDialogflowV2beta1NotificationConfig" }, "messageAnalysisConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigMessageAnalysisConfig", "description": "Configuration for message analysis." } }, "description": "Defines the Human Agent Assistant to connect to a conversation." }, "GoogleCloudDialogflowCxV3FormParameterFillBehavior": { "id": "GoogleCloudDialogflowCxV3FormParameterFillBehavior", "description": "Configuration for how the filling of a parameter should be handled.", "type": "object", "properties": { "repromptEventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.", "type": "array" }, "initialPromptFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter." } } }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse": { "description": "The response message for TestCases.ExportTestCases.", "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse", "type": "object", "properties": { "content": { "type": "string", "format": "byte", "description": "Uncompressed raw byte content for test cases." }, "gcsUri": { "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase": { "properties": { "condition": { "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).", "type": "string" }, "caseContent": { "description": "A list of case content.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent" }, "type": "array" } }, "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.", "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase", "type": "object" }, "GoogleCloudDialogflowV2beta1ListVersionsResponse": { "id": "GoogleCloudDialogflowV2beta1ListVersionsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "versions": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Version" }, "description": "The list of agent versions. There will be a maximum number of items returned based on the page_size field in the request.", "type": "array" } }, "description": "The response message for Versions.ListVersions.", "type": "object" }, "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata": { "properties": { "conversationDataset": { "type": "string", "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`" }, "partialFailures": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Partial failures are failures that don't fail the whole long running operation, e.g. single files that couldn't be read.", "type": "array" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when import conversation data request was created. The time is measured on server side." } }, "id": "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata", "type": "object", "description": "Metadata for a ConversationDatasets.ImportConversationData operation." }, "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse": { "description": "Response message for Documents.ImportDocuments.", "type": "object", "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse", "properties": { "warnings": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Includes details about skipped documents or any other warnings." } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionConfig": { "description": "Detail human agent assistant config.", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionConfig", "properties": { "groupSuggestionResponses": { "description": "If `group_suggestion_responses` is false, and there are multiple `feature_configs` in `event based suggestion` or StreamingAnalyzeContent, we will try to deliver suggestions to customers as soon as we get new suggestion. Different type of suggestions based on the same context will be in separate Pub/Sub event or `StreamingAnalyzeContentResponse`. If `group_suggestion_responses` set to true. All the suggestions to the same participant based on the same context will be grouped into a single Pub/Sub event or StreamingAnalyzeContentResponse.", "type": "boolean" }, "featureConfigs": { "description": "Configuration of different suggestion features. One feature can have only one config.", "items": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionFeatureConfig" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowV2ConversationModel": { "properties": { "smartReplyModelMetadata": { "description": "Metadata for smart reply models.", "$ref": "GoogleCloudDialogflowV2SmartReplyModelMetadata" }, "datasets": { "type": "array", "description": "Required. Datasets used to create model.", "items": { "$ref": "GoogleCloudDialogflowV2InputDataset" } }, "createTime": { "description": "Output only. Creation time of this model.", "readOnly": true, "type": "string", "format": "google-datetime" }, "articleSuggestionModelMetadata": { "$ref": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata", "description": "Metadata for article suggestion models." }, "displayName": { "description": "Required. The display name of the model. At most 64 bytes long.", "type": "string" }, "languageCode": { "type": "string", "description": "Language code for the conversation model. If not specified, the language is en-US. Language at ConversationModel should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "state": { "enumDescriptions": [ "Should not be used, an un-set enum has this value by default.", "Model being created.", "Model is not deployed but ready to deploy.", "Model is deploying.", "Model is deployed and ready to use.", "Model is undeploying.", "Model is deleting.", "Model is in error state. Not ready to deploy and use.", "Model is being created but the training has not started, The model may remain in this state until there is enough capacity to start training." ], "type": "string", "description": "Output only. State of the model. A model can only serve prediction requests after it gets deployed.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "UNDEPLOYED", "DEPLOYING", "DEPLOYED", "UNDEPLOYING", "DELETING", "FAILED", "PENDING" ] }, "name": { "description": "ConversationModel resource name. Format: `projects//conversationModels/`", "type": "string" } }, "id": "GoogleCloudDialogflowV2ConversationModel", "type": "object", "description": "Represents a conversation model." }, "GoogleCloudDialogflowCxV3beta1InputAudioConfig": { "id": "GoogleCloudDialogflowCxV3beta1InputAudioConfig", "type": "object", "properties": { "sampleRateHertz": { "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.", "format": "int32", "type": "integer" }, "phraseHints": { "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "items": { "type": "string" }, "type": "array" }, "singleUtterance": { "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.", "type": "boolean" }, "enableWordInfo": { "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.", "type": "boolean" }, "model": { "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" }, "audioEncoding": { "type": "string", "description": "Required. Audio encoding of the audio content to process.", "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ] }, "modelVariant": { "description": "Optional. Which variant of the Speech model to use.", "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ], "type": "string", "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ] } }, "description": "Instructs the speech recognizer on how to process the audio content." }, "GoogleCloudDialogflowV2beta1AnswerFeedback": { "properties": { "clickTime": { "type": "string", "format": "google-datetime", "description": "Time when the answer/item was clicked." }, "correctnessLevel": { "enumDescriptions": [ "Correctness level unspecified.", "Answer is totally wrong.", "Answer is partially correct.", "Answer is fully correct." ], "type": "string", "enum": [ "CORRECTNESS_LEVEL_UNSPECIFIED", "NOT_CORRECT", "PARTIALLY_CORRECT", "FULLY_CORRECT" ], "description": "The correctness level of the specific answer." }, "displayTime": { "format": "google-datetime", "description": "Time when the answer/item was displayed.", "type": "string" }, "displayed": { "description": "Indicates whether the answer/item was displayed to the human agent in the agent desktop UI. Default to false.", "type": "boolean" }, "clicked": { "type": "boolean", "description": "Indicates whether the answer/item was clicked by the human agent or not. Default to false." }, "agentAssistantDetailFeedback": { "description": "Optional. Detail feedback of agent assistant suggestions.", "$ref": "GoogleCloudDialogflowV2beta1AgentAssistantFeedback" } }, "type": "object", "description": "Represents feedback the customer has about the quality & correctness of a certain answer in a conversation.", "id": "GoogleCloudDialogflowV2beta1AnswerFeedback" }, "GoogleCloudDialogflowV2beta1NotificationConfig": { "properties": { "messageFormat": { "description": "Format of message.", "enumDescriptions": [ "If it is unspecified, PROTO will be used.", "Pubsub message will be serialized proto.", "Pubsub message will be json." ], "type": "string", "enum": [ "MESSAGE_FORMAT_UNSPECIFIED", "PROTO", "JSON" ] }, "topic": { "type": "string", "description": "Name of the Pub/Sub topic to publish conversation events like CONVERSATION_STARTED as serialized ConversationEvent protos. For telephony integration to receive notification, make sure either this topic is in the same project as the conversation or you grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Dialogflow Service Agent` role in the topic project. For chat integration to receive notification, make sure API caller has been granted the `Dialogflow Service Agent` role for the topic. Format: `projects//locations//topics/`." } }, "id": "GoogleCloudDialogflowV2beta1NotificationConfig", "type": "object", "description": "Defines notification behavior." }, "GoogleCloudDialogflowV2beta1GcsSources": { "id": "GoogleCloudDialogflowV2beta1GcsSources", "properties": { "uris": { "type": "array", "description": "Required. Google Cloud Storage URIs for the inputs. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case.", "items": { "type": "string" } } }, "description": "Google Cloud Storage locations for the inputs.", "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff": { "properties": { "metadata": { "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "type": "object", "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "id": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff" }, "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo": { "id": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo", "type": "object", "properties": { "synonyms": { "items": { "type": "string" }, "type": "array", "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog." }, "key": { "type": "string", "description": "Required. A unique key that will be sent back to the agent if this response is given." } }, "description": "Additional info about the select item for when it is triggered in a dialog." }, "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject": { "type": "object", "properties": { "name": { "description": "Required. Name of media card.", "type": "string" }, "icon": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Icon to display above media content." }, "largeImage": { "description": "Optional. Image to display above media content.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "contentUrl": { "type": "string", "description": "Required. Url where the media is stored." }, "description": { "type": "string", "description": "Optional. Description of media card." } }, "id": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject", "description": "Response media object for media content card." }, "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion": { "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent.", "properties": { "uri": { "description": "Required. The URI of the app or site to open when the user taps the suggestion chip.", "type": "string" }, "destinationName": { "type": "string", "description": "Required. The name of the app or site this chip is linking to." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion", "type": "object" }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource": { "properties": { "documents": { "type": "array", "items": { "type": "string" }, "description": "Required. Knowledge documents to query from. Format: `projects//locations//knowledgeBases//documents/`. Currently, only one document is supported." } }, "description": "Document source settings. Supported features: SMART_REPLY, SMART_COMPOSE.", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource", "type": "object" }, "GoogleCloudLocationListLocationsResponse": { "id": "GoogleCloudLocationListLocationsResponse", "description": "The response message for Locations.ListLocations.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "items": { "$ref": "GoogleCloudLocationLocation" }, "description": "A list of locations that matches the specified filter in the request.", "type": "array" } } }, "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse": { "description": "The response message for Participants.SuggestSmartReplies.", "type": "object", "properties": { "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "smartReplyAnswers": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SmartReplyAnswer" }, "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig." }, "contextSize": { "type": "integer", "format": "int32", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation." } }, "id": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse" }, "GoogleCloudDialogflowV2IntentMessageListSelectItem": { "type": "object", "description": "An item in the list.", "properties": { "description": { "description": "Optional. The main text describing the item.", "type": "string" }, "image": { "description": "Optional. The image to display.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "title": { "type": "string", "description": "Required. The title of the list item." }, "info": { "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "description": "Required. Additional information about this option." } }, "id": "GoogleCloudDialogflowV2IntentMessageListSelectItem" }, "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata", "properties": { "version": { "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`.", "type": "string" } }, "description": "Metadata associated with the long running operation for Versions.CreateVersion." }, "GoogleCloudDialogflowV2beta1Agent": { "type": "object", "id": "GoogleCloudDialogflowV2beta1Agent", "properties": { "enableLogging": { "type": "boolean", "description": "Optional. Determines whether this agent should log conversation queries." }, "classificationThreshold": { "description": "Optional. To filter out false positive results and still get variety in matched natural language inputs for your agent, you can tune the machine learning classification threshold. If the returned score value is less than the threshold value, then a fallback intent will be triggered or, if there are no fallback intents defined, no intent will be triggered. The score values range from 0.0 (completely uncertain) to 1.0 (completely certain). If set to 0.0, the default of 0.3 is used.", "type": "number", "format": "float" }, "parent": { "type": "string", "description": "Required. The project of this agent. Format: `projects/` or `projects//locations/`" }, "displayName": { "description": "Required. The name of this agent.", "type": "string" }, "defaultLanguageCode": { "type": "string", "description": "Required. The default language of the agent as a language tag. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. This field cannot be set by the `Update` method." }, "description": { "type": "string", "description": "Optional. The description of this agent. The maximum length is 500 characters. If exceeded, the request is rejected." }, "apiVersion": { "type": "string", "enum": [ "API_VERSION_UNSPECIFIED", "API_VERSION_V1", "API_VERSION_V2", "API_VERSION_V2_BETA_1" ], "enumDescriptions": [ "Not specified.", "Legacy V1 API.", "V2 API.", "V2beta1 API." ], "description": "Optional. API version displayed in Dialogflow console. If not specified, V2 API is assumed. Clients are free to query different service endpoints for different API versions. However, bots connectors and webhook calls will follow the specified API version." }, "timeZone": { "type": "string", "description": "Required. The time zone of this agent from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris." }, "avatarUri": { "type": "string", "description": "Optional. The URI of the agent's avatar. Avatars are used throughout the Dialogflow console and in the self-hosted [Web Demo](https://cloud.google.com/dialogflow/docs/integrations/web-demo) integration." }, "supportedLanguageCodes": { "type": "array", "items": { "type": "string" }, "description": "Optional. The list of all languages supported by this agent (except for the `default_language_code`)." }, "matchMode": { "enumDescriptions": [ "Not specified.", "Best for agents with a small number of examples in intents and/or wide use of templates syntax and composite entities.", "Can be used for agents with a large number of examples in intents, especially the ones using @sys.any or very large custom entities." ], "enum": [ "MATCH_MODE_UNSPECIFIED", "MATCH_MODE_HYBRID", "MATCH_MODE_ML_ONLY" ], "type": "string", "description": "Optional. Determines how intents are detected from user queries." }, "tier": { "type": "string", "enumDescriptions": [ "Not specified. This value should never be used.", "Trial Edition, previously known as Standard Edition.", "Essentials Edition, previously known as Enterprise Essential Edition.", "Essentials Edition (same as TIER_ENTERPRISE), previously known as Enterprise Plus Edition." ], "enum": [ "TIER_UNSPECIFIED", "TIER_STANDARD", "TIER_ENTERPRISE", "TIER_ENTERPRISE_PLUS" ], "description": "Optional. The agent tier. If not specified, TIER_STANDARD is assumed." } }, "description": "A Dialogflow agent is a virtual agent that handles conversations with your end-users. It is a natural language understanding module that understands the nuances of human language. Dialogflow translates end-user text or audio during a conversation to structured data that your apps and services can understand. You design and build a Dialogflow agent to handle the types of conversations required for your system. For more information about agents, see the [Agent guide](https://cloud.google.com/dialogflow/docs/agents-overview). " }, "GoogleCloudDialogflowV2beta1ResponseMessage": { "id": "GoogleCloudDialogflowV2beta1ResponseMessage", "properties": { "endInteraction": { "description": "A signal that indicates the interaction with the Dialogflow agent has ended.", "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction" }, "text": { "description": "Returns a text response.", "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageText" }, "liveAgentHandoff": { "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff", "description": "Hands off conversation to a live agent." }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "telephonyTransferCall": { "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall", "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint." }, "mixedAudio": { "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio", "description": "An audio response message composed of both the synthesized Dialogflow agent responses and the audios hosted in places known to the client." } }, "type": "object", "description": "Response messages from an automated agent." }, "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse": { "type": "object", "id": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse", "properties": { "intents": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "The collection of updated or created intents.", "type": "array" } }, "description": "The response message for Intents.BatchUpdateIntents." }, "GoogleCloudDialogflowV2HumanAgentAssistantEvent": { "id": "GoogleCloudDialogflowV2HumanAgentAssistantEvent", "properties": { "participant": { "description": "The participant that the suggestion is compiled for. Format: `projects//conversations//participants/`. It will not be set in legacy workflow.", "type": "string" }, "conversation": { "description": "The conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "suggestionResults": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2SuggestionResult" }, "description": "The suggestion results payload that this notification refers to." } }, "description": "Represents a notification sent to Cloud Pub/Sub subscribers for human agent assistant events in a specific conversation.", "type": "object" }, "GoogleCloudDialogflowV2beta1AgentAssistantRecord": { "description": "Represents a record of a human agent assistant answer.", "id": "GoogleCloudDialogflowV2beta1AgentAssistantRecord", "type": "object", "properties": { "faqAnswer": { "description": "Output only. The FAQ answer.", "$ref": "GoogleCloudDialogflowV2beta1FaqAnswer", "readOnly": true }, "articleSuggestionAnswer": { "$ref": "GoogleCloudDialogflowV2beta1ArticleAnswer", "description": "Output only. The article suggestion answer.", "readOnly": true } } }, "GoogleCloudDialogflowCxV3beta1Page": { "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "id": "GoogleCloudDialogflowCxV3beta1Page", "type": "object", "properties": { "transitionRouteGroups": { "type": "array", "items": { "type": "string" }, "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`." }, "entryFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the session is entering the page." }, "form": { "description": "The form associated with the page, used for collecting parameters relevant to the page.", "$ref": "GoogleCloudDialogflowCxV3beta1Form" }, "name": { "type": "string", "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`." }, "displayName": { "type": "string", "description": "Required. The human-readable name of the page, unique within the flow." }, "transitionRoutes": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" }, "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified." }, "eventHandlers": { "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" } } } }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "properties": { "url": { "type": "string", "description": "Required. URL" }, "urlTypeHint": { "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ], "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "type": "string", "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ] } }, "description": "Actions on Google action to open a given url.", "type": "object" }, "GoogleCloudDialogflowV2beta1ListIntentsResponse": { "type": "object", "description": "The response message for Intents.ListIntents.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "intents": { "description": "The list of agent intents. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1ListIntentsResponse" }, "GoogleCloudDialogflowV2SuggestArticlesResponse": { "properties": { "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." }, "articleAnswers": { "description": "Articles ordered by score in descending order.", "items": { "$ref": "GoogleCloudDialogflowV2ArticleAnswer" }, "type": "array" }, "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" } }, "id": "GoogleCloudDialogflowV2SuggestArticlesResponse", "description": "The response message for Participants.SuggestArticles.", "type": "object" }, "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata": { "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "exportOperationMetadata": { "description": "Metadata for the Export Data Operation such as the destination of export.", "$ref": "GoogleCloudDialogflowV2beta1ExportOperationMetadata" }, "state": { "readOnly": true, "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "description": "Required. Output only. The current state of this operation.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ] }, "knowledgeBase": { "description": "The name of the knowledge base interacted with during the operation.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata" }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse": { "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse", "description": "The simple response message containing speech or text.", "type": "object", "properties": { "ssml": { "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.", "type": "string" }, "displayText": { "description": "Optional. The text to display.", "type": "string" }, "textToSpeech": { "type": "string", "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml." } } }, "GoogleCloudDialogflowV2beta1EntityType": { "properties": { "displayName": { "description": "Required. The name of the entity type.", "type": "string" }, "entities": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "description": "Optional. The collection of entity entries associated with the entity type." }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`" }, "kind": { "type": "string", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ], "description": "Required. Indicates the kind of entity type.", "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ] }, "enableFuzzyExtraction": { "description": "Optional. Enables fuzzy entity extraction during classification.", "type": "boolean" }, "autoExpansionMode": { "type": "string", "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "description": "Optional. Indicates whether the entity type can be automatically expanded.", "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ] } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1EntityType", "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview)." }, "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata": { "description": "Metadata for UpdateDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata" }, "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata": { "properties": {}, "type": "object", "description": "Metadata for ConversationDatasets.", "id": "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata" }, "GoogleCloudDialogflowCxV3PageInfoFormInfo": { "properties": { "parameterInfo": { "items": { "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo" }, "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3PageInfoFormInfo", "type": "object", "description": "Represents form information." }, "GoogleCloudDialogflowV2ImportConversationDataOperationResponse": { "type": "object", "description": "Response used for ConversationDatasets.ImportConversationData long running operation.", "id": "GoogleCloudDialogflowV2ImportConversationDataOperationResponse", "properties": { "conversationDataset": { "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`", "type": "string" }, "importCount": { "format": "int32", "type": "integer", "description": "Number of conversations imported successfully." } } }, "GoogleCloudDialogflowV2QueryResult": { "properties": { "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request." }, "action": { "type": "string", "description": "The action name from the matched intent." }, "allRequiredParamsPresent": { "type": "boolean", "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters." }, "speechRecognitionConfidence": { "format": "float", "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.", "type": "number" }, "fulfillmentText": { "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.", "type": "string" }, "queryText": { "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.", "type": "string" }, "cancelsSlotFilling": { "type": "boolean", "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel)." }, "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "webhookSource": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.", "type": "string" }, "webhookPayload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.", "type": "object" }, "fulfillmentMessages": { "description": "The collection of rich messages to present to the user.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" }, "type": "array" }, "outputContexts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query." }, "diagnosticInfo": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors" }, "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "intent": { "$ref": "GoogleCloudDialogflowV2Intent", "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`." }, "intentDetectionConfidence": { "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.", "format": "float", "type": "number" } }, "id": "GoogleCloudDialogflowV2QueryResult", "description": "Represents the result of conversational query or event processing.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageText": { "id": "GoogleCloudDialogflowV2beta1IntentMessageText", "properties": { "text": { "description": "Optional. The collection of the agent's responses.", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "The text response message." }, "GoogleCloudDialogflowV2beta1SuggestionResult": { "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.", "properties": { "suggestSmartRepliesResponse": { "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY.", "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse" }, "error": { "$ref": "GoogleRpcStatus", "description": "Error status if the request failed." }, "suggestArticlesResponse": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse", "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION." }, "suggestFaqAnswersResponse": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse", "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER." } }, "id": "GoogleCloudDialogflowV2beta1SuggestionResult", "type": "object" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase": { "properties": { "caseContent": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent" }, "description": "A list of case content." }, "condition": { "type": "string", "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." } }, "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase", "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.", "type": "object" }, "GoogleCloudDialogflowV2beta1SuggestionArticle": { "description": "Represents suggested article.", "id": "GoogleCloudDialogflowV2beta1SuggestionArticle", "properties": { "snippets": { "description": "Output only. Article snippets.", "items": { "type": "string" }, "type": "array" }, "answerRecord": { "type": "string", "description": "Output only. The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "uri": { "description": "Output only. The article URI.", "type": "string" }, "metadata": { "description": "Output only. A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" }, "type": "object" }, "title": { "type": "string", "description": "Output only. The article title." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse": { "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse", "type": "object", "description": "The response message for TestCases.RunTestCase.", "properties": { "result": { "description": "The result.", "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" } } }, "GoogleCloudDialogflowCxV3beta1IntentInput": { "id": "GoogleCloudDialogflowCxV3beta1IntentInput", "properties": { "intent": { "type": "string", "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`." } }, "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "type": "object" }, "GoogleCloudDialogflowV2beta1BatchCreateMessagesResponse": { "description": "The request message for Conversations.BatchCreateMessagesResponse.", "id": "GoogleCloudDialogflowV2beta1BatchCreateMessagesResponse", "properties": { "messages": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Message" }, "description": "Messages created.", "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3TestError": { "description": "Error info for running a test.", "id": "GoogleCloudDialogflowCxV3TestError", "properties": { "testTime": { "type": "string", "format": "google-datetime", "description": "The timestamp when the test was completed." }, "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test." }, "testCase": { "description": "The test case resource name.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata": { "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "id": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "properties": { "state": { "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string", "readOnly": true, "description": "Required. Output only. The current state of this operation.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ] } } }, "GoogleCloudDialogflowV2beta1GcsDestination": { "id": "GoogleCloudDialogflowV2beta1GcsDestination", "type": "object", "description": "Google Cloud Storage location for the output.", "properties": { "uri": { "description": "Required. The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings": { "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings", "description": "Settings that determine how to filter recent conversation context when generating suggestions.", "type": "object", "properties": { "dropVirtualAgentMessages": { "description": "If set to true, all messages from virtual agent are dropped.", "type": "boolean" }, "dropHandoffMessages": { "description": "If set to true, the last message from virtual agent (hand off message) and the message before it (trigger message of hand off) are dropped.", "type": "boolean" }, "dropIvrMessages": { "description": "If set to true, all messages from ivr stage are dropped.", "type": "boolean" } } }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart": { "properties": { "text": { "description": "Required. The text for this part.", "type": "string" }, "userDefined": { "type": "boolean", "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true." }, "entityType": { "type": "string", "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase." }, "alias": { "type": "string", "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart", "description": "Represents a part of a training phrase." }, "GoogleCloudDialogflowCxV3IntentTrainingPhrase": { "description": "Represents an example that the agent is trained on to identify the intent.", "properties": { "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart" }, "type": "array" }, "repeatCount": { "description": "Indicates how many times this example was added to the intent.", "format": "int32", "type": "integer" }, "id": { "description": "Output only. The unique identifier of the training phrase.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrase", "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess": { "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue.", "properties": { "metadata": { "description": "Custom metadata. Dialogflow doesn't impose any structure on this.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess" }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction": { "properties": { "uri": { "type": "string", "description": "Required. The HTTP or HTTPS scheme URI." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction", "description": "Opens the given URI." }, "GoogleCloudDialogflowV2beta1Message": { "properties": { "sendTime": { "format": "google-datetime", "description": "Optional. The time when the message was sent.", "type": "string" }, "messageAnnotation": { "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1MessageAnnotation", "description": "Output only. The annotation for the message." }, "participantRole": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "readOnly": true, "type": "string", "description": "Output only. The role of the participant." }, "sentimentAnalysis": { "readOnly": true, "description": "Output only. The sentiment analysis result for the message.", "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult" }, "content": { "type": "string", "description": "Required. The message content." }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time when the message was created in Contact Center AI." }, "name": { "type": "string", "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`." }, "languageCode": { "type": "string", "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "participant": { "readOnly": true, "type": "string", "description": "Output only. The participant that sends this message." } }, "description": "Represents a message posted into a conversation.", "id": "GoogleCloudDialogflowV2beta1Message", "type": "object" }, "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata", "type": "object", "description": "Metadata for CreateDocument operation.", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionFeatureConfig": { "description": "Config for suggestion features.", "type": "object", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionFeatureConfig", "properties": { "conversationModelConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationModelConfig", "description": "Configs of custom conversation model." }, "suggestionTriggerSettings": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionTriggerSettings", "description": "Settings of suggestion trigger. Currently, only ARTICLE_SUGGESTION, FAQ, and DIALOGFLOW_ASSIST will use this field." }, "enableEventBasedSuggestion": { "type": "boolean", "description": "Automatically iterates all participants and tries to compile suggestions. Supported features: ARTICLE_SUGGESTION, FAQ, DIALOGFLOW_ASSIST." }, "conversationProcessConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationProcessConfig", "description": "Configs for processing conversation." }, "suggestionFeature": { "description": "The suggestion feature.", "$ref": "GoogleCloudDialogflowV2beta1SuggestionFeature" }, "queryConfig": { "description": "Configs of query.", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfig" } } }, "GoogleCloudDialogflowV2beta1ListAnswerRecordsResponse": { "id": "GoogleCloudDialogflowV2beta1ListAnswerRecordsResponse", "type": "object", "properties": { "answerRecords": { "type": "array", "description": "The list of answer records.", "items": { "$ref": "GoogleCloudDialogflowV2beta1AnswerRecord" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results. Or empty if there are no more results. Pass this value in the ListAnswerRecordsRequest.page_token field in the subsequent call to `ListAnswerRecords` method to retrieve the next page of results." } }, "description": "Response message for AnswerRecords.ListAnswerRecords." }, "GoogleCloudDialogflowV2beta1ListEntityTypesResponse": { "id": "GoogleCloudDialogflowV2beta1ListEntityTypesResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "entityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "description": "The list of agent entity types. There will be a maximum number of items returned based on the page_size field in the request.", "type": "array" } }, "type": "object", "description": "The response message for EntityTypes.ListEntityTypes." }, "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess": { "properties": { "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Custom metadata. Dialogflow doesn't impose any structure on this." } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess", "type": "object", "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue." }, "GoogleCloudDialogflowCxV3ConversationTurn": { "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.", "type": "object", "id": "GoogleCloudDialogflowCxV3ConversationTurn", "properties": { "userInput": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurnUserInput", "description": "The user input." }, "virtualAgentOutput": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput", "description": "The virtual agent output." } } }, "GoogleCloudDialogflowV2beta1SpeechContext": { "description": "Hints for the speech recognizer to help with recognition in a specific conversation state.", "properties": { "boost": { "type": "number", "description": "Optional. Boost for this context compared to other contexts: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the boost is positive, Dialogflow will increase the probability that the phrases in this context are recognized over similar sounding phrases. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the boost is unspecified or non-positive, Dialogflow will not apply any boost. Dialogflow recommends that you use boosts in the range (0, 20] and that you find a value that fits your use case with binary search.", "format": "float" }, "phrases": { "items": { "type": "string" }, "type": "array", "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. This list can be used to: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh improve accuracy for words and phrases you expect the user to say, e.g. typical commands for your Dialogflow agent LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh add additional words to the speech recognizer vocabulary LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ... See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/quotas) for usage limits." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1SpeechContext" }, "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata": { "properties": { "version": { "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`.", "type": "string" } }, "type": "object", "description": "Metadata associated with the long running operation for Versions.CreateVersion.", "id": "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo": { "properties": { "tag": { "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo", "description": "Represents fulfillment information communicated to the webhook.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject": { "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject", "properties": { "description": { "type": "string", "description": "Optional. Description of media card." }, "icon": { "description": "Optional. Icon to display above media content.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "contentUrl": { "description": "Required. Url where the media is stored.", "type": "string" }, "largeImage": { "description": "Optional. Image to display above media content.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "name": { "description": "Required. Name of media card.", "type": "string" } }, "type": "object", "description": "Response media object for media content card." }, "GoogleCloudDialogflowCxV3beta1ResponseMessage": { "properties": { "text": { "description": "Returns a text response.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" }, "payload": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Returns a response containing a custom, platform-specific payload." }, "telephonyTransferCall": { "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall" }, "liveAgentHandoff": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff", "description": "Hands off conversation to a human agent." }, "mixedAudio": { "readOnly": true, "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio" }, "playAudio": { "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio" }, "endInteraction": { "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.", "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction" }, "outputAudioText": { "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText" }, "conversationSuccess": { "description": "Indicates that the conversation succeeded.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess" } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessage", "type": "object", "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard." }, "GoogleCloudDialogflowV2IntentMessageSelectItemInfo": { "id": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "type": "object", "properties": { "synonyms": { "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog.", "items": { "type": "string" }, "type": "array" }, "key": { "description": "Required. A unique key that will be sent back to the agent if this response is given.", "type": "string" } }, "description": "Additional info about the select item for when it is triggered in a dialog." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "description": "Standalone Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. You can group multiple rich cards into one using RbmCarouselCard but carousel cards will give you less control over the card layout.", "properties": { "cardOrientation": { "enumDescriptions": [ "Not specified.", "Horizontal layout.", "Vertical layout." ], "type": "string", "description": "Required. Orientation of the card.", "enum": [ "CARD_ORIENTATION_UNSPECIFIED", "HORIZONTAL", "VERTICAL" ] }, "cardContent": { "description": "Required. Card content.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "thumbnailImageAlignment": { "enumDescriptions": [ "Not specified.", "Thumbnail preview is left-aligned.", "Thumbnail preview is right-aligned." ], "enum": [ "THUMBNAIL_IMAGE_ALIGNMENT_UNSPECIFIED", "LEFT", "RIGHT" ], "type": "string", "description": "Required if orientation is horizontal. Image preview alignment for standalone cards with horizontal layout." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1TrainAgentRequest": { "type": "object", "properties": {}, "description": "The request message for Agents.TrainAgent.", "id": "GoogleCloudDialogflowV2beta1TrainAgentRequest" }, "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig": { "type": "object", "properties": { "webhookOverrides": { "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "items": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig", "description": "Configuration for webhooks." }, "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput": { "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput", "properties": { "sessionParameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The session parameters available to the bot at this point.", "type": "object" }, "diagnosticInfo": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.", "type": "object" }, "differences": { "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.", "readOnly": true, "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestRunDifference" } }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3beta1Page", "description": "The Page on which the utterance was spoken. Only name and displayName will be set." }, "status": { "$ref": "GoogleRpcStatus", "description": "Response error from the agent in the test result. If set, other output is empty." }, "textResponses": { "type": "array", "description": "The text responses from the agent for the turn.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" } }, "triggeredIntent": { "description": "The Intent that triggered the response. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3beta1Intent" } }, "type": "object", "description": "The output from the virtual agent." }, "GoogleCloudDialogflowV2beta1Environment": { "description": "You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for: - testing - development - production - etc. For more information, see the [versions and environments guide](https://cloud.google.com/dialogflow/docs/agents-versions).", "type": "object", "properties": { "textToSpeechSettings": { "description": "Optional. Text to speech settings for this environment.", "$ref": "GoogleCloudDialogflowV2beta1TextToSpeechSettings" }, "fulfillment": { "description": "Optional. The fulfillment settings to use for this environment.", "$ref": "GoogleCloudDialogflowV2beta1Fulfillment" }, "description": { "type": "string", "description": "Optional. The developer-provided description for this environment. The maximum length is 500 characters. If exceeded, the request is rejected." }, "state": { "readOnly": true, "description": "Output only. The state of this environment. This field is read-only, i.e., it cannot be set by create and update methods.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "STOPPED", "LOADING", "RUNNING" ], "enumDescriptions": [ "Not specified. This value is not used.", "Stopped.", "Loading.", "Running." ] }, "agentVersion": { "description": "Optional. The agent version loaded into this environment. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "type": "string" }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The last update time of this environment. This field is read-only, i.e., it cannot be set by create and update methods." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The unique identifier of this agent environment. Supported formats: - `projects//agent/environments/` - `projects//locations//agent/environments/`" } }, "id": "GoogleCloudDialogflowV2beta1Environment" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswers": { "properties": { "answers": { "items": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer" }, "type": "array", "description": "A list of answers from Knowledge Connector." } }, "description": "Represents the result of querying a Knowledge base.", "type": "object", "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswers" }, "GoogleCloudDialogflowV2beta1AnnotatedMessagePart": { "type": "object", "properties": { "entityType": { "description": "Optional. The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.", "type": "string" }, "text": { "type": "string", "description": "Required. A part of a message possibly annotated with an entity." }, "formattedValue": { "type": "any", "description": "Optional. The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } " } }, "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.", "id": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart" }, "GoogleCloudDialogflowV2IntentFollowupIntentInfo": { "properties": { "followupIntentName": { "type": "string", "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`." }, "parentFollowupIntentName": { "type": "string", "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`." } }, "description": "Represents a single followup intent in the chain.", "type": "object", "id": "GoogleCloudDialogflowV2IntentFollowupIntentInfo" }, "GoogleCloudDialogflowV2beta1TextInput": { "id": "GoogleCloudDialogflowV2beta1TextInput", "description": "Represents the natural language text to be processed.", "type": "object", "properties": { "text": { "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters.", "type": "string" }, "languageCode": { "description": "Required. The language of this conversational query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1WebhookRequest": { "id": "GoogleCloudDialogflowV2beta1WebhookRequest", "type": "object", "description": "The request message for a webhook call.", "properties": { "queryResult": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult", "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`." }, "alternativeQueryResults": { "description": "Alternative query results from KnowledgeService.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult" } }, "responseId": { "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.", "type": "string" }, "originalDetectIntentRequest": { "$ref": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest", "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call." }, "session": { "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`,", "type": "string" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial": { "properties": { "phoneNumber": { "description": "Required. The phone number to fill in the default dialer app. This field should be in [E.164](https://en.wikipedia.org/wiki/E.164) format. An example of a correctly formatted phone number: +15556767888.", "type": "string" } }, "description": "Opens the user's default dialer app with the specified phone number but does not dial automatically.", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial", "type": "object" }, "GoogleCloudDialogflowV2beta1SuggestArticlesResponse": { "properties": { "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesResponse.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32", "type": "integer" }, "articleAnswers": { "description": "Output only. Articles ordered by score in descending order.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1ArticleAnswer" } }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." } }, "id": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse", "type": "object", "description": "The response message for Participants.SuggestArticles." }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestion": { "type": "object", "properties": { "title": { "description": "Required. The text shown the in the suggestion chip.", "type": "string" } }, "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation.", "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion" }, "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput": { "description": "The output from the virtual agent.", "id": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput", "properties": { "currentPage": { "description": "The Page on which the utterance was spoken. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3Page" }, "status": { "$ref": "GoogleRpcStatus", "description": "Response error from the agent in the test result. If set, other output is empty." }, "diagnosticInfo": { "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "textResponses": { "description": "The text responses from the agent for the turn.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText" } }, "triggeredIntent": { "description": "The Intent that triggered the response. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3Intent" }, "sessionParameters": { "description": "The session parameters available to the bot at this point.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "differences": { "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestRunDifference" }, "readOnly": true } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri": { "type": "object", "properties": { "uri": { "description": "Required. The uri to open on the user device", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri", "description": "Opens the user's default web browser app to the specified uri If the user has an app installed that is registered as the default handler for the URL, then this app will be opened instead, and its icon will be used in the suggested action UI." }, "GoogleCloudDialogflowV2beta1SpeechToTextConfig": { "type": "object", "properties": { "speechModelVariant": { "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ], "description": "The speech model used in speech to text. `SPEECH_MODEL_VARIANT_UNSPECIFIED`, `USE_BEST_AVAILABLE` will be treated as `USE_ENHANCED`. It can be overridden in AnalyzeContentRequest and StreamingAnalyzeContentRequest request. If enhanced model variant is specified and an enhanced version of the specified model for the language does not exist, then it would emit an error.", "type": "string" } }, "description": "Configures speech transcription for ConversationProfile.", "id": "GoogleCloudDialogflowV2beta1SpeechToTextConfig" }, "GoogleCloudDialogflowCxV3ResponseMessageText": { "id": "GoogleCloudDialogflowCxV3ResponseMessageText", "type": "object", "properties": { "allowPlaybackInterruption": { "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true }, "text": { "items": { "type": "string" }, "description": "Required. A collection of text responses.", "type": "array" } }, "description": "The text response message." }, "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall": { "properties": { "phoneNumber": { "type": "string", "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164)." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall", "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint." }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase": { "properties": { "repeatCount": { "format": "int32", "type": "integer", "description": "Indicates how many times this example was added to the intent." }, "parts": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart" }, "type": "array", "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set." }, "id": { "description": "Output only. The unique identifier of the training phrase.", "type": "string" } }, "type": "object", "description": "Represents an example that the agent is trained on to identify the intent.", "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase" }, "GoogleCloudDialogflowCxV3IntentParameter": { "type": "object", "id": "GoogleCloudDialogflowCxV3IntentParameter", "description": "Represents an intent parameter.", "properties": { "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "id": { "type": "string", "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts." }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" }, "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." } } }, "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest": { "properties": { "source": { "type": "string", "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers." }, "version": { "description": "Optional. The version of the protocol used for this request. This field is AoG-specific.", "type": "string" }, "payload": { "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "id": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest", "type": "object", "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call." }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent": { "type": "object", "properties": { "suggestionResults": { "type": "array", "description": "The suggestion results payload that this notification refers to. It will only be set when HumanAgentAssistantConfig.SuggestionConfig.group_suggestion_responses sets to true.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionResult" } }, "conversation": { "type": "string", "description": "The conversation this notification refers to. Format: `projects//conversations/`." }, "participant": { "type": "string", "description": "The participant that the suggestion is compiled for. And This field is used to call Participants.ListSuggestions API. Format: `projects//conversations//participants/`. It will not be set in legacy workflow. HumanAgentAssistantConfig.name for more information." } }, "description": "Output only. Represents a notification sent to Pub/Sub subscribers for agent assistant events in a specific conversation.", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent" }, "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata": { "description": "Metadata for ReloadDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } }, "id": "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall", "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.", "type": "object", "properties": { "phoneNumber": { "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).", "type": "string" } } }, "GoogleCloudDialogflowV2beta1Conversation": { "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of this conversation. Format: `projects//locations//conversations/`." }, "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the conversation was finished." }, "conversationProfile": { "description": "Required. The Conversation Profile to be used to configure this Conversation. This field cannot be updated. Format: `projects//locations//conversationProfiles/`.", "type": "string" }, "lifecycleState": { "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "IN_PROGRESS", "COMPLETED" ], "description": "Output only. The current state of the Conversation.", "readOnly": true, "enumDescriptions": [ "Unknown.", "Conversation is currently open for media analysis.", "Conversation has been completed." ], "type": "string" }, "phoneNumber": { "$ref": "GoogleCloudDialogflowV2beta1ConversationPhoneNumber", "description": "Output only. Required if the conversation is to be connected over telephony.", "readOnly": true }, "startTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the conversation was started.", "readOnly": true }, "conversationStage": { "type": "string", "enumDescriptions": [ "Unknown. Should never be used after a conversation is successfully created.", "The conversation should return virtual agent responses into the conversation.", "The conversation should not provide responses, just listen and provide suggestions." ], "enum": [ "CONVERSATION_STAGE_UNSPECIFIED", "VIRTUAL_AGENT_STAGE", "HUMAN_ASSIST_STAGE" ], "description": "The stage of a conversation. It indicates whether the virtual agent or a human agent is handling the conversation. If the conversation is created with the conversation profile that has Dialogflow config set, defaults to ConversationStage.VIRTUAL_AGENT_STAGE; Otherwise, defaults to ConversationStage.HUMAN_ASSIST_STAGE. If the conversation is created with the conversation profile that has Dialogflow config set but explicitly sets conversation_stage to ConversationStage.HUMAN_ASSIST_STAGE, it skips ConversationStage.VIRTUAL_AGENT_STAGE stage and directly goes to ConversationStage.HUMAN_ASSIST_STAGE." } }, "id": "GoogleCloudDialogflowV2beta1Conversation", "description": "Represents a conversation. A conversation is an interaction between an agent, including live agents and Dialogflow agents, and a support customer. Conversations can include phone calls and text-based chat sessions.", "type": "object" }, "GoogleCloudDialogflowV2GcsDestination": { "id": "GoogleCloudDialogflowV2GcsDestination", "description": "Google Cloud Storage location for the output.", "properties": { "uri": { "type": "string", "description": "The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1SessionEntityType": { "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).", "type": "object", "properties": { "entities": { "description": "Required. The collection of entities associated with this session entity type.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" } }, "name": { "type": "string", "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." }, "entityOverrideMode": { "type": "string", "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ] } }, "id": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "GoogleCloudDialogflowV2EntityTypeEntity": { "properties": { "value": { "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases).", "type": "string" }, "synonyms": { "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "An **entity entry** for an associated entity type.", "id": "GoogleCloudDialogflowV2EntityTypeEntity" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio", "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "properties": { "segments": { "description": "Segments this audio response is composed of.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment" } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "description": "Browsing carousel tile", "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem", "properties": { "openUriAction": { "description": "Required. Action to present to the user.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" }, "image": { "description": "Optional. Hero image for the carousel item.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "footer": { "type": "string", "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text." }, "description": { "description": "Optional. Description of the carousel item. Maximum of four lines of text.", "type": "string" }, "title": { "type": "string", "description": "Required. Title of the carousel item. Maximum of two lines of text." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ConversationTurnUserInput": { "description": "The input from the human user.", "type": "object", "properties": { "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" }, "isWebhookEnabled": { "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.", "type": "boolean" }, "input": { "$ref": "GoogleCloudDialogflowCxV3QueryInput", "description": "Supports text input, event input, dtmf input in the test case." }, "injectedParameters": { "description": "Parameters that need to be injected into the conversation during intent detection.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "id": "GoogleCloudDialogflowCxV3ConversationTurnUserInput" }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo": { "description": "Represents form information.", "properties": { "parameterInfo": { "type": "array", "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo" } } }, "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo", "type": "object" }, "GoogleCloudDialogflowCxV3ExportTestCasesMetadata": { "type": "object", "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.", "id": "GoogleCloudDialogflowCxV3ExportTestCasesMetadata", "properties": {} }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource": { "description": "Knowledge base source settings. Supported features: ARTICLE_SUGGESTION, FAQ.", "type": "object", "properties": { "knowledgeBases": { "description": "Required. Knowledge bases to query. Format: `projects//locations//knowledgeBases/`. Currently, only one knowledge base is supported.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource" }, "GoogleCloudDialogflowV2beta1SuggestionFaqAnswer": { "type": "object", "properties": { "answer": { "type": "string", "description": "Output only. The piece of text from the `source` knowledge base document." }, "question": { "type": "string", "description": "Output only. The corresponding FAQ question." }, "metadata": { "description": "Output only. A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" }, "type": "object" }, "source": { "type": "string", "description": "Output only. Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`." }, "answerRecord": { "description": "Output only. The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." } }, "id": "GoogleCloudDialogflowV2beta1SuggestionFaqAnswer", "description": "Represents suggested answer from \"frequently asked questions\"." }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem", "description": "An item in the carousel.", "properties": { "title": { "description": "Required. Title of the carousel item.", "type": "string" }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image to display." }, "description": { "type": "string", "description": "Optional. The body text of the card." }, "info": { "description": "Required. Additional info about the option item.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo" } } }, "GoogleCloudDialogflowCxV3DeployFlowResponse": { "properties": { "deployment": { "type": "string", "description": "The name of the flow version Deployment. Format: `projects//locations//agents// environments//deployments/`." }, "environment": { "$ref": "GoogleCloudDialogflowCxV3Environment", "description": "The updated environment where the flow is deployed." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3DeployFlowResponse", "description": "The response message for Environments.DeployFlow." }, "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem": { "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem", "type": "object", "description": "An item in the carousel.", "properties": { "title": { "type": "string", "description": "Required. Title of the carousel item." }, "info": { "description": "Required. Additional info about the option item.", "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo" }, "description": { "description": "Optional. The body text of the card.", "type": "string" }, "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. The image to display." } } }, "GoogleCloudDialogflowCxV3beta1ExportAgentResponse": { "id": "GoogleCloudDialogflowCxV3beta1ExportAgentResponse", "properties": { "agentContent": { "format": "byte", "type": "string", "description": "Uncompressed raw byte content for agent." }, "agentUri": { "type": "string", "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest." } }, "description": "The response message for Agents.ExportAgent.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata": { "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata", "description": "Metadata returned for the Environments.RunContinuousTest long running operation.", "type": "object", "properties": { "errors": { "type": "array", "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" } } } }, "GoogleCloudDialogflowV2IntentMessageBasicCardButton": { "properties": { "openUriAction": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction", "description": "Required. Action to take when a user taps on the button." }, "title": { "description": "Required. The title of the button.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButton", "description": "The button object that appears at the bottom of a card.", "type": "object" }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationModelConfig": { "properties": { "model": { "description": "Conversation model resource name. Format: `projects//conversationModels/`.", "type": "string" } }, "description": "Custom conversation models used in agent assist feature. Supported feature: ARTICLE_SUGGESTION, SMART_COMPOSE, SMART_REPLY, CONVERSATION_SUMMARIZATION.", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationModelConfig", "type": "object" }, "GoogleCloudDialogflowV2beta1EntityTypeEntity": { "id": "GoogleCloudDialogflowV2beta1EntityTypeEntity", "properties": { "synonyms": { "items": { "type": "string" }, "type": "array", "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`." }, "value": { "type": "string", "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases)." } }, "type": "object", "description": "An **entity entry** for an associated entity type." }, "GoogleLongrunningListOperationsResponse": { "type": "object", "id": "GoogleLongrunningListOperationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array" } }, "description": "The response message for Operations.ListOperations." }, "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata": { "description": "Metadata for UpdateDocument operation.", "id": "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object" }, "GoogleCloudDialogflowV2IntentMessageTableCardCell": { "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCardCell", "description": "Cell of TableCardRow.", "properties": { "text": { "description": "Required. Text in this cell.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction": { "properties": { "parameter": { "type": "string", "description": "Display name of the parameter." }, "value": { "type": "any", "description": "The new value of the parameter. A null value clears the parameter." } }, "description": "Setting a parameter value.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction" }, "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText": { "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "id": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText", "properties": { "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean", "readOnly": true }, "text": { "description": "The raw text to be synthesized.", "type": "string" }, "ssml": { "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageCardButton": { "properties": { "postback": { "type": "string", "description": "Optional. The text to send back to the Dialogflow API or a URI to open." }, "text": { "type": "string", "description": "Optional. The text to show on the button." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageCardButton", "type": "object", "description": "Optional. Contains information about a button." }, "GoogleCloudDialogflowV2beta1IntentMessageTableCard": { "description": "Table card for Actions on Google.", "type": "object", "properties": { "subtitle": { "type": "string", "description": "Optional. Subtitle to the title." }, "image": { "description": "Optional. Image which should be displayed on the card.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "title": { "description": "Required. Title of the card.", "type": "string" }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "type": "array", "description": "Optional. List of buttons for the card." }, "columnProperties": { "description": "Optional. Display properties for the columns in this table.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties" }, "type": "array" }, "rows": { "type": "array", "description": "Optional. Rows in this table of data.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow" } } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCard" }, "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse": { "id": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse", "type": "object", "description": "Represents a fulfillment response to the user.", "properties": { "mergeBehavior": { "description": "Merge behavior for `messages`.", "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ], "type": "string" }, "messages": { "description": "The list of rich message responses to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" } } } }, "GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction": { "type": "object", "properties": {}, "description": "Indicates that interaction with the Dialogflow agent has ended.", "id": "GoogleCloudDialogflowV2beta1ResponseMessageEndInteraction" }, "GoogleCloudDialogflowCxV3beta1TestCaseError": { "id": "GoogleCloudDialogflowCxV3beta1TestCaseError", "properties": { "status": { "description": "The status associated with the test case.", "$ref": "GoogleRpcStatus" }, "testCase": { "description": "The test case.", "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" } }, "type": "object", "description": "Error info for importing a test." }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse": { "description": "The response message for TestCases.BatchRunTestCases.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse", "properties": { "results": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "description": "The test case results. The detailed conversation turns are empty in this response." } } }, "GoogleCloudDialogflowV2beta1AgentAssistantFeedback": { "properties": { "documentCorrectness": { "type": "string", "description": "Optional. Whether or not the information in the document is correct. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query: \"Can I return the package in 2 days once received?\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suggested document says: \"Items must be returned/exchanged within 60 days of the purchase date.\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ground truth: \"No return or exchange is allowed.\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [document_correctness]: INCORRECT", "enumDescriptions": [ "Document correctness unspecified.", "Information in document is incorrect.", "Information in document is correct." ], "enum": [ "DOCUMENT_CORRECTNESS_UNSPECIFIED", "INCORRECT", "CORRECT" ] }, "documentEfficiency": { "enumDescriptions": [ "Document efficiency unspecified.", "Document is inefficient.", "Document is efficient." ], "type": "string", "description": "Optional. Whether or not the suggested document is efficient. For example, if the document is poorly written, hard to understand, hard to use or too long to find useful information, document_efficiency is DocumentEfficiency.INEFFICIENT.", "enum": [ "DOCUMENT_EFFICIENCY_UNSPECIFIED", "INEFFICIENT", "EFFICIENT" ] }, "summarizationFeedback": { "$ref": "GoogleCloudDialogflowV2beta1AgentAssistantFeedbackSummarizationFeedback", "description": "Feedback for conversation summarization." }, "answerRelevance": { "description": "Optional. Whether or not the suggested answer is relevant. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Query: \"Can I change my mailing address?\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Suggested document says: \"Items must be returned/exchanged within 60 days of the purchase date.\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh answer_relevance: AnswerRelevance.IRRELEVANT", "enum": [ "ANSWER_RELEVANCE_UNSPECIFIED", "IRRELEVANT", "RELEVANT" ], "enumDescriptions": [ "Answer relevance unspecified.", "Answer is irrelevant to query.", "Answer is relevant to query." ], "type": "string" } }, "type": "object", "description": "Detail feedback of Agent Assistant result.", "id": "GoogleCloudDialogflowV2beta1AgentAssistantFeedback" }, "GoogleCloudDialogflowCxV3beta1WebhookRequest": { "id": "GoogleCloudDialogflowCxV3beta1WebhookRequest", "type": "object", "properties": { "payload": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Custom data set in QueryParameters.payload." }, "sessionInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo", "description": "Information about session status." }, "pageInfo": { "description": "Information about page status.", "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo" }, "intentInfo": { "description": "Information about the last matched intent.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "detectIntentResponseId": { "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.", "type": "string" }, "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;", "type": "array" }, "fulfillmentInfo": { "description": "Always present. Information about the fulfillment that triggered this webhook call.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo" }, "triggerEvent": { "type": "string", "description": "If an event was provided as input, this field will contain the name of the event." }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "triggerIntent": { "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.", "type": "string" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult", "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request." }, "languageCode": { "type": "string", "description": "The language code specified in the original request." } }, "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored." }, "GoogleCloudDialogflowV2beta1BatchCreateEntitiesRequest": { "id": "GoogleCloudDialogflowV2beta1BatchCreateEntitiesRequest", "description": "The request message for EntityTypes.BatchCreateEntities.", "properties": { "entities": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "description": "Required. The entities to create." }, "languageCode": { "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1EnvironmentHistoryEntry": { "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "The creation time of this environment history entry." }, "description": { "type": "string", "description": "The developer-provided description for this environment history entry." }, "agentVersion": { "description": "The agent version loaded into this environment history entry.", "type": "string" } }, "description": "Represents an environment history entry.", "id": "GoogleCloudDialogflowV2beta1EnvironmentHistoryEntry", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction", "properties": {}, "type": "object", "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user." }, "GoogleCloudDialogflowCxV3EventHandler": { "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3EventHandler", "type": "object", "properties": { "event": { "description": "Required. The name of the event to handle.", "type": "string" }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks." }, "name": { "readOnly": true, "description": "Output only. The unique identifier of this event handler.", "type": "string" }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." } } }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse": { "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "description": "Response message for Documents.ImportDocuments.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestions": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions", "properties": { "suggestions": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion" }, "type": "array", "description": "Required. The list of suggested replies." } }, "description": "The collection of suggestions." }, "GoogleCloudDialogflowV2beta1ListMessagesResponse": { "type": "object", "description": "The response message for Conversations.ListMessages.", "properties": { "nextPageToken": { "type": "string", "description": "Optional. Token to retrieve the next page of results, or empty if there are no more results in the list." }, "messages": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Message" }, "type": "array", "description": "Required. The list of messages. There will be a maximum number of items returned based on the page_size field in the request. `messages` is sorted by `create_time` in descending order." } }, "id": "GoogleCloudDialogflowV2beta1ListMessagesResponse" }, "GoogleCloudDialogflowV2beta1DetectIntentRequest": { "properties": { "queryParams": { "$ref": "GoogleCloudDialogflowV2beta1QueryParameters", "description": "The parameters of this query." }, "outputAudioConfigMask": { "description": "Mask for output_audio_config indicating which settings in this request-level config should override speech synthesizer settings defined at agent-level. If unspecified or empty, output_audio_config replaces the agent-level config in its entirety.", "type": "string", "format": "google-fieldmask" }, "outputAudioConfig": { "$ref": "GoogleCloudDialogflowV2beta1OutputAudioConfig", "description": "Instructs the speech synthesizer how to generate the output audio. If this field is not set and agent-level speech synthesizer is not configured, no output audio is generated." }, "inputAudio": { "description": "The natural language speech audio to be processed. This field should be populated iff `query_input` is set to an input audio config. A single request can contain up to 1 minute of speech audio data.", "format": "byte", "type": "string" }, "queryInput": { "description": "Required. The input specification. It can be set to: 1. an audio config which instructs the speech recognizer how to process the speech audio, 2. a conversational query in the form of text, or 3. an event that specifies which intent to trigger.", "$ref": "GoogleCloudDialogflowV2beta1QueryInput" } }, "id": "GoogleCloudDialogflowV2beta1DetectIntentRequest", "type": "object", "description": "The request to detect user's intent." }, "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata": { "description": "Metadata for a ConversationModels.CreateConversationModel operation.", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when the request to create conversation model is submitted. The time is measured on server side." }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "SUCCEEDED", "FAILED", "CANCELLED", "CANCELLING", "TRAINING" ], "type": "string", "enumDescriptions": [ "Invalid.", "Request is submitted, but training has not started yet. The model may remain in this state until there is enough capacity to start training.", "The training has succeeded.", "The training has succeeded.", "The training has been cancelled.", "The training is in cancelling state.", "Custom model is training." ], "description": "State of CreateConversationModel operation." } }, "id": "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult": { "properties": { "magnitude": { "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float", "type": "number" }, "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number", "format": "float" } }, "id": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult", "type": "object", "description": "Represents the result of sentiment analysis." }, "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata", "description": "Metadata for ImportDocuments operation.", "type": "object" }, "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata": { "description": "Metadata for DeleteDocument operation.", "id": "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata", "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleCloudDialogflowV2beta1LoggingConfig": { "description": "Defines logging behavior for conversation lifecycle events.", "type": "object", "properties": { "enableStackdriverLogging": { "type": "boolean", "description": "Whether to log conversation events like CONVERSATION_STARTED to Stackdriver in the conversation project as JSON format ConversationEvent protos." } }, "id": "GoogleCloudDialogflowV2beta1LoggingConfig" }, "GoogleCloudDialogflowV2beta1ListConversationsResponse": { "description": "The response message for Conversations.ListConversations.", "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "conversations": { "description": "The list of conversations. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Conversation" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1ListConversationsResponse" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer": { "properties": { "faqQuestion": { "description": "The corresponding FAQ question if the answer was extracted from a FAQ Document, empty otherwise.", "type": "string" }, "matchConfidence": { "type": "number", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query. The range is from 0.0 (completely uncertain) to 1.0 (completely certain). Note: The confidence score is likely to vary somewhat (possibly even for identical requests), as the underlying model is under constant improvement. It may be deprecated in the future. We recommend using `match_confidence_level` which should be generally more stable.", "format": "float" }, "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//knowledgeBases//documents/`.", "type": "string" }, "answer": { "description": "The piece of text from the `source` knowledge base document that answers this conversational query.", "type": "string" }, "matchConfidenceLevel": { "enumDescriptions": [ "Not specified.", "Indicates that the confidence is low.", "Indicates our confidence is medium.", "Indicates our confidence is high." ], "description": "The system's confidence level that this knowledge answer is a good match for this conversational query. NOTE: The confidence level for a given `` pair may change without notice, as it depends on models that are constantly being improved. However, it will change less frequently than the confidence score below, and should be preferred for referencing the quality of an answer.", "enum": [ "MATCH_CONFIDENCE_LEVEL_UNSPECIFIED", "LOW", "MEDIUM", "HIGH" ], "type": "string" } }, "type": "object", "description": "An answer from Knowledge Connector.", "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer" }, "GoogleCloudDialogflowV2beta1CompleteConversationRequest": { "properties": {}, "id": "GoogleCloudDialogflowV2beta1CompleteConversationRequest", "description": "The request message for Conversations.CompleteConversation.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell": { "description": "Cell of TableCardRow.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell", "type": "object", "properties": { "text": { "type": "string", "description": "Required. Text in this cell." } } }, "GoogleCloudDialogflowV2IntentMessageImage": { "properties": { "accessibilityText": { "type": "string", "description": "Optional. A text description of the image to be used for accessibility, e.g., screen readers." }, "imageUri": { "description": "Optional. The public URI to an image file.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageImage", "type": "object", "description": "The image response message." }, "GoogleCloudDialogflowCxV3ResponseMessage": { "type": "object", "properties": { "liveAgentHandoff": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff", "description": "Hands off conversation to a human agent." }, "conversationSuccess": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess", "description": "Indicates that the conversation succeeded." }, "mixedAudio": { "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio", "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user." }, "text": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText", "description": "Returns a text response." }, "outputAudioText": { "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText" }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "endInteraction": { "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction", "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response." }, "telephonyTransferCall": { "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall" }, "playAudio": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio", "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way." } }, "id": "GoogleCloudDialogflowCxV3ResponseMessage", "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard." }, "GoogleCloudDialogflowV2IntentMessageSuggestion": { "id": "GoogleCloudDialogflowV2IntentMessageSuggestion", "properties": { "title": { "description": "Required. The text shown the in the suggestion chip.", "type": "string" } }, "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation.", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageSimpleResponse": { "type": "object", "description": "The simple response message containing speech or text.", "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponse", "properties": { "textToSpeech": { "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.", "type": "string" }, "displayText": { "description": "Optional. The text to display.", "type": "string" }, "ssml": { "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.", "type": "string" } } }, "GoogleCloudDialogflowV2IntentMessageSuggestions": { "properties": { "suggestions": { "description": "Required. The list of suggested replies.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestion" }, "type": "array" } }, "description": "The collection of suggestions.", "id": "GoogleCloudDialogflowV2IntentMessageSuggestions", "type": "object" }, "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment": { "description": "Represents one segment of audio.", "id": "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment", "type": "object", "properties": { "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client." }, "audio": { "type": "string", "format": "byte", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request." }, "allowPlaybackInterruption": { "description": "Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.", "type": "boolean" } } }, "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata": { "properties": { "createTime": { "type": "string", "description": "Timestamp when delete conversation model request was created. The time is measured on server side.", "format": "google-datetime" }, "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" } }, "type": "object", "id": "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata", "description": "Metadata for a ConversationModels.DeleteConversationModel operation." }, "GoogleCloudDialogflowV2beta1ListContextsResponse": { "properties": { "contexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "type": "array", "description": "The list of contexts. There will be a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "The response message for Contexts.ListContexts.", "type": "object", "id": "GoogleCloudDialogflowV2beta1ListContextsResponse" }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses": { "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.", "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses", "type": "object", "properties": { "simpleResponses": { "description": "Required. The list of simple responses.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse" } } } }, "GoogleCloudDialogflowV2beta1DetectIntentResponse": { "type": "object", "id": "GoogleCloudDialogflowV2beta1DetectIntentResponse", "properties": { "webhookStatus": { "description": "Specifies the status of the webhook request.", "$ref": "GoogleRpcStatus" }, "outputAudioConfig": { "$ref": "GoogleCloudDialogflowV2beta1OutputAudioConfig", "description": "The config used by the speech synthesizer to generate the output audio." }, "alternativeQueryResults": { "description": "If Knowledge Connectors are enabled, there could be more than one result returned for a given query or event, and this field will contain all results except for the top one, which is captured in query_result. The alternative results are ordered by decreasing `QueryResult.intent_detection_confidence`. If Knowledge Connectors are disabled, this field will be empty until multiple responses for regular intents are supported, at which point those additional results will be surfaced here.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult" } }, "responseId": { "description": "The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.", "type": "string" }, "outputAudio": { "format": "byte", "description": "The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.fulfillment_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.", "type": "string" }, "queryResult": { "description": "The selected results of the conversational query or event processing. See `alternative_query_results` for additional potential results.", "$ref": "GoogleCloudDialogflowV2beta1QueryResult" } }, "description": "The message returned from the DetectIntent method." }, "GoogleCloudDialogflowCxV3beta1Environment": { "id": "GoogleCloudDialogflowCxV3beta1Environment", "properties": { "testCasesConfig": { "description": "The test cases config for continuous tests of this environment.", "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig" }, "name": { "description": "The name of the environment. Format: `projects//locations//agents//environments/`.", "type": "string" }, "webhookConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig", "description": "The webhook configuration for this environment." }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Update time of this environment." }, "versionConfigs": { "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig" } }, "description": { "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "displayName": { "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.", "type": "string" } }, "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.", "type": "object" }, "GoogleCloudDialogflowCxV3ExportFlowResponse": { "properties": { "flowUri": { "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.", "type": "string" }, "flowContent": { "description": "Uncompressed raw byte content for flow.", "format": "byte", "type": "string" } }, "description": "The response message for Flows.ExportFlow.", "type": "object", "id": "GoogleCloudDialogflowCxV3ExportFlowResponse" }, "GoogleCloudDialogflowV2beta1ExportAgentRequest": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ExportAgentRequest", "properties": { "agentUri": { "type": "string", "description": "Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the agent to. The format of this URI must be `gs:///`. If left unspecified, the serialized agent is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." } }, "description": "The request message for Agents.ExportAgent." }, "GoogleCloudDialogflowV2beta1ConversationProfile": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ConversationProfile", "properties": { "securitySettings": { "description": "Name of the CX SecuritySettings reference for the agent. Format: `projects//locations//securitySettings/`.", "type": "string" }, "timeZone": { "description": "The time zone of this conversational profile from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. Defaults to America/New_York.", "type": "string" }, "loggingConfig": { "$ref": "GoogleCloudDialogflowV2beta1LoggingConfig", "description": "Configuration for logging conversation lifecycle events." }, "notificationConfig": { "$ref": "GoogleCloudDialogflowV2beta1NotificationConfig", "description": "Configuration for publishing conversation lifecycle events." }, "displayName": { "description": "Required. Human readable name for this profile. Max length 1024 bytes.", "type": "string" }, "automatedAgentConfig": { "description": "Configuration for an automated agent to use with this profile.", "$ref": "GoogleCloudDialogflowV2beta1AutomatedAgentConfig" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Create time of the conversation profile.", "readOnly": true }, "humanAgentHandoffConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfig", "description": "Configuration for connecting to a live agent. Currently, this feature is not general available, please contact Google to get access." }, "humanAgentAssistantConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfig", "description": "Configuration for agent assistance to use with this profile." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. Update time of the conversation profile.", "readOnly": true }, "name": { "type": "string", "description": "The unique identifier of this conversation profile. Format: `projects//locations//conversationProfiles/`." }, "newMessageEventNotificationConfig": { "description": "Configuration for publishing new message events. Event will be sent in format of ConversationEvent", "$ref": "GoogleCloudDialogflowV2beta1NotificationConfig" }, "sttConfig": { "description": "Settings for speech transcription.", "$ref": "GoogleCloudDialogflowV2beta1SpeechToTextConfig" }, "languageCode": { "description": "Language code for the conversation profile. If not specified, the language is en-US. Language at ConversationProfile should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".", "type": "string" } }, "description": "Defines the services to connect to incoming Dialogflow conversations." }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata": { "type": "object", "properties": { "errors": { "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata", "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation." }, "GoogleCloudDialogflowCxV3beta1Fulfillment": { "id": "GoogleCloudDialogflowCxV3beta1Fulfillment", "properties": { "tag": { "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.", "type": "string" }, "conditionalCases": { "description": "Conditional cases for this fulfillment.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases" }, "type": "array" }, "messages": { "description": "The list of rich message responses to present to the user.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "type": "array" }, "webhook": { "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "setParameterActions": { "description": "Set parameter values before executing the webhook.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction" } }, "returnPartialResponses": { "type": "boolean", "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks." } }, "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard", "description": "Carousel Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. If you want to show a single card with more control over the layout, please use RbmStandaloneCard instead.", "properties": { "cardContents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "description": "Required. The cards in the carousel. A carousel must have at least 2 cards and at most 10." }, "cardWidth": { "enumDescriptions": [ "Not specified.", "120 DP. Note that tall media cannot be used.", "232 DP." ], "enum": [ "CARD_WIDTH_UNSPECIFIED", "SMALL", "MEDIUM" ], "description": "Required. The width of the cards in the carousel.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCases": { "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.", "properties": { "cases": { "type": "array", "description": "A list of cascading if-else conditions.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase" } } }, "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases", "type": "object" }, "GoogleCloudDialogflowV2beta1MessageAnnotation": { "description": "Represents the result of annotation for the message.", "properties": { "parts": { "description": "Optional. The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].", "items": { "$ref": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart" }, "type": "array" }, "containEntities": { "type": "boolean", "description": "Required. Indicates whether the text message contains entities." } }, "id": "GoogleCloudDialogflowV2beta1MessageAnnotation", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageQuickReplies": { "id": "GoogleCloudDialogflowV2IntentMessageQuickReplies", "description": "The quick replies response message.", "type": "object", "properties": { "title": { "description": "Optional. The title of the collection of quick replies.", "type": "string" }, "quickReplies": { "description": "Optional. The collection of quick replies.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction": { "description": "Opens the given URI.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction", "properties": { "uri": { "type": "string", "description": "Required. The HTTP or HTTPS scheme URI." } } }, "GoogleLongrunningOperation": { "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation" }, "GoogleCloudDialogflowV2IntentMessageListSelect": { "id": "GoogleCloudDialogflowV2IntentMessageListSelect", "type": "object", "properties": { "subtitle": { "description": "Optional. Subtitle of the list.", "type": "string" }, "title": { "type": "string", "description": "Optional. The overall title of the list." }, "items": { "description": "Required. List items.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageListSelectItem" }, "type": "array" } }, "description": "The card for presenting a list of options to select from." }, "GoogleCloudDialogflowV2ConversationEvent": { "id": "GoogleCloudDialogflowV2ConversationEvent", "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.", "properties": { "newMessagePayload": { "description": "Payload of NEW_MESSAGE event.", "$ref": "GoogleCloudDialogflowV2Message" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ], "description": "The type of the event that this notification refers to.", "type": "string", "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ] }, "errorStatus": { "$ref": "GoogleRpcStatus", "description": "More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL." }, "conversation": { "type": "string", "description": "The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`." } }, "type": "object" }, "GoogleCloudDialogflowV2EventInput": { "id": "GoogleCloudDialogflowV2EventInput", "type": "object", "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "properties": { "parameters": { "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "name": { "type": "string", "description": "Required. The unique identifier of the event." }, "languageCode": { "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.", "type": "string" } } }, "GoogleCloudDialogflowV2ExportOperationMetadata": { "description": "Metadata related to the Export Data Operations (e.g. ExportDocument).", "properties": { "exportedGcsDestination": { "description": "Cloud Storage file path of the exported data.", "$ref": "GoogleCloudDialogflowV2GcsDestination" } }, "type": "object", "id": "GoogleCloudDialogflowV2ExportOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1Intent": { "id": "GoogleCloudDialogflowCxV3beta1Intent", "properties": { "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentParameter" }, "type": "array", "description": "The collection of parameters associated with the intent." }, "name": { "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.", "type": "string" }, "labels": { "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys-contextual\" means the intent is a contextual intent.", "additionalProperties": { "type": "string" }, "type": "object" }, "trainingPhrases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase" }, "type": "array", "description": "The collection of training phrases the agent is trained on to identify the intent." }, "priority": { "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "format": "int32", "type": "integer" }, "description": { "type": "string", "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters." }, "isFallback": { "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.", "type": "boolean" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the intent, unique within the agent." } }, "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageListSelect": { "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelect", "properties": { "items": { "description": "Required. List items.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem" }, "type": "array" }, "title": { "type": "string", "description": "Optional. The overall title of the list." }, "subtitle": { "type": "string", "description": "Optional. Subtitle of the list." } }, "description": "The card for presenting a list of options to select from.", "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio": { "properties": { "segments": { "description": "Segments this audio response is composed of.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment" } } }, "type": "object", "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment": { "description": "Represents one segment of audio.", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment", "type": "object", "properties": { "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.", "type": "boolean", "readOnly": true }, "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it." }, "audio": { "format": "byte", "type": "string", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request." } } }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart": { "properties": { "text": { "type": "string", "description": "Required. The text for this part." }, "parameterId": { "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.", "type": "string" } }, "description": "Represents a part of a training phrase.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart" }, "GoogleCloudDialogflowV2beta1EntityTypeBatch": { "id": "GoogleCloudDialogflowV2beta1EntityTypeBatch", "description": "This message is a wrapper around a collection of entity types.", "type": "object", "properties": { "entityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" }, "description": "A collection of entity types.", "type": "array" } } }, "GoogleCloudDialogflowV2beta1EventInput": { "id": "GoogleCloudDialogflowV2beta1EventInput", "properties": { "languageCode": { "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.", "type": "string" }, "name": { "type": "string", "description": "Required. The unique identifier of the event." }, "parameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" } }, "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff", "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "properties": { "metadata": { "type": "object", "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "type": "object" }, "GoogleCloudDialogflowCxV3TextInput": { "type": "object", "description": "Represents the natural language text to be processed.", "id": "GoogleCloudDialogflowCxV3TextInput", "properties": { "text": { "type": "string", "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters." } } }, "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio": { "id": "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudio", "type": "object", "properties": { "segments": { "items": { "$ref": "GoogleCloudDialogflowV2beta1ResponseMessageMixedAudioSegment" }, "type": "array", "description": "Segments this audio response is composed of." } }, "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs." }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "properties": { "description": { "description": "Optional. Description of the carousel item. Maximum of four lines of text.", "type": "string" }, "title": { "description": "Required. Title of the carousel item. Maximum of two lines of text.", "type": "string" }, "footer": { "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.", "type": "string" }, "image": { "description": "Optional. Hero image for the carousel item.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "openUriAction": { "description": "Required. Action to present to the user.", "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" } }, "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem", "type": "object", "description": "Browsing carousel tile" }, "GoogleCloudDialogflowCxV3EnvironmentVersionConfig": { "type": "object", "id": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig", "description": "Configuration for the version.", "properties": { "version": { "type": "string", "description": "Required. Format: projects//locations//agents//flows//versions/." } } }, "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService": { "description": "Represents configuration for a generic web service.", "properties": { "allowedCaCerts": { "type": "array", "items": { "format": "byte", "type": "string" }, "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```" }, "uri": { "type": "string", "description": "Required. The webhook URI for receiving POST requests. It must use https protocol." }, "username": { "type": "string", "description": "The user name for HTTP Basic authentication." }, "requestHeaders": { "description": "The HTTP request headers to send together with webhook requests.", "type": "object", "additionalProperties": { "type": "string" } }, "password": { "type": "string", "description": "The password for HTTP Basic authentication." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "GoogleCloudDialogflowV2beta1AssistQueryParameters": { "id": "GoogleCloudDialogflowV2beta1AssistQueryParameters", "properties": { "documentsMetadataFilters": { "type": "object", "description": "Key-value filters on the metadata of documents returned by article suggestion. If specified, article suggestion only returns suggested documents that match all filters in their Document.metadata. Multiple values for a metadata key should be concatenated by comma. For example, filters to match all documents that have 'US' or 'CA' in their market metadata values and 'agent' in their user metadata values will be ``` documents_metadata_filters { key: \"market\" value: \"US,CA\" } documents_metadata_filters { key: \"user\" value: \"agent\" } ```", "additionalProperties": { "type": "string" } } }, "description": "Represents the parameters of human assist query.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue": { "properties": { "originalValue": { "type": "string", "description": "Always present. Original text value extracted from user utterance." }, "resolvedValue": { "type": "any", "description": "Always present. Structured value for the parameter extracted from user utterance." } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue", "type": "object", "description": "Represents a value for an intent parameter." }, "GoogleCloudDialogflowV2EntityType": { "id": "GoogleCloudDialogflowV2EntityType", "type": "object", "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "kind": { "description": "Required. Indicates the kind of entity type.", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ], "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ], "type": "string" }, "displayName": { "description": "Required. The name of the entity type.", "type": "string" }, "name": { "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`.", "type": "string" }, "autoExpansionMode": { "description": "Optional. Indicates whether the entity type can be automatically expanded.", "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "type": "string", "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ] }, "enableFuzzyExtraction": { "description": "Optional. Enables fuzzy entity extraction during classification.", "type": "boolean" }, "entities": { "description": "Optional. The collection of entity entries associated with the entity type.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" } } } }, "GoogleCloudDialogflowV2beta1SentimentAnalysisResult": { "id": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult", "type": "object", "properties": { "queryTextSentiment": { "description": "The sentiment analysis result for `query_text`.", "$ref": "GoogleCloudDialogflowV2beta1Sentiment" } }, "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config" }, "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem": { "properties": { "title": { "description": "Required. The title of the list item.", "type": "string" }, "info": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo", "description": "Required. Additional information about this option." }, "description": { "type": "string", "description": "Optional. The main text describing the item." }, "image": { "description": "Optional. The image to display.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" } }, "description": "An item in the list.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem" }, "GoogleCloudDialogflowCxV3Environment": { "type": "object", "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.", "properties": { "testCasesConfig": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig", "description": "The test cases config for continuous tests of this environment." }, "versionConfigs": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig" }, "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned." }, "webhookConfig": { "description": "The webhook configuration for this environment.", "$ref": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig" }, "description": { "type": "string", "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected." }, "name": { "type": "string", "description": "The name of the environment. Format: `projects//locations//agents//environments/`." }, "updateTime": { "format": "google-datetime", "description": "Output only. Update time of this environment.", "readOnly": true, "type": "string" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters." } }, "id": "GoogleCloudDialogflowCxV3Environment" }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse", "properties": { "names": { "items": { "type": "string" }, "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "type": "array" } }, "description": "The response message for TestCases.ImportTestCases." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmText": { "description": "Rich Business Messaging (RBM) text response with suggestions.", "type": "object", "properties": { "rbmSuggestion": { "description": "Optional. One or more suggestions to show to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" } }, "text": { "description": "Required. Text sent and displayed to the user.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmText" }, "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigRequest": { "properties": { "suggestionFeatureType": { "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "type": "string", "description": "Required. The type of the suggestion feature to remove.", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ] }, "participantRole": { "type": "string", "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ] } }, "description": "The request message for ConversationProfiles.ClearFeature.", "id": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigRequest", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageTableCard": { "id": "GoogleCloudDialogflowV2IntentMessageTableCard", "type": "object", "properties": { "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Image which should be displayed on the card." }, "subtitle": { "description": "Optional. Subtitle to the title.", "type": "string" }, "rows": { "description": "Optional. Rows in this table of data.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardRow" }, "type": "array" }, "title": { "type": "string", "description": "Required. Title of the card." }, "buttons": { "type": "array", "description": "Optional. List of buttons for the card.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" } }, "columnProperties": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageColumnProperties" }, "description": "Optional. Display properties for the columns in this table.", "type": "array" } }, "description": "Table card for Actions on Google." }, "GoogleCloudDialogflowCxV3TransitionRoute": { "id": "GoogleCloudDialogflowCxV3TransitionRoute", "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow.", "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of this transition route." }, "condition": { "type": "string", "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "triggerFulfillment": { "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" }, "intent": { "type": "string", "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ImportDocumentsResponse": { "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Includes details about skipped documents or any other warnings.", "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ImportDocumentsResponse", "description": "Response message for Documents.ImportDocuments." }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfig": { "properties": { "confidenceThreshold": { "format": "float", "description": "Confidence threshold of query result. Agent Assist gives each suggestion a score in the range [0.0, 1.0], based on the relevance between the suggestion and the current conversation context. A score of 0.0 has no relevance, while a score of 1.0 has high relevance. Only suggestions with a score greater than or equal to the value of this field are included in the results. For a baseline model (the default), the recommended value is in the range [0.05, 0.1]. For a custom model, there is no recommended value. Tune this value by starting from a very low value and slowly increasing until you have desired results. If this field is not set, it is default to 0.0, which means that all suggestions are returned. Supported features: ARTICLE_SUGGESTION, FAQ, SMART_REPLY, SMART_COMPOSE.", "type": "number" }, "contextFilterSettings": { "description": "Determines how recent conversation context is filtered when generating suggestions. If unspecified, no messages will be dropped.", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigContextFilterSettings" }, "maxResults": { "description": "Maximum number of results to return. Currently, if unset, defaults to 10. And the max number is 20.", "format": "int32", "type": "integer" }, "knowledgeBaseQuerySource": { "description": "Query from knowledgebase. It is used by: ARTICLE_SUGGESTION, FAQ.", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigKnowledgeBaseQuerySource" }, "documentQuerySource": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDocumentQuerySource", "description": "Query from knowledge base document. It is used by: SMART_REPLY, SMART_COMPOSE." }, "dialogflowQuerySource": { "description": "Query from Dialogflow agent. It is used by DIALOGFLOW_ASSIST.", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource" } }, "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfig", "description": "Config for suggestion query.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1SessionInfo": { "properties": { "parameters": { "type": "object", "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.", "additionalProperties": { "type": "any" } }, "session": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.", "type": "string" } }, "description": "Represents session information communicated to and from the webhook.", "id": "GoogleCloudDialogflowCxV3beta1SessionInfo", "type": "object" }, "GoogleCloudDialogflowV2beta1ListDocumentsResponse": { "description": "Response message for Documents.ListDocuments.", "properties": { "documents": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Document" }, "type": "array", "description": "The list of documents." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1ListDocumentsResponse" }, "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion": { "type": "object", "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent.", "properties": { "uri": { "type": "string", "description": "Required. The URI of the app or site to open when the user taps the suggestion chip." }, "destinationName": { "type": "string", "description": "Required. The name of the app or site this chip is linking to." } }, "id": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion" }, "GoogleCloudDialogflowV2WebhookResponse": { "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "properties": { "outputContexts": { "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "type": "array" }, "fulfillmentText": { "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.", "type": "string" }, "sessionEntityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2SessionEntityType" }, "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.", "type": "array" }, "fulfillmentMessages": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" }, "type": "array", "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller." }, "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)" }, "source": { "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.", "type": "string" }, "followupEventInput": { "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.", "$ref": "GoogleCloudDialogflowV2EventInput" } }, "id": "GoogleCloudDialogflowV2WebhookResponse", "type": "object" }, "GoogleCloudDialogflowCxV3TestCase": { "id": "GoogleCloudDialogflowCxV3TestCase", "properties": { "testCaseConversationTurns": { "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" } }, "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "displayName": { "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.", "type": "string" }, "name": { "type": "string", "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`." }, "creationTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. When the test was created.", "type": "string" }, "tags": { "type": "array", "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.", "items": { "type": "string" } }, "lastTestResult": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult", "description": "The latest test result." }, "testConfig": { "$ref": "GoogleCloudDialogflowCxV3TestConfig", "description": "Config for the test case." } }, "type": "object", "description": "Represents a test case." }, "GoogleCloudDialogflowV2OriginalDetectIntentRequest": { "id": "GoogleCloudDialogflowV2OriginalDetectIntentRequest", "properties": { "source": { "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.", "type": "string" }, "payload": { "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "version": { "type": "string", "description": "Optional. The version of the protocol used for this request. This field is AoG-specific." } }, "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow", "properties": { "cells": { "description": "Optional. List of cells that make up this row.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell" }, "type": "array" }, "dividerAfter": { "type": "boolean", "description": "Optional. Whether to add a visual divider after this row." } }, "description": "Row of TableCard." }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent": { "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent", "type": "object", "description": "The list of messages or conditional cases to activate for this case.", "properties": { "additionalCases": { "description": "Additional cases to be evaluated.", "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases" }, "message": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage", "description": "Returned message." } } }, "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio": { "properties": { "audioUri": { "type": "string", "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it." }, "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean", "readOnly": true } }, "description": "Specifies an audio clip to be played by the client as part of the response.", "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio" }, "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfig": { "description": "Defines the hand off to a live agent, typically on which external agent service provider to connect to a conversation. Currently, this feature is not general available, please contact Google to get access.", "id": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfig", "type": "object", "properties": { "livePersonConfig": { "description": "Uses LivePerson (https://www.liveperson.com).", "$ref": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigLivePersonConfig" }, "salesforceLiveAgentConfig": { "$ref": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigSalesforceLiveAgentConfig", "description": "Uses Salesforce Live Agent." } } }, "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig": { "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig", "properties": { "genericWebService": { "description": "Generic Service configuration of this webhook.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "service": { "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.", "type": "string" } } }, "GoogleCloudDialogflowCxV3Form": { "id": "GoogleCloudDialogflowCxV3Form", "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.", "type": "object", "properties": { "parameters": { "type": "array", "description": "Parameters to collect from the user.", "items": { "$ref": "GoogleCloudDialogflowCxV3FormParameter" } } } }, "GoogleCloudDialogflowV2ExportAgentResponse": { "description": "The response message for Agents.ExportAgent.", "id": "GoogleCloudDialogflowV2ExportAgentResponse", "type": "object", "properties": { "agentContent": { "format": "byte", "type": "string", "description": "Zip compressed raw byte content for agent." }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.", "type": "string" } } }, "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata": { "id": "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata", "properties": { "createTime": { "description": "Timestamp when the request to undeploy conversation model was submitted. The time is measured on server side.", "type": "string", "format": "google-datetime" }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" } }, "type": "object", "description": "Metadata for a ConversationModels.UndeployConversationModel operation." }, "GoogleCloudDialogflowV2SentimentAnalysisResult": { "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config", "type": "object", "properties": { "queryTextSentiment": { "description": "The sentiment analysis result for `query_text`.", "$ref": "GoogleCloudDialogflowV2Sentiment" } }, "id": "GoogleCloudDialogflowV2SentimentAnalysisResult" }, "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata": { "type": "object", "description": "Metadata for ImportDocuments operation.", "id": "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse": { "id": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse", "properties": { "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer", "format": "int32" }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "faqAnswers": { "description": "Output only. Answers extracted from FAQ documents.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1FaqAnswer" } } }, "type": "object", "description": "The request message for Participants.SuggestFaqAnswers." }, "GoogleCloudDialogflowV2beta1OutputAudioConfig": { "type": "object", "id": "GoogleCloudDialogflowV2beta1OutputAudioConfig", "properties": { "audioEncoding": { "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM). Audio content returned as LINEAR16 also contains a WAV header.", "MP3 audio at 32kbps.", "MP3 audio at 64kbps.", "Opus encoded audio wrapped in an ogg container. The result will be a file which can be played natively on Android, and in browsers (at least Chrome and Firefox). The quality of the encoding is considerably higher than MP3 while using approximately the same bitrate.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law." ], "type": "string", "description": "Required. Audio encoding of the synthesized audio content.", "enum": [ "OUTPUT_AUDIO_ENCODING_UNSPECIFIED", "OUTPUT_AUDIO_ENCODING_LINEAR_16", "OUTPUT_AUDIO_ENCODING_MP3", "OUTPUT_AUDIO_ENCODING_MP3_64_KBPS", "OUTPUT_AUDIO_ENCODING_OGG_OPUS", "OUTPUT_AUDIO_ENCODING_MULAW" ] }, "sampleRateHertz": { "format": "int32", "description": "The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).", "type": "integer" }, "synthesizeSpeechConfig": { "description": "Configuration of how speech should be synthesized.", "$ref": "GoogleCloudDialogflowV2beta1SynthesizeSpeechConfig" } }, "description": "Instructs the speech synthesizer how to generate the output audio content. If this audio config is supplied in a request, it overrides all existing text-to-speech settings applied to the agent." }, "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig": { "description": "Configuration for webhooks.", "type": "object", "properties": { "webhookOverrides": { "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig" }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment": { "description": "Represents one segment of audio.", "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment", "properties": { "allowPlaybackInterruption": { "type": "boolean", "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.", "readOnly": true }, "audio": { "type": "string", "format": "byte", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request." }, "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ImportDocumentsResponse": { "description": "Response message for Documents.ImportDocuments.", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1ImportDocumentsResponse", "type": "object" }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases": { "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases", "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.", "type": "object", "properties": { "cases": { "type": "array", "description": "A list of cascading if-else conditions.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase" } } } }, "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata": { "type": "object", "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation.", "properties": { "errors": { "type": "array", "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } }, "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata" }, "GoogleCloudDialogflowV2IntentParameter": { "description": "Represents intent parameters.", "type": "object", "properties": { "prompts": { "items": { "type": "string" }, "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.", "type": "array" }, "name": { "type": "string", "description": "The unique identifier of this parameter." }, "value": { "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.", "type": "string" }, "entityTypeDisplayName": { "type": "string", "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided." }, "defaultValue": { "type": "string", "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`." }, "displayName": { "type": "string", "description": "Required. The name of the parameter." }, "isList": { "type": "boolean", "description": "Optional. Indicates whether the parameter represents a list of values." }, "mandatory": { "type": "boolean", "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value." } }, "id": "GoogleCloudDialogflowV2IntentParameter" }, "GoogleCloudDialogflowV2beta1FulfillmentGenericWebService": { "description": "Represents configuration for a generic web service. Dialogflow supports two mechanisms for authentications: - Basic authentication with username and password. - Authentication with additional authentication headers. More information could be found at: https://cloud.google.com/dialogflow/docs/fulfillment-configure.", "properties": { "uri": { "description": "Required. The fulfillment URI for receiving POST requests. It must use https protocol.", "type": "string" }, "username": { "type": "string", "description": "The user name for HTTP Basic authentication." }, "requestHeaders": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The HTTP request headers to send together with fulfillment requests." }, "password": { "description": "The password for HTTP Basic authentication.", "type": "string" }, "isCloudFunction": { "description": "Optional. Indicates if generic web service is created through Cloud Functions integration. Defaults to false. is_cloud_function is deprecated. Cloud functions can be configured by its uri as a regular web service now.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1FulfillmentGenericWebService" }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata": { "description": "Metadata for ImportDocuments operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata" }, "GoogleCloudDialogflowV2beta1ReloadDocumentRequest": { "properties": { "importGcsCustomMetadata": { "description": "Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.", "type": "boolean" }, "gcsSource": { "description": "The path for a Cloud Storage source file for reloading document content. If not provided, the Document's existing source will be reloaded.", "$ref": "GoogleCloudDialogflowV2beta1GcsSource" } }, "description": "Request message for Documents.ReloadDocument.", "type": "object", "id": "GoogleCloudDialogflowV2beta1ReloadDocumentRequest" }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue": { "description": "Represents a value for an intent parameter.", "properties": { "originalValue": { "description": "Always present. Original text value extracted from user utterance.", "type": "string" }, "resolvedValue": { "description": "Always present. Structured value for the parameter extracted from user utterance.", "type": "any" } }, "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue", "type": "object" }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo": { "properties": { "value": { "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.", "type": "any" }, "displayName": { "type": "string", "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook." }, "required": { "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" }, "state": { "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ], "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.", "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ], "type": "string" }, "justCollected": { "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.", "type": "boolean" } }, "type": "object", "description": "Represents parameter information.", "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo" }, "GoogleCloudDialogflowCxV3beta1WebhookResponse": { "description": "The response message for a webhook call.", "id": "GoogleCloudDialogflowCxV3beta1WebhookResponse", "type": "object", "properties": { "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Value to append directly to QueryResult.webhook_payloads.", "type": "object" }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "fulfillmentResponse": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse", "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user." }, "pageInfo": { "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.", "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo" }, "sessionInfo": { "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.", "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo" }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." } } }, "GoogleCloudDialogflowV2beta1Version": { "id": "GoogleCloudDialogflowV2beta1Version", "description": "You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for: - testing - development - production - etc. For more information, see the [versions and environments guide](https://cloud.google.com/dialogflow/docs/agents-versions).", "properties": { "status": { "type": "string", "enumDescriptions": [ "Not specified. This value is not used.", "Version is not ready to serve (e.g. training is in progress).", "Version is ready to serve.", "Version training failed." ], "description": "Output only. The status of this version. This field is read-only and cannot be set by create and update methods.", "readOnly": true, "enum": [ "VERSION_STATUS_UNSPECIFIED", "IN_PROGRESS", "READY", "FAILED" ] }, "description": { "description": "Optional. The developer-provided description of this version.", "type": "string" }, "versionNumber": { "description": "Output only. The sequential number of this version. This field is read-only which means it cannot be set by create and update methods.", "type": "integer", "readOnly": true, "format": "int32" }, "name": { "description": "Output only. The unique identifier of this agent version. Supported formats: - `projects//agent/versions/` - `projects//locations//agent/versions/`", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The creation time of this version. This field is read-only, i.e., it cannot be set by create and update methods." } }, "type": "object" }, "GoogleCloudDialogflowV2IntentMessageCardButton": { "id": "GoogleCloudDialogflowV2IntentMessageCardButton", "description": "Contains information about a button.", "properties": { "postback": { "description": "Optional. The text to send back to the Dialogflow API or a URI to open.", "type": "string" }, "text": { "description": "Optional. The text to show on the button.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookResponse": { "id": "GoogleCloudDialogflowCxV3WebhookResponse", "type": "object", "properties": { "payload": { "type": "object", "description": "Value to append directly to QueryResult.webhook_payloads.", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "fulfillmentResponse": { "$ref": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse", "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "sessionInfo": { "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.", "$ref": "GoogleCloudDialogflowCxV3SessionInfo" }, "pageInfo": { "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.", "$ref": "GoogleCloudDialogflowCxV3PageInfo" }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" } }, "description": "The response message for a webhook call." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion", "type": "object", "properties": { "action": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction", "description": "Predefined client side actions that user can choose" }, "reply": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply", "description": "Predefined replies for user to select instead of typing" } }, "description": "Rich Business Messaging (RBM) suggestion. Suggestions allow user to easily select/click a predefined response or perform an action (like opening a web uri)." }, "GoogleCloudDialogflowV2ImportDocumentsResponse": { "type": "object", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "description": "Response message for Documents.ImportDocuments.", "id": "GoogleCloudDialogflowV2ImportDocumentsResponse" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent": { "type": "object", "properties": { "description": { "type": "string", "description": "Optional. Description of the card (at most 2000 bytes). At least one of the title, description or media must be set." }, "title": { "type": "string", "description": "Optional. Title of the card (at most 200 bytes). At least one of the title, description or media must be set." }, "suggestions": { "description": "Optional. List of suggestions to include in the card.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" } }, "media": { "description": "Optional. However at least one of the title, description or media must be set. Media (image, GIF or a video) to include in the card.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia" } }, "description": "Rich Business Messaging (RBM) Card content", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton": { "properties": { "title": { "type": "string", "description": "Required. The title of the button." }, "openUriAction": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction", "description": "Required. Action to take when a user taps on the button." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton", "description": "The button object that appears at the bottom of a card.", "type": "object" }, "GoogleCloudDialogflowV2beta1SentimentAnalysisRequestConfig": { "description": "Configures the types of sentiment analysis to perform.", "type": "object", "id": "GoogleCloudDialogflowV2beta1SentimentAnalysisRequestConfig", "properties": { "analyzeQueryTextSentiment": { "description": "Instructs the service to perform sentiment analysis on `query_text`. If not provided, sentiment analysis is not performed on `query_text`.", "type": "boolean" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction": { "description": "Rich Business Messaging (RBM) suggested client-side action that the user can choose from the card.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction", "properties": { "postbackData": { "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested action. This data will be also forwarded to webhook to allow performing custom business logic.", "type": "string" }, "text": { "description": "Text to display alongside the action.", "type": "string" }, "dial": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial", "description": "Suggested client side action: Dial a phone number" }, "shareLocation": { "description": "Suggested client side action: Share user location", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation" }, "openUrl": { "description": "Suggested client side action: Open a URI on device", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri" } } }, "GoogleRpcStatus": { "type": "object", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus" }, "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "type": "object", "properties": { "state": { "readOnly": true, "description": "Required. Output only. The current state of this operation.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string" } }, "description": "Metadata in google::longrunning::Operation for Knowledge operations." }, "GoogleCloudDialogflowV2SessionEntityType": { "id": "GoogleCloudDialogflowV2SessionEntityType", "type": "object", "properties": { "entityOverrideMode": { "type": "string", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ] }, "name": { "description": "Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.", "type": "string" }, "entities": { "description": "Required. The collection of entities associated with this session entity type.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" } } }, "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session)." }, "GoogleCloudDialogflowV2FaqAnswer": { "id": "GoogleCloudDialogflowV2FaqAnswer", "type": "object", "properties": { "metadata": { "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" }, "type": "object" }, "question": { "type": "string", "description": "The corresponding FAQ question." }, "confidence": { "type": "number", "format": "float", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "answer": { "type": "string", "description": "The piece of text from the `source` knowledge base document." }, "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.", "type": "string" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" } }, "description": "Represents answer from \"frequently asked questions\"." }, "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigSalesforceLiveAgentConfig": { "description": "Configuration specific to Salesforce Live Agent.", "type": "object", "properties": { "endpointDomain": { "type": "string", "description": "Required. Domain of the Live Agent endpoint for this agent. You can find the endpoint URL in the `Live Agent settings` page. For example if URL has the form https://d.la4-c2-phx.salesforceliveagent.com/..., you should fill in d.la4-c2-phx.salesforceliveagent.com." }, "deploymentId": { "type": "string", "description": "Required. Live Agent deployment ID." }, "buttonId": { "type": "string", "description": "Required. Live Agent chat button ID." }, "organizationId": { "description": "Required. The organization ID of the Salesforce account.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigSalesforceLiveAgentConfig" }, "GoogleCloudDialogflowCxV3beta1TestConfig": { "type": "object", "description": "Represents configurations for a test case.", "properties": { "trackingParameters": { "items": { "type": "string" }, "description": "Session parameters to be compared when calculating differences.", "type": "array" }, "flow": { "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" }, "page": { "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1TestConfig" }, "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata": { "id": "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata", "description": "Metadata returned for the Environments.DeployFlow long running operation.", "type": "object", "properties": { "testErrors": { "description": "Errors of running deployment tests.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "type": "array" } } }, "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties", "properties": { "horizontalAlignment": { "type": "string", "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ], "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ], "description": "Optional. Defines text alignment for all cells in this column." }, "header": { "description": "Required. Column heading.", "type": "string" } }, "description": "Column properties for TableCard." }, "GoogleCloudDialogflowCxV3beta1ContinuousTestResult": { "properties": { "testCaseResults": { "items": { "type": "string" }, "description": "A list of individual test case results names in this continuous test run.", "type": "array" }, "result": { "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ], "type": "string", "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not." }, "runTime": { "description": "Time when the continuous testing run starts.", "type": "string", "format": "google-datetime" }, "name": { "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult", "description": "Represents a result from running a test case in an agent environment." }, "GoogleCloudDialogflowV2beta1BatchUpdateEntitiesRequest": { "type": "object", "properties": { "entities": { "description": "Required. The entities to update or create.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "type": "array" }, "updateMask": { "description": "Optional. The mask to control which fields get updated.", "type": "string", "format": "google-fieldmask" }, "languageCode": { "type": "string", "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity)." } }, "id": "GoogleCloudDialogflowV2beta1BatchUpdateEntitiesRequest", "description": "The request message for EntityTypes.BatchUpdateEntities." }, "GoogleCloudDialogflowV2Message": { "properties": { "messageAnnotation": { "$ref": "GoogleCloudDialogflowV2MessageAnnotation", "readOnly": true, "description": "Output only. The annotation for the message." }, "content": { "description": "Required. The message content.", "type": "string" }, "sendTime": { "type": "string", "description": "Optional. The time when the message was sent.", "format": "google-datetime" }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the message was created in Contact Center AI." }, "name": { "type": "string", "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`." }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "readOnly": true, "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "description": "Output only. The role of the participant.", "type": "string" }, "languageCode": { "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".", "type": "string" }, "participant": { "readOnly": true, "type": "string", "description": "Output only. The participant that sends this message." }, "sentimentAnalysis": { "description": "Output only. The sentiment analysis result for the message.", "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "readOnly": true } }, "type": "object", "id": "GoogleCloudDialogflowV2Message", "description": "Represents a message posted into a conversation." }, "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse": { "type": "object", "properties": { "entityTypes": { "type": "array", "description": "The collection of updated or created entity types.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" } } }, "id": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse", "description": "The response message for EntityTypes.BatchUpdateEntityTypes." }, "GoogleCloudDialogflowV2beta1FulfillmentFeature": { "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "SMALLTALK" ], "type": "string", "enumDescriptions": [ "Feature type not specified.", "Fulfillment is enabled for SmallTalk." ], "description": "The type of the feature that enabled for fulfillment." } }, "type": "object", "description": "Whether fulfillment is enabled for the specific feature.", "id": "GoogleCloudDialogflowV2beta1FulfillmentFeature" }, "GoogleCloudDialogflowV2beta1CreateMessageRequest": { "properties": { "parent": { "type": "string", "description": "Required. Resource identifier of the conversation to create message. Format: `projects//locations//conversations/`." }, "message": { "$ref": "GoogleCloudDialogflowV2beta1Message", "description": "Required. The message to create. Message.participant is required." } }, "description": "The request message to create one Message. Currently it is only used in BatchCreateMessagesRequest.", "id": "GoogleCloudDialogflowV2beta1CreateMessageRequest", "type": "object" }, "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction": { "description": "Setting a parameter value.", "type": "object", "properties": { "parameter": { "description": "Display name of the parameter.", "type": "string" }, "value": { "type": "any", "description": "The new value of the parameter. A null value clears the parameter." } }, "id": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction" }, "GoogleCloudDialogflowCxV3beta1TestCase": { "properties": { "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "testCaseConversationTurns": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" }, "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "type": "array" }, "lastTestResult": { "description": "The latest test result.", "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "tags": { "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.", "items": { "type": "string" }, "type": "array" }, "testConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1TestConfig", "description": "Config for the test case." }, "creationTime": { "description": "Output only. When the test was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "displayName": { "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.", "type": "string" }, "name": { "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1TestCase", "type": "object", "description": "Represents a test case." }, "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "description": "Metadata for CreateDocument operation.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata" }, "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse": { "description": "Represents a fulfillment response to the user.", "properties": { "messages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "description": "The list of rich message responses to present to the user." }, "mergeBehavior": { "type": "string", "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "description": "Merge behavior for `messages`.", "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ] } }, "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse" }, "GoogleCloudDialogflowV2beta1BatchDeleteIntentsRequest": { "id": "GoogleCloudDialogflowV2beta1BatchDeleteIntentsRequest", "type": "object", "description": "The request message for Intents.BatchDeleteIntents.", "properties": { "intents": { "description": "Required. The collection of intents to delete. Only intent `name` must be filled in.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" } } } }, "GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall": { "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.", "id": "GoogleCloudDialogflowV2beta1ResponseMessageTelephonyTransferCall", "type": "object", "properties": { "phoneNumber": { "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).", "type": "string" }, "sipUri": { "description": "Transfer the call to a SIP endpoint.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1ValidationResult": { "id": "GoogleCloudDialogflowV2beta1ValidationResult", "type": "object", "properties": { "validationErrors": { "items": { "$ref": "GoogleCloudDialogflowV2beta1ValidationError" }, "description": "Contains all validation errors.", "type": "array" } }, "description": "Represents the output of agent validation." }, "GoogleCloudDialogflowV2Context": { "type": "object", "properties": { "name": { "description": "Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "type": "string" }, "lifespanCount": { "type": "integer", "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.", "format": "int32" }, "parameters": { "type": "object", "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "id": "GoogleCloudDialogflowV2Context" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent": { "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent", "type": "object", "description": "The list of messages or conditional cases to activate for this case.", "properties": { "additionalCases": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases", "description": "Additional cases to be evaluated." }, "message": { "description": "Returned message.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" } } }, "GoogleCloudDialogflowCxV3RunContinuousTestMetadata": { "properties": { "errors": { "type": "array", "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } }, "type": "object", "description": "Metadata returned for the Environments.RunContinuousTest long running operation.", "id": "GoogleCloudDialogflowCxV3RunContinuousTestMetadata" }, "GoogleCloudDialogflowV2IntentTrainingPhrasePart": { "properties": { "text": { "description": "Required. The text for this part.", "type": "string" }, "entityType": { "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.", "type": "string" }, "userDefined": { "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.", "type": "boolean" }, "alias": { "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.", "type": "string" } }, "description": "Represents a part of a training phrase.", "type": "object", "id": "GoogleCloudDialogflowV2IntentTrainingPhrasePart" }, "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigLivePersonConfig": { "type": "object", "description": "Configuration specific to LivePerson (https://www.liveperson.com).", "id": "GoogleCloudDialogflowV2beta1HumanAgentHandoffConfigLivePersonConfig", "properties": { "accountNumber": { "type": "string", "description": "Required. Account number of the LivePerson account to connect. This is the account number you input at the login page." } } }, "GoogleCloudDialogflowCxV3ImportFlowResponse": { "description": "The response message for Flows.ImportFlow.", "type": "object", "properties": { "flow": { "type": "string", "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`." } }, "id": "GoogleCloudDialogflowCxV3ImportFlowResponse" }, "GoogleCloudDialogflowCxV3AudioInput": { "id": "GoogleCloudDialogflowCxV3AudioInput", "type": "object", "properties": { "config": { "description": "Required. Instructs the speech recognizer how to process the speech audio.", "$ref": "GoogleCloudDialogflowCxV3InputAudioConfig" }, "audio": { "format": "byte", "type": "string", "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests." } }, "description": "Represents the natural speech audio to be processed." }, "GoogleCloudDialogflowV2beta1QueryInput": { "properties": { "audioConfig": { "description": "Instructs the speech recognizer how to process the speech audio.", "$ref": "GoogleCloudDialogflowV2beta1InputAudioConfig" }, "dtmf": { "description": "The DTMF digits used to invoke intent and fill in parameter value.", "$ref": "GoogleCloudDialogflowV2beta1TelephonyDtmfEvents" }, "event": { "$ref": "GoogleCloudDialogflowV2beta1EventInput", "description": "The event to be processed." }, "text": { "description": "The natural language text to be processed.", "$ref": "GoogleCloudDialogflowV2beta1TextInput" } }, "id": "GoogleCloudDialogflowV2beta1QueryInput", "description": "Represents the query input. It can contain either: 1. An audio config which instructs the speech recognizer how to process the speech audio. 2. A conversational query in the form of text. 3. An event that specifies which intent to trigger.", "type": "object" }, "GoogleCloudDialogflowV2beta1SearchAgentsResponse": { "type": "object", "properties": { "agents": { "description": "The list of agents. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Agent" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1SearchAgentsResponse", "description": "The response message for Agents.SearchAgents." }, "GoogleCloudDialogflowCxV3RunTestCaseResponse": { "type": "object", "properties": { "result": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult", "description": "The result." } }, "description": "The response message for TestCases.RunTestCase.", "id": "GoogleCloudDialogflowCxV3RunTestCaseResponse" }, "GoogleCloudDialogflowV2beta1ConversationPhoneNumber": { "description": "Represents a phone number for telephony integration. It allows for connecting a particular conversation over telephony.", "properties": { "phoneNumber": { "type": "string", "readOnly": true, "description": "Output only. The phone number to connect to this conversation." } }, "id": "GoogleCloudDialogflowV2beta1ConversationPhoneNumber", "type": "object" }, "GoogleCloudDialogflowV2beta1AnswerRecord": { "properties": { "answerFeedback": { "description": "Optional. The AnswerFeedback for this record. You can set this with AnswerRecords.UpdateAnswerRecord in order to give us feedback about this answer.", "$ref": "GoogleCloudDialogflowV2beta1AnswerFeedback" }, "agentAssistantRecord": { "$ref": "GoogleCloudDialogflowV2beta1AgentAssistantRecord", "description": "Output only. The record for human agent assistant." }, "name": { "description": "The unique identifier of this answer record. Required for AnswerRecords.UpdateAnswerRecord method. Format: `projects//locations//answerRecords/`.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1AnswerRecord", "description": "Answer records are records to manage answer history and feedbacks for Dialogflow. Currently, answer record includes: - human agent assistant article suggestion - human agent assistant faq article It doesn't include: - `DetectIntent` intent matching - `DetectIntent` knowledge Answer records are not related to the conversation history in the Dialogflow Console. A Record is generated even when the end-user disables conversation history in the console. Records are created when there's a human agent assistant suggestion generated. A typical workflow for customers provide feedback to an answer is: 1. For human agent assistant, customers get suggestion via ListSuggestions API. Together with the answers, AnswerRecord.name are returned to the customers. 2. The customer uses the AnswerRecord.name to call the UpdateAnswerRecord method to send feedback about a specific answer that they believe is wrong.", "type": "object" }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationProcessConfig": { "description": "Config to process conversation.", "properties": { "recentSentencesCount": { "type": "integer", "format": "int32", "description": "Number of recent non-small-talk sentences to use as context for article and FAQ suggestion" } }, "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigConversationProcessConfig", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput": { "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput", "properties": { "isWebhookEnabled": { "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.", "type": "boolean" }, "injectedParameters": { "description": "Parameters that need to be injected into the conversation during intent detection.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" }, "input": { "description": "Supports text input, event input, dtmf input in the test case.", "$ref": "GoogleCloudDialogflowCxV3beta1QueryInput" } }, "description": "The input from the human user.", "type": "object" }, "GoogleCloudDialogflowCxV3EventInput": { "id": "GoogleCloudDialogflowCxV3EventInput", "description": "Represents the event to trigger.", "type": "object", "properties": { "event": { "type": "string", "description": "Name of the event." } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource": { "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionQueryConfigDialogflowQuerySource", "description": "Dialogflow source setting. Supported feature: DIALOGFLOW_ASSIST.", "type": "object", "properties": { "agent": { "description": "Required. The name of a dialogflow virtual agent used for end user side intent detection and suggestion. Format: `projects//locations//agent`. When multiple agents are allowed in the same Dialogflow project.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1AnalyzeContentRequest": { "id": "GoogleCloudDialogflowV2beta1AnalyzeContentRequest", "description": "The request message for Participants.AnalyzeContent.", "properties": { "eventInput": { "description": "An input event to send to Dialogflow.", "$ref": "GoogleCloudDialogflowV2beta1EventInput" }, "assistQueryParams": { "description": "Parameters for a human assist query.", "$ref": "GoogleCloudDialogflowV2beta1AssistQueryParameters" }, "requestId": { "description": "A unique identifier for this request. Restricted to 36 ASCII characters. A random UUID is recommended. This request is only idempotent if a `request_id` is provided.", "type": "string" }, "replyAudioConfig": { "$ref": "GoogleCloudDialogflowV2beta1OutputAudioConfig", "description": "Speech synthesis configuration. The speech synthesis settings for a virtual agent that may be configured for the associated conversation profile are not used when calling AnalyzeContent. If this configuration is not supplied, speech synthesis is disabled." }, "cxParameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "Additional parameters to be put into Dialogflow CX session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. Note: this field should only be used if you are connecting to a Dialogflow CX agent." }, "cxCurrentPage": { "type": "string", "description": "The unique identifier of the CX page to override the `current_page` in the session. Format: `projects//locations//agents//flows//pages/`. If `cx_current_page` is specified, the previous state of the session will be ignored by Dialogflow CX, including the previous page and the previous session parameters. In most cases, `cx_current_page` and `cx_parameters` should be configured together to direct a session to a specific state. Note: this field should only be used if you are connecting to a Dialogflow CX agent." }, "queryParams": { "description": "Parameters for a Dialogflow virtual-agent query.", "$ref": "GoogleCloudDialogflowV2beta1QueryParameters" }, "messageSendTime": { "type": "string", "format": "google-datetime", "description": "Optional. The send time of the message from end user or human agent's perspective. It is used for identifying the same message under one participant. Given two messages under the same participant: - If send time are different regardless of whether the content of the messages are exactly the same, the conversation will regard them as two distinct messages sent by the participant. - If send time is the same regardless of whether the content of the messages are exactly the same, the conversation will regard them as same message, and ignore the message received later. If the value is not provided, a new request will always be regarded as a new message without any de-duplication." }, "textInput": { "$ref": "GoogleCloudDialogflowV2beta1TextInput", "description": "The natural language text to be processed." }, "audioInput": { "$ref": "GoogleCloudDialogflowV2beta1AudioInput", "description": "The natural language speech audio to be processed." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1WebhookResponse": { "id": "GoogleCloudDialogflowV2beta1WebhookResponse", "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "type": "object", "properties": { "followupEventInput": { "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.", "$ref": "GoogleCloudDialogflowV2beta1EventInput" }, "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "source": { "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.", "type": "string" }, "fulfillmentMessages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" }, "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller." }, "fulfillmentText": { "type": "string", "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller." }, "liveAgentHandoff": { "description": "Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.", "type": "boolean" }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.", "type": "array" }, "sessionEntityTypes": { "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "type": "array" }, "payload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)" } } }, "GoogleCloudDialogflowCxV3ImportTestCasesMetadata": { "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "id": "GoogleCloudDialogflowCxV3ImportTestCasesMetadata", "properties": { "errors": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseError" }, "description": "Errors for failed test cases." } }, "type": "object" }, "GoogleCloudDialogflowV2WebhookRequest": { "properties": { "originalDetectIntentRequest": { "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.", "$ref": "GoogleCloudDialogflowV2OriginalDetectIntentRequest" }, "queryResult": { "$ref": "GoogleCloudDialogflowV2QueryResult", "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`." }, "responseId": { "type": "string", "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`." }, "session": { "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`.", "type": "string" } }, "type": "object", "description": "The request message for a webhook call.", "id": "GoogleCloudDialogflowV2WebhookRequest" }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "properties": { "url": { "description": "Required. URL", "type": "string" }, "urlTypeHint": { "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ], "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "type": "string", "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ] } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "description": "Actions on Google action to open a given url.", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageTableCardRow": { "type": "object", "description": "Row of TableCard.", "id": "GoogleCloudDialogflowV2IntentMessageTableCardRow", "properties": { "cells": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardCell" }, "description": "Optional. List of cells that make up this row.", "type": "array" }, "dividerAfter": { "description": "Optional. Whether to add a visual divider after this row.", "type": "boolean" } } }, "GoogleCloudDialogflowV2SmartReplyModelMetadata": { "properties": { "trainingModelType": { "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ], "description": "Optional. Type of the smart reply model. If not provided, model_type is used.", "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ], "type": "string" } }, "type": "object", "description": "Metadata for smart reply models.", "id": "GoogleCloudDialogflowV2SmartReplyModelMetadata" }, "GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff": { "description": "Indicates that the conversation should be handed off to a human agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry fulfillment of a CX Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "id": "GoogleCloudDialogflowV2beta1ResponseMessageLiveAgentHandoff", "properties": { "metadata": { "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1InputAudioConfig": { "properties": { "singleUtterance": { "description": "If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods. Note: When specified, InputAudioConfig.single_utterance takes precedence over StreamingDetectIntentRequest.single_utterance.", "type": "boolean" }, "speechContexts": { "description": "Context information to assist speech recognition. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SpeechContext" }, "type": "array" }, "languageCode": { "type": "string", "description": "Required. The language of the supplied audio. Dialogflow does not do translations. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." }, "disableNoSpeechRecognizedEvent": { "type": "boolean", "description": "Only used in Participants.AnalyzeContent and Participants.StreamingAnalyzeContent. If `false` and recognition doesn't return any result, trigger `NO_SPEECH_RECOGNIZED` event to Dialogflow agent." }, "enableWordInfo": { "description": "If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.", "type": "boolean" }, "audioEncoding": { "description": "Required. Audio encoding of the audio content to process.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ], "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "type": "string" }, "phraseHints": { "description": "A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details. This field is deprecated. Please use [speech_contexts]() instead. If you specify both [phrase_hints]() and [speech_contexts](), Dialogflow will treat the [phrase_hints]() as a single additional [SpeechContext]().", "type": "array", "items": { "type": "string" } }, "sampleRateHertz": { "description": "Required. Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.", "type": "integer", "format": "int32" }, "modelVariant": { "description": "Which variant of the Speech model to use.", "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ], "type": "string" }, "model": { "description": "Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" } }, "type": "object", "description": "Instructs the speech recognizer on how to process the audio content.", "id": "GoogleCloudDialogflowV2beta1InputAudioConfig" }, "GoogleCloudDialogflowCxV3ExportAgentResponse": { "description": "The response message for Agents.ExportAgent.", "properties": { "agentContent": { "description": "Uncompressed raw byte content for agent.", "format": "byte", "type": "string" }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ExportAgentResponse", "type": "object" }, "GoogleCloudDialogflowCxV3SessionInfo": { "type": "object", "properties": { "session": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.", "type": "string" }, "parameters": { "additionalProperties": { "type": "any" }, "type": "object", "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names." } }, "description": "Represents session information communicated to and from the webhook.", "id": "GoogleCloudDialogflowCxV3SessionInfo" }, "GoogleCloudDialogflowV2beta1ResponseMessageText": { "properties": { "text": { "description": "A collection of text responses.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1ResponseMessageText", "type": "object", "description": "The text response message." }, "GoogleCloudDialogflowCxV3Webhook": { "properties": { "displayName": { "description": "Required. The human-readable name of the webhook, unique within the agent.", "type": "string" }, "name": { "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "disabled": { "type": "boolean", "description": "Indicates whether the webhook is disabled." }, "timeout": { "format": "google-duration", "type": "string", "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds." }, "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Configuration for a generic web service." }, "serviceDirectory": { "$ref": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig", "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service." } }, "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "type": "object", "id": "GoogleCloudDialogflowCxV3Webhook" }, "GoogleCloudDialogflowCxV3beta1AudioInput": { "properties": { "config": { "$ref": "GoogleCloudDialogflowCxV3beta1InputAudioConfig", "description": "Required. Instructs the speech recognizer how to process the speech audio." }, "audio": { "type": "string", "format": "byte", "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests." } }, "description": "Represents the natural speech audio to be processed.", "id": "GoogleCloudDialogflowCxV3beta1AudioInput", "type": "object" }, "GoogleCloudDialogflowCxV3beta1TestRunDifference": { "properties": { "type": { "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ], "type": "string", "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ], "description": "The type of diff." }, "description": { "type": "string", "description": "A description of the diff, showing the actual output vs expected output." } }, "type": "object", "description": "The description of differences between original and replayed agent output.", "id": "GoogleCloudDialogflowCxV3beta1TestRunDifference" }, "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ListSessionEntityTypesResponse", "description": "The response message for SessionEntityTypes.ListSessionEntityTypes.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "sessionEntityTypes": { "description": "The list of session entity types. There will be a maximum number of items returned based on the page_size field in the request.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" } } } }, "GoogleCloudDialogflowV2ArticleAnswer": { "id": "GoogleCloudDialogflowV2ArticleAnswer", "properties": { "metadata": { "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" } }, "uri": { "type": "string", "description": "The article URI." }, "title": { "type": "string", "description": "The article title." }, "confidence": { "description": "Article match confidence. The system's confidence score that this article is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float", "type": "number" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "snippets": { "description": "Article snippets.", "items": { "type": "string" }, "type": "array" } }, "description": "Represents article answer.", "type": "object" }, "GoogleCloudDialogflowV2beta1RestoreAgentRequest": { "id": "GoogleCloudDialogflowV2beta1RestoreAgentRequest", "properties": { "agentContent": { "description": "Zip compressed raw byte content for agent.", "type": "string", "format": "byte" }, "agentUri": { "description": "The URI to a Google Cloud Storage file containing the agent to restore. Note: The URI must start with \"gs://\". Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" } }, "type": "object", "description": "The request message for Agents.RestoreAgent." }, "GoogleCloudDialogflowCxV3beta1ImportFlowResponse": { "id": "GoogleCloudDialogflowCxV3beta1ImportFlowResponse", "properties": { "flow": { "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.", "type": "string" } }, "type": "object", "description": "The response message for Flows.ImportFlow." }, "GoogleCloudDialogflowV2beta1Participant": { "id": "GoogleCloudDialogflowV2beta1Participant", "description": "Represents a conversation participant (human agent, virtual agent, end-user).", "properties": { "role": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "description": "Immutable. The role this participant plays in the conversation. This field must be set during participant creation and is then immutable.", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "type": "string" }, "documentsMetadataFilters": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Key-value filters on the metadata of documents returned by article suggestion. If specified, article suggestion only returns suggested documents that match all filters in their Document.metadata. Multiple values for a metadata key should be concatenated by comma. For example, filters to match all documents that have 'US' or 'CA' in their market metadata values and 'agent' in their user metadata values will be ``` documents_metadata_filters { key: \"market\" value: \"US,CA\" } documents_metadata_filters { key: \"user\" value: \"agent\" } ```" }, "obfuscatedExternalUserId": { "description": "Optional. Obfuscated user id that should be associated with the created participant. You can specify a user id as follows: 1. If you set this field in CreateParticipantRequest or UpdateParticipantRequest, Dialogflow adds the obfuscated user id with the participant. 2. If you set this field in AnalyzeContent or StreamingAnalyzeContent, Dialogflow will update Participant.obfuscated_external_user_id. Dialogflow uses this user id for following purposes: 1) Billing and measurement. If user with the same obfuscated_external_user_id is created in a later conversation, dialogflow will know it's the same user. 2) Agent assist suggestion personalization. For example, Dialogflow can use it to provide personalized smart reply suggestions for this user. Note: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Please never pass raw user ids to Dialogflow. Always obfuscate your user id first. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Dialogflow only accepts a UTF-8 encoded string, e.g., a hex digest of a hash function like SHA-512. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The length of the user id must be \u003c= 256 characters.", "type": "string" }, "name": { "type": "string", "description": "Optional. The unique identifier of this participant. Format: `projects//locations//conversations//participants/`." } }, "type": "object" }, "GoogleCloudDialogflowCxV3TestCaseError": { "properties": { "testCase": { "description": "The test case.", "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test case." } }, "description": "Error info for importing a test.", "id": "GoogleCloudDialogflowCxV3TestCaseError", "type": "object" }, "GoogleCloudDialogflowCxV3TestRunDifference": { "type": "object", "id": "GoogleCloudDialogflowCxV3TestRunDifference", "description": "The description of differences between original and replayed agent output.", "properties": { "type": { "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ], "description": "The type of diff.", "type": "string", "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ] }, "description": { "type": "string", "description": "A description of the diff, showing the actual output vs expected output." } } }, "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata": { "description": "Metadata for ReloadDocument operation.", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata" }, "GoogleCloudDialogflowV2SuggestionResult": { "properties": { "suggestArticlesResponse": { "$ref": "GoogleCloudDialogflowV2SuggestArticlesResponse", "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION." }, "suggestSmartRepliesResponse": { "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY.", "$ref": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse" }, "suggestFaqAnswersResponse": { "$ref": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse", "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER." }, "error": { "description": "Error status if the request failed.", "$ref": "GoogleRpcStatus" } }, "id": "GoogleCloudDialogflowV2SuggestionResult", "type": "object", "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent." }, "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata": { "id": "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata", "type": "object", "description": "Metadata for a ConversationModels.DeployConversationModel operation.", "properties": { "createTime": { "description": "Timestamp when request to deploy conversation model was submitted. The time is measured on server side.", "type": "string", "format": "google-datetime" }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" } } }, "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo": { "properties": { "displayName": { "type": "string", "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook." }, "required": { "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" }, "value": { "type": "any", "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value." }, "state": { "type": "string", "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ], "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.", "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ] }, "justCollected": { "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo", "type": "object", "description": "Represents parameter information." }, "GoogleCloudDialogflowCxV3beta1EventHandler": { "id": "GoogleCloudDialogflowCxV3beta1EventHandler", "type": "object", "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "properties": { "name": { "description": "Output only. The unique identifier of this event handler.", "readOnly": true, "type": "string" }, "targetFlow": { "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`.", "type": "string" }, "event": { "type": "string", "description": "Required. The name of the event to handle." }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "triggerFulfillment": { "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.", "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment" } } }, "GoogleCloudDialogflowCxV3TestCaseResult": { "description": "Represents a result from running a test case in an agent environment.", "type": "object", "properties": { "testResult": { "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "type": "string", "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "description": "Whether the test case passed in the agent environment." }, "conversationTurns": { "description": "The conversation turns uttered during the test case replay in chronological order.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" } }, "name": { "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`.", "type": "string" }, "testTime": { "format": "google-datetime", "description": "The time that the test was run.", "type": "string" }, "environment": { "type": "string", "description": "Environment where the test was run. If not set, it indicates the draft environment." } }, "id": "GoogleCloudDialogflowCxV3TestCaseResult" }, "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesRequest": { "description": "The request message for EntityTypes.BatchUpdateEntityTypes.", "type": "object", "id": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesRequest", "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated." }, "entityTypeBatchInline": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeBatch", "description": "The collection of entity types to update or create." }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "entityTypeBatchUri": { "type": "string", "description": "The URI to a Google Cloud Storage file containing entity types to update or create. The file format can either be a serialized proto (of EntityBatch type) or a JSON object. Note: The URI must start with \"gs://\"." } } }, "GoogleTypeLatLng": { "id": "GoogleTypeLatLng", "type": "object", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "properties": { "longitude": { "format": "double", "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0]." }, "latitude": { "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double", "type": "number" } } }, "GoogleCloudDialogflowV2BatchUpdateIntentsResponse": { "id": "GoogleCloudDialogflowV2BatchUpdateIntentsResponse", "type": "object", "description": "The response message for Intents.BatchUpdateIntents.", "properties": { "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Intent" }, "description": "The collection of updated or created intents." } } }, "GoogleCloudDialogflowV2beta1IntentParameter": { "properties": { "name": { "description": "The unique identifier of this parameter.", "type": "string" }, "defaultValue": { "type": "string", "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`." }, "displayName": { "type": "string", "description": "Required. The name of the parameter." }, "mandatory": { "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.", "type": "boolean" }, "entityTypeDisplayName": { "type": "string", "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided." }, "value": { "type": "string", "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`." }, "isList": { "description": "Optional. Indicates whether the parameter represents a list of values.", "type": "boolean" }, "prompts": { "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1IntentParameter", "description": "Represents intent parameters.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo", "description": "Represents a single followup intent in the chain.", "properties": { "followupIntentName": { "type": "string", "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`." }, "parentFollowupIntentName": { "type": "string", "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`." } } }, "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata": { "type": "object", "description": "Metadata for CreateDocument operation.", "id": "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowV2beta1QueryResult": { "id": "GoogleCloudDialogflowV2beta1QueryResult", "type": "object", "description": "Represents the result of conversational query or event processing.", "properties": { "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "webhookSource": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.", "type": "string" }, "outputContexts": { "type": "array", "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "fulfillmentMessages": { "description": "The collection of rich messages to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" } }, "queryText": { "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.", "type": "string" }, "action": { "type": "string", "description": "The action name from the matched intent." }, "fulfillmentText": { "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.", "type": "string" }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "webhookPayload": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response." }, "intent": { "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.", "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "allRequiredParamsPresent": { "type": "boolean", "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters." }, "intentDetectionConfidence": { "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.", "type": "number", "format": "float" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult", "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request." }, "knowledgeAnswers": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswers", "description": "The result from Knowledge Connector (if any), ordered by decreasing `KnowledgeAnswers.match_confidence`." }, "cancelsSlotFilling": { "type": "boolean", "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel)." }, "diagnosticInfo": { "type": "object", "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "speechRecognitionConfidence": { "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.", "type": "number", "format": "float" } } }, "GoogleCloudDialogflowV2beta1IntentMessageImage": { "description": "The image response message.", "type": "object", "properties": { "imageUri": { "type": "string", "description": "Optional. The public URI to an image file." }, "accessibilityText": { "description": "A text description of the image to be used for accessibility, e.g., screen readers. Required if image_uri is set for CarouselSelect.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "GoogleCloudDialogflowCxV3WebhookRequest": { "type": "object", "properties": { "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "intentInfo": { "description": "Information about the last matched intent.", "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo" }, "detectIntentResponseId": { "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.", "type": "string" }, "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "pageInfo": { "$ref": "GoogleCloudDialogflowCxV3PageInfo", "description": "Information about page status." }, "sessionInfo": { "description": "Information about session status.", "$ref": "GoogleCloudDialogflowCxV3SessionInfo" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult", "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request." }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "fulfillmentInfo": { "description": "Always present. Information about the fulfillment that triggered this webhook call.", "$ref": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo" }, "payload": { "description": "Custom data set in QueryParameters.payload.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;" }, "languageCode": { "description": "The language code specified in the original request.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3WebhookRequest", "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored." }, "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig": { "properties": { "enablePredeploymentRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.", "type": "boolean" }, "enableContinuousRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.", "type": "boolean" }, "testCases": { "items": { "type": "string" }, "type": "array", "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`" } }, "id": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig", "description": "The configuration for continuous tests.", "type": "object" }, "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata": { "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "id": "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata", "type": "object", "properties": { "createTime": { "description": "Timestamp whe the request was created. The time is measured on server side.", "type": "string", "format": "google-datetime" }, "suggestionFeatureType": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "description": "Required. The type of the suggestion feature to add or update." }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string", "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used." }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" } } }, "GoogleCloudDialogflowV2IntentMessageText": { "type": "object", "properties": { "text": { "items": { "type": "string" }, "type": "array", "description": "Optional. The collection of the agent's responses." } }, "id": "GoogleCloudDialogflowV2IntentMessageText", "description": "The text response message." }, "GoogleCloudDialogflowV2beta1ImportDocumentTemplate": { "id": "GoogleCloudDialogflowV2beta1ImportDocumentTemplate", "properties": { "metadata": { "additionalProperties": { "type": "string" }, "description": "Metadata for the document. The metadata supports arbitrary key-value pairs. Suggested use cases include storing a document's title, an external URL distinct from the document's content_uri, etc. The max size of a `key` or a `value` of the metadata is 1024 bytes.", "type": "object" }, "knowledgeTypes": { "items": { "enumDescriptions": [ "The type is unspecified or arbitrary.", "The document content contains question and answer pairs as either HTML or CSV. Typical FAQ HTML formats are parsed accurately, but unusual formats may fail to be parsed. CSV must have questions in the first column and answers in the second, with no header. Because of this explicit format, they are always parsed accurately.", "Documents for which unstructured text is extracted and used for question answering.", "The entire document content as a whole can be used for query results. Only for Contact Center Solutions on Dialogflow.", "The document contains agent-facing Smart Reply entries.", "The legacy enum for agent-facing smart reply feature." ], "type": "string", "enum": [ "KNOWLEDGE_TYPE_UNSPECIFIED", "FAQ", "EXTRACTIVE_QA", "ARTICLE_SUGGESTION", "AGENT_FACING_SMART_REPLY", "SMART_REPLY" ] }, "description": "Required. The knowledge type of document content.", "type": "array" }, "mimeType": { "type": "string", "description": "Required. The MIME type of the document." } }, "description": "The template used for importing documents.", "type": "object" }, "GoogleCloudDialogflowV2beta1BatchCreateMessagesRequest": { "id": "GoogleCloudDialogflowV2beta1BatchCreateMessagesRequest", "type": "object", "description": "The request message for Conversations.BatchCreateMessagesRequest.", "properties": { "requests": { "type": "array", "description": "Required. A maximum of 1000 Messages can be created in a batch. CreateMessageRequest.message.send_time is required. All created messages will have identical Message.create_time.", "items": { "$ref": "GoogleCloudDialogflowV2beta1CreateMessageRequest" } } } }, "GoogleCloudDialogflowV2beta1CompileSuggestionRequest": { "id": "GoogleCloudDialogflowV2beta1CompileSuggestionRequest", "properties": { "contextSize": { "format": "int32", "description": "Optional. Max number of messages prior to and including [latest_message] to use as context when compiling the suggestion. If zero or less than zero, 20 is used.", "type": "integer" }, "latestMessage": { "type": "string", "description": "Optional. The name of the latest conversation message to compile suggestion for. If empty, it will be the latest message of the conversation. Format: `projects//locations//conversations//messages/`." } }, "description": "The request message for Participants.CompileSuggestion.", "type": "object" }, "GoogleCloudDialogflowV2beta1ImportDocumentsRequest": { "properties": { "importGcsCustomMetadata": { "description": "Whether to import custom metadata from Google Cloud Storage. Only valid when the document source is Google Cloud Storage URI.", "type": "boolean" }, "documentTemplate": { "description": "Required. Document template used for importing all the documents.", "$ref": "GoogleCloudDialogflowV2beta1ImportDocumentTemplate" }, "gcsSource": { "description": "The Google Cloud Storage location for the documents. The path can include a wildcard. These URIs may have the forms `gs:///`. `gs:////*.`.", "$ref": "GoogleCloudDialogflowV2beta1GcsSources" } }, "id": "GoogleCloudDialogflowV2beta1ImportDocumentsRequest", "description": "Request message for Documents.ImportDocuments.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo": { "type": "object", "description": "Represents intent information communicated to the webhook.", "properties": { "confidence": { "format": "float", "type": "number", "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "displayName": { "description": "Always present. The display name of the last matched intent.", "type": "string" }, "lastMatchedIntent": { "type": "string", "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`." }, "parameters": { "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue" }, "type": "object", "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here." } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "GoogleCloudDialogflowV2beta1SynthesizeSpeechConfig": { "properties": { "pitch": { "type": "number", "description": "Optional. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.", "format": "double" }, "volumeGainDb": { "format": "double", "description": "Optional. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. We strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.", "type": "number" }, "voice": { "$ref": "GoogleCloudDialogflowV2beta1VoiceSelectionParams", "description": "Optional. The desired voice of the synthesized audio." }, "speakingRate": { "format": "double", "description": "Optional. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values \u003c 0.25 or \u003e 4.0 will return an error.", "type": "number" }, "effectsProfileId": { "type": "array", "description": "Optional. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given.", "items": { "type": "string" } } }, "description": "Configuration of how speech should be synthesized.", "id": "GoogleCloudDialogflowV2beta1SynthesizeSpeechConfig", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ExportFlowResponse": { "type": "object", "properties": { "flowUri": { "type": "string", "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest." }, "flowContent": { "description": "Uncompressed raw byte content for flow.", "format": "byte", "type": "string" } }, "description": "The response message for Flows.ExportFlow.", "id": "GoogleCloudDialogflowCxV3beta1ExportFlowResponse" }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio": { "description": "Plays audio from a file in Telephony Gateway.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio", "type": "object", "properties": { "audioUri": { "type": "string", "description": "Required. URI to a Google Cloud Storage object containing the audio to play, e.g., \"gs://bucket/object\". The object must contain a single channel (mono) of linear PCM audio (2 bytes / sample) at 8kHz. This object must be readable by the `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` service account where is the number of the Telephony Gateway project (usually the same as the Dialogflow agent project). If the Google Cloud Storage bucket is in the Telephony Gateway project, this permission is added by default when enabling the Dialogflow V2 API. For audio from other sources, consider using the `TelephonySynthesizeSpeech` message with SSML." } } }, "GoogleCloudDialogflowV2beta1BatchDeleteEntitiesRequest": { "id": "GoogleCloudDialogflowV2beta1BatchDeleteEntitiesRequest", "description": "The request message for EntityTypes.BatchDeleteEntities.", "properties": { "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "entityValues": { "description": "Required. The reference `values` of the entities to delete. Note that these are not fully-qualified names, i.e. they don't start with `projects/`.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText": { "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText", "properties": { "text": { "description": "The raw text to be synthesized.", "type": "string" }, "ssml": { "type": "string", "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml)." }, "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true, "type": "boolean" } } }, "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig", "description": "Configuration for the version.", "properties": { "version": { "type": "string", "description": "Required. Format: projects//locations//agents//flows//versions/." } } }, "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio": { "properties": { "allowPlaybackInterruption": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request." }, "audioUri": { "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.", "type": "string" } }, "description": "Specifies an audio clip to be played by the client as part of the response.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio" }, "GoogleCloudDialogflowCxV3QueryInput": { "properties": { "event": { "$ref": "GoogleCloudDialogflowCxV3EventInput", "description": "The event to be triggered." }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3DtmfInput", "description": "The DTMF event to be handled." }, "text": { "description": "The natural language text to be processed.", "$ref": "GoogleCloudDialogflowCxV3TextInput" }, "audio": { "description": "The natural language speech audio to be processed.", "$ref": "GoogleCloudDialogflowCxV3AudioInput" }, "intent": { "$ref": "GoogleCloudDialogflowCxV3IntentInput", "description": "The intent to be triggered." }, "languageCode": { "type": "string", "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." } }, "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. ", "id": "GoogleCloudDialogflowCxV3QueryInput", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageBasicCard": { "type": "object", "description": "The basic card message. Useful for displaying information.", "id": "GoogleCloudDialogflowV2IntentMessageBasicCard", "properties": { "image": { "description": "Optional. The image for the card.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "title": { "description": "Optional. The title of the card.", "type": "string" }, "buttons": { "description": "Optional. The collection of card buttons.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" } }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "formattedText": { "type": "string", "description": "Required, unless image is present. The body text of the card." } } }, "GoogleCloudDialogflowV2beta1BatchUpdateIntentsRequest": { "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. The mask to control which fields get updated." }, "languageCode": { "description": "Optional. The language used to access language-specific data. If not specified, the agent's default language is used. For more information, see [Multilingual intent and entity data](https://cloud.google.com/dialogflow/docs/agents-multilingual#intent-entity).", "type": "string" }, "intentBatchInline": { "$ref": "GoogleCloudDialogflowV2beta1IntentBatch", "description": "The collection of intents to update or create." }, "intentBatchUri": { "description": "The URI to a Google Cloud Storage file containing intents to update or create. The file format can either be a serialized proto (of IntentBatch type) or JSON object. Note: The URI must start with \"gs://\".", "type": "string" }, "intentView": { "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_FULL" ], "description": "Optional. The resource view to apply to the returned intent.", "enumDescriptions": [ "Training phrases field is not populated in the response.", "All fields are populated." ], "type": "string" } }, "description": "The request message for Intents.BatchUpdateIntents.", "type": "object", "id": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsRequest" }, "GoogleCloudDialogflowV2beta1IntentBatch": { "type": "object", "properties": { "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "A collection of intents." } }, "description": "This message is a wrapper around a collection of intents.", "id": "GoogleCloudDialogflowV2beta1IntentBatch" }, "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata": { "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "id": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "type": "object", "properties": { "state": { "type": "string", "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "description": "Required. Output only. The current state of this operation.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "readOnly": true } } }, "GoogleCloudDialogflowV2beta1AutomatedAgentConfig": { "properties": { "agent": { "type": "string", "description": "Required. ID of the Dialogflow agent environment to use. This project needs to either be the same project as the conversation or you need to grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Dialogflow API Service Agent` role in this project. - For ES agents, use format: `projects//locations//agent/environments/`. If environment is not specified, the default `draft` environment is used. Refer to [DetectIntentRequest](/dialogflow/docs/reference/rpc/google.cloud.dialogflow.v2beta1#google.cloud.dialogflow.v2beta1.DetectIntentRequest) for more details. - For CX agents, use format `projects//locations//agents//environments/`. If environment is not specified, the default `draft` environment is used." } }, "type": "object", "description": "Defines the Automated Agent to connect to a conversation.", "id": "GoogleCloudDialogflowV2beta1AutomatedAgentConfig" }, "GoogleCloudDialogflowCxV3FormParameter": { "id": "GoogleCloudDialogflowCxV3FormParameter", "description": "Represents a form parameter.", "properties": { "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "displayName": { "type": "string", "description": "Required. The human-readable name of the parameter, unique within the form." }, "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." }, "defaultValue": { "type": "any", "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored." }, "fillBehavior": { "description": "Required. Defines fill behavior for the parameter.", "$ref": "GoogleCloudDialogflowCxV3FormParameterFillBehavior" }, "required": { "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata": { "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.", "id": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata", "type": "object", "properties": { "suggestionFeatureType": { "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "description": "Required. The type of the suggestion feature to remove.", "type": "string" }, "conversationProfile": { "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`", "type": "string" }, "participantRole": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used." }, "createTime": { "description": "Timestamp whe the request was created. The time is measured on server side.", "format": "google-datetime", "type": "string" } } }, "GoogleCloudDialogflowCxV3ContinuousTestResult": { "type": "object", "description": "Represents a result from running a test case in an agent environment.", "properties": { "result": { "type": "string", "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.", "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ] }, "testCaseResults": { "type": "array", "description": "A list of individual test case results names in this continuous test run.", "items": { "type": "string" } }, "runTime": { "format": "google-datetime", "type": "string", "description": "Time when the continuous testing run starts." }, "name": { "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ContinuousTestResult" }, "GoogleCloudDialogflowV2beta1Intent": { "id": "GoogleCloudDialogflowV2beta1Intent", "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).", "properties": { "rootFollowupIntentName": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. Format: `projects//agent/intents/`." }, "events": { "type": "array", "items": { "type": "string" }, "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters." }, "webhookState": { "type": "string", "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ], "description": "Optional. Indicates whether webhooks are enabled for the intent.", "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ] }, "parameters": { "description": "Optional. The collection of parameters associated with the intent.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentParameter" } }, "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "priority": { "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "format": "int32", "type": "integer" }, "mlEnabled": { "description": "Optional. Indicates whether Machine Learning is enabled for the intent. Note: If `ml_enabled` setting is set to false, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off. DEPRECATED! Please use `ml_disabled` field instead. NOTE: If both `ml_enabled` and `ml_disabled` are either not set or false, then the default value is determined as follows: - Before April 15th, 2018 the default is: ml_enabled = false / ml_disabled = true. - After April 15th, 2018 the default is: ml_enabled = true / ml_disabled = false.", "type": "boolean" }, "messages": { "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" } }, "parentFollowupIntentName": { "description": "Optional. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.", "type": "string" }, "trainingPhrases": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase" }, "description": "Optional. The collection of examples that the agent is trained on." }, "liveAgentHandoff": { "type": "boolean", "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false." }, "mlDisabled": { "type": "boolean", "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off." }, "name": { "type": "string", "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`" }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "type": "array", "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`." }, "defaultResponsePlatforms": { "type": "array", "items": { "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ], "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ] }, "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform)." }, "resetContexts": { "type": "boolean", "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched." }, "inputContextNames": { "description": "Optional. The list of context names required for this intent to be triggered. Formats: - `projects//agent/sessions/-/contexts/` - `projects//locations//agent/sessions/-/contexts/`", "items": { "type": "string" }, "type": "array" }, "displayName": { "description": "Required. The name of this intent.", "type": "string" }, "followupIntentInfo": { "type": "array", "description": "Output only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "readOnly": true, "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo" } }, "action": { "type": "string", "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces." }, "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1AnalyzeContentResponse": { "properties": { "replyText": { "type": "string", "description": "Output only. The output text content. This field is set if the automated agent responded with text to show to the user." }, "automatedAgentReply": { "$ref": "GoogleCloudDialogflowV2beta1AutomatedAgentReply", "description": "Optional. Only set if a Dialogflow automated agent has responded. Note that: AutomatedAgentReply.detect_intent_response.output_audio and AutomatedAgentReply.detect_intent_response.output_audio_config are always empty, use reply_audio instead." }, "replyAudio": { "description": "Optional. The audio data bytes encoded as specified in the request. This field is set if: - `reply_audio_config` was specified in the request, or - The automated agent responded with audio to play to the user. In such case, `reply_audio.config` contains settings used to synthesize the speech. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.", "$ref": "GoogleCloudDialogflowV2beta1OutputAudio" }, "endUserSuggestionResults": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionResult" }, "description": "The suggestions for end user. The order is the same as HumanAgentAssistantConfig.SuggestionConfig.feature_configs of HumanAgentAssistantConfig.end_user_suggestion_config. Same as human_agent_suggestion_results, any failure of Agent Assist features will not lead to the overall failure of an AnalyzeContent API call. Instead, the features will fail silently with the error field set in the corresponding SuggestionResult." }, "message": { "$ref": "GoogleCloudDialogflowV2beta1Message", "description": "Output only. Message analyzed by CCAI." }, "humanAgentSuggestionResults": { "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionResult" }, "description": "The suggestions for most recent human agent. The order is the same as HumanAgentAssistantConfig.SuggestionConfig.feature_configs of HumanAgentAssistantConfig.human_agent_suggestion_config. Note that any failure of Agent Assist features will not lead to the overall failure of an AnalyzeContent API call. Instead, the features will fail silently with the error field set in the corresponding SuggestionResult.", "type": "array" }, "dtmfParameters": { "$ref": "GoogleCloudDialogflowV2beta1DtmfParameters", "description": "Indicates the parameters of DTMF." } }, "description": "The response message for Participants.AnalyzeContent.", "type": "object", "id": "GoogleCloudDialogflowV2beta1AnalyzeContentResponse" }, "GoogleCloudDialogflowCxV3IntentInput": { "type": "object", "id": "GoogleCloudDialogflowCxV3IntentInput", "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "properties": { "intent": { "type": "string", "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`." } } }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard", "type": "object", "properties": { "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image for the card." }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "buttons": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "description": "Optional. The collection of card buttons." }, "formattedText": { "type": "string", "description": "Required, unless image is present. The body text of the card." }, "title": { "type": "string", "description": "Optional. The title of the card." } }, "description": "The basic card message. Useful for displaying information." }, "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig": { "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.", "type": "object", "properties": { "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Generic Service configuration of this webhook." }, "service": { "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleCloudDialogflowCxV3RunTestCaseMetadata": { "id": "GoogleCloudDialogflowCxV3RunTestCaseMetadata", "type": "object", "properties": {}, "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields." }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem" }, "description": "Required. Carousel items." } }, "description": "The card for presenting a carousel of options to select from.", "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect" }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard": { "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel", "properties": { "imageDisplayOptions": { "description": "Optional. Settings for displaying the image. Applies to every image in items.", "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ], "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "type": "string" }, "items": { "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem" } } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult": { "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult", "description": "Represents the result of sentiment analysis.", "type": "object", "properties": { "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float", "type": "number" }, "magnitude": { "format": "float", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "type": "number" } } }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech": { "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech", "type": "object", "description": "Synthesizes speech and plays back the synthesized audio to the caller in Telephony Gateway. Telephony Gateway takes the synthesizer settings from `DetectIntentResponse.output_audio_config` which can either be set at request-level or can come from the agent-level synthesizer config.", "properties": { "text": { "description": "The raw text to be synthesized.", "type": "string" }, "ssml": { "type": "string", "description": "The SSML to be synthesized. For more information, see [SSML](https://developers.google.com/actions/reference/ssml)." } } }, "GoogleCloudDialogflowCxV3RunContinuousTestResponse": { "id": "GoogleCloudDialogflowCxV3RunContinuousTestResponse", "properties": { "continuousTestResult": { "$ref": "GoogleCloudDialogflowCxV3ContinuousTestResult", "description": "The result for a continuous test run." } }, "type": "object", "description": "The response message for Environments.RunContinuousTest." }, "GoogleCloudDialogflowCxV3beta1ConversationTurn": { "id": "GoogleCloudDialogflowCxV3beta1ConversationTurn", "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.", "type": "object", "properties": { "userInput": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput", "description": "The user input." }, "virtualAgentOutput": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput", "description": "The virtual agent output." } } }, "GoogleCloudDialogflowCxV3beta1Form": { "properties": { "parameters": { "description": "Parameters to collect from the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FormParameter" } } }, "id": "GoogleCloudDialogflowCxV3beta1Form", "type": "object", "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session." }, "GoogleCloudDialogflowV2beta1ArticleAnswer": { "description": "Represents article answer.", "type": "object", "properties": { "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "uri": { "type": "string", "description": "The article URI." }, "title": { "description": "The article title.", "type": "string" }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates." }, "snippets": { "description": "Output only. Article snippets.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowV2beta1ArticleAnswer" }, "GoogleCloudDialogflowV2beta1IntentMessageCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageCard", "description": "The card response message.", "type": "object", "properties": { "title": { "description": "Optional. The title of the card.", "type": "string" }, "buttons": { "type": "array", "description": "Optional. The collection of card buttons.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCardButton" } }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "imageUri": { "description": "Optional. The public URI to an image file for the card.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1QueryParameters": { "description": "Represents the parameters of the conversational query.", "id": "GoogleCloudDialogflowV2beta1QueryParameters", "type": "object", "properties": { "sessionEntityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "type": "array", "description": "Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session of this query." }, "geoLocation": { "$ref": "GoogleTypeLatLng", "description": "The geo location of this conversational query." }, "timeZone": { "type": "string", "description": "The time zone of this conversational query from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. If not provided, the time zone specified in agent settings is used." }, "payload": { "description": "This field can be used to pass custom data to your webhook. Arbitrary JSON objects are supported. If supplied, the value is used to populate the `WebhookRequest.original_detect_intent_request.payload` field sent to your webhook.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "contexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "type": "array", "description": "The collection of contexts to be activated before this query is executed." }, "webhookHeaders": { "additionalProperties": { "type": "string" }, "type": "object", "description": "This field can be used to pass HTTP headers for a webhook call. These headers will be sent to webhook along with the headers that have been configured through Dialogflow web console. The headers defined within this field will overwrite the headers configured through Dialogflow console if there is a conflict. Header names are case-insensitive. Google's specified headers are not allowed. Including: \"Host\", \"Content-Length\", \"Connection\", \"From\", \"User-Agent\", \"Accept-Encoding\", \"If-Modified-Since\", \"If-None-Match\", \"X-Forwarded-For\", etc." }, "sentimentAnalysisRequestConfig": { "description": "Configures the type of sentiment analysis to perform. If not provided, sentiment analysis is not performed. Note: Sentiment Analysis is only currently available for Essentials Edition agents.", "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisRequestConfig" }, "resetContexts": { "type": "boolean", "description": "Specifies whether to delete all contexts in the current session before the new ones are activated." }, "subAgents": { "description": "For mega agent query, directly specify which sub agents to query. If any specified sub agent is not linked to the mega agent, an error will be returned. If empty, Dialogflow will decide which sub agents to query. If specified for a non-mega-agent query, will be silently ignored.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SubAgent" } }, "knowledgeBaseNames": { "items": { "type": "string" }, "type": "array", "description": "KnowledgeBases to get alternative results from. If not set, the KnowledgeBases enabled in the agent (through UI) will be used. Format: `projects//knowledgeBases/`." } } }, "GoogleCloudDialogflowV2SmartReplyAnswer": { "properties": { "reply": { "description": "The content of the reply.", "type": "string" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "confidence": { "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float", "type": "number" } }, "type": "object", "description": "Represents a smart reply answer.", "id": "GoogleCloudDialogflowV2SmartReplyAnswer" }, "GoogleCloudDialogflowCxV3beta1Webhook": { "id": "GoogleCloudDialogflowCxV3beta1Webhook", "properties": { "serviceDirectory": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig", "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "timeout": { "format": "google-duration", "type": "string", "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds." }, "genericWebService": { "description": "Configuration for a generic web service.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the webhook, unique within the agent." }, "disabled": { "description": "Indicates whether the webhook is disabled.", "type": "boolean" }, "name": { "type": "string", "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`." } }, "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse": { "type": "object", "properties": { "continuousTestResult": { "description": "The result for a continuous test run.", "$ref": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult" } }, "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse", "description": "The response message for Environments.RunContinuousTest." }, "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies": { "description": "The quick replies response message.", "properties": { "title": { "type": "string", "description": "Optional. The title of the collection of quick replies." }, "quickReplies": { "items": { "type": "string" }, "type": "array", "description": "Optional. The collection of quick replies." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies", "type": "object" }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigMessageAnalysisConfig": { "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigMessageAnalysisConfig", "description": "Configuration for analyses to run on each conversation message.", "properties": { "enableSentimentAnalysis": { "description": "Enable sentiment analysis in conversation messages on [agent assist stage](https://cloud.google.com/dialogflow/priv/docs/contact-center/basics#stages). If unspecified, defaults to false. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral: https://cloud.google.com/natural-language/docs/basics#sentiment_analysis For Participants.StreamingAnalyzeContent method, result will be in StreamingAnalyzeContentResponse.message.SentimentAnalysisResult. For Participants.AnalyzeContent method, result will be in AnalyzeContentResponse.message.SentimentAnalysisResult For Conversations.ListMessages method, result will be in ListMessagesResponse.messages.SentimentAnalysisResult If Pub/Sub notification is configured, result will be in ConversationEvent.new_message_payload.SentimentAnalysisResult.", "type": "boolean" }, "enableEntityExtraction": { "description": "Enable entity extraction in conversation messages on [agent assist stage](https://cloud.google.com/dialogflow/priv/docs/contact-center/basics#stages). If unspecified, defaults to false. Currently, this feature is not general available, please contact Google to get access.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction": { "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.", "id": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction", "properties": {}, "type": "object" }, "GoogleCloudDialogflowV2beta1ExportAgentResponse": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ExportAgentResponse", "description": "The response message for Agents.ExportAgent.", "properties": { "agentContent": { "description": "Zip compressed raw byte content for agent.", "format": "byte", "type": "string" }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.", "type": "string" } } }, "GoogleCloudDialogflowCxV3DtmfInput": { "id": "GoogleCloudDialogflowCxV3DtmfInput", "type": "object", "properties": { "digits": { "description": "The dtmf digits.", "type": "string" }, "finishDigit": { "type": "string", "description": "The finish digit (if any)." } }, "description": "Represents the input for dtmf event." }, "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata", "description": "Metadata for DeleteDocument operation.", "type": "object", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionTriggerSettings": { "type": "object", "properties": { "onlyEndUser": { "type": "boolean", "description": "Only trigger suggestion if participant role of last utterance is END_USER." }, "noSmallTalk": { "type": "boolean", "description": "Do not trigger if last utterance is small talk." } }, "description": "Settings of suggestion trigger.", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantConfigSuggestionTriggerSettings" }, "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart": { "properties": { "text": { "type": "string", "description": "Required. The text for this part." }, "parameterId": { "type": "string", "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase." } }, "type": "object", "description": "Represents a part of a training phrase.", "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart" }, "GoogleCloudDialogflowCxV3PageInfo": { "properties": { "formInfo": { "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfo", "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form." }, "displayName": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.", "type": "string" }, "currentPage": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`." } }, "description": "Represents page information communicated to and from the webhook.", "type": "object", "id": "GoogleCloudDialogflowCxV3PageInfo" } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://dialogflow.mtls.googleapis.com/", "id": "dialogflow:v2beta1", "description": "Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).", "fullyEncodeReservedExpansion": true }
]===]))
