local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://dialogflow.mtls.googleapis.com/", "version_module": true, "discoveryVersion": "v1", "parameters": { "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "description": "Data format for response.", "default": "json" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" } }, "ownerName": "Google", "title": "Dialogflow API", "schemas": { "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech": { "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech", "properties": { "ssml": { "type": "string", "description": "The SSML to be synthesized. For more information, see [SSML](https://developers.google.com/actions/reference/ssml)." }, "text": { "type": "string", "description": "The raw text to be synthesized." } }, "type": "object", "description": "Synthesizes speech and plays back the synthesized audio to the caller in Telephony Gateway. Telephony Gateway takes the synthesizer settings from `DetectIntentResponse.output_audio_config` which can either be set at request-level or can come from the agent-level synthesizer config." }, "GoogleCloudDialogflowV2IntentMessageQuickReplies": { "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageQuickReplies", "properties": { "title": { "description": "Optional. The title of the collection of quick replies.", "type": "string" }, "quickReplies": { "type": "array", "description": "Optional. The collection of quick replies.", "items": { "type": "string" } } }, "description": "The quick replies response message." }, "GoogleCloudDialogflowCxV3RunContinuousTestRequest": { "description": "The request message for Environments.RunContinuousTest.", "type": "object", "properties": {}, "id": "GoogleCloudDialogflowCxV3RunContinuousTestRequest" }, "GoogleCloudDialogflowCxV3RunContinuousTestMetadata": { "properties": { "errors": { "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" }, "description": "The test errors.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3RunContinuousTestMetadata", "description": "Metadata returned for the Environments.RunContinuousTest long running operation.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata", "description": "Metadata for ReloadDocument operation." }, "GoogleCloudDialogflowCxV3beta1TestRunDifference": { "id": "GoogleCloudDialogflowCxV3beta1TestRunDifference", "properties": { "type": { "type": "string", "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ], "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ], "description": "The type of diff." }, "description": { "type": "string", "description": "A description of the diff, showing the actual output vs expected output." } }, "description": "The description of differences between original and replayed agent output.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1SessionInfo": { "properties": { "parameters": { "additionalProperties": { "type": "any" }, "type": "object", "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names." }, "session": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified." } }, "id": "GoogleCloudDialogflowCxV3beta1SessionInfo", "type": "object", "description": "Represents session information communicated to and from the webhook." }, "GoogleCloudDialogflowCxV3TestConfig": { "type": "object", "properties": { "page": { "type": "string", "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow." }, "trackingParameters": { "description": "Session parameters to be compared when calculating differences.", "items": { "type": "string" }, "type": "array" }, "flow": { "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3TestConfig", "description": "Represents configurations for a test case." }, "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig": { "type": "object", "properties": { "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Generic Service configuration of this webhook." }, "service": { "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.", "type": "string" } }, "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.", "id": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig" }, "GoogleCloudDialogflowCxV3ExportTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3ExportTestCasesResponse", "properties": { "gcsUri": { "type": "string", "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest." }, "content": { "description": "Uncompressed raw byte content for test cases.", "type": "string", "format": "byte" } }, "description": "The response message for TestCases.ExportTestCases.", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageSelectItemInfo": { "description": "Additional info about the select item for when it is triggered in a dialog.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "properties": { "key": { "description": "Required. A unique key that will be sent back to the agent if this response is given.", "type": "string" }, "synonyms": { "items": { "type": "string" }, "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog.", "type": "array" } } }, "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig": { "description": "Configuration for webhooks.", "properties": { "webhookOverrides": { "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "items": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig", "type": "object" }, "GoogleCloudDialogflowCxV3ExportFlowResponse": { "id": "GoogleCloudDialogflowCxV3ExportFlowResponse", "type": "object", "description": "The response message for Flows.ExportFlow.", "properties": { "flowUri": { "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.", "type": "string" }, "flowContent": { "format": "byte", "type": "string", "description": "Uncompressed raw byte content for flow." } } }, "GoogleCloudDialogflowV2SuggestArticlesResponse": { "properties": { "articleAnswers": { "items": { "$ref": "GoogleCloudDialogflowV2ArticleAnswer" }, "type": "array", "description": "Articles ordered by score in descending order." }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" } }, "id": "GoogleCloudDialogflowV2SuggestArticlesResponse", "description": "The response message for Participants.SuggestArticles.", "type": "object" }, "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "description": "Metadata for DeleteDocument operation." }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "properties": { "url": { "type": "string", "description": "Required. URL" }, "urlTypeHint": { "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "type": "string", "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ], "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ] } }, "type": "object", "description": "Actions on Google action to open a given url.", "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" }, "GoogleCloudDialogflowCxV3ResponseMessageText": { "id": "GoogleCloudDialogflowCxV3ResponseMessageText", "properties": { "text": { "description": "Required. A collection of text responses.", "items": { "type": "string" }, "type": "array" }, "allowPlaybackInterruption": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request." } }, "description": "The text response message.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ContinuousTestResult": { "type": "object", "description": "Represents a result from running a test case in an agent environment.", "properties": { "testCaseResults": { "items": { "type": "string" }, "description": "A list of individual test case results names in this continuous test run.", "type": "array" }, "runTime": { "format": "google-datetime", "type": "string", "description": "Time when the continuous testing run starts." }, "name": { "type": "string", "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`." }, "result": { "type": "string", "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ], "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.", "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ] } }, "id": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult" }, "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse": { "description": "The response message for TestCases.RunTestCase.", "type": "object", "properties": { "result": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult", "description": "The result." } }, "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse" }, "GoogleCloudDialogflowCxV3Form": { "id": "GoogleCloudDialogflowCxV3Form", "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session.", "type": "object", "properties": { "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3FormParameter" }, "description": "Parameters to collect from the user.", "type": "array" } } }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse": { "type": "object", "properties": { "gcsUri": { "type": "string", "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest." }, "content": { "description": "Uncompressed raw byte content for test cases.", "format": "byte", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse", "description": "The response message for TestCases.ExportTestCases." }, "GoogleCloudDialogflowCxV3BatchRunTestCasesRequest": { "description": "The request message for TestCases.BatchRunTestCases.", "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesRequest", "properties": { "testCases": { "type": "array", "items": { "type": "string" }, "description": "Required. Format: `projects//locations//agents//testCases/`." }, "environment": { "type": "string", "description": "Optional. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall", "properties": { "phoneNumber": { "type": "string", "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164)." } }, "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint." }, "GoogleCloudDialogflowCxV3ImportFlowResponse": { "type": "object", "properties": { "flow": { "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ImportFlowResponse", "description": "The response message for Flows.ImportFlow." }, "GoogleCloudDialogflowCxV3DeploymentResult": { "description": "Result of the deployment.", "properties": { "experiment": { "description": "The name of the experiment triggered by this deployment. Format: projects//locations//agents//environments//experiments/.", "type": "string" }, "deploymentTestResults": { "description": "Results of test cases running before the deployment. Format: `projects//locations//agents//testCases//results/`.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3DeploymentResult", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion": { "properties": { "uri": { "description": "Required. The URI of the app or site to open when the user taps the suggestion chip.", "type": "string" }, "destinationName": { "type": "string", "description": "Required. The name of the app or site this chip is linking to." } }, "id": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion", "type": "object", "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent." }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse": { "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Includes details about skipped documents or any other warnings.", "type": "array" } }, "type": "object", "description": "Response message for Documents.ImportDocuments.", "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse" }, "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess": { "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Custom metadata. Dialogflow doesn't impose any structure on this.", "type": "object" } }, "id": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess", "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue.", "type": "object" }, "GoogleCloudDialogflowCxV3QueryParameters": { "properties": { "analyzeQueryTextSentiment": { "description": "Configures whether sentiment analysis should be performed. If not provided, sentiment analysis is not performed.", "type": "boolean" }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Additional parameters to be put into session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. You can reference the session parameters in the agent with the following format: $session.params.parameter-id. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value." }, "payload": { "description": "This field can be used to pass custom data into the webhook associated with the agent. Arbitrary JSON objects are supported. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: ``` { \"telephony\": { \"caller_id\": \"+18558363987\" } } ```", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "timeZone": { "type": "string", "description": "The time zone of this conversational query from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. If not provided, the time zone specified in the agent is used." }, "currentPage": { "type": "string", "description": "The unique identifier of the page to override the current page in the session. Format: `projects//locations//agents//flows//pages/`. If `current_page` is specified, the previous state of the session will be ignored by Dialogflow, including the previous page and the previous session parameters. In most cases, current_page and parameters should be configured together to direct a session to a specific state." }, "disableWebhook": { "type": "boolean", "description": "Whether to disable webhook calls for this request." }, "flowVersions": { "items": { "type": "string" }, "description": "A list of flow versions to override for the request. Format: `projects//locations//agents//flows//versions/`. If version 1 of flow X is included in this list, the traffic of flow X will go through version 1 regardless of the version configuration in the environment. Each flow can have at most one version specified in this list.", "type": "array" }, "sessionEntityTypes": { "items": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "type": "array", "description": "Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session of this query." }, "webhookHeaders": { "description": "This field can be used to pass HTTP headers for a webhook call. These headers will be sent to webhook along with the headers that have been configured through Dialogflow web console. The headers defined within this field will overwrite the headers configured through Dialogflow console if there is a conflict. Header names are case-insensitive. Google's specified headers are not allowed. Including: \"Host\", \"Content-Length\", \"Connection\", \"From\", \"User-Agent\", \"Accept-Encoding\", \"If-Modified-Since\", \"If-None-Match\", \"X-Forwarded-For\", etc.", "additionalProperties": { "type": "string" }, "type": "object" }, "geoLocation": { "description": "The geo location of this conversational query.", "$ref": "GoogleTypeLatLng" } }, "id": "GoogleCloudDialogflowCxV3QueryParameters", "description": "Represents the parameters of a conversational query.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply": { "description": "Rich Business Messaging (RBM) suggested reply that the user can click instead of typing in their own response.", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply", "properties": { "postbackData": { "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested reply. This data will be also forwarded to webhook to allow performing custom business logic.", "type": "string" }, "text": { "type": "string", "description": "Suggested reply text." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ExportOperationMetadata": { "id": "GoogleCloudDialogflowV2beta1ExportOperationMetadata", "description": "Metadata related to the Export Data Operations (e.g. ExportDocument).", "properties": { "exportedGcsDestination": { "description": "Cloud Storage file path of the exported data.", "$ref": "GoogleCloudDialogflowV2beta1GcsDestination" } }, "type": "object" }, "GoogleCloudDialogflowV2AnnotatedMessagePart": { "id": "GoogleCloudDialogflowV2AnnotatedMessagePart", "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.", "properties": { "formattedValue": { "description": "The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } ", "type": "any" }, "entityType": { "description": "The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.", "type": "string" }, "text": { "description": "A part of a message possibly annotated with an entity.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3DetectIntentRequest": { "id": "GoogleCloudDialogflowCxV3DetectIntentRequest", "properties": { "queryParams": { "$ref": "GoogleCloudDialogflowCxV3QueryParameters", "description": "The parameters of this query." }, "outputAudioConfig": { "$ref": "GoogleCloudDialogflowCxV3OutputAudioConfig", "description": "Instructs the speech synthesizer how to generate the output audio." }, "queryInput": { "$ref": "GoogleCloudDialogflowCxV3QueryInput", "description": "Required. The input specification." } }, "type": "object", "description": "The request to detect user's intent." }, "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata": { "properties": { "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" }, "createTime": { "description": "Timestamp when delete conversation model request was created. The time is measured on server side.", "format": "google-datetime", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata", "description": "Metadata for a ConversationModels.DeleteConversationModel operation." }, "GoogleCloudDialogflowV2IntentTrainingPhrasePart": { "description": "Represents a part of a training phrase.", "type": "object", "id": "GoogleCloudDialogflowV2IntentTrainingPhrasePart", "properties": { "alias": { "type": "string", "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase." }, "userDefined": { "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.", "type": "boolean" }, "entityType": { "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.", "type": "string" }, "text": { "type": "string", "description": "Required. The text for this part." } } }, "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata": { "type": "object", "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.", "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata", "properties": {} }, "GoogleCloudDialogflowV2beta1ArticleAnswer": { "properties": { "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "uri": { "type": "string", "description": "The article URI." }, "metadata": { "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" } }, "title": { "description": "The article title.", "type": "string" }, "snippets": { "type": "array", "items": { "type": "string" }, "description": "Output only. Article snippets." } }, "id": "GoogleCloudDialogflowV2beta1ArticleAnswer", "description": "Represents article answer.", "type": "object" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswers": { "type": "object", "properties": { "answers": { "items": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer" }, "type": "array", "description": "A list of answers from Knowledge Connector." } }, "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswers", "description": "Represents the result of querying a Knowledge base." }, "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion": { "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent.", "id": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion", "type": "object", "properties": { "uri": { "description": "Required. The URI of the app or site to open when the user taps the suggestion chip.", "type": "string" }, "destinationName": { "description": "Required. The name of the app or site this chip is linking to.", "type": "string" } } }, "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata": { "id": "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata", "properties": { "participantRole": { "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ] }, "createTime": { "type": "string", "format": "google-datetime", "description": "Timestamp whe the request was created. The time is measured on server side." }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" }, "suggestionFeatureType": { "type": "string", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "description": "Required. The type of the suggestion feature to add or update." } }, "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse": { "description": "The simple response message containing speech or text.", "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse", "type": "object", "properties": { "displayText": { "description": "Optional. The text to display.", "type": "string" }, "ssml": { "type": "string", "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech." }, "textToSpeech": { "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.", "type": "string" } } }, "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio": { "id": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio", "properties": { "audioUri": { "type": "string", "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it." }, "allowPlaybackInterruption": { "readOnly": true, "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean" } }, "description": "Specifies an audio clip to be played by the client as part of the response.", "type": "object" }, "GoogleCloudDialogflowV2ImportConversationDataOperationResponse": { "properties": { "importCount": { "type": "integer", "format": "int32", "description": "Number of conversations imported successfully." }, "conversationDataset": { "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`", "type": "string" } }, "description": "Response used for ConversationDatasets.ImportConversationData long running operation.", "type": "object", "id": "GoogleCloudDialogflowV2ImportConversationDataOperationResponse" }, "GoogleCloudDialogflowV2beta1ImportDocumentsResponse": { "id": "GoogleCloudDialogflowV2beta1ImportDocumentsResponse", "description": "Response message for Documents.ImportDocuments.", "type": "object", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } } }, "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig": { "description": "The configuration for continuous tests.", "id": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig", "properties": { "enablePredeploymentRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false." }, "testCases": { "items": { "type": "string" }, "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`", "type": "array" }, "enableContinuousRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1AudioInput": { "id": "GoogleCloudDialogflowCxV3beta1AudioInput", "type": "object", "description": "Represents the natural speech audio to be processed.", "properties": { "config": { "$ref": "GoogleCloudDialogflowCxV3beta1InputAudioConfig", "description": "Required. Instructs the speech recognizer how to process the speech audio." }, "audio": { "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.", "format": "byte", "type": "string" } } }, "GoogleCloudDialogflowV2beta1ConversationEvent": { "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.", "type": "object", "properties": { "errorStatus": { "$ref": "GoogleRpcStatus", "description": "Optional. More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL." }, "newMessagePayload": { "description": "Payload of NEW_MESSAGE event.", "$ref": "GoogleCloudDialogflowV2beta1Message" }, "conversation": { "description": "Required. The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "type": { "description": "Required. The type of the event that this notification refers to.", "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ] } }, "id": "GoogleCloudDialogflowV2beta1ConversationEvent" }, "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "properties": { "state": { "description": "Required. Output only. The current state of this operation.", "type": "string", "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ] } }, "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations." }, "GoogleCloudDialogflowCxV3ExportTestCasesMetadata": { "id": "GoogleCloudDialogflowCxV3ExportTestCasesMetadata", "properties": {}, "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction": { "properties": { "uri": { "type": "string", "description": "Required. The HTTP or HTTPS scheme URI." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction", "description": "Opens the given URI.", "type": "object" }, "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse": { "id": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse", "properties": { "entityTypes": { "description": "The collection of updated or created entity types.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" } } }, "type": "object", "description": "The response message for EntityTypes.BatchUpdateEntityTypes." }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard": { "properties": { "imageDisplayOptions": { "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ], "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "description": "Optional. Settings for displaying the image. Applies to every image in items.", "type": "string" }, "items": { "type": "array", "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem" } } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard", "type": "object", "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel" }, "GoogleCloudDialogflowV2ConversationModel": { "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "UNDEPLOYED", "DEPLOYING", "DEPLOYED", "UNDEPLOYING", "DELETING", "FAILED", "PENDING" ], "readOnly": true, "description": "Output only. State of the model. A model can only serve prediction requests after it gets deployed.", "type": "string", "enumDescriptions": [ "Should not be used, an un-set enum has this value by default.", "Model being created.", "Model is not deployed but ready to deploy.", "Model is deploying.", "Model is deployed and ready to use.", "Model is undeploying.", "Model is deleting.", "Model is in error state. Not ready to deploy and use.", "Model is being created but the training has not started, The model may remain in this state until there is enough capacity to start training." ] }, "articleSuggestionModelMetadata": { "description": "Metadata for article suggestion models.", "$ref": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata" }, "languageCode": { "type": "string", "description": "Language code for the conversation model. If not specified, the language is en-US. Language at ConversationModel should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "createTime": { "description": "Output only. Creation time of this model.", "type": "string", "format": "google-datetime", "readOnly": true }, "name": { "type": "string", "description": "ConversationModel resource name. Format: `projects//conversationModels/`" }, "smartReplyModelMetadata": { "description": "Metadata for smart reply models.", "$ref": "GoogleCloudDialogflowV2SmartReplyModelMetadata" }, "displayName": { "type": "string", "description": "Required. The display name of the model. At most 64 bytes long." }, "datasets": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2InputDataset" }, "description": "Required. Datasets used to create model." } }, "type": "object", "description": "Represents a conversation model.", "id": "GoogleCloudDialogflowV2ConversationModel" }, "GoogleCloudDialogflowCxV3ContinuousTestResult": { "id": "GoogleCloudDialogflowCxV3ContinuousTestResult", "type": "object", "description": "Represents a result from running a test case in an agent environment.", "properties": { "testCaseResults": { "type": "array", "description": "A list of individual test case results names in this continuous test run.", "items": { "type": "string" } }, "name": { "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`.", "type": "string" }, "result": { "type": "string", "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ], "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not." }, "runTime": { "type": "string", "format": "google-datetime", "description": "Time when the continuous testing run starts." } } }, "GoogleCloudDialogflowCxV3beta1Webhook": { "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "id": "GoogleCloudDialogflowCxV3beta1Webhook", "type": "object", "properties": { "disabled": { "type": "boolean", "description": "Indicates whether the webhook is disabled." }, "serviceDirectory": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig", "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService", "description": "Configuration for a generic web service." }, "name": { "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "displayName": { "description": "Required. The human-readable name of the webhook, unique within the agent.", "type": "string" }, "timeout": { "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.", "format": "google-duration", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1ResponseMessageText": { "properties": { "text": { "type": "array", "items": { "type": "string" }, "description": "Required. A collection of text responses." }, "allowPlaybackInterruption": { "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageText", "description": "The text response message.", "type": "object" }, "GoogleCloudDialogflowV2FaqAnswer": { "id": "GoogleCloudDialogflowV2FaqAnswer", "type": "object", "description": "Represents answer from \"frequently asked questions\".", "properties": { "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.", "type": "string" }, "confidence": { "format": "float", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number" }, "question": { "type": "string", "description": "The corresponding FAQ question." }, "answer": { "description": "The piece of text from the `source` knowledge base document.", "type": "string" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "metadata": { "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" } } } }, "GoogleCloudDialogflowCxV3CalculateCoverageResponse": { "properties": { "transitionCoverage": { "description": "Transition (excluding transition route groups) coverage.", "$ref": "GoogleCloudDialogflowCxV3TransitionCoverage" }, "routeGroupCoverage": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage", "description": "Transition route group coverage." }, "agent": { "type": "string", "description": "The agent to calculate coverage for. Format: `projects//locations//agents/`." }, "intentCoverage": { "description": "Intent coverage.", "$ref": "GoogleCloudDialogflowCxV3IntentCoverage" } }, "description": "The response message for TestCases.CalculateCoverage.", "type": "object", "id": "GoogleCloudDialogflowCxV3CalculateCoverageResponse" }, "GoogleCloudDialogflowCxV3OutputAudioConfig": { "description": "Instructs the speech synthesizer how to generate the output audio content.", "type": "object", "properties": { "synthesizeSpeechConfig": { "$ref": "GoogleCloudDialogflowCxV3SynthesizeSpeechConfig", "description": "Optional. Configuration of how speech should be synthesized." }, "sampleRateHertz": { "type": "integer", "format": "int32", "description": "Optional. The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality)." }, "audioEncoding": { "type": "string", "description": "Required. Audio encoding of the synthesized audio content.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM). Audio content returned as LINEAR16 also contains a WAV header.", "MP3 audio at 32kbps.", "MP3 audio at 64kbps.", "Opus encoded audio wrapped in an ogg container. The result will be a file which can be played natively on Android, and in browsers (at least Chrome and Firefox). The quality of the encoding is considerably higher than MP3 while using approximately the same bitrate.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law." ], "enum": [ "OUTPUT_AUDIO_ENCODING_UNSPECIFIED", "OUTPUT_AUDIO_ENCODING_LINEAR_16", "OUTPUT_AUDIO_ENCODING_MP3", "OUTPUT_AUDIO_ENCODING_MP3_64_KBPS", "OUTPUT_AUDIO_ENCODING_OGG_OPUS", "OUTPUT_AUDIO_ENCODING_MULAW" ] } }, "id": "GoogleCloudDialogflowCxV3OutputAudioConfig" }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo": { "properties": { "displayName": { "type": "string", "description": "Always present. The display name of the last matched intent." }, "confidence": { "format": "float", "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number" }, "parameters": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue" }, "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here." }, "lastMatchedIntent": { "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo", "type": "object", "description": "Represents intent information communicated to the webhook." }, "GoogleCloudDialogflowV2IntentMessageSuggestion": { "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageSuggestion", "properties": { "title": { "type": "string", "description": "Required. The text shown the in the suggestion chip." } } }, "GoogleCloudDialogflowV2Intent": { "properties": { "outputContexts": { "type": "array", "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.", "items": { "$ref": "GoogleCloudDialogflowV2Context" } }, "name": { "type": "string", "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`." }, "liveAgentHandoff": { "type": "boolean", "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false." }, "displayName": { "description": "Required. The name of this intent.", "type": "string" }, "priority": { "format": "int32", "type": "integer", "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests." }, "inputContextNames": { "items": { "type": "string" }, "description": "Optional. The list of context names required for this intent to be triggered. Format: `projects//agent/sessions/-/contexts/`.", "type": "array" }, "defaultResponsePlatforms": { "items": { "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ], "type": "string", "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ] }, "type": "array", "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform)." }, "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "messages": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" }, "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console.", "type": "array" }, "resetContexts": { "type": "boolean", "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched." }, "events": { "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.", "items": { "type": "string" }, "type": "array" }, "rootFollowupIntentName": { "type": "string", "description": "Output only. Read-only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. We populate this field only in the output. Format: `projects//agent/intents/`.", "readOnly": true }, "trainingPhrases": { "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrase" }, "type": "array", "description": "Optional. The collection of examples that the agent is trained on." }, "action": { "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.", "type": "string" }, "followupIntentInfo": { "type": "array", "readOnly": true, "description": "Output only. Read-only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "items": { "$ref": "GoogleCloudDialogflowV2IntentFollowupIntentInfo" } }, "endInteraction": { "type": "boolean", "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false." }, "parentFollowupIntentName": { "type": "string", "description": "Read-only after creation. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`." }, "webhookState": { "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ], "type": "string", "description": "Optional. Indicates whether webhooks are enabled for the intent.", "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ] }, "mlDisabled": { "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.", "type": "boolean" }, "parameters": { "description": "Optional. The collection of parameters associated with the intent.", "items": { "$ref": "GoogleCloudDialogflowV2IntentParameter" }, "type": "array" } }, "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).", "id": "GoogleCloudDialogflowV2Intent", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction": { "properties": { "uri": { "description": "Required. The HTTP or HTTPS scheme URI.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction", "description": "Opens the given URI." }, "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject": { "properties": { "name": { "type": "string", "description": "Required. Name of media card." }, "description": { "description": "Optional. Description of media card.", "type": "string" }, "icon": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Icon to display above media content." }, "largeImage": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Image to display above media content." }, "contentUrl": { "description": "Required. Url where the media is stored.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject", "type": "object", "description": "Response media object for media content card." }, "GoogleCloudDialogflowV2beta1IntentMessageCard": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageCard", "properties": { "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "imageUri": { "description": "Optional. The public URI to an image file for the card.", "type": "string" }, "buttons": { "description": "Optional. The collection of card buttons.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCardButton" } }, "title": { "description": "Optional. The title of the card.", "type": "string" } }, "description": "The card response message." }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue": { "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue", "type": "object", "properties": { "originalValue": { "type": "string", "description": "Always present. Original text value extracted from user utterance." }, "resolvedValue": { "type": "any", "description": "Always present. Structured value for the parameter extracted from user utterance." } }, "description": "Represents a value for an intent parameter." }, "GoogleCloudDialogflowCxV3VariantsHistory": { "description": "The history of variants update.", "id": "GoogleCloudDialogflowCxV3VariantsHistory", "type": "object", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Update time of the variants." }, "versionVariants": { "$ref": "GoogleCloudDialogflowCxV3VersionVariants", "description": "The flow versions as the variants." } } }, "GoogleCloudDialogflowCxV3ExperimentResult": { "description": "The inference result which includes an objective metric to optimize and the confidence interval.", "id": "GoogleCloudDialogflowCxV3ExperimentResult", "properties": { "versionMetrics": { "description": "Version variants and metrics.", "items": { "$ref": "GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics" }, "type": "array" }, "lastUpdateTime": { "type": "string", "format": "google-datetime", "description": "The last time the experiment's stats data was updated. Will have default value if stats have never been computed for this experiment." } }, "type": "object" }, "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata": { "type": "object", "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation.", "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata", "properties": { "errors": { "type": "array", "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } } }, "GoogleCloudDialogflowCxV3RunTestCaseRequest": { "id": "GoogleCloudDialogflowCxV3RunTestCaseRequest", "properties": { "environment": { "type": "string", "description": "Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`." } }, "type": "object", "description": "The request message for TestCases.RunTestCase." }, "GoogleCloudDialogflowCxV3beta1InputAudioConfig": { "type": "object", "description": "Instructs the speech recognizer on how to process the audio content.", "id": "GoogleCloudDialogflowCxV3beta1InputAudioConfig", "properties": { "phraseHints": { "type": "array", "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "items": { "type": "string" } }, "enableWordInfo": { "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.", "type": "boolean" }, "singleUtterance": { "type": "boolean", "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods." }, "sampleRateHertz": { "type": "integer", "format": "int32", "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details." }, "modelVariant": { "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ], "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "description": "Optional. Which variant of the Speech model to use.", "type": "string" }, "model": { "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" }, "audioEncoding": { "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "description": "Required. Audio encoding of the audio content to process.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ], "type": "string" } } }, "GoogleCloudDialogflowV2IntentMessageTableCard": { "properties": { "title": { "description": "Required. Title of the card.", "type": "string" }, "rows": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardRow" }, "description": "Optional. Rows in this table of data.", "type": "array" }, "image": { "description": "Optional. Image which should be displayed on the card.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "buttons": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" }, "description": "Optional. List of buttons for the card." }, "subtitle": { "description": "Optional. Subtitle to the title.", "type": "string" }, "columnProperties": { "type": "array", "description": "Optional. Display properties for the columns in this table.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageColumnProperties" } } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCard", "description": "Table card for Actions on Google." }, "GoogleCloudDialogflowCxV3Environment": { "id": "GoogleCloudDialogflowCxV3Environment", "type": "object", "properties": { "versionConfigs": { "items": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig" }, "type": "array", "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned." }, "description": { "type": "string", "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected." }, "updateTime": { "description": "Output only. Update time of this environment.", "readOnly": true, "type": "string", "format": "google-datetime" }, "webhookConfig": { "description": "The webhook configuration for this environment.", "$ref": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig" }, "testCasesConfig": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig", "description": "The test cases config for continuous tests of this environment." }, "name": { "type": "string", "description": "The name of the environment. Format: `projects//locations//agents//environments/`." }, "displayName": { "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.", "type": "string" } }, "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc." }, "GoogleCloudDialogflowCxV3ListWebhooksResponse": { "description": "The response message for Webhooks.ListWebhooks.", "type": "object", "id": "GoogleCloudDialogflowCxV3ListWebhooksResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "webhooks": { "type": "array", "description": "The list of webhooks. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3Webhook" } } } }, "GoogleCloudDialogflowCxV3SessionEntityType": { "type": "object", "id": "GoogleCloudDialogflowCxV3SessionEntityType", "description": "Session entity types are referred to as **User** entity types and are entities that are built for an individual user such as favorites, preferences, playlists, and so on. You can redefine a session entity type at the session level to extend or replace a custom entity type at the user session level (we refer to the entity types defined at the agent level as \"custom entity types\"). Note: session entity types apply to all queries, regardless of the language. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "entityOverrideMode": { "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "type": "string", "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ] }, "entities": { "items": { "$ref": "GoogleCloudDialogflowCxV3EntityTypeEntity" }, "description": "Required. The collection of entities to override or supplement the custom entity type.", "type": "array" }, "name": { "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "type": "string" } } }, "GoogleCloudDialogflowCxV3ListSecuritySettingsResponse": { "id": "GoogleCloudDialogflowCxV3ListSecuritySettingsResponse", "description": "The response message for SecuritySettings.ListSecuritySettings.", "properties": { "securitySettings": { "type": "array", "description": "The list of security settings.", "items": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse": { "type": "object", "properties": { "continuousTestResults": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ContinuousTestResult" }, "description": "The list of continuous test results." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse", "description": "The response message for Environments.ListTestCaseResults." }, "GoogleCloudDialogflowCxV3TransitionRoute": { "type": "object", "properties": { "intent": { "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.", "type": "string" }, "condition": { "type": "string", "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "triggerFulfillment": { "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" }, "targetFlow": { "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`.", "type": "string" }, "name": { "description": "Output only. The unique identifier of this transition route.", "type": "string", "readOnly": true } }, "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3TransitionRoute" }, "GoogleCloudDialogflowCxV3TestCaseResult": { "type": "object", "properties": { "testResult": { "type": "string", "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "description": "Whether the test case passed in the agent environment." }, "environment": { "type": "string", "description": "Environment where the test was run. If not set, it indicates the draft environment." }, "testTime": { "type": "string", "description": "The time that the test was run.", "format": "google-datetime" }, "name": { "type": "string", "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`." }, "conversationTurns": { "type": "array", "description": "The conversation turns uttered during the test case replay in chronological order.", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" } } }, "id": "GoogleCloudDialogflowCxV3TestCaseResult", "description": "Represents a result from running a test case in an agent environment." }, "GoogleCloudDialogflowCxV3IntentCoverage": { "description": "Intent coverage represents the percentage of all possible intents in the agent that are triggered in any of a parent's test cases.", "properties": { "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentCoverageIntent" }, "description": "The list of Intents present in the agent" }, "coverageScore": { "type": "number", "description": "The percent of intents in the agent that are covered.", "format": "float" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3IntentCoverage" }, "GoogleCloudDialogflowCxV3ListTestCasesResponse": { "type": "object", "description": "The response message for TestCases.ListTestCases.", "id": "GoogleCloudDialogflowCxV3ListTestCasesResponse", "properties": { "testCases": { "items": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "type": "array", "description": "The list of test cases. There will be a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "GoogleCloudDialogflowV2beta1SentimentAnalysisResult": { "properties": { "queryTextSentiment": { "description": "The sentiment analysis result for `query_text`.", "$ref": "GoogleCloudDialogflowV2beta1Sentiment" } }, "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config", "type": "object", "id": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult" }, "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse": { "properties": { "entityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2EntityType" }, "description": "The collection of updated or created entity types.", "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse", "description": "The response message for EntityTypes.BatchUpdateEntityTypes." }, "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService": { "properties": { "password": { "description": "The password for HTTP Basic authentication.", "type": "string" }, "allowedCaCerts": { "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```", "type": "array", "items": { "format": "byte", "type": "string" } }, "uri": { "type": "string", "description": "Required. The webhook URI for receiving POST requests. It must use https protocol." }, "username": { "description": "The user name for HTTP Basic authentication.", "type": "string" }, "requestHeaders": { "additionalProperties": { "type": "string" }, "description": "The HTTP request headers to send together with webhook requests.", "type": "object" } }, "type": "object", "description": "Represents configuration for a generic web service.", "id": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "GoogleCloudDialogflowV2IntentMessageMediaContent": { "properties": { "mediaObjects": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject" }, "description": "Required. List of media objects." }, "mediaType": { "type": "string", "description": "Optional. What type of media is the content (ie \"audio\").", "enumDescriptions": [ "Unspecified.", "Response media type is audio." ], "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ] } }, "description": "The media content card for Actions on Google.", "id": "GoogleCloudDialogflowV2IntentMessageMediaContent", "type": "object" }, "GoogleCloudDialogflowV2beta1AnnotatedMessagePart": { "properties": { "formattedValue": { "description": "Optional. The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } ", "type": "any" }, "entityType": { "description": "Optional. The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity.", "type": "string" }, "text": { "description": "Required. A part of a message possibly annotated with an entity.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart", "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end." }, "GoogleCloudDialogflowCxV3RunTestCaseResponse": { "type": "object", "properties": { "result": { "description": "The result.", "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" } }, "description": "The response message for TestCases.RunTestCase.", "id": "GoogleCloudDialogflowCxV3RunTestCaseResponse" }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart": { "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart", "description": "Represents a part of a training phrase.", "properties": { "userDefined": { "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.", "type": "boolean" }, "alias": { "type": "string", "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase." }, "entityType": { "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.", "type": "string" }, "text": { "type": "string", "description": "Required. The text for this part." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ConversationTurn": { "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.", "id": "GoogleCloudDialogflowCxV3ConversationTurn", "properties": { "virtualAgentOutput": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput", "description": "The virtual agent output." }, "userInput": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurnUserInput", "description": "The user input." } }, "type": "object" }, "GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest": { "description": "The request message for TestCases.BatchDeleteTestCases.", "type": "object", "properties": { "names": { "type": "array", "items": { "type": "string" }, "description": "Required. Format of test case names: `projects//locations/ /agents//testCases/`." } }, "id": "GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest" }, "GoogleCloudDialogflowCxV3WebhookRequest": { "type": "object", "properties": { "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "languageCode": { "type": "string", "description": "The language code specified in the original request." }, "pageInfo": { "$ref": "GoogleCloudDialogflowCxV3PageInfo", "description": "Information about page status." }, "detectIntentResponseId": { "type": "string", "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller." }, "sentimentAnalysisResult": { "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.", "$ref": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult" }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;" }, "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "intentInfo": { "description": "Information about the last matched intent.", "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo" }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "payload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Custom data set in QueryParameters.payload." }, "sessionInfo": { "description": "Information about session status.", "$ref": "GoogleCloudDialogflowCxV3SessionInfo" }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "fulfillmentInfo": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo", "description": "Always present. Information about the fulfillment that triggered this webhook call." } }, "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.", "id": "GoogleCloudDialogflowCxV3WebhookRequest" }, "GoogleCloudDialogflowCxV3CompareVersionsResponse": { "type": "object", "properties": { "baseVersionContentJson": { "type": "string", "description": "JSON representation of the base version content." }, "compareTime": { "format": "google-datetime", "type": "string", "description": "The timestamp when the two version compares." }, "targetVersionContentJson": { "type": "string", "description": "JSON representation of the target version content." } }, "id": "GoogleCloudDialogflowCxV3CompareVersionsResponse", "description": "The response message for Versions.CompareVersions." }, "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata": { "description": "Metadata for ConversationDatasets.", "type": "object", "id": "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata", "properties": {} }, "GoogleCloudDialogflowCxV3ImportDocumentsResponse": { "description": "Response message for Documents.ImportDocuments.", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ImportDocumentsResponse" }, "GoogleCloudDialogflowCxV3VersionVariantsVariant": { "description": "A single flow version with specified traffic allocation.", "id": "GoogleCloudDialogflowCxV3VersionVariantsVariant", "type": "object", "properties": { "isControlGroup": { "type": "boolean", "description": "Whether the variant is for the control group." }, "trafficAllocation": { "type": "number", "description": "Percentage of the traffic which should be routed to this version of flow. Traffic allocation for a single flow must sum up to 1.0.", "format": "float" }, "version": { "type": "string", "description": "The name of the flow version. Format: `projects//locations//agents//flows//versions/`." } } }, "GoogleCloudDialogflowCxV3Page": { "id": "GoogleCloudDialogflowCxV3Page", "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "type": "object", "properties": { "displayName": { "description": "Required. The human-readable name of the page, unique within the flow.", "type": "string" }, "transitionRoutes": { "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" }, "type": "array", "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified." }, "transitionRouteGroups": { "items": { "type": "string" }, "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`.", "type": "array" }, "form": { "$ref": "GoogleCloudDialogflowCxV3Form", "description": "The form associated with the page, used for collecting parameters relevant to the page." }, "entryFulfillment": { "description": "The fulfillment to call when the session is entering the page.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" }, "name": { "type": "string", "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`." }, "eventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input.", "type": "array" } } }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect": { "description": "The card for presenting a carousel of options to select from.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect", "properties": { "items": { "description": "Required. Carousel items.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem" }, "type": "array" } } }, "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction", "properties": {}, "type": "object", "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user." }, "GoogleCloudDialogflowCxV3TransitionRouteGroup": { "description": "An TransitionRouteGroup represents a group of `TransitionRoutes` to be used by a Page.", "properties": { "displayName": { "type": "string", "description": "Required. The human-readable name of the transition route group, unique within the flow. The display name can be no longer than 30 characters." }, "transitionRoutes": { "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" }, "type": "array", "description": "Transition routes associated with the TransitionRouteGroup." }, "name": { "description": "The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3TransitionRouteGroup", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput": { "description": "The input from the human user.", "properties": { "isWebhookEnabled": { "type": "boolean", "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled." }, "input": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryInput", "description": "Supports text input, event input, dtmf input in the test case." }, "injectedParameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "Parameters that need to be injected into the conversation during intent detection." }, "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput", "type": "object" }, "GoogleCloudDialogflowCxV3QueryResult": { "description": "Represents the result of a conversational query.", "properties": { "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowCxV3SentimentAnalysisResult", "description": "The sentiment analyss result, which depends on `analyze_query_text_sentiment`, specified in the request." }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3DtmfInput", "description": "If a DTMF was provided as input, this field will contain a copy of the DTMFInput." }, "triggerEvent": { "type": "string", "description": "If an event was provided as input, this field will contain the name of the event." }, "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "match": { "$ref": "GoogleCloudDialogflowCxV3Match", "description": "Intent match result, could be an intent or an event." }, "text": { "description": "If natural language text was provided as input, this field will contain a copy of the text.", "type": "string" }, "diagnosticInfo": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The free-form diagnostic info. For example, this field could contain webhook call latency. The fields of this data can change without notice, so you should not write code that depends on its structure. One of the fields is called \"Alternative Matched Intents\", which may aid with debugging. The following describes these intent results: - The list is empty if no intent was matched to end-user input. - Only intents that are referenced in the currently active flow are included. - The matched intent is included. - Other intents that could have matched end-user input, but did not match because they are referenced by intent routes that are out of [scope](https://cloud.google.com/dialogflow/cx/docs/concept/handler#scope), are included. - Other intents referenced by intent routes in scope that matched end-user input, but had a lower confidence score." }, "responseMessages": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "type": "array", "description": "The list of rich messages returned to the client. Responses vary from simple text messages to more sophisticated, structured payloads used to drive complex logic." }, "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "currentPage": { "description": "The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`.", "$ref": "GoogleCloudDialogflowCxV3Page" }, "intentDetectionConfidence": { "format": "float", "type": "number", "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. This field is deprecated, please use QueryResult.match instead." }, "webhookPayloads": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "description": "The list of webhook payload in WebhookResponse.payload, in the order of call sequence. If some webhook call fails or doesn't return any payload, an empty `Struct` would be used instead." }, "intent": { "description": "The Intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. This field is deprecated, please use QueryResult.match instead.", "$ref": "GoogleCloudDialogflowCxV3Intent" }, "webhookStatuses": { "description": "The list of webhook call status in the order of call sequence.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" }, "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The collected session parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value." } }, "id": "GoogleCloudDialogflowCxV3QueryResult", "type": "object" }, "GoogleCloudDialogflowCxV3ValidationMessage": { "properties": { "severity": { "description": "Indicates the severity of the message.", "type": "string", "enumDescriptions": [ "Unspecified.", "The agent doesn't follow Dialogflow best practices.", "The agent may not behave as expected.", "The agent may experience failures." ], "enum": [ "SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR" ] }, "resources": { "description": "The names of the resources where the message is found.", "items": { "type": "string" }, "type": "array" }, "detail": { "description": "The message detail.", "type": "string" }, "resourceNames": { "description": "The resource names of the resources where the message is found.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResourceName" } }, "resourceType": { "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "AGENT", "INTENT", "INTENT_TRAINING_PHRASE", "INTENT_PARAMETER", "INTENTS", "INTENT_TRAINING_PHRASES", "ENTITY_TYPE", "ENTITY_TYPES", "WEBHOOK", "FLOW", "PAGE", "PAGES", "TRANSITION_ROUTE_GROUP" ], "description": "The type of the resources where the message is found.", "type": "string", "enumDescriptions": [ "Unspecified.", "Agent.", "Intent.", "Intent training phrase.", "Intent parameter.", "Multiple intents.", "Multiple training phrases.", "Entity type.", "Multiple entity types.", "Webhook.", "Flow.", "Page.", "Multiple pages.", "Transition route group." ] } }, "id": "GoogleCloudDialogflowCxV3ValidationMessage", "description": "Agent/flow validation message.", "type": "object" }, "GoogleCloudDialogflowCxV3ExportAgentRequest": { "description": "The request message for Agents.ExportAgent.", "type": "object", "id": "GoogleCloudDialogflowCxV3ExportAgentRequest", "properties": { "dataFormat": { "enumDescriptions": [ "Unspecified format.", "Agent content will be exported as raw bytes." ], "enum": [ "DATA_FORMAT_UNSPECIFIED", "BLOB" ], "type": "string", "description": "Optional. The data format of the exported agent. If not specified, `BLOB` is assumed." }, "agentUri": { "description": "Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the agent to. The format of this URI must be `gs:///`. If left unspecified, the serialized agent is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" }, "environment": { "description": "Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.", "type": "string" } } }, "GoogleCloudDialogflowCxV3SpeechToTextSettings": { "type": "object", "properties": { "enableSpeechAdaptation": { "description": "Whether to use speech adaptation for speech recognition.", "type": "boolean" } }, "description": "Settings related to speech recognition.", "id": "GoogleCloudDialogflowCxV3SpeechToTextSettings" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent": { "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent", "type": "object", "properties": { "additionalCases": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases", "description": "Additional cases to be evaluated." }, "message": { "description": "Returned message.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" } }, "description": "The list of messages or conditional cases to activate for this case." }, "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata": { "id": "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata", "properties": { "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" }, "createTime": { "format": "google-datetime", "description": "Timestamp when the request to undeploy conversation model was submitted. The time is measured on server side.", "type": "string" } }, "description": "Metadata for a ConversationModels.UndeployConversationModel operation.", "type": "object" }, "GoogleCloudDialogflowV2GcsDestination": { "properties": { "uri": { "description": "The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.", "type": "string" } }, "description": "Google Cloud Storage location for the output.", "type": "object", "id": "GoogleCloudDialogflowV2GcsDestination" }, "GoogleCloudDialogflowV2Message": { "description": "Represents a message posted into a conversation.", "type": "object", "id": "GoogleCloudDialogflowV2Message", "properties": { "name": { "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "languageCode": { "type": "string", "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "participant": { "type": "string", "readOnly": true, "description": "Output only. The participant that sends this message." }, "content": { "description": "Required. The message content.", "type": "string" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time when the message was created in Contact Center AI.", "format": "google-datetime" }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "type": "string", "readOnly": true, "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "description": "Output only. The role of the participant." }, "sentimentAnalysis": { "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "description": "Output only. The sentiment analysis result for the message.", "readOnly": true }, "sendTime": { "description": "Optional. The time when the message was sent.", "type": "string", "format": "google-datetime" }, "messageAnnotation": { "description": "Output only. The annotation for the message.", "readOnly": true, "$ref": "GoogleCloudDialogflowV2MessageAnnotation" } } }, "GoogleCloudDialogflowV2SuggestFaqAnswersResponse": { "type": "object", "description": "The request message for Participants.SuggestFaqAnswers.", "properties": { "contextSize": { "type": "integer", "format": "int32", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation." }, "faqAnswers": { "description": "Answers extracted from FAQ documents.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2FaqAnswer" } }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "id": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse" }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse", "description": "The response message for TestCases.ImportTestCases.", "properties": { "names": { "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio": { "properties": { "audioUri": { "type": "string", "description": "Required. URI to a Google Cloud Storage object containing the audio to play, e.g., \"gs://bucket/object\". The object must contain a single channel (mono) of linear PCM audio (2 bytes / sample) at 8kHz. This object must be readable by the `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` service account where is the number of the Telephony Gateway project (usually the same as the Dialogflow agent project). If the Google Cloud Storage bucket is in the Telephony Gateway project, this permission is added by default when enabling the Dialogflow V2 API. For audio from other sources, consider using the `TelephonySynthesizeSpeech` message with SSML." } }, "description": "Plays audio from a file in Telephony Gateway.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio" }, "GoogleCloudDialogflowCxV3StopExperimentRequest": { "description": "The request message for Experiments.StopExperiment.", "id": "GoogleCloudDialogflowCxV3StopExperimentRequest", "properties": {}, "type": "object" }, "GoogleCloudDialogflowV2IntentMessageListSelectItem": { "description": "An item in the list.", "id": "GoogleCloudDialogflowV2IntentMessageListSelectItem", "type": "object", "properties": { "image": { "description": "Optional. The image to display.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "description": { "description": "Optional. The main text describing the item.", "type": "string" }, "info": { "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "description": "Required. Additional information about this option." }, "title": { "description": "Required. The title of the list item.", "type": "string" } } }, "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata": { "id": "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata", "description": "Metadata for a ConversationModels.CreateConversationModel operation.", "properties": { "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" }, "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "SUCCEEDED", "FAILED", "CANCELLED", "CANCELLING", "TRAINING" ], "enumDescriptions": [ "Invalid.", "Request is submitted, but training has not started yet. The model may remain in this state until there is enough capacity to start training.", "The training has succeeded.", "The training has succeeded.", "The training has been cancelled.", "The training is in cancelling state.", "Custom model is training." ], "type": "string", "description": "State of CreateConversationModel operation." }, "createTime": { "format": "google-datetime", "description": "Timestamp when the request to create conversation model is submitted. The time is measured on server side.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3AdvancedSettings": { "type": "object", "properties": { "loggingSettings": { "description": "Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.", "$ref": "GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings" } }, "description": "Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent-\u003eFlow-\u003ePage-\u003eFulfillment/Parameter.", "id": "GoogleCloudDialogflowCxV3AdvancedSettings" }, "GoogleCloudDialogflowCxV3AudioInput": { "id": "GoogleCloudDialogflowCxV3AudioInput", "description": "Represents the natural speech audio to be processed.", "properties": { "audio": { "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.", "format": "byte", "type": "string" }, "config": { "$ref": "GoogleCloudDialogflowCxV3InputAudioConfig", "description": "Required. Instructs the speech recognizer how to process the speech audio." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ListVersionsResponse": { "id": "GoogleCloudDialogflowCxV3ListVersionsResponse", "type": "object", "properties": { "versions": { "description": "A list of versions. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3Version" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "description": "The response message for Versions.ListVersions." }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio", "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "properties": { "segments": { "type": "array", "description": "Segments this audio response is composed of.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment" } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo": { "description": "Additional info about the select item for when it is triggered in a dialog.", "properties": { "key": { "description": "Required. A unique key that will be sent back to the agent if this response is given.", "type": "string" }, "synonyms": { "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog.", "type": "array", "items": { "type": "string" } } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo" }, "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse": { "properties": { "smartReplyAnswers": { "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SmartReplyAnswer" } }, "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse", "description": "The response message for Participants.SuggestSmartReplies." }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContent": { "description": "The media content card for Actions on Google.", "properties": { "mediaObjects": { "type": "array", "description": "Required. List of media objects.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject" } }, "mediaType": { "type": "string", "enumDescriptions": [ "Unspecified.", "Response media type is audio." ], "description": "Optional. What type of media is the content (ie \"audio\").", "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ] } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent", "type": "object" }, "GoogleCloudDialogflowCxV3ImportTestCasesResponse": { "description": "The response message for TestCases.ImportTestCases.", "type": "object", "properties": { "names": { "type": "array", "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowCxV3ImportTestCasesResponse" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCases": { "properties": { "cases": { "description": "A list of cascading if-else conditions.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase" } } }, "type": "object", "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases", "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction": { "type": "object", "properties": { "shareLocation": { "description": "Suggested client side action: Share user location", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation" }, "postbackData": { "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested action. This data will be also forwarded to webhook to allow performing custom business logic.", "type": "string" }, "dial": { "description": "Suggested client side action: Dial a phone number", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial" }, "openUrl": { "description": "Suggested client side action: Open a URI on device", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri" }, "text": { "type": "string", "description": "Text to display alongside the action." } }, "description": "Rich Business Messaging (RBM) suggested client-side action that the user can choose from the card.", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff": { "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this." } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff", "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard", "description": "Carousel Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. If you want to show a single card with more control over the layout, please use RbmStandaloneCard instead.", "type": "object", "properties": { "cardWidth": { "enumDescriptions": [ "Not specified.", "120 DP. Note that tall media cannot be used.", "232 DP." ], "type": "string", "description": "Required. The width of the cards in the carousel.", "enum": [ "CARD_WIDTH_UNSPECIFIED", "SMALL", "MEDIUM" ] }, "cardContents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "description": "Required. The cards in the carousel. A carousel must have at least 2 cards and at most 10." } } }, "GoogleCloudDialogflowCxV3ListFlowsResponse": { "type": "object", "description": "The response message for Flows.ListFlows.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "flows": { "items": { "$ref": "GoogleCloudDialogflowCxV3Flow" }, "description": "The list of flows. There will be a maximum number of items returned based on the page_size field in the request.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3ListFlowsResponse" }, "GoogleCloudDialogflowV2BatchUpdateIntentsResponse": { "type": "object", "id": "GoogleCloudDialogflowV2BatchUpdateIntentsResponse", "properties": { "intents": { "type": "array", "description": "The collection of updated or created intents.", "items": { "$ref": "GoogleCloudDialogflowV2Intent" } } }, "description": "The response message for Intents.BatchUpdateIntents." }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "id": "GoogleLongrunningListOperationsResponse", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "GoogleCloudDialogflowCxV3ExportAgentResponse": { "type": "object", "description": "The response message for Agents.ExportAgent.", "id": "GoogleCloudDialogflowCxV3ExportAgentResponse", "properties": { "agentContent": { "type": "string", "description": "Uncompressed raw byte content for agent.", "format": "byte" }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest.", "type": "string" } } }, "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage": { "description": "Coverage result message for one transition route group.", "type": "object", "properties": { "coverageScore": { "format": "float", "type": "number", "description": "The percent of transition routes in the transition route group that are covered." }, "routeGroup": { "description": "Transition route group metadata. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "transitions": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition" }, "description": "The list of transition routes and coverage in the transition route group." } }, "id": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer": { "type": "object", "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer", "properties": { "matchConfidence": { "format": "float", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query. The range is from 0.0 (completely uncertain) to 1.0 (completely certain). Note: The confidence score is likely to vary somewhat (possibly even for identical requests), as the underlying model is under constant improvement. It may be deprecated in the future. We recommend using `match_confidence_level` which should be generally more stable.", "type": "number" }, "matchConfidenceLevel": { "enumDescriptions": [ "Not specified.", "Indicates that the confidence is low.", "Indicates our confidence is medium.", "Indicates our confidence is high." ], "description": "The system's confidence level that this knowledge answer is a good match for this conversational query. NOTE: The confidence level for a given `` pair may change without notice, as it depends on models that are constantly being improved. However, it will change less frequently than the confidence score below, and should be preferred for referencing the quality of an answer.", "type": "string", "enum": [ "MATCH_CONFIDENCE_LEVEL_UNSPECIFIED", "LOW", "MEDIUM", "HIGH" ] }, "answer": { "description": "The piece of text from the `source` knowledge base document that answers this conversational query.", "type": "string" }, "faqQuestion": { "description": "The corresponding FAQ question if the answer was extracted from a FAQ Document, empty otherwise.", "type": "string" }, "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//knowledgeBases//documents/`.", "type": "string" } }, "description": "An answer from Knowledge Connector." }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "type": "object", "properties": { "title": { "type": "string", "description": "Required. Title of the carousel item. Maximum of two lines of text." }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Hero image for the carousel item." }, "openUriAction": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "description": "Required. Action to present to the user." }, "description": { "type": "string", "description": "Optional. Description of the carousel item. Maximum of four lines of text." }, "footer": { "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.", "type": "string" } }, "description": "Browsing carousel tile", "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem" }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "GoogleCloudDialogflowCxV3beta1TextInput": { "id": "GoogleCloudDialogflowCxV3beta1TextInput", "type": "object", "properties": { "text": { "type": "string", "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters." } }, "description": "Represents the natural language text to be processed." }, "GoogleCloudDialogflowCxV3ListChangelogsResponse": { "id": "GoogleCloudDialogflowCxV3ListChangelogsResponse", "properties": { "changelogs": { "items": { "$ref": "GoogleCloudDialogflowCxV3Changelog" }, "description": "The list of changelogs. There will be a maximum number of items returned based on the page_size field in the request. The changelogs will be ordered by timestamp.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "The response message for Changelogs.ListChangelogs.", "type": "object" }, "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "description": "Metadata for CreateDocument operation." }, "GoogleCloudDialogflowCxV3beta1ExportFlowResponse": { "type": "object", "description": "The response message for Flows.ExportFlow.", "properties": { "flowContent": { "format": "byte", "description": "Uncompressed raw byte content for flow.", "type": "string" }, "flowUri": { "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ExportFlowResponse" }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata": { "properties": { "errors": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "description": "The test errors." } }, "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata", "description": "Metadata returned for the Environments.RunContinuousTest long running operation.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1PageInfo": { "type": "object", "description": "Represents page information communicated to and from the webhook.", "id": "GoogleCloudDialogflowCxV3beta1PageInfo", "properties": { "currentPage": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`." }, "displayName": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.", "type": "string" }, "formInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo", "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form." } } }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata", "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation.", "properties": { "errors": { "description": "The test errors.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" } } } }, "GoogleCloudDialogflowCxV3ExportFlowRequest": { "id": "GoogleCloudDialogflowCxV3ExportFlowRequest", "type": "object", "properties": { "flowUri": { "description": "Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the flow to. The format of this URI must be `gs:///`. If left unspecified, the serialized flow is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" }, "includeReferencedFlows": { "description": "Optional. Whether to export flows referenced by the specified flow.", "type": "boolean" } }, "description": "The request message for Flows.ExportFlow." }, "GoogleCloudDialogflowCxV3Experiment": { "type": "object", "description": "Represents an experiment in an environment.", "id": "GoogleCloudDialogflowCxV3Experiment", "properties": { "variantsHistory": { "type": "array", "description": "The history of updates to the experiment variants.", "items": { "$ref": "GoogleCloudDialogflowCxV3VariantsHistory" } }, "endTime": { "format": "google-datetime", "description": "End time of this experiment.", "type": "string" }, "rolloutState": { "description": "State of the auto rollout process.", "$ref": "GoogleCloudDialogflowCxV3RolloutState" }, "startTime": { "type": "string", "description": "Start time of this experiment.", "format": "google-datetime" }, "definition": { "$ref": "GoogleCloudDialogflowCxV3ExperimentDefinition", "description": "The definition of the experiment." }, "rolloutConfig": { "$ref": "GoogleCloudDialogflowCxV3RolloutConfig", "description": "The configuration for auto rollout. If set, there should be exactly two variants in the experiment (control variant being the default version of the flow), the traffic allocation for the non-control variant will gradually increase to 100% when conditions are met, and eventually replace the control variant to become the default version of the flow." }, "displayName": { "description": "Required. The human-readable name of the experiment (unique in an environment). Limit of 64 characters.", "type": "string" }, "rolloutFailureReason": { "description": "The reason why rollout has failed. Should only be set when state is ROLLOUT_FAILED.", "type": "string" }, "experimentLength": { "type": "string", "description": "Maximum number of days to run the experiment/rollout. If auto-rollout is not enabled, default value and maximum will be 30 days. If auto-rollout is enabled, default value and maximum will be 6 days.", "format": "google-duration" }, "description": { "description": "The human-readable description of the experiment.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "DRAFT", "RUNNING", "DONE", "ROLLOUT_FAILED" ], "enumDescriptions": [ "State unspecified.", "The experiment is created but not started yet.", "The experiment is running.", "The experiment is done.", "The experiment with auto-rollout enabled has failed." ], "description": "The current state of the experiment. Transition triggered by Experiments.StartExperiment: DRAFT-\u003eRUNNING. Transition triggered by Experiments.CancelExperiment: DRAFT-\u003eDONE or RUNNING-\u003eDONE.", "type": "string" }, "createTime": { "description": "Creation time of this experiment.", "type": "string", "format": "google-datetime" }, "lastUpdateTime": { "type": "string", "format": "google-datetime", "description": "Last update time of this experiment." }, "result": { "$ref": "GoogleCloudDialogflowCxV3ExperimentResult", "description": "Inference result of the experiment." }, "name": { "type": "string", "description": "The name of the experiment. Format: projects//locations//agents//environments//experiments/.." } } }, "GoogleCloudDialogflowV2ArticleAnswer": { "description": "Represents article answer.", "type": "object", "id": "GoogleCloudDialogflowV2ArticleAnswer", "properties": { "snippets": { "items": { "type": "string" }, "type": "array", "description": "Article snippets." }, "uri": { "description": "The article URI.", "type": "string" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "A map that contains metadata about the answer and the document from which it originates.", "type": "object" }, "title": { "description": "The article title.", "type": "string" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "confidence": { "type": "number", "description": "Article match confidence. The system's confidence score that this article is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float" } } }, "GoogleCloudDialogflowCxV3IntentParameter": { "description": "Represents an intent parameter.", "properties": { "entityType": { "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.", "type": "string" }, "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." }, "id": { "type": "string", "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts." }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3IntentParameter", "type": "object" }, "GoogleCloudDialogflowCxV3beta1Fulfillment": { "id": "GoogleCloudDialogflowCxV3beta1Fulfillment", "type": "object", "properties": { "returnPartialResponses": { "type": "boolean", "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks." }, "webhook": { "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "conditionalCases": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases" }, "description": "Conditional cases for this fulfillment." }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user." }, "tag": { "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified.", "type": "string" }, "setParameterActions": { "type": "array", "description": "Set parameter values before executing the webhook.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction" } } }, "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both." }, "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall": { "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.", "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall", "properties": { "phoneNumber": { "type": "string", "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164)." } } }, "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse", "type": "object", "properties": { "results": { "description": "The test case results. The detailed conversation turns are empty in this response.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" } } }, "description": "The response message for TestCases.BatchRunTestCases." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent": { "description": "Rich Business Messaging (RBM) Card content", "type": "object", "properties": { "description": { "type": "string", "description": "Optional. Description of the card (at most 2000 bytes). At least one of the title, description or media must be set." }, "media": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia", "description": "Optional. However at least one of the title, description or media must be set. Media (image, GIF or a video) to include in the card." }, "suggestions": { "description": "Optional. List of suggestions to include in the card.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" } }, "title": { "description": "Optional. Title of the card (at most 200 bytes). At least one of the title, description or media must be set.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata", "properties": { "createTime": { "description": "Timestamp when import conversation data request was created. The time is measured on server side.", "type": "string", "format": "google-datetime" }, "partialFailures": { "description": "Partial failures are failures that don't fail the whole long running operation, e.g. single files that couldn't be read.", "type": "array", "items": { "$ref": "GoogleRpcStatus" } }, "conversationDataset": { "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`", "type": "string" } }, "description": "Metadata for a ConversationDatasets.ImportConversationData operation." }, "GoogleCloudDialogflowCxV3QueryInput": { "properties": { "languageCode": { "type": "string", "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." }, "text": { "$ref": "GoogleCloudDialogflowCxV3TextInput", "description": "The natural language text to be processed." }, "intent": { "description": "The intent to be triggered.", "$ref": "GoogleCloudDialogflowCxV3IntentInput" }, "event": { "$ref": "GoogleCloudDialogflowCxV3EventInput", "description": "The event to be triggered." }, "audio": { "description": "The natural language speech audio to be processed.", "$ref": "GoogleCloudDialogflowCxV3AudioInput" }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3DtmfInput", "description": "The DTMF event to be handled." } }, "type": "object", "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. ", "id": "GoogleCloudDialogflowCxV3QueryInput" }, "GoogleCloudDialogflowV2beta1QueryResult": { "id": "GoogleCloudDialogflowV2beta1QueryResult", "properties": { "cancelsSlotFilling": { "type": "boolean", "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel)." }, "queryText": { "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.", "type": "string" }, "fulfillmentMessages": { "description": "The collection of rich messages to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" } }, "languageCode": { "type": "string", "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes." }, "webhookPayload": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "parameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "intentDetectionConfidence": { "format": "float", "type": "number", "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list." }, "webhookSource": { "type": "string", "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response." }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.", "type": "array" }, "fulfillmentText": { "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.", "type": "string" }, "diagnosticInfo": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors" }, "knowledgeAnswers": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswers", "description": "The result from Knowledge Connector (if any), ordered by decreasing `KnowledgeAnswers.match_confidence`." }, "intent": { "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.", "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult", "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request." }, "speechRecognitionConfidence": { "type": "number", "format": "float", "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult." }, "action": { "description": "The action name from the matched intent.", "type": "string" }, "allRequiredParamsPresent": { "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters.", "type": "boolean" } }, "description": "Represents the result of conversational query or event processing.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties": { "description": "Column properties for TableCard.", "type": "object", "properties": { "horizontalAlignment": { "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ], "description": "Optional. Defines text alignment for all cells in this column.", "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ], "type": "string" }, "header": { "description": "Required. Column heading.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties" }, "GoogleCloudDialogflowCxV3beta1IntentParameter": { "description": "Represents an intent parameter.", "type": "object", "properties": { "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." }, "id": { "type": "string", "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts." } }, "id": "GoogleCloudDialogflowCxV3beta1IntentParameter" }, "GoogleCloudDialogflowCxV3beta1Form": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1Form", "properties": { "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FormParameter" }, "description": "Parameters to collect from the user.", "type": "array" } }, "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session." }, "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior": { "properties": { "repromptEventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" }, "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.", "type": "array" }, "initialPromptFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter." } }, "id": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior", "type": "object", "description": "Configuration for how the filling of a parameter should be handled." }, "GoogleCloudDialogflowCxV3NluSettings": { "id": "GoogleCloudDialogflowCxV3NluSettings", "type": "object", "description": "Settings related to NLU.", "properties": { "modelTrainingMode": { "type": "string", "enum": [ "MODEL_TRAINING_MODE_UNSPECIFIED", "MODEL_TRAINING_MODE_AUTOMATIC", "MODEL_TRAINING_MODE_MANUAL" ], "enumDescriptions": [ "Not specified. `MODEL_TRAINING_MODE_AUTOMATIC` will be used.", "NLU model training is automatically triggered when a flow gets modified. User can also manually trigger model training in this mode.", "User needs to manually trigger NLU model training. Best for large flows whose models take long time to train." ], "description": "Indicates NLU model training mode." }, "classificationThreshold": { "type": "number", "format": "float", "description": "To filter out false positive results and still get variety in matched natural language inputs for your agent, you can tune the machine learning classification threshold. If the returned score value is less than the threshold value, then a no-match event will be triggered. The score values range from 0.0 (completely uncertain) to 1.0 (completely certain). If set to 0.0, the default of 0.3 is used." }, "modelType": { "enum": [ "MODEL_TYPE_UNSPECIFIED", "MODEL_TYPE_STANDARD", "MODEL_TYPE_ADVANCED" ], "enumDescriptions": [ "Not specified. `MODEL_TYPE_STANDARD` will be used.", "Use standard NLU model.", "Use advanced NLU model." ], "description": "Indicates the type of NLU model.", "type": "string" } } }, "GoogleCloudDialogflowCxV3FulfillIntentRequest": { "properties": { "outputAudioConfig": { "$ref": "GoogleCloudDialogflowCxV3OutputAudioConfig", "description": "Instructs the speech synthesizer how to generate output audio." }, "matchIntentRequest": { "$ref": "GoogleCloudDialogflowCxV3MatchIntentRequest", "description": "Must be same as the corresponding MatchIntent request, otherwise the behavior is undefined." }, "match": { "description": "The matched intent/event to fulfill.", "$ref": "GoogleCloudDialogflowCxV3Match" } }, "description": "Request of FulfillIntent", "type": "object", "id": "GoogleCloudDialogflowCxV3FulfillIntentRequest" }, "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction": { "id": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction", "type": "object", "properties": { "value": { "description": "The new value of the parameter. A null value clears the parameter.", "type": "any" }, "parameter": { "description": "Display name of the parameter.", "type": "string" } }, "description": "Setting a parameter value." }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow": { "properties": { "dividerAfter": { "description": "Optional. Whether to add a visual divider after this row.", "type": "boolean" }, "cells": { "description": "Optional. List of cells that make up this row.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell" } } }, "type": "object", "description": "Row of TableCard.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow" }, "GoogleCloudDialogflowCxV3TransitionCoverageTransition": { "properties": { "source": { "description": "The start node of a transition.", "$ref": "GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode" }, "target": { "$ref": "GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode", "description": "The end node of a transition." }, "transitionRoute": { "description": "Intent route or condition route.", "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" }, "eventHandler": { "$ref": "GoogleCloudDialogflowCxV3EventHandler", "description": "Event handler." }, "index": { "format": "int32", "description": "The index of a transition in the transition list. Starting from 0.", "type": "integer" }, "covered": { "description": "Whether or not the transition is covered by at least one of the agent's test cases.", "type": "boolean" } }, "description": "A transition in a page.", "type": "object", "id": "GoogleCloudDialogflowCxV3TransitionCoverageTransition" }, "GoogleCloudDialogflowCxV3ListEnvironmentsResponse": { "type": "object", "description": "The response message for Environments.ListEnvironments.", "properties": { "environments": { "description": "The list of environments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "items": { "$ref": "GoogleCloudDialogflowCxV3Environment" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "GoogleCloudDialogflowCxV3ListEnvironmentsResponse" }, "GoogleCloudDialogflowCxV3DtmfInput": { "description": "Represents the input for dtmf event.", "properties": { "digits": { "type": "string", "description": "The dtmf digits." }, "finishDigit": { "description": "The finish digit (if any).", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3DtmfInput" }, "GoogleCloudDialogflowV2IntentMessageListSelect": { "id": "GoogleCloudDialogflowV2IntentMessageListSelect", "properties": { "title": { "type": "string", "description": "Optional. The overall title of the list." }, "subtitle": { "description": "Optional. Subtitle of the list.", "type": "string" }, "items": { "description": "Required. List items.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageListSelectItem" } } }, "type": "object", "description": "The card for presenting a list of options to select from." }, "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff": { "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "properties": { "metadata": { "type": "object", "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "id": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff", "type": "object" }, "GoogleCloudDialogflowCxV3LoadVersionRequest": { "properties": { "allowOverrideAgentResources": { "type": "boolean", "description": "This field is used to prevent accidental overwrite of other agent resources, which can potentially impact other flow's behavior. If `allow_override_agent_resources` is false, conflicted agent-level resources will not be overridden (i.e. intents, entities, webhooks)." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3LoadVersionRequest", "description": "The request message for Versions.LoadVersion." }, "GoogleCloudDialogflowV2EventInput": { "properties": { "parameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "languageCode": { "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.", "type": "string" }, "name": { "description": "Required. The unique identifier of the event.", "type": "string" } }, "type": "object", "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "id": "GoogleCloudDialogflowV2EventInput" }, "GoogleCloudDialogflowV2QueryResult": { "description": "Represents the result of conversational query or event processing.", "properties": { "intent": { "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.", "$ref": "GoogleCloudDialogflowV2Intent" }, "cancelsSlotFilling": { "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).", "type": "boolean" }, "action": { "description": "The action name from the matched intent.", "type": "string" }, "fulfillmentMessages": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" }, "description": "The collection of rich messages to present to the user.", "type": "array" }, "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request." }, "allRequiredParamsPresent": { "type": "boolean", "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters." }, "diagnosticInfo": { "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "queryText": { "type": "string", "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input." }, "parameters": { "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "speechRecognitionConfidence": { "format": "float", "type": "number", "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult." }, "fulfillmentText": { "type": "string", "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred." }, "webhookPayload": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "intentDetectionConfidence": { "type": "number", "format": "float", "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list." }, "webhookSource": { "type": "string", "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response." }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.", "type": "array" } }, "id": "GoogleCloudDialogflowV2QueryResult", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessage": { "properties": { "linkOutSuggestion": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion", "description": "Displays a link out suggestion chip for Actions on Google." }, "tableCard": { "description": "Table card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCard" }, "mediaContent": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent", "description": "The media content card for Actions on Google." }, "telephonyTransferCall": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall", "description": "Transfers the call in Telephony Gateway." }, "carouselSelect": { "description": "Displays a carousel card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect" }, "browseCarouselCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard", "description": "Browse carousel card for Actions on Google." }, "platform": { "description": "Optional. The platform that this message is intended for.", "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ], "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ], "type": "string" }, "suggestions": { "description": "Displays suggestion chips for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions" }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Displays an image." }, "basicCard": { "description": "Displays a basic card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard" }, "telephonyPlayAudio": { "description": "Plays audio from a file in Telephony Gateway.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio" }, "telephonySynthesizeSpeech": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech", "description": "Synthesizes speech in Telephony Gateway." }, "text": { "description": "Returns a text response.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageText" }, "card": { "description": "Displays a card.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCard" }, "rbmText": { "description": "Rich Business Messaging (RBM) text response. RBM allows businesses to send enriched and branded versions of SMS. See https://jibe.google.com/business-messaging.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmText" }, "rbmStandaloneRichCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "description": "Standalone Rich Business Messaging (RBM) rich card response." }, "listSelect": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelect", "description": "Displays a list card for Actions on Google." }, "payload": { "type": "object", "description": "A custom platform-specific response.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "simpleResponses": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses", "description": "Returns a voice or text-only response for Actions on Google." }, "rbmCarouselRichCard": { "description": "Rich Business Messaging (RBM) carousel rich card response.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard" }, "quickReplies": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies", "description": "Displays quick replies." } }, "description": "Corresponds to the `Response` field in the Dialogflow console.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessage" }, "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata": { "properties": { "trainingModelType": { "type": "string", "description": "Optional. Type of the article suggestion model. If not provided, model_type is used.", "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ], "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ] } }, "description": "Metadata for article suggestion models.", "id": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton": { "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton", "type": "object", "description": "The button object that appears at the bottom of a card.", "properties": { "title": { "description": "Required. The title of the button.", "type": "string" }, "openUriAction": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction", "description": "Required. Action to take when a user taps on the button." } } }, "GoogleCloudDialogflowCxV3TransitionCoverage": { "id": "GoogleCloudDialogflowCxV3TransitionCoverage", "description": "Transition coverage represents the percentage of all possible page transitions (page-level transition routes and event handlers, excluding transition route groups) present within any of a parent's test cases.", "type": "object", "properties": { "transitions": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionCoverageTransition" }, "description": "The list of Transitions present in the agent." }, "coverageScore": { "format": "float", "description": "The percent of transitions in the agent that are covered.", "type": "number" } } }, "GoogleCloudDialogflowV2SuggestSmartRepliesResponse": { "type": "object", "description": "The response message for Participants.SuggestSmartReplies.", "id": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse", "properties": { "smartReplyAnswers": { "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2SmartReplyAnswer" }, "readOnly": true }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "contextSize": { "format": "int32", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer" } } }, "GoogleCloudDialogflowV2beta1EntityType": { "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "autoExpansionMode": { "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ], "type": "string", "description": "Optional. Indicates whether the entity type can be automatically expanded." }, "kind": { "description": "Required. Indicates the kind of entity type.", "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ], "type": "string", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ] }, "displayName": { "type": "string", "description": "Required. The name of the entity type." }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`" }, "enableFuzzyExtraction": { "type": "boolean", "description": "Optional. Enables fuzzy entity extraction during classification." }, "entities": { "description": "Optional. The collection of entity entries associated with the entity type.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" } } }, "id": "GoogleCloudDialogflowV2beta1EntityType", "type": "object" }, "GoogleCloudDialogflowCxV3TrainFlowRequest": { "properties": {}, "id": "GoogleCloudDialogflowCxV3TrainFlowRequest", "type": "object", "description": "The request message for Flows.TrainFlow." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "properties": { "cardOrientation": { "enum": [ "CARD_ORIENTATION_UNSPECIFIED", "HORIZONTAL", "VERTICAL" ], "type": "string", "description": "Required. Orientation of the card.", "enumDescriptions": [ "Not specified.", "Horizontal layout.", "Vertical layout." ] }, "thumbnailImageAlignment": { "enumDescriptions": [ "Not specified.", "Thumbnail preview is left-aligned.", "Thumbnail preview is right-aligned." ], "description": "Required if orientation is horizontal. Image preview alignment for standalone cards with horizontal layout.", "enum": [ "THUMBNAIL_IMAGE_ALIGNMENT_UNSPECIFIED", "LEFT", "RIGHT" ], "type": "string" }, "cardContent": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent", "description": "Required. Card content." } }, "description": "Standalone Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. You can group multiple rich cards into one using RbmCarouselCard but carousel cards will give you less control over the card layout." }, "GoogleCloudDialogflowCxV3ListExperimentsResponse": { "type": "object", "id": "GoogleCloudDialogflowCxV3ListExperimentsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "experiments": { "description": "The list of experiments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "items": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "type": "array" } }, "description": "The response message for Experiments.ListExperiments." }, "GoogleCloudDialogflowV2ImportDocumentsResponse": { "type": "object", "description": "Response message for Documents.ImportDocuments.", "id": "GoogleCloudDialogflowV2ImportDocumentsResponse", "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Includes details about skipped documents or any other warnings." } } }, "GoogleCloudDialogflowCxV3beta1TestCase": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TestCase", "description": "Represents a test case.", "properties": { "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "testConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1TestConfig", "description": "Config for the test case." }, "name": { "type": "string", "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`." }, "testCaseConversationTurns": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" }, "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "type": "array" }, "lastTestResult": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult", "description": "The latest test result." }, "creationTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the test was created." }, "tags": { "items": { "type": "string" }, "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.", "type": "array" }, "displayName": { "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent": { "description": "Output only. Represents a notification sent to Pub/Sub subscribers for agent assistant events in a specific conversation.", "properties": { "participant": { "description": "The participant that the suggestion is compiled for. And This field is used to call Participants.ListSuggestions API. Format: `projects//conversations//participants/`. It will not be set in legacy workflow. HumanAgentAssistantConfig.name for more information.", "type": "string" }, "conversation": { "description": "The conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "suggestionResults": { "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionResult" }, "type": "array", "description": "The suggestion results payload that this notification refers to. It will only be set when HumanAgentAssistantConfig.SuggestionConfig.group_suggestion_responses sets to true." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent" }, "GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "sessionEntityTypes": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "description": "The list of session entity types. There will be a maximum number of items returned based on the page_size field in the request." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse", "description": "The response message for SessionEntityTypes.ListSessionEntityTypes." }, "GoogleCloudDialogflowV2EntityType": { "properties": { "entities": { "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" }, "description": "Optional. The collection of entity entries associated with the entity type.", "type": "array" }, "autoExpansionMode": { "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "type": "string", "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ], "description": "Optional. Indicates whether the entity type can be automatically expanded." }, "enableFuzzyExtraction": { "description": "Optional. Enables fuzzy entity extraction during classification.", "type": "boolean" }, "kind": { "description": "Required. Indicates the kind of entity type.", "type": "string", "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ], "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ] }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`." }, "displayName": { "type": "string", "description": "Required. The name of the entity type." } }, "id": "GoogleCloudDialogflowV2EntityType", "type": "object", "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview)." }, "GoogleCloudDialogflowV2WebhookResponse": { "properties": { "payload": { "type": "object", "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "followupEventInput": { "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.", "$ref": "GoogleCloudDialogflowV2EventInput" }, "fulfillmentText": { "type": "string", "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller." }, "sessionEntityTypes": { "type": "array", "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.", "items": { "$ref": "GoogleCloudDialogflowV2SessionEntityType" } }, "fulfillmentMessages": { "type": "array", "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" } }, "outputContexts": { "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "type": "array" }, "source": { "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.", "type": "string" } }, "id": "GoogleCloudDialogflowV2WebhookResponse", "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "type": "object" }, "GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse": { "description": "The response message for TransitionRouteGroups.ListTransitionRouteGroups.", "id": "GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "transitionRouteGroups": { "description": "The list of transition route groups. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3DeployFlowRequest": { "type": "object", "id": "GoogleCloudDialogflowCxV3DeployFlowRequest", "properties": { "flowVersion": { "type": "string", "description": "Required. The flow version to deploy. Format: `projects//locations//agents// flows//versions/`." } }, "description": "The request message for Environments.DeployFlow." }, "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput": { "properties": { "currentPage": { "description": "The Page on which the utterance was spoken. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "sessionParameters": { "type": "object", "description": "The session parameters available to the bot at this point.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "status": { "description": "Response error from the agent in the test result. If set, other output is empty.", "$ref": "GoogleRpcStatus" }, "triggeredIntent": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent", "description": "The Intent that triggered the response. Only name and displayName will be set." }, "diagnosticInfo": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage." }, "textResponses": { "description": "The text responses from the agent for the turn.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" }, "type": "array" }, "differences": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestRunDifference" }, "readOnly": true, "type": "array", "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any." } }, "description": "The output from the virtual agent.", "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput", "type": "object" }, "GoogleCloudDialogflowV2beta1GcsDestination": { "properties": { "uri": { "description": "Required. The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket.", "type": "string" } }, "description": "Google Cloud Storage location for the output.", "id": "GoogleCloudDialogflowV2beta1GcsDestination", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageCardButton": { "description": "Optional. Contains information about a button.", "id": "GoogleCloudDialogflowV2beta1IntentMessageCardButton", "type": "object", "properties": { "text": { "type": "string", "description": "Optional. The text to show on the button." }, "postback": { "type": "string", "description": "Optional. The text to send back to the Dialogflow API or a URI to open." } } }, "GoogleCloudDialogflowCxV3ExperimentResultMetric": { "type": "object", "properties": { "confidenceInterval": { "description": "The probability that the treatment is better than all other treatments in the experiment", "$ref": "GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval" }, "type": { "description": "Ratio-based metric type. Only one of type or count_type is specified in each Metric.", "enumDescriptions": [ "Metric unspecified.", "Percentage of contained sessions without user calling back in 24 hours.", "Percentage of sessions that were handed to a human agent.", "Percentage of sessions with the same user calling back.", "Percentage of sessions where user hung up.", "Percentage of sessions reached Dialogflow 'END_PAGE' or 'END_SESSION'." ], "enum": [ "METRIC_UNSPECIFIED", "CONTAINED_SESSION_NO_CALLBACK_RATE", "LIVE_AGENT_HANDOFF_RATE", "CALLBACK_SESSION_RATE", "ABANDONED_SESSION_RATE", "SESSION_END_RATE" ], "type": "string" }, "count": { "description": "Count value of a metric.", "type": "number", "format": "double" }, "ratio": { "description": "Ratio value of a metric.", "format": "double", "type": "number" }, "countType": { "type": "string", "enumDescriptions": [ "Count type unspecified.", "Total number of occurrences of a 'NO_MATCH'.", "Total number of turn counts.", "Average turn count in a session." ], "enum": [ "COUNT_TYPE_UNSPECIFIED", "TOTAL_NO_MATCH_COUNT", "TOTAL_TURN_COUNT", "AVERAGE_TURN_COUNT" ], "description": "Count-based metric type. Only one of type or count_type is specified in each Metric." } }, "description": "Metric and corresponding confidence intervals.", "id": "GoogleCloudDialogflowCxV3ExperimentResultMetric" }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "description": "Actions on Google action to open a given url.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "properties": { "url": { "type": "string", "description": "Required. URL" }, "urlTypeHint": { "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ], "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ], "type": "string" } } }, "GoogleCloudDialogflowV2InputDataset": { "properties": { "dataset": { "type": "string", "description": "Required. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`" } }, "description": "InputDataset used to create model or do evaluation. NextID:5", "id": "GoogleCloudDialogflowV2InputDataset", "type": "object" }, "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart": { "description": "Represents a part of a training phrase.", "properties": { "parameterId": { "type": "string", "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase." }, "text": { "description": "Required. The text for this part.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmText": { "properties": { "text": { "description": "Required. Text sent and displayed to the user.", "type": "string" }, "rbmSuggestion": { "description": "Optional. One or more suggestions to show to the user.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" }, "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmText", "description": "Rich Business Messaging (RBM) text response with suggestions." }, "GoogleCloudDialogflowCxV3RunTestCaseMetadata": { "id": "GoogleCloudDialogflowCxV3RunTestCaseMetadata", "properties": {}, "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.", "type": "object" }, "GoogleCloudDialogflowV2Context": { "type": "object", "properties": { "name": { "description": "Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "type": "string" }, "parameters": { "type": "object", "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "lifespanCount": { "format": "int32", "type": "integer", "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries." } }, "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "id": "GoogleCloudDialogflowV2Context" }, "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata": { "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } }, "description": "Metadata for CreateDocument operation.", "id": "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata": { "type": "object", "properties": { "createTime": { "type": "string", "description": "Timestamp when the request to create conversation model was submitted. The time is measured on server side.", "format": "google-datetime" }, "conversationModelEvaluation": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels//evaluations/`" }, "state": { "enumDescriptions": [ "Operation status not specified.", "The operation is being prepared.", "The operation is running.", "The operation is cancelled.", "The operation has succeeded.", "The operation has failed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "RUNNING", "CANCELLED", "SUCCEEDED", "FAILED" ], "description": "State of CreateConversationModel operation." }, "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels/`" } }, "description": "Metadata for a ConversationModels.CreateConversationModelEvaluation operation.", "id": "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1Intent": { "properties": { "displayName": { "description": "Required. The human-readable name of the intent, unique within the agent.", "type": "string" }, "trainingPhrases": { "type": "array", "description": "The collection of training phrases the agent is trained on to identify the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase" } }, "description": { "type": "string", "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters." }, "priority": { "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer", "format": "int32" }, "isFallback": { "type": "boolean", "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys-contextual\" means the intent is a contextual intent." }, "name": { "type": "string", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`." }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentParameter" }, "description": "The collection of parameters associated with the intent.", "type": "array" } }, "type": "object", "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.", "id": "GoogleCloudDialogflowCxV3beta1Intent" }, "GoogleCloudDialogflowV2HumanAgentAssistantEvent": { "properties": { "conversation": { "type": "string", "description": "The conversation this notification refers to. Format: `projects//conversations/`." }, "suggestionResults": { "type": "array", "description": "The suggestion results payload that this notification refers to.", "items": { "$ref": "GoogleCloudDialogflowV2SuggestionResult" } }, "participant": { "description": "The participant that the suggestion is compiled for. Format: `projects//conversations//participants/`. It will not be set in legacy workflow.", "type": "string" } }, "description": "Represents a notification sent to Cloud Pub/Sub subscribers for human agent assistant events in a specific conversation.", "type": "object", "id": "GoogleCloudDialogflowV2HumanAgentAssistantEvent" }, "GoogleCloudDialogflowCxV3RolloutState": { "id": "GoogleCloudDialogflowCxV3RolloutState", "type": "object", "properties": { "step": { "description": "Display name of the current auto rollout step.", "type": "string" }, "stepIndex": { "format": "int32", "type": "integer", "description": "Index of the current step in the auto rollout steps list." }, "startTime": { "description": "Start time of the current step.", "format": "google-datetime", "type": "string" } }, "description": "State of the auto-rollout process." }, "GoogleCloudDialogflowCxV3PageInfo": { "type": "object", "id": "GoogleCloudDialogflowCxV3PageInfo", "description": "Represents page information communicated to and from the webhook.", "properties": { "formInfo": { "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfo", "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form." }, "displayName": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.", "type": "string" }, "currentPage": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`." } } }, "GoogleCloudDialogflowV2beta1SmartReplyAnswer": { "id": "GoogleCloudDialogflowV2beta1SmartReplyAnswer", "description": "Represents a smart reply answer.", "type": "object", "properties": { "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "confidence": { "type": "number", "format": "float", "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "reply": { "description": "The content of the reply.", "type": "string" } } }, "GoogleCloudDialogflowV2WebhookRequest": { "properties": { "responseId": { "type": "string", "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`." }, "session": { "type": "string", "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`." }, "originalDetectIntentRequest": { "$ref": "GoogleCloudDialogflowV2OriginalDetectIntentRequest", "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call." }, "queryResult": { "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.", "$ref": "GoogleCloudDialogflowV2QueryResult" } }, "id": "GoogleCloudDialogflowV2WebhookRequest", "description": "The request message for a webhook call.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase": { "type": "object", "description": "Represents an example that the agent is trained on to identify the intent.", "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase", "properties": { "parts": { "type": "array", "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart" } }, "repeatCount": { "description": "Indicates how many times this example was added to the intent.", "type": "integer", "format": "int32" }, "id": { "type": "string", "description": "Output only. The unique identifier of the training phrase." } } }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCard": { "properties": { "title": { "type": "string", "description": "Optional. The title of the card." }, "formattedText": { "type": "string", "description": "Required, unless image is present. The body text of the card." }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image for the card." }, "buttons": { "description": "Optional. The collection of card buttons.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" } }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard", "description": "The basic card message. Useful for displaying information.", "type": "object" }, "GoogleCloudDialogflowCxV3SentimentAnalysisResult": { "type": "object", "properties": { "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float" }, "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float", "type": "number" } }, "id": "GoogleCloudDialogflowCxV3SentimentAnalysisResult", "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral." }, "GoogleCloudDialogflowV2beta1IntentMessageText": { "id": "GoogleCloudDialogflowV2beta1IntentMessageText", "type": "object", "properties": { "text": { "description": "Optional. The collection of the agent's responses.", "items": { "type": "string" }, "type": "array" } }, "description": "The text response message." }, "GoogleCloudDialogflowCxV3SessionInfo": { "id": "GoogleCloudDialogflowCxV3SessionInfo", "type": "object", "properties": { "session": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.", "type": "string" }, "parameters": { "additionalProperties": { "type": "any" }, "type": "object", "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names." } }, "description": "Represents session information communicated to and from the webhook." }, "GoogleCloudDialogflowCxV3beta1TestCaseResult": { "description": "Represents a result from running a test case in an agent environment.", "properties": { "name": { "type": "string", "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`." }, "environment": { "type": "string", "description": "Environment where the test was run. If not set, it indicates the draft environment." }, "testResult": { "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "description": "Whether the test case passed in the agent environment.", "type": "string", "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ] }, "testTime": { "format": "google-datetime", "description": "The time that the test was run.", "type": "string" }, "conversationTurns": { "description": "The conversation turns uttered during the test case replay in chronological order.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" }, "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata", "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "knowledgeBase": { "description": "The name of the knowledge base interacted with during the operation.", "type": "string" }, "exportOperationMetadata": { "$ref": "GoogleCloudDialogflowV2beta1ExportOperationMetadata", "description": "Metadata for the Export Data Operation such as the destination of export." }, "state": { "description": "Required. Output only. The current state of this operation.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string" } } }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses": { "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses", "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.", "properties": { "simpleResponses": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse" }, "type": "array", "description": "Required. The list of simple responses." } }, "type": "object" }, "GoogleCloudDialogflowCxV3FormParameterFillBehavior": { "type": "object", "id": "GoogleCloudDialogflowCxV3FormParameterFillBehavior", "description": "Configuration for how the filling of a parameter should be handled.", "properties": { "repromptEventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "type": "array", "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted." }, "initialPromptFulfillment": { "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" } } }, "GoogleCloudDialogflowV2SmartReplyModelMetadata": { "description": "Metadata for smart reply models.", "type": "object", "id": "GoogleCloudDialogflowV2SmartReplyModelMetadata", "properties": { "trainingModelType": { "type": "string", "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ], "description": "Optional. Type of the smart reply model. If not provided, model_type is used.", "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ] } } }, "GoogleCloudDialogflowV2beta1EntityTypeEntity": { "properties": { "value": { "type": "string", "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases)." }, "synonyms": { "type": "array", "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "items": { "type": "string" } } }, "description": "An **entity entry** for an associated entity type.", "type": "object", "id": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "GoogleCloudDialogflowCxV3MatchIntentResponse": { "description": "Response of MatchIntent.", "properties": { "matches": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3Match" }, "description": "Match results, if more than one, ordered descendingly by the confidence we have that the particular intent matches the query." }, "triggerEvent": { "type": "string", "description": "If an event was provided as input, this field will contain a copy of the event name." }, "transcript": { "type": "string", "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio." }, "text": { "description": "If natural language text was provided as input, this field will contain a copy of the text.", "type": "string" }, "triggerIntent": { "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.", "type": "string" }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3Page", "description": "The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`." } }, "id": "GoogleCloudDialogflowCxV3MatchIntentResponse", "type": "object" }, "GoogleCloudDialogflowCxV3DeployFlowResponse": { "properties": { "environment": { "$ref": "GoogleCloudDialogflowCxV3Environment", "description": "The updated environment where the flow is deployed." }, "deployment": { "type": "string", "description": "The name of the flow version Deployment. Format: `projects//locations//agents// environments//deployments/`." } }, "type": "object", "description": "The response message for Environments.DeployFlow.", "id": "GoogleCloudDialogflowCxV3DeployFlowResponse" }, "GoogleCloudDialogflowCxV3IntentCoverageIntent": { "properties": { "covered": { "description": "Whether or not the intent is covered by at least one of the agent's test cases.", "type": "boolean" }, "intent": { "type": "string", "description": "The intent full resource name" } }, "id": "GoogleCloudDialogflowCxV3IntentCoverageIntent", "type": "object", "description": "The agent's intent." }, "GoogleCloudDialogflowV2beta1SessionEntityType": { "type": "object", "properties": { "name": { "type": "string", "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." }, "entities": { "description": "Required. The collection of entities associated with this session entity type.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "type": "array" }, "entityOverrideMode": { "type": "string", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ] } }, "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).", "id": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "GoogleCloudDialogflowCxV3WebhookGenericWebService": { "properties": { "uri": { "description": "Required. The webhook URI for receiving POST requests. It must use https protocol.", "type": "string" }, "password": { "type": "string", "description": "The password for HTTP Basic authentication." }, "requestHeaders": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The HTTP request headers to send together with webhook requests." }, "allowedCaCerts": { "type": "array", "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```", "items": { "type": "string", "format": "byte" } }, "username": { "type": "string", "description": "The user name for HTTP Basic authentication." } }, "description": "Represents configuration for a generic web service.", "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookGenericWebService" }, "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata": { "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } }, "type": "object", "id": "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata", "description": "Metadata for ReloadDocument operation." }, "GoogleCloudDialogflowCxV3beta1IntentInput": { "properties": { "intent": { "type": "string", "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`." } }, "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "id": "GoogleCloudDialogflowCxV3beta1IntentInput", "type": "object" }, "GoogleCloudDialogflowCxV3ListTestCaseResultsResponse": { "description": "The response message for TestCases.ListTestCaseResults.", "id": "GoogleCloudDialogflowCxV3ListTestCaseResultsResponse", "properties": { "testCaseResults": { "description": "The list of test case results.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object" }, "GoogleCloudDialogflowCxV3VersionVariants": { "description": "A list of flow version variants.", "type": "object", "properties": { "variants": { "description": "A list of flow version variants.", "items": { "$ref": "GoogleCloudDialogflowCxV3VersionVariantsVariant" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3VersionVariants" }, "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction": { "type": "object", "description": "Setting a parameter value.", "properties": { "value": { "description": "The new value of the parameter. A null value clears the parameter.", "type": "any" }, "parameter": { "description": "Display name of the parameter.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment", "description": "Represents one segment of audio.", "properties": { "audio": { "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.", "type": "string", "format": "byte" }, "allowPlaybackInterruption": { "type": "boolean", "readOnly": true, "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request." }, "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it." } } }, "GoogleCloudDialogflowCxV3TestError": { "id": "GoogleCloudDialogflowCxV3TestError", "properties": { "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test." }, "testCase": { "description": "The test case resource name.", "type": "string" }, "testTime": { "description": "The timestamp when the test was completed.", "format": "google-datetime", "type": "string" } }, "description": "Error info for running a test.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo": { "description": "Represents a single followup intent in the chain.", "properties": { "parentFollowupIntentName": { "type": "string", "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`." }, "followupIntentName": { "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo" }, "GoogleCloudLocationLocation": { "properties": { "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "description": "A resource that represents Google Cloud Platform location.", "type": "object", "id": "GoogleCloudLocationLocation" }, "GoogleCloudDialogflowV2KnowledgeOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV2KnowledgeOperationMetadata", "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "knowledgeBase": { "type": "string", "description": "The name of the knowledge base interacted with during the operation." }, "exportOperationMetadata": { "$ref": "GoogleCloudDialogflowV2ExportOperationMetadata", "description": "Metadata for the Export Data Operation such as the destination of export." }, "state": { "description": "Output only. The current state of this operation.", "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ] } } }, "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput": { "type": "object", "id": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput", "description": "The output from the virtual agent.", "properties": { "differences": { "readOnly": true, "type": "array", "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestRunDifference" } }, "textResponses": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText" }, "description": "The text responses from the agent for the turn." }, "status": { "description": "Response error from the agent in the test result. If set, other output is empty.", "$ref": "GoogleRpcStatus" }, "sessionParameters": { "description": "The session parameters available to the bot at this point.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "diagnosticInfo": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage." }, "triggeredIntent": { "$ref": "GoogleCloudDialogflowCxV3Intent", "description": "The Intent that triggered the response. Only name and displayName will be set." }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3Page", "description": "The Page on which the utterance was spoken. Only name and displayName will be set." } } }, "GoogleCloudDialogflowCxV3beta1TransitionRoute": { "id": "GoogleCloudDialogflowCxV3beta1TransitionRoute", "type": "object", "properties": { "intent": { "type": "string", "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first." }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "name": { "description": "Output only. The unique identifier of this transition route.", "readOnly": true, "type": "string" }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "condition": { "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.", "type": "string" } }, "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow." }, "GoogleCloudDialogflowV2IntentMessageSimpleResponse": { "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponse", "description": "The simple response message containing speech or text.", "properties": { "displayText": { "type": "string", "description": "Optional. The text to display." }, "textToSpeech": { "type": "string", "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml." }, "ssml": { "type": "string", "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech." } }, "type": "object" }, "GoogleCloudDialogflowV2SentimentAnalysisResult": { "type": "object", "properties": { "queryTextSentiment": { "$ref": "GoogleCloudDialogflowV2Sentiment", "description": "The sentiment analysis result for `query_text`." } }, "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config", "id": "GoogleCloudDialogflowV2SentimentAnalysisResult" }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio": { "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio", "properties": { "segments": { "description": "Segments this audio response is composed of.", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess": { "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue.", "properties": { "metadata": { "description": "Custom metadata. Dialogflow doesn't impose any structure on this.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess" }, "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse": { "description": "The response message for Intents.BatchUpdateIntents.", "type": "object", "id": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse", "properties": { "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "The collection of updated or created intents." } } }, "GoogleCloudDialogflowV2IntentMessageImage": { "description": "The image response message.", "type": "object", "properties": { "imageUri": { "type": "string", "description": "Optional. The public URI to an image file." }, "accessibilityText": { "description": "Optional. A text description of the image to be used for accessibility, e.g., screen readers.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageImage" }, "GoogleCloudDialogflowCxV3beta1TestCaseError": { "description": "Error info for importing a test.", "id": "GoogleCloudDialogflowCxV3beta1TestCaseError", "type": "object", "properties": { "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test case." }, "testCase": { "description": "The test case.", "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" } } }, "GoogleCloudDialogflowV2IntentMessageTableCardCell": { "id": "GoogleCloudDialogflowV2IntentMessageTableCardCell", "description": "Cell of TableCardRow.", "type": "object", "properties": { "text": { "description": "Required. Text in this cell.", "type": "string" } } }, "GoogleCloudDialogflowCxV3Match": { "description": "Represents one match result of MatchIntent.", "properties": { "intent": { "description": "The Intent that matched the query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. Only filled for `INTENT` match type.", "$ref": "GoogleCloudDialogflowCxV3Intent" }, "matchType": { "type": "string", "description": "Type of this Match.", "enum": [ "MATCH_TYPE_UNSPECIFIED", "INTENT", "DIRECT_INTENT", "PARAMETER_FILLING", "NO_MATCH", "NO_INPUT", "EVENT" ], "enumDescriptions": [ "Not specified. Should never be used.", "The query was matched to an intent.", "The query directly triggered an intent.", "The query was used for parameter filling.", "No match was found for the query.", "Indicates an empty query.", "The query directly triggered an event." ] }, "resolvedInput": { "type": "string", "description": "Final text input which was matched during MatchIntent. This value can be different from original input sent in request because of spelling correction or other processing." }, "event": { "type": "string", "description": "The event that matched the query. Filled for `EVENT`, `NO_MATCH` and `NO_INPUT` match types." }, "confidence": { "description": "The confidence of this match. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation.", "format": "float", "type": "number" }, "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The collection of parameters extracted from the query. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value." } }, "id": "GoogleCloudDialogflowCxV3Match", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio": { "description": "Specifies an audio clip to be played by the client as part of the response.", "properties": { "audioUri": { "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.", "type": "string" }, "allowPlaybackInterruption": { "type": "boolean", "readOnly": true, "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request." } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio", "type": "object" }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo": { "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo", "description": "Represents form information.", "properties": { "parameterInfo": { "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation": { "properties": {}, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation", "description": "Opens the device's location chooser so the user can pick a location to send back to the agent." }, "GoogleCloudDialogflowV2beta1SuggestionResult": { "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.", "type": "object", "id": "GoogleCloudDialogflowV2beta1SuggestionResult", "properties": { "error": { "$ref": "GoogleRpcStatus", "description": "Error status if the request failed." }, "suggestFaqAnswersResponse": { "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER.", "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse" }, "suggestArticlesResponse": { "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse", "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION." }, "suggestSmartRepliesResponse": { "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse", "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY." } } }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "type": "object", "description": "Browsing carousel tile", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem", "properties": { "description": { "type": "string", "description": "Optional. Description of the carousel item. Maximum of four lines of text." }, "openUriAction": { "description": "Required. Action to present to the user.", "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" }, "image": { "description": "Optional. Hero image for the carousel item.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "title": { "description": "Required. Title of the carousel item. Maximum of two lines of text.", "type": "string" }, "footer": { "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.", "type": "string" } } }, "GoogleCloudDialogflowCxV3ListAgentsResponse": { "id": "GoogleCloudDialogflowCxV3ListAgentsResponse", "description": "The response message for Agents.ListAgents.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "agents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "description": "The list of agents. There will be a maximum number of items returned based on the page_size field in the request." } }, "type": "object" }, "GoogleCloudDialogflowCxV3Fulfillment": { "id": "GoogleCloudDialogflowCxV3Fulfillment", "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.", "properties": { "setParameterActions": { "description": "Set parameter values before executing the webhook.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction" } }, "webhook": { "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "tag": { "type": "string", "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified." }, "conditionalCases": { "description": "Conditional cases for this fulfillment.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases" }, "type": "array" }, "messages": { "type": "array", "description": "The list of rich message responses to present to the user.", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" } }, "returnPartialResponses": { "type": "boolean", "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse": { "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse", "description": "The response message for Environments.RunContinuousTest.", "type": "object", "properties": { "continuousTestResult": { "$ref": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult", "description": "The result for a continuous test run." } } }, "GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse": { "description": "The response message for Environments.LookupEnvironmentHistory.", "id": "GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "environments": { "items": { "$ref": "GoogleCloudDialogflowCxV3Environment" }, "type": "array", "description": "Represents a list of snapshots for an environment. Time of the snapshots is stored in `update_time`." } } }, "GoogleCloudDialogflowV2SuggestionResult": { "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.", "id": "GoogleCloudDialogflowV2SuggestionResult", "type": "object", "properties": { "suggestSmartRepliesResponse": { "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY.", "$ref": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse" }, "error": { "$ref": "GoogleRpcStatus", "description": "Error status if the request failed." }, "suggestArticlesResponse": { "$ref": "GoogleCloudDialogflowV2SuggestArticlesResponse", "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION." }, "suggestFaqAnswersResponse": { "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER.", "$ref": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse" } } }, "GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings": { "id": "GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings", "type": "object", "description": "Settings for exporting conversations to [Insights](https://cloud.google.com/contact-center/insights/docs).", "properties": { "enableInsightsExport": { "type": "boolean", "description": "If enabled, we will automatically exports conversations to Insights and Insights runs its analyzers." } } }, "GoogleLongrunningOperation": { "type": "object", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation" }, "GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode": { "description": "The source or target of a transition.", "id": "GoogleCloudDialogflowCxV3TransitionCoverageTransitionNode", "type": "object", "properties": { "page": { "description": "Indicates a transition to a Page. Only some fields such as name and displayname will be set.", "$ref": "GoogleCloudDialogflowCxV3Page" }, "flow": { "description": "Indicates a transition to a Flow. Only some fields such as name and displayname will be set.", "$ref": "GoogleCloudDialogflowCxV3Flow" } } }, "GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase": { "type": "object", "id": "GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase", "description": "An excluded entity phrase that should not be matched.", "properties": { "value": { "type": "string", "description": "Required. The word or phrase to be excluded." } } }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent": { "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent", "properties": { "message": { "description": "Returned message.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "additionalCases": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases", "description": "Additional cases to be evaluated." } }, "description": "The list of messages or conditional cases to activate for this case.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessage": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessage", "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.", "type": "object", "properties": { "conversationSuccess": { "description": "Indicates that the conversation succeeded.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess" }, "telephonyTransferCall": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall", "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint." }, "endInteraction": { "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.", "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction" }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "text": { "description": "Returns a text response.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" }, "outputAudioText": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "playAudio": { "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio" }, "liveAgentHandoff": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff", "description": "Hands off conversation to a human agent." }, "mixedAudio": { "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio" } } }, "GoogleCloudDialogflowV2SmartReplyAnswer": { "type": "object", "description": "Represents a smart reply answer.", "id": "GoogleCloudDialogflowV2SmartReplyAnswer", "properties": { "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "confidence": { "type": "number", "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float" }, "reply": { "description": "The content of the reply.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig": { "type": "object", "properties": { "enablePredeploymentRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false." }, "testCases": { "type": "array", "items": { "type": "string" }, "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`" }, "enableContinuousRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.", "type": "boolean" } }, "description": "The configuration for continuous tests.", "id": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig" }, "GoogleCloudDialogflowV2IntentMessageBasicCard": { "id": "GoogleCloudDialogflowV2IntentMessageBasicCard", "properties": { "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. The image for the card." }, "subtitle": { "description": "Optional. The subtitle of the card.", "type": "string" }, "title": { "description": "Optional. The title of the card.", "type": "string" }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" }, "type": "array", "description": "Optional. The collection of card buttons." }, "formattedText": { "description": "Required, unless image is present. The body text of the card.", "type": "string" } }, "type": "object", "description": "The basic card message. Useful for displaying information." }, "GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics": { "description": "Version variant and associated metrics.", "properties": { "version": { "type": "string", "description": "The name of the flow Version. Format: `projects//locations//agents//flows//versions/`." }, "metrics": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ExperimentResultMetric" }, "description": "The metrics and corresponding confidence intervals in the inference result." }, "sessionCount": { "type": "integer", "format": "int32", "description": "Number of sessions that were allocated to this version." } }, "id": "GoogleCloudDialogflowCxV3ExperimentResultVersionMetrics", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText": { "type": "object", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "properties": { "ssml": { "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).", "type": "string" }, "text": { "description": "The raw text to be synthesized.", "type": "string" }, "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true, "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText" }, "GoogleCloudDialogflowV2SessionEntityType": { "id": "GoogleCloudDialogflowV2SessionEntityType", "type": "object", "properties": { "name": { "type": "string", "description": "Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." }, "entityOverrideMode": { "type": "string", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ], "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition." }, "entities": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" }, "description": "Required. The collection of entities associated with this session entity type." } }, "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session)." }, "GoogleCloudDialogflowCxV3beta1Page": { "properties": { "transitionRouteGroups": { "items": { "type": "string" }, "type": "array", "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`." }, "eventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" }, "type": "array", "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input." }, "form": { "description": "The form associated with the page, used for collecting parameters relevant to the page.", "$ref": "GoogleCloudDialogflowCxV3beta1Form" }, "transitionRoutes": { "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" }, "type": "array" }, "name": { "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "entryFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the session is entering the page." }, "displayName": { "description": "Required. The human-readable name of the page, unique within the flow.", "type": "string" } }, "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1Page" }, "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata": { "id": "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata", "properties": { "version": { "type": "string", "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`." } }, "type": "object", "description": "Metadata associated with the long running operation for Versions.CreateVersion." }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell": { "type": "object", "properties": { "text": { "type": "string", "description": "Required. Text in this cell." } }, "description": "Cell of TableCardRow.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell" }, "GoogleCloudDialogflowV2beta1IntentParameter": { "properties": { "displayName": { "description": "Required. The name of the parameter.", "type": "string" }, "value": { "type": "string", "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`." }, "defaultValue": { "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`.", "type": "string" }, "name": { "description": "The unique identifier of this parameter.", "type": "string" }, "entityTypeDisplayName": { "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.", "type": "string" }, "prompts": { "type": "array", "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.", "items": { "type": "string" } }, "mandatory": { "type": "boolean", "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value." }, "isList": { "type": "boolean", "description": "Optional. Indicates whether the parameter represents a list of values." } }, "id": "GoogleCloudDialogflowV2beta1IntentParameter", "description": "Represents intent parameters.", "type": "object" }, "GoogleCloudDialogflowCxV3Webhook": { "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "type": "object", "id": "GoogleCloudDialogflowCxV3Webhook", "properties": { "name": { "type": "string", "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`." }, "disabled": { "description": "Indicates whether the webhook is disabled.", "type": "boolean" }, "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Configuration for a generic web service." }, "timeout": { "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.", "format": "google-duration", "type": "string" }, "serviceDirectory": { "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service.", "$ref": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the webhook, unique within the agent." } } }, "GoogleCloudDialogflowV2IntentFollowupIntentInfo": { "properties": { "followupIntentName": { "type": "string", "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`." }, "parentFollowupIntentName": { "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.", "type": "string" } }, "description": "Represents a single followup intent in the chain.", "id": "GoogleCloudDialogflowV2IntentFollowupIntentInfo", "type": "object" }, "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "readOnly": true, "description": "Required. Output only. The current state of this operation.", "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string" } } }, "GoogleCloudDialogflowV2beta1EventInput": { "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "id": "GoogleCloudDialogflowV2beta1EventInput", "type": "object", "properties": { "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "name": { "type": "string", "description": "Required. The unique identifier of the event." }, "languageCode": { "type": "string", "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request." } } }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject": { "properties": { "largeImage": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Image to display above media content." }, "name": { "type": "string", "description": "Required. Name of media card." }, "contentUrl": { "type": "string", "description": "Required. Url where the media is stored." }, "description": { "type": "string", "description": "Optional. Description of media card." }, "icon": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Icon to display above media content." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject", "type": "object", "description": "Response media object for media content card." }, "GoogleCloudDialogflowV2beta1FaqAnswer": { "type": "object", "properties": { "question": { "description": "The corresponding FAQ question.", "type": "string" }, "source": { "type": "string", "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`." }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "confidence": { "format": "float", "type": "number", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "answer": { "type": "string", "description": "The piece of text from the `source` knowledge base document." }, "metadata": { "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" }, "type": "object" } }, "description": "Represents answer from \"frequently asked questions\".", "id": "GoogleCloudDialogflowV2beta1FaqAnswer" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo": { "description": "Represents fulfillment information communicated to the webhook.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo", "properties": { "tag": { "type": "string", "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes." } } }, "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata": { "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata" } }, "description": "Metadata for CreateDocument operation.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata" }, "GoogleCloudDialogflowV2beta1Intent": { "type": "object", "properties": { "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "resetContexts": { "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched.", "type": "boolean" }, "inputContextNames": { "items": { "type": "string" }, "description": "Optional. The list of context names required for this intent to be triggered. Formats: - `projects//agent/sessions/-/contexts/` - `projects//locations//agent/sessions/-/contexts/`", "type": "array" }, "action": { "type": "string", "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces." }, "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "mlDisabled": { "type": "boolean", "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off." }, "webhookState": { "description": "Optional. Indicates whether webhooks are enabled for the intent.", "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ], "type": "string", "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ] }, "name": { "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "type": "string" }, "parentFollowupIntentName": { "description": "Optional. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.", "type": "string" }, "rootFollowupIntentName": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. Format: `projects//agent/intents/`." }, "events": { "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters.", "type": "array", "items": { "type": "string" } }, "trainingPhrases": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase" }, "description": "Optional. The collection of examples that the agent is trained on." }, "displayName": { "type": "string", "description": "Required. The name of this intent." }, "outputContexts": { "type": "array", "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "followupIntentInfo": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo" }, "description": "Output only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "readOnly": true, "type": "array" }, "defaultResponsePlatforms": { "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).", "type": "array", "items": { "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ], "type": "string", "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ] } }, "liveAgentHandoff": { "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.", "type": "boolean" }, "priority": { "type": "integer", "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "format": "int32" }, "mlEnabled": { "type": "boolean", "description": "Optional. Indicates whether Machine Learning is enabled for the intent. Note: If `ml_enabled` setting is set to false, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off. DEPRECATED! Please use `ml_disabled` field instead. NOTE: If both `ml_enabled` and `ml_disabled` are either not set or false, then the default value is determined as follows: - Before April 15th, 2018 the default is: ml_enabled = false / ml_disabled = true. - After April 15th, 2018 the default is: ml_enabled = true / ml_disabled = false." }, "messages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" }, "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console." }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentParameter" }, "description": "Optional. The collection of parameters associated with the intent.", "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1Intent", "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview)." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial": { "type": "object", "properties": { "phoneNumber": { "type": "string", "description": "Required. The phone number to fill in the default dialer app. This field should be in [E.164](https://en.wikipedia.org/wiki/E.164) format. An example of a correctly formatted phone number: +15556767888." } }, "description": "Opens the user's default dialer app with the specified phone number but does not dial automatically.", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial" }, "GoogleCloudDialogflowCxV3beta1WebhookRequest": { "properties": { "sentimentAnalysisResult": { "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult" }, "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "payload": { "description": "Custom data set in QueryParameters.payload.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "text": { "description": "If natural language text was provided as input, this field will contain a copy of the text.", "type": "string" }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "intentInfo": { "description": "Information about the last matched intent.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "sessionInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo", "description": "Information about session status." }, "messages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;" }, "fulfillmentInfo": { "description": "Always present. Information about the fulfillment that triggered this webhook call.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo" }, "detectIntentResponseId": { "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller.", "type": "string" }, "pageInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo", "description": "Information about page status." }, "languageCode": { "description": "The language code specified in the original request.", "type": "string" }, "transcript": { "type": "string", "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequest", "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored." }, "GoogleCloudDialogflowCxV3beta1ConversationTurn": { "id": "GoogleCloudDialogflowCxV3beta1ConversationTurn", "type": "object", "properties": { "virtualAgentOutput": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput", "description": "The virtual agent output." }, "userInput": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput", "description": "The user input." } }, "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response." }, "GoogleCloudDialogflowV2IntentMessageBasicCardButton": { "description": "The button object that appears at the bottom of a card.", "type": "object", "properties": { "openUriAction": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction", "description": "Required. Action to take when a user taps on the button." }, "title": { "type": "string", "description": "Required. The title of the button." } }, "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment": { "description": "Represents one segment of audio.", "properties": { "uri": { "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it.", "type": "string" }, "audio": { "type": "string", "format": "byte", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request." }, "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request.", "readOnly": true, "type": "boolean" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment" }, "GoogleCloudDialogflowCxV3RestoreAgentRequest": { "properties": { "restoreOption": { "type": "string", "description": "Agent restore mode. If not specified, `KEEP` is assumed.", "enum": [ "RESTORE_OPTION_UNSPECIFIED", "KEEP", "FALLBACK" ], "enumDescriptions": [ "Unspecified. Treated as KEEP.", "Always respect the settings from the exported agent file. It may cause a restoration failure if some settings (e.g. model type) are not supported in the target agent.", "Fallback to default settings if some settings are not supported in the target agent." ] }, "agentContent": { "type": "string", "description": "Uncompressed raw byte content for agent.", "format": "byte" }, "agentUri": { "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to restore agent from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" } }, "type": "object", "description": "The request message for Agents.RestoreAgent.", "id": "GoogleCloudDialogflowCxV3RestoreAgentRequest" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase": { "properties": { "condition": { "type": "string", "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." }, "caseContent": { "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent" }, "type": "array", "description": "A list of case content." } }, "type": "object", "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.", "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase" }, "GoogleCloudDialogflowCxV3beta1ExportAgentResponse": { "id": "GoogleCloudDialogflowCxV3beta1ExportAgentResponse", "description": "The response message for Agents.ExportAgent.", "properties": { "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest.", "type": "string" }, "agentContent": { "type": "string", "description": "Uncompressed raw byte content for agent.", "format": "byte" } }, "type": "object" }, "GoogleCloudDialogflowCxV3TestRunDifference": { "type": "object", "description": "The description of differences between original and replayed agent output.", "id": "GoogleCloudDialogflowCxV3TestRunDifference", "properties": { "type": { "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ], "type": "string", "description": "The type of diff.", "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ] }, "description": { "description": "A description of the diff, showing the actual output vs expected output.", "type": "string" } } }, "GoogleCloudDialogflowV2MessageAnnotation": { "properties": { "parts": { "items": { "$ref": "GoogleCloudDialogflowV2AnnotatedMessagePart" }, "type": "array", "description": "The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text]." }, "containEntities": { "description": "Indicates whether the text message contains entities.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudDialogflowV2MessageAnnotation", "description": "Represents the result of annotation for the message." }, "GoogleCloudLocationListLocationsResponse": { "type": "object", "description": "The response message for Locations.ListLocations.", "id": "GoogleCloudLocationListLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "items": { "$ref": "GoogleCloudLocationLocation" }, "description": "A list of locations that matches the specified filter in the request.", "type": "array" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia": { "description": "Rich Business Messaging (RBM) Media displayed in Cards The following media-types are currently supported: Image Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpg' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/gif LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/png Video Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/h263 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/m4v LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mp4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/webm", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia", "type": "object", "properties": { "height": { "enumDescriptions": [ "Not specified.", "112 DP.", "168 DP.", "264 DP. Not available for rich card carousels when the card width is set to small." ], "enum": [ "HEIGHT_UNSPECIFIED", "SHORT", "MEDIUM", "TALL" ], "type": "string", "description": "Required for cards with vertical orientation. The height of the media within a rich card with a vertical layout. For a standalone card with horizontal layout, height is not customizable, and this field is ignored." }, "thumbnailUri": { "description": "Optional. Publicly reachable URI of the thumbnail.If you don't provide a thumbnail URI, the RBM platform displays a blank placeholder thumbnail until the user's device downloads the file. Depending on the user's setting, the file may not download automatically and may require the user to tap a download button.", "type": "string" }, "fileUri": { "description": "Required. Publicly reachable URI of the file. The RBM platform determines the MIME type of the file from the content-type field in the HTTP headers when the platform fetches the file. The content-type field must be present and accurate in the HTTP response from the URL.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo": { "properties": { "parameters": { "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue" }, "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.", "type": "object" }, "confidence": { "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).", "type": "number", "format": "float" }, "lastMatchedIntent": { "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`.", "type": "string" }, "displayName": { "description": "Always present. The display name of the last matched intent.", "type": "string" } }, "type": "object", "description": "Represents intent information communicated to the webhook.", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata": { "properties": { "createTime": { "description": "Timestamp whe the request was created. The time is measured on server side.", "format": "google-datetime", "type": "string" }, "suggestionFeatureType": { "type": "string", "description": "Required. The type of the suggestion feature to remove.", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ] }, "participantRole": { "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "type": "string" }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" } }, "id": "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata", "type": "object", "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation." }, "GoogleCloudDialogflowCxV3TextInput": { "description": "Represents the natural language text to be processed.", "properties": { "text": { "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3TextInput", "type": "object" }, "GoogleCloudDialogflowCxV3beta1QueryInput": { "id": "GoogleCloudDialogflowCxV3beta1QueryInput", "type": "object", "properties": { "text": { "$ref": "GoogleCloudDialogflowCxV3beta1TextInput", "description": "The natural language text to be processed." }, "languageCode": { "type": "string", "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." }, "intent": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentInput", "description": "The intent to be triggered." }, "audio": { "$ref": "GoogleCloudDialogflowCxV3beta1AudioInput", "description": "The natural language speech audio to be processed." }, "event": { "$ref": "GoogleCloudDialogflowCxV3beta1EventInput", "description": "The event to be triggered." }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3beta1DtmfInput", "description": "The DTMF event to be handled." } }, "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. " }, "GoogleCloudDialogflowV2IntentMessageCarouselSelect": { "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelect", "description": "The card for presenting a carousel of options to select from.", "properties": { "items": { "description": "Required. Carousel items.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem" }, "type": "array" } } }, "GoogleCloudDialogflowV2beta1Message": { "id": "GoogleCloudDialogflowV2beta1Message", "properties": { "sendTime": { "description": "Optional. The time when the message was sent.", "type": "string", "format": "google-datetime" }, "content": { "type": "string", "description": "Required. The message content." }, "participantRole": { "readOnly": true, "type": "string", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "description": "Output only. The role of the participant." }, "participant": { "description": "Output only. The participant that sends this message.", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the message was created in Contact Center AI.", "type": "string" }, "languageCode": { "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\".", "type": "string" }, "sentimentAnalysis": { "description": "Output only. The sentiment analysis result for the message.", "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult" }, "name": { "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "messageAnnotation": { "description": "Output only. The annotation for the message.", "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1MessageAnnotation" } }, "description": "Represents a message posted into a conversation.", "type": "object" }, "GoogleCloudDialogflowV2beta1Context": { "properties": { "lifespanCount": { "format": "int32", "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.", "type": "integer" }, "name": { "type": "string", "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`" }, "parameters": { "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "id": "GoogleCloudDialogflowV2beta1Context", "type": "object" }, "GoogleCloudDialogflowCxV3ExperimentDefinition": { "description": "Definition of the experiment.", "type": "object", "properties": { "versionVariants": { "$ref": "GoogleCloudDialogflowCxV3VersionVariants", "description": "The flow versions as the variants of this experiment." }, "condition": { "type": "string", "description": "The condition defines which subset of sessions are selected for this experiment. If not specified, all sessions are eligible. E.g. \"query_input.language_code=en\" See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." } }, "id": "GoogleCloudDialogflowCxV3ExperimentDefinition" }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo": { "description": "Represents parameter information.", "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo", "properties": { "value": { "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.", "type": "any" }, "state": { "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.", "type": "string", "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ], "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ] }, "displayName": { "type": "string", "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook." }, "justCollected": { "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.", "type": "boolean" }, "required": { "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDialogflowCxV3ValidateFlowRequest": { "description": "The request message for Flows.ValidateFlow.", "id": "GoogleCloudDialogflowCxV3ValidateFlowRequest", "type": "object", "properties": { "languageCode": { "description": "If not specified, the agent's default language is used.", "type": "string" } } }, "GoogleCloudDialogflowCxV3IntentInput": { "id": "GoogleCloudDialogflowCxV3IntentInput", "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "properties": { "intent": { "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata", "description": "Metadata for UpdateDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowCxV3ListPagesResponse": { "properties": { "pages": { "type": "array", "description": "The list of pages. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3Page" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "GoogleCloudDialogflowCxV3ListPagesResponse", "type": "object", "description": "The response message for Pages.ListPages." }, "GoogleCloudDialogflowCxV3beta1DtmfInput": { "properties": { "finishDigit": { "type": "string", "description": "The finish digit (if any)." }, "digits": { "description": "The dtmf digits.", "type": "string" } }, "description": "Represents the input for dtmf event.", "id": "GoogleCloudDialogflowCxV3beta1DtmfInput", "type": "object" }, "GoogleCloudDialogflowV2beta1SuggestArticlesResponse": { "type": "object", "description": "The response message for Participants.SuggestArticles.", "id": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse", "properties": { "contextSize": { "format": "int32", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesResponse.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer" }, "articleAnswers": { "items": { "$ref": "GoogleCloudDialogflowV2beta1ArticleAnswer" }, "type": "array", "description": "Output only. Articles ordered by score in descending order." }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" } } }, "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata": { "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "description": "Metadata for DeleteDocument operation.", "id": "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse": { "description": "Represents a fulfillment response to the user.", "properties": { "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user." }, "mergeBehavior": { "type": "string", "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "description": "Merge behavior for `messages`.", "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ] } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse" }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata": { "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata", "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.", "type": "object", "properties": {} }, "GoogleCloudDialogflowCxV3EventInput": { "id": "GoogleCloudDialogflowCxV3EventInput", "description": "Represents the event to trigger.", "type": "object", "properties": { "event": { "type": "string", "description": "Name of the event." } } }, "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem": { "description": "An item in the carousel.", "properties": { "description": { "description": "Optional. The body text of the card.", "type": "string" }, "info": { "description": "Required. Additional info about the option item.", "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo" }, "title": { "type": "string", "description": "Required. Title of the carousel item." }, "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. The image to display." } }, "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageSuggestions": { "type": "object", "properties": { "suggestions": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestion" }, "description": "Required. The list of suggested replies." } }, "description": "The collection of suggestions.", "id": "GoogleCloudDialogflowV2IntentMessageSuggestions" }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase": { "type": "object", "properties": { "condition": { "type": "string", "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." }, "caseContent": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent" }, "description": "A list of case content.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase", "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively." }, "GoogleCloudDialogflowCxV3Agent": { "description": "Agents are best described as Natural Language Understanding (NLU) modules that transform user requests into actionable data. You can include agents in your app, product, or service to determine user intent and respond to the user in a natural way. After you create an agent, you can add Intents, Entity Types, Flows, Fulfillments, Webhooks, and so on to manage the conversation flows..", "properties": { "defaultLanguageCode": { "description": "Required. Immutable. The default language of the agent as a language tag. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. This field cannot be set by the Agents.UpdateAgent method.", "type": "string" }, "description": { "type": "string", "description": "The description of the agent. The maximum length is 500 characters. If exceeded, the request is rejected." }, "enableSpellCorrection": { "type": "boolean", "description": "Indicates if automatic spell correction is enabled in detect intent requests." }, "speechToTextSettings": { "$ref": "GoogleCloudDialogflowCxV3SpeechToTextSettings", "description": "Speech recognition related settings." }, "securitySettings": { "type": "string", "description": "Name of the SecuritySettings reference for the agent. Format: `projects//locations//securitySettings/`." }, "advancedSettings": { "description": "Hierarchical advanced settings for this agent. The settings exposed at the lower level overrides the settings exposed at the higher level.", "$ref": "GoogleCloudDialogflowCxV3AdvancedSettings" }, "locked": { "description": "Indicates whether the agent is locked for changes. If the agent is locked, modifications to the agent will be rejected except for RestoreAgent.", "type": "boolean" }, "enableStackdriverLogging": { "description": "Indicates if stackdriver logging is enabled for the agent. Please use agent.advanced_settings instead.", "type": "boolean" }, "avatarUri": { "description": "The URI of the agent's avatar. Avatars are used throughout the Dialogflow console and in the self-hosted [Web Demo](https://cloud.google.com/dialogflow/docs/integrations/web-demo) integration.", "type": "string" }, "startFlow": { "type": "string", "description": "Immutable. Name of the start flow in this agent. A start flow will be automatically created when the agent is created, and can only be deleted by deleting the agent. Format: `projects//locations//agents//flows/`." }, "supportedLanguageCodes": { "items": { "type": "string" }, "type": "array", "description": "The list of all languages supported by the agent (except for the `default_language_code`)." }, "displayName": { "description": "Required. The human-readable name of the agent, unique within the location.", "type": "string" }, "name": { "type": "string", "description": "The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`." }, "timeZone": { "type": "string", "description": "Required. The time zone of the agent from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris." } }, "id": "GoogleCloudDialogflowCxV3Agent", "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult": { "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult", "properties": { "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number", "format": "float" }, "magnitude": { "format": "float", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "type": "number" } }, "description": "Represents the result of sentiment analysis." }, "GoogleCloudDialogflowV2IntentMessage": { "description": "A rich response message. Corresponds to the intent `Response` field in the Dialogflow console. For more information, see [Rich response messages](https://cloud.google.com/dialogflow/docs/intents-rich-messages).", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessage", "properties": { "payload": { "description": "A custom platform-specific response.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "listSelect": { "$ref": "GoogleCloudDialogflowV2IntentMessageListSelect", "description": "The list card response for Actions on Google." }, "card": { "description": "The card response.", "$ref": "GoogleCloudDialogflowV2IntentMessageCard" }, "suggestions": { "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestions", "description": "The suggestion chips for Actions on Google." }, "linkOutSuggestion": { "$ref": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion", "description": "The link out suggestion chip for Actions on Google." }, "browseCarouselCard": { "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard", "description": "Browse carousel card for Actions on Google." }, "mediaContent": { "description": "The media content card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContent" }, "platform": { "description": "Optional. The platform that this message is intended for.", "type": "string", "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ], "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ] }, "basicCard": { "description": "The basic card response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCard" }, "simpleResponses": { "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponses", "description": "The voice and text-only responses for Actions on Google." }, "text": { "description": "The text response.", "$ref": "GoogleCloudDialogflowV2IntentMessageText" }, "image": { "description": "The image response.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "carouselSelect": { "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelect", "description": "The carousel card response for Actions on Google." }, "tableCard": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCard", "description": "Table card for Actions on Google." }, "quickReplies": { "$ref": "GoogleCloudDialogflowV2IntentMessageQuickReplies", "description": "The quick replies response." } } }, "GoogleCloudDialogflowCxV3IntentTrainingPhrase": { "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrase", "properties": { "id": { "description": "Output only. The unique identifier of the training phrase.", "type": "string" }, "repeatCount": { "format": "int32", "description": "Indicates how many times this example was added to the intent.", "type": "integer" }, "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart" }, "type": "array" } }, "type": "object", "description": "Represents an example that the agent is trained on to identify the intent." }, "GoogleCloudDialogflowCxV3FormParameter": { "id": "GoogleCloudDialogflowCxV3FormParameter", "description": "Represents a form parameter.", "properties": { "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" }, "defaultValue": { "type": "any", "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored." }, "fillBehavior": { "$ref": "GoogleCloudDialogflowCxV3FormParameterFillBehavior", "description": "Required. Defines fill behavior for the parameter." }, "entityType": { "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.", "type": "string" }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" }, "displayName": { "description": "Required. The human-readable name of the parameter, unique within the form.", "type": "string" }, "required": { "type": "boolean", "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction": { "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.", "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction", "properties": {} }, "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig": { "id": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig", "type": "object", "description": "Configuration for the version.", "properties": { "version": { "description": "Required. Format: projects//locations//agents//flows//versions/.", "type": "string" } } }, "GoogleCloudDialogflowCxV3ResponseMessage": { "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessage", "properties": { "mixedAudio": { "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio", "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user." }, "conversationSuccess": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess", "description": "Indicates that the conversation succeeded." }, "outputAudioText": { "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText" }, "endInteraction": { "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.", "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction" }, "playAudio": { "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio" }, "telephonyTransferCall": { "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall" }, "liveAgentHandoff": { "description": "Hands off conversation to a human agent.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff" }, "text": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText", "description": "Returns a text response." }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard." }, "GoogleCloudDialogflowCxV3Intent": { "id": "GoogleCloudDialogflowCxV3Intent", "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.", "properties": { "trainingPhrases": { "description": "The collection of training phrases the agent is trained on to identify the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrase" }, "type": "array" }, "description": { "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.", "type": "string" }, "isFallback": { "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.", "type": "boolean" }, "priority": { "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer", "format": "int32" }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3IntentParameter" }, "type": "array", "description": "The collection of parameters associated with the intent." }, "name": { "type": "string", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`." }, "displayName": { "description": "Required. The human-readable name of the intent, unique within the agent.", "type": "string" }, "labels": { "type": "object", "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys.contextual\" means the intent is a contextual intent.", "additionalProperties": { "type": "string" } } }, "type": "object" }, "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "id": "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata", "type": "object", "description": "Metadata for ImportDocuments operation." }, "GoogleCloudDialogflowV2IntentMessageTableCardRow": { "properties": { "dividerAfter": { "description": "Optional. Whether to add a visual divider after this row.", "type": "boolean" }, "cells": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardCell" }, "type": "array", "description": "Optional. List of cells that make up this row." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCardRow", "description": "Row of TableCard." }, "GoogleCloudDialogflowV2EntityTypeEntity": { "id": "GoogleCloudDialogflowV2EntityTypeEntity", "description": "An **entity entry** for an associated entity type.", "type": "object", "properties": { "value": { "type": "string", "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases)." }, "synonyms": { "type": "array", "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "items": { "type": "string" } } } }, "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig": { "description": "Configuration for webhooks.", "id": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig", "properties": { "webhookOverrides": { "type": "array", "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" } } }, "type": "object" }, "GoogleCloudDialogflowV2OriginalDetectIntentRequest": { "id": "GoogleCloudDialogflowV2OriginalDetectIntentRequest", "properties": { "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents." }, "version": { "type": "string", "description": "Optional. The version of the protocol used for this request. This field is AoG-specific." }, "source": { "type": "string", "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers." } }, "type": "object", "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call." }, "GoogleCloudDialogflowCxV3EnvironmentVersionConfig": { "id": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig", "properties": { "version": { "type": "string", "description": "Required. Format: projects//locations//agents//flows//versions/." } }, "type": "object", "description": "Configuration for the version." }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestions": { "properties": { "suggestions": { "type": "array", "description": "Required. The list of suggested replies.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion" } } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions", "type": "object", "description": "The collection of suggestions." }, "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies", "description": "The quick replies response message.", "properties": { "title": { "type": "string", "description": "Optional. The title of the collection of quick replies." }, "quickReplies": { "items": { "type": "string" }, "description": "Optional. The collection of quick replies.", "type": "array" } } }, "GoogleCloudDialogflowCxV3EntityTypeEntity": { "type": "object", "properties": { "synonyms": { "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "items": { "type": "string" }, "type": "array" }, "value": { "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A canonical value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases).", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3EntityTypeEntity", "description": "An **entity entry** for an associated entity type." }, "GoogleCloudDialogflowV2IntentMessageText": { "properties": { "text": { "type": "array", "items": { "type": "string" }, "description": "Optional. The collection of the agent's responses." } }, "id": "GoogleCloudDialogflowV2IntentMessageText", "description": "The text response message.", "type": "object" }, "GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings": { "description": "Settings for exporting audio.", "id": "GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings", "properties": { "audioFormat": { "description": "File format for exported audio file. Currently only in telephony recordings.", "enumDescriptions": [ "Unspecified. Do not use.", "G.711 mu-law PCM with 8kHz sample rate.", "MP3 file format.", "OGG Vorbis." ], "enum": [ "AUDIO_FORMAT_UNSPECIFIED", "MULAW", "MP3", "OGG" ], "type": "string" }, "enableAudioRedaction": { "type": "boolean", "description": "Enable audio redaction if it is true." }, "gcsBucket": { "type": "string", "description": "Cloud Storage bucket to export audio record to. You need to grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Storage Object Admin` role in this bucket." }, "audioExportPattern": { "type": "string", "description": "Filename pattern for exported audio." } }, "type": "object" }, "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata": { "properties": {}, "id": "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata", "description": "Metadata for ConversationDatasets.", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard": { "type": "object", "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard", "properties": { "items": { "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem" } }, "imageDisplayOptions": { "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "description": "Optional. Settings for displaying the image. Applies to every image in items.", "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ], "type": "string" } } }, "GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings": { "properties": { "enableInteractionLogging": { "description": "If true, DF Interaction logging is currently enabled.", "type": "boolean" }, "enableStackdriverLogging": { "type": "boolean", "description": "If true, StackDriver logging is currently enabled." } }, "id": "GoogleCloudDialogflowCxV3AdvancedSettingsLoggingSettings", "description": "Define behaviors on logging.", "type": "object" }, "GoogleCloudDialogflowCxV3Changelog": { "id": "GoogleCloudDialogflowCxV3Changelog", "description": "Changelogs represents a change made to a given agent.", "type": "object", "properties": { "name": { "description": "The unique identifier of the changelog. Format: `projects//locations//agents//changelogs/`.", "type": "string" }, "action": { "description": "The action of the change.", "type": "string" }, "resource": { "type": "string", "description": "The affected resource name of the change." }, "displayName": { "description": "The affected resource display name of the change.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "The timestamp of the change.", "type": "string" }, "type": { "description": "The affected resource type.", "type": "string" }, "userEmail": { "description": "Email address of the authenticated user.", "type": "string" } } }, "GoogleCloudDialogflowCxV3CompareVersionsRequest": { "type": "object", "description": "The request message for Versions.CompareVersions.", "id": "GoogleCloudDialogflowCxV3CompareVersionsRequest", "properties": { "targetVersion": { "description": "Required. Name of the target flow version to compare with the base version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents//flows//versions/`.", "type": "string" }, "languageCode": { "type": "string", "description": "The language to compare the flow versions for. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } } }, "GoogleCloudDialogflowCxV3FulfillIntentResponse": { "description": "Response of FulfillIntent", "id": "GoogleCloudDialogflowCxV3FulfillIntentResponse", "type": "object", "properties": { "outputAudioConfig": { "$ref": "GoogleCloudDialogflowCxV3OutputAudioConfig", "description": "The config used by the speech synthesizer to generate the output audio." }, "outputAudio": { "format": "byte", "type": "string", "description": "The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content." }, "responseId": { "description": "Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.", "type": "string" }, "queryResult": { "description": "The result of the conversational query.", "$ref": "GoogleCloudDialogflowCxV3QueryResult" } } }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart": { "description": "Represents a part of a training phrase.", "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart", "type": "object", "properties": { "parameterId": { "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.", "type": "string" }, "text": { "description": "Required. The text for this part.", "type": "string" } } }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue": { "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue", "properties": { "resolvedValue": { "type": "any", "description": "Always present. Structured value for the parameter extracted from user utterance." }, "originalValue": { "type": "string", "description": "Always present. Original text value extracted from user utterance." } }, "description": "Represents a value for an intent parameter.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall": { "description": "Transfers the call in Telephony Gateway.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall", "properties": { "phoneNumber": { "type": "string", "description": "Required. The phone number to transfer the call to in [E.164 format](https://en.wikipedia.org/wiki/E.164). We currently only allow transferring to US numbers (+1xxxyyyzzzz)." } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse": { "properties": { "mergeBehavior": { "type": "string", "description": "Merge behavior for `messages`.", "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ] }, "messages": { "description": "The list of rich message responses to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" } } }, "type": "object", "description": "Represents a fulfillment response to the user.", "id": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse" }, "GoogleCloudDialogflowCxV3beta1EventHandler": { "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3beta1EventHandler", "properties": { "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks." }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of this event handler." }, "event": { "type": "string", "description": "Required. The name of the event to handle." }, "targetFlow": { "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest": { "id": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest", "properties": { "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.", "type": "object" }, "version": { "type": "string", "description": "Optional. The version of the protocol used for this request. This field is AoG-specific." }, "source": { "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.", "type": "string" } }, "type": "object", "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call." }, "GoogleCloudDialogflowCxV3DeployFlowMetadata": { "type": "object", "description": "Metadata returned for the Environments.DeployFlow long running operation.", "id": "GoogleCloudDialogflowCxV3DeployFlowMetadata", "properties": { "testErrors": { "description": "Errors of running deployment tests.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } } }, "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition": { "description": "A transition coverage in a transition route group.", "properties": { "covered": { "description": "Whether or not the transition route is covered by at least one of the agent's test cases.", "type": "boolean" }, "transitionRoute": { "description": "Intent route or condition route.", "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverageTransition" }, "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata": { "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "state": { "description": "Required. Output only. The current state of this operation.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "readOnly": true, "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" }, "GoogleCloudDialogflowCxV3Flow": { "properties": { "name": { "description": "The unique identifier of the flow. Format: `projects//locations//agents//flows/`.", "type": "string" }, "transitionRouteGroups": { "items": { "type": "string" }, "description": "A flow's transition route group serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for matching the user's first utterances in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's transition route groups. Transition route groups defined in the page have higher priority than those defined in the flow. Format:`projects//locations//agents//flows//transitionRouteGroups/`.", "type": "array" }, "description": { "description": "The description of the flow. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the flow." }, "transitionRoutes": { "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" }, "type": "array", "description": "A flow's transition routes serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for matching the user's first utterances in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's transition routes and can support use cases such as the user saying \"help\" or \"can I talk to a human?\", which can be handled in a common way regardless of the current page. Transition routes defined in the page have higher priority than those defined in the flow. TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes with only condition specified. TransitionRoutes with intent specified are inherited by pages in the flow." }, "eventHandlers": { "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "type": "array", "description": "A flow's event handlers serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for handling events (e.g. no match, webhook errors) in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's event handlers, which can be used to handle common events regardless of the current page. Event handlers defined in the page have higher priority than those defined in the flow. Unlike transition_routes, these handlers are evaluated on a first-match basis. The first one that matches the event get executed, with the rest being ignored." }, "nluSettings": { "$ref": "GoogleCloudDialogflowCxV3NluSettings", "description": "NLU related settings of the flow." } }, "id": "GoogleCloudDialogflowCxV3Flow", "description": "Flows represents the conversation flows when you build your chatbot agent. A flow consists of many pages connected by the transition routes. Conversations always start with the built-in Start Flow (with an all-0 ID). Transition routes can direct the conversation session from the current flow (parent flow) to another flow (sub flow). When the sub flow is finished, Dialogflow will bring the session back to the parent flow, where the sub flow is started. Usually, when a transition route is followed by a matched intent, the intent will be \"consumed\". This means the intent won't activate more transition routes. However, when the followed transition route moves the conversation session into a different flow, the matched intent can be carried over and to be consumed in the target flow.", "type": "object" }, "GoogleCloudDialogflowCxV3PageInfoFormInfo": { "id": "GoogleCloudDialogflowCxV3PageInfoFormInfo", "description": "Represents form information.", "properties": { "parameterInfo": { "items": { "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo" }, "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.", "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3ValidateAgentRequest": { "type": "object", "description": "The request message for Agents.ValidateAgent.", "properties": { "languageCode": { "description": "If not specified, the agent's default language is used.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ValidateAgentRequest" }, "GoogleCloudDialogflowV2Sentiment": { "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "type": "object", "id": "GoogleCloudDialogflowV2Sentiment", "properties": { "score": { "type": "number", "format": "float", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment)." }, "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float" } } }, "GoogleCloudDialogflowCxV3AgentValidationResult": { "type": "object", "description": "The response message for Agents.GetAgentValidationResult.", "id": "GoogleCloudDialogflowCxV3AgentValidationResult", "properties": { "name": { "type": "string", "description": "The unique identifier of the agent validation result. Format: `projects//locations//agents//validationResult`." }, "flowValidationResults": { "type": "array", "description": "Contains all flow validation results.", "items": { "$ref": "GoogleCloudDialogflowCxV3FlowValidationResult" } } } }, "GoogleCloudDialogflowV2beta1IntentMessageImage": { "type": "object", "description": "The image response message.", "properties": { "accessibilityText": { "type": "string", "description": "A text description of the image to be used for accessibility, e.g., screen readers. Required if image_uri is set for CarouselSelect." }, "imageUri": { "type": "string", "description": "Optional. The public URI to an image file." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "GoogleCloudDialogflowV2IntentMessageCard": { "description": "The card response message.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageCard", "properties": { "title": { "description": "Optional. The title of the card.", "type": "string" }, "buttons": { "description": "Optional. The collection of card buttons.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCardButton" }, "type": "array" }, "subtitle": { "description": "Optional. The subtitle of the card.", "type": "string" }, "imageUri": { "description": "Optional. The public URI to an image file for the card.", "type": "string" } } }, "GoogleCloudDialogflowV2IntentTrainingPhrase": { "properties": { "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.", "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrasePart" }, "type": "array" }, "timesAddedCount": { "format": "int32", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased.", "type": "integer" }, "type": { "type": "string", "description": "Required. The type of the training phrase.", "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ], "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases that you've created in template mode, those will continue to work." ] }, "name": { "type": "string", "description": "Output only. The unique identifier of this training phrase." } }, "id": "GoogleCloudDialogflowV2IntentTrainingPhrase", "description": "Represents an example that the agent is trained on.", "type": "object" }, "GoogleCloudDialogflowCxV3EventHandler": { "properties": { "event": { "description": "Required. The name of the event to handle.", "type": "string" }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "name": { "description": "Output only. The unique identifier of this event handler.", "type": "string", "readOnly": true }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks." } }, "type": "object", "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3EventHandler" }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse": { "description": "The response message for TestCases.BatchRunTestCases.", "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse", "type": "object", "properties": { "results": { "description": "The test case results. The detailed conversation turns are empty in this response.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "type": "array" } } }, "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo": { "description": "Represents fulfillment information communicated to the webhook.", "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo", "properties": { "tag": { "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata", "description": "Metadata for UpdateDocument operation.", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleCloudDialogflowCxV3TestCase": { "description": "Represents a test case.", "id": "GoogleCloudDialogflowCxV3TestCase", "properties": { "testCaseConversationTurns": { "type": "array", "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" } }, "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "lastTestResult": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult", "description": "The latest test result." }, "displayName": { "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.", "type": "string" }, "tags": { "items": { "type": "string" }, "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.", "type": "array" }, "testConfig": { "description": "Config for the test case.", "$ref": "GoogleCloudDialogflowCxV3TestConfig" }, "name": { "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`.", "type": "string" }, "creationTime": { "format": "google-datetime", "type": "string", "description": "Output only. When the test was created.", "readOnly": true } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookResponse": { "properties": { "fulfillmentResponse": { "$ref": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse", "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user." }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "sessionInfo": { "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.", "$ref": "GoogleCloudDialogflowCxV3SessionInfo" }, "pageInfo": { "$ref": "GoogleCloudDialogflowCxV3PageInfo", "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status." }, "payload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Value to append directly to QueryResult.webhook_payloads." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." } }, "type": "object", "description": "The response message for a webhook call.", "id": "GoogleCloudDialogflowCxV3WebhookResponse" }, "GoogleCloudDialogflowCxV3SecuritySettings": { "description": "Represents the settings related to security issues, such as data redaction and data retention. It may take hours for updates on the settings to propagate to all the related components and take effect.", "type": "object", "id": "GoogleCloudDialogflowCxV3SecuritySettings", "properties": { "redactionStrategy": { "enum": [ "REDACTION_STRATEGY_UNSPECIFIED", "REDACT_WITH_SERVICE" ], "description": "Strategy that defines how we do redaction.", "enumDescriptions": [ "Do not redact.", "Call redaction service to clean up the data to be persisted." ], "type": "string" }, "audioExportSettings": { "description": "Controls audio export settings for post-conversation analytics when ingesting audio to conversations via Participants.AnalyzeContent or Participants.StreamingAnalyzeContent. If retention_strategy is set to REMOVE_AFTER_CONVERSATION or audio_export_settings.gcs_bucket is empty, audio export is disabled. If audio export is enabled, audio is recorded and saved to audio_export_settings.gcs_bucket, subject to retention policy of audio_export_settings.gcs_bucket. This setting won't effect audio input for implicit sessions via Sessions.DetectIntent or Sessions.StreamingDetectIntent.", "$ref": "GoogleCloudDialogflowCxV3SecuritySettingsAudioExportSettings" }, "deidentifyTemplate": { "description": "[DLP](https://cloud.google.com/dlp/docs) deidentify template name. Use this template to define de-identification configuration for the content. The `DLP De-identify Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, Dialogflow replaces sensitive info with `[redacted]` text. The template name will have one of the following formats: `projects//locations//deidentifyTemplates/` OR `organizations//locations//deidentifyTemplates/` Note: `deidentify_template` must be located in the same region as the `SecuritySettings`.", "type": "string" }, "purgeDataTypes": { "description": "List of types of data to remove when retention settings triggers purge.", "type": "array", "items": { "enum": [ "PURGE_DATA_TYPE_UNSPECIFIED", "DIALOGFLOW_HISTORY" ], "type": "string", "enumDescriptions": [ "Unspecified. Do not use.", "Dialogflow history. This does not include Cloud logging, which is owned by the user - not Dialogflow." ] } }, "name": { "type": "string", "description": "Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`." }, "retentionWindowDays": { "type": "integer", "description": "Retains data in interaction logging for the specified number of days. This does not apply to Cloud logging, which is owned by the user - not Dialogflow. User must set a value lower than Dialogflow's default 365d TTL. Setting a value higher than that has no effect. A missing value or setting to 0 also means we use Dialogflow's default TTL. Note: Interaction logging is a limited access feature. Talk to your Google representative to check availability for you.", "format": "int32" }, "displayName": { "description": "Required. The human-readable name of the security settings, unique within the location.", "type": "string" }, "insightsExportSettings": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettingsInsightsExportSettings", "description": "Controls conversation exporting settings to Insights after conversation is completed. If retention_strategy is set to REMOVE_AFTER_CONVERSATION, Insights export is disabled no matter what you configure here." }, "redactionScope": { "description": "Defines the data for which Dialogflow applies redaction. Dialogflow does not redact data that it does not have access to – for example, Cloud logging.", "enum": [ "REDACTION_SCOPE_UNSPECIFIED", "REDACT_DISK_STORAGE" ], "enumDescriptions": [ "Don't redact any kind of data.", "On data to be written to disk or similar devices that are capable of holding data even if power is disconnected. This includes data that are temporarily saved on disk." ], "type": "string" }, "inspectTemplate": { "type": "string", "description": "[DLP](https://cloud.google.com/dlp/docs) inspect template name. Use this template to define inspect base settings. The `DLP Inspect Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, we use the default DLP inspect config. The template name will have one of the following formats: `projects//locations//inspectTemplates/` OR `organizations//locations//inspectTemplates/` Note: `inspect_template` must be located in the same region as the `SecuritySettings`." } } }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases": { "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.", "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases", "type": "object", "properties": { "cases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase" }, "type": "array", "description": "A list of cascading if-else conditions." } } }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestion": { "type": "object", "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation.", "properties": { "title": { "description": "Required. The text shown the in the suggestion chip.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion" }, "GoogleCloudDialogflowV2IntentMessageColumnProperties": { "description": "Column properties for TableCard.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageColumnProperties", "properties": { "header": { "description": "Required. Column heading.", "type": "string" }, "horizontalAlignment": { "description": "Optional. Defines text alignment for all cells in this column.", "type": "string", "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ], "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ] } } }, "GoogleCloudDialogflowCxV3beta1Environment": { "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.", "id": "GoogleCloudDialogflowCxV3beta1Environment", "properties": { "versionConfigs": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig" }, "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned." }, "description": { "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "testCasesConfig": { "description": "The test cases config for continuous tests of this environment.", "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig" }, "name": { "description": "The name of the environment. Format: `projects//locations//agents//environments/`.", "type": "string" }, "displayName": { "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.", "type": "string" }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Update time of this environment." }, "webhookConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig", "description": "The webhook configuration for this environment." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ImportTestCasesMetadata": { "properties": { "errors": { "description": "Errors for failed test cases.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseError" }, "type": "array" } }, "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "id": "GoogleCloudDialogflowCxV3ImportTestCasesMetadata", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageSimpleResponses": { "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.", "type": "object", "properties": { "simpleResponses": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponse" }, "type": "array", "description": "Required. The list of simple responses." } }, "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponses" }, "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse": { "id": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse", "description": "The request message for Participants.SuggestFaqAnswers.", "properties": { "faqAnswers": { "description": "Output only. Answers extracted from FAQ documents.", "items": { "$ref": "GoogleCloudDialogflowV2beta1FaqAnswer" }, "type": "array" }, "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32", "type": "integer" }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3ExportTestCasesRequest": { "properties": { "gcsUri": { "type": "string", "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the test cases to. The format of this URI must be `gs:///`. If unspecified, the serialized test cases is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." }, "dataFormat": { "description": "The data format of the exported test cases. If not specified, `BLOB` is assumed.", "enum": [ "DATA_FORMAT_UNSPECIFIED", "BLOB", "JSON" ], "enumDescriptions": [ "Unspecified format.", "Raw bytes.", "JSON format." ], "type": "string" }, "filter": { "type": "string", "description": "The filter expression used to filter exported test cases, see [API Filtering](https://aip.dev/160). The expression is case insensitive and supports the following syntax: name = [OR name = ] ... For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"name = t1 OR name = t2\" matches the test case with the exact resource name \"t1\" or \"t2\"." } }, "id": "GoogleCloudDialogflowCxV3ExportTestCasesRequest", "type": "object", "description": "The request message for TestCases.ExportTestCases." }, "GoogleCloudDialogflowCxV3ConversationTurnUserInput": { "type": "object", "properties": { "input": { "description": "Supports text input, event input, dtmf input in the test case.", "$ref": "GoogleCloudDialogflowCxV3QueryInput" }, "injectedParameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Parameters that need to be injected into the conversation during intent detection.", "type": "object" }, "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" }, "isWebhookEnabled": { "type": "boolean", "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled." } }, "id": "GoogleCloudDialogflowCxV3ConversationTurnUserInput", "description": "The input from the human user." }, "GoogleCloudDialogflowCxV3ResourceName": { "description": "Resource name and display name.", "properties": { "displayName": { "description": "Display name.", "type": "string" }, "name": { "description": "Name.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ResourceName" }, "GoogleCloudDialogflowCxV3ListEntityTypesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "entityTypes": { "items": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "type": "array", "description": "The list of entity types. There will be a maximum number of items returned based on the page_size field in the request." } }, "type": "object", "description": "The response message for EntityTypes.ListEntityTypes.", "id": "GoogleCloudDialogflowCxV3ListEntityTypesResponse" }, "GoogleCloudDialogflowV2ExportAgentResponse": { "properties": { "agentContent": { "type": "string", "format": "byte", "description": "Zip compressed raw byte content for agent." }, "agentUri": { "type": "string", "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`." } }, "id": "GoogleCloudDialogflowV2ExportAgentResponse", "description": "The response message for Agents.ExportAgent.", "type": "object" }, "GoogleCloudDialogflowCxV3InputAudioConfig": { "description": "Instructs the speech recognizer on how to process the audio content.", "id": "GoogleCloudDialogflowCxV3InputAudioConfig", "type": "object", "properties": { "audioEncoding": { "type": "string", "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "description": "Required. Audio encoding of the audio content to process.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ] }, "phraseHints": { "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "type": "array", "items": { "type": "string" } }, "singleUtterance": { "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.", "type": "boolean" }, "model": { "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" }, "enableWordInfo": { "type": "boolean", "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information." }, "sampleRateHertz": { "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.", "type": "integer", "format": "int32" }, "modelVariant": { "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "type": "string", "description": "Optional. Which variant of the Speech model to use.", "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ] } } }, "GoogleCloudDialogflowV2beta1IntentMessageListSelect": { "type": "object", "description": "The card for presenting a list of options to select from.", "properties": { "items": { "type": "array", "description": "Required. List items.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem" } }, "subtitle": { "type": "string", "description": "Optional. Subtitle of the list." }, "title": { "type": "string", "description": "Optional. The overall title of the list." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelect" }, "GoogleCloudDialogflowV2beta1WebhookResponse": { "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "properties": { "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "fulfillmentText": { "type": "string", "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller." }, "outputContexts": { "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "type": "array" }, "liveAgentHandoff": { "description": "Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.", "type": "boolean" }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "type": "object" }, "sessionEntityTypes": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods." }, "fulfillmentMessages": { "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" }, "type": "array" }, "source": { "type": "string", "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller." }, "followupEventInput": { "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields.", "$ref": "GoogleCloudDialogflowV2beta1EventInput" } }, "id": "GoogleCloudDialogflowV2beta1WebhookResponse", "type": "object" }, "GoogleCloudDialogflowCxV3ListIntentsResponse": { "description": "The response message for Intents.ListIntents.", "id": "GoogleCloudDialogflowCxV3ListIntentsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3Intent" }, "description": "The list of intents. There will be a maximum number of items returned based on the page_size field in the request." } }, "type": "object" }, "GoogleCloudDialogflowCxV3TestCaseError": { "type": "object", "id": "GoogleCloudDialogflowCxV3TestCaseError", "properties": { "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test case." }, "testCase": { "$ref": "GoogleCloudDialogflowCxV3TestCase", "description": "The test case." } }, "description": "Error info for importing a test." }, "GoogleCloudDialogflowCxV3VoiceSelectionParams": { "properties": { "name": { "type": "string", "description": "Optional. The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and ssml_gender. For the list of available voices, please refer to [Supported voices and languages](https://cloud.google.com/text-to-speech/docs/voices)." }, "ssmlGender": { "enum": [ "SSML_VOICE_GENDER_UNSPECIFIED", "SSML_VOICE_GENDER_MALE", "SSML_VOICE_GENDER_FEMALE", "SSML_VOICE_GENDER_NEUTRAL" ], "description": "Optional. The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement. If a voice of the appropriate gender is not available, the synthesizer substitutes a voice with a different gender rather than failing the request.", "type": "string", "enumDescriptions": [ "An unspecified gender, which means that the client doesn't care which gender the selected voice will have.", "A male voice.", "A female voice.", "A gender-neutral voice." ] } }, "type": "object", "description": "Description of which voice to use for speech synthesis.", "id": "GoogleCloudDialogflowCxV3VoiceSelectionParams" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion": { "description": "Rich Business Messaging (RBM) suggestion. Suggestions allow user to easily select/click a predefined response or perform an action (like opening a web uri).", "type": "object", "properties": { "reply": { "description": "Predefined replies for user to select instead of typing", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply" }, "action": { "description": "Predefined client side actions that user can choose", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrase": { "properties": { "name": { "description": "Output only. The unique identifier of this training phrase.", "type": "string" }, "parts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart" }, "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set." }, "type": { "type": "string", "description": "Required. The type of the training phrase.", "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ], "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Note: Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases in template mode, they will be removed during training and it can cause a drop in agent performance." ] }, "timesAddedCount": { "type": "integer", "format": "int32", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase", "description": "Represents an example that the agent is trained on." }, "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata": { "type": "object", "properties": { "testErrors": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "type": "array", "description": "Errors of running deployment tests." } }, "id": "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata", "description": "Metadata returned for the Environments.DeployFlow long running operation." }, "GoogleCloudDialogflowV2ConversationEvent": { "properties": { "errorStatus": { "description": "More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.", "$ref": "GoogleRpcStatus" }, "conversation": { "description": "The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ], "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ], "description": "The type of the event that this notification refers to." }, "newMessagePayload": { "$ref": "GoogleCloudDialogflowV2Message", "description": "Payload of NEW_MESSAGE event." } }, "type": "object", "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events.", "id": "GoogleCloudDialogflowV2ConversationEvent" }, "GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval": { "properties": { "upperBound": { "description": "Upper bound of the interval.", "format": "double", "type": "number" }, "lowerBound": { "format": "double", "type": "number", "description": "Lower bound of the interval." }, "confidenceLevel": { "description": "The confidence level used to construct the interval, i.e. there is X% chance that the true value is within this interval.", "type": "number", "format": "double" }, "ratio": { "description": "The percent change between an experiment metric's value and the value for its control.", "format": "double", "type": "number" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ExperimentResultConfidenceInterval", "description": "A confidence interval is a range of possible values for the experiment objective you are trying to measure." }, "GoogleCloudDialogflowCxV3beta1DeployFlowResponse": { "properties": { "environment": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment", "description": "The updated environment where the flow is deployed." }, "deployment": { "type": "string", "description": "The name of the flow version deployment. Format: `projects//locations//agents// environments//deployments/`." } }, "description": "The response message for Environments.DeployFlow.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1DeployFlowResponse" }, "GoogleCloudDialogflowCxV3RolloutConfigRolloutStep": { "type": "object", "id": "GoogleCloudDialogflowCxV3RolloutConfigRolloutStep", "description": "A single rollout step with specified traffic allocation.", "properties": { "minDuration": { "type": "string", "format": "google-duration", "description": "The minimum time that this step should last. Should be longer than 1 hour. If not set, the default minimum duration for each step will be 1 hour." }, "displayName": { "description": "The name of the rollout step;", "type": "string" }, "trafficPercent": { "format": "int32", "type": "integer", "description": "The percentage of traffic allocated to the flow version of this rollout step. (0%, 100%]." } } }, "GoogleCloudDialogflowCxV3beta1ImportFlowResponse": { "properties": { "flow": { "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`.", "type": "string" } }, "description": "The response message for Flows.ImportFlow.", "id": "GoogleCloudDialogflowCxV3beta1ImportFlowResponse", "type": "object" }, "GoogleCloudDialogflowCxV3Version": { "type": "object", "id": "GoogleCloudDialogflowCxV3Version", "properties": { "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED" ], "enumDescriptions": [ "Not specified. This value is not used.", "Version is not ready to serve (e.g. training is running).", "Training has succeeded and this version is ready to serve.", "Version training failed." ], "type": "string", "description": "Output only. The state of this version. This field is read-only and cannot be set by create and update methods." }, "displayName": { "description": "Required. The human-readable name of the version. Limit of 64 characters.", "type": "string" }, "name": { "type": "string", "description": "Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation." }, "createTime": { "readOnly": true, "description": "Output only. Create time of the version.", "type": "string", "format": "google-datetime" }, "description": { "description": "The description of the version. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "nluSettings": { "description": "Output only. The NLU settings of the flow at version creation.", "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3NluSettings" } }, "description": "Represents a version of a flow." }, "GoogleCloudDialogflowCxV3Deployment": { "id": "GoogleCloudDialogflowCxV3Deployment", "description": "Represents an deployment in an environment. A deployment happens when a flow version configured to be active in the environment. You can configure running pre-deployment steps, e.g. running validation test cases, experiment auto-rollout, etc.", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the deployment. Format: projects//locations//agents//environments//deployments/." }, "flowVersion": { "description": "The name of the flow version for this deployment. Format: projects//locations//agents//flows//versions/.", "type": "string" }, "result": { "description": "Result of the deployment.", "$ref": "GoogleCloudDialogflowCxV3DeploymentResult" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED" ], "description": "The current state of the deployment.", "enumDescriptions": [ "State unspecified.", "The deployment is running.", "The deployment succeeded.", "The deployment failed." ] }, "endTime": { "type": "string", "format": "google-datetime", "description": "End time of this deployment." }, "startTime": { "type": "string", "description": "Start time of this deployment.", "format": "google-datetime" } } }, "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem": { "properties": { "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image to display." }, "info": { "description": "Required. Additional information about this option.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo" }, "description": { "type": "string", "description": "Optional. The main text describing the item." }, "title": { "type": "string", "description": "Required. The title of the list item." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem", "type": "object", "description": "An item in the list." }, "GoogleCloudDialogflowV2IntentParameter": { "description": "Represents intent parameters.", "properties": { "value": { "type": "string", "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`." }, "isList": { "description": "Optional. Indicates whether the parameter represents a list of values.", "type": "boolean" }, "mandatory": { "type": "boolean", "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value." }, "entityTypeDisplayName": { "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.", "type": "string" }, "defaultValue": { "type": "string", "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`." }, "displayName": { "type": "string", "description": "Required. The name of the parameter." }, "prompts": { "type": "array", "items": { "type": "string" }, "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter." }, "name": { "description": "The unique identifier of this parameter.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentParameter" }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem": { "description": "An item in the carousel.", "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem", "type": "object", "properties": { "title": { "type": "string", "description": "Required. Title of the carousel item." }, "info": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo", "description": "Required. Additional info about the option item." }, "description": { "type": "string", "description": "Optional. The body text of the card." }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image to display." } } }, "GoogleCloudDialogflowV2beta1MessageAnnotation": { "description": "Represents the result of annotation for the message.", "type": "object", "id": "GoogleCloudDialogflowV2beta1MessageAnnotation", "properties": { "parts": { "type": "array", "description": "Optional. The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].", "items": { "$ref": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart" } }, "containEntities": { "type": "boolean", "description": "Required. Indicates whether the text message contains entities." } } }, "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo": { "properties": { "state": { "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ], "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.", "type": "string", "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ] }, "displayName": { "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook.", "type": "string" }, "value": { "type": "any", "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value." }, "required": { "type": "boolean", "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." }, "justCollected": { "type": "boolean", "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn." } }, "description": "Represents parameter information.", "type": "object", "id": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo" }, "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse": { "properties": { "warnings": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Includes details about skipped documents or any other warnings." } }, "description": "Response message for Documents.ImportDocuments.", "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse", "type": "object" }, "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata": { "description": "Metadata for a ConversationModels.DeployConversationModel operation.", "id": "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata", "type": "object", "properties": { "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" }, "createTime": { "format": "google-datetime", "description": "Timestamp when request to deploy conversation model was submitted. The time is measured on server side.", "type": "string" } } }, "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage": { "description": "Transition route group coverage represents the percentage of all possible transition routes present within any of a parent's test cases. The results are grouped by the transition route group.", "id": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverage", "properties": { "coverageScore": { "type": "number", "format": "float", "description": "The percent of transition routes in all the transition route groups that are covered." }, "coverages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroupCoverageCoverage" }, "description": "Transition route group coverages." } }, "type": "object" }, "GoogleCloudDialogflowCxV3StartExperimentRequest": { "type": "object", "properties": {}, "id": "GoogleCloudDialogflowCxV3StartExperimentRequest", "description": "The request message for Experiments.StartExperiment." }, "GoogleCloudDialogflowCxV3DetectIntentResponse": { "type": "object", "description": "The message returned from the DetectIntent method.", "properties": { "queryResult": { "description": "The result of the conversational query.", "$ref": "GoogleCloudDialogflowCxV3QueryResult" }, "responseType": { "description": "Response type.", "enumDescriptions": [ "Not specified. This should never happen.", "Partial response. e.g. Aggregated responses in a Fulfillment that enables `return_partial_response` can be returned as partial response. WARNING: partial response is not eligible for barge-in.", "Final response." ], "enum": [ "RESPONSE_TYPE_UNSPECIFIED", "PARTIAL", "FINAL" ], "type": "string" }, "allowCancellation": { "type": "boolean", "description": "Indicates whether the partial response can be cancelled when a later response arrives. e.g. if the agent specified some music as partial response, it can be cancelled." }, "outputAudioConfig": { "description": "The config used by the speech synthesizer to generate the output audio.", "$ref": "GoogleCloudDialogflowCxV3OutputAudioConfig" }, "outputAudio": { "type": "string", "format": "byte", "description": "The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content." }, "responseId": { "description": "Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3DetectIntentResponse" }, "GoogleCloudDialogflowCxV3MatchIntentRequest": { "description": "Request of MatchIntent.", "properties": { "queryInput": { "$ref": "GoogleCloudDialogflowCxV3QueryInput", "description": "Required. The input specification." }, "queryParams": { "$ref": "GoogleCloudDialogflowCxV3QueryParameters", "description": "The parameters of this query." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3MatchIntentRequest" }, "GoogleCloudDialogflowCxV3beta1WebhookResponse": { "properties": { "fulfillmentResponse": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse", "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user." }, "sessionInfo": { "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status.", "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo" }, "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "pageInfo": { "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.", "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo" }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "Value to append directly to QueryResult.webhook_payloads." } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookResponse", "description": "The response message for a webhook call.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig": { "type": "object", "properties": { "genericWebService": { "description": "Generic Service configuration of this webhook.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "service": { "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig", "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata", "description": "Metadata for UpdateDocument operation.", "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleCloudDialogflowV2IntentMessageCardButton": { "description": "Contains information about a button.", "properties": { "postback": { "description": "Optional. The text to send back to the Dialogflow API or a URI to open.", "type": "string" }, "text": { "description": "Optional. The text to show on the button.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageCardButton", "type": "object" }, "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata": { "description": "Metadata for ReloadDocument operation.", "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "id": "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1TestConfig": { "id": "GoogleCloudDialogflowCxV3beta1TestConfig", "description": "Represents configurations for a test case.", "type": "object", "properties": { "trackingParameters": { "items": { "type": "string" }, "type": "array", "description": "Session parameters to be compared when calculating differences." }, "flow": { "type": "string", "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow." }, "page": { "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri", "properties": { "uri": { "description": "Required. The uri to open on the user device", "type": "string" } }, "type": "object", "description": "Opens the user's default web browser app to the specified uri If the user has an app installed that is registered as the default handler for the URL, then this app will be opened instead, and its icon will be used in the suggested action UI." }, "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText": { "properties": { "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true, "type": "boolean" }, "text": { "type": "string", "description": "The raw text to be synthesized." }, "ssml": { "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText", "type": "object", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "GoogleCloudDialogflowCxV3beta1EventInput": { "properties": { "event": { "description": "Name of the event.", "type": "string" } }, "description": "Represents the event to trigger.", "id": "GoogleCloudDialogflowCxV3beta1EventInput", "type": "object" }, "GoogleCloudDialogflowCxV3beta1FormParameter": { "properties": { "defaultValue": { "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored.", "type": "any" }, "fillBehavior": { "$ref": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior", "description": "Required. Defines fill behavior for the parameter." }, "required": { "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" }, "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" }, "displayName": { "description": "Required. The human-readable name of the parameter, unique within the form.", "type": "string" } }, "type": "object", "description": "Represents a form parameter.", "id": "GoogleCloudDialogflowCxV3beta1FormParameter" }, "GoogleCloudDialogflowCxV3ImportFlowRequest": { "description": "The request message for Flows.ImportFlow.", "id": "GoogleCloudDialogflowCxV3ImportFlowRequest", "type": "object", "properties": { "flowUri": { "type": "string", "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import flow from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." }, "importOption": { "enum": [ "IMPORT_OPTION_UNSPECIFIED", "KEEP", "FALLBACK" ], "description": "Flow import mode. If not specified, `KEEP` is assumed.", "type": "string", "enumDescriptions": [ "Unspecified. Treated as `KEEP`.", "Always respect settings in exported flow content. It may cause a import failure if some settings (e.g. custom NLU) are not supported in the agent to import into.", "Fallback to default settings if some settings are not supported in the agent to import into. E.g. Standard NLU will be used if custom NLU is not available." ] }, "flowContent": { "description": "Uncompressed raw byte content for flow.", "type": "string", "format": "byte" } } }, "GoogleCloudDialogflowCxV3RolloutConfig": { "properties": { "failureCondition": { "type": "string", "description": "The conditions that are used to evaluate the failure of a rollout step. If not specified, no rollout steps will fail. E.g. \"containment_rate \u003c 10% OR average_turn_count \u003c 3\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." }, "rolloutCondition": { "description": "The conditions that are used to evaluate the success of a rollout step. If not specified, all rollout steps will proceed to the next one unless failure conditions are met. E.g. \"containment_rate \u003e 60% AND callback_rate \u003c 20%\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).", "type": "string" }, "rolloutSteps": { "items": { "$ref": "GoogleCloudDialogflowCxV3RolloutConfigRolloutStep" }, "description": "Steps to roll out a flow version. Steps should be sorted by percentage in ascending order.", "type": "array" } }, "description": "The configuration for auto rollout.", "id": "GoogleCloudDialogflowCxV3RolloutConfig", "type": "object" }, "GoogleCloudDialogflowCxV3EntityType": { "type": "object", "description": "Entities are extracted from user input and represent parameters that are meaningful to your application. For example, a date range, a proper name such as a geographic location or landmark, and so on. Entities represent actionable data for your application. When you define an entity, you can also include synonyms that all map to that entity. For example, \"soft drink\", \"soda\", \"pop\", and so on. There are three types of entities: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **System** - entities that are defined by the Dialogflow API for common data types such as date, time, currency, and so on. A system entity is represented by the `EntityType` type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Custom** - entities that are defined by you that represent actionable data that is meaningful to your application. For example, you could define a `pizza.sauce` entity for red or white pizza sauce, a `pizza.cheese` entity for the different types of cheese on a pizza, a `pizza.topping` entity for different toppings, and so on. A custom entity is represented by the `EntityType` type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **User** - entities that are built for an individual user such as favorites, preferences, playlists, and so on. A user entity is represented by the SessionEntityType type. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "enableFuzzyExtraction": { "description": "Enables fuzzy entity extraction during classification.", "type": "boolean" }, "name": { "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`.", "type": "string" }, "entities": { "description": "The collection of entity entries associated with the entity type.", "items": { "$ref": "GoogleCloudDialogflowCxV3EntityTypeEntity" }, "type": "array" }, "redact": { "description": "Indicates whether parameters of the entity type should be redacted in log. If redaction is enabled, page parameters and intent parameters referring to the entity type will be replaced by parameter name when logging.", "type": "boolean" }, "autoExpansionMode": { "description": "Indicates whether the entity type can be automatically expanded.", "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ], "type": "string", "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ] }, "displayName": { "description": "Required. The human-readable name of the entity type, unique within the agent.", "type": "string" }, "excludedPhrases": { "description": "Collection of exceptional words and phrases that shouldn't be matched. For example, if you have a size entity type with entry `giant`(an adjective), you might consider adding `giants`(a noun) as an exclusion. If the kind of entity type is `KIND_MAP`, then the phrases specified by entities and excluded phrases should be mutually exclusive.", "items": { "$ref": "GoogleCloudDialogflowCxV3EntityTypeExcludedPhrase" }, "type": "array" }, "kind": { "description": "Required. Indicates the kind of entity type.", "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a canonical value.", "List entity types contain a set of entries that do not map to canonical values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ], "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ], "type": "string" } }, "id": "GoogleCloudDialogflowCxV3EntityType" }, "GoogleCloudDialogflowCxV3FlowValidationResult": { "description": "The response message for Flows.GetFlowValidationResult.", "properties": { "updateTime": { "description": "Last time the flow was validated.", "format": "google-datetime", "type": "string" }, "validationMessages": { "type": "array", "description": "Contains all validation messages.", "items": { "$ref": "GoogleCloudDialogflowCxV3ValidationMessage" } }, "name": { "type": "string", "description": "The unique identifier of the flow validation result. Format: `projects//locations//agents//flows//validationResult`." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3FlowValidationResult" }, "GoogleCloudDialogflowCxV3ImportTestCasesRequest": { "description": "The request message for TestCases.ImportTestCases.", "id": "GoogleCloudDialogflowCxV3ImportTestCasesRequest", "type": "object", "properties": { "gcsUri": { "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import test cases from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" }, "content": { "type": "string", "format": "byte", "description": "Uncompressed raw byte content for test cases." } } }, "GoogleCloudDialogflowV2beta1IntentMessageTableCard": { "description": "Table card for Actions on Google.", "properties": { "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Image which should be displayed on the card." }, "subtitle": { "type": "string", "description": "Optional. Subtitle to the title." }, "columnProperties": { "description": "Optional. Display properties for the columns in this table.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties" } }, "rows": { "description": "Optional. Rows in this table of data.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow" }, "type": "array" }, "title": { "description": "Required. Title of the card.", "type": "string" }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "type": "array", "description": "Optional. List of buttons for the card." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCard" }, "GoogleCloudDialogflowCxV3ListDeploymentsResponse": { "type": "object", "id": "GoogleCloudDialogflowCxV3ListDeploymentsResponse", "description": "The response message for Deployments.ListDeployments.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "deployments": { "description": "The list of deployments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3Deployment" } } } }, "GoogleCloudDialogflowCxV3RunContinuousTestResponse": { "id": "GoogleCloudDialogflowCxV3RunContinuousTestResponse", "properties": { "continuousTestResult": { "$ref": "GoogleCloudDialogflowCxV3ContinuousTestResult", "description": "The result for a continuous test run." } }, "description": "The response message for Environments.RunContinuousTest.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1TestError": { "description": "Error info for running a test.", "id": "GoogleCloudDialogflowCxV3beta1TestError", "type": "object", "properties": { "status": { "description": "The status associated with the test.", "$ref": "GoogleRpcStatus" }, "testTime": { "type": "string", "format": "google-datetime", "description": "The timestamp when the test was completed." }, "testCase": { "type": "string", "description": "The test case resource name." } } }, "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata": { "description": "Metadata associated with the long running operation for Versions.CreateVersion.", "id": "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata", "type": "object", "properties": { "version": { "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`.", "type": "string" } } }, "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata": { "type": "object", "description": "Metadata for ImportDocuments operation.", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "description": "Metadata for DeleteDocument operation.", "id": "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3SynthesizeSpeechConfig": { "id": "GoogleCloudDialogflowCxV3SynthesizeSpeechConfig", "type": "object", "description": "Configuration of how speech should be synthesized.", "properties": { "pitch": { "description": "Optional. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.", "format": "double", "type": "number" }, "effectsProfileId": { "items": { "type": "string" }, "description": "Optional. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given.", "type": "array" }, "volumeGainDb": { "description": "Optional. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. We strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.", "type": "number", "format": "double" }, "voice": { "$ref": "GoogleCloudDialogflowCxV3VoiceSelectionParams", "description": "Optional. The desired voice of the synthesized audio." }, "speakingRate": { "description": "Optional. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values \u003c 0.25 or \u003e 4.0 will return an error.", "type": "number", "format": "double" } } }, "GoogleTypeLatLng": { "properties": { "longitude": { "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double" }, "latitude": { "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "type": "number", "format": "double" } }, "type": "object", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "id": "GoogleTypeLatLng" }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata", "type": "object", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata" } }, "description": "Metadata for ImportDocuments operation." }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata": { "properties": { "errors": { "description": "Errors for failed test cases.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseError" } } }, "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata" }, "GoogleCloudDialogflowV2beta1Sentiment": { "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "type": "object", "properties": { "magnitude": { "format": "float", "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative)." }, "score": { "format": "float", "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment)." } }, "id": "GoogleCloudDialogflowV2beta1Sentiment" }, "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata": { "properties": { "conversationProfile": { "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp whe the request was created. The time is measured on server side." }, "participantRole": { "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "type": "string", "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ] }, "suggestionFeatureType": { "description": "Required. The type of the suggestion feature to remove.", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ] } }, "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.", "id": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata", "type": "object" }, "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata": { "type": "object", "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "id": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata", "properties": { "createTime": { "type": "string", "description": "Timestamp whe the request was created. The time is measured on server side.", "format": "google-datetime" }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" }, "participantRole": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "type": "string" }, "suggestionFeatureType": { "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "type": "string", "description": "Required. The type of the suggestion feature to add or update.", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ] } } }, "GoogleCloudDialogflowV2beta1ExportAgentResponse": { "type": "object", "description": "The response message for Agents.ExportAgent.", "id": "GoogleCloudDialogflowV2beta1ExportAgentResponse", "properties": { "agentUri": { "type": "string", "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`." }, "agentContent": { "description": "Zip compressed raw byte content for agent.", "format": "byte", "type": "string" } } }, "GoogleCloudDialogflowV2ExportOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV2ExportOperationMetadata", "description": "Metadata related to the Export Data Operations (e.g. ExportDocument).", "properties": { "exportedGcsDestination": { "description": "Cloud Storage file path of the exported data.", "$ref": "GoogleCloudDialogflowV2GcsDestination" } } }, "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult": { "description": "Represents the result of sentiment analysis.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult", "properties": { "score": { "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float" }, "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float" } } }, "GoogleCloudDialogflowV2beta1WebhookRequest": { "id": "GoogleCloudDialogflowV2beta1WebhookRequest", "description": "The request message for a webhook call.", "type": "object", "properties": { "session": { "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`,", "type": "string" }, "responseId": { "type": "string", "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`." }, "alternativeQueryResults": { "type": "array", "description": "Alternative query results from KnowledgeService.", "items": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult" } }, "queryResult": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult", "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`." }, "originalDetectIntentRequest": { "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.", "$ref": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest" } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version": "v3", "protocol": "rest", "id": "dialogflow:v3", "resources": { "projects": { "resources": { "operations": { "methods": { "get": { "path": "v3/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}/operations/{operationsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "required": true, "description": "The name of the operation resource.", "location": "path" } } }, "cancel": { "id": "dialogflow.projects.operations.cancel", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v3/projects/{projectsId}/operations/{operationsId}:cancel", "path": "v3/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "httpMethod": "POST", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "list": { "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v3/projects/{projectsId}/operations", "httpMethod": "GET", "path": "v3/{+name}/operations", "parameters": { "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "name": { "location": "path", "description": "The name of the operation's parent resource.", "type": "string", "required": true, "pattern": "^projects/[^/]+$" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "format": "int32", "location": "query" } }, "id": "dialogflow.projects.operations.list" } } }, "locations": { "resources": { "agents": { "resources": { "sessions": { "resources": { "entityTypes": { "methods": { "get": { "path": "v3/{+name}", "description": "Retrieves the specified session entity type.", "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.sessions.entityTypes.get", "httpMethod": "GET", "parameters": { "name": { "type": "string", "description": "Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}" }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "required": true, "description": "Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" } }, "parameterOrder": [ "name" ], "description": "Deletes the specified session entity type.", "id": "dialogflow.projects.locations.agents.sessions.entityTypes.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "path": "v3/{+name}" }, "patch": { "id": "dialogflow.projects.locations.agents.sessions.entityTypes.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "httpMethod": "PATCH", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "path": "v3/{+name}", "parameterOrder": [ "name" ], "description": "Updates the specified session entity type.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "location": "path", "type": "string", "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "required": true }, "updateMask": { "format": "google-fieldmask", "description": "The mask to control which fields get updated.", "type": "string", "location": "query" } } }, "list": { "response": { "$ref": "GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment." }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.sessions.entityTypes.list", "path": "v3/{+parent}/entityTypes", "description": "Returns the list of all session entity types in the specified session.", "httpMethod": "GET" }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "id": "dialogflow.projects.locations.agents.sessions.entityTypes.create", "path": "v3/{+parent}/entityTypes", "httpMethod": "POST", "description": "Creates a session entity type.", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes", "request": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "type": "string", "description": "Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment." } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } }, "methods": { "detectIntent": { "id": "dialogflow.projects.locations.agents.sessions.detectIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3DetectIntentRequest" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:detectIntent", "httpMethod": "POST", "parameterOrder": [ "session" ], "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "path": "v3/{+session}:detectIntent", "response": { "$ref": "GoogleCloudDialogflowCxV3DetectIntentResponse" }, "parameters": { "session": { "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$" } } }, "matchIntent": { "description": "Returns preliminary intent match results, doesn't change the session status.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3MatchIntentRequest" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:matchIntent", "parameterOrder": [ "session" ], "id": "dialogflow.projects.locations.agents.sessions.matchIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3MatchIntentResponse" }, "path": "v3/{+session}:matchIntent", "parameters": { "session": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session)." } } }, "fulfillIntent": { "id": "dialogflow.projects.locations.agents.sessions.fulfillIntent", "parameters": { "session": { "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "type": "string" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3FulfillIntentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "description": "Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined.", "path": "v3/{+session}:fulfillIntent", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:fulfillIntent", "response": { "$ref": "GoogleCloudDialogflowCxV3FulfillIntentResponse" }, "parameterOrder": [ "session" ] } } }, "entityTypes": { "methods": { "get": { "id": "dialogflow.projects.locations.agents.entityTypes.get", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$", "description": "Required. The name of the entity type. Format: `projects//locations//agents//entityTypes/`.", "location": "path" }, "languageCode": { "type": "string", "description": "The language to retrieve the entity type for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query" } }, "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "response": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "description": "Retrieves the specified entity type.", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "description": "Deletes the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "id": "dialogflow.projects.locations.agents.entityTypes.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "force": { "type": "boolean", "location": "query", "description": "This field has no effect for entity type not being used. For entity types that are used by intents or pages: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the referencing resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the entity type, as well as any references to the entity type (i.e. Page parameter of the entity type will be changed to '@sys.any' and intent parameter of the entity type will be removed)." }, "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$", "description": "Required. The name of the entity type to delete. Format: `projects//locations//agents//entityTypes/`." } }, "path": "v3/{+name}", "parameterOrder": [ "name" ] }, "list": { "id": "dialogflow.projects.locations.agents.entityTypes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "format": "int32", "type": "integer" }, "parent": { "description": "Required. The agent to list all entity types for. Format: `projects//locations//agents/`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" }, "languageCode": { "description": "The language to list entity types for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3ListEntityTypesResponse" }, "parameterOrder": [ "parent" ], "description": "Returns the list of all entity types in the specified agent.", "path": "v3/{+parent}/entityTypes", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes" }, "create": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes", "description": "Creates an entity type in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "id": "dialogflow.projects.locations.agents.entityTypes.create", "response": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The agent to create a entity type for. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" }, "languageCode": { "location": "query", "description": "The language of the following fields in `entity_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+parent}/entityTypes", "httpMethod": "POST", "parameterOrder": [ "parent" ] }, "patch": { "parameters": { "updateMask": { "type": "string", "location": "query", "description": "The mask to control which fields get updated.", "format": "google-fieldmask" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`.", "location": "path" }, "languageCode": { "location": "query", "description": "The language of the following fields in `entity_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" } }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "request": { "$ref": "GoogleCloudDialogflowCxV3EntityType" }, "id": "dialogflow.projects.locations.agents.entityTypes.patch", "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "description": "Updates the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "name" ] } } }, "changelogs": { "methods": { "get": { "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the changelog to get. Format: `projects//locations//agents//changelogs/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/changelogs/[^/]+$" } }, "path": "v3/{+name}", "id": "dialogflow.projects.locations.agents.changelogs.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3Changelog" }, "description": "Retrieves the specified Changelog.", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/changelogs/{changelogsId}", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "list": { "path": "v3/{+parent}/changelogs", "description": "Returns the list of Changelogs.", "id": "dialogflow.projects.locations.agents.changelogs.list", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowCxV3ListChangelogsResponse" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/changelogs", "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." }, "parent": { "description": "Required. The agent containing the changelogs. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "location": "path", "type": "string" }, "filter": { "description": "The filter string. Supports filter by user_email, resource, type and create_time. Some examples: 1. By user email: user_email = \"someone@google.com\" 2. By resource name: resource = \"projects/123/locations/global/agents/456/flows/789\" 3. By resource display name: display_name = \"my agent\" 4. By action: action = \"Create\" 5. By type: type = \"flows\" 6. By create time. Currently predicates on `create_time` and `create_time_epoch_seconds` are supported: create_time_epoch_seconds \u003e 1551790877 AND create_time \u003c= 2017-01-15T01:30:15.01Z 7. Combination of above filters: resource = \"projects/123/locations/global/agents/456/flows/789\" AND user_email = \"someone@google.com\" AND create_time \u003c= 2017-01-15T01:30:15.01Z", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET" } } }, "webhooks": { "methods": { "get": { "response": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "id": "dialogflow.projects.locations.agents.webhooks.get", "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the webhook. Format: `projects//locations//agents//webhooks/`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$", "type": "string" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "description": "Retrieves the specified webhook.", "httpMethod": "GET" }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$", "description": "Required. The name of the webhook to delete. Format: `projects//locations//agents//webhooks/`.", "location": "path", "required": true, "type": "string" }, "force": { "location": "query", "description": "This field has no effect for webhook not being used. For webhooks that are used by pages/flows/transition route groups: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the referenced resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the webhook, as well as any references to the webhook (i.e. Webhook and tagin fulfillments that point to this webhook will be removed).", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.webhooks.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified webhook.", "parameterOrder": [ "name" ], "path": "v3/{+name}", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "httpMethod": "DELETE" }, "patch": { "httpMethod": "PATCH", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`." }, "updateMask": { "location": "query", "type": "string", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "format": "google-fieldmask" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "parameterOrder": [ "name" ], "path": "v3/{+name}", "description": "Updates the specified webhook.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.webhooks.patch", "response": { "$ref": "GoogleCloudDialogflowCxV3Webhook" } }, "list": { "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks", "parameterOrder": [ "parent" ], "path": "v3/{+parent}/webhooks", "response": { "$ref": "GoogleCloudDialogflowCxV3ListWebhooksResponse" }, "id": "dialogflow.projects.locations.agents.webhooks.list", "description": "Returns the list of all webhooks in the specified agent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer" }, "parent": { "type": "string", "description": "Required. The agent to list all webhooks for. Format: `projects//locations//agents/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path" } } }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "description": "Creates a webhook in the specified agent.", "parameters": { "parent": { "description": "Required. The agent to create a webhook for. Format: `projects//locations//agents/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v3/{+parent}/webhooks", "id": "dialogflow.projects.locations.agents.webhooks.create", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks" } } }, "testCases": { "methods": { "export": { "parameterOrder": [ "parent" ], "path": "v3/{+parent}/testCases:export", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The agent where to export test cases from. Format: `projects//locations//agents/`." } }, "id": "dialogflow.projects.locations.agents.testCases.export", "description": "Exports the test cases under the agent to a Cloud Storage bucket or a local file. Filter can be applied to export a subset of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ExportTestCasesMetadata - `response`: ExportTestCasesResponse", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3ExportTestCasesRequest" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:export", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "batchRun": { "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v3/{+parent}/testCases:batchRun", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Agent name. Format: `projects//locations//agents/ `." } }, "description": "Kicks off a batch run of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: BatchRunTestCasesMetadata - `response`: BatchRunTestCasesResponse", "request": { "$ref": "GoogleCloudDialogflowCxV3BatchRunTestCasesRequest" }, "id": "dialogflow.projects.locations.agents.testCases.batchRun", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:batchRun", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "list": { "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.testCases.list", "httpMethod": "GET", "path": "v3/{+parent}/testCases", "response": { "$ref": "GoogleCloudDialogflowCxV3ListTestCasesResponse" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "view": { "location": "query", "description": "Specifies whether response should include all fields or just the metadata.", "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Include basic metadata about the test case, but not the conversation turns. This is the default value.", "Include everything." ], "type": "string", "enum": [ "TEST_CASE_VIEW_UNSPECIFIED", "BASIC", "FULL" ] }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return in a single page. By default 20. Note that when TestCaseView = FULL, the maximum page size allowed is 20. When TestCaseView = BASIC, the maximum page size allowed is 500." }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "parent": { "description": "Required. The agent to list all pages for. Format: `projects//locations//agents/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "location": "path" } }, "description": "Fetches a list of test cases for a given agent." }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "parameters": { "parent": { "required": true, "description": "Required. The agent to create the test case for. Format: `projects//locations//agents/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path" } }, "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.testCases.create", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases", "description": "Creates a test case for the given agent.", "path": "v3/{+parent}/testCases", "request": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ] }, "patch": { "description": "Updates the specified test case.", "httpMethod": "PATCH", "path": "v3/{+name}", "request": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "id": "dialogflow.projects.locations.agents.testCases.patch", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "parameters": { "name": { "location": "path", "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "type": "string" }, "updateMask": { "description": "Required. The mask to specify which fields should be updated. The `creationTime` and `lastTestResult` cannot be updated.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "batchDelete": { "id": "dialogflow.projects.locations.agents.testCases.batchDelete", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:batchDelete", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Batch deletes test cases.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+parent}/testCases:batchDelete", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3BatchDeleteTestCasesRequest" }, "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to delete test cases from. Format: `projects//locations//agents/`.", "required": true, "location": "path" } } }, "run": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "type": "string", "description": "Required. Format of test case name to run: `projects//locations/ /agents//testCases/`." } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}:run", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}:run", "description": "Kicks off a test case run. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunTestCaseMetadata - `response`: RunTestCaseResponse", "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.testCases.run", "request": { "$ref": "GoogleCloudDialogflowCxV3RunTestCaseRequest" } }, "import": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "description": "Imports the test cases from a Cloud Storage bucket or a local file. It always creates new test cases and won't overwrite any existing ones. The provided ID in the imported test case is neglected. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportTestCasesMetadata - `response`: ImportTestCasesResponse", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The agent to import test cases to. Format: `projects//locations//agents/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.agents.testCases.import", "request": { "$ref": "GoogleCloudDialogflowCxV3ImportTestCasesRequest" }, "httpMethod": "POST", "path": "v3/{+parent}/testCases:import", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:import" }, "calculateCoverage": { "parameters": { "agent": { "location": "path", "description": "Required. The agent to calculate coverage for. Format: `projects//locations//agents/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true }, "type": { "type": "string", "description": "Required. The type of coverage requested.", "enumDescriptions": [ "Should never be used.", "Intent coverage.", "Page transition coverage.", "Transition route group coverage." ], "location": "query", "enum": [ "COVERAGE_TYPE_UNSPECIFIED", "INTENT", "PAGE_TRANSITION", "TRANSITION_ROUTE_GROUP" ] } }, "parameterOrder": [ "agent" ], "path": "v3/{+agent}/testCases:calculateCoverage", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.testCases.calculateCoverage", "description": "Calculates the test coverage for an agent.", "response": { "$ref": "GoogleCloudDialogflowCxV3CalculateCoverageResponse" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:calculateCoverage", "httpMethod": "GET" }, "get": { "parameters": { "name": { "description": "Required. The name of the testcase. Format: `projects//locations//agents//testCases/`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$" } }, "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}", "id": "dialogflow.projects.locations.agents.testCases.get", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3TestCase" }, "path": "v3/{+name}", "description": "Gets a test case.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } }, "resources": { "results": { "methods": { "list": { "parameters": { "parent": { "type": "string", "description": "Required. The test case to list results for. Format: `projects//locations//agents// testCases/`. Specify a `-` as a wildcard for TestCase ID to list results across multiple test cases.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "location": "path", "required": true }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "filter": { "description": "The filter expression used to filter test case results. See [API Filtering](https://aip.dev/160). The expression is case insensitive. Only 'AND' is supported for logical operators. The supported syntax is listed below in detail: [AND ] ... [AND latest] The supported fields and operators are: field operator `environment` `=`, `IN` (Use value `draft` for draft environment) `test_time` `\u003e`, `\u003c` `latest` only returns the latest test result in all results for each test case. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"environment=draft AND latest\" matches the latest test result for each test case in the draft environment. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"environment IN (e1,e2)\" matches any test case results with an environment resource name of either \"e1\" or \"e2\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"test_time \u003e 1602540713\" matches any test case results with test time later than a unix timestamp in seconds 1602540713.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3ListTestCaseResultsResponse" }, "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}/results", "parameterOrder": [ "parent" ], "path": "v3/{+parent}/results", "description": "Fetches a list of results for a given test case.", "id": "dialogflow.projects.locations.agents.testCases.results.list" }, "get": { "description": "Gets a test case result.", "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}/results/{resultsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" }, "parameters": { "name": { "description": "Required. The name of the testcase. Format: `projects//locations//agents//testCases//results/`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+/results/[^/]+$" } }, "path": "v3/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.testCases.results.get" } } } } }, "environments": { "methods": { "lookupEnvironmentHistory": { "httpMethod": "GET", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "name": { "description": "Required. Resource name of the environment to look up the history for. Format: `projects//locations//agents//environments/`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "required": true }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." } }, "path": "v3/{+name}:lookupEnvironmentHistory", "parameterOrder": [ "name" ], "description": "Looks up the history of the specified Environment.", "response": { "$ref": "GoogleCloudDialogflowCxV3LookupEnvironmentHistoryResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:lookupEnvironmentHistory", "id": "dialogflow.projects.locations.agents.environments.lookupEnvironmentHistory" }, "create": { "description": "Creates an Environment in the specified Agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment", "request": { "$ref": "GoogleCloudDialogflowCxV3Environment" }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.environments.create", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "description": "Required. The Agent to create an Environment for. Format: `projects//locations//agents/`.", "required": true } }, "parameterOrder": [ "parent" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments", "path": "v3/{+parent}/environments" }, "list": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The Agent to list all environments for. Format: `projects//locations//agents/`." }, "pageSize": { "location": "query", "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" } }, "path": "v3/{+parent}/environments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "description": "Returns the list of all environments in the specified Agent.", "id": "dialogflow.projects.locations.agents.environments.list", "response": { "$ref": "GoogleCloudDialogflowCxV3ListEnvironmentsResponse" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments" }, "runContinuousTest": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowCxV3RunContinuousTestRequest" }, "httpMethod": "POST", "path": "v3/{+environment}:runContinuousTest", "description": "Kicks off a continuous test under the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunContinuousTestMetadata - `response`: RunContinuousTestResponse", "parameters": { "environment": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "description": "Required. Format: `projects//locations//agents//environments/`.", "type": "string", "location": "path" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:runContinuousTest", "id": "dialogflow.projects.locations.agents.environments.runContinuousTest", "parameterOrder": [ "environment" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3Environment" }, "description": "Updates the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment", "parameters": { "updateMask": { "type": "string", "description": "Required. The mask to control which fields get updated.", "location": "query", "format": "google-fieldmask" }, "name": { "description": "The name of the environment. Format: `projects//locations//agents//environments/`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$" } }, "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agents.environments.patch", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "response": { "$ref": "GoogleLongrunningOperation" } }, "get": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the Environment. Format: `projects//locations//agents//environments/`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "description": "Retrieves the specified Environment.", "id": "dialogflow.projects.locations.agents.environments.get", "response": { "$ref": "GoogleCloudDialogflowCxV3Environment" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "httpMethod": "GET" }, "deployFlow": { "id": "dialogflow.projects.locations.agents.environments.deployFlow", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:deployFlow", "request": { "$ref": "GoogleCloudDialogflowCxV3DeployFlowRequest" }, "httpMethod": "POST", "description": "Deploys a flow to the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: DeployFlowMetadata - `response`: DeployFlowResponse", "path": "v3/{+environment}:deployFlow", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "environment": { "type": "string", "required": true, "description": "Required. The environment to deploy the flow to. Format: `projects//locations//agents// environments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path" } }, "parameterOrder": [ "environment" ], "response": { "$ref": "GoogleLongrunningOperation" } }, "delete": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path", "description": "Required. The name of the Environment to delete. Format: `projects//locations//agents//environments/`.", "type": "string" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "httpMethod": "DELETE", "id": "dialogflow.projects.locations.agents.environments.delete", "parameterOrder": [ "name" ], "description": "Deletes the specified Environment." } }, "resources": { "experiments": { "methods": { "stop": { "response": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "path": "v3/{+name}:stop", "id": "dialogflow.projects.locations.agents.environments.experiments.stop", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3StopExperimentRequest" }, "description": "Stops the specified Experiment. This rpc only changes the state of experiment from RUNNING to DONE.", "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the experiment to stop. Format: `projects//locations//agents//environments//experiments/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "type": "string" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}:stop" }, "start": { "httpMethod": "POST", "path": "v3/{+name}:start", "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.environments.experiments.start", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}:start", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "required": true, "location": "path", "description": "Required. Resource name of the experiment to start. Format: `projects//locations//agents//environments//experiments/`.", "type": "string" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "description": "Starts the specified Experiment. This rpc only changes the state of experiment from PENDING to RUNNING.", "request": { "$ref": "GoogleCloudDialogflowCxV3StartExperimentRequest" } }, "list": { "description": "Returns the list of all experiments in the specified Environment.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path", "type": "string", "description": "Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.", "required": true } }, "response": { "$ref": "GoogleCloudDialogflowCxV3ListExperimentsResponse" }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.environments.experiments.list", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments", "path": "v3/{+parent}/experiments" }, "get": { "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.environments.experiments.get", "path": "v3/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the Environment. Format: `projects//locations//agents//environments//experiments/`." } }, "description": "Retrieves the specified Experiment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}" }, "patch": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}", "request": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "parameters": { "name": { "description": "The name of the experiment. Format: projects//locations//agents//environments//experiments/..", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "required": true, "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Required. The mask to control which fields get updated.", "type": "string" } }, "id": "dialogflow.projects.locations.agents.environments.experiments.patch", "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH", "parameterOrder": [ "name" ], "description": "Updates the specified Experiment.", "response": { "$ref": "GoogleCloudDialogflowCxV3Experiment" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Creates an Experiment in the specified Environment.", "request": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "path": "v3/{+parent}/experiments", "httpMethod": "POST", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments", "parameters": { "parent": { "type": "string", "description": "Required. The Agent to create an Environment for. Format: `projects//locations//agents//environments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowCxV3Experiment" }, "id": "dialogflow.projects.locations.agents.environments.experiments.create" }, "delete": { "description": "Deletes the specified Experiment.", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the Environment to delete. Format: `projects//locations//agents//environments//experiments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v3/{+name}", "id": "dialogflow.projects.locations.agents.environments.experiments.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ] } } }, "sessions": { "resources": { "entityTypes": { "methods": { "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.get", "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "description": "Retrieves the specified session entity type." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3ListSessionEntityTypesResponse" }, "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.list", "path": "v3/{+parent}/entityTypes", "parameterOrder": [ "parent" ], "description": "Returns the list of all session entity types in the specified session.", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes", "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "required": true, "location": "path", "description": "Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "type": "string" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "format": "int32", "location": "query" } } }, "patch": { "path": "v3/{+name}", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "httpMethod": "PATCH", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "The mask to control which fields get updated." }, "name": { "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "type": "string", "required": true, "location": "path" } }, "description": "Updates the specified session entity type.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.patch" }, "create": { "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "location": "path", "required": true, "description": "Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "type": "string" } }, "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.create", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes", "path": "v3/{+parent}/entityTypes", "description": "Creates a session entity type.", "response": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3SessionEntityType" }, "parameterOrder": [ "parent" ] }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "type": "string", "location": "path", "required": true } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "DELETE", "path": "v3/{+name}", "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.delete", "description": "Deletes the specified session entity type." } } } }, "methods": { "matchIntent": { "description": "Returns preliminary intent match results, doesn't change the session status.", "parameterOrder": [ "session" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:matchIntent", "parameters": { "session": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "location": "path", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "required": true, "type": "string" } }, "id": "dialogflow.projects.locations.agents.environments.sessions.matchIntent", "request": { "$ref": "GoogleCloudDialogflowCxV3MatchIntentRequest" }, "path": "v3/{+session}:matchIntent", "response": { "$ref": "GoogleCloudDialogflowCxV3MatchIntentResponse" } }, "detectIntent": { "parameterOrder": [ "session" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "session": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "type": "string", "required": true } }, "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "id": "dialogflow.projects.locations.agents.environments.sessions.detectIntent", "path": "v3/{+session}:detectIntent", "response": { "$ref": "GoogleCloudDialogflowCxV3DetectIntentResponse" }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3DetectIntentRequest" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:detectIntent" }, "fulfillIntent": { "description": "Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined.", "parameterOrder": [ "session" ], "response": { "$ref": "GoogleCloudDialogflowCxV3FulfillIntentResponse" }, "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.environments.sessions.fulfillIntent", "path": "v3/{+session}:fulfillIntent", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:fulfillIntent", "parameters": { "session": { "required": true, "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3FulfillIntentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } }, "continuousTestResults": { "methods": { "list": { "response": { "$ref": "GoogleCloudDialogflowCxV3ListContinuousTestResultsResponse" }, "path": "v3/{+parent}/continuousTestResults", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The environment to list results for. Format: `projects//locations//agents// environments/`." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/continuousTestResults", "description": "Fetches a list of continuous test results for a given environment.", "id": "dialogflow.projects.locations.agents.environments.continuousTestResults.list", "httpMethod": "GET" } } }, "deployments": { "methods": { "get": { "description": "Retrieves the specified Deployment.", "path": "v3/{+name}", "id": "dialogflow.projects.locations.agents.environments.deployments.get", "response": { "$ref": "GoogleCloudDialogflowCxV3Deployment" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/deployments/[^/]+$", "description": "Required. The name of the Deployment. Format: `projects//locations//agents//environments//deployments/`.", "location": "path", "type": "string", "required": true } }, "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/deployments/{deploymentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ] }, "list": { "path": "v3/{+parent}/deployments", "response": { "$ref": "GoogleCloudDialogflowCxV3ListDeploymentsResponse" }, "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/deployments", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "format": "int32", "location": "query" }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all deployments in the specified Environment.", "id": "dialogflow.projects.locations.agents.environments.deployments.list" } } } } }, "intents": { "methods": { "create": { "description": "Creates an intent in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "request": { "$ref": "GoogleCloudDialogflowCxV3Intent" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.intents.create", "parameterOrder": [ "parent" ], "parameters": { "languageCode": { "type": "string", "location": "query", "description": "The language of the following fields in `intent`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to create an intent for. Format: `projects//locations//agents/`.", "type": "string" } }, "httpMethod": "POST", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents", "response": { "$ref": "GoogleCloudDialogflowCxV3Intent" }, "path": "v3/{+parent}/intents" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agents.intents.patch", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3Intent" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated." }, "languageCode": { "description": "The language of the following fields in `intent`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "name": { "type": "string", "location": "path", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$", "required": true } }, "request": { "$ref": "GoogleCloudDialogflowCxV3Intent" } }, "list": { "parameterOrder": [ "parent" ], "path": "v3/{+parent}/intents", "description": "Returns the list of all intents in the specified agent.", "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents", "parameters": { "intentView": { "location": "query", "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_PARTIAL", "INTENT_VIEW_FULL" ], "description": "The resource view to apply to the returned intent.", "enumDescriptions": [ "Not specified. Treated as INTENT_VIEW_FULL.", "Training phrases field is not populated in the response.", "All fields are populated." ], "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "languageCode": { "location": "query", "description": "The language to list intents for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "description": "Required. The agent to list all intents for. Format: `projects//locations//agents/`.", "type": "string", "required": true } }, "response": { "$ref": "GoogleCloudDialogflowCxV3ListIntentsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.intents.list" }, "get": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "description": "Retrieves the specified intent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.intents.get", "parameters": { "languageCode": { "description": "The language to retrieve the intent for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" }, "name": { "description": "Required. The name of the intent. Format: `projects//locations//agents//intents/`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3Intent" }, "httpMethod": "GET", "path": "v3/{+name}", "parameterOrder": [ "name" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.intents.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "description": "Deletes the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "DELETE", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The name of the intent to delete. Format: `projects//locations//agents//intents/`." } }, "parameterOrder": [ "name" ], "path": "v3/{+name}" } } }, "flows": { "methods": { "delete": { "parameters": { "name": { "description": "Required. The name of the flow to delete. Format: `projects//locations//agents//flows/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "type": "string" }, "force": { "location": "query", "description": "This field has no effect for flows with no incoming transitions. For flows with incoming transitions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the incoming transitions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the flow, as well as any transitions to the flow (i.e. Target flow in event handlers or Target flow in transition routes that point to this flow will be cleared).", "type": "boolean" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "id": "dialogflow.projects.locations.agents.flows.delete", "path": "v3/{+name}", "httpMethod": "DELETE", "description": "Deletes a specified flow.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ] }, "get": { "description": "Retrieves the specified flow.", "id": "dialogflow.projects.locations.agents.flows.get", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3Flow" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. The name of the flow to get. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "languageCode": { "location": "query", "type": "string", "description": "The language to retrieve the flow for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "httpMethod": "GET" }, "getValidationResult": { "path": "v3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/validationResult", "description": "Gets the latest flow validation result. Flow validation is performed when ValidateFlow is called.", "response": { "$ref": "GoogleCloudDialogflowCxV3FlowValidationResult" }, "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.flows.getValidationResult", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/validationResult$", "description": "Required. The flow name. Format: `projects//locations//agents//flows//validationResult`.", "required": true }, "languageCode": { "description": "If not specified, the agent's default language is used.", "type": "string", "location": "query" } }, "parameterOrder": [ "name" ] }, "patch": { "description": "Updates the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "httpMethod": "PATCH", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "id": "dialogflow.projects.locations.agents.flows.patch", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3Flow" }, "request": { "$ref": "GoogleCloudDialogflowCxV3Flow" }, "parameters": { "languageCode": { "description": "The language of the following fields in `flow`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" }, "name": { "description": "The unique identifier of the flow. Format: `projects//locations//agents//flows/`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated." } } }, "export": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "description": "Required. The name of the flow to export. Format: `projects//locations//agents//flows/`.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "path": "v3/{+name}:export", "id": "dialogflow.projects.locations.agents.flows.export", "description": "Exports the specified flow to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportFlowResponse Note that resources (e.g. intents, entities, webhooks) that the flow references will also be exported.", "request": { "$ref": "GoogleCloudDialogflowCxV3ExportFlowRequest" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:export" }, "import": { "request": { "$ref": "GoogleCloudDialogflowCxV3ImportFlowRequest" }, "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The agent to import the flow into. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.agents.flows.import", "description": "Imports the specified flow to the specified agent from a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ImportFlowResponse Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows:import", "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v3/{+parent}/flows:import" }, "list": { "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" }, "languageCode": { "description": "The language to list flows for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "parent": { "type": "string", "description": "Required. The agent containing the flows. Format: `projects//locations//agents/`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" } }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.flows.list", "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows", "path": "v3/{+parent}/flows", "response": { "$ref": "GoogleCloudDialogflowCxV3ListFlowsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all flows in the specified agent." }, "create": { "path": "v3/{+parent}/flows", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowCxV3Flow" }, "parameters": { "languageCode": { "type": "string", "description": "The language of the following fields in `flow`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to create a flow for. Format: `projects//locations//agents/`.", "location": "path", "type": "string", "required": true } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows", "description": "Creates a flow in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.flows.create", "httpMethod": "POST", "response": { "$ref": "GoogleCloudDialogflowCxV3Flow" } }, "validate": { "id": "dialogflow.projects.locations.agents.flows.validate", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "description": "Required. The flow to validate. Format: `projects//locations//agents//flows/`.", "type": "string", "location": "path", "required": true } }, "description": "Validates the specified flow and creates or updates validation results. Please call this API after the training is completed to get the complete validation results.", "path": "v3/{+name}:validate", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3FlowValidationResult" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:validate", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3ValidateFlowRequest" } }, "train": { "path": "v3/{+name}:train", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:train", "id": "dialogflow.projects.locations.agents.flows.train", "description": "Trains the specified flow. Note that only the flow in 'draft' environment is trained. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3TrainFlowRequest" }, "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. The flow to train. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path" } } } }, "resources": { "pages": { "methods": { "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "id": "dialogflow.projects.locations.agents.flows.pages.delete", "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The name of the page to delete. Format: `projects//locations//agents//Flows//pages/`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$" }, "force": { "description": "This field has no effect for pages with no incoming transitions. For pages with incoming transitions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the incoming transitions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the page, as well as any transitions to the page (i.e. Target page in event handlers or Target page in transition routes that point to this page will be cleared).", "location": "query", "type": "boolean" } }, "description": "Deletes the specified page. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training)." }, "list": { "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.flows.pages.list", "parameters": { "pageSize": { "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "description": "Required. The flow to list all pages for. Format: `projects//locations//agents//flows/`.", "type": "string" }, "languageCode": { "type": "string", "location": "query", "description": "The language to list pages for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages", "path": "v3/{+parent}/pages", "response": { "$ref": "GoogleCloudDialogflowCxV3ListPagesResponse" }, "parameterOrder": [ "parent" ], "description": "Returns the list of all pages in the specified flow." }, "patch": { "response": { "$ref": "GoogleCloudDialogflowCxV3Page" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agents.flows.pages.patch", "path": "v3/{+name}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$", "type": "string", "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.", "location": "path" }, "updateMask": { "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "format": "google-fieldmask", "type": "string", "location": "query" }, "languageCode": { "description": "The language of the following fields in `page`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" } }, "description": "Updates the specified page. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "request": { "$ref": "GoogleCloudDialogflowCxV3Page" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3Page" }, "id": "dialogflow.projects.locations.agents.flows.pages.create", "path": "v3/{+parent}/pages", "response": { "$ref": "GoogleCloudDialogflowCxV3Page" }, "description": "Creates a page in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages", "parameters": { "parent": { "description": "Required. The flow to create a page for. Format: `projects//locations//agents//flows/`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `page`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "httpMethod": "POST", "parameterOrder": [ "parent" ] }, "get": { "httpMethod": "GET", "path": "v3/{+name}", "parameters": { "languageCode": { "type": "string", "description": "The language to retrieve the page for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$", "description": "Required. The name of the page. Format: `projects//locations//agents//flows//pages/`.", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3Page" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.pages.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "description": "Retrieves the specified page." } } }, "versions": { "methods": { "compareVersions": { "id": "dialogflow.projects.locations.agents.flows.versions.compareVersions", "parameterOrder": [ "baseVersion" ], "description": "Compares the specified base version with target version.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameters": { "baseVersion": { "required": true, "type": "string", "location": "path", "description": "Required. Name of the base flow version to compare with the target version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents/ /flows//versions/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$" } }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}:compareVersions", "request": { "$ref": "GoogleCloudDialogflowCxV3CompareVersionsRequest" }, "path": "v3/{+baseVersion}:compareVersions", "response": { "$ref": "GoogleCloudDialogflowCxV3CompareVersionsResponse" } }, "list": { "id": "dialogflow.projects.locations.agents.flows.versions.list", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The Flow to list all versions for. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "type": "integer" } }, "description": "Returns the list of all versions in the specified Flow.", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions", "path": "v3/{+parent}/versions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3ListVersionsResponse" } }, "create": { "id": "dialogflow.projects.locations.agents.flows.versions.create", "parameterOrder": [ "parent" ], "path": "v3/{+parent}/versions", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "description": "Required. The Flow to create an Version for. Format: `projects//locations//agents//flows/`.", "location": "path", "type": "string", "required": true } }, "description": "Creates a Version in the specified Flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateVersionOperationMetadata - `response`: Version", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions", "request": { "$ref": "GoogleCloudDialogflowCxV3Version" }, "response": { "$ref": "GoogleLongrunningOperation" } }, "load": { "description": "Loads resources in the specified version to the draft flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}:load", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3LoadVersionRequest" }, "path": "v3/{+name}:load", "parameterOrder": [ "name" ], "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "required": true, "location": "path", "description": "Required. The Version to be loaded to draft flow. Format: `projects//locations//agents//flows//versions/`.", "type": "string" } }, "id": "dialogflow.projects.locations.agents.flows.versions.load" }, "get": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "location": "path", "description": "Required. The name of the Version. Format: `projects//locations//agents//flows//versions/`.", "required": true } }, "response": { "$ref": "GoogleCloudDialogflowCxV3Version" }, "description": "Retrieves the specified Version.", "httpMethod": "GET", "path": "v3/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "id": "dialogflow.projects.locations.agents.flows.versions.get" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. The mask to control which fields get updated. Currently only `description` and `display_name` can be updated." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "type": "string", "description": "Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation.", "required": true, "location": "path" } }, "description": "Updates the specified Version.", "path": "v3/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3Version" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3Version" }, "id": "dialogflow.projects.locations.agents.flows.versions.patch" }, "delete": { "parameters": { "name": { "description": "Required. The name of the Version to delete. Format: `projects//locations//agents//flows//versions/`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$" } }, "path": "v3/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.flows.versions.delete", "description": "Deletes the specified Version.", "httpMethod": "DELETE" } } }, "transitionRouteGroups": { "methods": { "get": { "description": "Retrieves the specified TransitionRouteGroup.", "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "location": "path", "description": "Required. The name of the TransitionRouteGroup. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "type": "string" }, "languageCode": { "type": "string", "location": "query", "description": "The language to retrieve the transition route group for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "path": "v3/{+name}" }, "delete": { "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.delete", "description": "Deletes the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "DELETE", "path": "v3/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "description": "Required. The name of the TransitionRouteGroup to delete. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "location": "path", "required": true }, "force": { "location": "query", "type": "boolean", "description": "This field has no effect for transition route group that no page is using. If the transition route group is referenced by any page: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating pages that reference the transition route group. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the transition route group, as well as any reference to it." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}" }, "list": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "languageCode": { "description": "The language to list transition route groups for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "parent": { "description": "Required. The flow to list all transition route groups for. Format: `projects//locations//agents//flows/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+parent}/transitionRouteGroups", "response": { "$ref": "GoogleCloudDialogflowCxV3ListTransitionRouteGroupsResponse" }, "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.list", "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Returns the list of all transition route groups in the specified flow." }, "create": { "request": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "httpMethod": "POST", "description": "Creates an TransitionRouteGroup in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "parent" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups", "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.create", "parameters": { "parent": { "type": "string", "description": "Required. The flow to create an TransitionRouteGroup for. Format: `projects//locations//agents//flows/`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `TransitionRouteGroup`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "path": "v3/{+parent}/transitionRouteGroups", "response": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3/{+name}", "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.patch", "response": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}", "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudDialogflowCxV3TransitionRouteGroup" }, "parameters": { "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `TransitionRouteGroup`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." }, "updateMask": { "format": "google-fieldmask", "description": "The mask to control which fields get updated.", "type": "string", "location": "query" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "description": "The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "location": "path" } }, "description": "Updates the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training)." } } } } } }, "methods": { "list": { "path": "v3/{+parent}/agents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents", "parameters": { "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The location to list all agents for. Format: `projects//locations/`.", "location": "path" } }, "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.list", "description": "Returns the list of all agents in the specified location.", "response": { "$ref": "GoogleCloudDialogflowCxV3ListAgentsResponse" }, "parameterOrder": [ "parent" ] }, "get": { "parameters": { "name": { "location": "path", "description": "Required. The name of the agent. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "required": true } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "description": "Retrieves the specified agent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}", "id": "dialogflow.projects.locations.agents.get" }, "patch": { "description": "Updates the specified agent. Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "PATCH", "path": "v3/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "description": "The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`." }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated." } }, "request": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.patch", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}" }, "restore": { "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.restore", "description": "Restores the specified agent from a binary file. Replaces the current agent with a new one. Note that all existing resources in agent (e.g. intents, entity types, flows) will be removed. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the agent to restore into. Format: `projects//locations//agents/`." } }, "path": "v3/{+name}:restore", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:restore", "request": { "$ref": "GoogleCloudDialogflowCxV3RestoreAgentRequest" } }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "path": "v3/{+name}", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the agent to delete. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" } }, "id": "dialogflow.projects.locations.agents.delete", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}", "description": "Deletes the specified agent.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "validate": { "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.validate", "path": "v3/{+name}:validate", "request": { "$ref": "GoogleCloudDialogflowCxV3ValidateAgentRequest" }, "description": "Validates the specified agent and creates or updates validation results. The agent in draft version is validated. Please call this API after the training is completed to get the complete validation results.", "response": { "$ref": "GoogleCloudDialogflowCxV3AgentValidationResult" }, "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:validate", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to validate. Format: `projects//locations//agents/`.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST" }, "getValidationResult": { "path": "v3/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3AgentValidationResult" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "description": "Gets the latest agent validation result. Agent validation is performed when ValidateAgent is called.", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/validationResult", "parameters": { "languageCode": { "description": "If not specified, the agent's default language is used.", "type": "string", "location": "query" }, "name": { "description": "Required. The agent name. Format: `projects//locations//agents//validationResult`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/validationResult$" } }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.getValidationResult" }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "path": "v3/{+parent}/agents", "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.create", "parameterOrder": [ "parent" ], "description": "Creates an agent in the specified location. Note: You should always train flows prior to sending them queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents", "parameters": { "parent": { "description": "Required. The location to create a agent for. Format: `projects//locations/`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3Agent" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "export": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the agent to export. Format: `projects//locations//agents/`." } }, "httpMethod": "POST", "description": "Exports the specified agent to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse", "id": "dialogflow.projects.locations.agents.export", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3ExportAgentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:export", "path": "v3/{+name}:export" } } }, "operations": { "methods": { "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.operations.get", "parameters": { "name": { "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "path": "v3/{+name}", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "list": { "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.operations.list", "path": "v3/{+name}/operations", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "The name of the operation's parent resource.", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" } } }, "cancel": { "httpMethod": "POST", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "dialogflow.projects.locations.operations.cancel", "path": "v3/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path" } }, "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } } }, "securitySettings": { "methods": { "create": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/securitySettings", "id": "dialogflow.projects.locations.securitySettings.create", "httpMethod": "POST", "parameters": { "parent": { "required": true, "type": "string", "location": "path", "description": "Required. The location to create an SecuritySettings for. Format: `projects//locations/`.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "path": "v3/{+parent}/securitySettings", "response": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" }, "description": "Create security settings in the specified location.", "request": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ] }, "patch": { "path": "v3/{+name}", "id": "dialogflow.projects.locations.securitySettings.patch", "description": "Updates the specified SecuritySettings.", "response": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" }, "request": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}", "parameters": { "updateMask": { "description": "Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "type": "string", "required": true, "description": "Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$" } } }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "required": true, "description": "Required. The name of the SecuritySettings to delete. Format: `projects//locations//securitySettings/`.", "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Deletes the specified SecuritySettings.", "id": "dialogflow.projects.locations.securitySettings.delete", "path": "v3/{+name}" }, "get": { "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}", "parameterOrder": [ "name" ], "description": "Retrieves the specified SecuritySettings. The returned settings may be stale by up to 1 minute.", "path": "v3/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3SecuritySettings" }, "id": "dialogflow.projects.locations.securitySettings.get", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$", "description": "Required. Resource name of the settings. Format: `projects//locations//securitySettings/`." } } }, "list": { "id": "dialogflow.projects.locations.securitySettings.list", "flatPath": "v3/projects/{projectsId}/locations/{locationsId}/securitySettings", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "path": "v3/{+parent}/securitySettings", "description": "Returns the list of all security settings in the specified location.", "response": { "$ref": "GoogleCloudDialogflowCxV3ListSecuritySettingsResponse" }, "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return in a single page. By default 20 and at most 100." }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from a previous list request." }, "parent": { "description": "Required. The location to list all security settings for. Format: `projects//locations/`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } } } } } }, "methods": { "list": { "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "dialogflow.projects.locations.list", "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "parameters": { "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "required": true, "description": "The resource that owns the locations collection, if applicable." }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query" } }, "path": "v3/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations" }, "get": { "response": { "$ref": "GoogleCloudLocationLocation" }, "path": "v3/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3/projects/{projectsId}/locations/{locationsId}", "id": "dialogflow.projects.locations.get", "httpMethod": "GET", "description": "Gets information about a location.", "parameters": { "name": { "description": "Resource name for the location.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } } } } } } } }, "ownerDomain": "google.com", "revision": "20220706", "documentationLink": "https://cloud.google.com/dialogflow/", "description": "Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).", "kind": "discovery#restDescription", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/dialogflow": { "description": "View, manage and query your Dialogflow agents" } } } }, "servicePath": "", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "baseUrl": "https://dialogflow.googleapis.com/", "name": "dialogflow", "canonicalName": "Dialogflow", "rootUrl": "https://dialogflow.googleapis.com/" }
]===]))
