local decode = require("cjson").new().decode
return assert(decode([===[
{ "servicePath": "", "version": "v3beta1", "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json", "type": "string", "enum": [ "json", "media", "proto" ] }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/dialogflow": { "description": "View, manage and query your Dialogflow agents" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "revision": "20220706", "rootUrl": "https://dialogflow.googleapis.com/", "id": "dialogflow:v3beta1", "version_module": true, "protocol": "rest", "fullyEncodeReservedExpansion": true, "baseUrl": "https://dialogflow.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "description": "Builds conversational interfaces (for example, chatbots, and voice-powered apps and devices).", "batchPath": "batch", "title": "Dialogflow API", "mtlsRootUrl": "https://dialogflow.mtls.googleapis.com/", "schemas": { "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesMetadata", "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation.", "properties": { "errors": { "type": "array", "description": "The test errors.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } } }, "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata": { "id": "GoogleCloudDialogflowV2SetSuggestionFeatureConfigOperationMetadata", "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "type": "object", "properties": { "conversationProfile": { "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`", "type": "string" }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "type": "string", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ] }, "suggestionFeatureType": { "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "description": "Required. The type of the suggestion feature to add or update.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp whe the request was created. The time is measured on server side." } } }, "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess": { "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Custom metadata. Dialogflow doesn't impose any structure on this." } }, "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue.", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess", "type": "object" }, "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup": { "type": "object", "description": "An TransitionRouteGroup represents a group of `TransitionRoutes` to be used by a Page.", "id": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup", "properties": { "displayName": { "type": "string", "description": "Required. The human-readable name of the transition route group, unique within the flow. The display name can be no longer than 30 characters." }, "transitionRoutes": { "description": "Transition routes associated with the TransitionRouteGroup.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" } }, "name": { "description": "The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "type": "string" } } }, "GoogleCloudDialogflowV2EventInput": { "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "type": "object", "id": "GoogleCloudDialogflowV2EventInput", "properties": { "name": { "type": "string", "description": "Required. The unique identifier of the event." }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object" }, "languageCode": { "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1ListFlowsResponse": { "properties": { "flows": { "type": "array", "description": "The list of flows. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "description": "The response message for Flows.ListFlows.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ListFlowsResponse" }, "GoogleCloudDialogflowCxV3beta1RolloutConfigRolloutStep": { "properties": { "trafficPercent": { "type": "integer", "format": "int32", "description": "The percentage of traffic allocated to the flow version of this rollout step. (0%, 100%]." }, "displayName": { "description": "The name of the rollout step;", "type": "string" }, "minDuration": { "type": "string", "description": "The minimum time that this step should last. Should be longer than 1 hour. If not set, the default minimum duration for each step will be 1 hour.", "format": "google-duration" } }, "id": "GoogleCloudDialogflowCxV3beta1RolloutConfigRolloutStep", "description": "A single rollout step with specified traffic allocation.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ListTestCasesResponse": { "properties": { "testCases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" }, "type": "array", "description": "The list of test cases. There will be a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ListTestCasesResponse", "description": "The response message for TestCases.ListTestCases." }, "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig": { "description": "Configuration for the version.", "type": "object", "properties": { "version": { "type": "string", "description": "Required. Format: projects//locations//agents//flows//versions/." } }, "id": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig" }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "description": "Browsing carousel tile", "properties": { "description": { "type": "string", "description": "Optional. Description of the carousel item. Maximum of four lines of text." }, "image": { "description": "Optional. Hero image for the carousel item.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "footer": { "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text.", "type": "string" }, "openUriAction": { "description": "Required. Action to present to the user.", "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" }, "title": { "type": "string", "description": "Required. Title of the carousel item. Maximum of two lines of text." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation": { "properties": {}, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation", "description": "Opens the device's location chooser so the user can pick a location to send back to the agent.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageText": { "type": "object", "properties": { "allowPlaybackInterruption": { "readOnly": true, "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean" }, "text": { "type": "array", "items": { "type": "string" }, "description": "Required. A collection of text responses." } }, "description": "The text response message.", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" }, "GoogleCloudDialogflowV2IntentMessageSimpleResponses": { "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponses", "type": "object", "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`.", "properties": { "simpleResponses": { "description": "Required. The list of simple responses.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponse" } } } }, "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio": { "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio", "properties": { "audioUri": { "type": "string", "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it." }, "allowPlaybackInterruption": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request." } }, "description": "Specifies an audio clip to be played by the client as part of the response." }, "GoogleCloudDialogflowCxV3beta1TransitionCoverage": { "type": "object", "description": "Transition coverage represents the percentage of all possible page transitions (page-level transition routes and event handlers, excluding transition route groups) present within any of a parent's test cases.", "properties": { "coverageScore": { "type": "number", "description": "The percent of transitions in the agent that are covered.", "format": "float" }, "transitions": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransition" }, "description": "The list of Transitions present in the agent." } }, "id": "GoogleCloudDialogflowCxV3beta1TransitionCoverage" }, "GoogleCloudDialogflowCxV3ImportFlowResponse": { "id": "GoogleCloudDialogflowCxV3ImportFlowResponse", "properties": { "flow": { "type": "string", "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`." } }, "description": "The response message for Flows.ImportFlow.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem": { "properties": { "description": { "description": "Optional. The body text of the card.", "type": "string" }, "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. The image to display." }, "title": { "description": "Required. Title of the carousel item.", "type": "string" }, "info": { "description": "Required. Additional info about the option item.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo" } }, "description": "An item in the carousel.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem" }, "GoogleCloudDialogflowCxV3beta1DeployFlowResponse": { "properties": { "deployment": { "type": "string", "description": "The name of the flow version deployment. Format: `projects//locations//agents// environments//deployments/`." }, "environment": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment", "description": "The updated environment where the flow is deployed." } }, "id": "GoogleCloudDialogflowCxV3beta1DeployFlowResponse", "description": "The response message for Environments.DeployFlow.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject": { "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject", "description": "Response media object for media content card.", "type": "object", "properties": { "largeImage": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Image to display above media content." }, "contentUrl": { "description": "Required. Url where the media is stored.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of media card." }, "name": { "type": "string", "description": "Required. Name of media card." }, "icon": { "description": "Optional. Icon to display above media content.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" } } }, "GoogleCloudDialogflowCxV3beta1TestCaseError": { "id": "GoogleCloudDialogflowCxV3beta1TestCaseError", "description": "Error info for importing a test.", "type": "object", "properties": { "testCase": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase", "description": "The test case." }, "status": { "description": "The status associated with the test case.", "$ref": "GoogleRpcStatus" } } }, "GoogleCloudDialogflowCxV3beta1ListAgentsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "agents": { "description": "The list of agents. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" }, "type": "array" } }, "description": "The response message for Agents.ListAgents.", "id": "GoogleCloudDialogflowCxV3beta1ListAgentsResponse" }, "GoogleCloudDialogflowV2KnowledgeOperationMetadata": { "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "id": "GoogleCloudDialogflowV2KnowledgeOperationMetadata", "properties": { "state": { "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "type": "string", "readOnly": true, "description": "Output only. The current state of this operation." }, "exportOperationMetadata": { "$ref": "GoogleCloudDialogflowV2ExportOperationMetadata", "description": "Metadata for the Export Data Operation such as the destination of export." }, "knowledgeBase": { "description": "The name of the knowledge base interacted with during the operation.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3CreateVersionOperationMetadata", "description": "Metadata associated with the long running operation for Versions.CreateVersion.", "properties": { "version": { "type": "string", "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`." } } }, "GoogleCloudDialogflowCxV3Webhook": { "type": "object", "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "properties": { "displayName": { "type": "string", "description": "Required. The human-readable name of the webhook, unique within the agent." }, "disabled": { "type": "boolean", "description": "Indicates whether the webhook is disabled." }, "serviceDirectory": { "$ref": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig", "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Configuration for a generic web service." }, "name": { "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "timeout": { "format": "google-duration", "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3Webhook" }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard": { "properties": { "items": { "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItem" } }, "imageDisplayOptions": { "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ], "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "type": "string", "description": "Optional. Settings for displaying the image. Applies to every image in items." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard", "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel" }, "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies": { "id": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies", "description": "The quick replies response message.", "properties": { "quickReplies": { "items": { "type": "string" }, "description": "Optional. The collection of quick replies.", "type": "array" }, "title": { "type": "string", "description": "Optional. The title of the collection of quick replies." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1RolloutConfig": { "description": "The configuration for auto rollout.", "type": "object", "properties": { "rolloutCondition": { "description": "The conditions that are used to evaluate the success of a rollout step. If not specified, all rollout steps will proceed to the next one unless failure conditions are met. E.g. \"containment_rate \u003e 60% AND callback_rate \u003c 20%\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).", "type": "string" }, "rolloutSteps": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1RolloutConfigRolloutStep" }, "type": "array", "description": "Steps to roll out a flow version. Steps should be sorted by percentage in ascending order." }, "failureCondition": { "description": "The conditions that are used to evaluate the failure of a rollout step. If not specified, no rollout steps will fail. E.g. \"containment_rate \u003c 10% OR average_turn_count \u003c 3\". See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1RolloutConfig" }, "GoogleCloudDialogflowCxV3TransitionRoute": { "properties": { "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "intent": { "type": "string", "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "condition": { "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled.", "type": "string" }, "name": { "type": "string", "description": "Output only. The unique identifier of this transition route.", "readOnly": true }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first." } }, "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3TransitionRoute", "type": "object" }, "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "properties": { "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "readOnly": true, "description": "Required. Output only. The current state of this operation." } }, "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations." }, "GoogleCloudDialogflowCxV3beta1ListEnvironmentsResponse": { "description": "The response message for Environments.ListEnvironments.", "properties": { "environments": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "type": "array", "description": "The list of environments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ListEnvironmentsResponse", "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata": { "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestMetadata", "description": "Metadata returned for the Environments.RunContinuousTest long running operation.", "properties": { "errors": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "description": "The test errors.", "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment": { "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment", "type": "object", "description": "Represents one segment of audio.", "properties": { "allowPlaybackInterruption": { "type": "boolean", "readOnly": true, "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request." }, "audio": { "type": "string", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request.", "format": "byte" }, "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it." } } }, "GoogleCloudDialogflowCxV3beta1CompareVersionsRequest": { "properties": { "languageCode": { "description": "The language to compare the flow versions for. If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" }, "targetVersion": { "description": "Required. Name of the target flow version to compare with the base version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents//flows//versions/`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1CompareVersionsRequest", "description": "The request message for Versions.CompareVersions." }, "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata": { "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } }, "description": "Metadata for UpdateDocument operation.", "id": "GoogleCloudDialogflowV3alpha1UpdateDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata": { "properties": { "errors": { "description": "Errors for failed test cases.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseError" }, "type": "array" } }, "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction": { "id": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction", "description": "Setting a parameter value.", "properties": { "value": { "description": "The new value of the parameter. A null value clears the parameter.", "type": "any" }, "parameter": { "type": "string", "description": "Display name of the parameter." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput": { "properties": { "injectedParameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Parameters that need to be injected into the conversation during intent detection.", "type": "object" }, "isWebhookEnabled": { "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.", "type": "boolean" }, "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" }, "input": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryInput", "description": "Supports text input, event input, dtmf input in the test case." } }, "description": "The input from the human user.", "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput", "type": "object" }, "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest": { "properties": { "source": { "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.", "type": "string" }, "version": { "type": "string", "description": "Optional. The version of the protocol used for this request. This field is AoG-specific." }, "payload": { "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } }, "type": "object", "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call.", "id": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest" }, "GoogleCloudDialogflowCxV3beta1ExperimentResult": { "properties": { "lastUpdateTime": { "format": "google-datetime", "type": "string", "description": "The last time the experiment's stats data was updated. Will have default value if stats have never been computed for this experiment." }, "versionMetrics": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ExperimentResultVersionMetrics" }, "description": "Version variants and metrics." } }, "id": "GoogleCloudDialogflowCxV3beta1ExperimentResult", "type": "object", "description": "The inference result which includes an objective metric to optimize and the confidence interval." }, "GoogleCloudDialogflowCxV3beta1SecuritySettingsInsightsExportSettings": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1SecuritySettingsInsightsExportSettings", "properties": { "enableInsightsExport": { "description": "If enabled, we will automatically exports conversations to Insights and Insights runs its analyzers.", "type": "boolean" } }, "description": "Settings for exporting conversations to [Insights](https://cloud.google.com/contact-center/insights/docs)." }, "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata": { "type": "object", "description": "Metadata for CreateDocument operation.", "id": "GoogleCloudDialogflowV3alpha1CreateDocumentOperationMetadata", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowCxV3beta1SessionEntityType": { "description": "Session entity types are referred to as **User** entity types and are entities that are built for an individual user such as favorites, preferences, playlists, and so on. You can redefine a session entity type at the session level to extend or replace a custom entity type at the user session level (we refer to the entity types defined at the agent level as \"custom entity types\"). Note: session entity types apply to all queries, regardless of the language. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "name": { "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "type": "string" }, "entityOverrideMode": { "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ], "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "type": "string", "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition." }, "entities": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityTypeEntity" }, "description": "Required. The collection of entities to override or supplement the custom entity type.", "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "GoogleCloudDialogflowV2beta1QueryResult": { "id": "GoogleCloudDialogflowV2beta1QueryResult", "type": "object", "description": "Represents the result of conversational query or event processing.", "properties": { "fulfillmentMessages": { "description": "The collection of rich messages to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" } }, "intentDetectionConfidence": { "type": "number", "format": "float", "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list." }, "action": { "type": "string", "description": "The action name from the matched intent." }, "allRequiredParamsPresent": { "type": "boolean", "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters." }, "outputContexts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query.", "type": "array" }, "diagnosticInfo": { "type": "object", "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "fulfillmentText": { "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred.", "type": "string" }, "queryText": { "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.", "type": "string" }, "sentimentAnalysisResult": { "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request.", "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult" }, "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "webhookPayload": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "cancelsSlotFilling": { "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).", "type": "boolean" }, "intent": { "$ref": "GoogleCloudDialogflowV2beta1Intent", "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`." }, "webhookSource": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.", "type": "string" }, "knowledgeAnswers": { "description": "The result from Knowledge Connector (if any), ordered by decreasing `KnowledgeAnswers.match_confidence`.", "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswers" }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "speechRecognitionConfidence": { "type": "number", "format": "float", "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult." } } }, "GoogleProtobufEmpty": { "id": "GoogleProtobufEmpty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse": { "description": "Represents a fulfillment response to the user.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse", "properties": { "messages": { "description": "The list of rich message responses to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" } }, "mergeBehavior": { "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "type": "string", "description": "Merge behavior for `messages`.", "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ] } } }, "GoogleCloudDialogflowV2beta1AnnotatedMessagePart": { "type": "object", "properties": { "text": { "type": "string", "description": "Required. A part of a message possibly annotated with an entity." }, "formattedValue": { "description": "Optional. The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } ", "type": "any" }, "entityType": { "type": "string", "description": "Optional. The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity." } }, "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.", "id": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart" }, "GoogleCloudDialogflowCxV3RunContinuousTestMetadata": { "properties": { "errors": { "description": "The test errors.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" } } }, "id": "GoogleCloudDialogflowCxV3RunContinuousTestMetadata", "type": "object", "description": "Metadata returned for the Environments.RunContinuousTest long running operation." }, "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion": { "properties": { "destinationName": { "description": "Required. The name of the app or site this chip is linking to.", "type": "string" }, "uri": { "type": "string", "description": "Required. The URI of the app or site to open when the user taps the suggestion chip." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion", "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent." }, "GoogleCloudDialogflowCxV3DeployFlowResponse": { "id": "GoogleCloudDialogflowCxV3DeployFlowResponse", "properties": { "deployment": { "type": "string", "description": "The name of the flow version Deployment. Format: `projects//locations//agents// environments//deployments/`." }, "environment": { "$ref": "GoogleCloudDialogflowCxV3Environment", "description": "The updated environment where the flow is deployed." } }, "type": "object", "description": "The response message for Environments.DeployFlow." }, "GoogleCloudDialogflowV2beta1SuggestionResult": { "id": "GoogleCloudDialogflowV2beta1SuggestionResult", "properties": { "suggestFaqAnswersResponse": { "$ref": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse", "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER." }, "suggestArticlesResponse": { "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.", "$ref": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse" }, "error": { "$ref": "GoogleRpcStatus", "description": "Error status if the request failed." }, "suggestSmartRepliesResponse": { "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY.", "$ref": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse" } }, "type": "object", "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent." }, "GoogleCloudDialogflowCxV3beta1Agent": { "properties": { "timeZone": { "type": "string", "description": "Required. The time zone of the agent from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris." }, "displayName": { "type": "string", "description": "Required. The human-readable name of the agent, unique within the location." }, "description": { "description": "The description of the agent. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "avatarUri": { "description": "The URI of the agent's avatar. Avatars are used throughout the Dialogflow console and in the self-hosted [Web Demo](https://cloud.google.com/dialogflow/docs/integrations/web-demo) integration.", "type": "string" }, "supportedLanguageCodes": { "description": "The list of all languages supported by the agent (except for the `default_language_code`).", "items": { "type": "string" }, "type": "array" }, "speechToTextSettings": { "description": "Speech recognition related settings.", "$ref": "GoogleCloudDialogflowCxV3beta1SpeechToTextSettings" }, "securitySettings": { "description": "Name of the SecuritySettings reference for the agent. Format: `projects//locations//securitySettings/`.", "type": "string" }, "defaultLanguageCode": { "type": "string", "description": "Required. Immutable. The default language of the agent as a language tag. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. This field cannot be set by the Agents.UpdateAgent method." }, "enableSpellCorrection": { "type": "boolean", "description": "Indicates if automatic spell correction is enabled in detect intent requests." }, "startFlow": { "description": "Immutable. Name of the start flow in this agent. A start flow will be automatically created when the agent is created, and can only be deleted by deleting the agent. Format: `projects//locations//agents//flows/`.", "type": "string" }, "name": { "description": "The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`.", "type": "string" }, "locked": { "type": "boolean", "description": "Indicates whether the agent is locked for changes. If the agent is locked, modifications to the agent will be rejected except for RestoreAgent." }, "enableStackdriverLogging": { "description": "Indicates if stackdriver logging is enabled for the agent. Please use agent.advanced_settings instead.", "type": "boolean" }, "advancedSettings": { "$ref": "GoogleCloudDialogflowCxV3beta1AdvancedSettings", "description": "Hierarchical advanced settings for this agent. The settings exposed at the lower level overrides the settings exposed at the higher level." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1Agent", "description": "Agents are best described as Natural Language Understanding (NLU) modules that transform user requests into actionable data. You can include agents in your app, product, or service to determine user intent and respond to the user in a natural way. After you create an agent, you can add Intents, Entity Types, Flows, Fulfillments, Webhooks, and so on to manage the conversation flows.." }, "GoogleCloudDialogflowCxV3beta1ListIntentsResponse": { "description": "The response message for Intents.ListIntents.", "properties": { "intents": { "description": "The list of intents. There will be a maximum number of items returned based on the page_size field in the request.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ListIntentsResponse" }, "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig": { "description": "The configuration for continuous tests.", "properties": { "testCases": { "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`", "items": { "type": "string" }, "type": "array" }, "enableContinuousRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day." }, "enablePredeploymentRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig", "type": "object" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent": { "type": "object", "description": "The list of messages or conditional cases to activate for this case.", "properties": { "message": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage", "description": "Returned message." }, "additionalCases": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases", "description": "Additional cases to be evaluated." } }, "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent" }, "GoogleCloudDialogflowV2beta1Context": { "type": "object", "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "id": "GoogleCloudDialogflowV2beta1Context", "properties": { "lifespanCount": { "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.", "type": "integer", "format": "int32" }, "name": { "description": "Required. The unique identifier of the context. Supported formats: - `projects//agent/sessions//contexts/`, - `projects//locations//agent/sessions//contexts/`, - `projects//agent/environments//users//sessions//contexts/`, - `projects//locations//agent/environments//users//sessions//contexts/`, The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "type": "string" }, "parameters": { "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } } }, "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata": { "type": "object", "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.", "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseMetadata", "properties": {} }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction": { "description": "Opens the given URI.", "type": "object", "properties": { "uri": { "description": "Required. The HTTP or HTTPS scheme URI.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction" }, "GoogleCloudDialogflowCxV3beta1ExperimentDefinition": { "properties": { "condition": { "type": "string", "description": "The condition defines which subset of sessions are selected for this experiment. If not specified, all sessions are eligible. E.g. \"query_input.language_code=en\" See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." }, "versionVariants": { "$ref": "GoogleCloudDialogflowCxV3beta1VersionVariants", "description": "The flow versions as the variants of this experiment." } }, "id": "GoogleCloudDialogflowCxV3beta1ExperimentDefinition", "description": "Definition of the experiment.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResourceName": { "type": "object", "description": "Resource name and display name.", "properties": { "displayName": { "type": "string", "description": "Display name." }, "name": { "type": "string", "description": "Name." } }, "id": "GoogleCloudDialogflowCxV3beta1ResourceName" }, "GoogleCloudDialogflowCxV3beta1ValidateAgentRequest": { "id": "GoogleCloudDialogflowCxV3beta1ValidateAgentRequest", "description": "The request message for Agents.ValidateAgent.", "properties": { "languageCode": { "description": "If not specified, the agent's default language is used.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3Fulfillment": { "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both.", "properties": { "setParameterActions": { "description": "Set parameter values before executing the webhook.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction" }, "type": "array" }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user." }, "conditionalCases": { "description": "Conditional cases for this fulfillment.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases" }, "type": "array" }, "tag": { "type": "string", "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified." }, "returnPartialResponses": { "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks.", "type": "boolean" }, "webhook": { "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3Fulfillment" }, "GoogleCloudDialogflowV2IntentMessageText": { "description": "The text response message.", "properties": { "text": { "type": "array", "items": { "type": "string" }, "description": "Optional. The collection of the agent's responses." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageText" }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesResponse", "type": "object", "description": "The response message for TestCases.BatchRunTestCases.", "properties": { "results": { "description": "The test case results. The detailed conversation turns are empty in this response.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "type": "array" } } }, "GoogleCloudDialogflowCxV3beta1ListTestCaseResultsResponse": { "type": "object", "properties": { "testCaseResults": { "description": "The list of test case results.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ListTestCaseResultsResponse", "description": "The response message for TestCases.ListTestCaseResults." }, "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse": { "description": "Represents a fulfillment response to the user.", "properties": { "messages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "description": "The list of rich message responses to present to the user." }, "mergeBehavior": { "enumDescriptions": [ "Not specified. `APPEND` will be used.", "`messages` will be appended to the list of messages waiting to be sent to the user.", "`messages` will replace the list of messages waiting to be sent to the user." ], "description": "Merge behavior for `messages`.", "enum": [ "MERGE_BEHAVIOR_UNSPECIFIED", "APPEND", "REPLACE" ], "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer": { "properties": { "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//knowledgeBases//documents/`.", "type": "string" }, "answer": { "type": "string", "description": "The piece of text from the `source` knowledge base document that answers this conversational query." }, "matchConfidenceLevel": { "enum": [ "MATCH_CONFIDENCE_LEVEL_UNSPECIFIED", "LOW", "MEDIUM", "HIGH" ], "enumDescriptions": [ "Not specified.", "Indicates that the confidence is low.", "Indicates our confidence is medium.", "Indicates our confidence is high." ], "type": "string", "description": "The system's confidence level that this knowledge answer is a good match for this conversational query. NOTE: The confidence level for a given `` pair may change without notice, as it depends on models that are constantly being improved. However, it will change less frequently than the confidence score below, and should be preferred for referencing the quality of an answer." }, "matchConfidence": { "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query. The range is from 0.0 (completely uncertain) to 1.0 (completely certain). Note: The confidence score is likely to vary somewhat (possibly even for identical requests), as the underlying model is under constant improvement. It may be deprecated in the future. We recommend using `match_confidence_level` which should be generally more stable.", "type": "number", "format": "float" }, "faqQuestion": { "type": "string", "description": "The corresponding FAQ question if the answer was extracted from a FAQ Document, empty otherwise." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer", "description": "An answer from Knowledge Connector." }, "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse": { "properties": { "results": { "type": "array", "description": "The test case results. The detailed conversation turns are empty in this response.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" } } }, "id": "GoogleCloudDialogflowCxV3BatchRunTestCasesResponse", "description": "The response message for TestCases.BatchRunTestCases.", "type": "object" }, "GoogleCloudDialogflowCxV3QueryInput": { "type": "object", "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. ", "properties": { "dtmf": { "$ref": "GoogleCloudDialogflowCxV3DtmfInput", "description": "The DTMF event to be handled." }, "audio": { "$ref": "GoogleCloudDialogflowCxV3AudioInput", "description": "The natural language speech audio to be processed." }, "text": { "description": "The natural language text to be processed.", "$ref": "GoogleCloudDialogflowCxV3TextInput" }, "event": { "description": "The event to be triggered.", "$ref": "GoogleCloudDialogflowCxV3EventInput" }, "intent": { "description": "The intent to be triggered.", "$ref": "GoogleCloudDialogflowCxV3IntentInput" }, "languageCode": { "type": "string", "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language." } }, "id": "GoogleCloudDialogflowCxV3QueryInput" }, "GoogleCloudDialogflowCxV3RunTestCaseMetadata": { "properties": {}, "description": "Metadata returned for the TestCases.RunTestCase long running operation. This message currently has no fields.", "id": "GoogleCloudDialogflowCxV3RunTestCaseMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse": { "properties": { "result": { "description": "The result.", "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" } }, "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseResponse", "type": "object", "description": "The response message for TestCases.RunTestCase." }, "GoogleCloudDialogflowCxV3beta1RolloutState": { "type": "object", "properties": { "step": { "description": "Display name of the current auto rollout step.", "type": "string" }, "startTime": { "description": "Start time of the current step.", "format": "google-datetime", "type": "string" }, "stepIndex": { "description": "Index of the current step in the auto rollout steps list.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDialogflowCxV3beta1RolloutState", "description": "State of the auto-rollout process." }, "GoogleCloudDialogflowV2AnnotatedMessagePart": { "id": "GoogleCloudDialogflowV2AnnotatedMessagePart", "properties": { "entityType": { "type": "string", "description": "The [Dialogflow system entity type](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. If this is empty, Dialogflow could not annotate the phrase part with a system entity." }, "text": { "type": "string", "description": "A part of a message possibly annotated with an entity." }, "formattedValue": { "description": "The [Dialogflow system entity formatted value ](https://cloud.google.com/dialogflow/docs/reference/system-entities) of this message part. For example for a system entity of type `@sys.unit-currency`, this may contain: { \"amount\": 5, \"currency\": \"USD\" } ", "type": "any" } }, "description": "Represents a part of a message possibly annotated with an entity. The part can be an entity or purely a part of the message between two entities or message start/end.", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageCard": { "type": "object", "properties": { "title": { "description": "Optional. The title of the card.", "type": "string" }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "buttons": { "description": "Optional. The collection of card buttons.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCardButton" }, "type": "array" }, "imageUri": { "description": "Optional. The public URI to an image file for the card.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageCard", "description": "The card response message." }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCases": { "properties": { "cases": { "type": "array", "description": "A list of cascading if-else conditions.", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase" } } }, "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored.", "type": "object", "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCases" }, "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3UpdateDocumentOperationMetadata", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "description": "Metadata for UpdateDocument operation.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse", "properties": { "textToSpeech": { "type": "string", "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml." }, "displayText": { "description": "Optional. The text to display.", "type": "string" }, "ssml": { "type": "string", "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech." } }, "description": "The simple response message containing speech or text." }, "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput", "description": "The output from the virtual agent.", "properties": { "triggeredIntent": { "description": "The Intent that triggered the response. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "differences": { "readOnly": true, "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestRunDifference" }, "type": "array", "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any." }, "textResponses": { "type": "array", "description": "The text responses from the agent for the turn.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText" } }, "status": { "$ref": "GoogleRpcStatus", "description": "Response error from the agent in the test result. If set, other output is empty." }, "sessionParameters": { "description": "The session parameters available to the bot at this point.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3beta1Page", "description": "The Page on which the utterance was spoken. Only name and displayName will be set." }, "diagnosticInfo": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage.", "type": "object" } } }, "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata": { "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation.", "type": "object", "properties": { "participantRole": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Timestamp whe the request was created. The time is measured on server side." }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" }, "suggestionFeatureType": { "description": "Required. The type of the suggestion feature to remove.", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ] } }, "id": "GoogleCloudDialogflowV2ClearSuggestionFeatureConfigOperationMetadata" }, "GoogleCloudDialogflowV2ArticleAnswer": { "type": "object", "properties": { "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "snippets": { "items": { "type": "string" }, "description": "Article snippets.", "type": "array" }, "metadata": { "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" }, "type": "object" }, "uri": { "description": "The article URI.", "type": "string" }, "confidence": { "type": "number", "description": "Article match confidence. The system's confidence score that this article is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float" }, "title": { "description": "The article title.", "type": "string" } }, "id": "GoogleCloudDialogflowV2ArticleAnswer", "description": "Represents article answer." }, "GoogleCloudDialogflowV2IntentMessage": { "id": "GoogleCloudDialogflowV2IntentMessage", "type": "object", "description": "A rich response message. Corresponds to the intent `Response` field in the Dialogflow console. For more information, see [Rich response messages](https://cloud.google.com/dialogflow/docs/intents-rich-messages).", "properties": { "text": { "description": "The text response.", "$ref": "GoogleCloudDialogflowV2IntentMessageText" }, "quickReplies": { "$ref": "GoogleCloudDialogflowV2IntentMessageQuickReplies", "description": "The quick replies response." }, "payload": { "description": "A custom platform-specific response.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "basicCard": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCard", "description": "The basic card response for Actions on Google." }, "carouselSelect": { "description": "The carousel card response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelect" }, "platform": { "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ], "description": "Optional. The platform that this message is intended for.", "type": "string", "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ] }, "card": { "description": "The card response.", "$ref": "GoogleCloudDialogflowV2IntentMessageCard" }, "suggestions": { "description": "The suggestion chips for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestions" }, "simpleResponses": { "description": "The voice and text-only responses for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageSimpleResponses" }, "listSelect": { "description": "The list card response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageListSelect" }, "mediaContent": { "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContent", "description": "The media content card for Actions on Google." }, "linkOutSuggestion": { "description": "The link out suggestion chip for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion" }, "browseCarouselCard": { "description": "Browse carousel card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCard" }, "image": { "description": "The image response.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "tableCard": { "description": "Table card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2IntentMessageTableCard" } } }, "GoogleCloudDialogflowCxV3RunContinuousTestResponse": { "id": "GoogleCloudDialogflowCxV3RunContinuousTestResponse", "type": "object", "description": "The response message for Environments.RunContinuousTest.", "properties": { "continuousTestResult": { "description": "The result for a continuous test run.", "$ref": "GoogleCloudDialogflowCxV3ContinuousTestResult" } } }, "GoogleCloudDialogflowV2beta1Message": { "properties": { "name": { "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "content": { "type": "string", "description": "Required. The message content." }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time when the message was created in Contact Center AI." }, "sentimentAnalysis": { "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult", "description": "Output only. The sentiment analysis result for the message." }, "sendTime": { "description": "Optional. The time when the message was sent.", "type": "string", "format": "google-datetime" }, "participantRole": { "type": "string", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "readOnly": true, "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Output only. The role of the participant." }, "participant": { "description": "Output only. The participant that sends this message.", "type": "string", "readOnly": true }, "languageCode": { "type": "string", "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "messageAnnotation": { "readOnly": true, "$ref": "GoogleCloudDialogflowV2beta1MessageAnnotation", "description": "Output only. The annotation for the message." } }, "type": "object", "description": "Represents a message posted into a conversation.", "id": "GoogleCloudDialogflowV2beta1Message" }, "GoogleCloudDialogflowCxV3beta1Changelog": { "properties": { "action": { "type": "string", "description": "The action of the change." }, "resource": { "type": "string", "description": "The affected resource name of the change." }, "type": { "type": "string", "description": "The affected resource type." }, "displayName": { "type": "string", "description": "The affected resource display name of the change." }, "createTime": { "description": "The timestamp of the change.", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "The unique identifier of the changelog. Format: `projects//locations//agents//changelogs/`." }, "userEmail": { "type": "string", "description": "Email address of the authenticated user." } }, "id": "GoogleCloudDialogflowCxV3beta1Changelog", "type": "object", "description": "Changelogs represents a change made to a given agent." }, "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior": { "properties": { "repromptEventHandlers": { "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" }, "type": "array" }, "initialPromptFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter." } }, "description": "Configuration for how the filling of a parameter should be handled.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior" }, "GoogleCloudDialogflowV2FaqAnswer": { "properties": { "confidence": { "format": "float", "type": "number", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "answer": { "description": "The piece of text from the `source` knowledge base document.", "type": "string" }, "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "source": { "type": "string", "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`." }, "question": { "description": "The corresponding FAQ question.", "type": "string" }, "metadata": { "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" } } }, "type": "object", "description": "Represents answer from \"frequently asked questions\".", "id": "GoogleCloudDialogflowV2FaqAnswer" }, "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata": { "description": "Metadata returned for the Environments.DeployFlow long running operation.", "properties": { "testErrors": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" }, "description": "Errors of running deployment tests.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1DeployFlowMetadata", "type": "object" }, "GoogleCloudDialogflowV2IntentTrainingPhrasePart": { "properties": { "entityType": { "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase.", "type": "string" }, "text": { "type": "string", "description": "Required. The text for this part." }, "alias": { "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.", "type": "string" }, "userDefined": { "type": "boolean", "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true." } }, "type": "object", "description": "Represents a part of a training phrase.", "id": "GoogleCloudDialogflowV2IntentTrainingPhrasePart" }, "GoogleCloudDialogflowCxV3beta1TestRunDifference": { "type": "object", "description": "The description of differences between original and replayed agent output.", "properties": { "type": { "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ], "type": "string", "description": "The type of diff.", "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ] }, "description": { "description": "A description of the diff, showing the actual output vs expected output.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1TestRunDifference" }, "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem": { "properties": { "description": { "description": "Optional. The body text of the card.", "type": "string" }, "info": { "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "description": "Required. Additional info about the option item." }, "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. The image to display." }, "title": { "description": "Required. Title of the carousel item.", "type": "string" } }, "type": "object", "description": "An item in the carousel.", "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem" }, "GoogleCloudDialogflowV2beta1IntentMessageText": { "properties": { "text": { "items": { "type": "string" }, "description": "Optional. The collection of the agent's responses.", "type": "array" } }, "type": "object", "description": "The text response message.", "id": "GoogleCloudDialogflowV2beta1IntentMessageText" }, "GoogleCloudDialogflowCxV3beta1ValidationMessage": { "properties": { "resources": { "type": "array", "description": "The names of the resources where the message is found.", "items": { "type": "string" } }, "resourceType": { "description": "The type of the resources where the message is found.", "enum": [ "RESOURCE_TYPE_UNSPECIFIED", "AGENT", "INTENT", "INTENT_TRAINING_PHRASE", "INTENT_PARAMETER", "INTENTS", "INTENT_TRAINING_PHRASES", "ENTITY_TYPE", "ENTITY_TYPES", "WEBHOOK", "FLOW", "PAGE", "PAGES", "TRANSITION_ROUTE_GROUP" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Agent.", "Intent.", "Intent training phrase.", "Intent parameter.", "Multiple intents.", "Multiple training phrases.", "Entity type.", "Multiple entity types.", "Webhook.", "Flow.", "Page.", "Multiple pages.", "Transition route group." ] }, "severity": { "enum": [ "SEVERITY_UNSPECIFIED", "INFO", "WARNING", "ERROR" ], "description": "Indicates the severity of the message.", "type": "string", "enumDescriptions": [ "Unspecified.", "The agent doesn't follow Dialogflow best practices.", "The agent may not behave as expected.", "The agent may experience failures." ] }, "resourceNames": { "type": "array", "description": "The resource names of the resources where the message is found.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResourceName" } }, "detail": { "type": "string", "description": "The message detail." } }, "id": "GoogleCloudDialogflowCxV3beta1ValidationMessage", "type": "object", "description": "Agent/flow validation message." }, "GoogleCloudDialogflowCxV3beta1EventInput": { "description": "Represents the event to trigger.", "properties": { "event": { "type": "string", "description": "Name of the event." } }, "id": "GoogleCloudDialogflowCxV3beta1EventInput", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestions": { "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions", "properties": { "suggestions": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion" }, "description": "Required. The list of suggested replies." } }, "type": "object", "description": "The collection of suggestions." }, "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText": { "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText", "properties": { "ssml": { "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).", "type": "string" }, "text": { "type": "string", "description": "The raw text to be synthesized." }, "allowPlaybackInterruption": { "type": "boolean", "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true } }, "type": "object", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "GoogleCloudDialogflowV2Message": { "type": "object", "id": "GoogleCloudDialogflowV2Message", "description": "Represents a message posted into a conversation.", "properties": { "sendTime": { "format": "google-datetime", "type": "string", "description": "Optional. The time when the message was sent." }, "name": { "description": "Optional. The unique identifier of the message. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "sentimentAnalysis": { "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "readOnly": true, "description": "Output only. The sentiment analysis result for the message." }, "messageAnnotation": { "description": "Output only. The annotation for the message.", "$ref": "GoogleCloudDialogflowV2MessageAnnotation", "readOnly": true }, "participantRole": { "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Output only. The role of the participant.", "readOnly": true, "type": "string", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ] }, "participant": { "type": "string", "readOnly": true, "description": "Output only. The participant that sends this message." }, "languageCode": { "type": "string", "description": "Optional. The message language. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "content": { "description": "Required. The message content.", "type": "string" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time when the message was created in Contact Center AI.", "format": "google-datetime" } } }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo": { "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo", "description": "Represents form information.", "properties": { "parameterInfo": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo" }, "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter.", "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowV2ImportConversationDataOperationResponse": { "id": "GoogleCloudDialogflowV2ImportConversationDataOperationResponse", "properties": { "importCount": { "description": "Number of conversations imported successfully.", "format": "int32", "type": "integer" }, "conversationDataset": { "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`", "type": "string" } }, "description": "Response used for ConversationDatasets.ImportConversationData long running operation.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff": { "properties": { "metadata": { "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } } }, "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff" }, "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata": { "properties": { "partialFailures": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Partial failures are failures that don't fail the whole long running operation, e.g. single files that couldn't be read." }, "createTime": { "description": "Timestamp when import conversation data request was created. The time is measured on server side.", "format": "google-datetime", "type": "string" }, "conversationDataset": { "type": "string", "description": "The resource name of the imported conversation dataset. Format: `projects//locations//conversationDatasets/`" } }, "type": "object", "description": "Metadata for a ConversationDatasets.ImportConversationData operation.", "id": "GoogleCloudDialogflowV2ImportConversationDataOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1DetectIntentResponse": { "properties": { "outputAudio": { "type": "string", "description": "The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content.", "format": "byte" }, "queryResult": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryResult", "description": "The result of the conversational query." }, "outputAudioConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1OutputAudioConfig", "description": "The config used by the speech synthesizer to generate the output audio." }, "responseType": { "description": "Response type.", "enumDescriptions": [ "Not specified. This should never happen.", "Partial response. e.g. Aggregated responses in a Fulfillment that enables `return_partial_response` can be returned as partial response. WARNING: partial response is not eligible for barge-in.", "Final response." ], "type": "string", "enum": [ "RESPONSE_TYPE_UNSPECIFIED", "PARTIAL", "FINAL" ] }, "responseId": { "description": "Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues.", "type": "string" }, "allowCancellation": { "description": "Indicates whether the partial response can be cancelled when a later response arrives. e.g. if the agent specified some music as partial response, it can be cancelled.", "type": "boolean" } }, "type": "object", "description": "The message returned from the DetectIntent method.", "id": "GoogleCloudDialogflowCxV3beta1DetectIntentResponse" }, "GoogleCloudDialogflowCxV3beta1StartExperimentRequest": { "id": "GoogleCloudDialogflowCxV3beta1StartExperimentRequest", "description": "The request message for Experiments.StartExperiment.", "type": "object", "properties": {} }, "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata": { "id": "GoogleCloudDialogflowCxV3ImportDocumentsOperationMetadata", "description": "Metadata for ImportDocuments operation.", "type": "object", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowCxV3beta1VersionVariants": { "type": "object", "description": "A list of flow version variants.", "id": "GoogleCloudDialogflowCxV3beta1VersionVariants", "properties": { "variants": { "type": "array", "description": "A list of flow version variants.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1VersionVariantsVariant" } } } }, "GoogleCloudDialogflowV2IntentMessageListSelect": { "id": "GoogleCloudDialogflowV2IntentMessageListSelect", "description": "The card for presenting a list of options to select from.", "properties": { "items": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageListSelectItem" }, "description": "Required. List items." }, "title": { "type": "string", "description": "Optional. The overall title of the list." }, "subtitle": { "type": "string", "description": "Optional. Subtitle of the list." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1SessionInfo": { "id": "GoogleCloudDialogflowCxV3beta1SessionInfo", "type": "object", "properties": { "session": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.", "type": "string" }, "parameters": { "additionalProperties": { "type": "any" }, "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.", "type": "object" } }, "description": "Represents session information communicated to and from the webhook." }, "GoogleCloudDialogflowV2IntentTrainingPhrase": { "id": "GoogleCloudDialogflowV2IntentTrainingPhrase", "type": "object", "description": "Represents an example that the agent is trained on.", "properties": { "type": { "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases that you've created in template mode, those will continue to work." ], "type": "string", "description": "Required. The type of the training phrase.", "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ] }, "parts": { "type": "array", "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.", "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrasePart" } }, "timesAddedCount": { "type": "integer", "format": "int32", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased." }, "name": { "type": "string", "description": "Output only. The unique identifier of this training phrase." } } }, "GoogleCloudDialogflowV2beta1EventInput": { "properties": { "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "The collection of parameters associated with the event. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object" }, "languageCode": { "type": "string", "description": "Required. The language of this query. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language. This field is ignored when used in the context of a WebhookResponse.followup_event_input field, because the language was already defined in the originating detect intent request." }, "name": { "description": "Required. The unique identifier of the event.", "type": "string" } }, "description": "Events allow for matching intents by event name instead of the natural language input. For instance, input `` can trigger a personalized welcome response. The parameter `name` may be used by the agent in the response: `\"Hello #welcome_event.name! What can I do for you today?\"`.", "type": "object", "id": "GoogleCloudDialogflowV2beta1EventInput" }, "GoogleCloudDialogflowCxV3beta1TestError": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TestError", "description": "Error info for running a test.", "properties": { "testCase": { "description": "The test case resource name.", "type": "string" }, "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test." }, "testTime": { "description": "The timestamp when the test was completed.", "type": "string", "format": "google-datetime" } } }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse": { "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestResponse", "properties": { "continuousTestResult": { "$ref": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult", "description": "The result for a continuous test run." } }, "type": "object", "description": "The response message for Environments.RunContinuousTest." }, "GoogleCloudDialogflowCxV3ConversationTurn": { "type": "object", "id": "GoogleCloudDialogflowCxV3ConversationTurn", "properties": { "virtualAgentOutput": { "description": "The virtual agent output.", "$ref": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput" }, "userInput": { "description": "The user input.", "$ref": "GoogleCloudDialogflowCxV3ConversationTurnUserInput" } }, "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response." }, "GoogleCloudDialogflowCxV3ExportTestCasesResponse": { "properties": { "gcsUri": { "type": "string", "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest." }, "content": { "format": "byte", "description": "Uncompressed raw byte content for test cases.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3ExportTestCasesResponse", "description": "The response message for TestCases.ExportTestCases." }, "GoogleCloudDialogflowCxV3ContinuousTestResult": { "description": "Represents a result from running a test case in an agent environment.", "id": "GoogleCloudDialogflowCxV3ContinuousTestResult", "type": "object", "properties": { "testCaseResults": { "items": { "type": "string" }, "description": "A list of individual test case results names in this continuous test run.", "type": "array" }, "runTime": { "format": "google-datetime", "type": "string", "description": "Time when the continuous testing run starts." }, "result": { "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ], "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.", "type": "string", "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ] }, "name": { "type": "string", "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`." } } }, "GoogleCloudDialogflowV2IntentMessageSuggestions": { "id": "GoogleCloudDialogflowV2IntentMessageSuggestions", "type": "object", "description": "The collection of suggestions.", "properties": { "suggestions": { "type": "array", "description": "Required. The list of suggested replies.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageSuggestion" } } } }, "GoogleCloudDialogflowCxV3ExportFlowResponse": { "id": "GoogleCloudDialogflowCxV3ExportFlowResponse", "properties": { "flowUri": { "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.", "type": "string" }, "flowContent": { "description": "Uncompressed raw byte content for flow.", "format": "byte", "type": "string" } }, "description": "The response message for Flows.ExportFlow.", "type": "object" }, "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction": { "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.", "properties": {}, "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction" }, "GoogleCloudDialogflowV2WebhookResponse": { "properties": { "fulfillmentMessages": { "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" } }, "sessionEntityTypes": { "items": { "$ref": "GoogleCloudDialogflowV2SessionEntityType" }, "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.", "type": "array" }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "type": "object" }, "fulfillmentText": { "type": "string", "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller." }, "followupEventInput": { "$ref": "GoogleCloudDialogflowV2EventInput", "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields." }, "source": { "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.", "type": "string" }, "outputContexts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller." } }, "id": "GoogleCloudDialogflowV2WebhookResponse", "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "type": "object" }, "GoogleCloudDialogflowV2SmartReplyModelMetadata": { "description": "Metadata for smart reply models.", "id": "GoogleCloudDialogflowV2SmartReplyModelMetadata", "type": "object", "properties": { "trainingModelType": { "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ], "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ], "description": "Optional. Type of the smart reply model. If not provided, model_type is used.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV2beta1ClearSuggestionFeatureConfigOperationMetadata", "properties": { "participantRole": { "type": "string", "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "description": "Required. The participant role to remove the suggestion feature config. Only HUMAN_AGENT or END_USER can be used." }, "createTime": { "type": "string", "description": "Timestamp whe the request was created. The time is measured on server side.", "format": "google-datetime" }, "suggestionFeatureType": { "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "type": "string", "description": "Required. The type of the suggestion feature to remove.", "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ] }, "conversationProfile": { "type": "string", "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`" } }, "description": "Metadata for a ConversationProfile.ClearSuggestionFeatureConfig operation." }, "GoogleCloudDialogflowV2beta1IntentMessageTableCard": { "properties": { "image": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage", "description": "Optional. Image which should be displayed on the card." }, "rows": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow" }, "description": "Optional. Rows in this table of data.", "type": "array" }, "buttons": { "description": "Optional. List of buttons for the card.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "type": "array" }, "title": { "description": "Required. Title of the card.", "type": "string" }, "subtitle": { "description": "Optional. Subtitle to the title.", "type": "string" }, "columnProperties": { "type": "array", "description": "Optional. Display properties for the columns in this table.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties" } } }, "type": "object", "description": "Table card for Actions on Google.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCard" }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrase": { "description": "Represents an example that the agent is trained on.", "properties": { "name": { "type": "string", "description": "Output only. The unique identifier of this training phrase." }, "parts": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart" }, "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `entity_type`, `alias`, and `user_defined` fields are all set.", "type": "array" }, "timesAddedCount": { "type": "integer", "format": "int32", "description": "Optional. Indicates how many times this example was added to the intent. Each time a developer adds an existing sample by editing an intent or training, this counter is increased." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "EXAMPLE", "TEMPLATE" ], "description": "Required. The type of the training phrase.", "enumDescriptions": [ "Not specified. This value should never be used.", "Examples do not contain @-prefixed entity type names, but example parts can be annotated with entity types.", "Templates are not annotated with entity types, but they can contain @-prefixed entity type names as substrings. Note: Template mode has been deprecated. Example mode is the only supported way to create new training phrases. If you have existing training phrases in template mode, they will be removed during training and it can cause a drop in agent performance." ], "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase", "type": "object" }, "GoogleCloudDialogflowCxV3beta1WebhookRequest": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequest", "properties": { "fulfillmentInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo", "description": "Always present. Information about the fulfillment that triggered this webhook call." }, "detectIntentResponseId": { "type": "string", "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller." }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;" }, "sessionInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo", "description": "Information about session status." }, "text": { "description": "If natural language text was provided as input, this field will contain a copy of the text.", "type": "string" }, "sentimentAnalysisResult": { "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult" }, "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "languageCode": { "description": "The language code specified in the original request.", "type": "string" }, "intentInfo": { "description": "Information about the last matched intent.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "pageInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo", "description": "Information about page status." }, "payload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Custom data set in QueryParameters.payload." } }, "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored." }, "GoogleCloudDialogflowV2beta1Sentiment": { "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "properties": { "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float" }, "score": { "format": "float", "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment)." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1Sentiment" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion": { "type": "object", "description": "Rich Business Messaging (RBM) suggestion. Suggestions allow user to easily select/click a predefined response or perform an action (like opening a web uri).", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion", "properties": { "reply": { "description": "Predefined replies for user to select instead of typing", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply" }, "action": { "description": "Predefined client side actions that user can choose", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction" } } }, "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata": { "description": "Metadata for a ConversationModels.CreateConversationModel operation.", "type": "object", "id": "GoogleCloudDialogflowV2CreateConversationModelOperationMetadata", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when the request to create conversation model is submitted. The time is measured on server side." }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" }, "state": { "enumDescriptions": [ "Invalid.", "Request is submitted, but training has not started yet. The model may remain in this state until there is enough capacity to start training.", "The training has succeeded.", "The training has succeeded.", "The training has been cancelled.", "The training is in cancelling state.", "Custom model is training." ], "description": "State of CreateConversationModel operation.", "enum": [ "STATE_UNSPECIFIED", "PENDING", "SUCCEEDED", "FAILED", "CANCELLED", "CANCELLING", "TRAINING" ], "type": "string" } } }, "GoogleCloudDialogflowV2IntentMessageImage": { "properties": { "accessibilityText": { "description": "Optional. A text description of the image to be used for accessibility, e.g., screen readers.", "type": "string" }, "imageUri": { "description": "Optional. The public URI to an image file.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageImage", "description": "The image response message." }, "GoogleCloudDialogflowCxV3beta1Version": { "properties": { "description": { "description": "The description of the version. The maximum length is 500 characters. If exceeded, the request is rejected.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED" ], "readOnly": true, "description": "Output only. The state of this version. This field is read-only and cannot be set by create and update methods.", "type": "string", "enumDescriptions": [ "Not specified. This value is not used.", "Version is not ready to serve (e.g. training is running).", "Training has succeeded and this version is ready to serve.", "Version training failed." ] }, "name": { "type": "string", "description": "Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation." }, "nluSettings": { "readOnly": true, "$ref": "GoogleCloudDialogflowCxV3beta1NluSettings", "description": "Output only. The NLU settings of the flow at version creation." }, "displayName": { "description": "Required. The human-readable name of the version. Limit of 64 characters.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. Create time of the version.", "readOnly": true } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1Version", "description": "Represents a version of a flow." }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio": { "properties": { "audioUri": { "description": "Required. URI to a Google Cloud Storage object containing the audio to play, e.g., \"gs://bucket/object\". The object must contain a single channel (mono) of linear PCM audio (2 bytes / sample) at 8kHz. This object must be readable by the `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` service account where is the number of the Telephony Gateway project (usually the same as the Dialogflow agent project). If the Google Cloud Storage bucket is in the Telephony Gateway project, this permission is added by default when enabling the Dialogflow V2 API. For audio from other sources, consider using the `TelephonySynthesizeSpeech` message with SSML.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio", "description": "Plays audio from a file in Telephony Gateway.", "type": "object" }, "GoogleCloudDialogflowV2ConversationModel": { "type": "object", "description": "Represents a conversation model.", "id": "GoogleCloudDialogflowV2ConversationModel", "properties": { "displayName": { "description": "Required. The display name of the model. At most 64 bytes long.", "type": "string" }, "articleSuggestionModelMetadata": { "$ref": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata", "description": "Metadata for article suggestion models." }, "createTime": { "type": "string", "description": "Output only. Creation time of this model.", "format": "google-datetime", "readOnly": true }, "state": { "enumDescriptions": [ "Should not be used, an un-set enum has this value by default.", "Model being created.", "Model is not deployed but ready to deploy.", "Model is deploying.", "Model is deployed and ready to use.", "Model is undeploying.", "Model is deleting.", "Model is in error state. Not ready to deploy and use.", "Model is being created but the training has not started, The model may remain in this state until there is enough capacity to start training." ], "description": "Output only. State of the model. A model can only serve prediction requests after it gets deployed.", "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "UNDEPLOYED", "DEPLOYING", "DEPLOYED", "UNDEPLOYING", "DELETING", "FAILED", "PENDING" ] }, "name": { "description": "ConversationModel resource name. Format: `projects//conversationModels/`", "type": "string" }, "smartReplyModelMetadata": { "$ref": "GoogleCloudDialogflowV2SmartReplyModelMetadata", "description": "Metadata for smart reply models." }, "languageCode": { "type": "string", "description": "Language code for the conversation model. If not specified, the language is en-US. Language at ConversationModel should be set for all non en-us languages. This should be a [BCP-47](https://www.rfc-editor.org/rfc/bcp/bcp47.txt) language tag. Example: \"en-US\"." }, "datasets": { "type": "array", "description": "Required. Datasets used to create model.", "items": { "$ref": "GoogleCloudDialogflowV2InputDataset" } } } }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata": { "description": "Metadata returned for the TestCases.BatchRunTestCases long running operation.", "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesMetadata", "properties": { "errors": { "description": "The test errors.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TestError" } } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1OutputAudioConfig": { "id": "GoogleCloudDialogflowCxV3beta1OutputAudioConfig", "properties": { "sampleRateHertz": { "type": "integer", "description": "Optional. The synthesis sample rate (in hertz) for this audio. If not provided, then the synthesizer will use the default sample rate based on the audio encoding. If this is different from the voice's natural sample rate, then the synthesizer will honor this request by converting to the desired sample rate (which might result in worse audio quality).", "format": "int32" }, "audioEncoding": { "description": "Required. Audio encoding of the synthesized audio content.", "type": "string", "enum": [ "OUTPUT_AUDIO_ENCODING_UNSPECIFIED", "OUTPUT_AUDIO_ENCODING_LINEAR_16", "OUTPUT_AUDIO_ENCODING_MP3", "OUTPUT_AUDIO_ENCODING_MP3_64_KBPS", "OUTPUT_AUDIO_ENCODING_OGG_OPUS", "OUTPUT_AUDIO_ENCODING_MULAW" ], "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM). Audio content returned as LINEAR16 also contains a WAV header.", "MP3 audio at 32kbps.", "MP3 audio at 64kbps.", "Opus encoded audio wrapped in an ogg container. The result will be a file which can be played natively on Android, and in browsers (at least Chrome and Firefox). The quality of the encoding is considerably higher than MP3 while using approximately the same bitrate.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law." ] }, "synthesizeSpeechConfig": { "description": "Optional. Configuration of how speech should be synthesized.", "$ref": "GoogleCloudDialogflowCxV3beta1SynthesizeSpeechConfig" } }, "description": "Instructs the speech synthesizer how to generate the output audio content.", "type": "object" }, "GoogleCloudDialogflowCxV3PageInfoFormInfo": { "description": "Represents form information.", "type": "object", "properties": { "parameterInfo": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo" }, "description": "Optional for both WebhookRequest and WebhookResponse. The parameters contained in the form. Note that the webhook cannot add or remove any form parameter." } }, "id": "GoogleCloudDialogflowCxV3PageInfoFormInfo" }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech": { "description": "Synthesizes speech and plays back the synthesized audio to the caller in Telephony Gateway. Telephony Gateway takes the synthesizer settings from `DetectIntentResponse.output_audio_config` which can either be set at request-level or can come from the agent-level synthesizer config.", "properties": { "ssml": { "type": "string", "description": "The SSML to be synthesized. For more information, see [SSML](https://developers.google.com/actions/reference/ssml)." }, "text": { "type": "string", "description": "The raw text to be synthesized." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech" }, "GoogleCloudDialogflowV2IntentMessageCarouselSelect": { "id": "GoogleCloudDialogflowV2IntentMessageCarouselSelect", "description": "The card for presenting a carousel of options to select from.", "properties": { "items": { "type": "array", "description": "Required. Carousel items.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageCarouselSelectItem" } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1ImportDocumentsResponse": { "id": "GoogleCloudDialogflowV2beta1ImportDocumentsResponse", "description": "Response message for Documents.ImportDocuments.", "properties": { "warnings": { "description": "Includes details about skipped documents or any other warnings.", "items": { "$ref": "GoogleRpcStatus" }, "type": "array" } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestSentimentAnalysisResult", "properties": { "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number", "format": "float" }, "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "format": "float" } }, "description": "Represents the result of sentiment analysis." }, "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse": { "description": "The response message for EntityTypes.BatchUpdateEntityTypes.", "properties": { "entityTypes": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2EntityType" }, "description": "The collection of updated or created entity types." } }, "type": "object", "id": "GoogleCloudDialogflowV2BatchUpdateEntityTypesResponse" }, "GoogleCloudDialogflowV2IntentMessageSuggestion": { "id": "GoogleCloudDialogflowV2IntentMessageSuggestion", "type": "object", "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation.", "properties": { "title": { "description": "Required. The text shown the in the suggestion chip.", "type": "string" } } }, "GoogleCloudDialogflowCxV3EventHandler": { "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "id": "GoogleCloudDialogflowCxV3EventHandler", "type": "object", "properties": { "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3Fulfillment", "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks." }, "name": { "type": "string", "readOnly": true, "description": "Output only. The unique identifier of this event handler." }, "event": { "type": "string", "description": "Required. The name of the event to handle." }, "targetFlow": { "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1DtmfInput": { "properties": { "finishDigit": { "type": "string", "description": "The finish digit (if any)." }, "digits": { "description": "The dtmf digits.", "type": "string" } }, "type": "object", "description": "Represents the input for dtmf event.", "id": "GoogleCloudDialogflowCxV3beta1DtmfInput" }, "GoogleCloudDialogflowCxV3EventInput": { "properties": { "event": { "type": "string", "description": "Name of the event." } }, "description": "Represents the event to trigger.", "type": "object", "id": "GoogleCloudDialogflowCxV3EventInput" }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases": { "type": "object", "properties": { "cases": { "description": "A list of cascading if-else conditions.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase" } } }, "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases", "description": "A list of cascading if-else conditions. Cases are mutually exclusive. The first one with a matching condition is selected, all the rest ignored." }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo": { "properties": { "lastMatchedIntent": { "type": "string", "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`." }, "displayName": { "type": "string", "description": "Always present. The display name of the last matched intent." }, "confidence": { "type": "number", "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain).", "format": "float" }, "parameters": { "type": "object", "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here.", "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue" } } }, "type": "object", "description": "Represents intent information communicated to the webhook.", "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfo" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio": { "properties": { "segments": { "description": "Segments this audio response is composed of.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment" } } }, "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio" }, "GoogleCloudDialogflowV2beta1ArticleAnswer": { "description": "Represents article answer.", "properties": { "title": { "description": "The article title.", "type": "string" }, "answerRecord": { "type": "string", "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"" }, "uri": { "description": "The article URI.", "type": "string" }, "metadata": { "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates.", "additionalProperties": { "type": "string" } }, "snippets": { "description": "Output only. Article snippets.", "type": "array", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowV2beta1ArticleAnswer", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion": { "description": "The suggestion chip message that allows the user to jump out to the app or website associated with this agent.", "type": "object", "properties": { "uri": { "type": "string", "description": "Required. The URI of the app or site to open when the user taps the suggestion chip." }, "destinationName": { "type": "string", "description": "Required. The name of the app or site this chip is linking to." } }, "id": "GoogleCloudDialogflowV2IntentMessageLinkOutSuggestion" }, "GoogleCloudDialogflowCxV3TestCaseResult": { "type": "object", "description": "Represents a result from running a test case in an agent environment.", "properties": { "testResult": { "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "description": "Whether the test case passed in the agent environment.", "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "type": "string" }, "conversationTurns": { "description": "The conversation turns uttered during the test case replay in chronological order.", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" }, "type": "array" }, "environment": { "description": "Environment where the test was run. If not set, it indicates the draft environment.", "type": "string" }, "name": { "type": "string", "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`." }, "testTime": { "format": "google-datetime", "type": "string", "description": "The time that the test was run." } }, "id": "GoogleCloudDialogflowCxV3TestCaseResult" }, "GoogleCloudDialogflowCxV3TestError": { "type": "object", "description": "Error info for running a test.", "id": "GoogleCloudDialogflowCxV3TestError", "properties": { "testTime": { "description": "The timestamp when the test was completed.", "type": "string", "format": "google-datetime" }, "testCase": { "description": "The test case resource name.", "type": "string" }, "status": { "$ref": "GoogleRpcStatus", "description": "The status associated with the test." } } }, "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent": { "type": "object", "id": "GoogleCloudDialogflowV2beta1HumanAgentAssistantEvent", "description": "Output only. Represents a notification sent to Pub/Sub subscribers for agent assistant events in a specific conversation.", "properties": { "conversation": { "type": "string", "description": "The conversation this notification refers to. Format: `projects//conversations/`." }, "suggestionResults": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1SuggestionResult" }, "description": "The suggestion results payload that this notification refers to. It will only be set when HumanAgentAssistantConfig.SuggestionConfig.group_suggestion_responses sets to true." }, "participant": { "description": "The participant that the suggestion is compiled for. And This field is used to call Participants.ListSuggestions API. Format: `projects//conversations//participants/`. It will not be set in legacy workflow. HumanAgentAssistantConfig.name for more information.", "type": "string" } } }, "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff": { "properties": { "metadata": { "type": "object", "description": "Custom metadata for your handoff procedure. Dialogflow doesn't impose any structure on this.", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "description": "Indicates that the conversation should be handed off to a live agent. Dialogflow only uses this to determine which conversations were handed off to a human agent for measurement purposes. What else to do with this signal is up to you and your handoff procedures. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates something went extremely wrong in the conversation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that the customer issue can only be handled by a human.", "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff" }, "GoogleCloudDialogflowCxV3beta1AgentValidationResult": { "id": "GoogleCloudDialogflowCxV3beta1AgentValidationResult", "type": "object", "properties": { "flowValidationResults": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FlowValidationResult" }, "type": "array", "description": "Contains all flow validation results." }, "name": { "description": "The unique identifier of the agent validation result. Format: `projects//locations//agents//validationResult`.", "type": "string" } }, "description": "The response message for Agents.GetAgentValidationResult." }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart": { "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart", "type": "object", "properties": { "text": { "type": "string", "description": "Required. The text for this part." }, "parameterId": { "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.", "type": "string" } }, "description": "Represents a part of a training phrase." }, "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess": { "description": "Indicates that the conversation succeeded, i.e., the bot handled the issue that the customer talked to it about. Dialogflow only uses this to determine which conversations should be counted as successful and doesn't process the metadata in this message in any way. Note that Dialogflow also considers conversations that get to the conversation end page as successful even if they don't return ConversationSuccess. You may set this, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In the entry_fulfillment of a Page if entering the page indicates that the conversation succeeded. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh In a webhook response when you determine that you handled the customer issue.", "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess", "properties": { "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Custom metadata. Dialogflow doesn't impose any structure on this." } } }, "GoogleCloudDialogflowV2beta1IntentMessageCard": { "description": "The card response message.", "properties": { "title": { "description": "Optional. The title of the card.", "type": "string" }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "imageUri": { "type": "string", "description": "Optional. The public URI to an image file for the card." }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCardButton" }, "description": "Optional. The collection of card buttons.", "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageCard", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesMetadata", "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields.", "properties": {} }, "GoogleCloudDialogflowCxV3TestConfig": { "properties": { "page": { "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" }, "flow": { "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" }, "trackingParameters": { "description": "Session parameters to be compared when calculating differences.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3TestConfig", "type": "object", "description": "Represents configurations for a test case." }, "GoogleCloudDialogflowV2EntityTypeEntity": { "type": "object", "id": "GoogleCloudDialogflowV2EntityTypeEntity", "description": "An **entity entry** for an associated entity type.", "properties": { "value": { "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases).", "type": "string" }, "synonyms": { "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase": { "type": "object", "description": "Represents an example that the agent is trained on to identify the intent.", "properties": { "repeatCount": { "format": "int32", "type": "integer", "description": "Indicates how many times this example was added to the intent." }, "id": { "description": "Output only. The unique identifier of the training phrase.", "type": "string" }, "parts": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrasePart" }, "type": "array", "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set." } }, "id": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase" }, "GoogleCloudDialogflowCxV3beta1Page": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1Page", "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "properties": { "displayName": { "description": "Required. The human-readable name of the page, unique within the flow.", "type": "string" }, "transitionRouteGroups": { "items": { "type": "string" }, "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`.", "type": "array" }, "transitionRoutes": { "type": "array", "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" } }, "eventHandlers": { "type": "array", "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" } }, "form": { "description": "The form associated with the page, used for collecting parameters relevant to the page.", "$ref": "GoogleCloudDialogflowCxV3beta1Form" }, "name": { "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "entryFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the session is entering the page." } } }, "GoogleCloudDialogflowCxV3beta1ListWebhooksResponse": { "description": "The response message for Webhooks.ListWebhooks.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "webhooks": { "description": "The list of webhooks. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1ListWebhooksResponse", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem": { "properties": { "description": { "description": "Optional. The main text describing the item.", "type": "string" }, "info": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo", "description": "Required. Additional information about this option." }, "title": { "description": "Required. The title of the list item.", "type": "string" }, "image": { "description": "Optional. The image to display.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" } }, "description": "An item in the list.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem" }, "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata": { "description": "Metadata for DeleteDocument operation.", "id": "GoogleCloudDialogflowCxV3DeleteDocumentOperationMetadata", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1EntityTypeEntity": { "description": "An **entity entry** for an associated entity type.", "id": "GoogleCloudDialogflowCxV3beta1EntityTypeEntity", "type": "object", "properties": { "value": { "type": "string", "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A canonical value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases)." }, "synonyms": { "type": "array", "items": { "type": "string" }, "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`." } } }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton": { "type": "object", "properties": { "title": { "type": "string", "description": "Required. The title of the button." }, "openUriAction": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButtonOpenUriAction", "description": "Required. Action to take when a user taps on the button." } }, "description": "The button object that appears at the bottom of a card.", "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "GoogleCloudDialogflowV2beta1ExportOperationMetadata": { "properties": { "exportedGcsDestination": { "$ref": "GoogleCloudDialogflowV2beta1GcsDestination", "description": "Cloud Storage file path of the exported data." } }, "id": "GoogleCloudDialogflowV2beta1ExportOperationMetadata", "description": "Metadata related to the Export Data Operations (e.g. ExportDocument).", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ListChangelogsResponse": { "properties": { "changelogs": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Changelog" }, "type": "array", "description": "The list of changelogs. There will be a maximum number of items returned based on the page_size field in the request. The changelogs will be ordered by timestamp." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ListChangelogsResponse", "description": "The response message for Changelogs.ListChangelogs.", "type": "object" }, "GoogleCloudDialogflowCxV3AudioInput": { "id": "GoogleCloudDialogflowCxV3AudioInput", "properties": { "audio": { "format": "byte", "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.", "type": "string" }, "config": { "$ref": "GoogleCloudDialogflowCxV3InputAudioConfig", "description": "Required. Instructs the speech recognizer how to process the speech audio." } }, "description": "Represents the natural speech audio to be processed.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1Match": { "id": "GoogleCloudDialogflowCxV3beta1Match", "description": "Represents one match result of MatchIntent.", "type": "object", "properties": { "resolvedInput": { "description": "Final text input which was matched during MatchIntent. This value can be different from original input sent in request because of spelling correction or other processing.", "type": "string" }, "intent": { "description": "The Intent that matched the query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. Only filled for `INTENT` match type.", "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "parameters": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "The collection of parameters extracted from the query. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value." }, "event": { "description": "The event that matched the query. Filled for `EVENT`, `NO_MATCH` and `NO_INPUT` match types.", "type": "string" }, "matchType": { "enumDescriptions": [ "Not specified. Should never be used.", "The query was matched to an intent.", "The query directly triggered an intent.", "The query was used for parameter filling.", "No match was found for the query.", "Indicates an empty query.", "The query directly triggered an event." ], "description": "Type of this Match.", "type": "string", "enum": [ "MATCH_TYPE_UNSPECIFIED", "INTENT", "DIRECT_INTENT", "PARAMETER_FILLING", "NO_MATCH", "NO_INPUT", "EVENT" ] }, "confidence": { "format": "float", "description": "The confidence of this match. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation.", "type": "number" } } }, "GoogleCloudDialogflowCxV3beta1VariantsHistory": { "description": "The history of variants update.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1VariantsHistory", "properties": { "versionVariants": { "$ref": "GoogleCloudDialogflowCxV3beta1VersionVariants", "description": "The flow versions as the variants." }, "updateTime": { "format": "google-datetime", "description": "Update time of the variants.", "type": "string" } } }, "GoogleCloudDialogflowCxV3FormParameterFillBehavior": { "type": "object", "description": "Configuration for how the filling of a parameter should be handled.", "id": "GoogleCloudDialogflowCxV3FormParameterFillBehavior", "properties": { "repromptEventHandlers": { "description": "The handlers for parameter-level events, used to provide reprompt for the parameter or transition to a different page/flow. The supported events are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-match-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-`, where N can be from 1 to 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.no-input-default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sys.invalid-parameter` `initial_prompt_fulfillment` provides the first prompt for the parameter. If the user's response does not fill the parameter, a no-match/no-input event will be triggered, and the fulfillment associated with the `sys.no-match-1`/`sys.no-input-1` handler (if defined) will be called to provide a prompt. The `sys.no-match-2`/`sys.no-input-2` handler (if defined) will respond to the next no-match/no-input event, and so on. A `sys.no-match-default` or `sys.no-input-default` handler will be used to handle all following no-match/no-input events after all numbered no-match/no-input handlers for the parameter are consumed. A `sys.invalid-parameter` handler can be defined to handle the case where the parameter values have been `invalidated` by webhook. For example, if the user's response fill the parameter, however the parameter was invalidated by webhook, the fulfillment associated with the `sys.invalid-parameter` handler (if defined) will be called to provide a prompt. If the event handler for the corresponding event can't be found on the parameter, `initial_prompt_fulfillment` will be re-prompted.", "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "type": "array" }, "initialPromptFulfillment": { "description": "Required. The fulfillment to provide the initial prompt that the agent can present to the user in order to fill the parameter.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" } } }, "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse": { "id": "GoogleCloudDialogflowV2beta1SuggestFaqAnswersResponse", "properties": { "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer", "format": "int32" }, "faqAnswers": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1FaqAnswer" }, "description": "Output only. Answers extracted from FAQ documents." } }, "type": "object", "description": "The request message for Participants.SuggestFaqAnswers." }, "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata": { "properties": { "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when request to deploy conversation model was submitted. The time is measured on server side." } }, "type": "object", "id": "GoogleCloudDialogflowV2DeployConversationModelOperationMetadata", "description": "Metadata for a ConversationModels.DeployConversationModel operation." }, "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata": { "description": "Metadata for a ConversationModels.DeleteConversationModel operation.", "id": "GoogleCloudDialogflowV2DeleteConversationModelOperationMetadata", "properties": { "createTime": { "format": "google-datetime", "description": "Timestamp when delete conversation model request was created. The time is measured on server side.", "type": "string" }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//conversationModels/`", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1StopExperimentRequest": { "id": "GoogleCloudDialogflowCxV3beta1StopExperimentRequest", "properties": {}, "type": "object", "description": "The request message for Experiments.StopExperiment." }, "GoogleCloudDialogflowV2IntentParameter": { "properties": { "defaultValue": { "type": "string", "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`." }, "isList": { "description": "Optional. Indicates whether the parameter represents a list of values.", "type": "boolean" }, "displayName": { "type": "string", "description": "Required. The name of the parameter." }, "name": { "description": "The unique identifier of this parameter.", "type": "string" }, "value": { "type": "string", "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`." }, "entityTypeDisplayName": { "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided.", "type": "string" }, "prompts": { "type": "array", "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.", "items": { "type": "string" } }, "mandatory": { "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.", "type": "boolean" } }, "id": "GoogleCloudDialogflowV2IntentParameter", "type": "object", "description": "Represents intent parameters." }, "GoogleCloudDialogflowV2beta1SessionEntityType": { "type": "object", "id": "GoogleCloudDialogflowV2beta1SessionEntityType", "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session).", "properties": { "name": { "description": "Required. The unique identifier of this session entity type. Supported formats: - `projects//agent/sessions//entityTypes/` - `projects//locations//agent/sessions//entityTypes/` - `projects//agent/environments//users//sessions//entityTypes/` - `projects//locations//agent/environments/ /users//sessions//entityTypes/` If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented.", "type": "string" }, "entities": { "description": "Required. The collection of entities associated with this session entity type.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "type": "array" }, "entityOverrideMode": { "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ], "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "type": "string" } } }, "GoogleCloudDialogflowCxV3ImportTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3ImportTestCasesResponse", "type": "object", "description": "The response message for TestCases.ImportTestCases.", "properties": { "names": { "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudDialogflowCxV3beta1EntityTypeExcludedPhrase": { "properties": { "value": { "description": "Required. The word or phrase to be excluded.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1EntityTypeExcludedPhrase", "type": "object", "description": "An excluded entity phrase that should not be matched." }, "GoogleCloudDialogflowCxV3beta1AudioInput": { "description": "Represents the natural speech audio to be processed.", "properties": { "audio": { "format": "byte", "description": "The natural language speech audio to be processed. A single request can contain up to 1 minute of speech audio data. The transcribed text cannot contain more than 256 bytes. For non-streaming audio detect intent, both `config` and `audio` must be provided. For streaming audio detect intent, `config` must be provided in the first request and `audio` must be provided in all following requests.", "type": "string" }, "config": { "$ref": "GoogleCloudDialogflowCxV3beta1InputAudioConfig", "description": "Required. Instructs the speech recognizer how to process the speech audio." } }, "id": "GoogleCloudDialogflowCxV3beta1AudioInput", "type": "object" }, "GoogleCloudDialogflowCxV3beta1MatchIntentResponse": { "type": "object", "description": "Response of MatchIntent.", "id": "GoogleCloudDialogflowCxV3beta1MatchIntentResponse", "properties": { "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "triggerEvent": { "type": "string", "description": "If an event was provided as input, this field will contain a copy of the event name." }, "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3beta1Page", "description": "The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`." }, "matches": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Match" }, "description": "Match results, if more than one, ordered descendingly by the confidence we have that the particular intent matches the query.", "type": "array" } } }, "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata": { "type": "object", "id": "GoogleCloudDialogflowV2ArticleSuggestionModelMetadata", "properties": { "trainingModelType": { "description": "Optional. Type of the article suggestion model. If not provided, model_type is used.", "enumDescriptions": [ "ModelType unspecified.", "ModelType smart reply dual encoder model.", "ModelType smart reply bert model." ], "enum": [ "MODEL_TYPE_UNSPECIFIED", "SMART_REPLY_DUAL_ENCODER_MODEL", "SMART_REPLY_BERT_MODEL" ], "type": "string" } }, "description": "Metadata for article suggestion models." }, "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig": { "type": "object", "properties": { "webhookOverrides": { "items": { "$ref": "GoogleCloudDialogflowCxV3Webhook" }, "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "type": "array" } }, "description": "Configuration for webhooks.", "id": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig" }, "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata": { "type": "object", "description": "Metadata for a ConversationModels.UndeployConversationModel operation.", "properties": { "createTime": { "type": "string", "description": "Timestamp when the request to undeploy conversation model was submitted. The time is measured on server side.", "format": "google-datetime" }, "conversationModel": { "type": "string", "description": "The resource name of the conversation model. Format: `projects//conversationModels/`" } }, "id": "GoogleCloudDialogflowV2UndeployConversationModelOperationMetadata" }, "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata": { "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } }, "description": "Metadata for ReloadDocument operation.", "id": "GoogleCloudDialogflowV3alpha1ReloadDocumentOperationMetadata", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow": { "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardRow", "type": "object", "properties": { "dividerAfter": { "type": "boolean", "description": "Optional. Whether to add a visual divider after this row." }, "cells": { "description": "Optional. List of cells that make up this row.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell" }, "type": "array" } }, "description": "Row of TableCard." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia", "type": "object", "description": "Rich Business Messaging (RBM) Media displayed in Cards The following media-types are currently supported: Image Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/jpg' LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/gif LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh image/png Video Types LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/h263 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/m4v LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mp4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/mpeg4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh video/webm", "properties": { "height": { "enumDescriptions": [ "Not specified.", "112 DP.", "168 DP.", "264 DP. Not available for rich card carousels when the card width is set to small." ], "enum": [ "HEIGHT_UNSPECIFIED", "SHORT", "MEDIUM", "TALL" ], "description": "Required for cards with vertical orientation. The height of the media within a rich card with a vertical layout. For a standalone card with horizontal layout, height is not customizable, and this field is ignored.", "type": "string" }, "fileUri": { "description": "Required. Publicly reachable URI of the file. The RBM platform determines the MIME type of the file from the content-type field in the HTTP headers when the platform fetches the file. The content-type field must be present and accurate in the HTTP response from the URL.", "type": "string" }, "thumbnailUri": { "type": "string", "description": "Optional. Publicly reachable URI of the thumbnail.If you don't provide a thumbnail URI, the RBM platform displays a blank placeholder thumbnail until the user's device downloads the file. Depending on the user's setting, the file may not download automatically and may require the user to tap a download button." } } }, "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall": { "description": "Transfers the call in Telephony Gateway.", "id": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall", "properties": { "phoneNumber": { "type": "string", "description": "Required. The phone number to transfer the call to in [E.164 format](https://en.wikipedia.org/wiki/E.164). We currently only allow transferring to US numbers (+1xxxyyyzzzz)." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1FulfillIntentRequest": { "description": "Request of FulfillIntent", "id": "GoogleCloudDialogflowCxV3beta1FulfillIntentRequest", "properties": { "outputAudioConfig": { "description": "Instructs the speech synthesizer how to generate output audio.", "$ref": "GoogleCloudDialogflowCxV3beta1OutputAudioConfig" }, "matchIntentRequest": { "description": "Must be same as the corresponding MatchIntent request, otherwise the behavior is undefined.", "$ref": "GoogleCloudDialogflowCxV3beta1MatchIntentRequest" }, "match": { "description": "The matched intent/event to fulfill.", "$ref": "GoogleCloudDialogflowCxV3beta1Match" } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookGenericWebService": { "id": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "type": "object", "properties": { "password": { "type": "string", "description": "The password for HTTP Basic authentication." }, "allowedCaCerts": { "items": { "format": "byte", "type": "string" }, "type": "array", "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```" }, "username": { "description": "The user name for HTTP Basic authentication.", "type": "string" }, "uri": { "description": "Required. The webhook URI for receiving POST requests. It must use https protocol.", "type": "string" }, "requestHeaders": { "additionalProperties": { "type": "string" }, "description": "The HTTP request headers to send together with webhook requests.", "type": "object" } }, "description": "Represents configuration for a generic web service." }, "GoogleCloudDialogflowCxV3ExportAgentResponse": { "type": "object", "properties": { "agentContent": { "type": "string", "description": "Uncompressed raw byte content for agent.", "format": "byte" }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ExportAgentResponse", "description": "The response message for Agents.ExportAgent." }, "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio": { "description": "Represents an audio message that is composed of both segments synthesized from the Dialogflow agent prompts and ones hosted externally at the specified URIs. The external URIs are specified via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "id": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio", "properties": { "segments": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudioSegment" }, "type": "array", "description": "Segments this audio response is composed of." } }, "type": "object" }, "GoogleCloudDialogflowV2MessageAnnotation": { "type": "object", "properties": { "parts": { "type": "array", "description": "The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].", "items": { "$ref": "GoogleCloudDialogflowV2AnnotatedMessagePart" } }, "containEntities": { "description": "Indicates whether the text message contains entities.", "type": "boolean" } }, "id": "GoogleCloudDialogflowV2MessageAnnotation", "description": "Represents the result of annotation for the message." }, "GoogleCloudDialogflowV2Sentiment": { "id": "GoogleCloudDialogflowV2Sentiment", "type": "object", "description": "The sentiment, such as positive/negative feeling or association, for a unit of analysis, such as the query text.", "properties": { "score": { "format": "float", "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment)." }, "magnitude": { "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "type": "number", "format": "float" } } }, "GoogleCloudDialogflowV2beta1IntentMessageBasicCard": { "description": "The basic card message. Useful for displaying information.", "properties": { "formattedText": { "type": "string", "description": "Required, unless image is present. The body text of the card." }, "image": { "description": "Optional. The image for the card.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "subtitle": { "type": "string", "description": "Optional. The subtitle of the card." }, "title": { "type": "string", "description": "Optional. The title of the card." }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCardButton" }, "type": "array", "description": "Optional. The collection of card buttons." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard", "type": "object" }, "GoogleCloudDialogflowCxV3beta1VoiceSelectionParams": { "description": "Description of which voice to use for speech synthesis.", "type": "object", "properties": { "name": { "type": "string", "description": "Optional. The name of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and ssml_gender. For the list of available voices, please refer to [Supported voices and languages](https://cloud.google.com/text-to-speech/docs/voices)." }, "ssmlGender": { "description": "Optional. The preferred gender of the voice. If not set, the service will choose a voice based on the other parameters such as language_code and name. Note that this is only a preference, not requirement. If a voice of the appropriate gender is not available, the synthesizer should substitute a voice with a different gender rather than failing the request.", "type": "string", "enum": [ "SSML_VOICE_GENDER_UNSPECIFIED", "SSML_VOICE_GENDER_MALE", "SSML_VOICE_GENDER_FEMALE", "SSML_VOICE_GENDER_NEUTRAL" ], "enumDescriptions": [ "An unspecified gender, which means that the client doesn't care which gender the selected voice will have.", "A male voice.", "A female voice.", "A gender-neutral voice." ] } }, "id": "GoogleCloudDialogflowCxV3beta1VoiceSelectionParams" }, "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText": { "properties": { "text": { "type": "string", "description": "The raw text to be synthesized." }, "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean", "readOnly": true }, "ssml": { "description": "The SSML text to be synthesized. For more information, see [SSML](/speech/text-to-speech/docs/ssml).", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText", "type": "object", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "GoogleCloudDialogflowCxV3beta1ExperimentResultConfidenceInterval": { "id": "GoogleCloudDialogflowCxV3beta1ExperimentResultConfidenceInterval", "properties": { "confidenceLevel": { "description": "The confidence level used to construct the interval, i.e. there is X% chance that the true value is within this interval.", "type": "number", "format": "double" }, "ratio": { "format": "double", "description": "The percent change between an experiment metric's value and the value for its control.", "type": "number" }, "lowerBound": { "format": "double", "type": "number", "description": "Lower bound of the interval." }, "upperBound": { "format": "double", "description": "Upper bound of the interval.", "type": "number" } }, "type": "object", "description": "A confidence interval is a range of possible values for the experiment objective you are trying to measure." }, "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment": { "description": "Represents one segment of audio.", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudioSegment", "properties": { "uri": { "type": "string", "description": "Client-specific URI that points to an audio clip accessible to the client. Dialogflow does not impose any validation on it." }, "allowPlaybackInterruption": { "readOnly": true, "type": "boolean", "description": "Output only. Whether the playback of this segment can be interrupted by the end user's speech and the client should then start the next Dialogflow request." }, "audio": { "format": "byte", "type": "string", "description": "Raw audio synthesized from the Dialogflow agent's response using the output config specified in the request." } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageListSelect": { "properties": { "items": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelectItem" }, "description": "Required. List items." }, "subtitle": { "description": "Optional. Subtitle of the list.", "type": "string" }, "title": { "type": "string", "description": "Optional. The overall title of the list." } }, "type": "object", "description": "The card for presenting a list of options to select from.", "id": "GoogleCloudDialogflowV2beta1IntentMessageListSelect" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction": { "description": "Indicates that interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only and not supposed to be defined by the user.", "properties": {}, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction" }, "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse": { "type": "object", "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsResponse", "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Includes details about skipped documents or any other warnings." } }, "description": "Response message for Documents.ImportDocuments." }, "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1DeleteDocumentOperationMetadata", "type": "object", "description": "Metadata for DeleteDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowV2beta1MessageAnnotation": { "description": "Represents the result of annotation for the message.", "properties": { "parts": { "type": "array", "description": "Optional. The collection of annotated message parts ordered by their position in the message. You can recover the annotated message by concatenating [AnnotatedMessagePart.text].", "items": { "$ref": "GoogleCloudDialogflowV2beta1AnnotatedMessagePart" } }, "containEntities": { "type": "boolean", "description": "Required. Indicates whether the text message contains entities." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1MessageAnnotation" }, "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase": { "type": "object", "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.", "id": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCase", "properties": { "caseContent": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FulfillmentConditionalCasesCaseCaseContent" }, "description": "A list of case content." }, "condition": { "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition).", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransitionNode": { "properties": { "page": { "$ref": "GoogleCloudDialogflowCxV3beta1Page", "description": "Indicates a transition to a Page. Only some fields such as name and displayname will be set." }, "flow": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow", "description": "Indicates a transition to a Flow. Only some fields such as name and displayname will be set." } }, "description": "The source or target of a transition.", "id": "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransitionNode", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply": { "type": "object", "properties": { "text": { "type": "string", "description": "Suggested reply text." }, "postbackData": { "type": "string", "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested reply. This data will be also forwarded to webhook to allow performing custom business logic." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedReply", "description": "Rich Business Messaging (RBM) suggested reply that the user can click instead of typing in their own response." }, "GoogleCloudDialogflowV2Context": { "id": "GoogleCloudDialogflowV2Context", "type": "object", "description": "Dialogflow contexts are similar to natural language context. If a person says to you \"they are orange\", you need context in order to understand what \"they\" is referring to. Similarly, for Dialogflow to handle an end-user expression like that, it needs to be provided with context in order to correctly match an intent. Using contexts, you can control the flow of a conversation. You can configure contexts for an intent by setting input and output contexts, which are identified by string names. When an intent is matched, any configured output contexts for that intent become active. While any contexts are active, Dialogflow is more likely to match intents that are configured with input contexts that correspond to the currently active contexts. For more information about context, see the [Contexts guide](https://cloud.google.com/dialogflow/docs/contexts-overview).", "properties": { "name": { "description": "Required. The unique identifier of the context. Format: `projects//agent/sessions//contexts/`, or `projects//agent/environments//users//sessions//contexts/`. The `Context ID` is always converted to lowercase, may only contain characters in a-zA-Z0-9_-% and may be at most 250 bytes long. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. The following context names are reserved for internal use by Dialogflow. You should not use these contexts or create contexts with these names: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `__system_counters__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_id_dialog_context` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*_dialog_params_size`", "type": "string" }, "parameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Optional. The collection of parameters associated with this context. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value" }, "lifespanCount": { "type": "integer", "description": "Optional. The number of conversational query requests after which the context expires. The default is `0`. If set to `0`, the context expires immediately. Contexts expire automatically after 20 minutes if there are no matching queries.", "format": "int32" } } }, "GoogleCloudDialogflowV2beta1SentimentAnalysisResult": { "id": "GoogleCloudDialogflowV2beta1SentimentAnalysisResult", "type": "object", "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config", "properties": { "queryTextSentiment": { "description": "The sentiment analysis result for `query_text`.", "$ref": "GoogleCloudDialogflowV2beta1Sentiment" } } }, "GoogleCloudDialogflowCxV3beta1IntentCoverageIntent": { "id": "GoogleCloudDialogflowCxV3beta1IntentCoverageIntent", "description": "The agent's intent.", "properties": { "covered": { "description": "Whether or not the intent is covered by at least one of the agent's test cases.", "type": "boolean" }, "intent": { "description": "The intent full resource name", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV2SuggestFaqAnswersResponse": { "id": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse", "properties": { "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestFaqAnswersRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." }, "faqAnswers": { "type": "array", "description": "Answers extracted from FAQ documents.", "items": { "$ref": "GoogleCloudDialogflowV2FaqAnswer" } } }, "description": "The request message for Participants.SuggestFaqAnswers.", "type": "object" }, "GoogleCloudDialogflowV2beta1EntityTypeEntity": { "id": "GoogleCloudDialogflowV2beta1EntityTypeEntity", "description": "An **entity entry** for an associated entity type.", "properties": { "value": { "description": "Required. The primary value associated with this entity entry. For example, if the entity type is *vegetable*, the value could be *scallions*. For `KIND_MAP` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A reference value to be used in place of synonyms. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string that can contain references to other entity types (with or without aliases).", "type": "string" }, "synonyms": { "type": "array", "description": "Required. A collection of value synonyms. For example, if the entity type is *vegetable*, and `value` is *scallions*, a synonym could be *green onions*. For `KIND_LIST` entity types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh This collection must contain exactly one synonym equal to `value`.", "items": { "type": "string" } } }, "type": "object" }, "GoogleCloudDialogflowV2OriginalDetectIntentRequest": { "properties": { "version": { "type": "string", "description": "Optional. The version of the protocol used for this request. This field is AoG-specific." }, "source": { "description": "The source of this request, e.g., `google`, `facebook`, `slack`. It is set by Dialogflow-owned servers.", "type": "string" }, "payload": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Optional. This field is set to the value of the `QueryParameters.payload` field passed in the request. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: { \"telephony\": { \"caller_id\": \"+18558363987\" } } Note: The caller ID field (`caller_id`) will be redacted for Trial Edition agents and populated with the caller ID in [E.164 format](https://en.wikipedia.org/wiki/E.164) for Essentials Edition agents.", "type": "object" } }, "id": "GoogleCloudDialogflowV2OriginalDetectIntentRequest", "type": "object", "description": "Represents the contents of the original request that was passed to the `[Streaming]DetectIntent` call." }, "GoogleCloudDialogflowV2InputDataset": { "properties": { "dataset": { "description": "Required. ConversationDataset resource name. Format: `projects//locations//conversationDatasets/`", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2InputDataset", "description": "InputDataset used to create model or do evaluation. NextID:5" }, "GoogleCloudDialogflowCxV3ResponseMessageText": { "type": "object", "id": "GoogleCloudDialogflowCxV3ResponseMessageText", "description": "The text response message.", "properties": { "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "type": "boolean", "readOnly": true }, "text": { "description": "Required. A collection of text responses.", "type": "array", "items": { "type": "string" } } } }, "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata": { "type": "object", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "id": "GoogleCloudDialogflowCxV3CreateDocumentOperationMetadata", "description": "Metadata for CreateDocument operation." }, "GoogleCloudDialogflowCxV3beta1ListContinuousTestResultsResponse": { "properties": { "continuousTestResults": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult" }, "description": "The list of continuous test results." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "description": "The response message for Environments.ListTestCaseResults.", "id": "GoogleCloudDialogflowCxV3beta1ListContinuousTestResultsResponse" }, "GoogleCloudDialogflowCxV3beta1SecuritySettings": { "properties": { "purgeDataTypes": { "description": "List of types of data to remove when retention settings triggers purge.", "items": { "enum": [ "PURGE_DATA_TYPE_UNSPECIFIED", "DIALOGFLOW_HISTORY" ], "type": "string", "enumDescriptions": [ "Unspecified. Do not use.", "Dialogflow history. This does not include Cloud logging, which is owned by the user - not Dialogflow." ] }, "type": "array" }, "retentionWindowDays": { "type": "integer", "format": "int32", "description": "Retains data in interaction logging for the specified number of days. This does not apply to Cloud logging, which is owned by the user - not Dialogflow. User must set a value lower than Dialogflow's default 365d TTL. Setting a value higher than that has no effect. A missing value or setting to 0 also means we use Dialogflow's default TTL. Note: Interaction logging is a limited access feature. Talk to your Google representative to check availability for you." }, "displayName": { "description": "Required. The human-readable name of the security settings, unique within the location.", "type": "string" }, "redactionScope": { "description": "Defines the data for which Dialogflow applies redaction. Dialogflow does not redact data that it does not have access to – for example, Cloud logging.", "type": "string", "enumDescriptions": [ "Don't redact any kind of data.", "On data to be written to disk or similar devices that are capable of holding data even if power is disconnected. This includes data that are temporarily saved on disk." ], "enum": [ "REDACTION_SCOPE_UNSPECIFIED", "REDACT_DISK_STORAGE" ] }, "insightsExportSettings": { "description": "Controls conversation exporting settings to Insights after conversation is completed. If retention_strategy is set to REMOVE_AFTER_CONVERSATION, Insights export is disabled no matter what you configure here.", "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettingsInsightsExportSettings" }, "inspectTemplate": { "description": "[DLP](https://cloud.google.com/dlp/docs) inspect template name. Use this template to define inspect base settings. The `DLP Inspect Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, we use the default DLP inspect config. The template name will have one of the following formats: `projects//locations//inspectTemplates/` OR `organizations//locations//inspectTemplates/` Note: `inspect_template` must be located in the same region as the `SecuritySettings`.", "type": "string" }, "audioExportSettings": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettingsAudioExportSettings", "description": "Controls audio export settings for post-conversation analytics when ingesting audio to conversations via Participants.AnalyzeContent or Participants.StreamingAnalyzeContent. If retention_strategy is set to REMOVE_AFTER_CONVERSATION or audio_export_settings.gcs_bucket is empty, audio export is disabled. If audio export is enabled, audio is recorded and saved to audio_export_settings.gcs_bucket, subject to retention policy of audio_export_settings.gcs_bucket. This setting won't effect audio input for implicit sessions via Sessions.DetectIntent or Sessions.StreamingDetectIntent." }, "deidentifyTemplate": { "description": "[DLP](https://cloud.google.com/dlp/docs) deidentify template name. Use this template to define de-identification configuration for the content. The `DLP De-identify Templates Reader` role is needed on the Dialogflow service identity service account (has the form `service-PROJECT_NUMBER@gcp-sa-dialogflow.iam.gserviceaccount.com`) for your agent's project. If empty, Dialogflow replaces sensitive info with `[redacted]` text. The template name will have one of the following formats: `projects//locations//deidentifyTemplates/` OR `organizations//locations//deidentifyTemplates/` Note: `deidentify_template` must be located in the same region as the `SecuritySettings`.", "type": "string" }, "redactionStrategy": { "description": "Strategy that defines how we do redaction.", "enum": [ "REDACTION_STRATEGY_UNSPECIFIED", "REDACT_WITH_SERVICE" ], "type": "string", "enumDescriptions": [ "Do not redact.", "Call redaction service to clean up the data to be persisted." ] }, "name": { "description": "Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`.", "type": "string" } }, "type": "object", "description": "Represents the settings related to security issues, such as data redaction and data retention. It may take hours for updates on the settings to propagate to all the related components and take effect.", "id": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "GoogleCloudDialogflowCxV3beta1Deployment": { "description": "Represents an deployment in an environment. A deployment happens when a flow version configured to be active in the environment. You can configure running pre-deployment steps, e.g. running validation test cases, experiment auto-rollout, etc.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED" ], "type": "string", "enumDescriptions": [ "State unspecified.", "The deployment is running.", "The deployment succeeded.", "The deployment failed." ], "description": "The current state of the deployment." }, "startTime": { "type": "string", "description": "Start time of this deployment.", "format": "google-datetime" }, "result": { "$ref": "GoogleCloudDialogflowCxV3beta1DeploymentResult", "description": "Result of the deployment." }, "endTime": { "format": "google-datetime", "description": "End time of this deployment.", "type": "string" }, "flowVersion": { "description": "The name of the flow version for this deployment. Format: projects//locations//agents//flows//versions/.", "type": "string" }, "name": { "type": "string", "description": "The name of the deployment. Format: projects//locations//agents//environments//deployments/." } }, "id": "GoogleCloudDialogflowCxV3beta1Deployment", "type": "object" }, "GoogleCloudDialogflowCxV3SessionInfo": { "type": "object", "id": "GoogleCloudDialogflowCxV3SessionInfo", "description": "Represents session information communicated to and from the webhook.", "properties": { "parameters": { "type": "object", "description": "Optional for WebhookRequest. Optional for WebhookResponse. All parameters collected from forms and intents during the session. Parameters can be created, updated, or removed by the webhook. To remove a parameter from the session, the webhook should explicitly set the parameter value to null in WebhookResponse. The map is keyed by parameters' display names.", "additionalProperties": { "type": "any" } }, "session": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the session. This field can be used by the webhook to identify a session. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/` if environment is specified.", "type": "string" } } }, "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo": { "description": "Represents parameter information.", "properties": { "required": { "type": "boolean", "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." }, "value": { "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.", "type": "any" }, "justCollected": { "type": "boolean", "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn." }, "state": { "type": "string", "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ], "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ], "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored." }, "displayName": { "type": "string", "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3PageInfoFormInfoParameterInfo" }, "GoogleCloudDialogflowCxV3Environment": { "id": "GoogleCloudDialogflowCxV3Environment", "properties": { "description": { "type": "string", "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected." }, "updateTime": { "description": "Output only. Update time of this environment.", "readOnly": true, "type": "string", "format": "google-datetime" }, "webhookConfig": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentWebhookConfig", "description": "The webhook configuration for this environment." }, "name": { "type": "string", "description": "The name of the environment. Format: `projects//locations//agents//environments/`." }, "testCasesConfig": { "description": "The test cases config for continuous tests of this environment.", "$ref": "GoogleCloudDialogflowCxV3EnvironmentTestCasesConfig" }, "versionConfigs": { "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.", "items": { "$ref": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig" }, "type": "array" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters." } }, "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ListPagesResponse": { "properties": { "pages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "type": "array", "description": "The list of pages. There will be a maximum number of items returned based on the page_size field in the request." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object", "description": "The response message for Pages.ListPages.", "id": "GoogleCloudDialogflowCxV3beta1ListPagesResponse" }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse": { "description": "The response message for TestCases.ImportTestCases.", "properties": { "names": { "description": "The unique identifiers of the new test cases. Format: `projects//locations//agents//testCases/`.", "items": { "type": "string" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesResponse", "type": "object" }, "GoogleCloudLocationListLocationsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "GoogleCloudLocationLocation" }, "description": "A list of locations that matches the specified filter in the request." } }, "id": "GoogleCloudLocationListLocationsResponse", "description": "The response message for Locations.ListLocations." }, "GoogleCloudDialogflowV2beta1ConversationEvent": { "properties": { "newMessagePayload": { "description": "Payload of NEW_MESSAGE event.", "$ref": "GoogleCloudDialogflowV2beta1Message" }, "conversation": { "type": "string", "description": "Required. The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`." }, "errorStatus": { "description": "Optional. More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL.", "$ref": "GoogleRpcStatus" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ], "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ], "type": "string", "description": "Required. The type of the event that this notification refers to." } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1ConversationEvent", "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events." }, "GoogleCloudDialogflowV2IntentMessageSimpleResponse": { "type": "object", "description": "The simple response message containing speech or text.", "properties": { "displayText": { "type": "string", "description": "Optional. The text to display." }, "textToSpeech": { "description": "One of text_to_speech or ssml must be provided. The plain text of the speech output. Mutually exclusive with ssml.", "type": "string" }, "ssml": { "description": "One of text_to_speech or ssml must be provided. Structured spoken response to the user in the SSML format. Mutually exclusive with text_to_speech.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageSimpleResponse" }, "GoogleCloudDialogflowCxV3beta1IntentParameter": { "id": "GoogleCloudDialogflowCxV3beta1IntentParameter", "type": "object", "properties": { "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." }, "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "id": { "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts.", "type": "string" }, "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" } }, "description": "Represents an intent parameter." }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCase", "description": "Each case has a Boolean condition. When it is evaluated to be True, the corresponding messages will be selected and evaluated recursively.", "properties": { "condition": { "type": "string", "description": "The condition to activate and select this case. Empty means the condition is always true. The condition is evaluated against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition)." }, "caseContent": { "description": "A list of case content.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent" }, "type": "array" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial": { "description": "Opens the user's default dialer app with the specified phone number but does not dial automatically.", "type": "object", "properties": { "phoneNumber": { "type": "string", "description": "Required. The phone number to fill in the default dialer app. This field should be in [E.164](https://en.wikipedia.org/wiki/E.164) format. An example of a correctly formatted phone number: +15556767888." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial" }, "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata": { "type": "object", "id": "GoogleCloudDialogflowV3alpha1ImportDocumentsOperationMetadata", "description": "Metadata for ImportDocuments operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata" } } }, "GoogleCloudDialogflowCxV3beta1QueryParameters": { "type": "object", "description": "Represents the parameters of a conversational query.", "id": "GoogleCloudDialogflowCxV3beta1QueryParameters", "properties": { "timeZone": { "description": "The time zone of this conversational query from the [time zone database](https://www.iana.org/time-zones), e.g., America/New_York, Europe/Paris. If not provided, the time zone specified in the agent is used.", "type": "string" }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "This field can be used to pass custom data into the webhook associated with the agent. Arbitrary JSON objects are supported. Some integrations that query a Dialogflow agent may provide additional information in the payload. In particular, for the Dialogflow Phone Gateway integration, this field has the form: ``` { \"telephony\": { \"caller_id\": \"+18558363987\" } } ```" }, "flowVersions": { "description": "A list of flow versions to override for the request. Format: `projects//locations//agents//flows//versions/`. If version 1 of flow X is included in this list, the traffic of flow X will go through version 1 regardless of the version configuration in the environment. Each flow can have at most one version specified in this list.", "type": "array", "items": { "type": "string" } }, "geoLocation": { "description": "The geo location of this conversational query.", "$ref": "GoogleTypeLatLng" }, "currentPage": { "description": "The unique identifier of the page to override the current page in the session. Format: `projects//locations//agents//flows//pages/`. If `current_page` is specified, the previous state of the session will be ignored by Dialogflow, including the previous page and the previous session parameters. In most cases, current_page and parameters should be configured together to direct a session to a specific state.", "type": "string" }, "disableWebhook": { "description": "Whether to disable webhook calls for this request.", "type": "boolean" }, "analyzeQueryTextSentiment": { "type": "boolean", "description": "Configures whether sentiment analysis should be performed. If not provided, sentiment analysis is not performed." }, "sessionEntityTypes": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "description": "Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session of this query.", "type": "array" }, "parameters": { "description": "Additional parameters to be put into session parameters. To remove a parameter from the session, clients should explicitly set the parameter value to null. You can reference the session parameters in the agent with the following format: $session.params.parameter-id. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value.", "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "webhookHeaders": { "description": "This field can be used to pass HTTP headers for a webhook call. These headers will be sent to webhook along with the headers that have been configured through Dialogflow web console. The headers defined within this field will overwrite the headers configured through Dialogflow console if there is a conflict. Header names are case-insensitive. Google's specified headers are not allowed. Including: \"Host\", \"Content-Length\", \"Connection\", \"From\", \"User-Agent\", \"Accept-Encoding\", \"If-Modified-Since\", \"If-None-Match\", \"X-Forwarded-For\", etc.", "additionalProperties": { "type": "string" }, "type": "object" } } }, "GoogleCloudDialogflowCxV3beta1SynthesizeSpeechConfig": { "description": "Configuration of how speech should be synthesized.", "type": "object", "properties": { "effectsProfileId": { "description": "Optional. An identifier which selects 'audio effects' profiles that are applied on (post synthesized) text to speech. Effects are applied on top of each other in the order they are given.", "type": "array", "items": { "type": "string" } }, "volumeGainDb": { "description": "Optional. Volume gain (in dB) of the normal native volume supported by the specific voice, in the range [-96.0, 16.0]. If unset, or set to a value of 0.0 (dB), will play at normal native signal amplitude. A value of -6.0 (dB) will play at approximately half the amplitude of the normal native signal amplitude. A value of +6.0 (dB) will play at approximately twice the amplitude of the normal native signal amplitude. We strongly recommend not to exceed +10 (dB) as there's usually no effective increase in loudness for any value greater than that.", "format": "double", "type": "number" }, "pitch": { "description": "Optional. Speaking pitch, in the range [-20.0, 20.0]. 20 means increase 20 semitones from the original pitch. -20 means decrease 20 semitones from the original pitch.", "format": "double", "type": "number" }, "voice": { "$ref": "GoogleCloudDialogflowCxV3beta1VoiceSelectionParams", "description": "Optional. The desired voice of the synthesized audio." }, "speakingRate": { "description": "Optional. Speaking rate/speed, in the range [0.25, 4.0]. 1.0 is the normal native speed supported by the specific voice. 2.0 is twice as fast, and 0.5 is half as fast. If unset(0.0), defaults to the native 1.0 speed. Any other values \u003c 0.25 or \u003e 4.0 will return an error.", "type": "number", "format": "double" } }, "id": "GoogleCloudDialogflowCxV3beta1SynthesizeSpeechConfig" }, "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata": { "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "properties": { "exportOperationMetadata": { "$ref": "GoogleCloudDialogflowV2beta1ExportOperationMetadata", "description": "Metadata for the Export Data Operation such as the destination of export." }, "knowledgeBase": { "description": "The name of the knowledge base interacted with during the operation.", "type": "string" }, "state": { "description": "Required. Output only. The current state of this operation.", "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "readOnly": true } }, "id": "GoogleCloudDialogflowV2beta1KnowledgeOperationMetadata" }, "GoogleCloudDialogflowV2IntentMessageCardButton": { "id": "GoogleCloudDialogflowV2IntentMessageCardButton", "type": "object", "properties": { "text": { "type": "string", "description": "Optional. The text to show on the button." }, "postback": { "type": "string", "description": "Optional. The text to send back to the Dialogflow API or a URI to open." } }, "description": "Contains information about a button." }, "GoogleCloudDialogflowCxV3IntentTrainingPhrase": { "description": "Represents an example that the agent is trained on to identify the intent.", "type": "object", "properties": { "repeatCount": { "format": "int32", "type": "integer", "description": "Indicates how many times this example was added to the intent." }, "parts": { "description": "Required. The ordered list of training phrase parts. The parts are concatenated in order to form the training phrase. Note: The API does not automatically annotate training phrases like the Dialogflow Console does. Note: Do not forget to include whitespace at part boundaries, so the training phrase is well formatted when the parts are concatenated. If the training phrase does not need to be annotated with parameters, you just need a single part with only the Part.text field set. If you want to annotate the training phrase, you must create multiple parts, where the fields of each part are populated in one of two ways: - `Part.text` is set to a part of the phrase that has no parameters. - `Part.text` is set to a part of the phrase that you want to annotate, and the `parameter_id` field is set.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart" } }, "id": { "type": "string", "description": "Output only. The unique identifier of the training phrase." } }, "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrase" }, "GoogleCloudDialogflowV2WebhookRequest": { "properties": { "session": { "type": "string", "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Format: `projects//agent/sessions/`, or `projects//agent/environments//users//sessions/`." }, "originalDetectIntentRequest": { "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.", "$ref": "GoogleCloudDialogflowV2OriginalDetectIntentRequest" }, "queryResult": { "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`.", "$ref": "GoogleCloudDialogflowV2QueryResult" }, "responseId": { "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`.", "type": "string" } }, "id": "GoogleCloudDialogflowV2WebhookRequest", "description": "The request message for a webhook call.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1ReloadDocumentOperationMetadata", "description": "Metadata for ReloadDocument operation.", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata" } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransition": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransition", "properties": { "target": { "description": "The end node of a transition.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransitionNode" }, "transitionRoute": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute", "description": "Intent route or condition route." }, "source": { "description": "The start node of a transition.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionCoverageTransitionNode" }, "eventHandler": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler", "description": "Event handler." }, "covered": { "description": "Whether or not the transition is covered by at least one of the agent's test cases.", "type": "boolean" }, "index": { "type": "integer", "description": "The index of a transition in the transition list. Starting from 0.", "format": "int32" } }, "description": "A transition in a page." }, "GoogleCloudDialogflowCxV3beta1ExportAgentResponse": { "properties": { "agentUri": { "type": "string", "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in ExportAgentRequest." }, "agentContent": { "description": "Uncompressed raw byte content for agent.", "format": "byte", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ExportAgentResponse", "description": "The response message for Agents.ExportAgent." }, "GoogleCloudDialogflowCxV3beta1EntityType": { "id": "GoogleCloudDialogflowCxV3beta1EntityType", "description": "Entities are extracted from user input and represent parameters that are meaningful to your application. For example, a date range, a proper name such as a geographic location or landmark, and so on. Entities represent actionable data for your application. When you define an entity, you can also include synonyms that all map to that entity. For example, \"soft drink\", \"soda\", \"pop\", and so on. There are three types of entities: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **System** - entities that are defined by the Dialogflow API for common data types such as date, time, currency, and so on. A system entity is represented by the `EntityType` type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **Custom** - entities that are defined by you that represent actionable data that is meaningful to your application. For example, you could define a `pizza.sauce` entity for red or white pizza sauce, a `pizza.cheese` entity for the different types of cheese on a pizza, a `pizza.topping` entity for different toppings, and so on. A custom entity is represented by the `EntityType` type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh **User** - entities that are built for an individual user such as favorites, preferences, playlists, and so on. A user entity is represented by the SessionEntityType type. For more information about entity types, see the [Dialogflow documentation](https://cloud.google.com/dialogflow/docs/entities-overview).", "type": "object", "properties": { "entities": { "description": "The collection of entity entries associated with the entity type.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityTypeEntity" } }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`." }, "kind": { "type": "string", "description": "Required. Indicates the kind of entity type.", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ], "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a canonical value.", "List entity types contain a set of entries that do not map to canonical values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ] }, "excludedPhrases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityTypeExcludedPhrase" }, "type": "array", "description": "Collection of exceptional words and phrases that shouldn't be matched. For example, if you have a size entity type with entry `giant`(an adjective), you might consider adding `giants`(a noun) as an exclusion. If the kind of entity type is `KIND_MAP`, then the phrases specified by entities and excluded phrases should be mutually exclusive." }, "displayName": { "type": "string", "description": "Required. The human-readable name of the entity type, unique within the agent." }, "enableFuzzyExtraction": { "type": "boolean", "description": "Enables fuzzy entity extraction during classification." }, "autoExpansionMode": { "type": "string", "description": "Indicates whether the entity type can be automatically expanded.", "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ] }, "redact": { "type": "boolean", "description": "Indicates whether parameters of the entity type should be redacted in log. If redaction is enabled, page parameters and intent parameters referring to the entity type will be replaced by parameter name during logging." } } }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "properties": { "urlTypeHint": { "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "type": "string", "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ], "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ] }, "url": { "type": "string", "description": "Required. URL" } }, "description": "Actions on Google action to open a given url.", "type": "object" }, "GoogleCloudDialogflowCxV3DeployFlowMetadata": { "properties": { "testErrors": { "items": { "$ref": "GoogleCloudDialogflowCxV3TestError" }, "type": "array", "description": "Errors of running deployment tests." } }, "type": "object", "description": "Metadata returned for the Environments.DeployFlow long running operation.", "id": "GoogleCloudDialogflowCxV3DeployFlowMetadata" }, "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio": { "type": "object", "description": "Specifies an audio clip to be played by the client as part of the response.", "properties": { "allowPlaybackInterruption": { "description": "Output only. Whether the playback of this message can be interrupted by the end user's speech and the client can then starts the next Dialogflow request.", "readOnly": true, "type": "boolean" }, "audioUri": { "description": "Required. URI of the audio clip. Dialogflow does not impose any validation on this value. It is specific to the client that reads it.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio" }, "GoogleCloudDialogflowCxV3beta1NluSettings": { "properties": { "modelType": { "type": "string", "enum": [ "MODEL_TYPE_UNSPECIFIED", "MODEL_TYPE_STANDARD", "MODEL_TYPE_ADVANCED" ], "enumDescriptions": [ "Not specified. `MODEL_TYPE_STANDARD` will be used.", "Use standard NLU model.", "Use advanced NLU model." ], "description": "Indicates the type of NLU model." }, "classificationThreshold": { "type": "number", "description": "To filter out false positive results and still get variety in matched natural language inputs for your agent, you can tune the machine learning classification threshold. If the returned score value is less than the threshold value, then a no-match event will be triggered. The score values range from 0.0 (completely uncertain) to 1.0 (completely certain). If set to 0.0, the default of 0.3 is used.", "format": "float" }, "modelTrainingMode": { "enumDescriptions": [ "Not specified. `MODEL_TRAINING_MODE_AUTOMATIC` will be used.", "NLU model training is automatically triggered when a flow gets modified. User can also manually trigger model training in this mode.", "User needs to manually trigger NLU model training. Best for large flows whose models take long time to train." ], "description": "Indicates NLU model training mode.", "enum": [ "MODEL_TRAINING_MODE_UNSPECIFIED", "MODEL_TRAINING_MODE_AUTOMATIC", "MODEL_TRAINING_MODE_MANUAL" ], "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1NluSettings", "description": "Settings related to NLU.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ListDeploymentsResponse": { "description": "The response message for Deployments.ListDeployments.", "id": "GoogleCloudDialogflowCxV3beta1ListDeploymentsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "deployments": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Deployment" }, "description": "The list of deployments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "type": "array" } } }, "GoogleCloudDialogflowV2IntentMessageSelectItemInfo": { "description": "Additional info about the select item for when it is triggered in a dialog.", "type": "object", "properties": { "key": { "type": "string", "description": "Required. A unique key that will be sent back to the agent if this response is given." }, "synonyms": { "type": "array", "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog.", "items": { "type": "string" } } }, "id": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo" }, "GoogleCloudDialogflowV2Intent": { "type": "object", "properties": { "messages": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" }, "type": "array", "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console." }, "outputContexts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`." }, "webhookState": { "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ], "description": "Optional. Indicates whether webhooks are enabled for the intent.", "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ], "type": "string" }, "name": { "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Format: `projects//agent/intents/`.", "type": "string" }, "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "followupIntentInfo": { "description": "Output only. Read-only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentFollowupIntentInfo" }, "readOnly": true }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowV2IntentParameter" }, "description": "Optional. The collection of parameters associated with the intent.", "type": "array" }, "parentFollowupIntentName": { "description": "Read-only after creation. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`.", "type": "string" }, "rootFollowupIntentName": { "description": "Output only. Read-only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. We populate this field only in the output. Format: `projects//agent/intents/`.", "readOnly": true, "type": "string" }, "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "defaultResponsePlatforms": { "type": "array", "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform).", "items": { "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "GOOGLE_HANGOUTS" ], "enumDescriptions": [ "Default platform.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Google Hangouts." ] } }, "events": { "items": { "type": "string" }, "type": "array", "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters." }, "displayName": { "description": "Required. The name of this intent.", "type": "string" }, "trainingPhrases": { "items": { "$ref": "GoogleCloudDialogflowV2IntentTrainingPhrase" }, "description": "Optional. The collection of examples that the agent is trained on.", "type": "array" }, "liveAgentHandoff": { "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.", "type": "boolean" }, "priority": { "format": "int32", "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer" }, "mlDisabled": { "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.", "type": "boolean" }, "inputContextNames": { "items": { "type": "string" }, "type": "array", "description": "Optional. The list of context names required for this intent to be triggered. Format: `projects//agent/sessions/-/contexts/`." }, "resetContexts": { "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched.", "type": "boolean" }, "action": { "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.", "type": "string" } }, "id": "GoogleCloudDialogflowV2Intent", "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview)." }, "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall": { "type": "object", "properties": { "phoneNumber": { "type": "string", "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164)." } }, "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint.", "id": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall" }, "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverageTransition": { "description": "A transition coverage in a transition route group.", "id": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverageTransition", "type": "object", "properties": { "transitionRoute": { "description": "Intent route or condition route.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" }, "covered": { "type": "boolean", "description": "Whether or not the transition route is covered by at least one of the agent's test cases." } } }, "GoogleCloudDialogflowCxV3beta1QueryResult": { "type": "object", "description": "Represents the result of a conversational query.", "properties": { "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "languageCode": { "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes.", "type": "string" }, "intent": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent", "description": "The Intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name` and `display_name`. This field is deprecated, please use QueryResult.match instead." }, "match": { "$ref": "GoogleCloudDialogflowCxV3beta1Match", "description": "Intent match result, could be an intent or an event." }, "diagnosticInfo": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "The free-form diagnostic info. For example, this field could contain webhook call latency. The fields of this data can change without notice, so you should not write code that depends on its structure. One of the fields is called \"Alternative Matched Intents\", which may aid with debugging. The following describes these intent results: - The list is empty if no intent was matched to end-user input. - Only intents that are referenced in the currently active flow are included. - The matched intent is included. - Other intents that could have matched end-user input, but did not match because they are referenced by intent routes that are out of [scope](https://cloud.google.com/dialogflow/cx/docs/concept/handler#scope), are included. - Other intents referenced by intent routes in scope that matched end-user input, but had a lower confidence score." }, "parameters": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The collected session parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey type: string LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapKey value: parameter name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue type: If parameter's entity type is a composite entity then use map, otherwise, depending on the parameter value type, it could be one of string, number, boolean, null, list or map. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MapValue value: If parameter's entity type is a composite entity then use map from composite entity property names to property values, otherwise, use parameter value." }, "webhookPayloads": { "items": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "type": "array", "description": "The list of webhook payload in WebhookResponse.payload, in the order of call sequence. If some webhook call fails or doesn't return any payload, an empty `Struct` would be used instead." }, "triggerIntent": { "type": "string", "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`." }, "dtmf": { "$ref": "GoogleCloudDialogflowCxV3beta1DtmfInput", "description": "If a DTMF was provided as input, this field will contain a copy of the DTMFInput." }, "intentDetectionConfidence": { "type": "number", "format": "float", "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. This field is deprecated, please use QueryResult.match instead." }, "transcript": { "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio.", "type": "string" }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "webhookStatuses": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "The list of webhook call status in the order of call sequence." }, "currentPage": { "$ref": "GoogleCloudDialogflowCxV3beta1Page", "description": "The current Page. Some, not all fields are filled in this message, including but not limited to `name` and `display_name`." }, "responseMessages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "description": "The list of rich messages returned to the client. Responses vary from simple text messages to more sophisticated, structured payloads used to drive complex logic.", "type": "array" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowCxV3beta1SentimentAnalysisResult", "description": "The sentiment analyss result, which depends on `analyze_query_text_sentiment`, specified in the request." } }, "id": "GoogleCloudDialogflowCxV3beta1QueryResult" }, "GoogleCloudDialogflowCxV3beta1ExperimentResultVersionMetrics": { "description": "Version variant and associated metrics.", "properties": { "metrics": { "description": "The metrics and corresponding confidence intervals in the inference result.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ExperimentResultMetric" }, "type": "array" }, "version": { "type": "string", "description": "The name of the flow Version. Format: `projects//locations//agents//flows//versions/`." }, "sessionCount": { "format": "int32", "description": "Number of sessions that were allocated to this version.", "type": "integer" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ExperimentResultVersionMetrics" }, "GoogleCloudDialogflowV2beta1IntentMessage": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessage", "description": "Corresponds to the `Response` field in the Dialogflow console.", "properties": { "browseCarouselCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard", "description": "Browse carousel card for Actions on Google." }, "suggestions": { "description": "Displays suggestion chips for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSuggestions" }, "listSelect": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageListSelect", "description": "Displays a list card for Actions on Google." }, "linkOutSuggestion": { "description": "Displays a link out suggestion chip for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageLinkOutSuggestion" }, "mediaContent": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent", "description": "The media content card for Actions on Google." }, "image": { "description": "Displays an image.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "A custom platform-specific response.", "type": "object" }, "simpleResponses": { "description": "Returns a voice or text-only response for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses" }, "rbmText": { "description": "Rich Business Messaging (RBM) text response. RBM allows businesses to send enriched and branded versions of SMS. See https://jibe.google.com/business-messaging.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmText" }, "telephonyPlayAudio": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyPlayAudio", "description": "Plays audio from a file in Telephony Gateway." }, "carouselSelect": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect", "description": "Displays a carousel card for Actions on Google." }, "basicCard": { "description": "Displays a basic card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBasicCard" }, "telephonyTransferCall": { "description": "Transfers the call in Telephony Gateway.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonyTransferCall" }, "text": { "description": "Returns a text response.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageText" }, "rbmCarouselRichCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard", "description": "Rich Business Messaging (RBM) carousel rich card response." }, "platform": { "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ], "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ], "type": "string", "description": "Optional. The platform that this message is intended for." }, "card": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCard", "description": "Displays a card." }, "tableCard": { "description": "Table card for Actions on Google.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTableCard" }, "quickReplies": { "description": "Displays quick replies.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageQuickReplies" }, "rbmStandaloneRichCard": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "description": "Standalone Rich Business Messaging (RBM) rich card response." }, "telephonySynthesizeSpeech": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageTelephonySynthesizeSpeech", "description": "Synthesizes speech in Telephony Gateway." } } }, "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject": { "type": "object", "properties": { "largeImage": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Image to display above media content." }, "description": { "description": "Optional. Description of media card.", "type": "string" }, "icon": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. Icon to display above media content." }, "contentUrl": { "type": "string", "description": "Required. Url where the media is stored." }, "name": { "description": "Required. Name of media card.", "type": "string" } }, "description": "Response media object for media content card.", "id": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject" }, "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse": { "id": "GoogleCloudDialogflowV2beta1BatchUpdateEntityTypesResponse", "type": "object", "description": "The response message for EntityTypes.BatchUpdateEntityTypes.", "properties": { "entityTypes": { "type": "array", "description": "The collection of updated or created entity types.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityType" } } } }, "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction": { "description": "Actions on Google action to open a given url.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction", "properties": { "urlTypeHint": { "enum": [ "URL_TYPE_HINT_UNSPECIFIED", "AMP_ACTION", "AMP_CONTENT" ], "type": "string", "description": "Optional. Specifies the type of viewer that is used when opening the URL. Defaults to opening via web browser.", "enumDescriptions": [ "Unspecified", "Url would be an amp action", "URL that points directly to AMP content, or to a canonical URL which refers to AMP content via ." ] }, "url": { "description": "Required. URL", "type": "string" } } }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem": { "properties": { "description": { "type": "string", "description": "Optional. Description of the carousel item. Maximum of four lines of text." }, "image": { "description": "Optional. Hero image for the carousel item.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageImage" }, "openUriAction": { "description": "Required. Action to present to the user.", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItemOpenUrlAction" }, "title": { "type": "string", "description": "Required. Title of the carousel item. Maximum of two lines of text." }, "footer": { "type": "string", "description": "Optional. Text that appears at the bottom of the Browse Carousel Card. Maximum of one line of text." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem", "type": "object", "description": "Browsing carousel tile" }, "GoogleCloudDialogflowCxV3beta1ExperimentResultMetric": { "type": "object", "properties": { "ratio": { "description": "Ratio value of a metric.", "format": "double", "type": "number" }, "count": { "format": "double", "type": "number", "description": "Count value of a metric." }, "type": { "description": "Ratio-based metric type. Only one of type or count_type is specified in each Metric.", "type": "string", "enumDescriptions": [ "Metric unspecified.", "Percentage of contained sessions without user calling back in 24 hours.", "Percentage of sessions that were handed to a human agent.", "Percentage of sessions with the same user calling back.", "Percentage of sessions where user hung up.", "Percentage of sessions reached Dialogflow 'END_PAGE' or 'END_SESSION'." ], "enum": [ "METRIC_UNSPECIFIED", "CONTAINED_SESSION_NO_CALLBACK_RATE", "LIVE_AGENT_HANDOFF_RATE", "CALLBACK_SESSION_RATE", "ABANDONED_SESSION_RATE", "SESSION_END_RATE" ] }, "countType": { "enumDescriptions": [ "Count type unspecified.", "Total number of occurrences of a 'NO_MATCH'.", "Total number of turn counts.", "Average turn count in a session." ], "description": "Count-based metric type. Only one of type or count_type is specified in each Metric.", "type": "string", "enum": [ "COUNT_TYPE_UNSPECIFIED", "TOTAL_NO_MATCH_COUNT", "TOTAL_TURN_COUNT", "AVERAGE_TURN_COUNT" ] }, "confidenceInterval": { "$ref": "GoogleCloudDialogflowCxV3beta1ExperimentResultConfidenceInterval", "description": "The probability that the treatment is better than all other treatments in the experiment" } }, "id": "GoogleCloudDialogflowCxV3beta1ExperimentResultMetric", "description": "Metric and corresponding confidence intervals." }, "GoogleCloudDialogflowCxV3beta1Webhook": { "properties": { "name": { "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.", "type": "string" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the webhook, unique within the agent." }, "genericWebService": { "description": "Configuration for a generic web service.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService" }, "timeout": { "description": "Webhook execution timeout. Execution is considered failed if Dialogflow doesn't receive a response from webhook at the end of the timeout period. Defaults to 5 seconds, maximum allowed timeout is 30 seconds.", "format": "google-duration", "type": "string" }, "serviceDirectory": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig", "description": "Configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "disabled": { "type": "boolean", "description": "Indicates whether the webhook is disabled." } }, "type": "object", "description": "Webhooks host the developer's business logic. During a session, webhooks allow the developer to use the data extracted by Dialogflow's natural language processing to generate dynamic responses, validate collected data, or trigger actions on the backend.", "id": "GoogleCloudDialogflowCxV3beta1Webhook" }, "GoogleCloudDialogflowCxV3beta1FlowValidationResult": { "id": "GoogleCloudDialogflowCxV3beta1FlowValidationResult", "type": "object", "description": "The response message for Flows.GetFlowValidationResult.", "properties": { "validationMessages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ValidationMessage" }, "type": "array", "description": "Contains all validation messages." }, "name": { "description": "The unique identifier of the flow validation result. Format: `projects//locations//agents//flows//validationResult`.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Last time the flow was validated.", "type": "string" } } }, "GoogleCloudDialogflowV2beta1GcsDestination": { "properties": { "uri": { "type": "string", "description": "Required. The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket." } }, "description": "Google Cloud Storage location for the output.", "type": "object", "id": "GoogleCloudDialogflowV2beta1GcsDestination" }, "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig": { "id": "GoogleCloudDialogflowCxV3WebhookServiceDirectoryConfig", "type": "object", "properties": { "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3WebhookGenericWebService", "description": "Generic Service configuration of this webhook." }, "service": { "type": "string", "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent." } }, "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service." }, "GoogleCloudDialogflowCxV3beta1Flow": { "type": "object", "description": "Flows represents the conversation flows when you build your chatbot agent. A flow consists of many pages connected by the transition routes. Conversations always start with the built-in Start Flow (with an all-0 ID). Transition routes can direct the conversation session from the current flow (parent flow) to another flow (sub flow). When the sub flow is finished, Dialogflow will bring the session back to the parent flow, where the sub flow is started. Usually, when a transition route is followed by a matched intent, the intent will be \"consumed\". This means the intent won't activate more transition routes. However, when the followed transition route moves the conversation session into a different flow, the matched intent can be carried over and to be consumed in the target flow.", "id": "GoogleCloudDialogflowCxV3beta1Flow", "properties": { "transitionRouteGroups": { "type": "array", "items": { "type": "string" }, "description": "A flow's transition route group serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for matching the user's first utterances in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's transition route groups. Transition route groups defined in the page have higher priority than those defined in the flow. Format:`projects//locations//agents//flows//transitionRouteGroups/`." }, "transitionRoutes": { "type": "array", "description": "A flow's transition routes serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for matching the user's first utterances in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's transition routes and can support use cases such as the user saying \"help\" or \"can I talk to a human?\", which can be handled in a common way regardless of the current page. Transition routes defined in the page have higher priority than those defined in the flow. TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes with only condition specified. TransitionRoutes with intent specified are inherited by pages in the flow.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRoute" } }, "name": { "description": "The unique identifier of the flow. Format: `projects//locations//agents//flows/`.", "type": "string" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the flow." }, "nluSettings": { "description": "NLU related settings of the flow.", "$ref": "GoogleCloudDialogflowCxV3beta1NluSettings" }, "eventHandlers": { "description": "A flow's event handlers serve two purposes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are responsible for handling events (e.g. no match, webhook errors) in the flow. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh They are inherited by every page's event handlers, which can be used to handle common events regardless of the current page. Event handlers defined in the page have higher priority than those defined in the flow. Unlike transition_routes, these handlers are evaluated on a first-match basis. The first one that matches the event get executed, with the rest being ignored.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EventHandler" }, "type": "array" }, "description": { "type": "string", "description": "The description of the flow. The maximum length is 500 characters. If exceeded, the request is rejected." } } }, "GoogleCloudDialogflowCxV3beta1ValidateFlowRequest": { "properties": { "languageCode": { "type": "string", "description": "If not specified, the agent's default language is used." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ValidateFlowRequest", "description": "The request message for Flows.ValidateFlow." }, "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse": { "properties": { "intents": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Intent" }, "description": "The collection of updated or created intents." } }, "type": "object", "description": "The response message for Intents.BatchUpdateIntents.", "id": "GoogleCloudDialogflowV2beta1BatchUpdateIntentsResponse" }, "GoogleCloudDialogflowCxV3beta1QueryInput": { "description": "Represents the query input. It can contain one of: 1. A conversational query in the form of text. 2. An intent query that specifies which intent to trigger. 3. Natural language speech audio to be processed. 4. An event to be triggered. ", "type": "object", "properties": { "audio": { "$ref": "GoogleCloudDialogflowCxV3beta1AudioInput", "description": "The natural language speech audio to be processed." }, "text": { "description": "The natural language text to be processed.", "$ref": "GoogleCloudDialogflowCxV3beta1TextInput" }, "languageCode": { "description": "Required. The language of the input. See [Language Support](https://cloud.google.com/dialogflow/cx/docs/reference/language) for a list of the currently supported language codes. Note that queries in the same session do not necessarily need to specify the same language.", "type": "string" }, "intent": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentInput", "description": "The intent to be triggered." }, "event": { "description": "The event to be triggered.", "$ref": "GoogleCloudDialogflowCxV3beta1EventInput" }, "dtmf": { "description": "The DTMF event to be handled.", "$ref": "GoogleCloudDialogflowCxV3beta1DtmfInput" } }, "id": "GoogleCloudDialogflowCxV3beta1QueryInput" }, "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata": { "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "description": "Required. Output only. The current state of this operation.", "readOnly": true, "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "type": "string" } }, "description": "Metadata in google::longrunning::Operation for Knowledge operations.", "id": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1ListTransitionRouteGroupsResponse": { "properties": { "transitionRouteGroups": { "type": "array", "description": "The list of transition route groups. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ListTransitionRouteGroupsResponse", "description": "The response message for TransitionRouteGroups.ListTransitionRouteGroups.", "type": "object" }, "GoogleLongrunningListOperationsResponse": { "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Operations.ListOperations.", "type": "object", "id": "GoogleLongrunningListOperationsResponse" }, "GoogleCloudDialogflowCxV3beta1Environment": { "type": "object", "properties": { "displayName": { "description": "Required. The human-readable name of the environment (unique in an agent). Limit of 64 characters.", "type": "string" }, "description": { "type": "string", "description": "The human-readable description of the environment. The maximum length is 500 characters. If exceeded, the request is rejected." }, "versionConfigs": { "description": "Required. A list of configurations for flow versions. You should include version configs for all flows that are reachable from `Start Flow` in the agent. Otherwise, an error will be returned.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentVersionConfig" }, "type": "array" }, "updateTime": { "description": "Output only. Update time of this environment.", "format": "google-datetime", "readOnly": true, "type": "string" }, "testCasesConfig": { "description": "The test cases config for continuous tests of this environment.", "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig" }, "name": { "type": "string", "description": "The name of the environment. Format: `projects//locations//agents//environments/`." }, "webhookConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig", "description": "The webhook configuration for this environment." } }, "description": "Represents an environment for an agent. You can create multiple versions of your agent and publish them to separate environments. When you edit an agent, you are editing the draft agent. At any point, you can save the draft agent as an agent version, which is an immutable snapshot of your agent. When you save the draft agent, it is published to the default environment. When you create agent versions, you can publish them to custom environments. You can create a variety of custom environments for testing, development, production, etc.", "id": "GoogleCloudDialogflowCxV3beta1Environment" }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo": { "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo", "properties": { "parameters": { "additionalProperties": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue" }, "type": "object", "description": "Parameters identified as a result of intent matching. This is a map of the name of the identified parameter to the value of the parameter identified from the user's utterance. All parameters defined in the matched intent that are identified will be surfaced here." }, "displayName": { "type": "string", "description": "Always present. The display name of the last matched intent." }, "confidence": { "format": "float", "type": "number", "description": "The confidence of the matched intent. Values range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "lastMatchedIntent": { "type": "string", "description": "Always present. The unique identifier of the last matched intent. Format: `projects//locations//agents//intents/`." } }, "description": "Represents intent information communicated to the webhook.", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard": { "properties": { "imageDisplayOptions": { "enum": [ "IMAGE_DISPLAY_OPTIONS_UNSPECIFIED", "GRAY", "WHITE", "CROPPED", "BLURRED_BACKGROUND" ], "enumDescriptions": [ "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with gray bars.", "Fill the gaps between the image and the image container with white bars.", "Image is scaled such that the image width and height match or exceed the container dimensions. This may crop the top and bottom of the image if the scaled image height is greater than the container height, or crop the left and right of the image if the scaled image width is greater than the container width. This is similar to \"Zoom Mode\" on a widescreen TV when playing a 4:3 video.", "Pad the gaps between image and image frame with a blurred copy of the same image." ], "type": "string", "description": "Optional. Settings for displaying the image. Applies to every image in items." }, "items": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCardBrowseCarouselCardItem" }, "type": "array", "description": "Required. List of items in the Browse Carousel Card. Minimum of two items, maximum of ten." } }, "type": "object", "description": "Browse Carousel Card for Actions on Google. https://developers.google.com/actions/assistant/responses#browsing_carousel", "id": "GoogleCloudDialogflowV2beta1IntentMessageBrowseCarouselCard" }, "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall": { "properties": { "phoneNumber": { "description": "Transfer the call to a phone number in [E.164 format](https://en.wikipedia.org/wiki/E.164).", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall", "description": "Represents the signal that telles the client to transfer the phone call connected to the agent to a third-party endpoint." }, "GoogleRpcStatus": { "type": "object", "properties": { "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GoogleCloudDialogflowCxV3beta1ListEntityTypesResponse": { "id": "GoogleCloudDialogflowCxV3beta1ListEntityTypesResponse", "type": "object", "description": "The response message for EntityTypes.ListEntityTypes.", "properties": { "entityTypes": { "description": "The list of entity types. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "GoogleCloudDialogflowCxV3ExportTestCasesMetadata": { "properties": {}, "type": "object", "id": "GoogleCloudDialogflowCxV3ExportTestCasesMetadata", "description": "Metadata returned for the TestCases.ExportTestCases long running operation. This message currently has no fields." }, "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig": { "description": "Configuration for webhooks.", "properties": { "webhookOverrides": { "description": "The list of webhooks to override for the agent environment. The webhook must exist in the agent. You can override fields in `generic_web_service` and `service_directory`.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1EnvironmentWebhookConfig" }, "GoogleCloudDialogflowV2GcsDestination": { "type": "object", "properties": { "uri": { "type": "string", "description": "The Google Cloud Storage URIs for the output. A URI is of the form: gs://bucket/object-prefix-or-name Whether a prefix or name is used depends on the use case. The requesting user must have \"write-permission\" to the bucket." } }, "description": "Google Cloud Storage location for the output.", "id": "GoogleCloudDialogflowV2GcsDestination" }, "GoogleCloudDialogflowCxV3EnvironmentVersionConfig": { "description": "Configuration for the version.", "id": "GoogleCloudDialogflowCxV3EnvironmentVersionConfig", "properties": { "version": { "description": "Required. Format: projects//locations//agents//flows//versions/.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3TextInput": { "description": "Represents the natural language text to be processed.", "id": "GoogleCloudDialogflowCxV3TextInput", "properties": { "text": { "type": "string", "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1TestConfig": { "description": "Represents configurations for a test case.", "properties": { "trackingParameters": { "description": "Session parameters to be compared when calculating differences.", "type": "array", "items": { "type": "string" } }, "page": { "description": "The page to start the test case with. Format: `projects//locations//agents//flows//pages/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" }, "flow": { "description": "Flow name to start the test case with. Format: `projects//locations//agents//flows/`. Only one of `flow` and `page` should be set to indicate the starting point of the test case. If both are set, `page` takes precedence over `flow`. If neither is set, the test case will start with start page on the default start flow.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TestConfig" }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata": { "description": "Metadata for ImportDocuments operation.", "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsOperationMetadata" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri", "description": "Opens the user's default web browser app to the specified uri If the user has an app installed that is registered as the default handler for the URL, then this app will be opened instead, and its icon will be used in the suggested action UI.", "properties": { "uri": { "description": "Required. The uri to open on the user device", "type": "string" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard": { "description": "Carousel Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. If you want to show a single card with more control over the layout, please use RbmStandaloneCard instead.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCarouselCard", "properties": { "cardWidth": { "enum": [ "CARD_WIDTH_UNSPECIFIED", "SMALL", "MEDIUM" ], "type": "string", "enumDescriptions": [ "Not specified.", "120 DP. Note that tall media cannot be used.", "232 DP." ], "description": "Required. The width of the cards in the carousel." }, "cardContents": { "description": "Required. The cards in the carousel. A carousel must have at least 2 cards and at most 10.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" } } } }, "GoogleCloudDialogflowCxV3WebhookRequest": { "properties": { "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessage" }, "type": "array", "description": "The list of rich message responses to present to the user. Webhook can choose to append or replace this list in WebhookResponse.fulfillment_response;" }, "intentInfo": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfo", "description": "Information about the last matched intent." }, "fulfillmentInfo": { "description": "Always present. Information about the fulfillment that triggered this webhook call.", "$ref": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo" }, "text": { "type": "string", "description": "If natural language text was provided as input, this field will contain a copy of the text." }, "pageInfo": { "description": "Information about page status.", "$ref": "GoogleCloudDialogflowCxV3PageInfo" }, "detectIntentResponseId": { "type": "string", "description": "Always present. The unique identifier of the DetectIntentResponse that will be returned to the API caller." }, "triggerEvent": { "description": "If an event was provided as input, this field will contain the name of the event.", "type": "string" }, "sessionInfo": { "description": "Information about session status.", "$ref": "GoogleCloudDialogflowCxV3SessionInfo" }, "transcript": { "type": "string", "description": "If natural language speech audio was provided as input, this field will contain the transcript for the audio." }, "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Custom data set in QueryParameters.payload.", "type": "object" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult", "description": "The sentiment analysis result of the current user request. The field is filled when sentiment analysis is configured to be enabled for the request." }, "triggerIntent": { "description": "If an intent was provided as input, this field will contain a copy of the intent identifier. Format: `projects//locations//agents//intents/`.", "type": "string" }, "languageCode": { "description": "The language code specified in the original request.", "type": "string" } }, "type": "object", "description": "The request message for a webhook call. The request is sent as a JSON object and the field names will be presented in camel cases. You may see undocumented fields in an actual request. These fields are used internally by Dialogflow and should be ignored.", "id": "GoogleCloudDialogflowCxV3WebhookRequest" }, "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect": { "id": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelect", "description": "The card for presenting a carousel of options to select from.", "type": "object", "properties": { "items": { "description": "Required. Carousel items.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageCarouselSelectItem" } } } }, "GoogleCloudDialogflowCxV3beta1LoadVersionRequest": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1LoadVersionRequest", "description": "The request message for Versions.LoadVersion.", "properties": { "allowOverrideAgentResources": { "description": "This field is used to prevent accidental overwrite of other agent resources, which can potentially impact other flow's behavior. If `allow_override_agent_resources` is false, conflicted agent-level resources will not be overridden (i.e. intents, entities, webhooks).", "type": "boolean" } } }, "GoogleCloudDialogflowV2beta1IntentMessageRbmText": { "description": "Rich Business Messaging (RBM) text response with suggestions.", "properties": { "text": { "type": "string", "description": "Required. Text sent and displayed to the user." }, "rbmSuggestion": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" }, "description": "Optional. One or more suggestions to show to the user." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmText", "type": "object" }, "GoogleCloudDialogflowV2SessionEntityType": { "type": "object", "properties": { "entities": { "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" }, "description": "Required. The collection of entities associated with this session entity type.", "type": "array" }, "entityOverrideMode": { "enumDescriptions": [ "Not specified. This value should be never used.", "The collection of session entities overrides the collection of entities in the corresponding custom entity type.", "The collection of session entities extends the collection of entities in the corresponding custom entity type. Note: Even in this override mode calls to `ListSessionEntityTypes`, `GetSessionEntityType`, `CreateSessionEntityType` and `UpdateSessionEntityType` only return the additional entities added in this session entity type. If you want to get the supplemented list, please call EntityTypes.GetEntityType on the custom entity type and merge." ], "description": "Required. Indicates whether the additional data should override or supplement the custom entity type definition.", "enum": [ "ENTITY_OVERRIDE_MODE_UNSPECIFIED", "ENTITY_OVERRIDE_MODE_OVERRIDE", "ENTITY_OVERRIDE_MODE_SUPPLEMENT" ], "type": "string" }, "name": { "type": "string", "description": "Required. The unique identifier of this session entity type. Format: `projects//agent/sessions//entityTypes/`, or `projects//agent/environments//users//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. `` must be the display name of an existing entity type in the same agent that will be overridden or supplemented." } }, "id": "GoogleCloudDialogflowV2SessionEntityType", "description": "A session represents a conversation between a Dialogflow agent and an end-user. You can create special entities, called session entities, during a session. Session entities can extend or replace custom entity types and only exist during the session that they were created for. All session data, including session entities, is stored by Dialogflow for 20 minutes. For more information, see the [session entity guide](https://cloud.google.com/dialogflow/docs/entities-session)." }, "GoogleCloudDialogflowCxV3RunTestCaseResponse": { "description": "The response message for TestCases.RunTestCase.", "id": "GoogleCloudDialogflowCxV3RunTestCaseResponse", "type": "object", "properties": { "result": { "$ref": "GoogleCloudDialogflowCxV3TestCaseResult", "description": "The result." } } }, "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses": { "id": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponses", "properties": { "simpleResponses": { "type": "array", "description": "Required. The list of simple responses.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageSimpleResponse" } } }, "type": "object", "description": "The collection of simple response candidates. This message in `QueryResult.fulfillment_messages` and `WebhookResponse.fulfillment_messages` should contain only one `SimpleResponse`." }, "GoogleTypeLatLng": { "type": "object", "properties": { "latitude": { "type": "number", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double" }, "longitude": { "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double" } }, "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "id": "GoogleTypeLatLng" }, "GoogleCloudDialogflowCxV3PageInfo": { "description": "Represents page information communicated to and from the webhook.", "type": "object", "properties": { "currentPage": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`." }, "displayName": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page.", "type": "string" }, "formInfo": { "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form.", "$ref": "GoogleCloudDialogflowCxV3PageInfoFormInfo" } }, "id": "GoogleCloudDialogflowCxV3PageInfo" }, "GoogleCloudDialogflowV2EntityType": { "type": "object", "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).", "properties": { "enableFuzzyExtraction": { "type": "boolean", "description": "Optional. Enables fuzzy entity extraction during classification." }, "autoExpansionMode": { "description": "Optional. Indicates whether the entity type can be automatically expanded.", "type": "string", "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ], "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ] }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Format: `projects//agent/entityTypes/`." }, "entities": { "items": { "$ref": "GoogleCloudDialogflowV2EntityTypeEntity" }, "description": "Optional. The collection of entity entries associated with the entity type.", "type": "array" }, "kind": { "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ], "description": "Required. Indicates the kind of entity type.", "type": "string", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ] }, "displayName": { "description": "Required. The name of the entity type.", "type": "string" } }, "id": "GoogleCloudDialogflowV2EntityType" }, "GoogleCloudDialogflowV2IntentMessageBasicCard": { "description": "The basic card message. Useful for displaying information.", "properties": { "title": { "type": "string", "description": "Optional. The title of the card." }, "subtitle": { "description": "Optional. The subtitle of the card.", "type": "string" }, "buttons": { "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" }, "description": "Optional. The collection of card buttons.", "type": "array" }, "formattedText": { "type": "string", "description": "Required, unless image is present. The body text of the card." }, "image": { "$ref": "GoogleCloudDialogflowV2IntentMessageImage", "description": "Optional. The image for the card." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBasicCard" }, "GoogleCloudDialogflowV2IntentMessageTableCardCell": { "properties": { "text": { "description": "Required. Text in this cell.", "type": "string" } }, "description": "Cell of TableCardRow.", "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCardCell" }, "GoogleCloudDialogflowV2beta1SmartReplyAnswer": { "type": "object", "description": "Represents a smart reply answer.", "properties": { "reply": { "type": "string", "description": "The content of the reply." }, "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain)." } }, "id": "GoogleCloudDialogflowV2beta1SmartReplyAnswer" }, "GoogleCloudDialogflowCxV3ResponseMessage": { "properties": { "conversationSuccess": { "description": "Indicates that the conversation succeeded.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessageConversationSuccess" }, "endInteraction": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageEndInteraction", "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.", "readOnly": true }, "mixedAudio": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageMixedAudio", "readOnly": true, "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user." }, "outputAudioText": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageOutputAudioText", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "playAudio": { "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way.", "$ref": "GoogleCloudDialogflowCxV3ResponseMessagePlayAudio" }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" }, "telephonyTransferCall": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageTelephonyTransferCall", "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint." }, "liveAgentHandoff": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageLiveAgentHandoff", "description": "Hands off conversation to a human agent." }, "text": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText", "description": "Returns a text response." } }, "type": "object", "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.", "id": "GoogleCloudDialogflowCxV3ResponseMessage" }, "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesRequest": { "properties": { "testCases": { "type": "array", "description": "Required. Format: `projects//locations//agents//testCases/`.", "items": { "type": "string" } }, "environment": { "description": "Optional. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesRequest", "description": "The request message for TestCases.BatchRunTestCases." }, "GoogleCloudDialogflowCxV3beta1ListSecuritySettingsResponse": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ListSecuritySettingsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "securitySettings": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "description": "The list of security settings.", "type": "array" } }, "description": "The response message for SecuritySettings.ListSecuritySettings." }, "GoogleCloudDialogflowV2IntentMessageBasicCardButton": { "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButton", "properties": { "openUriAction": { "description": "Required. Action to take when a user taps on the button.", "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction" }, "title": { "description": "Required. The title of the button.", "type": "string" } }, "description": "The button object that appears at the bottom of a card.", "type": "object" }, "GoogleCloudDialogflowCxV3Intent": { "properties": { "name": { "type": "string", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`." }, "parameters": { "type": "array", "description": "The collection of parameters associated with the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentParameter" } }, "trainingPhrases": { "description": "The collection of training phrases the agent is trained on to identify the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3IntentTrainingPhrase" }, "type": "array" }, "description": { "type": "string", "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys.contextual\" means the intent is a contextual intent." }, "priority": { "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "format": "int32", "type": "integer" }, "isFallback": { "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.", "type": "boolean" }, "displayName": { "description": "Required. The human-readable name of the intent, unique within the agent.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3Intent", "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent." }, "GoogleCloudDialogflowCxV3IntentInput": { "type": "object", "properties": { "intent": { "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.", "type": "string" } }, "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "id": "GoogleCloudDialogflowCxV3IntentInput" }, "GoogleCloudDialogflowV2ExportAgentResponse": { "id": "GoogleCloudDialogflowV2ExportAgentResponse", "properties": { "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.", "type": "string" }, "agentContent": { "description": "Zip compressed raw byte content for agent.", "type": "string", "format": "byte" } }, "description": "The response message for Agents.ExportAgent.", "type": "object" }, "GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings": { "type": "object", "properties": { "enableInteractionLogging": { "type": "boolean", "description": "If true, DF Interaction logging is currently enabled." }, "enableStackdriverLogging": { "type": "boolean", "description": "If true, StackDriver logging is currently enabled." } }, "description": "Define behaviors on logging.", "id": "GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings" }, "GoogleCloudDialogflowCxV3beta1ExportFlowRequest": { "description": "The request message for Flows.ExportFlow.", "type": "object", "properties": { "includeReferencedFlows": { "description": "Optional. Whether to export flows referenced by the specified flow.", "type": "boolean" }, "flowUri": { "description": "Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the flow to. The format of this URI must be `gs:///`. If left unspecified, the serialized flow is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1ExportFlowRequest" }, "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata": { "description": "Metadata for ConversationDatasets.", "id": "GoogleCloudDialogflowV2CreateConversationDatasetOperationMetadata", "type": "object", "properties": {} }, "GoogleCloudDialogflowV2beta1IntentMessageCardButton": { "properties": { "text": { "type": "string", "description": "Optional. The text to show on the button." }, "postback": { "type": "string", "description": "Optional. The text to send back to the Dialogflow API or a URI to open." } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageCardButton", "type": "object", "description": "Optional. Contains information about a button." }, "GoogleCloudDialogflowCxV3beta1SentimentAnalysisResult": { "id": "GoogleCloudDialogflowCxV3beta1SentimentAnalysisResult", "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral.", "type": "object", "properties": { "magnitude": { "format": "float", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "type": "number" }, "score": { "type": "number", "format": "float", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment)." } } }, "GoogleCloudDialogflowV2ExportOperationMetadata": { "id": "GoogleCloudDialogflowV2ExportOperationMetadata", "properties": { "exportedGcsDestination": { "description": "Cloud Storage file path of the exported data.", "$ref": "GoogleCloudDialogflowV2GcsDestination" } }, "type": "object", "description": "Metadata related to the Export Data Operations (e.g. ExportDocument)." }, "GoogleCloudDialogflowV2SuggestionResult": { "description": "One response of different type of suggestion response which is used in the response of Participants.AnalyzeContent and Participants.AnalyzeContent, as well as HumanAgentAssistantEvent.", "properties": { "suggestFaqAnswersResponse": { "description": "SuggestFaqAnswersResponse if request is for FAQ_ANSWER.", "$ref": "GoogleCloudDialogflowV2SuggestFaqAnswersResponse" }, "suggestArticlesResponse": { "description": "SuggestArticlesResponse if request is for ARTICLE_SUGGESTION.", "$ref": "GoogleCloudDialogflowV2SuggestArticlesResponse" }, "suggestSmartRepliesResponse": { "description": "SuggestSmartRepliesResponse if request is for SMART_REPLY.", "$ref": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse" }, "error": { "description": "Error status if the request failed.", "$ref": "GoogleRpcStatus" } }, "type": "object", "id": "GoogleCloudDialogflowV2SuggestionResult" }, "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue": { "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestIntentInfoIntentParameterValue", "type": "object", "description": "Represents a value for an intent parameter.", "properties": { "resolvedValue": { "type": "any", "description": "Always present. Structured value for the parameter extracted from user utterance." }, "originalValue": { "description": "Always present. Original text value extracted from user utterance.", "type": "string" } } }, "GoogleCloudDialogflowV2IntentMessageQuickReplies": { "description": "The quick replies response message.", "type": "object", "properties": { "quickReplies": { "items": { "type": "string" }, "description": "Optional. The collection of quick replies.", "type": "array" }, "title": { "description": "Optional. The title of the collection of quick replies.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentMessageQuickReplies" }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse": { "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesResponse", "properties": { "gcsUri": { "type": "string", "description": "The URI to a file containing the exported test cases. This field is populated only if `gcs_uri` is specified in ExportTestCasesRequest." }, "content": { "format": "byte", "description": "Uncompressed raw byte content for test cases.", "type": "string" } }, "type": "object", "description": "The response message for TestCases.ExportTestCases." }, "GoogleCloudDialogflowV2SmartReplyAnswer": { "description": "Represents a smart reply answer.", "properties": { "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "reply": { "type": "string", "description": "The content of the reply." }, "confidence": { "type": "number", "format": "float", "description": "Smart reply confidence. The system's confidence score that this reply is a good match for this conversation, as a value from 0.0 (completely uncertain) to 1.0 (completely certain)." } }, "type": "object", "id": "GoogleCloudDialogflowV2SmartReplyAnswer" }, "GoogleCloudDialogflowCxV3beta1Experiment": { "properties": { "rolloutFailureReason": { "type": "string", "description": "The reason why rollout has failed. Should only be set when state is ROLLOUT_FAILED." }, "variantsHistory": { "description": "The history of updates to the experiment variants.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1VariantsHistory" }, "type": "array" }, "startTime": { "type": "string", "format": "google-datetime", "description": "Start time of this experiment." }, "rolloutState": { "$ref": "GoogleCloudDialogflowCxV3beta1RolloutState", "description": "State of the auto rollout process." }, "definition": { "description": "The definition of the experiment.", "$ref": "GoogleCloudDialogflowCxV3beta1ExperimentDefinition" }, "experimentLength": { "format": "google-duration", "description": "Maximum number of days to run the experiment. If auto-rollout is not enabled, default value and maximum will be 30 days. If auto-rollout is enabled, default value and maximum will be 6 days.", "type": "string" }, "lastUpdateTime": { "type": "string", "description": "Last update time of this experiment.", "format": "google-datetime" }, "createTime": { "type": "string", "description": "Creation time of this experiment.", "format": "google-datetime" }, "description": { "type": "string", "description": "The human-readable description of the experiment." }, "endTime": { "format": "google-datetime", "description": "End time of this experiment.", "type": "string" }, "rolloutConfig": { "description": "The configuration for auto rollout. If set, there should be exactly two variants in the experiment (control variant being the default version of the flow), the traffic allocation for the non-control variant will gradually increase to 100% when conditions are met, and eventually replace the control variant to become the default version of the flow.", "$ref": "GoogleCloudDialogflowCxV3beta1RolloutConfig" }, "state": { "enumDescriptions": [ "State unspecified.", "The experiment is created but not started yet.", "The experiment is running.", "The experiment is done.", "The experiment with auto-rollout enabled has failed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "DRAFT", "RUNNING", "DONE", "ROLLOUT_FAILED" ], "description": "The current state of the experiment. Transition triggered by Experiments.StartExperiment: DRAFT-\u003eRUNNING. Transition triggered by Experiments.CancelExperiment: DRAFT-\u003eDONE or RUNNING-\u003eDONE." }, "result": { "$ref": "GoogleCloudDialogflowCxV3beta1ExperimentResult", "description": "Inference result of the experiment." }, "name": { "type": "string", "description": "The name of the experiment. Format: projects//locations//agents//environments//experiments/.." }, "displayName": { "description": "Required. The human-readable name of the experiment (unique in an environment). Limit of 64 characters.", "type": "string" } }, "type": "object", "description": "Represents an experiment in an environment.", "id": "GoogleCloudDialogflowCxV3beta1Experiment" }, "GoogleCloudDialogflowV2beta1ExportAgentResponse": { "properties": { "agentContent": { "description": "Zip compressed raw byte content for agent.", "type": "string", "format": "byte" }, "agentUri": { "description": "The URI to a file containing the exported agent. This field is populated only if `agent_uri` is specified in `ExportAgentRequest`.", "type": "string" } }, "description": "The response message for Agents.ExportAgent.", "type": "object", "id": "GoogleCloudDialogflowV2beta1ExportAgentResponse" }, "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata": { "id": "GoogleCloudDialogflowV3alpha1GenericKnowledgeOperationMetadata", "properties": { "state": { "readOnly": true, "enumDescriptions": [ "State unspecified.", "The operation has been created.", "The operation is currently running.", "The operation is done, either cancelled or completed." ], "enum": [ "STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE" ], "description": "Required. Output only. The current state of this operation.", "type": "string" } }, "type": "object", "description": "Metadata in google::longrunning::Operation for Knowledge operations." }, "GoogleCloudDialogflowV2beta1SuggestArticlesResponse": { "id": "GoogleCloudDialogflowV2beta1SuggestArticlesResponse", "description": "The response message for Participants.SuggestArticles.", "properties": { "articleAnswers": { "description": "Output only. Articles ordered by score in descending order.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1ArticleAnswer" } }, "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesResponse.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32", "type": "integer" }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue": { "description": "Represents a value for an intent parameter.", "properties": { "originalValue": { "type": "string", "description": "Always present. Original text value extracted from user utterance." }, "resolvedValue": { "type": "any", "description": "Always present. Structured value for the parameter extracted from user utterance." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookRequestIntentInfoIntentParameterValue" }, "GoogleCloudDialogflowCxV3beta1DeploymentResult": { "id": "GoogleCloudDialogflowCxV3beta1DeploymentResult", "description": "Result of the deployment.", "type": "object", "properties": { "experiment": { "description": "The name of the experiment triggered by this deployment. Format: projects//locations//agents//environments//experiments/.", "type": "string" }, "deploymentTestResults": { "items": { "type": "string" }, "type": "array", "description": "Results of test cases running before the deployment. Format: `projects//locations//agents//testCases//results/`." } } }, "GoogleCloudDialogflowCxV3beta1CalculateCoverageResponse": { "properties": { "routeGroupCoverage": { "description": "Transition route group coverage.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverage" }, "transitionCoverage": { "description": "Transition (excluding transition route groups) coverage.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionCoverage" }, "intentCoverage": { "description": "Intent coverage.", "$ref": "GoogleCloudDialogflowCxV3beta1IntentCoverage" }, "agent": { "description": "The agent to calculate coverage for. Format: `projects//locations//agents/`.", "type": "string" } }, "description": "The response message for TestCases.CalculateCoverage.", "id": "GoogleCloudDialogflowCxV3beta1CalculateCoverageResponse", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageListSelectItem": { "type": "object", "properties": { "info": { "$ref": "GoogleCloudDialogflowV2IntentMessageSelectItemInfo", "description": "Required. Additional information about this option." }, "image": { "description": "Optional. The image to display.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "title": { "type": "string", "description": "Required. The title of the list item." }, "description": { "type": "string", "description": "Optional. The main text describing the item." } }, "description": "An item in the list.", "id": "GoogleCloudDialogflowV2IntentMessageListSelectItem" }, "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverage": { "properties": { "coverageScore": { "description": "The percent of transition routes in all the transition route groups that are covered.", "type": "number", "format": "float" }, "coverages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverage" }, "description": "Transition route group coverages." } }, "id": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverage", "type": "object", "description": "Transition route group coverage represents the percentage of all possible transition routes present within any of a parent's test cases. The results are grouped by the transition route group." }, "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object", "description": "Metadata for CreateDocument operation.", "id": "GoogleCloudDialogflowCxV3beta1CreateDocumentOperationMetadata" }, "GoogleCloudDialogflowCxV3beta1ImportTestCasesRequest": { "description": "The request message for TestCases.ImportTestCases.", "id": "GoogleCloudDialogflowCxV3beta1ImportTestCasesRequest", "properties": { "content": { "type": "string", "description": "Uncompressed raw byte content for test cases.", "format": "byte" }, "gcsUri": { "type": "string", "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import test cases from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1IntentCoverage": { "properties": { "coverageScore": { "type": "number", "format": "float", "description": "The percent of intents in the agent that are covered." }, "intents": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentCoverageIntent" }, "description": "The list of Intents present in the agent", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1IntentCoverage", "type": "object", "description": "Intent coverage represents the percentage of all possible intents in the agent that are triggered in any of a parent's test cases." }, "GoogleCloudDialogflowCxV3beta1TestCase": { "properties": { "name": { "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`.", "type": "string" }, "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "testCaseConversationTurns": { "type": "array", "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" } }, "creationTime": { "description": "Output only. When the test was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "displayName": { "type": "string", "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters." }, "lastTestResult": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult", "description": "The latest test result." }, "testConfig": { "description": "Config for the test case.", "$ref": "GoogleCloudDialogflowCxV3beta1TestConfig" }, "tags": { "type": "array", "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters.", "items": { "type": "string" } } }, "description": "Represents a test case.", "id": "GoogleCloudDialogflowCxV3beta1TestCase", "type": "object" }, "GoogleCloudDialogflowV2HumanAgentAssistantEvent": { "properties": { "conversation": { "description": "The conversation this notification refers to. Format: `projects//conversations/`.", "type": "string" }, "suggestionResults": { "items": { "$ref": "GoogleCloudDialogflowV2SuggestionResult" }, "description": "The suggestion results payload that this notification refers to.", "type": "array" }, "participant": { "type": "string", "description": "The participant that the suggestion is compiled for. Format: `projects//conversations//participants/`. It will not be set in legacy workflow." } }, "type": "object", "description": "Represents a notification sent to Cloud Pub/Sub subscribers for human agent assistant events in a specific conversation.", "id": "GoogleCloudDialogflowV2HumanAgentAssistantEvent" }, "GoogleCloudDialogflowCxV3beta1TrainFlowRequest": { "description": "The request message for Flows.TrainFlow.", "properties": {}, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1TrainFlowRequest" }, "GoogleCloudDialogflowCxV3beta1ListVersionsResponse": { "id": "GoogleCloudDialogflowCxV3beta1ListVersionsResponse", "properties": { "versions": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Version" }, "description": "A list of versions. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "The response message for Versions.ListVersions.", "type": "object" }, "GoogleCloudDialogflowCxV3Form": { "properties": { "parameters": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3FormParameter" }, "description": "Parameters to collect from the user." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3Form", "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session." }, "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse": { "type": "object", "properties": { "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "smartReplyAnswers": { "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SmartReplyAnswer" }, "type": "array" }, "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer", "format": "int32" } }, "id": "GoogleCloudDialogflowV2beta1SuggestSmartRepliesResponse", "description": "The response message for Participants.SuggestSmartReplies." }, "GoogleCloudDialogflowCxV3beta1ContinuousTestResult": { "properties": { "result": { "description": "The result of this continuous test run, i.e. whether all the tests in this continuous test run pass or not.", "type": "string", "enum": [ "AGGREGATED_TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "enumDescriptions": [ "Not specified. Should never be used.", "All the tests passed.", "At least one test did not pass." ] }, "name": { "type": "string", "description": "The resource name for the continuous test result. Format: `projects//locations//agents//environments//continuousTestResults/`." }, "runTime": { "description": "Time when the continuous testing run starts.", "format": "google-datetime", "type": "string" }, "testCaseResults": { "type": "array", "items": { "type": "string" }, "description": "A list of individual test case results names in this continuous test run." } }, "description": "Represents a result from running a test case in an agent environment.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ContinuousTestResult" }, "GoogleCloudDialogflowCxV3InputAudioConfig": { "type": "object", "description": "Instructs the speech recognizer on how to process the audio content.", "id": "GoogleCloudDialogflowCxV3InputAudioConfig", "properties": { "phraseHints": { "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "items": { "type": "string" }, "type": "array" }, "enableWordInfo": { "type": "boolean", "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information." }, "model": { "type": "string", "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details." }, "audioEncoding": { "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "description": "Required. Audio encoding of the audio content to process.", "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ], "type": "string" }, "sampleRateHertz": { "type": "integer", "format": "int32", "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details." }, "modelVariant": { "description": "Optional. Which variant of the Speech model to use.", "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "type": "string", "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ] }, "singleUtterance": { "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods.", "type": "boolean" } } }, "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig": { "description": "Represents configuration for a [Service Directory](https://cloud.google.com/service-directory) service.", "type": "object", "properties": { "service": { "description": "Required. The name of [Service Directory](https://cloud.google.com/service-directory) service. Format: `projects//locations//namespaces//services/`. `Location ID` of the service directory must be the same as the location of the agent.", "type": "string" }, "genericWebService": { "$ref": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService", "description": "Generic Service configuration of this webhook." } }, "id": "GoogleCloudDialogflowCxV3beta1WebhookServiceDirectoryConfig" }, "GoogleCloudDialogflowV2SuggestArticlesResponse": { "type": "object", "id": "GoogleCloudDialogflowV2SuggestArticlesResponse", "properties": { "contextSize": { "type": "integer", "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestArticlesRequest.context_size field in the request if there aren't that many messages in the conversation.", "format": "int32" }, "latestMessage": { "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`.", "type": "string" }, "articleAnswers": { "items": { "$ref": "GoogleCloudDialogflowV2ArticleAnswer" }, "type": "array", "description": "Articles ordered by score in descending order." } }, "description": "The response message for Participants.SuggestArticles." }, "GoogleCloudDialogflowV2beta1IntentMessageMediaContent": { "properties": { "mediaObjects": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageMediaContentResponseMediaObject" }, "description": "Required. List of media objects." }, "mediaType": { "description": "Optional. What type of media is the content (ie \"audio\").", "enumDescriptions": [ "Unspecified.", "Response media type is audio." ], "type": "string", "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ] } }, "description": "The media content card for Actions on Google.", "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageMediaContent" }, "GoogleCloudDialogflowCxV3beta1PageInfo": { "description": "Represents page information communicated to and from the webhook.", "id": "GoogleCloudDialogflowCxV3beta1PageInfo", "properties": { "displayName": { "type": "string", "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The display name of the current page." }, "formInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfo", "description": "Optional for both WebhookRequest and WebhookResponse. Information about the form." }, "currentPage": { "description": "Always present for WebhookRequest. Ignored for WebhookResponse. The unique identifier of the current page. Format: `projects//locations//agents//flows//pages/`.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata": { "type": "object", "properties": {}, "id": "GoogleCloudDialogflowV2DeleteConversationDatasetOperationMetadata", "description": "Metadata for ConversationDatasets." }, "GoogleCloudDialogflowV2IntentFollowupIntentInfo": { "properties": { "parentFollowupIntentName": { "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.", "type": "string" }, "followupIntentName": { "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`.", "type": "string" } }, "id": "GoogleCloudDialogflowV2IntentFollowupIntentInfo", "type": "object", "description": "Represents a single followup intent in the chain." }, "GoogleCloudDialogflowCxV3beta1ListExperimentsResponse": { "type": "object", "properties": { "experiments": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "description": "The list of experiments. There will be a maximum number of items returned based on the page_size field in the request. The list may in some cases be empty or contain fewer entries than page_size even if this isn't the last page." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "The response message for Experiments.ListExperiments.", "id": "GoogleCloudDialogflowCxV3beta1ListExperimentsResponse" }, "GoogleCloudDialogflowV2beta1Intent": { "properties": { "isFallback": { "description": "Optional. Indicates whether this is a fallback intent.", "type": "boolean" }, "outputContexts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" }, "description": "Optional. The collection of contexts that are activated when the intent is matched. Context messages in this collection should not set the parameters field. Setting the `lifespan_count` to 0 will reset the context when the intent is matched. Format: `projects//agent/sessions/-/contexts/`." }, "defaultResponsePlatforms": { "items": { "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "FACEBOOK", "SLACK", "TELEGRAM", "KIK", "SKYPE", "LINE", "VIBER", "ACTIONS_ON_GOOGLE", "TELEPHONY", "GOOGLE_HANGOUTS" ], "enumDescriptions": [ "Not specified.", "Facebook.", "Slack.", "Telegram.", "Kik.", "Skype.", "Line.", "Viber.", "Google Assistant See [Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "Telephony Gateway.", "Google Hangouts." ] }, "type": "array", "description": "Optional. The list of platforms for which the first responses will be copied from the messages in PLATFORM_UNSPECIFIED (i.e. default platform)." }, "mlDisabled": { "description": "Optional. Indicates whether Machine Learning is disabled for the intent. Note: If `ml_disabled` setting is set to true, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off.", "type": "boolean" }, "action": { "description": "Optional. The name of the action associated with the intent. Note: The action name must not contain whitespaces.", "type": "string" }, "events": { "type": "array", "items": { "type": "string" }, "description": "Optional. The collection of event names that trigger the intent. If the collection of input contexts is not empty, all of the contexts must be present in the active user session for an event to trigger this intent. Event names are limited to 150 characters." }, "rootFollowupIntentName": { "description": "Output only. The unique identifier of the root intent in the chain of followup intents. It identifies the correct followup intents chain for this intent. Format: `projects//agent/intents/`.", "readOnly": true, "type": "string" }, "resetContexts": { "type": "boolean", "description": "Optional. Indicates whether to delete all contexts in the current session when this intent is matched." }, "displayName": { "description": "Required. The name of this intent.", "type": "string" }, "trainingPhrases": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentTrainingPhrase" }, "description": "Optional. The collection of examples that the agent is trained on.", "type": "array" }, "webhookState": { "enum": [ "WEBHOOK_STATE_UNSPECIFIED", "WEBHOOK_STATE_ENABLED", "WEBHOOK_STATE_ENABLED_FOR_SLOT_FILLING" ], "enumDescriptions": [ "Webhook is disabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent.", "Webhook is enabled in the agent and in the intent. Also, each slot filling prompt is forwarded to the webhook." ], "type": "string", "description": "Optional. Indicates whether webhooks are enabled for the intent." }, "priority": { "description": "Optional. The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "type": "integer", "format": "int32" }, "inputContextNames": { "type": "array", "description": "Optional. The list of context names required for this intent to be triggered. Formats: - `projects//agent/sessions/-/contexts/` - `projects//locations//agent/sessions/-/contexts/`", "items": { "type": "string" } }, "followupIntentInfo": { "readOnly": true, "description": "Output only. Information about all followup intents that have this intent as a direct or indirect parent. We populate this field only in the output.", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo" }, "type": "array" }, "mlEnabled": { "description": "Optional. Indicates whether Machine Learning is enabled for the intent. Note: If `ml_enabled` setting is set to false, then this intent is not taken into account during inference in `ML ONLY` match mode. Also, auto-markup in the UI is turned off. DEPRECATED! Please use `ml_disabled` field instead. NOTE: If both `ml_enabled` and `ml_disabled` are either not set or false, then the default value is determined as follows: - Before April 15th, 2018 the default is: ml_enabled = false / ml_disabled = true. - After April 15th, 2018 the default is: ml_enabled = true / ml_disabled = false.", "type": "boolean" }, "parameters": { "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentParameter" }, "type": "array", "description": "Optional. The collection of parameters associated with the intent." }, "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "liveAgentHandoff": { "type": "boolean", "description": "Optional. Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false." }, "parentFollowupIntentName": { "type": "string", "description": "Optional. The unique identifier of the parent intent in the chain of followup intents. You can set this field when creating an intent, for example with CreateIntent or BatchUpdateIntents, in order to make this intent a followup intent. It identifies the parent followup intent. Format: `projects//agent/intents/`." }, "name": { "description": "Optional. The unique identifier of this intent. Required for Intents.UpdateIntent and Intents.BatchUpdateIntents methods. Supported formats: - `projects//agent/intents/` - `projects//locations//agent/intents/`", "type": "string" }, "messages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" }, "description": "Optional. The collection of rich messages corresponding to the `Response` field in the Dialogflow console." } }, "id": "GoogleCloudDialogflowV2beta1Intent", "description": "An intent categorizes an end-user's intention for one conversation turn. For each agent, you define many intents, where your combined intents can handle a complete conversation. When an end-user writes or says something, referred to as an end-user expression or end-user input, Dialogflow matches the end-user input to the best intent in your agent. Matching an intent is also known as intent classification. For more information, see the [intent guide](https://cloud.google.com/dialogflow/docs/intents-overview).", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse": { "id": "GoogleCloudDialogflowCxV3beta1ImportDocumentsResponse", "description": "Response message for Documents.ImportDocuments.", "properties": { "warnings": { "type": "array", "description": "Includes details about skipped documents or any other warnings.", "items": { "$ref": "GoogleRpcStatus" } } }, "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction": { "type": "object", "properties": { "openUrl": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionOpenUri", "description": "Suggested client side action: Open a URI on device" }, "dial": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionDial", "description": "Suggested client side action: Dial a phone number" }, "shareLocation": { "description": "Suggested client side action: Share user location", "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedActionRbmSuggestedActionShareLocation" }, "text": { "type": "string", "description": "Text to display alongside the action." }, "postbackData": { "description": "Opaque payload that the Dialogflow receives in a user event when the user taps the suggested action. This data will be also forwarded to webhook to allow performing custom business logic.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestedAction", "description": "Rich Business Messaging (RBM) suggested client-side action that the user can choose from the card." }, "GoogleCloudDialogflowCxV3beta1SecuritySettingsAudioExportSettings": { "id": "GoogleCloudDialogflowCxV3beta1SecuritySettingsAudioExportSettings", "description": "Settings for exporting audio.", "properties": { "audioExportPattern": { "type": "string", "description": "Filename pattern for exported audio." }, "audioFormat": { "enumDescriptions": [ "Unspecified. Do not use.", "G.711 mu-law PCM with 8kHz sample rate.", "MP3 file format.", "OGG Vorbis." ], "type": "string", "enum": [ "AUDIO_FORMAT_UNSPECIFIED", "MULAW", "MP3", "OGG" ], "description": "File format for exported audio file. Currently only in telephony recordings." }, "gcsBucket": { "description": "Cloud Storage bucket to export audio record to. You need to grant `service-@gcp-sa-dialogflow.iam.gserviceaccount.com` the `Storage Object Admin` role in this bucket.", "type": "string" }, "enableAudioRedaction": { "description": "Enable audio redaction if it is true.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDialogflowV2beta1WebhookResponse": { "id": "GoogleCloudDialogflowV2beta1WebhookResponse", "description": "The response message for a webhook call. This response is validated by the Dialogflow server. If validation fails, an error will be returned in the QueryResult.diagnostic_info field. Setting JSON fields to an empty value with the wrong type is a common error. To avoid this error: - Use `\"\"` for empty strings - Use `{}` or `null` for empty objects - Use `[]` or `null` for empty arrays For more information, see the [Protocol Buffers Language Guide](https://developers.google.com/protocol-buffers/docs/proto3#json).", "properties": { "endInteraction": { "description": "Optional. Indicates that this intent ends an interaction. Some integrations (e.g., Actions on Google or Dialogflow phone gateway) use this information to close interaction with an end user. Default is false.", "type": "boolean" }, "followupEventInput": { "$ref": "GoogleCloudDialogflowV2beta1EventInput", "description": "Optional. Invokes the supplied events. When this field is set, Dialogflow ignores the `fulfillment_text`, `fulfillment_messages`, and `payload` fields." }, "payload": { "type": "object", "description": "Optional. This field can be used to pass custom data from your webhook to the integration or API caller. Arbitrary JSON objects are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_payload sent to the integration or API caller. This field is also used by the [Google Assistant integration](https://cloud.google.com/dialogflow/docs/integrations/aog) for rich response messages. See the format definition at [Google Assistant Dialogflow webhook format](https://developers.google.com/assistant/actions/build/json/dialogflow-webhook-json)", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "fulfillmentMessages": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessage" }, "description": "Optional. The rich response messages intended for the end-user. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_messages sent to the integration or API caller." }, "fulfillmentText": { "description": "Optional. The text response message intended for the end-user. It is recommended to use `fulfillment_messages.text.text[0]` instead. When provided, Dialogflow uses this field to populate QueryResult.fulfillment_text sent to the integration or API caller.", "type": "string" }, "liveAgentHandoff": { "description": "Indicates that a live agent should be brought in to handle the interaction with the user. In most cases, when you set this flag to true, you would also want to set end_interaction to true as well. Default is false.", "type": "boolean" }, "sessionEntityTypes": { "description": "Optional. Additional session entity types to replace or extend developer entity types with. The entity synonyms apply to all languages and persist for the session. Setting this data from a webhook overwrites the session entity types that have been set using `detectIntent`, `streamingDetectIntent` or SessionEntityType management methods.", "items": { "$ref": "GoogleCloudDialogflowV2beta1SessionEntityType" }, "type": "array" }, "outputContexts": { "type": "array", "description": "Optional. The collection of output contexts that will overwrite currently active contexts for the session and reset their lifespans. When provided, Dialogflow uses this field to populate QueryResult.output_contexts sent to the integration or API caller.", "items": { "$ref": "GoogleCloudDialogflowV2beta1Context" } }, "source": { "description": "Optional. A custom field used to identify the webhook source. Arbitrary strings are supported. When provided, Dialogflow uses this field to populate QueryResult.webhook_source sent to the integration or API caller.", "type": "string" } }, "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo": { "id": "GoogleCloudDialogflowCxV3WebhookRequestFulfillmentInfo", "type": "object", "description": "Represents fulfillment information communicated to the webhook.", "properties": { "tag": { "type": "string", "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes." } } }, "GoogleCloudDialogflowCxV3IntentParameter": { "id": "GoogleCloudDialogflowCxV3IntentParameter", "type": "object", "properties": { "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" }, "id": { "type": "string", "description": "Required. The unique identifier of the parameter. This field is used by training phrases to annotate their parts." }, "entityType": { "type": "string", "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types." } }, "description": "Represents an intent parameter." }, "GoogleCloudDialogflowV2beta1WebhookRequest": { "properties": { "originalDetectIntentRequest": { "description": "Optional. The contents of the original request that was passed to `[Streaming]DetectIntent` call.", "$ref": "GoogleCloudDialogflowV2beta1OriginalDetectIntentRequest" }, "alternativeQueryResults": { "items": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult" }, "type": "array", "description": "Alternative query results from KnowledgeService." }, "responseId": { "type": "string", "description": "The unique identifier of the response. Contains the same value as `[Streaming]DetectIntentResponse.response_id`." }, "queryResult": { "$ref": "GoogleCloudDialogflowV2beta1QueryResult", "description": "The result of the conversational query or event processing. Contains the same value as `[Streaming]DetectIntentResponse.query_result`." }, "session": { "type": "string", "description": "The unique identifier of detectIntent request session. Can be used to identify end-user inside webhook implementation. Supported formats: - `projects//agent/sessions/, - `projects//locations//agent/sessions/`, - `projects//agent/environments//users//sessions/`, - `projects//locations//agent/environments//users//sessions/`," } }, "description": "The request message for a webhook call.", "type": "object", "id": "GoogleCloudDialogflowV2beta1WebhookRequest" }, "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo": { "description": "Represents a single followup intent in the chain.", "type": "object", "properties": { "parentFollowupIntentName": { "description": "The unique identifier of the followup intent's parent. Format: `projects//agent/intents/`.", "type": "string" }, "followupIntentName": { "type": "string", "description": "The unique identifier of the followup intent. Format: `projects//agent/intents/`." } }, "id": "GoogleCloudDialogflowV2beta1IntentFollowupIntentInfo" }, "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput": { "properties": { "currentPage": { "$ref": "GoogleCloudDialogflowCxV3Page", "description": "The Page on which the utterance was spoken. Only name and displayName will be set." }, "triggeredIntent": { "$ref": "GoogleCloudDialogflowCxV3Intent", "description": "The Intent that triggered the response. Only name and displayName will be set." }, "status": { "$ref": "GoogleRpcStatus", "description": "Response error from the agent in the test result. If set, other output is empty." }, "textResponses": { "description": "The text responses from the agent for the turn.", "items": { "$ref": "GoogleCloudDialogflowCxV3ResponseMessageText" }, "type": "array" }, "sessionParameters": { "description": "The session parameters available to the bot at this point.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "diagnosticInfo": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object", "description": "Required. Input only. The diagnostic info output for the turn. Required to calculate the testing coverage." }, "differences": { "readOnly": true, "type": "array", "description": "Output only. If this is part of a result conversation turn, the list of differences between the original run and the replay for this output, if any.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestRunDifference" } } }, "description": "The output from the virtual agent.", "type": "object", "id": "GoogleCloudDialogflowCxV3ConversationTurnVirtualAgentOutput" }, "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent": { "type": "object", "description": "Rich Business Messaging (RBM) Card content", "properties": { "media": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContentRbmMedia", "description": "Optional. However at least one of the title, description or media must be set. Media (image, GIF or a video) to include in the card." }, "title": { "type": "string", "description": "Optional. Title of the card (at most 200 bytes). At least one of the title, description or media must be set." }, "suggestions": { "description": "Optional. List of suggestions to include in the card.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmSuggestion" } }, "description": { "description": "Optional. Description of the card (at most 2000 bytes). At least one of the title, description or media must be set.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent" }, "GoogleCloudDialogflowCxV3beta1LookupEnvironmentHistoryResponse": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1LookupEnvironmentHistoryResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "environments": { "description": "Represents a list of snapshots for an environment. Time of the snapshots is stored in `update_time`.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "type": "array" } }, "description": "The response message for Environments.LookupEnvironmentHistory." }, "GoogleCloudDialogflowCxV3beta1SpeechToTextSettings": { "properties": { "enableSpeechAdaptation": { "type": "boolean", "description": "Whether to use speech adaptation for speech recognition." } }, "id": "GoogleCloudDialogflowCxV3beta1SpeechToTextSettings", "description": "Settings related to speech recognition.", "type": "object" }, "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction": { "properties": { "parameter": { "type": "string", "description": "Display name of the parameter." }, "value": { "type": "any", "description": "The new value of the parameter. A null value clears the parameter." } }, "type": "object", "description": "Setting a parameter value.", "id": "GoogleCloudDialogflowCxV3FulfillmentSetParameterAction" }, "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata": { "properties": { "conversationProfile": { "description": "The resource name of the conversation profile. Format: `projects//locations//conversationProfiles/`", "type": "string" }, "participantRole": { "enum": [ "ROLE_UNSPECIFIED", "HUMAN_AGENT", "AUTOMATED_AGENT", "END_USER" ], "enumDescriptions": [ "Participant role not set.", "Participant is a human agent.", "Participant is an automated agent, such as a Dialogflow agent.", "Participant is an end user that has called or chatted with Dialogflow services." ], "type": "string", "description": "Required. The participant role to add or update the suggestion feature config. Only HUMAN_AGENT or END_USER can be used." }, "suggestionFeatureType": { "enum": [ "TYPE_UNSPECIFIED", "ARTICLE_SUGGESTION", "FAQ", "SMART_REPLY" ], "type": "string", "enumDescriptions": [ "Unspecified feature type.", "Run article suggestion model.", "Run FAQ model.", "Run smart reply model." ], "description": "Required. The type of the suggestion feature to add or update." }, "createTime": { "description": "Timestamp whe the request was created. The time is measured on server side.", "format": "google-datetime", "type": "string" } }, "description": "Metadata for a ConversationProfile.SetSuggestionFeatureConfig operation.", "type": "object", "id": "GoogleCloudDialogflowV2beta1SetSuggestionFeatureConfigOperationMetadata" }, "GoogleCloudDialogflowV2IntentMessageTableCardRow": { "properties": { "dividerAfter": { "type": "boolean", "description": "Optional. Whether to add a visual divider after this row." }, "cells": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardCell" }, "description": "Optional. List of cells that make up this row." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCardRow", "description": "Row of TableCard." }, "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata": { "properties": { "conversationModelEvaluation": { "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels//evaluations/`", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when the request to create conversation model was submitted. The time is measured on server side." }, "state": { "type": "string", "enumDescriptions": [ "Operation status not specified.", "The operation is being prepared.", "The operation is running.", "The operation is cancelled.", "The operation has succeeded.", "The operation has failed." ], "description": "State of CreateConversationModel operation.", "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "RUNNING", "CANCELLED", "SUCCEEDED", "FAILED" ] }, "conversationModel": { "description": "The resource name of the conversation model. Format: `projects//locations//conversationModels/`", "type": "string" } }, "description": "Metadata for a ConversationModels.CreateConversationModelEvaluation operation.", "id": "GoogleCloudDialogflowV2CreateConversationModelEvaluationOperationMetadata", "type": "object" }, "GoogleCloudDialogflowCxV3TestRunDifference": { "type": "object", "properties": { "description": { "type": "string", "description": "A description of the diff, showing the actual output vs expected output." }, "type": { "enumDescriptions": [ "Should never be used.", "The intent.", "The page.", "The parameters.", "The message utterance." ], "description": "The type of diff.", "enum": [ "DIFF_TYPE_UNSPECIFIED", "INTENT", "PAGE", "PARAMETERS", "UTTERANCE" ], "type": "string" } }, "description": "The description of differences between original and replayed agent output.", "id": "GoogleCloudDialogflowCxV3TestRunDifference" }, "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1CreateVersionOperationMetadata", "description": "Metadata associated with the long running operation for Versions.CreateVersion.", "properties": { "version": { "type": "string", "description": "Name of the created version. Format: `projects//locations//agents//flows//versions/`." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1Fulfillment": { "type": "object", "properties": { "tag": { "type": "string", "description": "The value of this field will be populated in the WebhookRequest `fulfillmentInfo.tag` field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes. This field is required if `webhook` is specified." }, "webhook": { "type": "string", "description": "The webhook to call. Format: `projects//locations//agents//webhooks/`." }, "messages": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage" }, "description": "The list of rich message responses to present to the user.", "type": "array" }, "returnPartialResponses": { "type": "boolean", "description": "Whether Dialogflow should return currently queued fulfillment response messages in streaming APIs. If a webhook is specified, it happens before Dialogflow invokes webhook. Warning: 1) This flag only affects streaming API. Responses are still queued and returned once in non-streaming API. 2) The flag can be enabled in any fulfillment but only the first 3 partial responses will be returned. You may only want to apply it to fulfillments that have slow webhooks." }, "conditionalCases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases" }, "type": "array", "description": "Conditional cases for this fulfillment." }, "setParameterActions": { "description": "Set parameter values before executing the webhook.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentSetParameterAction" }, "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "A fulfillment can do one or more of the following actions at the same time: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Generate rich message responses. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Set parameter values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Call the webhook. Fulfillments can be called at various stages in the Page or Form lifecycle. For example, when a DetectIntentRequest drives a session to enter a new page, the page's entry fulfillment can add a static response to the QueryResult in the returning DetectIntentResponse, call the webhook (for example, to load user data from a database), or both." }, "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService": { "properties": { "username": { "type": "string", "description": "The user name for HTTP Basic authentication." }, "requestHeaders": { "description": "The HTTP request headers to send together with webhook requests.", "type": "object", "additionalProperties": { "type": "string" } }, "uri": { "description": "Required. The webhook URI for receiving POST requests. It must use https protocol.", "type": "string" }, "password": { "type": "string", "description": "The password for HTTP Basic authentication." }, "allowedCaCerts": { "items": { "format": "byte", "type": "string" }, "description": "Optional. Specifies a list of allowed custom CA certificates (in DER format) for HTTPS verification. This overrides the default SSL trust store. If this is empty or unspecified, Dialogflow will use Google's default trust store to verify certificates. N.B. Make sure the HTTPS server certificates are signed with \"subject alt name\". For instance a certificate can be self-signed using the following command, ``` openssl x509 -req -days 200 -in example.com.csr \\ -signkey example.com.key \\ -out example.com.crt \\ -extfile \u003c(printf \"\\nsubjectAltName='DNS:www.example.com'\") ```", "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1WebhookGenericWebService", "description": "Represents configuration for a generic web service." }, "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart": { "type": "object", "id": "GoogleCloudDialogflowCxV3IntentTrainingPhrasePart", "description": "Represents a part of a training phrase.", "properties": { "parameterId": { "description": "The parameter used to annotate this part of the training phrase. This field is required for annotated parts of the training phrase.", "type": "string" }, "text": { "type": "string", "description": "Required. The text for this part." } } }, "GoogleCloudDialogflowCxV3beta1Form": { "properties": { "parameters": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1FormParameter" }, "type": "array", "description": "Parameters to collect from the user." } }, "id": "GoogleCloudDialogflowCxV3beta1Form", "type": "object", "description": "A form is a data model that groups related parameters that can be collected from the user. The process in which the agent prompts the user and collects parameter values from the user is called form filling. A form can be added to a page. When form filling is done, the filled parameters will be written to the session." }, "GoogleCloudDialogflowCxV3beta1CompareVersionsResponse": { "type": "object", "properties": { "baseVersionContentJson": { "type": "string", "description": "JSON representation of the base version content." }, "targetVersionContentJson": { "type": "string", "description": "JSON representation of the target version content." }, "compareTime": { "format": "google-datetime", "description": "The timestamp when the two version compares.", "type": "string" } }, "description": "The response message for Versions.CompareVersions.", "id": "GoogleCloudDialogflowCxV3beta1CompareVersionsResponse" }, "GoogleCloudDialogflowCxV3FormParameter": { "description": "Represents a form parameter.", "properties": { "required": { "type": "boolean", "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." }, "entityType": { "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.", "type": "string" }, "displayName": { "description": "Required. The human-readable name of the parameter, unique within the form.", "type": "string" }, "redact": { "type": "boolean", "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled." }, "isList": { "type": "boolean", "description": "Indicates whether the parameter represents a list of values." }, "defaultValue": { "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored.", "type": "any" }, "fillBehavior": { "description": "Required. Defines fill behavior for the parameter.", "$ref": "GoogleCloudDialogflowCxV3FormParameterFillBehavior" } }, "id": "GoogleCloudDialogflowCxV3FormParameter", "type": "object" }, "GoogleCloudDialogflowCxV3beta1RunTestCaseRequest": { "description": "The request message for TestCases.RunTestCase.", "properties": { "environment": { "type": "string", "description": "Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1RunTestCaseRequest" }, "GoogleCloudDialogflowCxV3beta1ImportFlowRequest": { "description": "The request message for Flows.ImportFlow.", "properties": { "importOption": { "enum": [ "IMPORT_OPTION_UNSPECIFIED", "KEEP", "FALLBACK" ], "type": "string", "enumDescriptions": [ "Unspecified. Treated as `KEEP`.", "Always respect settings in exported flow content. It may cause a import failure if some settings (e.g. custom NLU) are not supported in the agent to import into.", "Fallback to default settings if some settings are not supported in the agent to import into. E.g. Standard NLU will be used if custom NLU is not available." ], "description": "Flow import mode. If not specified, `KEEP` is assumed." }, "flowUri": { "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to import flow from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" }, "flowContent": { "type": "string", "format": "byte", "description": "Uncompressed raw byte content for flow." } }, "id": "GoogleCloudDialogflowCxV3beta1ImportFlowRequest", "type": "object" }, "GoogleCloudDialogflowCxV3ConversationTurnUserInput": { "type": "object", "properties": { "injectedParameters": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Parameters that need to be injected into the conversation during intent detection." }, "input": { "description": "Supports text input, event input, dtmf input in the test case.", "$ref": "GoogleCloudDialogflowCxV3QueryInput" }, "isWebhookEnabled": { "description": "If webhooks should be allowed to trigger in response to the user utterance. Often if parameters are injected, webhooks should not be enabled.", "type": "boolean" }, "enableSentimentAnalysis": { "description": "Whether sentiment analysis is enabled.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3ConversationTurnUserInput", "description": "The input from the human user." }, "GoogleCloudDialogflowCxV3beta1RunContinuousTestRequest": { "type": "object", "properties": {}, "description": "The request message for Environments.RunContinuousTest.", "id": "GoogleCloudDialogflowCxV3beta1RunContinuousTestRequest" }, "GoogleCloudDialogflowCxV3beta1VersionVariantsVariant": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1VersionVariantsVariant", "properties": { "isControlGroup": { "type": "boolean", "description": "Whether the variant is for the control group." }, "trafficAllocation": { "format": "float", "type": "number", "description": "Percentage of the traffic which should be routed to this version of flow. Traffic allocation for a single flow must sum up to 1.0." }, "version": { "type": "string", "description": "The name of the flow version. Format: `projects//locations//agents//flows//versions/`." } }, "description": "A single flow version with specified traffic allocation." }, "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo": { "id": "GoogleCloudDialogflowCxV3beta1WebhookRequestFulfillmentInfo", "properties": { "tag": { "type": "string", "description": "Always present. The value of the Fulfillment.tag field will be populated in this field by Dialogflow when the associated webhook is called. The tag is typically used by the webhook service to identify which fulfillment is being called, but it could be used for other purposes." } }, "description": "Represents fulfillment information communicated to the webhook.", "type": "object" }, "GoogleCloudDialogflowV2beta1FaqAnswer": { "description": "Represents answer from \"frequently asked questions\".", "type": "object", "id": "GoogleCloudDialogflowV2beta1FaqAnswer", "properties": { "question": { "description": "The corresponding FAQ question.", "type": "string" }, "answer": { "type": "string", "description": "The piece of text from the `source` knowledge base document." }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "A map that contains metadata about the answer and the document from which it originates." }, "confidence": { "type": "number", "format": "float", "description": "The system's confidence score that this Knowledge answer is a good match for this conversational query, range from 0.0 (completely uncertain) to 1.0 (completely certain)." }, "answerRecord": { "description": "The name of answer record, in the format of \"projects//locations//answerRecords/\"", "type": "string" }, "source": { "description": "Indicates which Knowledge Document this answer was extracted from. Format: `projects//locations//agent/knowledgeBases//documents/`.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1IntentInput": { "type": "object", "description": "Represents the intent to trigger programmatically rather than as a result of natural language processing.", "id": "GoogleCloudDialogflowCxV3beta1IntentInput", "properties": { "intent": { "description": "Required. The unique identifier of the intent. Format: `projects//locations//agents//intents/`.", "type": "string" } } }, "GoogleCloudDialogflowCxV3beta1ExportTestCasesRequest": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ExportTestCasesRequest", "properties": { "dataFormat": { "enumDescriptions": [ "Unspecified format.", "Raw bytes.", "JSON format." ], "enum": [ "DATA_FORMAT_UNSPECIFIED", "BLOB", "JSON" ], "type": "string", "description": "The data format of the exported test cases. If not specified, `BLOB` is assumed." }, "gcsUri": { "type": "string", "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the test cases to. The format of this URI must be `gs:///`. If unspecified, the serialized test cases is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." }, "filter": { "description": "The filter expression used to filter exported test cases, see [API Filtering](https://aip.dev/160). The expression is case insensitive and supports the following syntax: name = [OR name = ] ... For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"name = t1 OR name = t2\" matches the test case with the exact resource name \"t1\" or \"t2\".", "type": "string" } }, "description": "The request message for TestCases.ExportTestCases." }, "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverage": { "type": "object", "properties": { "coverageScore": { "description": "The percent of transition routes in the transition route group that are covered.", "type": "number", "format": "float" }, "routeGroup": { "description": "Transition route group metadata. Only name and displayName will be set.", "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "transitions": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverageTransition" }, "description": "The list of transition routes and coverage in the transition route group.", "type": "array" } }, "id": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroupCoverageCoverage", "description": "Coverage result message for one transition route group." }, "GoogleCloudDialogflowCxV3beta1InputAudioConfig": { "type": "object", "description": "Instructs the speech recognizer on how to process the audio content.", "properties": { "phraseHints": { "description": "Optional. A list of strings containing words and phrases that the speech recognizer should recognize with higher likelihood. See [the Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/basics#phrase-hints) for more details.", "items": { "type": "string" }, "type": "array" }, "model": { "description": "Optional. Which Speech model to select for the given request. Select the model best suited to your domain to get best results. If a model is not explicitly specified, then we auto-select a model based on the parameters in the InputAudioConfig. If enhanced speech model is enabled for the agent and an enhanced version of the specified model for the language does not exist, then the speech is recognized using the standard version of the specified model. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics#select-model) for more details.", "type": "string" }, "sampleRateHertz": { "description": "Sample rate (in Hertz) of the audio content sent in the query. Refer to [Cloud Speech API documentation](https://cloud.google.com/speech-to-text/docs/basics) for more details.", "format": "int32", "type": "integer" }, "audioEncoding": { "enum": [ "AUDIO_ENCODING_UNSPECIFIED", "AUDIO_ENCODING_LINEAR_16", "AUDIO_ENCODING_FLAC", "AUDIO_ENCODING_MULAW", "AUDIO_ENCODING_AMR", "AUDIO_ENCODING_AMR_WB", "AUDIO_ENCODING_OGG_OPUS", "AUDIO_ENCODING_SPEEX_WITH_HEADER_BYTE" ], "enumDescriptions": [ "Not specified.", "Uncompressed 16-bit signed little-endian samples (Linear PCM).", "[`FLAC`](https://xiph.org/flac/documentation.html) (Free Lossless Audio Codec) is the recommended encoding because it is lossless (therefore recognition is not compromised) and requires only about half the bandwidth of `LINEAR16`. `FLAC` stream encoding supports 16-bit and 24-bit samples, however, not all fields in `STREAMINFO` are supported.", "8-bit samples that compand 14-bit audio samples using G.711 PCMU/mu-law.", "Adaptive Multi-Rate Narrowband codec. `sample_rate_hertz` must be 8000.", "Adaptive Multi-Rate Wideband codec. `sample_rate_hertz` must be 16000.", "Opus encoded audio frames in Ogg container ([OggOpus](https://wiki.xiph.org/OggOpus)). `sample_rate_hertz` must be 16000.", "Although the use of lossy encodings is not recommended, if a very low bitrate encoding is required, `OGG_OPUS` is highly preferred over Speex encoding. The [Speex](https://speex.org/) encoding supported by Dialogflow API has a header byte in each block, as in MIME type `audio/x-speex-with-header-byte`. It is a variant of the RTP Speex encoding defined in [RFC 5574](https://tools.ietf.org/html/rfc5574). The stream is a sequence of blocks, one block per RTP packet. Each block starts with a byte containing the length of the block, in bytes, followed by one or more frames of Speex data, padded to an integral number of bytes (octets) as specified in RFC 5574. In other words, each RTP header is replaced with a single byte containing the block length. Only Speex wideband is supported. `sample_rate_hertz` must be 16000." ], "description": "Required. Audio encoding of the audio content to process.", "type": "string" }, "enableWordInfo": { "description": "Optional. If `true`, Dialogflow returns SpeechWordInfo in StreamingRecognitionResult with information about the recognized speech words, e.g. start and end time offsets. If false or unspecified, Speech doesn't return any word-level information.", "type": "boolean" }, "singleUtterance": { "type": "boolean", "description": "Optional. If `false` (default), recognition does not cease until the client closes the stream. If `true`, the recognizer will detect a single spoken utterance in input audio. Recognition ceases when it detects the audio's voice has stopped or paused. In this case, once a detected intent is received, the client should close the stream and start a new request with a new stream as needed. Note: This setting is relevant only for streaming methods." }, "modelVariant": { "enumDescriptions": [ "No model variant specified. In this case Dialogflow defaults to USE_BEST_AVAILABLE.", "Use the best available variant of the Speech model that the caller is eligible for. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible for enhanced models.", "Use standard model variant even if an enhanced model is available. See the [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) for details about enhanced models.", "Use an enhanced model variant: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an enhanced variant does not exist for the given model and request language, Dialogflow falls back to the standard variant. The [Cloud Speech documentation](https://cloud.google.com/speech-to-text/docs/enhanced-models) describes which models have enhanced variants. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the API caller isn't eligible for enhanced models, Dialogflow returns an error. Please see the [Dialogflow docs](https://cloud.google.com/dialogflow/docs/data-logging) for how to make your project eligible." ], "type": "string", "description": "Optional. Which variant of the Speech model to use.", "enum": [ "SPEECH_MODEL_VARIANT_UNSPECIFIED", "USE_BEST_AVAILABLE", "USE_STANDARD", "USE_ENHANCED" ] } }, "id": "GoogleCloudDialogflowCxV3beta1InputAudioConfig" }, "GoogleCloudDialogflowCxV3beta1DetectIntentRequest": { "description": "The request to detect user's intent.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1DetectIntentRequest", "properties": { "queryInput": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryInput", "description": "Required. The input specification." }, "queryParams": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryParameters", "description": "The parameters of this query." }, "outputAudioConfig": { "$ref": "GoogleCloudDialogflowCxV3beta1OutputAudioConfig", "description": "Instructs the speech synthesizer how to generate the output audio." } } }, "GoogleCloudDialogflowCxV3beta1RestoreAgentRequest": { "description": "The request message for Agents.RestoreAgent.", "type": "object", "properties": { "agentContent": { "format": "byte", "description": "Uncompressed raw byte content for agent.", "type": "string" }, "agentUri": { "type": "string", "description": "The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to restore agent from. The format of this URI must be `gs:///`. Dialogflow performs a read operation for the Cloud Storage object on the caller's behalf, so your request authentication must have read permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage)." }, "restoreOption": { "enumDescriptions": [ "Unspecified. Treated as KEEP.", "Always respect the settings from the exported agent file. It may cause a restoration failure if some settings (e.g. model type) are not supported in the target agent.", "Fallback to default settings if some settings are not supported in the target agent." ], "description": "Agent restore mode. If not specified, `KEEP` is assumed.", "enum": [ "RESTORE_OPTION_UNSPECIFIED", "KEEP", "FALLBACK" ], "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1RestoreAgentRequest" }, "GoogleCloudDialogflowCxV3beta1EventHandler": { "id": "GoogleCloudDialogflowCxV3beta1EventHandler", "description": "An event handler specifies an event that can be handled during a session. When the specified event happens, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the event, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the event, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the event, the session will transition into the specified flow.", "properties": { "name": { "readOnly": true, "description": "Output only. The unique identifier of this event handler.", "type": "string" }, "triggerFulfillment": { "description": "The fulfillment to call when the event occurs. Handling webhook errors with a fulfillment enabled with webhook could cause infinite loop. It is invalid to specify such fulfillment for a handler handling webhooks.", "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment" }, "event": { "type": "string", "description": "Required. The name of the event to handle." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1ListSessionEntityTypesResponse": { "description": "The response message for SessionEntityTypes.ListSessionEntityTypes.", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "sessionEntityTypes": { "description": "The list of session entity types. There will be a maximum number of items returned based on the page_size field in the request.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "type": "array" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ListSessionEntityTypesResponse" }, "GoogleCloudDialogflowCxV3ImportTestCasesMetadata": { "type": "object", "id": "GoogleCloudDialogflowCxV3ImportTestCasesMetadata", "description": "Metadata returned for the TestCases.ImportTestCases long running operation.", "properties": { "errors": { "type": "array", "description": "Errors for failed test cases.", "items": { "$ref": "GoogleCloudDialogflowCxV3TestCaseError" } } } }, "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata": { "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1DeleteDocumentOperationMetadata", "description": "Metadata for DeleteDocument operation." }, "GoogleCloudDialogflowV2QueryResult": { "id": "GoogleCloudDialogflowV2QueryResult", "description": "Represents the result of conversational query or event processing.", "type": "object", "properties": { "languageCode": { "type": "string", "description": "The language that was triggered during intent detection. See [Language Support](https://cloud.google.com/dialogflow/docs/reference/language) for a list of the currently supported language codes." }, "outputContexts": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Context" }, "description": "The collection of output contexts. If applicable, `output_contexts.parameters` contains entries with name `.original` containing the original parameter values before the query." }, "cancelsSlotFilling": { "description": "Indicates whether the conversational query triggers a cancellation for slot filling. For more information, see the [cancel slot filling documentation](https://cloud.google.com/dialogflow/es/docs/intents-actions-parameters#cancel).", "type": "boolean" }, "speechRecognitionConfidence": { "type": "number", "description": "The Speech recognition confidence between 0.0 and 1.0. A higher number indicates an estimated greater likelihood that the recognized words are correct. The default of 0.0 is a sentinel value indicating that confidence was not set. This field is not guaranteed to be accurate or set. In particular this field isn't set for StreamingDetectIntent since the streaming endpoint has separate confidence estimates per portion of the audio in StreamingRecognitionResult.", "format": "float" }, "webhookPayload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `payload` field returned in the webhook response.", "type": "object" }, "sentimentAnalysisResult": { "$ref": "GoogleCloudDialogflowV2SentimentAnalysisResult", "description": "The sentiment analysis result, which depends on the `sentiment_analysis_request_config` specified in the request." }, "queryText": { "description": "The original conversational query text: - If natural language text was provided as input, `query_text` contains a copy of the input. - If natural language speech audio was provided as input, `query_text` contains the speech recognition result. If speech recognizer produced multiple alternatives, a particular one is picked. - If automatic spell correction is enabled, `query_text` will contain the corrected user input.", "type": "string" }, "webhookSource": { "description": "If the query was fulfilled by a webhook call, this field is set to the value of the `source` field returned in the webhook response.", "type": "string" }, "fulfillmentMessages": { "description": "The collection of rich messages to present to the user.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessage" } }, "allRequiredParamsPresent": { "type": "boolean", "description": "This field is set to: - `false` if the matched intent has required parameters and not all of the required parameter values have been collected. - `true` if all required parameter values have been collected, or if the matched intent doesn't contain any required parameters." }, "intent": { "description": "The intent that matched the conversational query. Some, not all fields are filled in this message, including but not limited to: `name`, `display_name`, `end_interaction` and `is_fallback`.", "$ref": "GoogleCloudDialogflowV2Intent" }, "parameters": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "The collection of extracted parameters. Depending on your protocol or client library language, this is a map, associative array, symbol table, dictionary, or JSON object composed of a collection of (MapKey, MapValue) pairs: - MapKey type: string - MapKey value: parameter name - MapValue type: - If parameter's entity type is a composite entity: map - Else: depending on parameter value type, could be one of string, number, boolean, null, list or map - MapValue value: - If parameter's entity type is a composite entity: map from composite entity property names to property values - Else: parameter value", "type": "object" }, "fulfillmentText": { "type": "string", "description": "The text to be pronounced to the user or shown on the screen. Note: This is a legacy field, `fulfillment_messages` should be preferred." }, "intentDetectionConfidence": { "description": "The intent detection confidence. Values range from 0.0 (completely uncertain) to 1.0 (completely certain). This value is for informational purpose only and is only used to help match the best intent within the classification threshold. This value may change for the same end-user expression at any time due to a model retraining or change in implementation. If there are `multiple knowledge_answers` messages, this value is set to the greatest `knowledgeAnswers.match_confidence` value in the list.", "format": "float", "type": "number" }, "action": { "type": "string", "description": "The action name from the matched intent." }, "diagnosticInfo": { "description": "Free-form diagnostic information for the associated detect intent request. The fields of this data can change without notice, so you should not write code that depends on its structure. The data may contain: - webhook call latency - webhook errors", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } } }, "GoogleCloudDialogflowCxV3DtmfInput": { "description": "Represents the input for dtmf event.", "id": "GoogleCloudDialogflowCxV3DtmfInput", "type": "object", "properties": { "digits": { "description": "The dtmf digits.", "type": "string" }, "finishDigit": { "type": "string", "description": "The finish digit (if any)." } } }, "GoogleCloudDialogflowV2beta1EntityType": { "properties": { "kind": { "description": "Required. Indicates the kind of entity type.", "type": "string", "enum": [ "KIND_UNSPECIFIED", "KIND_MAP", "KIND_LIST", "KIND_REGEXP" ], "enumDescriptions": [ "Not specified. This value should be never used.", "Map entity types allow mapping of a group of synonyms to a reference value.", "List entity types contain a set of entries that do not map to reference values. However, list entity types can contain references to other entity types (with or without aliases).", "Regexp entity types allow to specify regular expressions in entries values." ] }, "name": { "type": "string", "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType and EntityTypes.BatchUpdateEntityTypes methods. Supported formats: - `projects//agent/entityTypes/` - `projects//locations//agent/entityTypes/`" }, "enableFuzzyExtraction": { "type": "boolean", "description": "Optional. Enables fuzzy entity extraction during classification." }, "displayName": { "type": "string", "description": "Required. The name of the entity type." }, "entities": { "description": "Optional. The collection of entity entries associated with the entity type.", "items": { "$ref": "GoogleCloudDialogflowV2beta1EntityTypeEntity" }, "type": "array" }, "autoExpansionMode": { "enumDescriptions": [ "Auto expansion disabled for the entity.", "Allows an agent to recognize values that have not been explicitly listed in the entity." ], "enum": [ "AUTO_EXPANSION_MODE_UNSPECIFIED", "AUTO_EXPANSION_MODE_DEFAULT" ], "type": "string", "description": "Optional. Indicates whether the entity type can be automatically expanded." } }, "description": "Each intent parameter has a type, called the entity type, which dictates exactly how data from an end-user expression is extracted. Dialogflow provides predefined system entities that can match many common types of data. For example, there are system entities for matching dates, times, colors, email addresses, and so on. You can also create your own custom entities for matching custom data. For example, you could define a vegetable entity that can match the types of vegetables available for purchase with a grocery store agent. For more information, see the [Entity guide](https://cloud.google.com/dialogflow/docs/entities-overview).", "id": "GoogleCloudDialogflowV2beta1EntityType", "type": "object" }, "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction": { "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageBasicCardButtonOpenUriAction", "description": "Opens the given URI.", "properties": { "uri": { "type": "string", "description": "Required. The HTTP or HTTPS scheme URI." } } }, "GoogleCloudDialogflowCxV3beta1TestCaseResult": { "properties": { "testResult": { "enumDescriptions": [ "Not specified. Should never be used.", "The test passed.", "The test did not pass." ], "enum": [ "TEST_RESULT_UNSPECIFIED", "PASSED", "FAILED" ], "description": "Whether the test case passed in the agent environment.", "type": "string" }, "name": { "description": "The resource name for the test case result. Format: `projects//locations//agents//testCases/ /results/`.", "type": "string" }, "conversationTurns": { "type": "array", "description": "The conversation turns uttered during the test case replay in chronological order.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurn" } }, "environment": { "description": "Environment where the test was run. If not set, it indicates the draft environment.", "type": "string" }, "testTime": { "type": "string", "description": "The time that the test was run.", "format": "google-datetime" } }, "description": "Represents a result from running a test case in an agent environment.", "id": "GoogleCloudDialogflowCxV3beta1TestCaseResult", "type": "object" }, "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult": { "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookRequestSentimentAnalysisResult", "properties": { "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number", "format": "float" }, "magnitude": { "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment, regardless of score (positive or negative).", "type": "number", "format": "float" } }, "description": "Represents the result of sentiment analysis." }, "GoogleCloudDialogflowCxV3beta1DeployFlowRequest": { "description": "The request message for Environments.DeployFlow.", "properties": { "flowVersion": { "description": "Required. The flow version to deploy. Format: `projects//locations//agents// flows//versions/`.", "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1DeployFlowRequest", "type": "object" }, "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3ReloadDocumentOperationMetadata", "properties": { "genericMetadata": { "description": "The generic information of the operation.", "$ref": "GoogleCloudDialogflowCxV3GenericKnowledgeOperationMetadata" } }, "type": "object", "description": "Metadata for ReloadDocument operation." }, "GoogleCloudDialogflowCxV3beta1Intent": { "description": "An intent represents a user's intent to interact with a conversational agent. You can provide information for the Dialogflow API to use to match user input to an intent by adding training phrases (i.e., examples of user input) to your intent.", "properties": { "name": { "type": "string", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`." }, "trainingPhrases": { "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentTrainingPhrase" }, "description": "The collection of training phrases the agent is trained on to identify the intent.", "type": "array" }, "parameters": { "description": "The collection of parameters associated with the intent.", "items": { "$ref": "GoogleCloudDialogflowCxV3beta1IntentParameter" }, "type": "array" }, "isFallback": { "description": "Indicates whether this is a fallback intent. Currently only default fallback intent is allowed in the agent, which is added upon agent creation. Adding training phrases to fallback intent is useful in the case of requests that are mistakenly matched, since training phrases assigned to fallback intents act as negative examples that triggers no-match event.", "type": "boolean" }, "description": { "description": "Human readable description for better understanding an intent like its scope, content, result etc. Maximum character limit: 140 characters.", "type": "string" }, "labels": { "type": "object", "description": "The key/value metadata to label an intent. Labels can contain lowercase letters, digits and the symbols '-' and '_'. International characters are allowed, including letters from unicase alphabets. Keys must start with a letter. Keys and values can be no longer than 63 characters and no more than 128 bytes. Prefix \"sys-\" is reserved for Dialogflow defined labels. Currently allowed Dialogflow defined labels include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-head LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh sys-contextual The above labels do not require value. \"sys-head\" means the intent is a head intent. \"sys-contextual\" means the intent is a contextual intent.", "additionalProperties": { "type": "string" } }, "displayName": { "description": "Required. The human-readable name of the intent, unique within the agent.", "type": "string" }, "priority": { "type": "integer", "description": "The priority of this intent. Higher numbers represent higher priorities. - If the supplied value is unspecified or 0, the service translates the value to 500,000, which corresponds to the `Normal` priority in the console. - If the supplied value is negative, the intent is ignored in runtime detect intent requests.", "format": "int32" } }, "id": "GoogleCloudDialogflowCxV3beta1Intent", "type": "object" }, "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent": { "id": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCasesCaseCaseContent", "description": "The list of messages or conditional cases to activate for this case.", "type": "object", "properties": { "additionalCases": { "description": "Additional cases to be evaluated.", "$ref": "GoogleCloudDialogflowCxV3beta1FulfillmentConditionalCases" }, "message": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessage", "description": "Returned message." } } }, "GoogleCloudLocationLocation": { "description": "A resource that represents Google Cloud Platform location.", "id": "GoogleCloudLocationLocation", "properties": { "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "type": "object" }, "GoogleCloudDialogflowCxV3ImportDocumentsResponse": { "id": "GoogleCloudDialogflowCxV3ImportDocumentsResponse", "type": "object", "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Includes details about skipped documents or any other warnings." } }, "description": "Response message for Documents.ImportDocuments." }, "GoogleCloudDialogflowCxV3beta1ConversationTurn": { "description": "One interaction between a human and virtual agent. The human provides some input and the virtual agent provides a response.", "type": "object", "properties": { "virtualAgentOutput": { "description": "The virtual agent output.", "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnVirtualAgentOutput" }, "userInput": { "description": "The user input.", "$ref": "GoogleCloudDialogflowCxV3beta1ConversationTurnUserInput" } }, "id": "GoogleCloudDialogflowCxV3beta1ConversationTurn" }, "GoogleCloudDialogflowCxV3TestCase": { "properties": { "creationTime": { "format": "google-datetime", "type": "string", "description": "Output only. When the test was created.", "readOnly": true }, "displayName": { "description": "Required. The human-readable name of the test case, unique within the agent. Limit of 200 characters.", "type": "string" }, "testConfig": { "$ref": "GoogleCloudDialogflowCxV3TestConfig", "description": "Config for the test case." }, "lastTestResult": { "description": "The latest test result.", "$ref": "GoogleCloudDialogflowCxV3TestCaseResult" }, "notes": { "type": "string", "description": "Additional freeform notes about the test case. Limit of 400 characters." }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags are short descriptions that users may apply to test cases for organizational and filtering purposes. Each tag should start with \"#\" and has a limit of 30 characters." }, "testCaseConversationTurns": { "description": "The conversation turns uttered when the test case was created, in chronological order. These include the canonical set of agent utterances that should occur when the agent is working properly.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3ConversationTurn" } }, "name": { "type": "string", "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`." } }, "type": "object", "description": "Represents a test case.", "id": "GoogleCloudDialogflowCxV3TestCase" }, "GoogleCloudDialogflowCxV3beta1FulfillIntentResponse": { "properties": { "outputAudioConfig": { "description": "The config used by the speech synthesizer to generate the output audio.", "$ref": "GoogleCloudDialogflowCxV3beta1OutputAudioConfig" }, "responseId": { "type": "string", "description": "Output only. The unique identifier of the response. It can be used to locate a response in the training example set or for reporting issues." }, "outputAudio": { "format": "byte", "type": "string", "description": "The audio data bytes encoded as specified in the request. Note: The output audio is generated based on the values of default platform text responses found in the `query_result.response_messages` field. If multiple default text responses exist, they will be concatenated when generating audio. If no default platform text responses exist, the generated audio content will be empty. In some scenarios, multiple output audio fields may be present in the response structure. In these cases, only the top-most-level audio output has content." }, "queryResult": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryResult", "description": "The result of the conversational query." } }, "id": "GoogleCloudDialogflowCxV3beta1FulfillIntentResponse", "type": "object", "description": "Response of FulfillIntent" }, "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo": { "properties": { "synonyms": { "description": "Optional. A list of synonyms that can also be used to trigger this item in dialog.", "items": { "type": "string" }, "type": "array" }, "key": { "description": "Required. A unique key that will be sent back to the agent if this response is given.", "type": "string" } }, "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentMessageSelectItemInfo", "description": "Additional info about the select item for when it is triggered in a dialog." }, "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard": { "id": "GoogleCloudDialogflowV2beta1IntentMessageRbmStandaloneCard", "type": "object", "description": "Standalone Rich Business Messaging (RBM) rich card. Rich cards allow you to respond to users with more vivid content, e.g. with media and suggestions. You can group multiple rich cards into one using RbmCarouselCard but carousel cards will give you less control over the card layout.", "properties": { "cardOrientation": { "description": "Required. Orientation of the card.", "enum": [ "CARD_ORIENTATION_UNSPECIFIED", "HORIZONTAL", "VERTICAL" ], "enumDescriptions": [ "Not specified.", "Horizontal layout.", "Vertical layout." ], "type": "string" }, "thumbnailImageAlignment": { "enum": [ "THUMBNAIL_IMAGE_ALIGNMENT_UNSPECIFIED", "LEFT", "RIGHT" ], "enumDescriptions": [ "Not specified.", "Thumbnail preview is left-aligned.", "Thumbnail preview is right-aligned." ], "description": "Required if orientation is horizontal. Image preview alignment for standalone cards with horizontal layout.", "type": "string" }, "cardContent": { "$ref": "GoogleCloudDialogflowV2beta1IntentMessageRbmCardContent", "description": "Required. Card content." } } }, "GoogleCloudDialogflowV2beta1IntentParameter": { "type": "object", "id": "GoogleCloudDialogflowV2beta1IntentParameter", "description": "Represents intent parameters.", "properties": { "isList": { "type": "boolean", "description": "Optional. Indicates whether the parameter represents a list of values." }, "displayName": { "type": "string", "description": "Required. The name of the parameter." }, "entityTypeDisplayName": { "type": "string", "description": "Optional. The name of the entity type, prefixed with `@`, that describes values of the parameter. If the parameter is required, this must be provided." }, "defaultValue": { "type": "string", "description": "Optional. The default value to use when the `value` yields an empty result. Default values can be extracted from contexts by using the following syntax: `#context_name.parameter_name`." }, "value": { "description": "Optional. The definition of the parameter value. It can be: - a constant string, - a parameter value defined as `$parameter_name`, - an original parameter value defined as `$parameter_name.original`, - a parameter value from some context defined as `#context_name.parameter_name`.", "type": "string" }, "prompts": { "description": "Optional. The collection of prompts that the agent can present to the user in order to collect a value for the parameter.", "items": { "type": "string" }, "type": "array" }, "mandatory": { "description": "Optional. Indicates whether the parameter is required. That is, whether the intent cannot be completed without collecting the parameter value.", "type": "boolean" }, "name": { "type": "string", "description": "The unique identifier of this parameter." } } }, "GoogleCloudDialogflowCxV3beta1ResponseMessage": { "type": "object", "description": "Represents a response message that can be returned by a conversational agent. Response messages are also used for output audio synthesis. The approach is as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If at least one OutputAudioText response is present, then all OutputAudioText responses are linearly concatenated, and the result is used for output audio synthesis. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the OutputAudioText responses are a mixture of text and SSML, then the concatenated result is treated as SSML; otherwise, the result is treated as either text or SSML as appropriate. The agent designer should ideally use either text or SSML consistently throughout the bot design. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Otherwise, all Text responses are linearly concatenated, and the result is used for output audio synthesis. This approach allows for more sophisticated user experience scenarios, where the text displayed to the user may differ from what is heard.", "id": "GoogleCloudDialogflowCxV3beta1ResponseMessage", "properties": { "mixedAudio": { "readOnly": true, "description": "Output only. An audio response message composed of both the synthesized Dialogflow agent responses and responses defined via play_audio. This message is generated by Dialogflow only and not supposed to be defined by the user.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageMixedAudio" }, "liveAgentHandoff": { "description": "Hands off conversation to a human agent.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageLiveAgentHandoff" }, "conversationSuccess": { "description": "Indicates that the conversation succeeded.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageConversationSuccess" }, "endInteraction": { "readOnly": true, "description": "Output only. A signal that indicates the interaction with the Dialogflow agent has ended. This message is generated by Dialogflow only when the conversation reaches `END_SESSION` page. It is not supposed to be defined by the user. It's guaranteed that there is at most one such message in each response.", "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageEndInteraction" }, "playAudio": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessagePlayAudio", "description": "Signal that the client should play an audio clip hosted at a client-specific URI. Dialogflow uses this to construct mixed_audio. However, Dialogflow itself does not try to read or process the URI in any way." }, "outputAudioText": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageOutputAudioText", "description": "A text or ssml response that is preferentially used for TTS output audio synthesis, as described in the comment on the ResponseMessage message." }, "telephonyTransferCall": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageTelephonyTransferCall", "description": "A signal that the client should transfer the phone call connected to this agent to a third-party endpoint." }, "text": { "$ref": "GoogleCloudDialogflowCxV3beta1ResponseMessageText", "description": "Returns a text response." }, "payload": { "description": "Returns a response containing a custom, platform-specific payload.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" } } }, "GoogleCloudDialogflowCxV3beta1FormParameter": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1FormParameter", "description": "Represents a form parameter.", "properties": { "defaultValue": { "type": "any", "description": "The default value of an optional parameter. If the parameter is required, the default value will be ignored." }, "redact": { "description": "Indicates whether the parameter content should be redacted in log. If redaction is enabled, the parameter content will be replaced by parameter name during logging. Note: the parameter content is subject to redaction if either parameter level redaction or entity type level redaction is enabled.", "type": "boolean" }, "isList": { "description": "Indicates whether the parameter represents a list of values.", "type": "boolean" }, "fillBehavior": { "$ref": "GoogleCloudDialogflowCxV3beta1FormParameterFillBehavior", "description": "Required. Defines fill behavior for the parameter." }, "displayName": { "description": "Required. The human-readable name of the parameter, unique within the form.", "type": "string" }, "entityType": { "description": "Required. The entity type of the parameter. Format: `projects/-/locations/-/agents/-/entityTypes/` for system entity types (for example, `projects/-/locations/-/agents/-/entityTypes/sys.date`), or `projects//locations//agents//entityTypes/` for developer entity types.", "type": "string" }, "required": { "type": "boolean", "description": "Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes." } } }, "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata": { "id": "GoogleCloudDialogflowCxV3beta1UpdateDocumentOperationMetadata", "description": "Metadata for UpdateDocument operation.", "type": "object", "properties": { "genericMetadata": { "$ref": "GoogleCloudDialogflowCxV3beta1GenericKnowledgeOperationMetadata", "description": "The generic information of the operation." } } }, "GoogleLongrunningOperation": { "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "GoogleLongrunningOperation" }, "GoogleCloudDialogflowV2IntentMessageColumnProperties": { "properties": { "horizontalAlignment": { "description": "Optional. Defines text alignment for all cells in this column.", "type": "string", "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ], "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ] }, "header": { "type": "string", "description": "Required. Column heading." } }, "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageColumnProperties", "description": "Column properties for TableCard." }, "GoogleCloudDialogflowCxV3Page": { "properties": { "displayName": { "description": "Required. The human-readable name of the page, unique within the flow.", "type": "string" }, "transitionRoutes": { "type": "array", "description": "A list of transitions for the transition rules of this page. They route the conversation to another page in the same flow, or another flow. When we are in a certain page, the TransitionRoutes are evalauted in the following order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in flow with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with intent specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the page with only condition specified. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TransitionRoutes defined in the transition route groups with only condition specified.", "items": { "$ref": "GoogleCloudDialogflowCxV3TransitionRoute" } }, "entryFulfillment": { "description": "The fulfillment to call when the session is entering the page.", "$ref": "GoogleCloudDialogflowCxV3Fulfillment" }, "eventHandlers": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowCxV3EventHandler" }, "description": "Handlers associated with the page to handle events such as webhook errors, no match or no input." }, "name": { "type": "string", "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`." }, "form": { "$ref": "GoogleCloudDialogflowCxV3Form", "description": "The form associated with the page, used for collecting parameters relevant to the page." }, "transitionRouteGroups": { "type": "array", "items": { "type": "string" }, "description": "Ordered list of `TransitionRouteGroups` associated with the page. Transition route groups must be unique within a page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition routes within a page scope refer to the same intent, then the precedence order is: page's transition route -\u003e page's transition route group -\u003e flow's transition routes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If multiple transition route groups within a page contain the same intent, then the first group in the ordered list takes precedence. Format:`projects//locations//agents//flows//transitionRouteGroups/`." } }, "type": "object", "description": "A Dialogflow CX conversation (session) can be described and visualized as a state machine. The states of a CX session are represented by pages. For each flow, you define many pages, where your combined pages can handle a complete conversation on the topics the flow is designed for. At any given moment, exactly one page is the current page, the current page is considered active, and the flow associated with that page is considered active. Every flow has a special start page. When a flow initially becomes active, the start page page becomes the current page. For each conversational turn, the current page will either stay the same or transition to another page. You configure each page to collect information from the end-user that is relevant for the conversational state represented by the page. For more information, see the [Page guide](https://cloud.google.com/dialogflow/cx/docs/concept/page).", "id": "GoogleCloudDialogflowCxV3Page" }, "GoogleCloudDialogflowV2SuggestSmartRepliesResponse": { "type": "object", "properties": { "contextSize": { "description": "Number of messages prior to and including latest_message to compile the suggestion. It may be smaller than the SuggestSmartRepliesRequest.context_size field in the request if there aren't that many messages in the conversation.", "type": "integer", "format": "int32" }, "smartReplyAnswers": { "readOnly": true, "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2SmartReplyAnswer" }, "description": "Output only. Multiple reply options provided by smart reply service. The order is based on the rank of the model prediction. The maximum number of the returned replies is set in SmartReplyConfig." }, "latestMessage": { "type": "string", "description": "The name of the latest conversation message used to compile suggestion for. Format: `projects//locations//conversations//messages/`." } }, "id": "GoogleCloudDialogflowV2SuggestSmartRepliesResponse", "description": "The response message for Participants.SuggestSmartReplies." }, "GoogleCloudDialogflowV2beta1IntentMessageImage": { "properties": { "accessibilityText": { "type": "string", "description": "A text description of the image to be used for accessibility, e.g., screen readers. Required if image_uri is set for CarouselSelect." }, "imageUri": { "type": "string", "description": "Optional. The public URI to an image file." } }, "description": "The image response message.", "id": "GoogleCloudDialogflowV2beta1IntentMessageImage", "type": "object" }, "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo": { "description": "Represents parameter information.", "properties": { "required": { "description": "Optional for both WebhookRequest and WebhookResponse. Indicates whether the parameter is required. Optional parameters will not trigger prompts; however, they are filled if the user specifies them. Required parameters must be filled before form filling concludes.", "type": "boolean" }, "state": { "enumDescriptions": [ "Not specified. This value should be never used.", "Indicates that the parameter does not have a value.", "Indicates that the parameter value is invalid. This field can be used by the webhook to invalidate the parameter and ask the server to collect it from the user again.", "Indicates that the parameter has a value." ], "description": "Always present for WebhookRequest. Required for WebhookResponse. The state of the parameter. This field can be set to INVALID by the webhook to invalidate the parameter; other values set by the webhook will be ignored.", "type": "string", "enum": [ "PARAMETER_STATE_UNSPECIFIED", "EMPTY", "INVALID", "FILLED" ] }, "displayName": { "type": "string", "description": "Always present for WebhookRequest. Required for WebhookResponse. The human-readable name of the parameter, unique within the form. This field cannot be modified by the webhook." }, "value": { "description": "Optional for both WebhookRequest and WebhookResponse. The value of the parameter. This field can be set by the webhook to change the parameter value.", "type": "any" }, "justCollected": { "description": "Optional for WebhookRequest. Ignored for WebhookResponse. Indicates if the parameter value was just collected on the last conversation turn.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1PageInfoFormInfoParameterInfo" }, "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell": { "type": "object", "description": "Cell of TableCardRow.", "properties": { "text": { "description": "Required. Text in this cell.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageTableCardCell" }, "GoogleCloudDialogflowCxV3beta1AdvancedSettings": { "description": "Hierarchical advanced settings for agent/flow/page/fulfillment/parameter. Settings exposed at lower level overrides the settings exposed at higher level. Overriding occurs at the sub-setting level. For example, the playback_interruption_settings at fulfillment level only overrides the playback_interruption_settings at the agent level, leaving other settings at the agent level unchanged. DTMF settings does not override each other. DTMF settings set at different levels define DTMF detections running in parallel. Hierarchy: Agent-\u003eFlow-\u003ePage-\u003eFulfillment/Parameter.", "properties": { "loggingSettings": { "description": "Settings for logging. Settings for Dialogflow History, Contact Center messages, StackDriver logs, and speech logging. Exposed at the following levels: - Agent level.", "$ref": "GoogleCloudDialogflowCxV3beta1AdvancedSettingsLoggingSettings" } }, "id": "GoogleCloudDialogflowCxV3beta1AdvancedSettings", "type": "object" }, "GoogleCloudDialogflowCxV3beta1ExportFlowResponse": { "properties": { "flowContent": { "description": "Uncompressed raw byte content for flow.", "format": "byte", "type": "string" }, "flowUri": { "description": "The URI to a file containing the exported flow. This field is populated only if `flow_uri` is specified in ExportFlowRequest.", "type": "string" } }, "description": "The response message for Flows.ExportFlow.", "type": "object", "id": "GoogleCloudDialogflowCxV3beta1ExportFlowResponse" }, "GoogleCloudDialogflowCxV3beta1BatchDeleteTestCasesRequest": { "type": "object", "id": "GoogleCloudDialogflowCxV3beta1BatchDeleteTestCasesRequest", "properties": { "names": { "type": "array", "description": "Required. Format of test case names: `projects//locations/ /agents//testCases/`.", "items": { "type": "string" } } }, "description": "The request message for TestCases.BatchDeleteTestCases." }, "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart": { "description": "Represents a part of a training phrase.", "properties": { "entityType": { "type": "string", "description": "Optional. The entity type name prefixed with `@`. This field is required for annotated parts of the training phrase." }, "userDefined": { "description": "Optional. Indicates whether the text was manually annotated. This field is set to true when the Dialogflow Console is used to manually annotate the part. When creating an annotated part with the API, you must set this to true.", "type": "boolean" }, "text": { "description": "Required. The text for this part.", "type": "string" }, "alias": { "description": "Optional. The parameter name for the value extracted from the annotated part of the example. This field is required for annotated parts of the training phrase.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentTrainingPhrasePart", "type": "object" }, "GoogleCloudDialogflowCxV3beta1TransitionRoute": { "description": "A transition route specifies a intent that can be matched and/or a data condition that can be evaluated during a session. When a specified transition is matched, the following actions are taken in order: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `trigger_fulfillment` associated with the transition, it will be called. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_page` associated with the transition, the session will transition into the specified page. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If there is a `target_flow` associated with the transition, the session will transition into the specified flow.", "type": "object", "properties": { "targetPage": { "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`.", "type": "string" }, "triggerFulfillment": { "$ref": "GoogleCloudDialogflowCxV3beta1Fulfillment", "description": "The fulfillment to call when the condition is satisfied. At least one of `trigger_fulfillment` and `target` must be specified. When both are defined, `trigger_fulfillment` is executed first." }, "targetFlow": { "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`.", "type": "string" }, "condition": { "type": "string", "description": "The condition to evaluate against form parameters or session parameters. See the [conditions reference](https://cloud.google.com/dialogflow/cx/docs/reference/condition). At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "intent": { "type": "string", "description": "The unique identifier of an Intent. Format: `projects//locations//agents//intents/`. Indicates that the transition can only happen when the given intent is matched. At least one of `intent` or `condition` must be specified. When both `intent` and `condition` are specified, the transition can only happen when both are fulfilled." }, "name": { "description": "Output only. The unique identifier of this transition route.", "readOnly": true, "type": "string" } }, "id": "GoogleCloudDialogflowCxV3beta1TransitionRoute" }, "GoogleCloudDialogflowV2beta1KnowledgeAnswers": { "properties": { "answers": { "description": "A list of answers from Knowledge Connector.", "items": { "$ref": "GoogleCloudDialogflowV2beta1KnowledgeAnswersAnswer" }, "type": "array" } }, "id": "GoogleCloudDialogflowV2beta1KnowledgeAnswers", "type": "object", "description": "Represents the result of querying a Knowledge base." }, "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties": { "id": "GoogleCloudDialogflowV2beta1IntentMessageColumnProperties", "type": "object", "properties": { "horizontalAlignment": { "enumDescriptions": [ "Text is aligned to the leading edge of the column.", "Text is aligned to the leading edge of the column.", "Text is centered in the column.", "Text is aligned to the trailing edge of the column." ], "description": "Optional. Defines text alignment for all cells in this column.", "type": "string", "enum": [ "HORIZONTAL_ALIGNMENT_UNSPECIFIED", "LEADING", "CENTER", "TRAILING" ] }, "header": { "description": "Required. Column heading.", "type": "string" } }, "description": "Column properties for TableCard." }, "GoogleCloudDialogflowV2BatchUpdateIntentsResponse": { "type": "object", "id": "GoogleCloudDialogflowV2BatchUpdateIntentsResponse", "description": "The response message for Intents.BatchUpdateIntents.", "properties": { "intents": { "description": "The collection of updated or created intents.", "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2Intent" } } } }, "GoogleCloudDialogflowV2IntentMessageTableCard": { "type": "object", "id": "GoogleCloudDialogflowV2IntentMessageTableCard", "properties": { "image": { "description": "Optional. Image which should be displayed on the card.", "$ref": "GoogleCloudDialogflowV2IntentMessageImage" }, "title": { "type": "string", "description": "Required. Title of the card." }, "subtitle": { "description": "Optional. Subtitle to the title.", "type": "string" }, "buttons": { "type": "array", "description": "Optional. List of buttons for the card.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageBasicCardButton" } }, "columnProperties": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageColumnProperties" }, "description": "Optional. Display properties for the columns in this table." }, "rows": { "type": "array", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageTableCardRow" }, "description": "Optional. Rows in this table of data." } }, "description": "Table card for Actions on Google." }, "GoogleCloudDialogflowCxV3beta1TextInput": { "id": "GoogleCloudDialogflowCxV3beta1TextInput", "properties": { "text": { "description": "Required. The UTF-8 encoded natural language text to be processed. Text length must not exceed 256 characters.", "type": "string" } }, "type": "object", "description": "Represents the natural language text to be processed." }, "GoogleCloudDialogflowV2ConversationEvent": { "type": "object", "id": "GoogleCloudDialogflowV2ConversationEvent", "properties": { "conversation": { "type": "string", "description": "The unique identifier of the conversation this notification refers to. Format: `projects//conversations/`." }, "type": { "enum": [ "TYPE_UNSPECIFIED", "CONVERSATION_STARTED", "CONVERSATION_FINISHED", "HUMAN_INTERVENTION_NEEDED", "NEW_MESSAGE", "UNRECOVERABLE_ERROR" ], "type": "string", "enumDescriptions": [ "Type not set.", "A new conversation has been opened. This is fired when a telephone call is answered, or a conversation is created via the API.", "An existing conversation has closed. This is fired when a telephone call is terminated, or a conversation is closed via the API.", "An existing conversation has received notification from Dialogflow that human intervention is required.", "An existing conversation has received a new message, either from API or telephony. It is configured in ConversationProfile.new_message_event_notification_config", "Unrecoverable error during a telephone call. In general non-recoverable errors only occur if something was misconfigured in the ConversationProfile corresponding to the call. After a non-recoverable error, Dialogflow may stop responding. We don't fire this event: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh in an API call because we can directly return the error, or, LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when we can recover from an error." ], "description": "The type of the event that this notification refers to." }, "errorStatus": { "$ref": "GoogleRpcStatus", "description": "More detailed information about an error. Only set for type UNRECOVERABLE_ERROR_IN_PHONE_CALL." }, "newMessagePayload": { "description": "Payload of NEW_MESSAGE event.", "$ref": "GoogleCloudDialogflowV2Message" } }, "description": "Represents a notification sent to Pub/Sub subscribers for conversation lifecycle events." }, "GoogleCloudDialogflowCxV3beta1MatchIntentRequest": { "properties": { "queryInput": { "$ref": "GoogleCloudDialogflowCxV3beta1QueryInput", "description": "Required. The input specification." }, "queryParams": { "description": "The parameters of this query.", "$ref": "GoogleCloudDialogflowCxV3beta1QueryParameters" } }, "type": "object", "id": "GoogleCloudDialogflowCxV3beta1MatchIntentRequest", "description": "Request of MatchIntent." }, "GoogleCloudDialogflowV2SentimentAnalysisResult": { "description": "The result of sentiment analysis. Sentiment analysis inspects user input and identifies the prevailing subjective opinion, especially to determine a user's attitude as positive, negative, or neutral. For Participants.DetectIntent, it needs to be configured in DetectIntentRequest.query_params. For Participants.StreamingDetectIntent, it needs to be configured in StreamingDetectIntentRequest.query_params. And for Participants.AnalyzeContent and Participants.StreamingAnalyzeContent, it needs to be configured in ConversationProfile.human_agent_assistant_config", "properties": { "queryTextSentiment": { "$ref": "GoogleCloudDialogflowV2Sentiment", "description": "The sentiment analysis result for `query_text`." } }, "id": "GoogleCloudDialogflowV2SentimentAnalysisResult", "type": "object" }, "GoogleCloudDialogflowV2beta1IntentMessageSuggestion": { "properties": { "title": { "description": "Required. The text shown the in the suggestion chip.", "type": "string" } }, "id": "GoogleCloudDialogflowV2beta1IntentMessageSuggestion", "type": "object", "description": "The suggestion chip message that the user can tap to quickly post a reply to the conversation." }, "GoogleCloudDialogflowCxV3beta1WebhookResponse": { "id": "GoogleCloudDialogflowCxV3beta1WebhookResponse", "properties": { "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "pageInfo": { "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.", "$ref": "GoogleCloudDialogflowCxV3beta1PageInfo" }, "payload": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." }, "description": "Value to append directly to QueryResult.webhook_payloads." }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "fulfillmentResponse": { "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.", "$ref": "GoogleCloudDialogflowCxV3beta1WebhookResponseFulfillmentResponse" }, "sessionInfo": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionInfo", "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status." } }, "type": "object", "description": "The response message for a webhook call." }, "GoogleCloudDialogflowCxV3WebhookResponse": { "description": "The response message for a webhook call.", "type": "object", "id": "GoogleCloudDialogflowCxV3WebhookResponse", "properties": { "payload": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "description": "Value to append directly to QueryResult.webhook_payloads.", "type": "object" }, "targetPage": { "type": "string", "description": "The target page to transition to. Format: `projects//locations//agents//flows//pages/`." }, "fulfillmentResponse": { "description": "The fulfillment response to send to the user. This field can be omitted by the webhook if it does not intend to send any response to the user.", "$ref": "GoogleCloudDialogflowCxV3WebhookResponseFulfillmentResponse" }, "targetFlow": { "type": "string", "description": "The target flow to transition to. Format: `projects//locations//agents//flows/`." }, "sessionInfo": { "$ref": "GoogleCloudDialogflowCxV3SessionInfo", "description": "Information about session status. This field can be omitted by the webhook if it does not intend to modify session status." }, "pageInfo": { "description": "Information about page status. This field can be omitted by the webhook if it does not intend to modify page status.", "$ref": "GoogleCloudDialogflowCxV3PageInfo" } } }, "GoogleCloudDialogflowV2IntentMessageMediaContent": { "properties": { "mediaType": { "enumDescriptions": [ "Unspecified.", "Response media type is audio." ], "enum": [ "RESPONSE_MEDIA_TYPE_UNSPECIFIED", "AUDIO" ], "description": "Optional. What type of media is the content (ie \"audio\").", "type": "string" }, "mediaObjects": { "description": "Required. List of media objects.", "items": { "$ref": "GoogleCloudDialogflowV2IntentMessageMediaContentResponseMediaObject" }, "type": "array" } }, "type": "object", "description": "The media content card for Actions on Google.", "id": "GoogleCloudDialogflowV2IntentMessageMediaContent" }, "GoogleCloudDialogflowCxV3beta1ExportAgentRequest": { "description": "The request message for Agents.ExportAgent.", "id": "GoogleCloudDialogflowCxV3beta1ExportAgentRequest", "properties": { "agentUri": { "description": "Optional. The [Google Cloud Storage](https://cloud.google.com/storage/docs/) URI to export the agent to. The format of this URI must be `gs:///`. If left unspecified, the serialized agent is returned inline. Dialogflow performs a write operation for the Cloud Storage object on the caller's behalf, so your request authentication must have write permissions for the object. For more information, see [Dialogflow access control](https://cloud.google.com/dialogflow/cx/docs/concept/access-control#storage).", "type": "string" }, "environment": { "description": "Optional. Environment name. If not set, draft environment is assumed. Format: `projects//locations//agents//environments/`.", "type": "string" }, "dataFormat": { "description": "Optional. The data format of the exported agent. If not specified, `BLOB` is assumed.", "enum": [ "DATA_FORMAT_UNSPECIFIED", "BLOB" ], "type": "string", "enumDescriptions": [ "Unspecified format.", "Agent content will be exported as raw bytes." ] } }, "type": "object" }, "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig": { "properties": { "enablePredeploymentRun": { "type": "boolean", "description": "Whether to run test cases in TestCasesConfig.test_cases before deploying a flow version to the environment. Default false." }, "testCases": { "type": "array", "description": "A list of test case names to run. They should be under the same agent. Format of each test case name: `projects//locations/ /agents//testCases/`", "items": { "type": "string" } }, "enableContinuousRun": { "description": "Whether to run test cases in TestCasesConfig.test_cases periodically. Default false. If set to true, run once a day.", "type": "boolean" } }, "id": "GoogleCloudDialogflowCxV3beta1EnvironmentTestCasesConfig", "type": "object", "description": "The configuration for continuous tests." }, "GoogleCloudDialogflowCxV3beta1ImportFlowResponse": { "type": "object", "properties": { "flow": { "type": "string", "description": "The unique identifier of the new flow. Format: `projects//locations//agents//flows/`." } }, "description": "The response message for Flows.ImportFlow.", "id": "GoogleCloudDialogflowCxV3beta1ImportFlowResponse" }, "GoogleCloudDialogflowCxV3TestCaseError": { "properties": { "status": { "description": "The status associated with the test case.", "$ref": "GoogleRpcStatus" }, "testCase": { "$ref": "GoogleCloudDialogflowCxV3TestCase", "description": "The test case." } }, "id": "GoogleCloudDialogflowCxV3TestCaseError", "type": "object", "description": "Error info for importing a test." }, "GoogleCloudDialogflowV2ImportDocumentsResponse": { "id": "GoogleCloudDialogflowV2ImportDocumentsResponse", "type": "object", "properties": { "warnings": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Includes details about skipped documents or any other warnings." } }, "description": "Response message for Documents.ImportDocuments." } }, "discoveryVersion": "v1", "ownerName": "Google", "canonicalName": "Dialogflow", "documentationLink": "https://cloud.google.com/dialogflow/", "resources": { "projects": { "resources": { "operations": { "methods": { "list": { "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "path": "v3beta1/{+name}/operations", "id": "dialogflow.projects.operations.list", "flatPath": "v3beta1/projects/{projectsId}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "name": { "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the operation's parent resource." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" } }, "httpMethod": "GET" }, "cancel": { "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/operations/[^/]+$" } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/operations/{operationsId}:cancel", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "id": "dialogflow.projects.operations.cancel", "path": "v3beta1/{+name}:cancel" }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the operation resource." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v3beta1/projects/{projectsId}/operations/{operationsId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v3beta1/{+name}" } } }, "locations": { "resources": { "operations": { "methods": { "list": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/operations", "id": "dialogflow.projects.locations.operations.list", "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "description": "The standard list page size.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "location": "path" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "path": "v3beta1/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "cancel": { "httpMethod": "POST", "id": "dialogflow.projects.locations.operations.cancel", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "required": true } }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v3beta1/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "get": { "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET", "path": "v3beta1/{+name}" } } }, "securitySettings": { "methods": { "list": { "parameterOrder": [ "parent" ], "description": "Returns the list of all security settings in the specified location.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/securitySettings", "path": "v3beta1/{+parent}/securitySettings", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return in a single page. By default 20 and at most 100." }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "parent": { "description": "Required. The location to list all security settings for. Format: `projects//locations/`.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListSecuritySettingsResponse" }, "id": "dialogflow.projects.locations.securitySettings.list" }, "get": { "description": "Retrieves the specified SecuritySettings. The returned settings may be stale by up to 1 minute.", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the settings. Format: `projects//locations//securitySettings/`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.securitySettings.get" }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$", "description": "Required. The name of the SecuritySettings to delete. Format: `projects//locations//securitySettings/`.", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "GoogleProtobufEmpty" }, "id": "dialogflow.projects.locations.securitySettings.delete", "description": "Deletes the specified SecuritySettings.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}" }, "patch": { "httpMethod": "PATCH", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.securitySettings.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/securitySettings/{securitySettingsId}", "description": "Updates the specified SecuritySettings.", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/securitySettings/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Resource name of the settings. Required for the SecuritySettingsService.UpdateSecuritySettings method. SecuritySettingsService.CreateSecuritySettings populates the name automatically. Format: `projects//locations//securitySettings/`." }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The mask to control which fields get updated. If the mask is not present, all fields will be updated." } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" } }, "create": { "parameters": { "parent": { "location": "path", "description": "Required. The location to create an SecuritySettings for. Format: `projects//locations/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "httpMethod": "POST", "description": "Create security settings in the specified location.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/securitySettings", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SecuritySettings" }, "path": "v3beta1/{+parent}/securitySettings", "id": "dialogflow.projects.locations.securitySettings.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ] } } }, "agents": { "resources": { "entityTypes": { "methods": { "list": { "parameterOrder": [ "parent" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListEntityTypesResponse" }, "description": "Returns the list of all entity types in the specified agent.", "path": "v3beta1/{+parent}/entityTypes", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.entityTypes.list", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "location": "path", "description": "Required. The agent to list all entity types for. Format: `projects//locations//agents/`." }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "languageCode": { "description": "The language to list entity types for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" } } }, "patch": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" }, "description": "Updates the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" }, "id": "dialogflow.projects.locations.agents.entityTypes.patch", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "The mask to control which fields get updated.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "description": "The unique identifier of the entity type. Required for EntityTypes.UpdateEntityType. Format: `projects//locations//agents//entityTypes/`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$", "required": true }, "languageCode": { "description": "The language of the following fields in `entity_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" } }, "httpMethod": "PATCH", "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "description": "Required. The name of the entity type. Format: `projects//locations//agents//entityTypes/`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$" }, "languageCode": { "location": "query", "description": "The language to retrieve the entity type for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" } }, "httpMethod": "GET", "description": "Retrieves the specified entity type.", "parameterOrder": [ "name" ], "path": "v3beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" }, "id": "dialogflow.projects.locations.agents.entityTypes.get" }, "delete": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes/{entityTypesId}", "parameters": { "name": { "location": "path", "description": "Required. The name of the entity type to delete. Format: `projects//locations//agents//entityTypes/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/entityTypes/[^/]+$", "required": true, "type": "string" }, "force": { "description": "This field has no effect for entity type not being used. For entity types that are used by intents or pages: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the referencing resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the entity type, as well as any references to the entity type (i.e. Page parameter of the entity type will be changed to '@sys.any' and intent parameter of the entity type will be removed).", "type": "boolean", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Deletes the specified entity type. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.entityTypes.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" } }, "create": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+parent}/entityTypes", "description": "Creates an entity type in the specified agent.", "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The agent to create a entity type for. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" }, "languageCode": { "description": "The language of the following fields in `entity_type`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.value` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.entities.synonyms` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EntityType.excluded_phrases.value` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" } }, "id": "dialogflow.projects.locations.agents.entityTypes.create", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" }, "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/entityTypes", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1EntityType" } } } }, "environments": { "methods": { "lookupEnvironmentHistory": { "id": "dialogflow.projects.locations.agents.environments.lookupEnvironmentHistory", "path": "v3beta1/{+name}:lookupEnvironmentHistory", "description": "Looks up the history of the specified Environment.", "parameters": { "name": { "description": "Required. Resource name of the environment to look up the history for. Format: `projects//locations//agents//environments/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "type": "string", "required": true }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1LookupEnvironmentHistoryResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:lookupEnvironmentHistory", "parameterOrder": [ "name" ], "httpMethod": "GET" }, "deployFlow": { "parameterOrder": [ "environment" ], "path": "v3beta1/{+environment}:deployFlow", "id": "dialogflow.projects.locations.agents.environments.deployFlow", "description": "Deploys a flow to the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: DeployFlowMetadata - `response`: DeployFlowResponse", "parameters": { "environment": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The environment to deploy the flow to. Format: `projects//locations//agents// environments/`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:deployFlow", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1DeployFlowRequest" } }, "delete": { "parameterOrder": [ "name" ], "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.environments.delete", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "description": "Required. The name of the Environment to delete. Format: `projects//locations//agents//environments/`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$" } }, "description": "Deletes the specified Environment.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "httpMethod": "PATCH", "description": "Updates the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.environments.patch", "parameters": { "name": { "description": "The name of the environment. Format: `projects//locations//agents//environments/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "type": "string", "location": "path" }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. The mask to control which fields get updated." } }, "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "runContinuousTest": { "request": { "$ref": "GoogleCloudDialogflowCxV3beta1RunContinuousTestRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "description": "Kicks off a continuous test under the specified Environment. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunContinuousTestMetadata - `response`: RunContinuousTestResponse", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}:runContinuousTest", "id": "dialogflow.projects.locations.agents.environments.runContinuousTest", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "environment" ], "path": "v3beta1/{+environment}:runContinuousTest", "parameters": { "environment": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "description": "Required. Format: `projects//locations//agents//environments/`.", "required": true, "type": "string", "location": "path" } } }, "list": { "parameterOrder": [ "parent" ], "description": "Returns the list of all environments in the specified Agent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments", "path": "v3beta1/{+parent}/environments", "id": "dialogflow.projects.locations.agents.environments.list", "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListEnvironmentsResponse" }, "parameters": { "pageSize": { "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The Agent to list all environments for. Format: `projects//locations//agents/`." } } }, "get": { "path": "v3beta1/{+name}", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.environments.get", "parameters": { "name": { "location": "path", "description": "Required. The name of the Environment. Format: `projects//locations//agents//environments/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "type": "string" } }, "description": "Retrieves the specified Environment.", "httpMethod": "GET" }, "create": { "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments", "description": "Creates an Environment in the specified Agent. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: Environment", "id": "dialogflow.projects.locations.agents.environments.create", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v3beta1/{+parent}/environments", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Environment" }, "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The Agent to create an Environment for. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } }, "resources": { "experiments": { "methods": { "create": { "description": "Creates an Experiment in the specified Environment.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments", "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "description": "Required. The Agent to create an Environment for. Format: `projects//locations//agents//environments/`.", "required": true } }, "id": "dialogflow.projects.locations.agents.environments.experiments.create", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+parent}/experiments" }, "start": { "parameters": { "name": { "required": true, "type": "string", "description": "Required. Resource name of the experiment to start. Format: `projects//locations//agents//environments//experiments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "location": "path" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1StartExperimentRequest" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}:start", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.environments.experiments.start", "description": "Starts the specified Experiment. This rpc only changes the state of experiment from PENDING to RUNNING.", "path": "v3beta1/{+name}:start" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListExperimentsResponse" }, "id": "dialogflow.projects.locations.agents.environments.experiments.list", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "description": "Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.", "required": true }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "location": "query", "format": "int32", "type": "integer" } }, "description": "Returns the list of all experiments in the specified Environment.", "path": "v3beta1/{+parent}/experiments", "httpMethod": "GET" }, "stop": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "path": "v3beta1/{+name}:stop", "description": "Stops the specified Experiment. This rpc only changes the state of experiment from RUNNING to DONE.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}:stop", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1StopExperimentRequest" }, "parameters": { "name": { "required": true, "description": "Required. Resource name of the experiment to stop. Format: `projects//locations//agents//environments//experiments/`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$" } }, "id": "dialogflow.projects.locations.agents.environments.experiments.stop", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" } }, "get": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}", "id": "dialogflow.projects.locations.agents.environments.experiments.get", "description": "Retrieves the specified Experiment.", "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "location": "path", "description": "Required. The name of the Environment. Format: `projects//locations//agents//environments//experiments/`.", "type": "string", "required": true } } }, "delete": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}", "id": "dialogflow.projects.locations.agents.environments.experiments.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}", "parameters": { "name": { "description": "Required. The name of the Environment to delete. Format: `projects//locations//agents//environments//experiments/`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "location": "path" } }, "description": "Deletes the specified Experiment.", "parameterOrder": [ "name" ] }, "patch": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/experiments/[^/]+$", "type": "string", "location": "path", "description": "The name of the experiment. Format: projects//locations//agents//environments//experiments/..", "required": true }, "updateMask": { "location": "query", "description": "Required. The mask to control which fields get updated.", "type": "string", "format": "google-fieldmask" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Experiment" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.environments.experiments.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "PATCH", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/experiments/{experimentsId}", "description": "Updates the specified Experiment.", "path": "v3beta1/{+name}" } } }, "deployments": { "methods": { "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/deployments/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the Deployment. Format: `projects//locations//agents//environments//deployments/`.", "type": "string" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/deployments/{deploymentsId}", "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.environments.deployments.get", "path": "v3beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Deployment" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified Deployment." }, "list": { "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "location": "query" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The Environment to list all environments for. Format: `projects//locations//agents//environments/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListDeploymentsResponse" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/deployments", "path": "v3beta1/{+parent}/deployments", "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.environments.deployments.list", "parameterOrder": [ "parent" ], "description": "Returns the list of all deployments in the specified Environment." } } }, "sessions": { "resources": { "entityTypes": { "methods": { "delete": { "description": "Deletes the specified session entity type.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "required": true, "description": "Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment." } } }, "patch": { "description": "Updates the specified session entity type.", "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.patch", "path": "v3beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "parameters": { "name": { "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The mask to control which fields get updated.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}" }, "list": { "httpMethod": "GET", "path": "v3beta1/{+parent}/entityTypes", "parameterOrder": [ "parent" ], "description": "Returns the list of all session entity types in the specified session.", "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.list", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListSessionEntityTypesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "format": "int32", "location": "query" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "description": "Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "required": true } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes" }, "create": { "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.create", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameters": { "parent": { "location": "path", "description": "Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$" } }, "description": "Creates a session entity type.", "path": "v3beta1/{+parent}/entityTypes", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes", "parameterOrder": [ "parent" ] }, "get": { "id": "dialogflow.projects.locations.agents.environments.sessions.entityTypes.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified session entity type.", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+/entityTypes/[^/]+$", "location": "path", "description": "Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment." } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "path": "v3beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" } } } } }, "methods": { "matchIntent": { "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:matchIntent", "id": "dialogflow.projects.locations.agents.environments.sessions.matchIntent", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1MatchIntentResponse" }, "path": "v3beta1/{+session}:matchIntent", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1MatchIntentRequest" }, "parameterOrder": [ "session" ], "description": "Returns preliminary intent match results, doesn't change the session status.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "session": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "type": "string", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "required": true, "location": "path" } } }, "fulfillIntent": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.environments.sessions.fulfillIntent", "parameterOrder": [ "session" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillIntentResponse" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillIntentRequest" }, "parameters": { "session": { "required": true, "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "location": "path" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:fulfillIntent", "httpMethod": "POST", "path": "v3beta1/{+session}:fulfillIntent", "description": "Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined." }, "detectIntent": { "path": "v3beta1/{+session}:detectIntent", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/sessions/{sessionsId}:detectIntent", "parameterOrder": [ "session" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1DetectIntentResponse" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1DetectIntentRequest" }, "id": "dialogflow.projects.locations.agents.environments.sessions.detectIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "session": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+/sessions/[^/]+$", "location": "path", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version)." } }, "httpMethod": "POST", "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version)." } } }, "continuousTestResults": { "methods": { "list": { "path": "v3beta1/{+parent}/continuousTestResults", "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.environments.continuousTestResults.list", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/environments/{environmentsId}/continuousTestResults", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListContinuousTestResultsResponse" }, "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/environments/[^/]+$", "location": "path", "description": "Required. The environment to list results for. Format: `projects//locations//agents// environments/`.", "required": true, "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Fetches a list of continuous test results for a given environment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } } }, "webhooks": { "methods": { "get": { "description": "Retrieves the specified webhook.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "httpMethod": "GET", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.webhooks.get", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the webhook. Format: `projects//locations//agents//webhooks/`.", "location": "path" } } }, "create": { "id": "dialogflow.projects.locations.agents.webhooks.create", "description": "Creates a webhook in the specified agent.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "httpMethod": "POST", "path": "v3beta1/{+parent}/webhooks", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to create a webhook for. Format: `projects//locations//agents/`.", "location": "path", "type": "string", "required": true } } }, "delete": { "parameters": { "force": { "location": "query", "type": "boolean", "description": "This field has no effect for webhook not being used. For webhooks that are used by pages/flows/transition route groups: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the referenced resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the webhook, as well as any references to the webhook (i.e. Webhook and tagin fulfillments that point to this webhook will be removed)." }, "name": { "location": "path", "required": true, "description": "Required. The name of the webhook to delete. Format: `projects//locations//agents//webhooks/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$", "type": "string" } }, "description": "Deletes the specified webhook.", "path": "v3beta1/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "id": "dialogflow.projects.locations.agents.webhooks.delete" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Webhook" }, "description": "Updates the specified webhook.", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.webhooks.patch", "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "type": "string", "required": true, "location": "path", "description": "The unique identifier of the webhook. Required for the Webhooks.UpdateWebhook method. Webhooks.CreateWebhook populates the name automatically. Format: `projects//locations//agents//webhooks/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/webhooks/[^/]+$" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks/{webhooksId}", "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "parent" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/webhooks", "path": "v3beta1/{+parent}/webhooks", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "required": true, "description": "Required. The agent to list all webhooks for. Format: `projects//locations//agents/`." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000." }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." } }, "id": "dialogflow.projects.locations.agents.webhooks.list", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListWebhooksResponse" }, "description": "Returns the list of all webhooks in the specified agent.", "httpMethod": "GET" } } }, "intents": { "methods": { "create": { "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents", "parameters": { "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `intent`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "description": "Required. The agent to create an intent for. Format: `projects//locations//agents/`.", "required": true, "location": "path" } }, "description": "Creates an intent in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "path": "v3beta1/{+parent}/intents", "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.intents.create", "parameterOrder": [ "parent" ] }, "patch": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The unique identifier of the intent. Required for the Intents.UpdateIntent method. Intents.CreateIntent populates the name automatically. Format: `projects//locations//agents//intents/`." }, "languageCode": { "description": "The language of the following fields in `intent`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated." } }, "path": "v3beta1/{+name}", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "id": "dialogflow.projects.locations.agents.intents.patch", "description": "Updates the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$", "type": "string", "location": "path", "description": "Required. The name of the intent to delete. Format: `projects//locations//agents//intents/`.", "required": true } }, "id": "dialogflow.projects.locations.agents.intents.delete", "description": "Deletes the specified intent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "path": "v3beta1/{+name}" }, "list": { "id": "dialogflow.projects.locations.agents.intents.list", "path": "v3beta1/{+parent}/intents", "httpMethod": "GET", "description": "Returns the list of all intents in the specified agent.", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListIntentsResponse" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query", "format": "int32" }, "languageCode": { "location": "query", "description": "The language to list intents for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to list all intents for. Format: `projects//locations//agents/`.", "type": "string", "required": true, "location": "path" }, "intentView": { "enum": [ "INTENT_VIEW_UNSPECIFIED", "INTENT_VIEW_PARTIAL", "INTENT_VIEW_FULL" ], "type": "string", "location": "query", "enumDescriptions": [ "Not specified. Treated as INTENT_VIEW_FULL.", "Training phrases field is not populated in the response.", "All fields are populated." ], "description": "The resource view to apply to the returned intent." } } }, "get": { "path": "v3beta1/{+name}", "description": "Retrieves the specified intent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "required": true, "description": "Required. The name of the intent. Format: `projects//locations//agents//intents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/intents/[^/]+$", "location": "path" }, "languageCode": { "location": "query", "description": "The language to retrieve the intent for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Intent.training_phrases.parts.text` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" } }, "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.intents.get", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/intents/{intentsId}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Intent" }, "parameterOrder": [ "name" ] } } }, "sessions": { "methods": { "fulfillIntent": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "session": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session)." } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillIntentResponse" }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1FulfillIntentRequest" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:fulfillIntent", "id": "dialogflow.projects.locations.agents.sessions.fulfillIntent", "path": "v3beta1/{+session}:fulfillIntent", "parameterOrder": [ "session" ], "description": "Fulfills a matched intent returned by MatchIntent. Must be called after MatchIntent, with input from MatchIntentResponse. Otherwise, the behavior is undefined." }, "detectIntent": { "path": "v3beta1/{+session}:detectIntent", "id": "dialogflow.projects.locations.agents.sessions.detectIntent", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1DetectIntentResponse" }, "parameterOrder": [ "session" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:detectIntent", "parameters": { "session": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session). Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "type": "string" } }, "description": "Processes a natural language query and returns structured, actionable data as a result. This method is not idempotent, because it may cause session entity types to be updated, which in turn might affect results of future queries. Note: Always use agent versions for production traffic. See [Versions and environments](https://cloud.google.com/dialogflow/cx/docs/concept/version).", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1DetectIntentRequest" }, "httpMethod": "POST" }, "matchIntent": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1MatchIntentResponse" }, "path": "v3beta1/{+session}:matchIntent", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}:matchIntent", "parameters": { "session": { "description": "Required. The name of the session this query is sent to. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment. It's up to the API caller to choose an appropriate `Session ID`. It can be a random number or some type of session identifiers (preferably hashed). The length of the `Session ID` must not exceed 36 characters. For more information, see the [sessions guide](https://cloud.google.com/dialogflow/cx/docs/concept/session).", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "session" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1MatchIntentRequest" }, "id": "dialogflow.projects.locations.agents.sessions.matchIntent", "description": "Returns preliminary intent match results, doesn't change the session status.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } }, "resources": { "entityTypes": { "methods": { "patch": { "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.sessions.entityTypes.patch", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "required": true, "description": "Required. The unique identifier of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "The mask to control which fields get updated.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "description": "Updates the specified session entity type." }, "delete": { "description": "Deletes the specified session entity type.", "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The name of the session entity type to delete. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "id": "dialogflow.projects.locations.agents.sessions.entityTypes.delete" }, "get": { "description": "Retrieves the specified session entity type.", "path": "v3beta1/{+name}", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes/{entityTypesId}", "id": "dialogflow.projects.locations.agents.sessions.entityTypes.get", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The name of the session entity type. Format: `projects//locations//agents//sessions//entityTypes/` or `projects//locations//agents//environments//sessions//entityTypes/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+/entityTypes/[^/]+$" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "list": { "path": "v3beta1/{+parent}/entityTypes", "parameters": { "parent": { "description": "Required. The session to list all session entity types from. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all session entity types in the specified session.", "parameterOrder": [ "parent" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes", "id": "dialogflow.projects.locations.agents.sessions.entityTypes.list", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListSessionEntityTypesResponse" }, "httpMethod": "GET" }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "description": "Creates a session entity type.", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1SessionEntityType" }, "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.sessions.entityTypes.create", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/sessions/[^/]+$", "description": "Required. The session to create a session entity type for. Format: `projects//locations//agents//sessions/` or `projects//locations//agents//environments//sessions/`. If `Environment ID` is not specified, we assume default 'draft' environment." } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/sessions/{sessionsId}/entityTypes", "httpMethod": "POST", "path": "v3beta1/{+parent}/entityTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } } } } }, "flows": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Returns the list of all flows in the specified agent.", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListFlowsResponse" }, "id": "dialogflow.projects.locations.agents.flows.list", "parameterOrder": [ "parent" ], "path": "v3beta1/{+parent}/flows", "httpMethod": "GET", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "type": "integer" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous list request.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The agent containing the flows. Format: `projects//locations//agents/`." }, "languageCode": { "location": "query", "description": "The language to list flows for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" } } }, "patch": { "httpMethod": "PATCH", "parameters": { "updateMask": { "type": "string", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "format": "google-fieldmask", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "type": "string", "required": true, "description": "The unique identifier of the flow. Format: `projects//locations//agents//flows/`." }, "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `flow`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "description": "Updates the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.flows.patch" }, "create": { "description": "Creates a flow in the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" }, "id": "dialogflow.projects.locations.agents.flows.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "description": "Required. The agent to create a flow for. Format: `projects//locations//agents/`.", "location": "path" }, "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `flow`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." } }, "path": "v3beta1/{+parent}/flows" }, "export": { "id": "dialogflow.projects.locations.agents.flows.export", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:export", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ExportFlowRequest" }, "description": "Exports the specified flow to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportFlowResponse Note that resources (e.g. intents, entities, webhooks) that the flow references will also be exported.", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "description": "Required. The name of the flow to export. Format: `projects//locations//agents//flows/`." } }, "path": "v3beta1/{+name}:export" }, "get": { "description": "Retrieves the specified flow.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "parameters": { "languageCode": { "location": "query", "description": "The language to retrieve the flow for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Flow.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" }, "name": { "required": true, "type": "string", "description": "Required. The name of the flow to get. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Flow" }, "id": "dialogflow.projects.locations.agents.flows.get", "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ] }, "getValidationResult": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/validationResult", "parameterOrder": [ "name" ], "parameters": { "languageCode": { "type": "string", "description": "If not specified, the agent's default language is used.", "location": "query" }, "name": { "description": "Required. The flow name. Format: `projects//locations//agents//flows//validationResult`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/validationResult$" } }, "id": "dialogflow.projects.locations.agents.flows.getValidationResult", "path": "v3beta1/{+name}", "httpMethod": "GET", "description": "Gets the latest flow validation result. Flow validation is performed when ValidateFlow is called.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1FlowValidationResult" } }, "train": { "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1TrainFlowRequest" }, "description": "Trains the specified flow. Note that only the flow in 'draft' environment is trained. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.train", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:train", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The flow to train. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "type": "string" } }, "path": "v3beta1/{+name}:train", "httpMethod": "POST" }, "validate": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}:validate", "id": "dialogflow.projects.locations.agents.flows.validate", "parameters": { "name": { "description": "Required. The flow to validate. Format: `projects//locations//agents//flows/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1FlowValidationResult" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Validates the specified flow and creates or updates validation results. Please call this API after the training is completed to get the complete validation results.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ValidateFlowRequest" }, "path": "v3beta1/{+name}:validate" }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.delete", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}", "description": "Deletes a specified flow.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}", "parameters": { "name": { "description": "Required. The name of the flow to delete. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "type": "string", "required": true }, "force": { "type": "boolean", "location": "query", "description": "This field has no effect for flows with no incoming transitions. For flows with incoming transitions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the incoming transitions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the flow, as well as any transitions to the flow (i.e. Target flow in event handlers or Target flow in transition routes that point to this flow will be cleared)." } }, "httpMethod": "DELETE" }, "import": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows:import", "description": "Imports the specified flow to the specified agent from a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ImportFlowResponse Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v3beta1/{+parent}/flows:import", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.flows.import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The agent to import the flow into. Format: `projects//locations//agents/`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ImportFlowRequest" } } }, "resources": { "transitionRouteGroups": { "methods": { "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "path": "v3beta1/{+parent}/transitionRouteGroups", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups", "parameters": { "languageCode": { "description": "The language to list transition route groups for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The flow to list all transition route groups for. Format: `projects//locations//agents//flows/`." }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "format": "int32", "location": "query" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListTransitionRouteGroupsResponse" }, "description": "Returns the list of all transition route groups in the specified flow.", "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "description": "Required. The name of the TransitionRouteGroup to delete. Format: `projects//locations//agents//flows//transitionRouteGroups/`.", "required": true, "location": "path" }, "force": { "location": "query", "type": "boolean", "description": "This field has no effect for transition route group that no page is using. If the transition route group is referenced by any page: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating pages that reference the transition route group. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the transition route group, as well as any reference to it." } }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.delete", "httpMethod": "DELETE", "path": "v3beta1/{+name}" }, "patch": { "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}", "description": "Updates the specified TransitionRouteGroup. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "path": "v3beta1/{+name}", "parameters": { "languageCode": { "description": "The language of the following fields in `TransitionRouteGroup`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "updateMask": { "description": "The mask to control which fields get updated.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "description": "The unique identifier of the transition route group. TransitionRouteGroups.CreateTransitionRouteGroup populates the name automatically. Format: `projects//locations//agents//flows//transitionRouteGroups/`." } }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "create": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups", "description": "Creates an TransitionRouteGroup in the specified flow. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "httpMethod": "POST", "parameters": { "languageCode": { "description": "The language of the following fields in `TransitionRouteGroup`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "description": "Required. The flow to create an TransitionRouteGroup for. Format: `projects//locations//agents//flows/`.", "type": "string", "location": "path", "required": true } }, "path": "v3beta1/{+parent}/transitionRouteGroups" }, "get": { "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.transitionRouteGroups.get", "description": "Retrieves the specified TransitionRouteGroup.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/transitionRouteGroups/[^/]+$", "location": "path", "description": "Required. The name of the TransitionRouteGroup. Format: `projects//locations//agents//flows//transitionRouteGroups/`." }, "languageCode": { "description": "The language to retrieve the transition route group for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TransitionRouteGroup.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string", "location": "query" } }, "path": "v3beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TransitionRouteGroup" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/transitionRouteGroups/{transitionRouteGroupsId}" } } }, "versions": { "methods": { "get": { "httpMethod": "GET", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "id": "dialogflow.projects.locations.agents.flows.versions.get", "parameters": { "name": { "required": true, "description": "Required. The name of the Version. Format: `projects//locations//agents//flows//versions/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Version" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified Version.", "path": "v3beta1/{+name}", "parameterOrder": [ "name" ] }, "delete": { "path": "v3beta1/{+name}", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "id": "dialogflow.projects.locations.agents.flows.versions.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The name of the Version to delete. Format: `projects//locations//agents//flows//versions/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "type": "string", "required": true } }, "description": "Deletes the specified Version.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "load": { "parameterOrder": [ "name" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}:load", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "dialogflow.projects.locations.agents.flows.versions.load", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}:load", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "type": "string", "description": "Required. The Version to be loaded to draft flow. Format: `projects//locations//agents//flows//versions/`.", "required": true, "location": "path" } }, "description": "Loads resources in the specified version to the draft flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty)", "httpMethod": "POST", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1LoadVersionRequest" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.versions.patch", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "description": "Format: projects//locations//agents//flows//versions/. Version ID is a self-increasing number generated by Dialogflow upon version creation.", "location": "path", "required": true }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Required. The mask to control which fields get updated. Currently only `description` and `display_name` can be updated.", "type": "string" } }, "httpMethod": "PATCH", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Version" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Version" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}", "path": "v3beta1/{+name}", "description": "Updates the specified Version." }, "compareVersions": { "parameters": { "baseVersion": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/versions/[^/]+$", "description": "Required. Name of the base flow version to compare with the target version. Use version ID `0` to indicate the draft version of the specified flow. Format: `projects//locations//agents/ /flows//versions/`." } }, "id": "dialogflow.projects.locations.agents.flows.versions.compareVersions", "parameterOrder": [ "baseVersion" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions/{versionsId}:compareVersions", "description": "Compares the specified base version with target version.", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1CompareVersionsRequest" }, "httpMethod": "POST", "path": "v3beta1/{+baseVersion}:compareVersions", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1CompareVersionsResponse" } }, "list": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListVersionsResponse" }, "parameters": { "parent": { "description": "Required. The Flow to list all versions for. Format: `projects//locations//agents//flows/`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return in a single page. By default 20 and at most 100.", "format": "int32", "location": "query" }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions", "id": "dialogflow.projects.locations.agents.flows.versions.list", "description": "Returns the list of all versions in the specified Flow.", "path": "v3beta1/{+parent}/versions", "httpMethod": "GET" }, "create": { "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "type": "string", "location": "path", "description": "Required. The Flow to create an Version for. Format: `projects//locations//agents//flows/`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ], "description": "Creates a Version in the specified Flow. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: CreateVersionOperationMetadata - `response`: Version", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Version" }, "id": "dialogflow.projects.locations.agents.flows.versions.create", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/versions", "httpMethod": "POST", "path": "v3beta1/{+parent}/versions" } } }, "pages": { "methods": { "get": { "path": "v3beta1/{+name}", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "description": "Retrieves the specified page.", "parameters": { "languageCode": { "location": "query", "type": "string", "description": "The language to retrieve the page for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." }, "name": { "required": true, "description": "Required. The name of the page. Format: `projects//locations//agents//flows//pages/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$", "type": "string" } }, "id": "dialogflow.projects.locations.agents.flows.pages.get" }, "patch": { "id": "dialogflow.projects.locations.agents.flows.pages.patch", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "parameters": { "name": { "description": "The unique identifier of the page. Required for the Pages.UpdatePage method. Pages.CreatePage populates the name automatically. Format: `projects//locations//agents//flows//pages/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$", "required": true, "type": "string", "location": "path" }, "languageCode": { "location": "query", "type": "string", "description": "The language of the following fields in `page`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used." }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated." } }, "httpMethod": "PATCH", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified page.", "path": "v3beta1/{+name}", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "parameterOrder": [ "name" ] }, "delete": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages/{pagesId}", "httpMethod": "DELETE", "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.flows.pages.delete", "path": "v3beta1/{+name}", "parameters": { "name": { "required": true, "description": "Required. The name of the page to delete. Format: `projects//locations//agents//Flows//pages/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+/pages/[^/]+$", "type": "string" }, "force": { "description": "This field has no effect for pages with no incoming transitions. For pages with incoming transitions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to false, an error will be returned with message indicating the incoming transitions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If `force` is set to true, Dialogflow will remove the page, as well as any transitions to the page (i.e. Target page in event handlers or Target page in transition routes that point to this page will be cleared).", "location": "query", "type": "boolean" } }, "description": "Deletes the specified page.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "create": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.flows.pages.create", "path": "v3beta1/{+parent}/pages", "parameterOrder": [ "parent" ], "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The flow to create a page for. Format: `projects//locations//agents//flows/`." }, "languageCode": { "description": "The language of the following fields in `page`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "location": "query", "type": "string" } }, "description": "Creates a page in the specified flow.", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Page" } }, "list": { "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.flows.pages.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "httpMethod": "GET", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/flows/{flowsId}/pages", "description": "Returns the list of all pages in the specified flow.", "path": "v3beta1/{+parent}/pages", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer" }, "languageCode": { "location": "query", "description": "The language to list pages for. The following fields are language dependent: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.entry_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.event_handlers.trigger_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.initial_prompt_fulfillment.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.form.parameters.fill_behavior.reprompt_event_handlers.conditional_cases` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.messages` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `Page.transition_routes.trigger_fulfillment.conditional_cases` If not specified, the agent's default language is used. [Many languages](https://cloud.google.com/dialogflow/cx/docs/reference/language) are supported. Note: languages must be enabled in the agent before they can be used.", "type": "string" }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. The flow to list all pages for. Format: `projects//locations//agents//flows/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/flows/[^/]+$" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListPagesResponse" } } } } } }, "changelogs": { "methods": { "list": { "description": "Returns the list of Changelogs.", "path": "v3beta1/{+parent}/changelogs", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent containing the changelogs. Format: `projects//locations//agents/`." }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer", "location": "query", "format": "int32" }, "filter": { "description": "The filter string. Supports filter by user_email, resource, type and create_time. Some examples: 1. By user email: user_email = \"someone@google.com\" 2. By resource name: resource = \"projects/123/locations/global/agents/456/flows/789\" 3. By resource display name: display_name = \"my agent\" 4. By action: action = \"Create\" 5. By type: type = \"flows\" 6. By create time. Currently predicates on `create_time` and `create_time_epoch_seconds` are supported: create_time_epoch_seconds \u003e 1551790877 AND create_time \u003c= 2017-01-15T01:30:15.01Z 7. Combination of above filters: resource = \"projects/123/locations/global/agents/456/flows/789\" AND user_email = \"someone@google.com\" AND create_time \u003c= 2017-01-15T01:30:15.01Z", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListChangelogsResponse" }, "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.changelogs.list", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/changelogs", "parameterOrder": [ "parent" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Retrieves the specified Changelog.", "parameterOrder": [ "name" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/changelogs/{changelogsId}", "id": "dialogflow.projects.locations.agents.changelogs.get", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the changelog to get. Format: `projects//locations//agents//changelogs/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/changelogs/[^/]+$" } }, "httpMethod": "GET", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Changelog" }, "path": "v3beta1/{+name}" } } }, "testCases": { "methods": { "import": { "httpMethod": "POST", "path": "v3beta1/{+parent}/testCases:import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Imports the test cases from a Cloud Storage bucket or a local file. It always creates new test cases and won't overwrite any existing ones. The provided ID in the imported test case is neglected. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ImportTestCasesMetadata - `response`: ImportTestCasesResponse", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ImportTestCasesRequest" }, "parameters": { "parent": { "required": true, "description": "Required. The agent to import test cases to. Format: `projects//locations//agents/`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string" } }, "id": "dialogflow.projects.locations.agents.testCases.import", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:import" }, "create": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" }, "parameters": { "parent": { "description": "Required. The agent to create the test case for. Format: `projects//locations//agents/`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "location": "path" } }, "id": "dialogflow.projects.locations.agents.testCases.create", "description": "Creates a test case for the given agent.", "httpMethod": "POST", "path": "v3beta1/{+parent}/testCases", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "patch": { "httpMethod": "PATCH", "id": "dialogflow.projects.locations.agents.testCases.patch", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Updates the specified test case.", "path": "v3beta1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" }, "parameters": { "updateMask": { "description": "Required. The mask to specify which fields should be updated. The `creationTime` and `lastTestResult` cannot be updated.", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "description": "The unique identifier of the test case. TestCases.CreateTestCase will populate the name automatically. Otherwise use format: `projects//locations//agents/ /testCases/`.", "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" } }, "batchRun": { "request": { "$ref": "GoogleCloudDialogflowCxV3beta1BatchRunTestCasesRequest" }, "path": "v3beta1/{+parent}/testCases:batchRun", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "description": "Required. Agent name. Format: `projects//locations//agents/ `." } }, "id": "dialogflow.projects.locations.agents.testCases.batchRun", "httpMethod": "POST", "description": "Kicks off a batch run of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: BatchRunTestCasesMetadata - `response`: BatchRunTestCasesResponse", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:batchRun", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "httpMethod": "GET", "path": "v3beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "description": "Required. The name of the testcase. Format: `projects//locations//agents//testCases/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "location": "path", "type": "string", "required": true } }, "id": "dialogflow.projects.locations.agents.testCases.get", "parameterOrder": [ "name" ], "description": "Gets a test case.", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCase" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}" }, "run": { "id": "dialogflow.projects.locations.agents.testCases.run", "parameterOrder": [ "name" ], "description": "Kicks off a test case run. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: RunTestCaseMetadata - `response`: RunTestCaseResponse", "httpMethod": "POST", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. Format of test case name to run: `projects//locations/ /agents//testCases/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$" } }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1RunTestCaseRequest" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}:run", "path": "v3beta1/{+name}:run", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "response": { "$ref": "GoogleLongrunningOperation" } }, "batchDelete": { "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent to delete test cases from. Format: `projects//locations//agents/`.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:batchDelete", "description": "Batch deletes test cases.", "id": "dialogflow.projects.locations.agents.testCases.batchDelete", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1BatchDeleteTestCasesRequest" }, "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v3beta1/{+parent}/testCases:batchDelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "parent" ] }, "export": { "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ExportTestCasesRequest" }, "path": "v3beta1/{+parent}/testCases:export", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:export", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "description": "Required. The agent where to export test cases from. Format: `projects//locations//agents/`.", "location": "path", "required": true, "type": "string" } }, "description": "Exports the test cases under the agent to a Cloud Storage bucket or a local file. Filter can be applied to export a subset of test cases. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: ExportTestCasesMetadata - `response`: ExportTestCasesResponse", "id": "dialogflow.projects.locations.agents.testCases.export" }, "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous list request." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of items to return in a single page. By default 20. Note that when TestCaseView = FULL, the maximum page size allowed is 20. When TestCaseView = BASIC, the maximum page size allowed is 500." }, "parent": { "location": "path", "type": "string", "description": "Required. The agent to list all pages for. Format: `projects//locations//agents/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" }, "view": { "type": "string", "location": "query", "enum": [ "TEST_CASE_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "The default / unset value. The API will default to the BASIC view.", "Include basic metadata about the test case, but not the conversation turns. This is the default value.", "Include everything." ], "description": "Specifies whether response should include all fields or just the metadata." } }, "id": "dialogflow.projects.locations.agents.testCases.list", "description": "Fetches a list of test cases for a given agent.", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListTestCasesResponse" }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases", "path": "v3beta1/{+parent}/testCases" }, "calculateCoverage": { "description": "Calculates the test coverage for an agent.", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1CalculateCoverageResponse" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases:calculateCoverage", "parameters": { "type": { "enumDescriptions": [ "Should never be used.", "Intent coverage.", "Page transition coverage.", "Transition route group coverage." ], "description": "Required. The type of coverage requested.", "enum": [ "COVERAGE_TYPE_UNSPECIFIED", "INTENT", "PAGE_TRANSITION", "TRANSITION_ROUTE_GROUP" ], "location": "query", "type": "string" }, "agent": { "description": "Required. The agent to calculate coverage for. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "agent" ], "path": "v3beta1/{+agent}/testCases:calculateCoverage", "httpMethod": "GET", "id": "dialogflow.projects.locations.agents.testCases.calculateCoverage", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] } }, "resources": { "results": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "description": "Fetches a list of results for a given test case.", "parameterOrder": [ "parent" ], "id": "dialogflow.projects.locations.agents.testCases.results.list", "parameters": { "filter": { "type": "string", "description": "The filter expression used to filter test case results. See [API Filtering](https://aip.dev/160). The expression is case insensitive. Only 'AND' is supported for logical operators. The supported syntax is listed below in detail: [AND ] ... [AND latest] The supported fields and operators are: field operator `environment` `=`, `IN` (Use value `draft` for draft environment) `test_time` `\u003e`, `\u003c` `latest` only returns the latest test result in all results for each test case. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"environment=draft AND latest\" matches the latest test result for each test case in the draft environment. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"environment IN (e1,e2)\" matches any test case results with an environment resource name of either \"e1\" or \"e2\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"test_time \u003e 1602540713\" matches any test case results with test time later than a unix timestamp in seconds 1602540713.", "location": "query" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous list request.", "type": "string" }, "pageSize": { "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The test case to list results for. Format: `projects//locations//agents// testCases/`. Specify a `-` as a wildcard for TestCase ID to list results across multiple test cases." } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListTestCaseResultsResponse" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}/results", "httpMethod": "GET", "path": "v3beta1/{+parent}/results" }, "get": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/testCases/{testCasesId}/results/{resultsId}", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The name of the testcase. Format: `projects//locations//agents//testCases//results/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/testCases/[^/]+/results/[^/]+$" } }, "httpMethod": "GET", "path": "v3beta1/{+name}", "description": "Gets a test case result.", "id": "dialogflow.projects.locations.agents.testCases.results.get", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1TestCaseResult" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ] } } } } } }, "methods": { "patch": { "path": "v3beta1/{+name}", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "The mask to control which fields get updated. If the mask is not present, all fields will be updated.", "format": "google-fieldmask" }, "name": { "location": "path", "description": "The unique identifier of the agent. Required for the Agents.UpdateAgent method. Agents.CreateAgent populates the name automatically. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "required": true } }, "id": "dialogflow.projects.locations.agents.patch", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" }, "description": "Updates the specified agent. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ] }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1ListAgentsResponse" }, "path": "v3beta1/{+parent}/agents", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Required. The location to list all agents for. Format: `projects//locations/`." }, "pageToken": { "description": "The next_page_token value returned from a previous list request.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of items to return in a single page. By default 100 and at most 1000.", "type": "integer" } }, "description": "Returns the list of all agents in the specified location.", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents", "id": "dialogflow.projects.locations.agents.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "delete": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}", "description": "Deletes the specified agent.", "httpMethod": "DELETE", "path": "v3beta1/{+name}", "id": "dialogflow.projects.locations.agents.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the agent to delete. Format: `projects//locations//agents/`." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.get", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v3beta1/{+name}", "description": "Retrieves the specified agent.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the agent. Format: `projects//locations//agents/`.", "location": "path" } }, "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" } }, "export": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "description": "Exports the specified agent to a binary file. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: ExportAgentResponse", "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ExportAgentRequest" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path", "description": "Required. The name of the agent to export. Format: `projects//locations//agents/`.", "required": true, "type": "string" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:export", "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "path": "v3beta1/{+name}:export" }, "restore": { "path": "v3beta1/{+name}:restore", "description": "Restores the specified agent from a binary file. Replaces the current agent with a new one. Note that all existing resources in agent (e.g. intents, entity types, flows) will be removed. This method is a [long-running operation](https://cloud.google.com/dialogflow/cx/docs/how/long-running-operation). The returned `Operation` type has the following method-specific fields: - `metadata`: An empty [Struct message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#struct) - `response`: An [Empty message](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#empty) Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1RestoreAgentRequest" }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:restore", "parameters": { "name": { "type": "string", "description": "Required. The name of the agent to restore into. Format: `projects//locations//agents/`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameterOrder": [ "name" ], "id": "dialogflow.projects.locations.agents.restore", "httpMethod": "POST" }, "create": { "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents", "httpMethod": "POST", "id": "dialogflow.projects.locations.agents.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "request": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDialogflowCxV3beta1Agent" }, "description": "Creates an agent in the specified location. Note: You should always train a flow prior to sending it queries. See the [training documentation](https://cloud.google.com/dialogflow/cx/docs/concept/training).", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The location to create a agent for. Format: `projects//locations/`." } }, "path": "v3beta1/{+parent}/agents" }, "getValidationResult": { "path": "v3beta1/{+name}", "description": "Gets the latest agent validation result. Agent validation is performed when ValidateAgent is called.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.agents.getValidationResult", "parameterOrder": [ "name" ], "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}/validationResult", "response": { "$ref": "GoogleCloudDialogflowCxV3beta1AgentValidationResult" }, "parameters": { "languageCode": { "location": "query", "type": "string", "description": "If not specified, the agent's default language is used." }, "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+/validationResult$", "description": "Required. The agent name. Format: `projects//locations//agents//validationResult`." } }, "httpMethod": "GET" }, "validate": { "response": { "$ref": "GoogleCloudDialogflowCxV3beta1AgentValidationResult" }, "request": { "$ref": "GoogleCloudDialogflowCxV3beta1ValidateAgentRequest" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. The agent to validate. Format: `projects//locations//agents/`.", "pattern": "^projects/[^/]+/locations/[^/]+/agents/[^/]+$" } }, "id": "dialogflow.projects.locations.agents.validate", "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}/agents/{agentsId}:validate", "path": "v3beta1/{+name}:validate", "description": "Validates the specified agent and creates or updates validation results. The agent in draft version is validated. Please call this API after the training is completed to get the complete validation results." } } } }, "methods": { "list": { "flatPath": "v3beta1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "path": "v3beta1/{+name}/locations", "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." }, "name": { "location": "path", "description": "The resource that owns the locations collection, if applicable.", "required": true, "type": "string", "pattern": "^projects/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.list", "httpMethod": "GET", "description": "Lists information about the supported locations for this service." }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/dialogflow" ], "id": "dialogflow.projects.locations.get", "parameters": { "name": { "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v3beta1/projects/{projectsId}/locations/{locationsId}", "httpMethod": "GET", "response": { "$ref": "GoogleCloudLocationLocation" }, "parameterOrder": [ "name" ], "path": "v3beta1/{+name}", "description": "Gets information about a location." } } } } } }, "basePath": "", "name": "dialogflow", "ownerDomain": "google.com", "kind": "discovery#restDescription" }
]===]))
