local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "alt": { "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/doubleclickbidmanager": { "description": "View and manage your reports in DoubleClick Bid Manager" }, "https://www.googleapis.com/auth/display-video": { "description": "Create, see, edit, and permanently delete your Display & Video 360 entities and reports" }, "https://www.googleapis.com/auth/display-video-mediaplanning": { "description": "Create, see, and edit Display & Video 360 Campaign entities and see billing invoices" }, "https://www.googleapis.com/auth/display-video-user-management": { "description": "Private Service: https://www.googleapis.com/auth/display-video-user-management" } } } }, "version_module": true, "title": "Display & Video 360 API", "version": "v1", "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://displayvideo.mtls.googleapis.com/", "servicePath": "", "kind": "discovery#restDescription", "name": "displayvideo", "revision": "20220712", "baseUrl": "https://displayvideo.googleapis.com/", "description": "Display & Video 360 API allows users to automate complex Display & Video 360 workflows, such as creating insertion orders and setting targeting options for individual line items.", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerName": "Google", "discoveryVersion": "v1", "id": "displayvideo:v1", "resources": { "firstAndThirdPartyAudiences": { "methods": { "create": { "path": "v1/firstAndThirdPartyAudiences", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "FirstAndThirdPartyAudience" }, "parameters": { "advertiserId": { "format": "int64", "location": "query", "description": "Required. The ID of the advertiser under whom the FirstAndThirdPartyAudience will be created.", "type": "string" } }, "request": { "$ref": "FirstAndThirdPartyAudience" }, "flatPath": "v1/firstAndThirdPartyAudiences", "description": "Creates a FirstAndThirdPartyAudience. Only supported for the following audience_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_CONTACT_INFO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_DEVICE_ID`", "id": "displayvideo.firstAndThirdPartyAudiences.create", "httpMethod": "POST" }, "get": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a first and third party audience.", "response": { "$ref": "FirstAndThirdPartyAudience" }, "flatPath": "v1/firstAndThirdPartyAudiences/{firstAndThirdPartyAudiencesId}", "parameterOrder": [ "firstAndThirdPartyAudienceId" ], "httpMethod": "GET", "path": "v1/firstAndThirdPartyAudiences/{+firstAndThirdPartyAudienceId}", "parameters": { "firstAndThirdPartyAudienceId": { "type": "string", "format": "int64", "description": "Required. The ID of the first and third party audience to fetch.", "location": "path", "required": true, "pattern": "^[^/]+$" }, "partnerId": { "description": "The ID of the partner that has access to the fetched first and third party audience.", "format": "int64", "location": "query", "type": "string" }, "advertiserId": { "description": "The ID of the advertiser that has access to the fetched first and third party audience.", "format": "int64", "location": "query", "type": "string" } }, "id": "displayvideo.firstAndThirdPartyAudiences.get" }, "patch": { "flatPath": "v1/firstAndThirdPartyAudiences/{firstAndThirdPartyAudiencesId}", "parameterOrder": [ "firstAndThirdPartyAudienceId" ], "id": "displayvideo.firstAndThirdPartyAudiences.patch", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/firstAndThirdPartyAudiences/{+firstAndThirdPartyAudienceId}", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. The mask to control which fields to update. Updates are only supported for the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `description` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `membershipDurationDays`" }, "advertiserId": { "description": "Required. The ID of the owner advertiser of the updated FirstAndThirdPartyAudience.", "location": "query", "type": "string", "format": "int64" }, "firstAndThirdPartyAudienceId": { "format": "int64", "location": "path", "type": "string", "description": "Output only. The unique ID of the first and third party audience. Assigned by the system.", "required": true, "pattern": "^[^/]+$" } }, "request": { "$ref": "FirstAndThirdPartyAudience" }, "description": "Updates an existing FirstAndThirdPartyAudience. Only supported for the following audience_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_CONTACT_INFO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_DEVICE_ID`", "response": { "$ref": "FirstAndThirdPartyAudience" }, "httpMethod": "PATCH" }, "editCustomerMatchMembers": { "request": { "$ref": "EditCustomerMatchMembersRequest" }, "response": { "$ref": "EditCustomerMatchMembersResponse" }, "parameterOrder": [ "firstAndThirdPartyAudienceId" ], "id": "displayvideo.firstAndThirdPartyAudiences.editCustomerMatchMembers", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "firstAndThirdPartyAudienceId": { "format": "int64", "type": "string", "pattern": "^[^/]+$", "description": "Required. The ID of the Customer Match FirstAndThirdPartyAudience whose members will be edited.", "location": "path", "required": true } }, "description": "Updates the member list of a Customer Match audience. Only supported for the following audience_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_CONTACT_INFO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_DEVICE_ID`", "flatPath": "v1/firstAndThirdPartyAudiences/{firstAndThirdPartyAudiencesId}:editCustomerMatchMembers", "httpMethod": "POST", "path": "v1/firstAndThirdPartyAudiences/{+firstAndThirdPartyAudienceId}:editCustomerMatchMembers" }, "list": { "path": "v1/firstAndThirdPartyAudiences", "parameters": { "filter": { "description": "Allows filtering by first and third party audience fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for first and third party audiences currently can only contain at most one restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All first and third party audiences for which the display name contains \"Google\": `displayName : \"Google\"`. The length of this field should be no more than 500 characters.", "location": "query", "type": "string" }, "advertiserId": { "type": "string", "description": "The ID of the advertiser that has access to the fetched first and third party audiences.", "location": "query", "format": "int64" }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `firstAndThirdPartyAudienceId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "type": "string", "location": "query" }, "partnerId": { "description": "The ID of the partner that has access to the fetched first and third party audiences.", "location": "query", "type": "string", "format": "int64" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListFirstAndThirdPartyAudiences` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." } }, "response": { "$ref": "ListFirstAndThirdPartyAudiencesResponse" }, "id": "displayvideo.firstAndThirdPartyAudiences.list", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/firstAndThirdPartyAudiences", "httpMethod": "GET", "description": "Lists first and third party audiences. The order is defined by the order_by parameter." } } }, "customBiddingAlgorithms": { "resources": { "scripts": { "methods": { "create": { "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}/scripts", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "customBiddingAlgorithmId" ], "request": { "$ref": "CustomBiddingScript" }, "id": "displayvideo.customBiddingAlgorithms.scripts.create", "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}/scripts", "parameters": { "customBiddingAlgorithmId": { "required": true, "pattern": "^[^/]+$", "type": "string", "format": "int64", "location": "path", "description": "Required. The ID of the custom bidding algorithm that owns the script." }, "partnerId": { "type": "string", "description": "The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script.", "location": "query", "format": "int64" }, "advertiserId": { "format": "int64", "location": "query", "description": "The ID of the advertiser that owns the parent custom bidding algorithm.", "type": "string" } }, "response": { "$ref": "CustomBiddingScript" }, "description": "Creates a new custom bidding script. Returns the newly created script if successful." }, "get": { "parameterOrder": [ "customBiddingAlgorithmId", "customBiddingScriptId" ], "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}/scripts/{+customBiddingScriptId}", "id": "displayvideo.customBiddingAlgorithms.scripts.get", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a custom bidding script.", "response": { "$ref": "CustomBiddingScript" }, "parameters": { "advertiserId": { "type": "string", "location": "query", "format": "int64", "description": "The ID of the advertiser that owns the parent custom bidding algorithm." }, "customBiddingAlgorithmId": { "format": "int64", "location": "path", "type": "string", "required": true, "description": "Required. The ID of the custom bidding algorithm owns the script.", "pattern": "^[^/]+$" }, "customBiddingScriptId": { "type": "string", "required": true, "description": "Required. The ID of the custom bidding script to fetch.", "pattern": "^[^/]+$", "location": "path", "format": "int64" }, "partnerId": { "format": "int64", "location": "query", "description": "The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script.", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}/scripts/{scriptsId}" }, "list": { "id": "displayvideo.customBiddingAlgorithms.scripts.list", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}/scripts", "description": "Lists custom bidding scripts that belong to the given algorithm. The order is defined by the order_by parameter.", "response": { "$ref": "ListCustomBiddingScriptsResponse" }, "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}/scripts", "parameterOrder": [ "customBiddingAlgorithmId" ], "httpMethod": "GET", "parameters": { "customBiddingAlgorithmId": { "type": "string", "pattern": "^[^/]+$", "format": "int64", "description": "Required. The ID of the custom bidding algorithm owns the script.", "location": "path", "required": true }, "advertiserId": { "location": "query", "format": "int64", "type": "string", "description": "The ID of the advertiser that owns the parent custom bidding algorithm." }, "pageToken": { "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCustomBiddingScripts` method. If not specified, the first page of results will be returned.", "location": "query" }, "partnerId": { "type": "string", "format": "int64", "location": "query", "description": "The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script." }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `createTime desc` (default) The default sorting order is descending. To specify ascending order for a field, the suffix \"desc\" should be removed. Example: `createTime`.", "location": "query" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query", "type": "integer" } } } } } }, "methods": { "list": { "parameters": { "filter": { "location": "query", "type": "string", "description": "Allows filtering by custom bidding algorithm fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND`. A sequence of restrictions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)` or `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)` for the following field: - `displayName` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)` for the following field: - `customBiddingAlgorithmType` - `customBiddingAlgorithmState` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `displayName`, the value is a string. We return all custom bidding algorithms whose display_name contains such string. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `customBiddingAlgorithmType`, the value is a string. We return all algorithms whose custom_bidding_algorithm_type is equal to the given type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `customBiddingAlgorithmState`, the value is a string. We return all algorithms whose custom_bidding_algorithm_state is equal to the given type. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All custom bidding algorithms for which the display name contains \"politics\": `displayName:politics`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All custom bidding algorithms for which the type is \"SCRIPT_BASED\": `customBiddingAlgorithmType=SCRIPT_BASED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All custom bidding algorithms for which the state is \"ENABLED\": `customBiddingAlgorithmState=ENABLED` The length of this field should be no more than 500 characters." }, "partnerId": { "description": "The ID of the DV360 partner that has access to the custom bidding algorithm.", "format": "int64", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCustomBiddingAlgorithms` method. If not specified, the first page of results will be returned." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." }, "advertiserId": { "description": "The ID of the DV360 advertiser that has access to the custom bidding algorithm.", "type": "string", "location": "query", "format": "int64" }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "location": "query" } }, "flatPath": "v1/customBiddingAlgorithms", "httpMethod": "GET", "id": "displayvideo.customBiddingAlgorithms.list", "description": "Lists custom bidding algorithms that are accessible to the current user and can be used in bidding stratgies. The order is defined by the order_by parameter.", "response": { "$ref": "ListCustomBiddingAlgorithmsResponse" }, "parameterOrder": [], "path": "v1/customBiddingAlgorithms", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "uploadScript": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "CustomBiddingScriptRef" }, "httpMethod": "GET", "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}:uploadScript", "id": "displayvideo.customBiddingAlgorithms.uploadScript", "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}:uploadScript", "description": "Creates a custom bidding script reference object for a script file. The resulting reference object provides a resource path to which the script file should be uploaded. This reference object should be included in when creating a new custom bidding script object.", "parameters": { "partnerId": { "location": "query", "description": "The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script.", "type": "string", "format": "int64" }, "customBiddingAlgorithmId": { "pattern": "^[^/]+$", "type": "string", "location": "path", "format": "int64", "description": "Required. The ID of the custom bidding algorithm owns the script.", "required": true }, "advertiserId": { "description": "The ID of the advertiser that owns the parent custom bidding algorithm.", "type": "string", "location": "query", "format": "int64" } }, "parameterOrder": [ "customBiddingAlgorithmId" ] }, "patch": { "description": "Updates an existing custom bidding algorithm. Returns the updated custom bidding algorithm if successful.", "parameterOrder": [ "customBiddingAlgorithmId" ], "response": { "$ref": "CustomBiddingAlgorithm" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "CustomBiddingAlgorithm" }, "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}", "parameters": { "customBiddingAlgorithmId": { "pattern": "^[^/]+$", "format": "int64", "type": "string", "required": true, "description": "Output only. The unique ID of the custom bidding algorithm. Assigned by the system.", "location": "path" }, "updateMask": { "format": "google-fieldmask", "description": "Required. The mask to control which fields to update.", "type": "string", "location": "query" } }, "id": "displayvideo.customBiddingAlgorithms.patch", "httpMethod": "PATCH", "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}" }, "create": { "request": { "$ref": "CustomBiddingAlgorithm" }, "response": { "$ref": "CustomBiddingAlgorithm" }, "parameterOrder": [], "httpMethod": "POST", "path": "v1/customBiddingAlgorithms", "flatPath": "v1/customBiddingAlgorithms", "id": "displayvideo.customBiddingAlgorithms.create", "description": "Creates a new custom bidding algorithm. Returns the newly created custom bidding algorithm if successful.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": {} }, "get": { "response": { "$ref": "CustomBiddingAlgorithm" }, "parameters": { "partnerId": { "type": "string", "description": "The ID of the DV360 partner that has access to the custom bidding algorithm.", "format": "int64", "location": "query" }, "customBiddingAlgorithmId": { "pattern": "^[^/]+$", "format": "int64", "type": "string", "location": "path", "description": "Required. The ID of the custom bidding algorithm to fetch.", "required": true }, "advertiserId": { "location": "query", "description": "The ID of the DV360 partner that has access to the custom bidding algorithm.", "type": "string", "format": "int64" } }, "path": "v1/customBiddingAlgorithms/{+customBiddingAlgorithmId}", "flatPath": "v1/customBiddingAlgorithms/{customBiddingAlgorithmsId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a custom bidding algorithm.", "id": "displayvideo.customBiddingAlgorithms.get", "parameterOrder": [ "customBiddingAlgorithmId" ], "httpMethod": "GET" } } }, "advertisers": { "resources": { "manualTriggers": { "methods": { "get": { "flatPath": "v1/advertisers/{advertisersId}/manualTriggers/{manualTriggersId}", "description": "Gets a manual trigger.", "httpMethod": "GET", "parameters": { "triggerId": { "type": "string", "location": "path", "pattern": "^[^/]+$", "format": "int64", "required": true, "description": "Required. The ID of the manual trigger to fetch." }, "advertiserId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the advertiser this manual trigger belongs to.", "format": "int64", "pattern": "^[^/]+$" } }, "path": "v1/advertisers/{+advertiserId}/manualTriggers/{+triggerId}", "response": { "$ref": "ManualTrigger" }, "parameterOrder": [ "advertiserId", "triggerId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.manualTriggers.get" }, "activate": { "path": "v1/advertisers/{+advertiserId}/manualTriggers/{+triggerId}:activate", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.manualTriggers.activate", "request": { "$ref": "ActivateManualTriggerRequest" }, "flatPath": "v1/advertisers/{advertisersId}/manualTriggers/{manualTriggersId}:activate", "description": "Activates a manual trigger. Each activation of the manual trigger must be at least 5 minutes apart, otherwise an error will be returned.", "parameters": { "triggerId": { "pattern": "^[^/]+$", "type": "string", "description": "Required. The ID of the manual trigger to activate.", "format": "int64", "location": "path", "required": true }, "advertiserId": { "description": "Required. The ID of the advertiser that the manual trigger belongs.", "required": true, "pattern": "^[^/]+$", "location": "path", "type": "string", "format": "int64" } }, "response": { "$ref": "ManualTrigger" }, "httpMethod": "POST", "parameterOrder": [ "advertiserId", "triggerId" ] }, "deactivate": { "parameterOrder": [ "advertiserId", "triggerId" ], "id": "displayvideo.advertisers.manualTriggers.deactivate", "description": "Deactivates a manual trigger.", "parameters": { "triggerId": { "required": true, "type": "string", "location": "path", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the manual trigger to deactivate." }, "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser that the manual trigger belongs.", "type": "string", "location": "path", "required": true } }, "request": { "$ref": "DeactivateManualTriggerRequest" }, "httpMethod": "POST", "path": "v1/advertisers/{+advertiserId}/manualTriggers/{+triggerId}:deactivate", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertisersId}/manualTriggers/{manualTriggersId}:deactivate", "response": { "$ref": "ManualTrigger" } }, "list": { "parameterOrder": [ "advertiserId" ], "parameters": { "advertiserId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "Required. The ID of the advertiser that the fetched manual triggers belong to.", "pattern": "^[^/]+$" }, "orderBy": { "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `state` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "type": "string" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "location": "query", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListManualTriggers` method. If not specified, the first page of results will be returned." }, "filter": { "description": "Allows filtering by manual trigger properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` - `state` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active manual triggers under an advertiser: `state=\"ACTIVE\"` The length of this field should be no more than 500 characters.", "type": "string", "location": "query" } }, "flatPath": "v1/advertisers/{advertisersId}/manualTriggers", "httpMethod": "GET", "id": "displayvideo.advertisers.manualTriggers.list", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/manualTriggers", "description": "Lists manual triggers that are accessible to the current user for a given advertiser ID. The order is defined by the order_by parameter. A single advertiser_id is required.", "response": { "$ref": "ListManualTriggersResponse" } }, "patch": { "path": "v1/advertisers/{+advertiserId}/manualTriggers/{+triggerId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "triggerId" ], "httpMethod": "PATCH", "request": { "$ref": "ManualTrigger" }, "response": { "$ref": "ManualTrigger" }, "flatPath": "v1/advertisers/{advertisersId}/manualTriggers/{manualTriggersId}", "id": "displayvideo.advertisers.manualTriggers.patch", "description": "Updates a manual trigger. Returns the updated manual trigger if successful.", "parameters": { "updateMask": { "description": "Required. The mask to control which fields to update.", "format": "google-fieldmask", "type": "string", "location": "query" }, "triggerId": { "required": true, "pattern": "^[^/]+$", "description": "Output only. The unique ID of the manual trigger.", "format": "int64", "location": "path", "type": "string" }, "advertiserId": { "pattern": "^[^/]+$", "location": "path", "description": "Required. Immutable. The unique ID of the advertiser that the manual trigger belongs to.", "required": true, "format": "int64", "type": "string" } } }, "create": { "response": { "$ref": "ManualTrigger" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.manualTriggers.create", "parameterOrder": [ "advertiserId" ], "parameters": { "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "location": "path", "description": "Required. Immutable. The unique ID of the advertiser that the manual trigger belongs to.", "type": "string", "required": true } }, "flatPath": "v1/advertisers/{advertisersId}/manualTriggers", "description": "Creates a new manual trigger. Returns the newly created manual trigger if successful.", "path": "v1/advertisers/{+advertiserId}/manualTriggers", "request": { "$ref": "ManualTrigger" }, "httpMethod": "POST" } } }, "channels": { "methods": { "create": { "path": "v1/advertisers/{+advertiserId}/channels", "flatPath": "v1/advertisers/{advertisersId}/channels", "description": "Creates a new channel. Returns the newly created channel if successful.", "response": { "$ref": "Channel" }, "httpMethod": "POST", "id": "displayvideo.advertisers.channels.create", "request": { "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "advertiserId": { "location": "path", "pattern": "^[^/]+$", "type": "string", "required": true, "description": "The ID of the advertiser that owns the created channel.", "format": "int64" }, "partnerId": { "type": "string", "format": "int64", "description": "The ID of the partner that owns the created channel.", "location": "query" } }, "parameterOrder": [ "advertiserId" ] }, "get": { "id": "displayvideo.advertisers.channels.get", "parameterOrder": [ "advertiserId", "channelId" ], "flatPath": "v1/advertisers/{advertisersId}/channels/{channelsId}", "response": { "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "path": "v1/advertisers/{+advertiserId}/channels/{+channelId}", "parameters": { "advertiserId": { "type": "string", "pattern": "^[^/]+$", "location": "path", "description": "The ID of the advertiser that owns the fetched channel.", "required": true, "format": "int64" }, "channelId": { "required": true, "location": "path", "type": "string", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the channel to fetch." }, "partnerId": { "format": "int64", "description": "The ID of the partner that owns the fetched channel.", "type": "string", "location": "query" } }, "description": "Gets a channel for a partner or advertiser." }, "patch": { "parameterOrder": [ "advertiserId", "channelId" ], "flatPath": "v1/advertisers/{advertisersId}/channels/{channelId}", "parameters": { "channelId": { "required": true, "format": "int64", "location": "path", "description": "Output only. The unique ID of the channel. Assigned by the system.", "type": "string" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. The mask to control which fields to update." }, "advertiserId": { "type": "string", "description": "The ID of the advertiser that owns the created channel.", "pattern": "^[^/]+$", "location": "path", "required": true, "format": "int64" }, "partnerId": { "type": "string", "format": "int64", "location": "query", "description": "The ID of the partner that owns the created channel." } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Updates a channel. Returns the updated channel if successful.", "request": { "$ref": "Channel" }, "path": "v1/advertisers/{+advertiserId}/channels/{channelId}", "httpMethod": "PATCH", "id": "displayvideo.advertisers.channels.patch", "response": { "$ref": "Channel" } }, "list": { "path": "v1/advertisers/{+advertiserId}/channels", "httpMethod": "GET", "parameterOrder": [ "advertiserId" ], "description": "Lists channels for a partner or advertiser.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertisersId}/channels", "response": { "$ref": "ListChannelsResponse" }, "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListChannels` method. If not specified, the first page of results will be returned." }, "partnerId": { "location": "query", "type": "string", "format": "int64", "description": "The ID of the partner that owns the channels." }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `channelId` The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `displayName desc`." }, "advertiserId": { "required": true, "description": "The ID of the advertiser that owns the channels.", "type": "string", "format": "int64", "location": "path", "pattern": "^[^/]+$" }, "pageSize": { "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer", "format": "int32" }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by channel fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for channel currently can only contain at most one LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All channels for which the display name contains \"google\": `displayName : \"google\"`. The length of this field should be no more than 500 characters." } }, "id": "displayvideo.advertisers.channels.list" } }, "resources": { "sites": { "methods": { "bulkEdit": { "parameterOrder": [ "advertiserId", "channelId" ], "description": "Bulk edits sites under a single channel. The operation will delete the sites provided in BulkEditSitesRequest.deleted_sites and then create the sites provided in BulkEditSitesRequest.created_sites.", "httpMethod": "POST", "request": { "$ref": "BulkEditSitesRequest" }, "parameters": { "channelId": { "location": "path", "description": "Required. The ID of the parent channel to which the sites belong.", "format": "int64", "type": "string", "required": true, "pattern": "^[^/]+$" }, "advertiserId": { "format": "int64", "type": "string", "required": true, "description": "The ID of the advertiser that owns the parent channel.", "location": "path" } }, "response": { "$ref": "BulkEditSitesResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{advertiserId}/channels/{+channelId}/sites:bulkEdit", "id": "displayvideo.advertisers.channels.sites.bulkEdit", "flatPath": "v1/advertisers/{advertiserId}/channels/{channelsId}/sites:bulkEdit" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "advertiserId", "channelId", "urlOrAppId" ], "description": "Deletes a site from a channel.", "path": "v1/advertisers/{advertiserId}/channels/{+channelId}/sites/{+urlOrAppId}", "parameters": { "urlOrAppId": { "required": true, "location": "path", "type": "string", "pattern": "^[^/]+$", "description": "Required. The URL or app ID of the site to delete." }, "channelId": { "pattern": "^[^/]+$", "description": "Required. The ID of the parent channel to which the site belongs.", "format": "int64", "required": true, "type": "string", "location": "path" }, "partnerId": { "description": "The ID of the partner that owns the parent channel.", "type": "string", "format": "int64", "location": "query" }, "advertiserId": { "description": "The ID of the advertiser that owns the parent channel.", "location": "path", "format": "int64", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "Empty" }, "id": "displayvideo.advertisers.channels.sites.delete", "flatPath": "v1/advertisers/{advertiserId}/channels/{channelsId}/sites/{sitesId}" }, "list": { "description": "Lists sites in a channel.", "parameterOrder": [ "advertiserId", "channelId" ], "flatPath": "v1/advertisers/{advertisersId}/channels/{channelsId}/sites", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `urlOrAppId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `urlOrAppId desc`." }, "channelId": { "pattern": "^[^/]+$", "type": "string", "location": "path", "format": "int64", "description": "Required. The ID of the parent channel to which the requested sites belong.", "required": true }, "advertiserId": { "pattern": "^[^/]+$", "location": "path", "type": "string", "description": "The ID of the advertiser that owns the parent channel.", "required": true, "format": "int64" }, "filter": { "description": "Allows filtering by site fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for site currently can only contain at most one LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `urlOrAppId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All sites for which the URL or app ID contains \"google\": `urlOrAppId : \"google\"`", "type": "string", "location": "query" }, "partnerId": { "type": "string", "location": "query", "description": "The ID of the partner that owns the parent channel.", "format": "int64" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListSites` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "pageSize": { "description": "Requested page size. Must be between `1` and `10000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query", "type": "integer" } }, "response": { "$ref": "ListSitesResponse" }, "id": "displayvideo.advertisers.channels.sites.list", "path": "v1/advertisers/{+advertiserId}/channels/{+channelId}/sites" }, "replace": { "parameterOrder": [ "advertiserId", "channelId" ], "response": { "$ref": "ReplaceSitesResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "POST", "parameters": { "advertiserId": { "type": "string", "location": "path", "format": "int64", "description": "The ID of the advertiser that owns the parent channel.", "required": true }, "channelId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the parent channel whose sites will be replaced.", "format": "int64", "pattern": "^[^/]+$" } }, "id": "displayvideo.advertisers.channels.sites.replace", "description": "Replaces all of the sites under a single channel. The operation will replace the sites under a channel with the sites provided in ReplaceSitesRequest.new_sites.", "request": { "$ref": "ReplaceSitesRequest" }, "path": "v1/advertisers/{advertiserId}/channels/{+channelId}/sites:replace", "flatPath": "v1/advertisers/{advertiserId}/channels/{channelsId}/sites:replace" }, "create": { "id": "displayvideo.advertisers.channels.sites.create", "parameters": { "advertiserId": { "required": true, "description": "The ID of the advertiser that owns the parent channel.", "format": "int64", "type": "string", "location": "path" }, "partnerId": { "format": "int64", "type": "string", "location": "query", "description": "The ID of the partner that owns the parent channel." }, "channelId": { "type": "string", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the parent channel in which the site will be created.", "location": "path", "required": true } }, "description": "Creates a site in a channel.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertiserId}/channels/{channelsId}/sites", "parameterOrder": [ "advertiserId", "channelId" ], "request": { "$ref": "Site" }, "path": "v1/advertisers/{advertiserId}/channels/{+channelId}/sites", "response": { "$ref": "Site" }, "httpMethod": "POST" } } } } }, "creatives": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a creative.", "httpMethod": "GET", "response": { "$ref": "Creative" }, "flatPath": "v1/advertisers/{advertisersId}/creatives/{creativesId}", "parameterOrder": [ "advertiserId", "creativeId" ], "path": "v1/advertisers/{+advertiserId}/creatives/{+creativeId}", "parameters": { "advertiserId": { "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser this creative belongs to.", "format": "int64", "type": "string", "location": "path", "required": true }, "creativeId": { "location": "path", "description": "Required. The ID of the creative to fetch.", "type": "string", "pattern": "^[^/]+$", "required": true, "format": "int64" } }, "id": "displayvideo.advertisers.creatives.get" }, "create": { "request": { "$ref": "Creative" }, "id": "displayvideo.advertisers.creatives.create", "httpMethod": "POST", "description": "Creates a new creative. Returns the newly created creative if successful.", "parameters": { "advertiserId": { "required": true, "description": "Output only. The unique ID of the advertiser the creative belongs to.", "type": "string", "location": "path", "pattern": "^[^/]+$", "format": "int64" } }, "path": "v1/advertisers/{+advertiserId}/creatives", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId" ], "response": { "$ref": "Creative" }, "flatPath": "v1/advertisers/{advertisersId}/creatives" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "DELETE", "parameters": { "creativeId": { "required": true, "description": "The ID of the creative to be deleted.", "format": "int64", "location": "path", "pattern": "^[^/]+$", "type": "string" }, "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "location": "path", "description": "The ID of the advertiser this creative belongs to.", "required": true, "type": "string" } }, "flatPath": "v1/advertisers/{advertisersId}/creatives/{creativesId}", "parameterOrder": [ "advertiserId", "creativeId" ], "response": { "$ref": "Empty" }, "path": "v1/advertisers/{+advertiserId}/creatives/{+creativeId}", "id": "displayvideo.advertisers.creatives.delete", "description": "Deletes a creative. Returns error code `NOT_FOUND` if the creative does not exist. The creative should be archived first, i.e. set entity_status to `ENTITY_STATUS_ARCHIVED`, before it can be deleted." }, "list": { "parameters": { "filter": { "location": "query", "type": "string", "description": "Allows filtering by creative properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restriction for the same field must be combined by `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restriction for different fields must be combined by `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Between `(` and `)` there can only be restrictions combined by `OR` for the same field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)` for the following fields: - `entityStatus` - `creativeType`. - `dimensions` - `minDuration` - `maxDuration` - `approvalStatus` - `exchangeReviewStatus` - `dynamic` - `creativeId` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `HAS (:)` for the following fields: - `lineItemIds` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `GREATER THAN OR EQUAL TO (\u003e=)` or `LESS THAN OR EQUAL TO (\u003c=)` for the following fields: - `updateTime` (input in ISO 8601 format, or YYYY-MM-DDTHH:MM:SSZ) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `entityStatus`, `minDuration`, `maxDuration`, `updateTime`, and `dynamic`, there may be at most one restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `dimensions`, the value is in the form of `\"{width}x{height}\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `exchangeReviewStatus`, the value is in the form of `{exchange}-{reviewStatus}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `minDuration` and `maxDuration`, the value is in the form of `\"{duration}s\"`. Only seconds are supported with millisecond granularity. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For `updateTime`, a creative resource's field value reflects the last time that a creative has been updated, which includes updates made by the system (e.g. creative review updates). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh There may be multiple `lineItemIds` restrictions in order to search against multiple possible line item IDs. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh There may be multiple `creativeId` restrictions in order to search against multiple possible creative IDs. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All native creatives: `creativeType=\"CREATIVE_TYPE_NATIVE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active creatives with 300x400 or 50x100 dimensions: `entityStatus=\"ENTITY_STATUS_ACTIVE\" AND (dimensions=\"300x400\" OR dimensions=\"50x100\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All dynamic creatives that are approved by AdX or AppNexus, with a minimum duration of 5 seconds and 200ms. `dynamic=\"true\" AND minDuration=\"5.2s\" AND (exchangeReviewStatus=\"EXCHANGE_GOOGLE_AD_MANAGER-REVIEW_STATUS_APPROVED\" OR exchangeReviewStatus=\"EXCHANGE_APPNEXUS-REVIEW_STATUS_APPROVED\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All video creatives that are associated with line item ID 1 or 2: `creativeType=\"CREATIVE_TYPE_VIDEO\" AND (lineItemIds:1 OR lineItemIds:2)` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Find creatives by multiple creative IDs: `creativeId=1 OR creativeId=2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All creatives with an update time greater than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003e=\"2020-11-04T18:54:47Z\"` The length of this field should be no more than 500 characters." }, "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCreatives` method. If not specified, the first page of results will be returned.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `creativeId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `createTime` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `mediaDuration` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `dimensions` (sorts by width first, then by height) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `createTime desc`." }, "advertiserId": { "required": true, "type": "string", "location": "path", "description": "Required. The ID of the advertiser to list creatives for.", "format": "int64", "pattern": "^[^/]+$" } }, "response": { "$ref": "ListCreativesResponse" }, "flatPath": "v1/advertisers/{advertisersId}/creatives", "id": "displayvideo.advertisers.creatives.list", "description": "Lists creatives in an advertiser. The order is defined by the order_by parameter. If a filter by entity_status is not specified, creatives with `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "parameterOrder": [ "advertiserId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/creatives" }, "patch": { "path": "v1/advertisers/{+advertiserId}/creatives/{+creativeId}", "response": { "$ref": "Creative" }, "description": "Updates an existing creative. Returns the updated creative if successful.", "request": { "$ref": "Creative" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.creatives.patch", "parameterOrder": [ "advertiserId", "creativeId" ], "flatPath": "v1/advertisers/{advertisersId}/creatives/{creativesId}", "parameters": { "advertiserId": { "description": "Output only. The unique ID of the advertiser the creative belongs to.", "pattern": "^[^/]+$", "type": "string", "location": "path", "required": true, "format": "int64" }, "creativeId": { "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Output only. The unique ID of the creative. Assigned by the system.", "format": "int64", "required": true }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. The mask to control which fields to update." } } } } }, "locationLists": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "parameters": { "filter": { "location": "query", "description": "Allows filtering by location list fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `locationType` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All regional location list: `locationType=\"TARGETING_LOCATION_TYPE_REGIONAL\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All proximity location list: `locationType=\"TARGETING_LOCATION_TYPE_PROXIMITY\"`", "type": "string" }, "advertiserId": { "description": "Required. The ID of the DV360 advertiser to which the fetched location lists belong.", "location": "path", "pattern": "^[^/]+$", "required": true, "format": "int64", "type": "string" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListLocationLists` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locationListId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Requested page size. Must be between `1` and `100`. Defaults to `100` if not set. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." } }, "parameterOrder": [ "advertiserId" ], "flatPath": "v1/advertisers/{advertisersId}/locationLists", "response": { "$ref": "ListLocationListsResponse" }, "id": "displayvideo.advertisers.locationLists.list", "description": "Lists location lists based on a given advertiser id.", "path": "v1/advertisers/{+advertiserId}/locationLists" }, "get": { "path": "v1/advertisers/{+advertiserId}/locationLists/{+locationListId}", "parameters": { "locationListId": { "type": "string", "required": true, "location": "path", "description": "Required. The ID of the location list to fetch.", "pattern": "^[^/]+$", "format": "int64" }, "advertiserId": { "location": "path", "description": "Required. The ID of the DV360 advertiser to which the fetched location list belongs.", "format": "int64", "required": true, "pattern": "^[^/]+$", "type": "string" } }, "flatPath": "v1/advertisers/{advertisersId}/locationLists/{locationListsId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "description": "Gets a location list.", "response": { "$ref": "LocationList" }, "parameterOrder": [ "advertiserId", "locationListId" ], "id": "displayvideo.advertisers.locationLists.get" }, "create": { "parameterOrder": [ "advertiserId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Creates a new location list. Returns the newly created location list if successful.", "request": { "$ref": "LocationList" }, "flatPath": "v1/advertisers/{advertisersId}/locationLists", "path": "v1/advertisers/{+advertiserId}/locationLists", "parameters": { "advertiserId": { "type": "string", "location": "path", "description": "Required. The ID of the DV360 advertiser to which the location list belongs.", "format": "int64", "required": true, "pattern": "^[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "LocationList" }, "id": "displayvideo.advertisers.locationLists.create" }, "patch": { "path": "v1/advertisers/{+advertiserId}/locationLists/{locationListId}", "httpMethod": "PATCH", "parameterOrder": [ "advertiserId", "locationListId" ], "id": "displayvideo.advertisers.locationLists.patch", "description": "Updates a location list. Returns the updated location list if successful.", "parameters": { "updateMask": { "type": "string", "location": "query", "description": "Required. The mask to control which fields to update.", "format": "google-fieldmask" }, "locationListId": { "description": "Output only. The unique ID of the location list. Assigned by the system.", "type": "string", "location": "path", "required": true, "format": "int64" }, "advertiserId": { "format": "int64", "required": true, "type": "string", "pattern": "^[^/]+$", "description": "Required. The ID of the DV360 advertiser to which the location lists belongs.", "location": "path" } }, "request": { "$ref": "LocationList" }, "flatPath": "v1/advertisers/{advertisersId}/locationLists/{locationListId}", "response": { "$ref": "LocationList" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ] } }, "resources": { "assignedLocations": { "methods": { "list": { "response": { "$ref": "ListAssignedLocationsResponse" }, "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedLocationId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `assignedLocationId desc`." }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by location list assignment fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedLocationId` The length of this field should be no more than 500 characters." }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query", "type": "integer" }, "advertiserId": { "type": "string", "format": "int64", "required": true, "description": "Required. The ID of the DV360 advertiser to which the location list belongs.", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListAssignedLocations` method. If not specified, the first page of results will be returned." }, "locationListId": { "description": "Required. The ID of the location list to which these assignments are assigned.", "required": true, "location": "path", "format": "int64", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations", "id": "displayvideo.advertisers.locationLists.assignedLocations.list", "description": "Lists locations assigned to a location list.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "locationListId" ], "path": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations" }, "create": { "id": "displayvideo.advertisers.locationLists.assignedLocations.create", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "AssignedLocation" }, "path": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations", "flatPath": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations", "description": "Creates an assignment between a location and a location list.", "httpMethod": "POST", "parameters": { "advertiserId": { "required": true, "format": "int64", "type": "string", "location": "path", "description": "Required. The ID of the DV360 advertiser to which the location list belongs." }, "locationListId": { "type": "string", "description": "Required. The ID of the location list for which the assignment will be created.", "location": "path", "format": "int64", "required": true } }, "response": { "$ref": "AssignedLocation" }, "parameterOrder": [ "advertiserId", "locationListId" ] }, "delete": { "id": "displayvideo.advertisers.locationLists.assignedLocations.delete", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "locationListId", "assignedLocationId" ], "path": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations/{+assignedLocationId}", "description": "Deletes the assignment between a location and a location list.", "parameters": { "assignedLocationId": { "format": "int64", "required": true, "location": "path", "description": "Required. The ID of the assigned location to delete.", "type": "string", "pattern": "^[^/]+$" }, "locationListId": { "description": "Required. The ID of the location list to which this assignment is assigned.", "format": "int64", "location": "path", "type": "string", "required": true }, "advertiserId": { "location": "path", "type": "string", "description": "Required. The ID of the DV360 advertiser to which the location list belongs.", "required": true, "format": "int64" } }, "flatPath": "v1/advertisers/{advertiserId}/locationLists/{locationListId}/assignedLocations/{assignedLocationsId}" }, "bulkEdit": { "httpMethod": "POST", "parameters": { "locationListId": { "format": "int64", "location": "path", "required": true, "type": "string", "description": "Required. The ID of the location list to which these assignments are assigned.", "pattern": "^[^/]+$" }, "advertiserId": { "type": "string", "format": "int64", "required": true, "location": "path", "description": "Required. The ID of the DV360 advertiser to which the location list belongs." } }, "path": "v1/advertisers/{advertiserId}/locationLists/{+locationListId}/assignedLocations:bulkEdit", "id": "displayvideo.advertisers.locationLists.assignedLocations.bulkEdit", "request": { "$ref": "BulkEditAssignedLocationsRequest" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertiserId}/locationLists/{locationListsId}/assignedLocations:bulkEdit", "response": { "$ref": "BulkEditAssignedLocationsResponse" }, "description": "Bulk edits multiple assignments between locations and a single location list. The operation will delete the assigned locations provided in BulkEditAssignedLocationsRequest.deleted_assigned_locations and then create the assigned locations provided in BulkEditAssignedLocationsRequest.created_assigned_locations.", "parameterOrder": [ "advertiserId", "locationListId" ] } } } } }, "campaigns": { "resources": { "targetingTypes": { "resources": { "assignedTargetingOptions": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "campaignId", "targetingType" ], "id": "displayvideo.advertisers.campaigns.targetingTypes.assignedTargetingOptions.list", "parameters": { "filter": { "location": "query", "type": "string", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedTargetingOptionId` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with ID 1 or 2 `assignedTargetingOptionId=\"1\" OR assignedTargetingOptionId=\"2\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters." }, "orderBy": { "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedTargetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `assignedTargetingOptionId desc`.", "type": "string" }, "targetingType": { "location": "path", "type": "string", "pattern": "^[^/]+$", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "description": "Required. Identifies the type of assigned targeting options to list. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AGE_RANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ENVIRONMENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GENDER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GEO_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_HOUSEHOLD_INCOME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_INVENTORY_SOURCE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_INVENTORY_SOURCE_GROUP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_LANGUAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ON_SCREEN_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_PARENTAL_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SUB_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_THIRD_PARTY_VERIFIER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIEWABILITY`", "required": true }, "advertiserId": { "pattern": "^[^/]+$", "type": "string", "description": "Required. The ID of the advertiser the campaign belongs to.", "required": true, "format": "int64", "location": "path" }, "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCampaignAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "type": "string" }, "campaignId": { "description": "Required. The ID of the campaign to list assigned targeting options for.", "type": "string", "location": "path", "format": "int64", "pattern": "^[^/]+$", "required": true }, "pageSize": { "format": "int32", "location": "query", "description": "Requested page size. Must be between `1` and `5000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer" } }, "httpMethod": "GET", "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "response": { "$ref": "ListCampaignAssignedTargetingOptionsResponse" }, "description": "Lists the targeting options assigned to a campaign for a specified targeting type." }, "get": { "response": { "$ref": "AssignedTargetingOption" }, "id": "displayvideo.advertisers.campaigns.targetingTypes.assignedTargetingOptions.get", "httpMethod": "GET", "parameters": { "advertiserId": { "format": "int64", "type": "string", "location": "path", "description": "Required. The ID of the advertiser the campaign belongs to.", "required": true, "pattern": "^[^/]+$" }, "campaignId": { "required": true, "format": "int64", "pattern": "^[^/]+$", "location": "path", "description": "Required. The ID of the campaign the assigned targeting option belongs to.", "type": "string" }, "assignedTargetingOptionId": { "location": "path", "type": "string", "description": "Required. An identifier unique to the targeting type in this campaign that identifies the assigned targeting option being requested.", "required": true, "pattern": "^[^/]+$" }, "targetingType": { "location": "path", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "required": true, "pattern": "^[^/]+$", "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AGE_RANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ENVIRONMENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GENDER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GEO_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_HOUSEHOLD_INCOME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_INVENTORY_SOURCE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_INVENTORY_SOURCE_GROUP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_LANGUAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ON_SCREEN_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_PARENTAL_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SUB_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_THIRD_PARTY_VERIFIER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIEWABILITY`" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "parameterOrder": [ "advertiserId", "campaignId", "targetingType", "assignedTargetingOptionId" ], "description": "Gets a single targeting option assigned to a campaign.", "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}" } } } } } }, "methods": { "list": { "description": "Lists campaigns in an advertiser. The order is defined by the order_by parameter. If a filter by entity_status is not specified, campaigns with `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "parameterOrder": [ "advertiserId" ], "httpMethod": "GET", "path": "v1/advertisers/{+advertiserId}/campaigns", "response": { "$ref": "ListCampaignsResponse" }, "parameters": { "filter": { "location": "query", "type": "string", "description": "Allows filtering by campaign properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `updateTime` must be `GREATER THAN OR EQUAL TO (\u003e=)` or `LESS THAN OR EQUAL TO (\u003c=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `campaignId` - `displayName` - `entityStatus` - `updateTime` (input in ISO 8601 format, or YYYY-MM-DDTHH:MM:SSZ) Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All `ENTITY_STATUS_ACTIVE` or `ENTITY_STATUS_PAUSED` campaigns under an advertiser: `(entityStatus=\"ENTITY_STATUS_ACTIVE\" OR entityStatus=\"ENTITY_STATUS_PAUSED\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All campaigns with an update time less than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003c=\"2020-11-04T18:54:47Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All campaigns with an update time greater than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003e=\"2020-11-04T18:54:47Z\"` The length of this field should be no more than 500 characters." }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `entityStatus` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `updateTime` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCampaigns` method. If not specified, the first page of results will be returned." }, "pageSize": { "format": "int32", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "location": "query" }, "advertiserId": { "format": "int64", "description": "The ID of the advertiser to list campaigns for.", "required": true, "pattern": "^[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1/advertisers/{advertisersId}/campaigns", "id": "displayvideo.advertisers.campaigns.list", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ] }, "patch": { "id": "displayvideo.advertisers.campaigns.patch", "description": "Updates an existing campaign. Returns the updated campaign if successful.", "request": { "$ref": "Campaign" }, "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}", "httpMethod": "PATCH", "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ], "parameters": { "advertiserId": { "pattern": "^[^/]+$", "required": true, "type": "string", "location": "path", "description": "Output only. The unique ID of the advertiser the campaign belongs to.", "format": "int64" }, "campaignId": { "location": "path", "format": "int64", "type": "string", "pattern": "^[^/]+$", "description": "Output only. The unique ID of the campaign. Assigned by the system.", "required": true }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Required. The mask to control which fields to update.", "type": "string" } }, "response": { "$ref": "Campaign" }, "parameterOrder": [ "advertiserId", "campaignId" ] }, "get": { "parameters": { "campaignId": { "type": "string", "pattern": "^[^/]+$", "format": "int64", "location": "path", "required": true, "description": "Required. The ID of the campaign to fetch." }, "advertiserId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the advertiser this campaign belongs to.", "pattern": "^[^/]+$", "format": "int64" } }, "response": { "$ref": "Campaign" }, "parameterOrder": [ "advertiserId", "campaignId" ], "id": "displayvideo.advertisers.campaigns.get", "httpMethod": "GET", "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}", "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}", "description": "Gets a campaign.", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ] }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}", "description": "Permanently deletes a campaign. A deleted campaign cannot be recovered. The campaign should be archived first, i.e. set entity_status to `ENTITY_STATUS_ARCHIVED`, to be able to delete it.", "response": { "$ref": "Empty" }, "id": "displayvideo.advertisers.campaigns.delete", "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}", "parameterOrder": [ "advertiserId", "campaignId" ], "parameters": { "advertiserId": { "type": "string", "pattern": "^[^/]+$", "format": "int64", "location": "path", "required": true, "description": "The ID of the advertiser this campaign belongs to." }, "campaignId": { "location": "path", "required": true, "type": "string", "format": "int64", "pattern": "^[^/]+$", "description": "The ID of the campaign we need to delete." } }, "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ] }, "create": { "parameters": { "advertiserId": { "pattern": "^[^/]+$", "format": "int64", "required": true, "description": "Output only. The unique ID of the advertiser the campaign belongs to.", "location": "path", "type": "string" } }, "httpMethod": "POST", "description": "Creates a new campaign. Returns the newly created campaign if successful.", "id": "displayvideo.advertisers.campaigns.create", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ], "flatPath": "v1/advertisers/{advertisersId}/campaigns", "response": { "$ref": "Campaign" }, "request": { "$ref": "Campaign" }, "path": "v1/advertisers/{+advertiserId}/campaigns", "parameterOrder": [ "advertiserId" ] }, "bulkListCampaignAssignedTargetingOptions": { "parameterOrder": [ "advertiserId", "campaignId" ], "httpMethod": "GET", "response": { "$ref": "BulkListCampaignAssignedTargetingOptionsResponse" }, "path": "v1/advertisers/{+advertiserId}/campaigns/{+campaignId}:bulkListCampaignAssignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "advertiserId": { "location": "path", "type": "string", "format": "int64", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the advertiser the campaign belongs to." }, "campaignId": { "description": "Required. The ID of the campaign to list assigned targeting options for.", "required": true, "pattern": "^[^/]+$", "type": "string", "location": "path", "format": "int64" }, "pageToken": { "type": "string", "description": "A token that lets the client fetch the next page of results. Typically, this is the value of next_page_token returned from the previous call to `BulkListCampaignAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR` on the same field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `targetingType` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions of targeting type TARGETING_TYPE_LANGUAGE or TARGETING_TYPE_GENDER `targetingType=\"TARGETING_TYPE_LANGUAGE\" OR targetingType=\"TARGETING_TYPE_GENDER\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters." }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `targetingType` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `targetingType desc`.", "location": "query" }, "pageSize": { "type": "integer", "description": "Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query" } }, "description": "Lists assigned targeting options of a campaign across targeting types.", "id": "displayvideo.advertisers.campaigns.bulkListCampaignAssignedTargetingOptions", "flatPath": "v1/advertisers/{advertisersId}/campaigns/{campaignsId}:bulkListCampaignAssignedTargetingOptions" } } }, "invoices": { "methods": { "lookupInvoiceCurrency": { "id": "displayvideo.advertisers.invoices.lookupInvoiceCurrency", "flatPath": "v1/advertisers/{advertisersId}/invoices:lookupInvoiceCurrency", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ], "parameters": { "invoiceMonth": { "type": "string", "description": "Month for which the currency is needed. If not set, the request will return existing currency settings for the advertiser. Must be in the format YYYYMM.", "location": "query" }, "advertiserId": { "required": true, "format": "int64", "description": "Required. The ID of the advertiser to lookup currency for.", "location": "path", "type": "string", "pattern": "^[^/]+$" } }, "description": "Retrieves the invoice currency used by an advertiser in a given month.", "path": "v1/advertisers/{+advertiserId}/invoices:lookupInvoiceCurrency", "parameterOrder": [ "advertiserId" ], "httpMethod": "GET", "response": { "$ref": "LookupInvoiceCurrencyResponse" } }, "list": { "response": { "$ref": "ListInvoicesResponse" }, "parameterOrder": [ "advertiserId" ], "httpMethod": "GET", "description": "Lists invoices posted for an advertiser in a given month. Invoices generated by billing profiles with a \"Partner\" invoice level are not retrievable through this method.", "id": "displayvideo.advertisers.invoices.list", "flatPath": "v1/advertisers/{advertisersId}/invoices", "path": "v1/advertisers/{+advertiserId}/invoices", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/display-video-mediaplanning" ], "parameters": { "loiSapinInvoiceType": { "enum": [ "LOI_SAPIN_INVOICE_TYPE_UNSPECIFIED", "LOI_SAPIN_INVOICE_TYPE_MEDIA", "LOI_SAPIN_INVOICE_TYPE_PLATFORM" ], "description": "Select type of invoice to retrieve for Loi Sapin advertisers. Only applicable to Loi Sapin advertisers. Will be ignored otherwise.", "location": "query", "type": "string", "enumDescriptions": [ "Value is not specified.", "Invoices with Media cost.", "Invoices with Platform fee." ] }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListInvoices` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "issueMonth": { "description": "The month to list the invoices for. If not set, the request will retrieve invoices for the previous month. Must be in the format YYYYMM.", "type": "string", "location": "query" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "type": "integer", "location": "query" }, "advertiserId": { "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser to list invoices for.", "required": true, "format": "int64" } } } } }, "targetingTypes": { "resources": { "assignedTargetingOptions": { "methods": { "list": { "path": "v1/advertisers/{+advertiserId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "response": { "$ref": "ListAdvertiserAssignedTargetingOptionsResponse" }, "httpMethod": "GET", "description": "Lists the targeting options assigned to an advertiser.", "id": "displayvideo.advertisers.targetingTypes.assignedTargetingOptions.list", "parameterOrder": [ "advertiserId", "targetingType" ], "parameters": { "advertiserId": { "format": "int64", "type": "string", "description": "Required. The ID of the advertiser.", "required": true, "location": "path", "pattern": "^[^/]+$" }, "targetingType": { "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "description": "Required. Identifies the type of assigned targeting options to list. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`", "location": "path", "type": "string", "required": true, "pattern": "^[^/]+$", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedTargetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `assignedTargetingOptionId desc`." }, "filter": { "location": "query", "type": "string", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedTargetingOptionId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOption with ID 123456 `assignedTargetingOptionId=\"123456\"` The length of this field should be no more than 500 characters." }, "pageSize": { "location": "query", "type": "integer", "description": "Requested page size. Must be between `1` and `5000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListAdvertiserAssignedTargetingOptions` method. If not specified, the first page of results will be returned." } }, "flatPath": "v1/advertisers/{advertisersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "description": "Assigns a targeting option to an advertiser. Returns the assigned targeting option if successful.", "request": { "$ref": "AssignedTargetingOption" }, "httpMethod": "POST", "flatPath": "v1/advertisers/{advertisersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "response": { "$ref": "AssignedTargetingOption" }, "parameters": { "advertiserId": { "location": "path", "description": "Required. The ID of the advertiser.", "pattern": "^[^/]+$", "format": "int64", "required": true, "type": "string" }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "type": "string", "required": true, "location": "path", "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`", "pattern": "^[^/]+$", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ] } }, "id": "displayvideo.advertisers.targetingTypes.assignedTargetingOptions.create", "parameterOrder": [ "advertiserId", "targetingType" ] }, "delete": { "path": "v1/advertisers/{+advertiserId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "parameters": { "assignedTargetingOptionId": { "location": "path", "pattern": "^[^/]+$", "description": "Required. The ID of the assigned targeting option to delete.", "required": true, "type": "string" }, "targetingType": { "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`", "location": "path", "required": true, "type": "string", "pattern": "^[^/]+$", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] }, "advertiserId": { "location": "path", "type": "string", "required": true, "format": "int64", "description": "Required. The ID of the advertiser.", "pattern": "^[^/]+$" } }, "id": "displayvideo.advertisers.targetingTypes.assignedTargetingOptions.delete", "flatPath": "v1/advertisers/{advertisersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "response": { "$ref": "Empty" }, "parameterOrder": [ "advertiserId", "targetingType", "assignedTargetingOptionId" ], "description": "Deletes an assigned targeting option from an advertiser.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "DELETE" }, "get": { "httpMethod": "GET", "parameters": { "advertiserId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the advertiser.", "format": "int64", "pattern": "^[^/]+$" }, "assignedTargetingOptionId": { "type": "string", "pattern": "^[^/]+$", "required": true, "location": "path", "description": "Required. An identifier unique to the targeting type in this advertiser that identifies the assigned targeting option being requested." }, "targetingType": { "pattern": "^[^/]+$", "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "location": "path", "type": "string", "required": true } }, "description": "Gets a single targeting option assigned to an advertiser.", "flatPath": "v1/advertisers/{advertisersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "id": "displayvideo.advertisers.targetingTypes.assignedTargetingOptions.get", "parameterOrder": [ "advertiserId", "targetingType", "assignedTargetingOptionId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "response": { "$ref": "AssignedTargetingOption" } } } } } }, "insertionOrders": { "methods": { "get": { "parameters": { "advertiserId": { "description": "Required. The ID of the advertiser this insertion order belongs to.", "format": "int64", "pattern": "^[^/]+$", "location": "path", "type": "string", "required": true }, "insertionOrderId": { "location": "path", "type": "string", "pattern": "^[^/]+$", "format": "int64", "description": "Required. The ID of the insertion order to fetch.", "required": true } }, "description": "Gets an insertion order. Returns error code `NOT_FOUND` if the insertion order does not exist.", "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}", "response": { "$ref": "InsertionOrder" }, "id": "displayvideo.advertisers.insertionOrders.get", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}", "parameterOrder": [ "advertiserId", "insertionOrderId" ] }, "patch": { "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}", "id": "displayvideo.advertisers.insertionOrders.patch", "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}", "response": { "$ref": "InsertionOrder" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "insertionOrderId": { "required": true, "pattern": "^[^/]+$", "description": "Output only. The unique ID of the insertion order. Assigned by the system.", "location": "path", "type": "string", "format": "int64" }, "advertiserId": { "location": "path", "type": "string", "description": "Output only. The unique ID of the advertiser the insertion order belongs to.", "pattern": "^[^/]+$", "format": "int64", "required": true }, "updateMask": { "description": "Required. The mask to control which fields to update.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "description": "Updates an existing insertion order. Returns the updated insertion order if successful.", "request": { "$ref": "InsertionOrder" }, "parameterOrder": [ "advertiserId", "insertionOrderId" ], "httpMethod": "PATCH" }, "create": { "description": "Creates a new insertion order. Returns the newly created insertion order if successful.", "httpMethod": "POST", "flatPath": "v1/advertisers/{advertisersId}/insertionOrders", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "InsertionOrder" }, "parameters": { "advertiserId": { "location": "path", "required": true, "description": "Output only. The unique ID of the advertiser the insertion order belongs to.", "type": "string", "pattern": "^[^/]+$", "format": "int64" } }, "parameterOrder": [ "advertiserId" ], "request": { "$ref": "InsertionOrder" }, "id": "displayvideo.advertisers.insertionOrders.create", "path": "v1/advertisers/{+advertiserId}/insertionOrders" }, "bulkListInsertionOrderAssignedTargetingOptions": { "id": "displayvideo.advertisers.insertionOrders.bulkListInsertionOrderAssignedTargetingOptions", "response": { "$ref": "BulkListInsertionOrderAssignedTargetingOptionsResponse" }, "httpMethod": "GET", "parameterOrder": [ "advertiserId", "insertionOrderId" ], "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}:bulkListInsertionOrderAssignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}:bulkListInsertionOrderAssignedTargetingOptions", "description": "Lists assigned targeting options of an insertion order across targeting types.", "parameters": { "insertionOrderId": { "description": "Required. The ID of the insertion order to list assigned targeting options for.", "location": "path", "pattern": "^[^/]+$", "format": "int64", "required": true, "type": "string" }, "filter": { "location": "query", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR` on the same field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `targetingType` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions of targeting type TARGETING_TYPE_PROXIMITY_LOCATION_LIST or TARGETING_TYPE_CHANNEL `targetingType=\"TARGETING_TYPE_PROXIMITY_LOCATION_LIST\" OR targetingType=\"TARGETING_TYPE_CHANNEL\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is `5000`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "location": "query" }, "orderBy": { "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `targetingType` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `targetingType desc`.", "type": "string" }, "pageToken": { "description": "A token that lets the client fetch the next page of results. Typically, this is the value of next_page_token returned from the previous call to `BulkListInsertionOrderAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "type": "string", "location": "query" }, "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser the insertion order belongs to.", "required": true, "type": "string", "location": "path" } } }, "list": { "flatPath": "v1/advertisers/{advertisersId}/insertionOrders", "description": "Lists insertion orders in an advertiser. The order is defined by the order_by parameter. If a filter by entity_status is not specified, insertion orders with `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "parameters": { "filter": { "location": "query", "type": "string", "description": "Allows filtering by insertion order properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `budget.budget_segments.date_range.end_date` must be LESS THAN (\u003c). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `updateTime` must be `GREATER THAN OR EQUAL TO (\u003e=)` or `LESS THAN OR EQUAL TO (\u003c=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operators used on all other fields must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `campaignId` - `displayName` - `entityStatus` - `budget.budget_segments.date_range.end_date` (input as YYYY-MM-DD) - `updateTime` (input in ISO 8601 format, or YYYY-MM-DDTHH:MM:SSZ) Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All insertion orders under a campaign: `campaignId=\"1234\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All `ENTITY_STATUS_ACTIVE` or `ENTITY_STATUS_PAUSED` insertion orders under an advertiser: `(entityStatus=\"ENTITY_STATUS_ACTIVE\" OR entityStatus=\"ENTITY_STATUS_PAUSED\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All insertion orders whose budget segments' dates end before March 28, 2019: `budget.budget_segments.date_range.end_date\u003c\"2019-03-28\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All insertion orders with an update time less than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003c=\"2020-11-04T18:54:47Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All insertion orders with an update time greater than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003e=\"2020-11-04T18:54:47Z\"` The length of this field should be no more than 500 characters." }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query", "type": "integer" }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"displayName\" (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"entityStatus\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"updateTime\" The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`." }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListInsertionOrders` method. If not specified, the first page of results will be returned." }, "advertiserId": { "description": "Required. The ID of the advertiser to list insertion orders for.", "type": "string", "required": true, "format": "int64", "location": "path", "pattern": "^[^/]+$" } }, "path": "v1/advertisers/{+advertiserId}/insertionOrders", "id": "displayvideo.advertisers.insertionOrders.list", "response": { "$ref": "ListInsertionOrdersResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId" ] }, "delete": { "description": "Deletes an insertion order. Returns error code `NOT_FOUND` if the insertion order does not exist. The insertion order should be archived first, i.e. set entity_status to `ENTITY_STATUS_ARCHIVED`, to be able to delete it.", "response": { "$ref": "Empty" }, "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "DELETE", "parameterOrder": [ "advertiserId", "insertionOrderId" ], "parameters": { "insertionOrderId": { "required": true, "format": "int64", "pattern": "^[^/]+$", "location": "path", "type": "string", "description": "The ID of the insertion order we need to delete." }, "advertiserId": { "description": "The ID of the advertiser this insertion order belongs to.", "required": true, "location": "path", "type": "string", "pattern": "^[^/]+$", "format": "int64" } }, "id": "displayvideo.advertisers.insertionOrders.delete", "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}" } }, "resources": { "targetingTypes": { "resources": { "assignedTargetingOptions": { "methods": { "get": { "description": "Gets a single targeting option assigned to an insertion order.", "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "parameters": { "assignedTargetingOptionId": { "pattern": "^[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. An identifier unique to the targeting type in this insertion order that identifies the assigned targeting option being requested." }, "insertionOrderId": { "type": "string", "location": "path", "description": "Required. The ID of the insertion order the assigned targeting option belongs to.", "format": "int64", "pattern": "^[^/]+$", "required": true }, "targetingType": { "required": true, "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Required. Identifies the type of this assigned targeting option." }, "advertiserId": { "required": true, "type": "string", "format": "int64", "location": "path", "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser the insertion order belongs to." } }, "parameterOrder": [ "advertiserId", "insertionOrderId", "targetingType", "assignedTargetingOptionId" ], "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.insertionOrders.targetingTypes.assignedTargetingOptions.get", "httpMethod": "GET", "response": { "$ref": "AssignedTargetingOption" } }, "list": { "description": "Lists the targeting options assigned to an insertion order.", "parameterOrder": [ "advertiserId", "insertionOrderId", "targetingType" ], "flatPath": "v1/advertisers/{advertisersId}/insertionOrders/{insertionOrdersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "httpMethod": "GET", "path": "v1/advertisers/{+advertiserId}/insertionOrders/{+insertionOrderId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.insertionOrders.targetingTypes.assignedTargetingOptions.list", "response": { "$ref": "ListInsertionOrderAssignedTargetingOptionsResponse" }, "parameters": { "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedTargetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `assignedTargetingOptionId desc`.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedTargetingOptionId` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with ID 1 or 2 `assignedTargetingOptionId=\"1\" OR assignedTargetingOptionId=\"2\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters." }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListInsertionOrderAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "type": "string", "location": "query" }, "insertionOrderId": { "pattern": "^[^/]+$", "type": "string", "required": true, "format": "int64", "location": "path", "description": "Required. The ID of the insertion order to list assigned targeting options for." }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "required": true, "location": "path", "pattern": "^[^/]+$", "description": "Required. Identifies the type of assigned targeting options to list.", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string" }, "advertiserId": { "required": true, "description": "Required. The ID of the advertiser the insertion order belongs to.", "type": "string", "pattern": "^[^/]+$", "location": "path", "format": "int64" }, "pageSize": { "description": "Requested page size. Must be between `1` and `5000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "location": "query", "format": "int32", "type": "integer" } } } } } } } } }, "lineItems": { "methods": { "generateDefault": { "httpMethod": "POST", "response": { "$ref": "LineItem" }, "parameters": { "advertiserId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "Required. The ID of the advertiser this line item belongs to.", "pattern": "^[^/]+$" } }, "flatPath": "v1/advertisers/{advertisersId}/lineItems:generateDefault", "description": "Creates a new line item with settings (including targeting) inherited from the insertion order and an `ENTITY_STATUS_DRAFT` entity_status. Returns the newly created line item if successful. There are default values based on the three fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The insertion order's insertion_order_type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The insertion order's automation_type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The given line_item_type", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId" ], "request": { "$ref": "GenerateDefaultLineItemRequest" }, "path": "v1/advertisers/{+advertiserId}/lineItems:generateDefault", "id": "displayvideo.advertisers.lineItems.generateDefault" }, "list": { "parameters": { "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `entityStatus` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `flight.dateRange.endDate` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `updateTime` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by line item properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `flight.dateRange.endDate` must be LESS THAN (\u003c). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `updateTime` must be `GREATER THAN OR EQUAL TO (\u003e=)` or `LESS THAN OR EQUAL TO (\u003c=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `warningMessages` must be `HAS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operators used on all other fields must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported properties: - `campaignId` - `displayName` - `insertionOrderId` - `entityStatus` - `lineItemId` - `lineItemType` - `flight.dateRange.endDate` (input formatted as YYYY-MM-DD) - `warningMessages` - `flight.triggerId` - `updateTime` (input in ISO 8601 format, or YYYY-MM-DDTHH:MM:SSZ) - `targetedChannelId` - `targetedNegativeKeywordListId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items under an insertion order: `insertionOrderId=\"1234\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All `ENTITY_STATUS_ACTIVE` or `ENTITY_STATUS_PAUSED` and `LINE_ITEM_TYPE_DISPLAY_DEFAULT` line items under an advertiser: `(entityStatus=\"ENTITY_STATUS_ACTIVE\" OR entityStatus=\"ENTITY_STATUS_PAUSED\") AND lineItemType=\"LINE_ITEM_TYPE_DISPLAY_DEFAULT\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items whose flight dates end before March 28, 2019: `flight.dateRange.endDate\u003c\"2019-03-28\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items that have `NO_VALID_CREATIVE` in `warningMessages`: `warningMessages:\"NO_VALID_CREATIVE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items with an update time less than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003c=\"2020-11-04T18:54:47Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items with an update time greater than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003e=\"2020-11-04T18:54:47Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All line items that are using both the specified channel and specified negative keyword list in their targeting: `targetedNegativeKeywordListId=789 AND targetedChannelId=12345` The length of this field should be no more than 500 characters." }, "advertiserId": { "type": "string", "description": "Required. The ID of the advertiser to list line items for.", "required": true, "format": "int64", "location": "path", "pattern": "^[^/]+$" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListLineItems` method. If not specified, the first page of results will be returned." } }, "flatPath": "v1/advertisers/{advertisersId}/lineItems", "response": { "$ref": "ListLineItemsResponse" }, "id": "displayvideo.advertisers.lineItems.list", "description": "Lists line items in an advertiser. The order is defined by the order_by parameter. If a filter by entity_status is not specified, line items with `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId" ], "path": "v1/advertisers/{+advertiserId}/lineItems" }, "patch": { "description": "Updates an existing line item. Returns the updated line item if successful. Requests to this endpoint cannot be made concurrently with the following requests updating the same line item: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BulkEditLineItemAssignedTargetingOptions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UpdateLineItem LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateLineItemAssignedTargetingOption LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DeleteLineItemAssignedTargetingOption", "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}", "parameterOrder": [ "advertiserId", "lineItemId" ], "parameters": { "lineItemId": { "required": true, "description": "Output only. The unique ID of the line item. Assigned by the system.", "location": "path", "format": "int64", "pattern": "^[^/]+$", "type": "string" }, "updateMask": { "description": "Required. The mask to control which fields to update.", "format": "google-fieldmask", "location": "query", "type": "string" }, "advertiserId": { "location": "path", "pattern": "^[^/]+$", "format": "int64", "description": "Output only. The unique ID of the advertiser the line item belongs to.", "type": "string", "required": true } }, "request": { "$ref": "LineItem" }, "response": { "$ref": "LineItem" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "PATCH", "id": "displayvideo.advertisers.lineItems.patch", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}" }, "bulkEditLineItemAssignedTargetingOptions": { "id": "displayvideo.advertisers.lineItems.bulkEditLineItemAssignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}:bulkEditLineItemAssignedTargetingOptions", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}:bulkEditLineItemAssignedTargetingOptions", "request": { "$ref": "BulkEditLineItemAssignedTargetingOptionsRequest" }, "parameterOrder": [ "advertiserId", "lineItemId" ], "parameters": { "advertiserId": { "description": "Required. The ID of the advertiser the line item belongs to.", "type": "string", "location": "path", "pattern": "^[^/]+$", "required": true, "format": "int64" }, "lineItemId": { "required": true, "type": "string", "description": "Required. The ID of the line item the assigned targeting option will belong to.", "format": "int64", "location": "path", "pattern": "^[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "BulkEditLineItemAssignedTargetingOptionsResponse" }, "description": "Bulk edits targeting options under a single line item. The operation will delete the assigned targeting options provided in BulkEditLineItemAssignedTargetingOptionsRequest.delete_requests and then create the assigned targeting options provided in BulkEditLineItemAssignedTargetingOptionsRequest.create_requests. Requests to this endpoint cannot be made concurrently with the following requests updating the same line item: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BulkEditLineItemAssignedTargetingOptions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UpdateLineItem LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateLineItemAssignedTargetingOption LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DeleteLineItemAssignedTargetingOption" }, "create": { "description": "Creates a new line item. Returns the newly created line item if successful.", "response": { "$ref": "LineItem" }, "request": { "$ref": "LineItem" }, "parameterOrder": [ "advertiserId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers/{advertisersId}/lineItems", "parameters": { "advertiserId": { "required": true, "description": "Output only. The unique ID of the advertiser the line item belongs to.", "type": "string", "location": "path", "format": "int64", "pattern": "^[^/]+$" } }, "id": "displayvideo.advertisers.lineItems.create", "httpMethod": "POST", "path": "v1/advertisers/{+advertiserId}/lineItems" }, "bulkListLineItemAssignedTargetingOptions": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}:bulkListLineItemAssignedTargetingOptions", "parameterOrder": [ "advertiserId", "lineItemId" ], "httpMethod": "GET", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}:bulkListLineItemAssignedTargetingOptions", "id": "displayvideo.advertisers.lineItems.bulkListLineItemAssignedTargetingOptions", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is '5000'. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." }, "pageToken": { "type": "string", "location": "query", "description": "A token that lets the client fetch the next page of results. Typically, this is the value of next_page_token returned from the previous call to `BulkListLineItemAssignedTargetingOptions` method. If not specified, the first page of results will be returned." }, "lineItemId": { "required": true, "format": "int64", "pattern": "^[^/]+$", "location": "path", "type": "string", "description": "Required. The ID of the line item to list assigned targeting options for." }, "filter": { "type": "string", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR` on the same field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `targetingType` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions of targeting type TARGETING_TYPE_PROXIMITY_LOCATION_LIST or TARGETING_TYPE_CHANNEL `targetingType=\"TARGETING_TYPE_PROXIMITY_LOCATION_LIST\" OR targetingType=\"TARGETING_TYPE_CHANNEL\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters.", "location": "query" }, "advertiserId": { "format": "int64", "type": "string", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the advertiser the line item belongs to.", "location": "path" }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `targetingType` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `targetingType desc`." } }, "response": { "$ref": "BulkListLineItemAssignedTargetingOptionsResponse" }, "description": "Lists assigned targeting options of a line item across targeting types." }, "get": { "description": "Gets a line item.", "httpMethod": "GET", "id": "displayvideo.advertisers.lineItems.get", "response": { "$ref": "LineItem" }, "parameterOrder": [ "advertiserId", "lineItemId" ], "parameters": { "advertiserId": { "location": "path", "type": "string", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the advertiser this line item belongs to.", "required": true }, "lineItemId": { "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Required. The ID of the line item to fetch.", "format": "int64", "required": true } }, "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}", "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "lineItemId" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameters": { "lineItemId": { "pattern": "^[^/]+$", "type": "string", "required": true, "description": "The ID of the line item we need to fetch.", "location": "path", "format": "int64" }, "advertiserId": { "required": true, "location": "path", "type": "string", "description": "The ID of the advertiser this line item belongs to.", "pattern": "^[^/]+$", "format": "int64" } }, "id": "displayvideo.advertisers.lineItems.delete", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}", "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}", "description": "Deletes a line item. Returns error code `NOT_FOUND` if the line item does not exist. The line item should be archived first, i.e. set entity_status to `ENTITY_STATUS_ARCHIVED`, to be able to delete it." } }, "resources": { "targetingTypes": { "resources": { "assignedTargetingOptions": { "methods": { "list": { "parameters": { "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListLineItemAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "type": "string", "location": "query" }, "advertiserId": { "description": "Required. The ID of the advertiser the line item belongs to.", "location": "path", "pattern": "^[^/]+$", "format": "int64", "required": true, "type": "string" }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "pattern": "^[^/]+$", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string", "required": true, "description": "Required. Identifies the type of assigned targeting options to list.", "location": "path" }, "filter": { "type": "string", "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedTargetingOptionId` - `inheritance` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with ID 1 or 2 `assignedTargetingOptionId=\"1\" OR assignedTargetingOptionId=\"2\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOptions with inheritance status of NOT_INHERITED or INHERITED_FROM_PARTNER `inheritance=\"NOT_INHERITED\" OR inheritance=\"INHERITED_FROM_PARTNER\"` The length of this field should be no more than 500 characters.", "location": "query" }, "lineItemId": { "type": "string", "location": "path", "description": "Required. The ID of the line item to list assigned targeting options for.", "pattern": "^[^/]+$", "format": "int64", "required": true }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedTargetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `assignedTargetingOptionId desc`.", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "Requested page size. Must be between `1` and `5000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer" } }, "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "response": { "$ref": "ListLineItemAssignedTargetingOptionsResponse" }, "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "parameterOrder": [ "advertiserId", "lineItemId", "targetingType" ], "description": "Lists the targeting options assigned to a line item.", "id": "displayvideo.advertisers.lineItems.targetingTypes.assignedTargetingOptions.list" }, "delete": { "id": "displayvideo.advertisers.lineItems.targetingTypes.assignedTargetingOptions.delete", "parameterOrder": [ "advertiserId", "lineItemId", "targetingType", "assignedTargetingOptionId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "description": "Deletes an assigned targeting option from a line item. Requests to this endpoint cannot be made concurrently with the following requests updating the same line item: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BulkEditLineItemAssignedTargetingOptions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UpdateLineItem LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateLineItemAssignedTargetingOption LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DeleteLineItemAssignedTargetingOption", "httpMethod": "DELETE", "parameters": { "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "pattern": "^[^/]+$", "location": "path", "required": true, "description": "Required. Identifies the type of this assigned targeting option.", "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ] }, "advertiserId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the advertiser the line item belongs to.", "format": "int64", "pattern": "^[^/]+$" }, "assignedTargetingOptionId": { "pattern": "^[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The ID of the assigned targeting option to delete." }, "lineItemId": { "description": "Required. The ID of the line item the assigned targeting option belongs to.", "location": "path", "type": "string", "pattern": "^[^/]+$", "format": "int64", "required": true } }, "response": { "$ref": "Empty" } }, "get": { "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "description": "Gets a single targeting option assigned to a line item.", "parameters": { "lineItemId": { "location": "path", "format": "int64", "required": true, "description": "Required. The ID of the line item the assigned targeting option belongs to.", "type": "string", "pattern": "^[^/]+$" }, "assignedTargetingOptionId": { "pattern": "^[^/]+$", "required": true, "description": "Required. An identifier unique to the targeting type in this line item that identifies the assigned targeting option being requested.", "type": "string", "location": "path" }, "advertiserId": { "pattern": "^[^/]+$", "required": true, "format": "int64", "location": "path", "type": "string", "description": "Required. The ID of the advertiser the line item belongs to." }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "location": "path", "description": "Required. Identifies the type of this assigned targeting option.", "pattern": "^[^/]+$", "type": "string", "required": true, "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ] } }, "response": { "$ref": "AssignedTargetingOption" }, "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "parameterOrder": [ "advertiserId", "lineItemId", "targetingType", "assignedTargetingOptionId" ], "id": "displayvideo.advertisers.lineItems.targetingTypes.assignedTargetingOptions.get" }, "create": { "path": "v1/advertisers/{+advertiserId}/lineItems/{+lineItemId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.lineItems.targetingTypes.assignedTargetingOptions.create", "description": "Assigns a targeting option to a line item. Returns the assigned targeting option if successful. Requests to this endpoint cannot be made concurrently with the following requests updating the same line item: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BulkEditLineItemAssignedTargetingOptions LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UpdateLineItem LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CreateLineItemAssignedTargetingOption LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DeleteLineItemAssignedTargetingOption", "httpMethod": "POST", "flatPath": "v1/advertisers/{advertisersId}/lineItems/{lineItemsId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "parameterOrder": [ "advertiserId", "lineItemId", "targetingType" ], "request": { "$ref": "AssignedTargetingOption" }, "parameters": { "lineItemId": { "format": "int64", "description": "Required. The ID of the line item the assigned targeting option will belong to.", "type": "string", "pattern": "^[^/]+$", "location": "path", "required": true }, "advertiserId": { "required": true, "type": "string", "location": "path", "pattern": "^[^/]+$", "format": "int64", "description": "Required. The ID of the advertiser the line item belongs to." }, "targetingType": { "required": true, "location": "path", "type": "string", "pattern": "^[^/]+$", "description": "Required. Identifies the type of this assigned targeting option.", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] } }, "response": { "$ref": "AssignedTargetingOption" } } } } } } } }, "assets": { "methods": { "upload": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/v1/advertisers/{+advertiserId}/assets" } }, "accept": [ "*/*" ] }, "request": { "$ref": "CreateAssetRequest" }, "httpMethod": "POST", "supportsMediaUpload": true, "parameterOrder": [ "advertiserId" ], "description": "Uploads an asset. Returns the ID of the newly uploaded asset if successful. The asset file size should be no more than 10 MB for images, 200 MB for ZIP files, and 1 GB for videos. Must be used within the [multipart media upload process](/display-video/api/guides/how-tos/upload#multipart). Examples using provided client libraries can be found in our [Creating Creatives guide](/display-video/api/guides/creating-creatives/overview#upload_an_asset).", "flatPath": "v1/advertisers/{advertisersId}/assets", "id": "displayvideo.advertisers.assets.upload", "path": "v1/advertisers/{+advertiserId}/assets", "parameters": { "advertiserId": { "required": true, "pattern": "^[^/]+$", "type": "string", "location": "path", "description": "Required. The ID of the advertiser this asset belongs to.", "format": "int64" } }, "response": { "$ref": "CreateAssetResponse" } } } }, "negativeKeywordLists": { "methods": { "get": { "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists/{negativeKeywordListsId}", "id": "displayvideo.advertisers.negativeKeywordLists.get", "description": "Gets a negative keyword list given an advertiser ID and a negative keyword list ID.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "parameters": { "negativeKeywordListId": { "type": "string", "description": "Required. The ID of the negative keyword list to fetch.", "pattern": "^[^/]+$", "format": "int64", "required": true, "location": "path" }, "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The ID of the DV360 advertiser to which the fetched negative keyword list belongs." } }, "httpMethod": "GET", "response": { "$ref": "NegativeKeywordList" }, "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists/{+negativeKeywordListId}" }, "create": { "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists", "response": { "$ref": "NegativeKeywordList" }, "parameters": { "advertiserId": { "type": "string", "description": "Required. The ID of the DV360 advertiser to which the negative keyword list will belong.", "pattern": "^[^/]+$", "format": "int64", "location": "path", "required": true } }, "description": "Creates a new negative keyword list. Returns the newly created negative keyword list if successful.", "parameterOrder": [ "advertiserId" ], "request": { "$ref": "NegativeKeywordList" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.negativeKeywordLists.create", "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists", "httpMethod": "POST" }, "patch": { "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists/{negativeKeywordListId}", "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "description": "Updates a negative keyword list. Returns the updated negative keyword list if successful.", "httpMethod": "PATCH", "parameters": { "advertiserId": { "format": "int64", "pattern": "^[^/]+$", "required": true, "type": "string", "description": "Required. The ID of the DV360 advertiser to which the negative keyword list belongs.", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. The mask to control which fields to update." }, "negativeKeywordListId": { "required": true, "location": "path", "format": "int64", "description": "Output only. The unique ID of the negative keyword list. Assigned by the system.", "type": "string" } }, "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists/{negativeKeywordListId}", "request": { "$ref": "NegativeKeywordList" }, "id": "displayvideo.advertisers.negativeKeywordLists.patch", "response": { "$ref": "NegativeKeywordList" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "parameters": { "advertiserId": { "description": "Required. The ID of the DV360 advertiser to which the negative keyword list belongs.", "location": "path", "type": "string", "format": "int64", "required": true, "pattern": "^[^/]+$" }, "negativeKeywordListId": { "format": "int64", "description": "Required. The ID of the negative keyword list to delete.", "location": "path", "pattern": "^[^/]+$", "type": "string", "required": true } }, "id": "displayvideo.advertisers.negativeKeywordLists.delete", "httpMethod": "DELETE", "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists/{+negativeKeywordListId}", "response": { "$ref": "Empty" }, "description": "Deletes a negative keyword list given an advertiser ID and a negative keyword list ID.", "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists/{negativeKeywordListsId}" }, "list": { "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists", "id": "displayvideo.advertisers.negativeKeywordLists.list", "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists", "response": { "$ref": "ListNegativeKeywordListsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListNegativeKeywordLists` method. If not specified, the first page of results will be returned.", "type": "string", "location": "query" }, "advertiserId": { "description": "Required. The ID of the DV360 advertiser to which the fetched negative keyword lists belong.", "pattern": "^[^/]+$", "format": "int64", "location": "path", "required": true, "type": "string" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. Defaults to `100` if not set. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "type": "integer", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "advertiserId" ], "description": "Lists negative keyword lists based on a given advertiser id." } }, "resources": { "negativeKeywords": { "methods": { "replace": { "httpMethod": "POST", "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "parameters": { "advertiserId": { "location": "path", "format": "int64", "required": true, "type": "string", "description": "Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs." }, "negativeKeywordListId": { "format": "int64", "type": "string", "description": "Required. The ID of the parent negative keyword list to which the negative keywords belong.", "required": true, "location": "path", "pattern": "^[^/]+$" } }, "path": "v1/advertisers/{advertiserId}/negativeKeywordLists/{+negativeKeywordListId}/negativeKeywords:replace", "flatPath": "v1/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListsId}/negativeKeywords:replace", "request": { "$ref": "ReplaceNegativeKeywordsRequest" }, "description": "Replaces all negative keywords in a single negative keyword list. The operation will replace the keywords in a negative keyword list with keywords provided in ReplaceNegativeKeywordsRequest.new_negative_keywords.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "ReplaceNegativeKeywordsResponse" }, "id": "displayvideo.advertisers.negativeKeywordLists.negativeKeywords.replace" }, "delete": { "parameters": { "keywordValue": { "required": true, "type": "string", "location": "path", "pattern": "^[^/]+$", "description": "Required. The keyword value of the negative keyword to delete." }, "negativeKeywordListId": { "location": "path", "description": "Required. The ID of the parent negative keyword list to which the negative keyword belongs.", "pattern": "^[^/]+$", "type": "string", "required": true, "format": "int64" }, "advertiserId": { "format": "int64", "required": true, "description": "Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.", "location": "path", "type": "string" } }, "id": "displayvideo.advertisers.negativeKeywordLists.negativeKeywords.delete", "path": "v1/advertisers/{advertiserId}/negativeKeywordLists/{+negativeKeywordListId}/negativeKeywords/{+keywordValue}", "flatPath": "v1/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListsId}/negativeKeywords/{negativeKeywordsId}", "parameterOrder": [ "advertiserId", "negativeKeywordListId", "keywordValue" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Deletes a negative keyword from a negative keyword list.", "httpMethod": "DELETE", "response": { "$ref": "Empty" } }, "bulkEdit": { "response": { "$ref": "BulkEditNegativeKeywordsResponse" }, "parameters": { "negativeKeywordListId": { "pattern": "^[^/]+$", "description": "Required. The ID of the parent negative keyword list to which the negative keywords belong.", "location": "path", "type": "string", "required": true, "format": "int64" }, "advertiserId": { "type": "string", "location": "path", "description": "Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.", "format": "int64", "required": true } }, "request": { "$ref": "BulkEditNegativeKeywordsRequest" }, "description": "Bulk edits negative keywords in a single negative keyword list. The operation will delete the negative keywords provided in BulkEditNegativeKeywordsRequest.deleted_negative_keywords and then create the negative keywords provided in BulkEditNegativeKeywordsRequest.created_negative_keywords. This operation is guaranteed to be atomic and will never result in a partial success or partial failure.", "httpMethod": "POST", "path": "v1/advertisers/{advertiserId}/negativeKeywordLists/{+negativeKeywordListId}/negativeKeywords:bulkEdit", "id": "displayvideo.advertisers.negativeKeywordLists.negativeKeywords.bulkEdit", "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "flatPath": "v1/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListsId}/negativeKeywords:bulkEdit", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "list": { "parameterOrder": [ "advertiserId", "negativeKeywordListId" ], "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Requested page size. Must be between `1` and `1000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListNegativeKeywords` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `keywordValue` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `keywordValue desc`." }, "negativeKeywordListId": { "location": "path", "type": "string", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the parent negative keyword list to which the requested negative keywords belong.", "format": "int64" }, "filter": { "type": "string", "description": "Allows filtering by negative keyword fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for negative keyword currently can only contain at most one LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `keywordValue` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All negative keywords for which the keyword value contains \"google\": `keywordValue : \"google\"`", "location": "query" }, "advertiserId": { "description": "Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.", "pattern": "^[^/]+$", "required": true, "location": "path", "format": "int64", "type": "string" } }, "description": "Lists negative keywords in a negative keyword list.", "httpMethod": "GET", "response": { "$ref": "ListNegativeKeywordsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/advertisers/{+advertiserId}/negativeKeywordLists/{+negativeKeywordListId}/negativeKeywords", "id": "displayvideo.advertisers.negativeKeywordLists.negativeKeywords.list", "flatPath": "v1/advertisers/{advertisersId}/negativeKeywordLists/{negativeKeywordListsId}/negativeKeywords" }, "create": { "description": "Creates a negative keyword in a negative keyword list.", "path": "v1/advertisers/{advertiserId}/negativeKeywordLists/{+negativeKeywordListId}/negativeKeywords", "id": "displayvideo.advertisers.negativeKeywordLists.negativeKeywords.create", "flatPath": "v1/advertisers/{advertiserId}/negativeKeywordLists/{negativeKeywordListsId}/negativeKeywords", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "POST", "parameters": { "advertiserId": { "type": "string", "description": "Required. The ID of the DV360 advertiser to which the parent negative keyword list belongs.", "format": "int64", "required": true, "location": "path" }, "negativeKeywordListId": { "format": "int64", "location": "path", "description": "Required. The ID of the parent negative keyword list in which the negative keyword will be created.", "required": true, "type": "string", "pattern": "^[^/]+$" } }, "request": { "$ref": "NegativeKeyword" }, "response": { "$ref": "NegativeKeyword" }, "parameterOrder": [ "advertiserId", "negativeKeywordListId" ] } } } } } }, "methods": { "list": { "path": "v1/advertisers", "flatPath": "v1/advertisers", "parameterOrder": [], "id": "displayvideo.advertisers.list", "httpMethod": "GET", "response": { "$ref": "ListAdvertisersResponse" }, "parameters": { "filter": { "type": "string", "description": "Allows filtering by advertiser properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator used on `updateTime` must be `GREATER THAN OR EQUAL TO (\u003e=)` or `LESS THAN OR EQUAL TO (\u003c=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `advertiserId` - `displayName` - `entityStatus` - `updateTime` (input in ISO 8601 format, or YYYY-MM-DDTHH:MM:SSZ) Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active advertisers under a partner: `entityStatus=\"ENTITY_STATUS_ACTIVE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All advertisers with an update time less than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003c=\"2020-11-04T18:54:47Z\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All advertisers with an update time greater than or equal to `2020-11-04T18:54:47Z (format of ISO 8601)`: `updateTime\u003e=\"2020-11-04T18:54:47Z\"` The length of this field should be no more than 500 characters.", "location": "query" }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `entityStatus` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `updateTime` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "location": "query" }, "partnerId": { "location": "query", "format": "int64", "type": "string", "description": "Required. The ID of the partner that the fetched advertisers should all belong to. The system only supports listing advertisers for one partner at a time." }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListAdvertisers` method. If not specified, the first page of results will be returned.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Lists advertisers that are accessible to the current user. The order is defined by the order_by parameter. A single partner_id is required. Cross-partner listing is not supported." }, "create": { "request": { "$ref": "Advertiser" }, "description": "Creates a new advertiser. Returns the newly created advertiser if successful. This method can take up to 180 seconds to complete.", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/advertisers", "httpMethod": "POST", "path": "v1/advertisers", "parameters": {}, "id": "displayvideo.advertisers.create", "response": { "$ref": "Advertiser" } }, "get": { "flatPath": "v1/advertisers/{advertisersId}", "path": "v1/advertisers/{+advertiserId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.get", "parameterOrder": [ "advertiserId" ], "response": { "$ref": "Advertiser" }, "description": "Gets an advertiser.", "parameters": { "advertiserId": { "description": "Required. The ID of the advertiser to fetch.", "pattern": "^[^/]+$", "format": "int64", "type": "string", "location": "path", "required": true } } }, "bulkListAdvertiserAssignedTargetingOptions": { "path": "v1/advertisers/{+advertiserId}:bulkListAdvertiserAssignedTargetingOptions", "parameterOrder": [ "advertiserId" ], "description": "Lists assigned targeting options of an advertiser across targeting types.", "response": { "$ref": "BulkListAdvertiserAssignedTargetingOptionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.advertisers.bulkListAdvertiserAssignedTargetingOptions", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A token that lets the client fetch the next page of results. Typically, this is the value of next_page_token returned from the previous call to `BulkListAdvertiserAssignedTargetingOptions` method. If not specified, the first page of results will be returned." }, "advertiserId": { "required": true, "description": "Required. The ID of the advertiser the line item belongs to.", "format": "int64", "location": "path", "type": "string", "pattern": "^[^/]+$" }, "filter": { "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`.. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `targetingType` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh targetingType with value TARGETING_TYPE_CHANNEL `targetingType=\"TARGETING_TYPE_CHANNEL\"` The length of this field should be no more than 500 characters.", "type": "string", "location": "query" }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `targetingType` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `targetingType desc`.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Requested page size. The size must be an integer between `1` and `5000`. If unspecified, the default is '5000'. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." } }, "flatPath": "v1/advertisers/{advertisersId}:bulkListAdvertiserAssignedTargetingOptions", "httpMethod": "GET" }, "delete": { "id": "displayvideo.advertisers.delete", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "Empty" }, "flatPath": "v1/advertisers/{advertisersId}", "parameters": { "advertiserId": { "pattern": "^[^/]+$", "required": true, "description": "The ID of the advertiser we need to delete.", "format": "int64", "location": "path", "type": "string" } }, "description": "Deletes an advertiser. Deleting an advertiser will delete all of its child resources, for example, campaigns, insertion orders and line items. A deleted advertiser cannot be recovered.", "parameterOrder": [ "advertiserId" ], "httpMethod": "DELETE", "path": "v1/advertisers/{+advertiserId}" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "advertiserId": { "location": "path", "description": "Output only. The unique ID of the advertiser. Assigned by the system.", "pattern": "^[^/]+$", "type": "string", "format": "int64", "required": true }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. The mask to control which fields to update." } }, "description": "Updates an existing advertiser. Returns the updated advertiser if successful.", "httpMethod": "PATCH", "id": "displayvideo.advertisers.patch", "flatPath": "v1/advertisers/{advertisersId}", "request": { "$ref": "Advertiser" }, "response": { "$ref": "Advertiser" }, "parameterOrder": [ "advertiserId" ], "path": "v1/advertisers/{+advertiserId}" }, "bulkEditAdvertiserAssignedTargetingOptions": { "path": "v1/advertisers/{+advertiserId}:bulkEditAdvertiserAssignedTargetingOptions", "flatPath": "v1/advertisers/{advertisersId}:bulkEditAdvertiserAssignedTargetingOptions", "parameters": { "advertiserId": { "description": "Required. The ID of the advertiser.", "type": "string", "location": "path", "format": "int64", "pattern": "^[^/]+$", "required": true } }, "parameterOrder": [ "advertiserId" ], "response": { "$ref": "BulkEditAdvertiserAssignedTargetingOptionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "BulkEditAdvertiserAssignedTargetingOptionsRequest" }, "httpMethod": "POST", "description": "Bulk edits targeting options under a single advertiser. The operation will delete the assigned targeting options provided in BulkEditAdvertiserAssignedTargetingOptionsRequest.delete_requests and then create the assigned targeting options provided in BulkEditAdvertiserAssignedTargetingOptionsRequest.create_requests .", "id": "displayvideo.advertisers.bulkEditAdvertiserAssignedTargetingOptions" }, "audit": { "flatPath": "v1/advertisers/{advertisersId}:audit", "response": { "$ref": "AuditAdvertiserResponse" }, "parameters": { "advertiserId": { "type": "string", "pattern": "^[^/]+$", "location": "path", "required": true, "description": "Required. The ID of the advertiser to audit.", "format": "int64" }, "readMask": { "description": "Optional. The specific fields to return. If no mask is specified, all fields in the response proto will be filled. Valid values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh usedLineItemsCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh usedInsertionOrdersCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh usedCampaignsCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh channelsCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh negativelyTargetedChannelsCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh negativeKeywordListsCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh adGroupCriteriaCount LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh campaignCriteriaCount", "location": "query", "type": "string", "format": "google-fieldmask" } }, "description": "Audits an advertiser. Returns the counts of used entities per resource type under the advertiser provided. Used entities count towards their respective resource limit. See https://support.google.com/displayvideo/answer/6071450.", "path": "v1/advertisers/{+advertiserId}:audit", "id": "displayvideo.advertisers.audit", "parameterOrder": [ "advertiserId" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ] } } }, "combinedAudiences": { "methods": { "list": { "id": "displayvideo.combinedAudiences.list", "parameterOrder": [], "httpMethod": "GET", "response": { "$ref": "ListCombinedAudiencesResponse" }, "description": "Lists combined audiences. The order is defined by the order_by parameter.", "parameters": { "filter": { "location": "query", "description": "Allows filtering by combined audience fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for combined audiences currently can only contain at most one restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All combined audiences for which the display name contains \"Google\": `displayName : \"Google\"`. The length of this field should be no more than 500 characters.", "type": "string" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCombinedAudiences` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "advertiserId": { "format": "int64", "location": "query", "type": "string", "description": "The ID of the advertiser that has access to the fetched combined audiences." }, "partnerId": { "type": "string", "format": "int64", "location": "query", "description": "The ID of the partner that has access to the fetched combined audiences." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `combinedAudienceId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`." } }, "flatPath": "v1/combinedAudiences", "path": "v1/combinedAudiences", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "get": { "id": "displayvideo.combinedAudiences.get", "httpMethod": "GET", "response": { "$ref": "CombinedAudience" }, "description": "Gets a combined audience.", "parameters": { "combinedAudienceId": { "description": "Required. The ID of the combined audience to fetch.", "required": true, "format": "int64", "location": "path", "pattern": "^[^/]+$", "type": "string" }, "partnerId": { "type": "string", "description": "The ID of the partner that has access to the fetched combined audience.", "format": "int64", "location": "query" }, "advertiserId": { "description": "The ID of the advertiser that has access to the fetched combined audience.", "location": "query", "format": "int64", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/combinedAudiences/{+combinedAudienceId}", "parameterOrder": [ "combinedAudienceId" ], "flatPath": "v1/combinedAudiences/{combinedAudiencesId}" } } }, "inventorySources": { "methods": { "get": { "id": "displayvideo.inventorySources.get", "description": "Gets an inventory source.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "InventorySource" }, "parameters": { "inventorySourceId": { "pattern": "^[^/]+$", "description": "Required. The ID of the inventory source to fetch.", "type": "string", "required": true, "location": "path", "format": "int64" }, "partnerId": { "type": "string", "location": "query", "description": "Required. The ID of the DV360 partner to which the fetched inventory source is permissioned.", "format": "int64" } }, "parameterOrder": [ "inventorySourceId" ], "httpMethod": "GET", "flatPath": "v1/inventorySources/{inventorySourcesId}", "path": "v1/inventorySources/{+inventorySourceId}" }, "create": { "request": { "$ref": "InventorySource" }, "flatPath": "v1/inventorySources", "description": "Creates a new inventory source. Returns the newly created inventory source if successful.", "response": { "$ref": "InventorySource" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/inventorySources", "id": "displayvideo.inventorySources.create", "parameters": { "partnerId": { "format": "int64", "description": "The ID of the partner that the request is being made within.", "location": "query", "type": "string" }, "advertiserId": { "type": "string", "description": "The ID of the advertiser that the request is being made within.", "location": "query", "format": "int64" } }, "parameterOrder": [] }, "patch": { "httpMethod": "PATCH", "path": "v1/inventorySources/{+inventorySourceId}", "id": "displayvideo.inventorySources.patch", "parameters": { "inventorySourceId": { "format": "int64", "description": "Output only. The unique ID of the inventory source. Assigned by the system.", "type": "string", "location": "path", "pattern": "^[^/]+$", "required": true }, "partnerId": { "type": "string", "description": "The ID of the partner that the request is being made within.", "format": "int64", "location": "query" }, "advertiserId": { "format": "int64", "location": "query", "type": "string", "description": "The ID of the advertiser that the request is being made within." }, "updateMask": { "format": "google-fieldmask", "description": "Required. The mask to control which fields to update.", "location": "query", "type": "string" } }, "request": { "$ref": "InventorySource" }, "description": "Updates an existing inventory source. Returns the updated inventory source if successful.", "response": { "$ref": "InventorySource" }, "flatPath": "v1/inventorySources/{inventorySourcesId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "inventorySourceId" ] }, "editInventorySourceReadWriteAccessors": { "id": "displayvideo.inventorySources.editInventorySourceReadWriteAccessors", "parameters": { "inventorySourceId": { "type": "string", "required": true, "location": "path", "format": "int64", "description": "Required. The ID of inventory source to update.", "pattern": "^[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/inventorySources/{inventorySourcesId}:editInventorySourceReadWriteAccessors", "path": "v1/inventorySources/{+inventorySourceId}:editInventorySourceReadWriteAccessors", "description": "Edits read/write accessors of an inventory source. Returns the updated read_write_accessors for the inventory source.", "parameterOrder": [ "inventorySourceId" ], "httpMethod": "POST", "response": { "$ref": "InventorySourceAccessors" }, "request": { "$ref": "EditInventorySourceReadWriteAccessorsRequest" } }, "list": { "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`." }, "pageToken": { "location": "query", "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListInventorySources` method. If not specified, the first page of results will be returned." }, "advertiserId": { "format": "int64", "location": "query", "description": "The ID of the advertiser that has access to the inventory source.", "type": "string" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "type": "integer", "location": "query", "format": "int32" }, "partnerId": { "type": "string", "location": "query", "description": "The ID of the partner that has access to the inventory source.", "format": "int64" }, "filter": { "description": "Allows filtering by inventory source properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `status.entityStatus` - `commitment` - `deliveryMethod` - `rateDetails.rateType` - `exchange` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active inventory sources: `status.entityStatus=\"ENTITY_STATUS_ACTIVE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Inventory sources belonging to Google Ad Manager or Rubicon exchanges: `exchange=\"EXCHANGE_GOOGLE_AD_MANAGER\" OR exchange=\"EXCHANGE_RUBICON\"` The length of this field should be no more than 500 characters.", "type": "string", "location": "query" } }, "response": { "$ref": "ListInventorySourcesResponse" }, "flatPath": "v1/inventorySources", "id": "displayvideo.inventorySources.list", "path": "v1/inventorySources", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Lists inventory sources that are accessible to the current user. The order is defined by the order_by parameter. If a filter by entity_status is not specified, inventory sources with entity status `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "httpMethod": "GET" } } }, "sdfdownloadtasks": { "methods": { "create": { "description": "Creates an SDF Download Task. Returns an Operation. An SDF Download Task is a long-running, asynchronous operation. The metadata type of this operation is SdfDownloadTaskMetadata. If the request is successful, the response type of the operation is SdfDownloadTask. The response will not include the download files, which must be retrieved with media.download. The state of operation can be retrieved with sdfdownloadtask.operations.get. Any errors can be found in the error.message. Note that error.details is expected to be empty.", "parameters": {}, "id": "displayvideo.sdfdownloadtasks.create", "httpMethod": "POST", "request": { "$ref": "CreateSdfDownloadTaskRequest" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "Operation" }, "flatPath": "v1/sdfdownloadtasks", "path": "v1/sdfdownloadtasks", "parameterOrder": [] } }, "resources": { "operations": { "methods": { "get": { "flatPath": "v1/sdfdownloadtasks/operations/{operationsId}", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "description": "Gets the latest state of an asynchronous SDF download task operation. Clients should poll this method at intervals of 30 seconds.", "parameters": { "name": { "required": true, "type": "string", "description": "The name of the operation resource.", "location": "path", "pattern": "^sdfdownloadtasks/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/doubleclickbidmanager" ], "path": "v1/{+name}", "id": "displayvideo.sdfdownloadtasks.operations.get", "httpMethod": "GET" } } } } }, "targetingTypes": { "resources": { "targetingOptions": { "methods": { "search": { "response": { "$ref": "SearchTargetingOptionsResponse" }, "parameterOrder": [ "targetingType" ], "parameters": { "targetingType": { "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "pattern": "^[^/]+$", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "location": "path", "description": "Required. The type of targeting options to retrieve. Accepted values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GEO_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_POI` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_BUSINESS_CHAIN`", "required": true } }, "description": "Searches for targeting options of a given type based on the given search terms.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.targetingTypes.targetingOptions.search", "flatPath": "v1/targetingTypes/{targetingTypesId}/targetingOptions:search", "httpMethod": "POST", "path": "v1/targetingTypes/{+targetingType}/targetingOptions:search", "request": { "$ref": "SearchTargetingOptionsRequest" } }, "list": { "parameterOrder": [ "targetingType" ], "flatPath": "v1/targetingTypes/{targetingTypesId}/targetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/targetingTypes/{+targetingType}/targetingOptions", "response": { "$ref": "ListTargetingOptionsResponse" }, "parameters": { "filter": { "description": "Allows filtering by targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `OR` logical operators. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be \"=\" (equal sign). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `carrierAndIspDetails.type` - `geoRegionDetails.geoRegionType` - `targetingOptionId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All `GEO REGION` targeting options that belong to sub type `GEO_REGION_TYPE_COUNTRY` or `GEO_REGION_TYPE_STATE`: `geoRegionDetails.geoRegionType=\"GEO_REGION_TYPE_COUNTRY\" OR geoRegionDetails.geoRegionType=\"GEO_REGION_TYPE_STATE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All `CARRIER AND ISP` targeting options that belong to sub type `CARRIER_AND_ISP_TYPE_CARRIER`: `carrierAndIspDetails.type=\"CARRIER_AND_ISP_TYPE_CARRIER\"`. The length of this field should be no more than 500 characters.", "location": "query", "type": "string" }, "targetingType": { "type": "string", "required": true, "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "pattern": "^[^/]+$", "location": "path", "description": "Required. The type of targeting option to be listed. Accepted values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_APP_CATEGORY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AGE_RANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GENDER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIDEO_PLAYER_SIZE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_USER_REWARDED_CONTENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_PARENTAL_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DEVICE_TYPE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_BROWSER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_HOUSEHOLD_INCOME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ON_SCREEN_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CARRIER_AND_ISP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OPERATING_SYSTEM` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DEVICE_MAKE_MODEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ENVIRONMENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CATEGORY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIEWABILITY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_LANGUAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GEO_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SUB_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_NATIVE_CONTENT_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID`" }, "advertiserId": { "type": "string", "format": "int64", "location": "query", "description": "Required. The Advertiser this request is being made in the context of." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified." }, "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListTargetingOptions` method. If not specified, the first page of results will be returned.", "type": "string" }, "orderBy": { "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `targetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `targetingOptionId desc`.", "type": "string" } }, "httpMethod": "GET", "id": "displayvideo.targetingTypes.targetingOptions.list", "description": "Lists targeting options of a given type." }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "targetingType", "targetingOptionId" ], "parameters": { "advertiserId": { "type": "string", "location": "query", "format": "int64", "description": "Required. The Advertiser this request is being made in the context of." }, "targetingOptionId": { "type": "string", "description": "Required. The ID of the of targeting option to retrieve.", "location": "path", "pattern": "^[^/]+$", "required": true }, "targetingType": { "pattern": "^[^/]+$", "required": true, "location": "path", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "description": "Required. The type of targeting option to retrieve. Accepted values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_APP_CATEGORY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AGE_RANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GENDER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIDEO_PLAYER_SIZE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_USER_REWARDED_CONTENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_PARENTAL_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_INSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DEVICE_TYPE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_BROWSER` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_HOUSEHOLD_INCOME` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ON_SCREEN_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CARRIER_AND_ISP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OPERATING_SYSTEM` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DEVICE_MAKE_MODEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_ENVIRONMENT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CATEGORY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_VIEWABILITY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_LANGUAGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_GEO_REGION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SUB_EXCHANGE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_NATIVE_CONTENT_POSITION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID`", "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ] } }, "flatPath": "v1/targetingTypes/{targetingTypesId}/targetingOptions/{targetingOptionsId}", "id": "displayvideo.targetingTypes.targetingOptions.get", "path": "v1/targetingTypes/{+targetingType}/targetingOptions/{+targetingOptionId}", "description": "Gets a single targeting option.", "response": { "$ref": "TargetingOption" } } } } } }, "floodlightGroups": { "methods": { "get": { "parameters": { "floodlightGroupId": { "required": true, "type": "string", "location": "path", "format": "int64", "description": "Required. The ID of the Floodlight group to fetch.", "pattern": "^[^/]+$" }, "partnerId": { "description": "Required. The partner context by which the Floodlight group is being accessed.", "format": "int64", "type": "string", "location": "query" } }, "id": "displayvideo.floodlightGroups.get", "description": "Gets a Floodlight group.", "path": "v1/floodlightGroups/{+floodlightGroupId}", "parameterOrder": [ "floodlightGroupId" ], "httpMethod": "GET", "flatPath": "v1/floodlightGroups/{floodlightGroupsId}", "response": { "$ref": "FloodlightGroup" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "patch": { "id": "displayvideo.floodlightGroups.patch", "httpMethod": "PATCH", "response": { "$ref": "FloodlightGroup" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "floodlightGroupId" ], "description": "Updates an existing Floodlight group. Returns the updated Floodlight group if successful.", "flatPath": "v1/floodlightGroups/{floodlightGroupId}", "parameters": { "partnerId": { "format": "int64", "location": "query", "description": "Required. The partner context by which the Floodlight group is being accessed.", "type": "string" }, "floodlightGroupId": { "format": "int64", "required": true, "description": "Output only. The unique ID of the Floodlight group. Assigned by the system.", "type": "string", "location": "path" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The mask to control which fields to update." } }, "path": "v1/floodlightGroups/{floodlightGroupId}", "request": { "$ref": "FloodlightGroup" } } } }, "guaranteedOrders": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.guaranteedOrders.list", "path": "v1/guaranteedOrders", "response": { "$ref": "ListGuaranteedOrdersResponse" }, "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified or greater than `100` will default to `100`." }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by guaranteed order properties. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `guaranteed_order_id` - `exchange` - `display_name` - `status.entityStatus` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active guaranteed orders: `status.entityStatus=\"ENTITY_STATUS_ACTIVE\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Guaranteed orders belonging to Google Ad Manager or Rubicon exchanges: `exchange=\"EXCHANGE_GOOGLE_AD_MANAGER\" OR exchange=\"EXCHANGE_RUBICON\"` The length of this field should be no more than 500 characters." }, "partnerId": { "location": "query", "format": "int64", "description": "The ID of the partner that has access to the guaranteed order.", "type": "string" }, "advertiserId": { "location": "query", "description": "The ID of the advertiser that has access to the guaranteed order.", "type": "string", "format": "int64" }, "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListGuaranteedOrders` method. If not specified, the first page of results will be returned.", "type": "string" } }, "httpMethod": "GET", "description": "Lists guaranteed orders that are accessible to the current user. The order is defined by the order_by parameter. If a filter by entity_status is not specified, guaranteed orders with entity status `ENTITY_STATUS_ARCHIVED` will not be included in the results.", "flatPath": "v1/guaranteedOrders", "parameterOrder": [] }, "editGuaranteedOrderReadAccessors": { "parameters": { "guaranteedOrderId": { "description": "Required. The ID of the guaranteed order to edit. The ID is of the format `{exchange}-{legacy_guaranteed_order_id}`", "type": "string", "pattern": "^[^/]+$", "location": "path", "required": true } }, "request": { "$ref": "EditGuaranteedOrderReadAccessorsRequest" }, "httpMethod": "POST", "parameterOrder": [ "guaranteedOrderId" ], "response": { "$ref": "EditGuaranteedOrderReadAccessorsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Edits read advertisers of a guaranteed order.", "id": "displayvideo.guaranteedOrders.editGuaranteedOrderReadAccessors", "path": "v1/guaranteedOrders/{+guaranteedOrderId}:editGuaranteedOrderReadAccessors", "flatPath": "v1/guaranteedOrders/{guaranteedOrdersId}:editGuaranteedOrderReadAccessors" }, "get": { "httpMethod": "GET", "path": "v1/guaranteedOrders/{+guaranteedOrderId}", "id": "displayvideo.guaranteedOrders.get", "description": "Gets a guaranteed order.", "parameters": { "partnerId": { "format": "int64", "type": "string", "location": "query", "description": "The ID of the partner that has access to the guaranteed order." }, "guaranteedOrderId": { "description": "Required. The ID of the guaranteed order to fetch. The ID is of the format `{exchange}-{legacy_guaranteed_order_id}`", "required": true, "pattern": "^[^/]+$", "location": "path", "type": "string" }, "advertiserId": { "type": "string", "location": "query", "description": "The ID of the advertiser that has access to the guaranteed order.", "format": "int64" } }, "parameterOrder": [ "guaranteedOrderId" ], "response": { "$ref": "GuaranteedOrder" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/guaranteedOrders/{guaranteedOrdersId}" }, "patch": { "parameters": { "guaranteedOrderId": { "pattern": "^[^/]+$", "description": "Output only. The unique identifier of the guaranteed order. The guaranteed order IDs have the format `{exchange}-{legacy_guaranteed_order_id}`.", "required": true, "type": "string", "location": "path" }, "partnerId": { "type": "string", "description": "The ID of the partner that the request is being made within.", "location": "query", "format": "int64" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The mask to control which fields to update.", "location": "query" }, "advertiserId": { "type": "string", "format": "int64", "location": "query", "description": "The ID of the advertiser that the request is being made within." } }, "parameterOrder": [ "guaranteedOrderId" ], "description": "Updates an existing guaranteed order. Returns the updated guaranteed order if successful.", "request": { "$ref": "GuaranteedOrder" }, "flatPath": "v1/guaranteedOrders/{guaranteedOrdersId}", "response": { "$ref": "GuaranteedOrder" }, "id": "displayvideo.guaranteedOrders.patch", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/guaranteedOrders/{+guaranteedOrderId}", "httpMethod": "PATCH" }, "create": { "path": "v1/guaranteedOrders", "parameters": { "advertiserId": { "format": "int64", "type": "string", "description": "The ID of the advertiser that the request is being made within.", "location": "query" }, "partnerId": { "type": "string", "location": "query", "description": "The ID of the partner that the request is being made within.", "format": "int64" } }, "response": { "$ref": "GuaranteedOrder" }, "parameterOrder": [], "id": "displayvideo.guaranteedOrders.create", "httpMethod": "POST", "description": "Creates a new guaranteed order. Returns the newly created guaranteed order if successful.", "flatPath": "v1/guaranteedOrders", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "GuaranteedOrder" } } } }, "users": { "methods": { "bulkEditAssignedUserRoles": { "id": "displayvideo.users.bulkEditAssignedUserRoles", "parameterOrder": [ "userId" ], "path": "v1/users/{+userId}:bulkEditAssignedUserRoles", "response": { "$ref": "BulkEditAssignedUserRolesResponse" }, "parameters": { "userId": { "type": "string", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the user to which the assigned user roles belong.", "format": "int64", "location": "path" } }, "flatPath": "v1/users/{usersId}:bulkEditAssignedUserRoles", "description": "Bulk edits user roles for a user. The operation will delete the assigned user roles provided in BulkEditAssignedUserRolesRequest.deletedAssignedUserRoles and then assign the user roles provided in BulkEditAssignedUserRolesRequest.createdAssignedUserRoles.", "request": { "$ref": "BulkEditAssignedUserRolesRequest" }, "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ], "httpMethod": "POST" }, "create": { "response": { "$ref": "User" }, "flatPath": "v1/users", "id": "displayvideo.users.create", "parameterOrder": [], "parameters": {}, "description": "Creates a new user. Returns the newly created user if successful.", "path": "v1/users", "request": { "$ref": "User" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ] }, "list": { "path": "v1/users", "parameterOrder": [], "description": "Lists users that are accessible to the current user. If two users have user roles on the same partner or advertiser, they can access each other.", "response": { "$ref": "ListUsersResponse" }, "flatPath": "v1/users", "id": "displayvideo.users.list", "parameters": { "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListUsers` method. If not specified, the first page of results will be returned.", "type": "string" }, "filter": { "type": "string", "description": "Allows filtering by user properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)` or `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)` for the following fields: - `displayName` - `email` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)` for the following fields: - `assignedUserRole.userRole` - `assignedUserRole.partnerId` - `assignedUserRole.advertiserId` - `assignedUserRole.entityType`: A synthetic field of AssignedUserRole used for filtering. Identifies the type of entity to which the user role is assigned. Valid values are `Partner` and `Advertiser`. - `assignedUserRole.parentPartnerId`: A synthetic field of AssignedUserRole used for filtering. Identifies the parent partner of the entity to which the user role is assigned.\" Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The user with displayName containing `foo`: `displayName:\"foo\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The user with email containing `bar`: `email:\"bar\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All users with standard user roles: `assignedUserRole.userRole=\"STANDARD\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All users with user roles for partner 123: `assignedUserRole.partnerId=\"123\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All users with user roles for advertiser 123: `assignedUserRole.advertiserId=\"123\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All users with partner level user roles: `entityType=\"PARTNER\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All users with user roles for partner 123 and advertisers under partner 123: `parentPartnerId=\"123\"` The length of this field should be no more than 500 characters.", "location": "query" }, "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "format": "int32", "location": "query", "type": "integer" }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "location": "query" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ] }, "patch": { "path": "v1/users/{+userId}", "description": "Updates an existing user. Returns the updated user if successful.", "httpMethod": "PATCH", "parameterOrder": [ "userId" ], "request": { "$ref": "User" }, "id": "displayvideo.users.patch", "flatPath": "v1/users/{usersId}", "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ], "response": { "$ref": "User" }, "parameters": { "updateMask": { "description": "Required. The mask to control which fields to update.", "format": "google-fieldmask", "type": "string", "location": "query" }, "userId": { "format": "int64", "required": true, "description": "Output only. The unique ID of the user. Assigned by the system.", "location": "path", "pattern": "^[^/]+$", "type": "string" } } }, "get": { "httpMethod": "GET", "description": "Gets a user.", "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ], "flatPath": "v1/users/{usersId}", "id": "displayvideo.users.get", "parameters": { "userId": { "location": "path", "format": "int64", "type": "string", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the user to fetch." } }, "response": { "$ref": "User" }, "parameterOrder": [ "userId" ], "path": "v1/users/{+userId}" }, "delete": { "parameters": { "userId": { "format": "int64", "type": "string", "description": "Required. The ID of the user to delete.", "location": "path", "required": true, "pattern": "^[^/]+$" } }, "id": "displayvideo.users.delete", "httpMethod": "DELETE", "parameterOrder": [ "userId" ], "description": "Deletes a user.", "path": "v1/users/{+userId}", "scopes": [ "https://www.googleapis.com/auth/display-video-user-management" ], "response": { "$ref": "Empty" }, "flatPath": "v1/users/{usersId}" } } }, "googleAudiences": { "methods": { "get": { "flatPath": "v1/googleAudiences/{googleAudiencesId}", "response": { "$ref": "GoogleAudience" }, "httpMethod": "GET", "parameters": { "googleAudienceId": { "required": true, "location": "path", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the Google audience to fetch.", "type": "string" }, "partnerId": { "format": "int64", "description": "The ID of the partner that has access to the fetched Google audience.", "location": "query", "type": "string" }, "advertiserId": { "location": "query", "type": "string", "description": "The ID of the advertiser that has access to the fetched Google audience.", "format": "int64" } }, "parameterOrder": [ "googleAudienceId" ], "id": "displayvideo.googleAudiences.get", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/googleAudiences/{+googleAudienceId}", "description": "Gets a Google audience." }, "list": { "id": "displayvideo.googleAudiences.list", "parameters": { "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `googleAudienceId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "location": "query" }, "advertiserId": { "type": "string", "description": "The ID of the advertiser that has access to the fetched Google audiences.", "format": "int64", "location": "query" }, "partnerId": { "format": "int64", "type": "string", "description": "The ID of the partner that has access to the fetched Google audiences.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListGoogleAudiences` method. If not specified, the first page of results will be returned." }, "filter": { "type": "string", "description": "Allows filtering by Google audience fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for Google audiences currently can only contain at most one restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All Google audiences for which the display name contains \"Google\": `displayName : \"Google\"`. The length of this field should be no more than 500 characters.", "location": "query" } }, "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "ListGoogleAudiencesResponse" }, "path": "v1/googleAudiences", "httpMethod": "GET", "flatPath": "v1/googleAudiences", "description": "Lists Google audiences. The order is defined by the order_by parameter." } } }, "customLists": { "methods": { "get": { "flatPath": "v1/customLists/{customListsId}", "path": "v1/customLists/{+customListId}", "httpMethod": "GET", "id": "displayvideo.customLists.get", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a custom list.", "parameters": { "customListId": { "pattern": "^[^/]+$", "location": "path", "type": "string", "required": true, "format": "int64", "description": "Required. The ID of the custom list to fetch." }, "advertiserId": { "location": "query", "description": "The ID of the DV360 advertiser that has access to the fetched custom lists.", "type": "string", "format": "int64" } }, "response": { "$ref": "CustomList" }, "parameterOrder": [ "customListId" ] }, "list": { "path": "v1/customLists", "parameters": { "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `customListId` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `displayName desc`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListCustomLists` method. If not specified, the first page of results will be returned." }, "filter": { "location": "query", "type": "string", "description": "Allows filtering by custom list fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for custom lists currently can only contain at most one restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All custom lists for which the display name contains \"Google\": `displayName : \"Google\"`. The length of this field should be no more than 500 characters." }, "advertiserId": { "location": "query", "description": "The ID of the DV360 advertiser that has access to the fetched custom lists.", "type": "string", "format": "int64" }, "pageSize": { "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "type": "integer" } }, "parameterOrder": [], "response": { "$ref": "ListCustomListsResponse" }, "flatPath": "v1/customLists", "id": "displayvideo.customLists.list", "description": "Lists custom lists. The order is defined by the order_by parameter.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET" } } }, "media": { "methods": { "download": { "parameterOrder": [ "resourceName" ], "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/doubleclickbidmanager" ], "id": "displayvideo.media.download", "supportsMediaDownload": true, "flatPath": "download/{downloadId}", "description": "Downloads media. Download is supported on the URI `/download/{resource_name=**}?alt=media.` **Note**: Download requests will not be successful without including `alt=media` query string.", "response": { "$ref": "GoogleBytestreamMedia" }, "path": "download/{+resourceName}", "httpMethod": "GET", "parameters": { "resourceName": { "description": "Name of the media that is being downloaded. See ReadRequest.resource_name.", "pattern": "^.*$", "required": true, "location": "path", "type": "string" } } }, "upload": { "parameterOrder": [ "resourceName" ], "description": "Uploads media. Upload is supported on the URI `/upload/media/{resource_name=**}?upload_type=media.` **Note**: Upload requests will not be successful without including `upload_type=media` query string.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/display-video", "https://www.googleapis.com/auth/doubleclickbidmanager" ], "parameters": { "resourceName": { "type": "string", "pattern": "^.*$", "location": "path", "required": true, "description": "Name of the media that is being downloaded. See ReadRequest.resource_name." } }, "path": "media/{+resourceName}", "id": "displayvideo.media.upload", "request": { "$ref": "GoogleBytestreamMedia" }, "flatPath": "media/{mediaId}", "mediaUpload": { "accept": [ "*/*" ], "protocols": { "simple": { "multipart": true, "path": "/upload/media/{+resourceName}" } } }, "supportsMediaUpload": true, "response": { "$ref": "GoogleBytestreamMedia" } } } }, "partners": { "methods": { "bulkEditPartnerAssignedTargetingOptions": { "parameters": { "partnerId": { "location": "path", "required": true, "type": "string", "format": "int64", "description": "Required. The ID of the partner.", "pattern": "^[^/]+$" } }, "request": { "$ref": "BulkEditPartnerAssignedTargetingOptionsRequest" }, "httpMethod": "POST", "parameterOrder": [ "partnerId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "BulkEditPartnerAssignedTargetingOptionsResponse" }, "path": "v1/partners/{+partnerId}:bulkEditPartnerAssignedTargetingOptions", "id": "displayvideo.partners.bulkEditPartnerAssignedTargetingOptions", "description": "Bulk edits targeting options under a single partner. The operation will delete the assigned targeting options provided in BulkEditPartnerAssignedTargetingOptionsRequest.deleteRequests and then create the assigned targeting options provided in BulkEditPartnerAssignedTargetingOptionsRequest.createRequests .", "flatPath": "v1/partners/{partnersId}:bulkEditPartnerAssignedTargetingOptions" }, "get": { "path": "v1/partners/{+partnerId}", "id": "displayvideo.partners.get", "parameterOrder": [ "partnerId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/partners/{partnersId}", "httpMethod": "GET", "parameters": { "partnerId": { "required": true, "pattern": "^[^/]+$", "location": "path", "type": "string", "format": "int64", "description": "Required. The ID of the partner to fetch." } }, "response": { "$ref": "Partner" }, "description": "Gets a partner." }, "list": { "path": "v1/partners", "parameters": { "filter": { "description": "Allows filtering by partner properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `entityStatus` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All active partners: `entityStatus=\"ENTITY_STATUS_ACTIVE\"` The length of this field should be no more than 500 characters.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "type": "string" }, "pageToken": { "location": "query", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListPartners` method. If not specified, the first page of results will be returned.", "type": "string" }, "pageSize": { "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "format": "int32", "location": "query" } }, "parameterOrder": [], "httpMethod": "GET", "id": "displayvideo.partners.list", "flatPath": "v1/partners", "response": { "$ref": "ListPartnersResponse" }, "description": "Lists partners that are accessible to the current user. The order is defined by the order_by parameter.", "scopes": [ "https://www.googleapis.com/auth/display-video" ] } }, "resources": { "channels": { "methods": { "patch": { "flatPath": "v1/partners/{partnersId}/channels/{channelId}", "response": { "$ref": "Channel" }, "request": { "$ref": "Channel" }, "id": "displayvideo.partners.channels.patch", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "PATCH", "parameterOrder": [ "partnerId", "channelId" ], "path": "v1/partners/{+partnerId}/channels/{channelId}", "description": "Updates a channel. Returns the updated channel if successful.", "parameters": { "partnerId": { "format": "int64", "pattern": "^[^/]+$", "description": "The ID of the partner that owns the created channel.", "type": "string", "location": "path", "required": true }, "advertiserId": { "description": "The ID of the advertiser that owns the created channel.", "format": "int64", "type": "string", "location": "query" }, "channelId": { "type": "string", "required": true, "location": "path", "description": "Output only. The unique ID of the channel. Assigned by the system.", "format": "int64" }, "updateMask": { "description": "Required. The mask to control which fields to update.", "type": "string", "format": "google-fieldmask", "location": "query" } } }, "create": { "httpMethod": "POST", "flatPath": "v1/partners/{partnersId}/channels", "path": "v1/partners/{+partnerId}/channels", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "Channel" }, "description": "Creates a new channel. Returns the newly created channel if successful.", "parameters": { "partnerId": { "description": "The ID of the partner that owns the created channel.", "location": "path", "type": "string", "required": true, "pattern": "^[^/]+$", "format": "int64" }, "advertiserId": { "format": "int64", "type": "string", "description": "The ID of the advertiser that owns the created channel.", "location": "query" } }, "response": { "$ref": "Channel" }, "id": "displayvideo.partners.channels.create", "parameterOrder": [ "partnerId" ] }, "get": { "flatPath": "v1/partners/{partnersId}/channels/{channelsId}", "description": "Gets a channel for a partner or advertiser.", "response": { "$ref": "Channel" }, "id": "displayvideo.partners.channels.get", "httpMethod": "GET", "parameters": { "channelId": { "location": "path", "format": "int64", "type": "string", "pattern": "^[^/]+$", "description": "Required. The ID of the channel to fetch.", "required": true }, "advertiserId": { "format": "int64", "type": "string", "description": "The ID of the advertiser that owns the fetched channel.", "location": "query" }, "partnerId": { "format": "int64", "location": "path", "required": true, "pattern": "^[^/]+$", "type": "string", "description": "The ID of the partner that owns the fetched channel." } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "partnerId", "channelId" ], "path": "v1/partners/{+partnerId}/channels/{+channelId}" }, "list": { "path": "v1/partners/{+partnerId}/channels", "flatPath": "v1/partners/{partnersId}/channels", "id": "displayvideo.partners.channels.list", "parameterOrder": [ "partnerId" ], "httpMethod": "GET", "description": "Lists channels for a partner or advertiser.", "response": { "$ref": "ListChannelsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "partnerId": { "description": "The ID of the partner that owns the channels.", "location": "path", "type": "string", "required": true, "format": "int64", "pattern": "^[^/]+$" }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `channelId` The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `displayName desc`.", "location": "query", "type": "string" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListChannels` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer" }, "filter": { "location": "query", "description": "Allows filtering by channel fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for channel currently can only contain at most one LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `displayName` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All channels for which the display name contains \"google\": `displayName : \"google\"`. The length of this field should be no more than 500 characters.", "type": "string" }, "advertiserId": { "description": "The ID of the advertiser that owns the channels.", "format": "int64", "location": "query", "type": "string" } } } }, "resources": { "sites": { "methods": { "replace": { "httpMethod": "POST", "path": "v1/partners/{partnerId}/channels/{+channelId}/sites:replace", "parameters": { "channelId": { "location": "path", "required": true, "type": "string", "format": "int64", "pattern": "^[^/]+$", "description": "Required. The ID of the parent channel whose sites will be replaced." }, "partnerId": { "description": "The ID of the partner that owns the parent channel.", "required": true, "format": "int64", "type": "string", "location": "path" } }, "flatPath": "v1/partners/{partnerId}/channels/{channelsId}/sites:replace", "parameterOrder": [ "partnerId", "channelId" ], "response": { "$ref": "ReplaceSitesResponse" }, "id": "displayvideo.partners.channels.sites.replace", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "ReplaceSitesRequest" }, "description": "Replaces all of the sites under a single channel. The operation will replace the sites under a channel with the sites provided in ReplaceSitesRequest.new_sites." }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Deletes a site from a channel.", "response": { "$ref": "Empty" }, "parameters": { "urlOrAppId": { "pattern": "^[^/]+$", "description": "Required. The URL or app ID of the site to delete.", "required": true, "location": "path", "type": "string" }, "partnerId": { "format": "int64", "type": "string", "description": "The ID of the partner that owns the parent channel.", "required": true, "location": "path" }, "channelId": { "format": "int64", "type": "string", "description": "Required. The ID of the parent channel to which the site belongs.", "required": true, "location": "path", "pattern": "^[^/]+$" }, "advertiserId": { "type": "string", "format": "int64", "description": "The ID of the advertiser that owns the parent channel.", "location": "query" } }, "flatPath": "v1/partners/{partnerId}/channels/{channelsId}/sites/{sitesId}", "id": "displayvideo.partners.channels.sites.delete", "path": "v1/partners/{partnerId}/channels/{+channelId}/sites/{+urlOrAppId}", "parameterOrder": [ "partnerId", "channelId", "urlOrAppId" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Creates a site in a channel.", "flatPath": "v1/partners/{partnerId}/channels/{channelsId}/sites", "parameterOrder": [ "partnerId", "channelId" ], "path": "v1/partners/{partnerId}/channels/{+channelId}/sites", "request": { "$ref": "Site" }, "id": "displayvideo.partners.channels.sites.create", "parameters": { "advertiserId": { "description": "The ID of the advertiser that owns the parent channel.", "type": "string", "format": "int64", "location": "query" }, "channelId": { "location": "path", "pattern": "^[^/]+$", "required": true, "description": "Required. The ID of the parent channel in which the site will be created.", "format": "int64", "type": "string" }, "partnerId": { "type": "string", "required": true, "format": "int64", "description": "The ID of the partner that owns the parent channel.", "location": "path" } }, "response": { "$ref": "Site" }, "httpMethod": "POST" }, "list": { "parameterOrder": [ "partnerId", "channelId" ], "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListSites` method. If not specified, the first page of results will be returned.", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `urlOrAppId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `urlOrAppId desc`." }, "channelId": { "type": "string", "location": "path", "description": "Required. The ID of the parent channel to which the requested sites belong.", "required": true, "pattern": "^[^/]+$", "format": "int64" }, "partnerId": { "type": "string", "location": "path", "format": "int64", "pattern": "^[^/]+$", "required": true, "description": "The ID of the partner that owns the parent channel." }, "advertiserId": { "description": "The ID of the advertiser that owns the parent channel.", "type": "string", "location": "query", "format": "int64" }, "filter": { "location": "query", "type": "string", "description": "Allows filtering by site fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions for site currently can only contain at most one LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh restriction. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `CONTAINS (:)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `urlOrAppId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All sites for which the URL or app ID contains \"google\": `urlOrAppId : \"google\"`" }, "pageSize": { "type": "integer", "description": "Requested page size. Must be between `1` and `10000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query" } }, "id": "displayvideo.partners.channels.sites.list", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "response": { "$ref": "ListSitesResponse" }, "flatPath": "v1/partners/{partnersId}/channels/{channelsId}/sites", "description": "Lists sites in a channel.", "path": "v1/partners/{+partnerId}/channels/{+channelId}/sites" }, "bulkEdit": { "response": { "$ref": "BulkEditSitesResponse" }, "parameterOrder": [ "partnerId", "channelId" ], "description": "Bulk edits sites under a single channel. The operation will delete the sites provided in BulkEditSitesRequest.deleted_sites and then create the sites provided in BulkEditSitesRequest.created_sites.", "request": { "$ref": "BulkEditSitesRequest" }, "path": "v1/partners/{partnerId}/channels/{+channelId}/sites:bulkEdit", "flatPath": "v1/partners/{partnerId}/channels/{channelsId}/sites:bulkEdit", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "id": "displayvideo.partners.channels.sites.bulkEdit", "parameters": { "channelId": { "format": "int64", "location": "path", "pattern": "^[^/]+$", "required": true, "type": "string", "description": "Required. The ID of the parent channel to which the sites belong." }, "partnerId": { "description": "The ID of the partner that owns the parent channel.", "format": "int64", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST" } } } } }, "targetingTypes": { "resources": { "assignedTargetingOptions": { "methods": { "list": { "response": { "$ref": "ListPartnerAssignedTargetingOptionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameters": { "pageSize": { "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer", "format": "int32", "location": "query" }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "type": "string", "location": "path", "required": true, "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "description": "Required. Identifies the type of assigned targeting options to list. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`", "pattern": "^[^/]+$" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListPartnerAssignedTargetingOptions` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "filter": { "description": "Allows filtering by assigned targeting option properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedTargetingOptionId` Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh AssignedTargetingOption with ID 123456 `assignedTargetingOptionId=\"123456\"` The length of this field should be no more than 500 characters.", "type": "string", "location": "query" }, "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedTargetingOptionId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. Example: `assignedTargetingOptionId desc`.", "type": "string", "location": "query" }, "partnerId": { "type": "string", "format": "int64", "required": true, "description": "Required. The ID of the partner.", "pattern": "^[^/]+$", "location": "path" } }, "flatPath": "v1/partners/{partnersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "httpMethod": "GET", "id": "displayvideo.partners.targetingTypes.assignedTargetingOptions.list", "path": "v1/partners/{+partnerId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "description": "Lists the targeting options assigned to a partner.", "parameterOrder": [ "partnerId", "targetingType" ] }, "create": { "httpMethod": "POST", "description": "Assigns a targeting option to a partner. Returns the assigned targeting option if successful.", "flatPath": "v1/partners/{partnersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions", "parameters": { "partnerId": { "pattern": "^[^/]+$", "location": "path", "format": "int64", "type": "string", "description": "Required. The ID of the partner.", "required": true }, "targetingType": { "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`", "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "pattern": "^[^/]+$", "required": true, "location": "path", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] } }, "parameterOrder": [ "partnerId", "targetingType" ], "id": "displayvideo.partners.targetingTypes.assignedTargetingOptions.create", "request": { "$ref": "AssignedTargetingOption" }, "response": { "$ref": "AssignedTargetingOption" }, "path": "v1/partners/{+partnerId}/targetingTypes/{+targetingType}/assignedTargetingOptions", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "get": { "httpMethod": "GET", "response": { "$ref": "AssignedTargetingOption" }, "flatPath": "v1/partners/{partnersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Gets a single targeting option assigned to a partner.", "path": "v1/partners/{+partnerId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "parameterOrder": [ "partnerId", "targetingType", "assignedTargetingOptionId" ], "id": "displayvideo.partners.targetingTypes.assignedTargetingOptions.get", "parameters": { "partnerId": { "location": "path", "description": "Required. The ID of the partner.", "required": true, "pattern": "^[^/]+$", "format": "int64", "type": "string" }, "targetingType": { "location": "path", "type": "string", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "pattern": "^[^/]+$", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "required": true, "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`" }, "assignedTargetingOptionId": { "required": true, "pattern": "^[^/]+$", "type": "string", "location": "path", "description": "Required. An identifier unique to the targeting type in this partner that identifies the assigned targeting option being requested." } } }, "delete": { "response": { "$ref": "Empty" }, "id": "displayvideo.partners.targetingTypes.assignedTargetingOptions.delete", "path": "v1/partners/{+partnerId}/targetingTypes/{+targetingType}/assignedTargetingOptions/{+assignedTargetingOptionId}", "parameters": { "assignedTargetingOptionId": { "description": "Required. The ID of the assigned targeting option to delete.", "type": "string", "required": true, "location": "path", "pattern": "^[^/]+$" }, "partnerId": { "pattern": "^[^/]+$", "description": "Required. The ID of the partner.", "required": true, "format": "int64", "location": "path", "type": "string" }, "targetingType": { "location": "path", "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "pattern": "^[^/]+$", "description": "Required. Identifies the type of this assigned targeting option. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`", "required": true } }, "parameterOrder": [ "partnerId", "targetingType", "assignedTargetingOptionId" ], "description": "Deletes an assigned targeting option from a partner.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "flatPath": "v1/partners/{partnersId}/targetingTypes/{targetingTypesId}/assignedTargetingOptions/{assignedTargetingOptionsId}", "httpMethod": "DELETE" } } } } } } }, "inventorySourceGroups": { "resources": { "assignedInventorySources": { "methods": { "bulkEdit": { "parameterOrder": [ "inventorySourceGroupId" ], "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}/assignedInventorySources:bulkEdit", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "BulkEditAssignedInventorySourcesRequest" }, "response": { "$ref": "BulkEditAssignedInventorySourcesResponse" }, "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}/assignedInventorySources:bulkEdit", "parameters": { "inventorySourceGroupId": { "location": "path", "description": "Required. The ID of the inventory source group to which the assignments are assigned.", "required": true, "format": "int64", "pattern": "^[^/]+$", "type": "string" } }, "description": "Bulk edits multiple assignments between inventory sources and a single inventory source group. The operation will delete the assigned inventory sources provided in BulkEditAssignedInventorySourcesRequest.deleted_assigned_inventory_sources and then create the assigned inventory sources provided in BulkEditAssignedInventorySourcesRequest.created_assigned_inventory_sources.", "id": "displayvideo.inventorySourceGroups.assignedInventorySources.bulkEdit" }, "list": { "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}/assignedInventorySources", "parameterOrder": [ "inventorySourceGroupId" ], "id": "displayvideo.inventorySourceGroups.assignedInventorySources.list", "parameters": { "orderBy": { "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `assignedInventorySourceId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix \" desc\" should be added to the field name. Example: `assignedInventorySourceId desc`.", "type": "string", "location": "query" }, "partnerId": { "format": "int64", "location": "query", "type": "string", "description": "The ID of the partner that has access to the assignment. If the parent inventory source group is advertiser-owned, the assignment cannot be accessed via a partner." }, "filter": { "type": "string", "location": "query", "description": "Allows filtering by assigned inventory source fields. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `assignedInventorySourceId` The length of this field should be no more than 500 characters." }, "pageSize": { "type": "integer", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "format": "int32", "location": "query" }, "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListAssignedInventorySources` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "advertiserId": { "location": "query", "type": "string", "format": "int64", "description": "The ID of the advertiser that has access to the assignment. If the parent inventory source group is partner-owned, only advertisers to which the parent group is explicitly shared can access the assigned inventory source." }, "inventorySourceGroupId": { "type": "string", "location": "path", "format": "int64", "description": "Required. The ID of the inventory source group to which these assignments are assigned.", "required": true, "pattern": "^[^/]+$" } }, "description": "Lists inventory sources assigned to an inventory source group.", "response": { "$ref": "ListAssignedInventorySourcesResponse" }, "httpMethod": "GET", "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}/assignedInventorySources", "scopes": [ "https://www.googleapis.com/auth/display-video" ] }, "create": { "parameters": { "advertiserId": { "location": "query", "format": "int64", "description": "The ID of the advertiser that owns the parent inventory source group. The parent partner will not have access to this assigned inventory source.", "type": "string" }, "partnerId": { "type": "string", "description": "The ID of the partner that owns the parent inventory source group. Only this partner will have write access to this assigned inventory source.", "format": "int64", "location": "query" }, "inventorySourceGroupId": { "description": "Required. The ID of the inventory source group to which the assignment will be assigned.", "format": "int64", "pattern": "^[^/]+$", "required": true, "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}/assignedInventorySources", "id": "displayvideo.inventorySourceGroups.assignedInventorySources.create", "response": { "$ref": "AssignedInventorySource" }, "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}/assignedInventorySources", "description": "Creates an assignment between an inventory source and an inventory source group.", "parameterOrder": [ "inventorySourceGroupId" ], "httpMethod": "POST", "request": { "$ref": "AssignedInventorySource" } }, "delete": { "response": { "$ref": "Empty" }, "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}/assignedInventorySources/{+assignedInventorySourceId}", "id": "displayvideo.inventorySourceGroups.assignedInventorySources.delete", "description": "Deletes the assignment between an inventory source and an inventory source group.", "parameters": { "assignedInventorySourceId": { "required": true, "description": "Required. The ID of the assigned inventory source to delete.", "format": "int64", "pattern": "^[^/]+$", "location": "path", "type": "string" }, "partnerId": { "format": "int64", "description": "The ID of the partner that owns the parent inventory source group. Only this partner has write access to this assigned inventory source.", "location": "query", "type": "string" }, "advertiserId": { "format": "int64", "location": "query", "description": "The ID of the advertiser that owns the parent inventory source group. The parent partner does not have access to this assigned inventory source.", "type": "string" }, "inventorySourceGroupId": { "pattern": "^[^/]+$", "required": true, "format": "int64", "type": "string", "location": "path", "description": "Required. The ID of the inventory source group to which this assignment is assigned." } }, "parameterOrder": [ "inventorySourceGroupId", "assignedInventorySourceId" ], "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "DELETE", "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}/assignedInventorySources/{assignedInventorySourcesId}" } } } }, "methods": { "delete": { "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "parameterOrder": [ "inventorySourceGroupId" ], "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}", "id": "displayvideo.inventorySourceGroups.delete", "parameters": { "inventorySourceGroupId": { "required": true, "type": "string", "pattern": "^[^/]+$", "description": "Required. The ID of the inventory source group to delete.", "location": "path", "format": "int64" }, "partnerId": { "format": "int64", "description": "The ID of the partner that owns the inventory source group. Only this partner has write access to this group.", "type": "string", "location": "query" }, "advertiserId": { "type": "string", "location": "query", "description": "The ID of the advertiser that owns the inventory source group. The parent partner does not have access to this group.", "format": "int64" } }, "description": "Deletes an inventory source group.", "httpMethod": "DELETE", "response": { "$ref": "Empty" } }, "patch": { "request": { "$ref": "InventorySourceGroup" }, "id": "displayvideo.inventorySourceGroups.patch", "response": { "$ref": "InventorySourceGroup" }, "parameterOrder": [ "inventorySourceGroupId" ], "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupId}", "httpMethod": "PATCH", "path": "v1/inventorySourceGroups/{inventorySourceGroupId}", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "description": "Updates an inventory source group. Returns the updated inventory source group if successful.", "parameters": { "inventorySourceGroupId": { "format": "int64", "required": true, "description": "Output only. The unique ID of the inventory source group. Assigned by the system.", "location": "path", "type": "string" }, "updateMask": { "description": "Required. The mask to control which fields to update.", "format": "google-fieldmask", "location": "query", "type": "string" }, "partnerId": { "description": "The ID of the partner that owns the inventory source group. Only this partner has write access to this group.", "location": "query", "type": "string", "format": "int64" }, "advertiserId": { "format": "int64", "description": "The ID of the advertiser that owns the inventory source group. The parent partner does not have access to this group.", "location": "query", "type": "string" } } }, "create": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "request": { "$ref": "InventorySourceGroup" }, "response": { "$ref": "InventorySourceGroup" }, "path": "v1/inventorySourceGroups", "parameterOrder": [], "id": "displayvideo.inventorySourceGroups.create", "parameters": { "partnerId": { "type": "string", "description": "The ID of the partner that owns the inventory source group. Only this partner will have write access to this group. Only advertisers to which this group is explicitly shared will have read access to this group.", "location": "query", "format": "int64" }, "advertiserId": { "description": "The ID of the advertiser that owns the inventory source group. The parent partner will not have access to this group.", "format": "int64", "location": "query", "type": "string" } }, "httpMethod": "POST", "flatPath": "v1/inventorySourceGroups", "description": "Creates a new inventory source group. Returns the newly created inventory source group if successful." }, "get": { "scopes": [ "https://www.googleapis.com/auth/display-video" ], "httpMethod": "GET", "path": "v1/inventorySourceGroups/{+inventorySourceGroupId}", "description": "Gets an inventory source group.", "parameters": { "partnerId": { "location": "query", "description": "The ID of the partner that has access to the inventory source group. A partner cannot access an advertiser-owned inventory source group.", "format": "int64", "type": "string" }, "advertiserId": { "description": "The ID of the advertiser that has access to the inventory source group. If an inventory source group is partner-owned, only advertisers to which the group is explicitly shared can access the group.", "type": "string", "location": "query", "format": "int64" }, "inventorySourceGroupId": { "required": true, "description": "Required. The ID of the inventory source group to fetch.", "format": "int64", "location": "path", "type": "string", "pattern": "^[^/]+$" } }, "flatPath": "v1/inventorySourceGroups/{inventorySourceGroupsId}", "id": "displayvideo.inventorySourceGroups.get", "response": { "$ref": "InventorySourceGroup" }, "parameterOrder": [ "inventorySourceGroupId" ] }, "list": { "response": { "$ref": "ListInventorySourceGroupsResponse" }, "httpMethod": "GET", "parameters": { "pageToken": { "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `ListInventorySources` method. If not specified, the first page of results will be returned.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Field by which to sort the list. Acceptable values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName` (default) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `inventorySourceGroupId` The default sorting order is ascending. To specify descending order for a field, a suffix \"desc\" should be added to the field name. For example, `displayName desc`.", "location": "query" }, "partnerId": { "location": "query", "format": "int64", "type": "string", "description": "The ID of the partner that has access to the inventory source group. A partner cannot access advertiser-owned inventory source groups." }, "advertiserId": { "description": "The ID of the advertiser that has access to the inventory source group. If an inventory source group is partner-owned, only advertisers to which the group is explicitly shared can access the group.", "format": "int64", "type": "string", "location": "query" }, "filter": { "location": "query", "description": "Allows filtering by inventory source group properties. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by the logical operator `OR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `EQUALS (=)`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields: - `inventorySourceGroupId` The length of this field should be no more than 500 characters.", "type": "string" }, "pageSize": { "format": "int32", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`.", "location": "query", "type": "integer" } }, "id": "displayvideo.inventorySourceGroups.list", "description": "Lists inventory source groups that are accessible to the current user. The order is defined by the order_by parameter.", "scopes": [ "https://www.googleapis.com/auth/display-video" ], "path": "v1/inventorySourceGroups", "flatPath": "v1/inventorySourceGroups", "parameterOrder": [] } } } }, "basePath": "", "canonicalName": "Display Video", "documentationLink": "https://developers.google.com/display-video/", "batchPath": "batch", "rootUrl": "https://displayvideo.googleapis.com/", "schemas": { "OperatingSystemAssignedTargetingOptionDetails": { "properties": { "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." }, "displayName": { "type": "string", "description": "Output only. The display name of the operating system.", "readOnly": true }, "targetingOptionId": { "type": "string", "description": "Required. The targeting option ID populated in targeting_option_id field when targeting_type is `TARGETING_TYPE_OPERATING_SYSTEM`." } }, "type": "object", "id": "OperatingSystemAssignedTargetingOptionDetails", "description": "Assigned operating system targeting option details. This will be populated in the operating_system_details field when targeting_type is `TARGETING_TYPE_OPERATING_SYSTEM`." }, "ContentOutstreamPositionAssignedTargetingOptionDetails": { "properties": { "adType": { "enum": [ "AD_TYPE_UNSPECIFIED", "AD_TYPE_DISPLAY", "AD_TYPE_VIDEO", "AD_TYPE_AUDIO" ], "type": "string", "enumDescriptions": [ "Ad type is not specified or is unknown in this version.", "Display creatives, e.g. image and HTML5.", "Video creatives, e.g. video ads that play during streaming content in video players.", "Audio creatives, e.g. audio ads that play during audio content." ], "readOnly": true, "description": "Output only. The ad type to target. Only applicable to insertion order targeting and new line items supporting the specified ad type will inherit this targeting option by default. Possible values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_DISPLAY`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_DISPLAY_DEFAULT`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_VIDEO`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_VIDEO_DEFAULT`." }, "targetingOptionId": { "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION`.", "type": "string" }, "contentOutstreamPosition": { "description": "The content outstream position. Output only in v1. Required in v2.", "enum": [ "CONTENT_OUTSTREAM_POSITION_UNSPECIFIED", "CONTENT_OUTSTREAM_POSITION_UNKNOWN", "CONTENT_OUTSTREAM_POSITION_IN_ARTICLE", "CONTENT_OUTSTREAM_POSITION_IN_BANNER", "CONTENT_OUTSTREAM_POSITION_IN_FEED", "CONTENT_OUTSTREAM_POSITION_INTERSTITIAL" ], "enumDescriptions": [ "Content outstream position is not specified in this version. This enum is a place holder for a default value and does not represent a real content outstream position.", "The ad position is unknown in the content outstream.", "Ads that appear between the paragraphs of your pages.", "Ads that display on the top and the sides of a page.", "Ads that appear in a scrollable stream of content. A feed is typically editorial (e.g. a list of articles or news) or listings (e.g. a list of products or services).", "Ads shown before or between content loads." ], "type": "string" } }, "type": "object", "description": "Assigned content outstream position targeting option details. This will be populated in the content_outstream_position_details field when targeting_type is `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION`.", "id": "ContentOutstreamPositionAssignedTargetingOptionDetails" }, "EnvironmentAssignedTargetingOptionDetails": { "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_ENVIRONMENT` (e.g., \"508010\" for targeting the `ENVIRONMENT_WEB_OPTIMIZED` option)." }, "environment": { "type": "string", "enum": [ "ENVIRONMENT_UNSPECIFIED", "ENVIRONMENT_WEB_OPTIMIZED", "ENVIRONMENT_WEB_NOT_OPTIMIZED", "ENVIRONMENT_APP" ], "enumDescriptions": [ "Default value when environment is not specified in this version. This enum is a placeholder for default value and does not represent a real environment option.", "Target inventory displayed in browsers. This includes inventory that was designed for the device it was viewed on, such as mobile websites viewed on a mobile device. ENVIRONMENT_WEB_NOT_OPTIMIZED, if targeted, should be deleted prior to the deletion of this targeting option.", "Target inventory displayed in browsers. This includes inventory that was not designed for the device but viewed on it, such as websites optimized for desktop but viewed on a mobile device. ENVIRONMENT_WEB_OPTIMIZED should be targeted prior to the addition of this targeting option.", "Target inventory displayed in apps." ], "description": "The serving environment. Output only in v1. Required in v2." } }, "description": "Assigned environment targeting option details. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_ENVIRONMENT`.", "type": "object", "id": "EnvironmentAssignedTargetingOptionDetails" }, "ContactInfo": { "properties": { "hashedPhoneNumbers": { "description": "A list of SHA256 hashed phone numbers of the member. Before hashing, all phone numbers must be formatted using the [E.164 format](//en.wikipedia.org/wiki/E.164) and include the country calling code.", "type": "array", "items": { "type": "string" } }, "zipCodes": { "description": "A list of zip codes of the member. Must also be set with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh country_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_first_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_last_name", "type": "array", "items": { "type": "string" } }, "hashedEmails": { "type": "array", "description": "A list of SHA256 hashed email of the member. Before hashing, remove all whitespace and make sure the string is all lowercase.", "items": { "type": "string" } }, "hashedFirstName": { "type": "string", "description": "SHA256 hashed first name of the member. Before hashing, remove all whitespace and make sure the string is all lowercase. Must also be set with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh country_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_last_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh zip_codes" }, "hashedLastName": { "description": "SHA256 hashed last name of the member. Before hashing, remove all whitespace and make sure the string is all lowercase. Must also be set with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh country_code LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_first_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh zip_codes", "type": "string" }, "countryCode": { "description": "Country code of the member. Must also be set with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_first_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh hashed_last_name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh zip_codes", "type": "string" } }, "type": "object", "description": "Contact information defining a Customer Match audience member.", "id": "ContactInfo" }, "EditInventorySourceReadWriteAccessorsRequestAdvertisersUpdate": { "description": "Update to the list of advertisers with read/write access to the inventory source.", "type": "object", "properties": { "removedAdvertisers": { "items": { "type": "string", "format": "int64" }, "description": "The advertisers to remove.", "type": "array" }, "addedAdvertisers": { "items": { "type": "string", "format": "int64" }, "type": "array", "description": "The advertisers to add." } }, "id": "EditInventorySourceReadWriteAccessorsRequestAdvertisersUpdate" }, "CustomBiddingScriptRef": { "type": "object", "properties": { "resourceName": { "type": "string", "description": "A resource name to be used in media.download to Download the script files. Or media.upload to Upload the script files. Resource names have the format `customBiddingAlgorithms/{custom_bidding_algorithm_id}/scriptRef/{ref_id}`." } }, "description": "The reference to the uploaded custom bidding script file.", "id": "CustomBiddingScriptRef" }, "LanguageTargetingOptionDetails": { "id": "LanguageTargetingOptionDetails", "type": "object", "description": "Represents a targetable language. This will be populated in the language_details field when targeting_type is `TARGETING_TYPE_LANGUAGE`.", "properties": { "displayName": { "type": "string", "readOnly": true, "description": "Output only. The display name of the language (e.g., \"French\")." } } }, "NativeContentPositionTargetingOptionDetails": { "type": "object", "id": "NativeContentPositionTargetingOptionDetails", "properties": { "contentPosition": { "readOnly": true, "enum": [ "NATIVE_CONTENT_POSITION_UNSPECIFIED", "NATIVE_CONTENT_POSITION_UNKNOWN", "NATIVE_CONTENT_POSITION_IN_ARTICLE", "NATIVE_CONTENT_POSITION_IN_FEED", "NATIVE_CONTENT_POSITION_PERIPHERAL", "NATIVE_CONTENT_POSITION_RECOMMENDATION" ], "enumDescriptions": [ "Native content position is not specified in this version. This enum is a place holder for a default value and does not represent a real native content position.", "The native content position is unknown.", "Native content position is in-article, i.e., ads appear between the paragraphs of pages.", "Native content position is in-feed, i.e., ads appear in a scrollable stream of content. A feed is typically editorial (e.g. a list of articles or news) or listings (e.g. a list of products or services).", "Native content position is peripheral, i.e., ads appear outside of core content on pages, such as the right- or left-hand side of the page.", "Native content position is recommendation, i.e., ads appear in sections for recommended content." ], "description": "Output only. The content position.", "type": "string" } }, "description": "Represents a targetable native content position. This will be populated in the native_content_position_details field when targeting_type is `TARGETING_TYPE_NATIVE_CONTENT_POSITION`." }, "DoubleVerifyBrandSafetyCategories": { "id": "DoubleVerifyBrandSafetyCategories", "description": "Settings for brand safety controls.", "properties": { "avoidUnknownBrandSafetyCategory": { "description": "Unknown or unrateable.", "type": "boolean" }, "avoidedMediumSeverityCategories": { "items": { "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any medium severity categories.", "Ad Servers.", "Adult Content: Swimsuit.", "Controversial Subjects: Alternative Lifestyles.", "Controversial Subjects: Celebrity Gossip.", "Controversial Subjects: Gambling.", "Controversial Subjects: Occult.", "Controversial Subjects: Sex Education.", "Disaster: Aviation.", "Disaster: Man-made.", "Disaster: Natural.", "Disaster: Terrorist Events.", "Disaster: Vehicle.", "Drugs/Alcohol/Controlled Substances: Alcohol.", "Drugs/Alcohol/Controlled Substances: Smoking.", "Negative News: Financial.", "Non-Std Content: Non-English.", "Non-Std Content: Parking Page.", "Unmoderated UGC: Forums, Images & Video.", "Controversial Subjects: Inflammatory Politics and News.", "Negative News: Pharmaceutical." ], "enum": [ "MEDIUM_SEVERITY_UNSPECIFIED", "AD_SERVERS", "ADULT_CONTENT_SWIMSUIT", "ALTERNATIVE_LIFESTYLES", "CELEBRITY_GOSSIP", "GAMBLING", "OCCULT", "SEX_EDUCATION", "DISASTER_AVIATION", "DISASTER_MAN_MADE", "DISASTER_NATURAL", "DISASTER_TERRORIST_EVENTS", "DISASTER_VEHICLE", "ALCOHOL", "SMOKING", "NEGATIVE_NEWS_FINANCIAL", "NON_ENGLISH", "PARKING_PAGE", "UNMODERATED_UGC", "INFLAMMATORY_POLITICS_AND_NEWS", "NEGATIVE_NEWS_PHARMACEUTICAL" ] }, "description": "Brand safety medium severity avoidance categories.", "type": "array" }, "avoidedHighSeverityCategories": { "type": "array", "description": "Brand safety high severity avoidance categories.", "items": { "enum": [ "HIGHER_SEVERITY_UNSPECIFIED", "ADULT_CONTENT_PORNOGRAPHY", "COPYRIGHT_INFRINGEMENT", "SUBSTANCE_ABUSE", "GRAPHIC_VIOLENCE_WEAPONS", "HATE_PROFANITY", "CRIMINAL_SKILLS", "NUISANCE_INCENTIVIZED_MALWARE_CLUTTER" ], "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any high severity categories.", "Adult Content: Pornography, Mature Topics & Nudity.", "Copyright Infringement.", "Drugs/Alcohol/Controlled Substances: Substance Abuse.", "Extreme Graphic/Explicit Violence/Weapons.", "Hate/Profanity.", "Illegal Activities: Criminal Skills.", "Incentivized/Malware/Clutter." ] } } }, "type": "object" }, "ListPartnerAssignedTargetingOptionsResponse": { "id": "ListPartnerAssignedTargetingOptionsResponse", "properties": { "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent ListPartnerAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" }, "assignedTargetingOptions": { "items": { "$ref": "AssignedTargetingOption" }, "type": "array", "description": "The list of assigned targeting options. This list will be absent if empty." } }, "type": "object" }, "ListManualTriggersResponse": { "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListManualTriggers` method to retrieve the next page of results.", "type": "string" }, "manualTriggers": { "description": "The list of manual triggers. This list will be absent if empty.", "items": { "$ref": "ManualTrigger" }, "type": "array" } }, "id": "ListManualTriggersResponse" }, "CombinedAudience": { "type": "object", "properties": { "displayName": { "readOnly": true, "description": "Output only. The display name of the combined audience. .", "type": "string" }, "combinedAudienceId": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. The unique ID of the combined audience. Assigned by the system." }, "name": { "description": "Output only. The resource name of the combined audience.", "readOnly": true, "type": "string" } }, "id": "CombinedAudience", "description": "Describes a combined audience resource." }, "ReplaceSitesRequest": { "type": "object", "properties": { "partnerId": { "type": "string", "description": "The ID of the partner that owns the parent channel.", "format": "int64" }, "newSites": { "items": { "$ref": "Site" }, "type": "array", "description": "The sites that will replace the existing sites assigned to the channel, specified as a list of Sites." }, "advertiserId": { "format": "int64", "description": "The ID of the advertiser that owns the parent channel.", "type": "string" } }, "id": "ReplaceSitesRequest", "description": "Request message for SiteService.ReplaceSites." }, "LineItem": { "description": "A single line item.", "type": "object", "id": "LineItem", "properties": { "creativeIds": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "The IDs of the creatives associated with the line item." }, "reservationType": { "type": "string", "enumDescriptions": [ "Reservation type value is not specified or is unknown in this version.", "Not created through a guaranteed inventory source.", "Created through a programmatic guaranteed inventory source.", "Created through a tag guaranteed inventory source." ], "readOnly": true, "enum": [ "RESERVATION_TYPE_UNSPECIFIED", "RESERVATION_TYPE_NOT_GUARANTEED", "RESERVATION_TYPE_PROGRAMMATIC_GUARANTEED", "RESERVATION_TYPE_TAG_GUARANTEED" ], "description": "Output only. The reservation type of the line item." }, "conversionCounting": { "description": "The conversion tracking setting of the line item.", "$ref": "ConversionCountingConfig" }, "targetingExpansion": { "$ref": "TargetingExpansionConfig", "description": "The [targeting expansion](https://support.google.com/displayvideo/answer/10191558) settings of the line item. This config is only applicable when eligible audience list targeting is assigned to the line item." }, "lineItemType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Image, HTML5, native, or rich media ads.", "Display ads that drive installs of an app.", "Video ads sold on a CPM basis for a variety of environments.", "Video ads that drive installs of an app.", "Display ads served on mobile app inventory.", "Video ads served on mobile app inventory.", "RTB Audio ads sold for a variety of environments.", "Over-the-top ads present in OTT insertion orders. This type is only applicable to line items with an insertion order of insertion_order_type `OVER_THE_TOP`." ], "type": "string", "description": "Required. Immutable. The type of the line item.", "enum": [ "LINE_ITEM_TYPE_UNSPECIFIED", "LINE_ITEM_TYPE_DISPLAY_DEFAULT", "LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INSTALL", "LINE_ITEM_TYPE_VIDEO_DEFAULT", "LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INSTALL", "LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INVENTORY", "LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INVENTORY", "LINE_ITEM_TYPE_AUDIO_DEFAULT", "LINE_ITEM_TYPE_VIDEO_OVER_THE_TOP" ] }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The timestamp when the line item was last updated. Assigned by the system.", "readOnly": true }, "campaignId": { "readOnly": true, "description": "Output only. The unique ID of the campaign that the line item belongs to.", "type": "string", "format": "int64" }, "name": { "readOnly": true, "description": "Output only. The resource name of the line item.", "type": "string" }, "flight": { "description": "Required. The start and end time of the line item's flight.", "$ref": "LineItemFlight" }, "budget": { "$ref": "LineItemBudget", "description": "Required. The budget allocation setting of the line item." }, "advertiserId": { "format": "int64", "readOnly": true, "description": "Output only. The unique ID of the advertiser the line item belongs to.", "type": "string" }, "excludeNewExchanges": { "type": "boolean", "description": "Whether to exclude new exchanges from automatically being targeted by the line item. This field is false by default." }, "entityStatus": { "description": "Required. Controls whether or not the line item can spend its budget and bid on inventory. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For CreateLineItem method, only `ENTITY_STATUS_DRAFT` is allowed. To activate a line item, use UpdateLineItem method and update the status to `ENTITY_STATUS_ACTIVE` after creation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A line item cannot be changed back to `ENTITY_STATUS_DRAFT` status from any other status. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the line item's parent insertion order is not active, the line item can't spend its budget even if its own status is `ENTITY_STATUS_ACTIVE`.", "type": "string", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ] }, "partnerRevenueModel": { "description": "Required. The partner revenue model setting of the line item.", "$ref": "PartnerRevenueModel" }, "insertionOrderId": { "description": "Required. Immutable. The unique ID of the insertion order that the line item belongs to.", "format": "int64", "type": "string" }, "displayName": { "description": "Required. The display name of the line item. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "pacing": { "description": "Required. The budget spending speed setting of the line item.", "$ref": "Pacing" }, "frequencyCap": { "description": "Required. The impression frequency cap settings of the line item. The max_impressions field in this settings object must be used if assigning a limited cap.", "$ref": "FrequencyCap" }, "partnerCosts": { "description": "The partner costs associated with the line item. If absent or empty in CreateLineItem method, the newly created line item will inherit partner costs from its parent insertion order.", "type": "array", "items": { "$ref": "PartnerCost" } }, "integrationDetails": { "description": "Integration details of the line item.", "$ref": "IntegrationDetails" }, "bidStrategy": { "$ref": "BiddingStrategy", "description": "Required. The bidding strategy of the line item." }, "lineItemId": { "readOnly": true, "description": "Output only. The unique ID of the line item. Assigned by the system.", "format": "int64", "type": "string" }, "mobileApp": { "$ref": "MobileApp", "description": "The mobile app promoted by the line item. This is applicable only when line_item_type is either `LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INSTALL` or `LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INSTALL`." }, "warningMessages": { "items": { "enum": [ "LINE_ITEM_WARNING_MESSAGE_UNSPECIFIED", "INVALID_FLIGHT_DATES", "EXPIRED", "PENDING_FLIGHT", "ALL_PARTNER_ENABLED_EXCHANGES_NEGATIVELY_TARGETED", "INVALID_INVENTORY_SOURCE", "APP_INVENTORY_INVALID_SITE_TARGETING", "APP_INVENTORY_INVALID_AUDIENCE_LISTS", "NO_VALID_CREATIVE", "PARENT_INSERTION_ORDER_PAUSED", "PARENT_INSERTION_ORDER_EXPIRED", "NO_POSITIVE_AUDIENCE_LIST_TARGETED", "APP_INSTALL_NO_CONVERSION_PIXEL", "TARGETING_REVOKED_OR_CLOSED_USER_LIST", "APP_INSTALL_NO_OPTIMAL_BIDDING_STRATEGY", "CREATIVE_SIZE_NOT_IN_USE_FOR_TARGETED_DEALS", "NO_CREATIVE_FOR_TARGETED_DEALS", "TARGETING_DEPRECATED_GEO_TARGET" ], "type": "string", "enumDescriptions": [ "Not specified or is unknown.", "This line item has invalid flight dates. The line item will not run.", "This line item's end date is in the past.", "This line item will begin running in the future.", "All partner enabled exchanges are negatively targeted. The line item will not run.", "No active inventory sources are being targeted. The line item will not run.", "This line item's Apps & URLs targeting doesn't include any mobile apps. This line item's type requires you to include mobile apps in your channel, sitelist, or apps targeting. The line item will not run.", "This line item isn't targeting any mobile users. This line item's type requires you to target a user list with mobile users. The line item will not run.", "This line item does not contain any valid creative. The line item will not run.", "The insertion order of this line item is paused. The line item will not run.", "The insertion order of this line item has its end date set in the past. The line item will not run.", "This line item does not target any audience lists, which may result in spending your budget too quickly.", "This app install line item does not have any conversion pixel set up.", "This line item targets one or more user lists that are no longer available. In the future, this will prevent the line item from serving, so consider removing these lists from your targeting.", "This app install line item does not have an optimal bidding strategy.", "Deals targeted by this line item accept creative sizes which are not in use. This may limit the line item's delivery or performance.", "This line item does not contain any creative for the targeted deals.", "This line item targets a geo target that is deprecated." ] }, "type": "array", "description": "Output only. The warning messages generated by the line item. These warnings do not block saving the line item, but some may block the line item from running.", "readOnly": true }, "inventorySourceIds": { "items": { "format": "int64", "type": "string" }, "type": "array", "description": "The IDs of the private inventory sources assigned to the line item." } } }, "PoiAssignedTargetingOptionDetails": { "id": "PoiAssignedTargetingOptionDetails", "properties": { "proximityRadiusAmount": { "type": "number", "description": "Required. The radius of the area around the POI that will be targeted. The units of the radius are specified by proximity_radius_unit. Must be 1 to 800 if unit is `DISTANCE_UNIT_KILOMETERS` and 1 to 500 if unit is `DISTANCE_UNIT_MILES`.", "format": "double" }, "longitude": { "format": "double", "readOnly": true, "description": "Output only. Longitude of the POI rounding to 6th decimal place.", "type": "number" }, "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_POI`. Accepted POI targeting option IDs can be retrieved using SearchTargetingOptions. If targeting a specific latitude/longitude coordinate removed from an address or POI name, you can generate the necessary targeting option ID by rounding the desired coordinate values to the 6th decimal place, removing the decimals, and concatenating the string values separated by a semicolon. For example, you can target the latitude/longitude pair of 40.7414691, -74.003387 using the targeting option ID \"40741469;-74003387\".", "type": "string" }, "proximityRadiusUnit": { "enum": [ "DISTANCE_UNIT_UNSPECIFIED", "DISTANCE_UNIT_MILES", "DISTANCE_UNIT_KILOMETERS" ], "type": "string", "description": "Required. The unit of distance by which the targeting radius is measured.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Miles.", "Kilometers." ] }, "latitude": { "readOnly": true, "format": "double", "type": "number", "description": "Output only. Latitude of the POI rounding to 6th decimal place." }, "displayName": { "description": "Output only. The display name of a POI, e.g. \"Times Square\", \"Space Needle\", followed by its full address if available.", "readOnly": true, "type": "string" } }, "description": "Details for assigned POI targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_POI`.", "type": "object" }, "PartnerDataAccessConfig": { "properties": { "sdfConfig": { "description": "Structured Data Files (SDF) settings for the partner. The SDF configuration for the partner.", "$ref": "SdfConfig" } }, "description": "Settings that control how partner related data may be accessed.", "type": "object", "id": "PartnerDataAccessConfig" }, "FloodlightGroup": { "description": "A single Floodlight group.", "type": "object", "id": "FloodlightGroup", "properties": { "webTagType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "No tag type.", "Image tag.", "Dynamic tag." ], "type": "string", "enum": [ "WEB_TAG_TYPE_UNSPECIFIED", "WEB_TAG_TYPE_NONE", "WEB_TAG_TYPE_IMAGE", "WEB_TAG_TYPE_DYNAMIC" ], "description": "Required. The web tag type enabled for the Floodlight group." }, "displayName": { "description": "Required. The display name of the Floodlight group.", "type": "string" }, "name": { "description": "Output only. The resource name of the Floodlight group.", "readOnly": true, "type": "string" }, "floodlightGroupId": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The unique ID of the Floodlight group. Assigned by the system." }, "customVariables": { "description": "User-defined custom variables owned by the Floodlight group. Use custom Floodlight variables to create reporting data that is tailored to your unique business needs. Custom Floodlight variables use the keys `U1=`, `U2=`, and so on, and can take any values that you choose to pass to them. You can use them to track virtually any type of data that you collect about your customers, such as the genre of movie that a customer purchases, the country to which the item is shipped, and so on. Custom Floodlight variables may not be used to pass any data that could be used or recognized as personally identifiable information (PII). Example: `custom_variables { fields { \"U1\": value { number_value: 123.4 }, \"U2\": value { string_value: \"MyVariable2\" }, \"U3\": value { string_value: \"MyVariable3\" } } }` Acceptable values for keys are \"U1\" through \"U100\", inclusive. String values must be less than 64 characters long, and cannot contain the following characters: `\"\u003c\u003e`.", "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object" }, "lookbackWindow": { "description": "Required. The lookback window for the Floodlight group. Both click_days and impression_days are required. Acceptable values for both are `0` to `90`, inclusive.", "$ref": "LookbackWindow" }, "activeViewConfig": { "$ref": "ActiveViewVideoViewabilityMetricConfig", "description": "The Active View video viewability metric configuration for the Floodlight group." } } }, "ListAdvertiserAssignedTargetingOptionsResponse": { "properties": { "assignedTargetingOptions": { "type": "array", "description": "The list of assigned targeting options. This list will be absent if empty.", "items": { "$ref": "AssignedTargetingOption" } }, "nextPageToken": { "type": "string", "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent ListAdvertiserAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return." } }, "id": "ListAdvertiserAssignedTargetingOptionsResponse", "description": "Response message for ListAdvertiserAssignedTargetingOptions.", "type": "object" }, "InventorySourceAccessors": { "type": "object", "properties": { "partner": { "$ref": "InventorySourceAccessorsPartnerAccessor", "description": "The partner with access to the inventory source." }, "advertisers": { "description": "The advertisers with access to the inventory source. All advertisers must belong to the same partner.", "$ref": "InventorySourceAccessorsAdvertiserAccessors" } }, "description": "The partner or advertisers with access to the inventory source.", "id": "InventorySourceAccessors" }, "FirstAndThirdPartyAudienceTargetingSetting": { "id": "FirstAndThirdPartyAudienceTargetingSetting", "description": "Details of first and third party audience targeting setting.", "type": "object", "properties": { "firstAndThirdPartyAudienceId": { "format": "int64", "type": "string", "description": "Required. First and third party audience id of the first and third party audience targeting setting. This id is first_and_third_party_audience_id." }, "recency": { "enum": [ "RECENCY_NO_LIMIT", "RECENCY_1_MINUTE", "RECENCY_5_MINUTES", "RECENCY_10_MINUTES", "RECENCY_15_MINUTES", "RECENCY_30_MINUTES", "RECENCY_1_HOUR", "RECENCY_2_HOURS", "RECENCY_3_HOURS", "RECENCY_6_HOURS", "RECENCY_12_HOURS", "RECENCY_1_DAY", "RECENCY_2_DAYS", "RECENCY_3_DAYS", "RECENCY_5_DAYS", "RECENCY_7_DAYS", "RECENCY_10_DAYS", "RECENCY_14_DAYS", "RECENCY_15_DAYS", "RECENCY_21_DAYS", "RECENCY_28_DAYS", "RECENCY_30_DAYS", "RECENCY_40_DAYS", "RECENCY_45_DAYS", "RECENCY_60_DAYS", "RECENCY_90_DAYS", "RECENCY_120_DAYS", "RECENCY_180_DAYS", "RECENCY_270_DAYS", "RECENCY_365_DAYS" ], "enumDescriptions": [ "No limit of recency.", "Recency is 1 minute.", "Recency is 5 minutes.", "Recency is 10 minutes.", "Recency is 15 minutes.", "Recency is 30 minutes.", "Recency is 1 hour.", "Recency is 2 hours.", "Recency is 3 hours.", "Recency is 6 hours.", "Recency is 12 hours.", "Recency is 1 day.", "Recency is 2 days.", "Recency is 3 days.", "Recency is 5 days.", "Recency is 7 days.", "Recency is 10 days.", "Recency is 14 days.", "Recency is 15 days.", "Recency is 21 days.", "Recency is 28 days.", "Recency is 30 days.", "Recency is 40 days.", "Recency is 45 days.", "Recency is 60 days.", "Recency is 90 days.", "Recency is 120 days.", "Recency is 180 days.", "Recency is 270 days.", "Recency is 365 days." ], "description": "The recency of the first and third party audience targeting setting. Only applicable to first party audiences, otherwise will be ignored. For more info, refer to https://support.google.com/displayvideo/answer/2949947#recency When unspecified, no recency limit will be used.", "type": "string" } } }, "User": { "id": "User", "description": "A single user in Display & Video 360.", "type": "object", "properties": { "userId": { "readOnly": true, "type": "string", "description": "Output only. The unique ID of the user. Assigned by the system.", "format": "int64" }, "displayName": { "type": "string", "description": "Required. The display name of the user. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "name": { "readOnly": true, "description": "Output only. The resource name of the user.", "type": "string" }, "email": { "type": "string", "description": "Required. Immutable. The email address used to identify the user." }, "assignedUserRoles": { "description": "The assigned user roles. Required in CreateUser. Output only in UpdateUser. Can only be updated through BulkEditAssignedUserRoles.", "type": "array", "items": { "$ref": "AssignedUserRole" } } } }, "AssignedInventorySource": { "description": "An assignment between a targetable inventory source and an inventory source group.", "id": "AssignedInventorySource", "type": "object", "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the assigned inventory source." }, "assignedInventorySourceId": { "type": "string", "description": "Output only. The unique ID of the assigned inventory source. The ID is only unique within a given inventory source group. It may be reused in other contexts.", "format": "int64", "readOnly": true }, "inventorySourceId": { "description": "Required. The ID of the inventory source entity being targeted.", "type": "string" } } }, "AssignedTargetingOption": { "id": "AssignedTargetingOption", "type": "object", "description": "A single assigned targeting option, which defines the state of a targeting option for an entity with targeting settings.", "properties": { "operatingSystemDetails": { "$ref": "OperatingSystemAssignedTargetingOptionDetails", "description": "Operating system details. This field will be populated when the targeting_type is `TARGETING_TYPE_OPERATING_SYSTEM`." }, "name": { "type": "string", "description": "Output only. The resource name for this assigned targeting option.", "readOnly": true }, "languageDetails": { "description": "Language details. This field will be populated when the targeting_type is `TARGETING_TYPE_LANGUAGE`.", "$ref": "LanguageAssignedTargetingOptionDetails" }, "omidDetails": { "description": "Open Measurement enabled inventory details. This field will be populated when the targeting_type is `TARGETING_TYPE_OMID`.", "$ref": "OmidAssignedTargetingOptionDetails" }, "contentGenreDetails": { "description": "Content genre details. This field will be populated when the targeting_type is `TARGETING_TYPE_CONTENT_GENRE`.", "$ref": "ContentGenreAssignedTargetingOptionDetails" }, "deviceTypeDetails": { "description": "Device Type details. This field will be populated when the targeting_type is `TARGETING_TYPE_DEVICE_TYPE`.", "$ref": "DeviceTypeAssignedTargetingOptionDetails" }, "nativeContentPositionDetails": { "$ref": "NativeContentPositionAssignedTargetingOptionDetails", "description": "Native content position details. This field will be populated when the targeting_type is `TARGETING_TYPE_NATIVE_CONTENT_POSITION`." }, "inheritance": { "readOnly": true, "description": "Output only. The inheritance status of the assigned targeting option.", "enumDescriptions": [ "The inheritance is unspecified or unknown.", "The assigned targeting option is not inherited from higher level entity.", "The assigned targeting option is inherited from partner targeting settings.", "The assigned targeting option is inherited from advertiser targeting settings." ], "enum": [ "INHERITANCE_UNSPECIFIED", "NOT_INHERITED", "INHERITED_FROM_PARTNER", "INHERITED_FROM_ADVERTISER" ], "type": "string" }, "inventorySourceDetails": { "$ref": "InventorySourceAssignedTargetingOptionDetails", "description": "Inventory source details. This field will be populated when the targeting_type is `TARGETING_TYPE_INVENTORY_SOURCE`." }, "regionalLocationListDetails": { "description": "Regional location list details. This field will be populated when the targeting_type is `TARGETING_TYPE_REGIONAL_LOCATION_LIST`.", "$ref": "RegionalLocationListAssignedTargetingOptionDetails" }, "carrierAndIspDetails": { "description": "Carrier and ISP details. This field will be populated when the targeting_type is `TARGETING_TYPE_CARRIER_AND_ISP`.", "$ref": "CarrierAndIspAssignedTargetingOptionDetails" }, "videoPlayerSizeDetails": { "$ref": "VideoPlayerSizeAssignedTargetingOptionDetails", "description": "Video player size details. This field will be populated when the targeting_type is `TARGETING_TYPE_VIDEO_PLAYER_SIZE`." }, "contentStreamTypeDetails": { "description": "Content duration details. This field will be populated when the TargetingType is `TARGETING_TYPE_CONTENT_STREAM_TYPE`.", "$ref": "ContentStreamTypeAssignedTargetingOptionDetails" }, "negativeKeywordListDetails": { "description": "Keyword details. This field will be populated when the targeting_type is `TARGETING_TYPE_NEGATIVE_KEYWORD_LIST`. A maximum of 4 negative keyword lists can be assigned to a resource.", "$ref": "NegativeKeywordListAssignedTargetingOptionDetails" }, "browserDetails": { "description": "Browser details. This field will be populated when the targeting_type is `TARGETING_TYPE_BROWSER`.", "$ref": "BrowserAssignedTargetingOptionDetails" }, "digitalContentLabelExclusionDetails": { "description": "Digital content label details. This field will be populated when the targeting_type is `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION`. Digital content labels are targeting exclusions. Advertiser level digital content label exclusions, if set, are always applied in serving (even though they aren't visible in resource settings). Resource settings can exclude content labels in addition to advertiser exclusions, but can't override them. A line item won't serve if all the digital content labels are excluded.", "$ref": "DigitalContentLabelAssignedTargetingOptionDetails" }, "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "description": "Output only. Identifies the type of this assigned targeting option.", "readOnly": true, "type": "string", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ] }, "userRewardedContentDetails": { "description": "User rewarded content details. This field will be populated when the targeting_type is `TARGETING_TYPE_USER_REWARDED_CONTENT`.", "$ref": "UserRewardedContentAssignedTargetingOptionDetails" }, "exchangeDetails": { "description": "Exchange details. This field will be populated when the targeting_type is `TARGETING_TYPE_EXCHANGE`.", "$ref": "ExchangeAssignedTargetingOptionDetails" }, "poiDetails": { "description": "POI details. This field will be populated when the targeting_type is `TARGETING_TYPE_POI`.", "$ref": "PoiAssignedTargetingOptionDetails" }, "businessChainDetails": { "description": "Business chain details. This field will be populated when the targeting_type is `TARGETING_TYPE_BUSINESS_CHAIN`.", "$ref": "BusinessChainAssignedTargetingOptionDetails" }, "appCategoryDetails": { "$ref": "AppCategoryAssignedTargetingOptionDetails", "description": "App category details. This field will be populated when the targeting_type is `TARGETING_TYPE_APP_CATEGORY`." }, "assignedTargetingOptionId": { "description": "Output only. The unique ID of the assigned targeting option. The ID is only unique within a given resource and targeting type. It may be reused in other contexts.", "readOnly": true, "type": "string" }, "subExchangeDetails": { "description": "Sub-exchange details. This field will be populated when the targeting_type is `TARGETING_TYPE_SUB_EXCHANGE`.", "$ref": "SubExchangeAssignedTargetingOptionDetails" }, "contentDurationDetails": { "description": "Content duration details. This field will be populated when the targeting_type is `TARGETING_TYPE_CONTENT_DURATION`.", "$ref": "ContentDurationAssignedTargetingOptionDetails" }, "geoRegionDetails": { "$ref": "GeoRegionAssignedTargetingOptionDetails", "description": "Geographic region details. This field will be populated when the targeting_type is `TARGETING_TYPE_GEO_REGION`." }, "onScreenPositionDetails": { "$ref": "OnScreenPositionAssignedTargetingOptionDetails", "description": "On screen position details. This field will be populated when the targeting_type is `TARGETING_TYPE_ON_SCREEN_POSITION`." }, "urlDetails": { "$ref": "UrlAssignedTargetingOptionDetails", "description": "URL details. This field will be populated when the targeting_type is `TARGETING_TYPE_URL`." }, "deviceMakeModelDetails": { "description": "Device make and model details. This field will be populated when the targeting_type is `TARGETING_TYPE_DEVICE_MAKE_MODEL`.", "$ref": "DeviceMakeModelAssignedTargetingOptionDetails" }, "environmentDetails": { "description": "Environment details. This field will be populated when the targeting_type is `TARGETING_TYPE_ENVIRONMENT`.", "$ref": "EnvironmentAssignedTargetingOptionDetails" }, "appDetails": { "$ref": "AppAssignedTargetingOptionDetails", "description": "App details. This field will be populated when the targeting_type is `TARGETING_TYPE_APP`." }, "genderDetails": { "description": "Gender details. This field will be populated when the targeting_type is `TARGETING_TYPE_GENDER`.", "$ref": "GenderAssignedTargetingOptionDetails" }, "ageRangeDetails": { "$ref": "AgeRangeAssignedTargetingOptionDetails", "description": "Age range details. This field will be populated when the targeting_type is `TARGETING_TYPE_AGE_RANGE`." }, "sensitiveCategoryExclusionDetails": { "$ref": "SensitiveCategoryAssignedTargetingOptionDetails", "description": "Sensitive category details. This field will be populated when the targeting_type is `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`. Sensitive categories are targeting exclusions. Advertiser level sensitive category exclusions, if set, are always applied in serving (even though they aren't visible in resource settings). Resource settings can exclude sensitive categories in addition to advertiser exclusions, but can't override them." }, "contentOutstreamPositionDetails": { "description": "Content outstream position details. This field will be populated when the targeting_type is `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION`.", "$ref": "ContentOutstreamPositionAssignedTargetingOptionDetails" }, "categoryDetails": { "description": "Category details. This field will be populated when the targeting_type is `TARGETING_TYPE_CATEGORY`. Targeting a category will also target its subcategories. If a category is excluded from targeting and a subcategory is included, the exclusion will take precedence.", "$ref": "CategoryAssignedTargetingOptionDetails" }, "thirdPartyVerifierDetails": { "$ref": "ThirdPartyVerifierAssignedTargetingOptionDetails", "description": "Third party verification details. This field will be populated when the targeting_type is `TARGETING_TYPE_THIRD_PARTY_VERIFIER`." }, "contentInstreamPositionDetails": { "$ref": "ContentInstreamPositionAssignedTargetingOptionDetails", "description": "Content instream position details. This field will be populated when the targeting_type is `TARGETING_TYPE_CONTENT_INSTREAM_POSITION`." }, "viewabilityDetails": { "$ref": "ViewabilityAssignedTargetingOptionDetails", "description": "Viewability details. This field will be populated when the targeting_type is `TARGETING_TYPE_VIEWABILITY`. You can only target one viewability option per resource." }, "channelDetails": { "description": "Channel details. This field will be populated when the targeting_type is `TARGETING_TYPE_CHANNEL`.", "$ref": "ChannelAssignedTargetingOptionDetails" }, "proximityLocationListDetails": { "$ref": "ProximityLocationListAssignedTargetingOptionDetails", "description": "Proximity location list details. This field will be populated when the targeting_type is `TARGETING_TYPE_PROXIMITY_LOCATION_LIST`." }, "keywordDetails": { "description": "Keyword details. This field will be populated when the targeting_type is `TARGETING_TYPE_KEYWORD`. A maximum of 5000 direct negative keywords can be assigned to a resource. No limit on number of positive keywords that can be assigned.", "$ref": "KeywordAssignedTargetingOptionDetails" }, "audienceGroupDetails": { "$ref": "AudienceGroupAssignedTargetingOptionDetails", "description": "Audience targeting details. This field will be populated when the targeting_type is `TARGETING_TYPE_AUDIENCE_GROUP`. You can only target one audience group option per resource." }, "dayAndTimeDetails": { "description": "Day and time details. This field will be populated when the targeting_type is `TARGETING_TYPE_DAY_AND_TIME`.", "$ref": "DayAndTimeAssignedTargetingOptionDetails" }, "authorizedSellerStatusDetails": { "description": "Authorized seller status details. This field will be populated when the targeting_type is `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS`. You can only target one authorized seller status option per resource. If a resource doesn't have an authorized seller status option, all authorized sellers indicated as DIRECT or RESELLER in the ads.txt file are targeted by default.", "$ref": "AuthorizedSellerStatusAssignedTargetingOptionDetails" }, "householdIncomeDetails": { "$ref": "HouseholdIncomeAssignedTargetingOptionDetails", "description": "Household income details. This field will be populated when the targeting_type is `TARGETING_TYPE_HOUSEHOLD_INCOME`." }, "audioContentTypeDetails": { "description": "Audio content type details. This field will be populated when the targeting_type is `TARGETING_TYPE_AUDIO_CONTENT_TYPE`.", "$ref": "AudioContentTypeAssignedTargetingOptionDetails" }, "parentalStatusDetails": { "description": "Parental status details. This field will be populated when the targeting_type is `TARGETING_TYPE_PARENTAL_STATUS`.", "$ref": "ParentalStatusAssignedTargetingOptionDetails" }, "inventorySourceGroupDetails": { "description": "Inventory source group details. This field will be populated when the targeting_type is `TARGETING_TYPE_INVENTORY_SOURCE_GROUP`.", "$ref": "InventorySourceGroupAssignedTargetingOptionDetails" } } }, "ViewabilityTargetingOptionDetails": { "type": "object", "id": "ViewabilityTargetingOptionDetails", "description": "Represents a targetable viewability. This will be populated in the viewability_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_VIEWABILITY`.", "properties": { "viewability": { "enumDescriptions": [ "Default value when viewability is not specified in this version. This enum is a placeholder for default value and does not represent a real viewability option.", "Bid only on impressions that are at least 10% likely to be viewable.", "Bid only on impressions that are at least 20% likely to be viewable.", "Bid only on impressions that are at least 30% likely to be viewable.", "Bid only on impressions that are at least 40% likely to be viewable.", "Bid only on impressions that are at least 50% likely to be viewable.", "Bid only on impressions that are at least 60% likely to be viewable.", "Bid only on impressions that are at least 70% likely to be viewable.", "Bid only on impressions that are at least 80% likely to be viewable.", "Bid only on impressions that are at least 90% likely to be viewable." ], "type": "string", "readOnly": true, "enum": [ "VIEWABILITY_UNSPECIFIED", "VIEWABILITY_10_PERCENT_OR_MORE", "VIEWABILITY_20_PERCENT_OR_MORE", "VIEWABILITY_30_PERCENT_OR_MORE", "VIEWABILITY_40_PERCENT_OR_MORE", "VIEWABILITY_50_PERCENT_OR_MORE", "VIEWABILITY_60_PERCENT_OR_MORE", "VIEWABILITY_70_PERCENT_OR_MORE", "VIEWABILITY_80_PERCENT_OR_MORE", "VIEWABILITY_90_PERCENT_OR_MORE" ], "description": "Output only. The predicted viewability percentage." } } }, "ListInvoicesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListInvoices` method to retrieve the next page of results. This token will be absent if there are no more invoices to return." }, "invoices": { "type": "array", "items": { "$ref": "Invoice" }, "description": "The list of invoices. This list will be absent if empty." } }, "type": "object", "id": "ListInvoicesResponse" }, "ListInventorySourceGroupsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListInventorySourceGroups` method to retrieve the next page of results.", "type": "string" }, "inventorySourceGroups": { "items": { "$ref": "InventorySourceGroup" }, "type": "array", "description": "The list of inventory source groups. This list will be absent if empty." } }, "description": "Response message for InventorySourceGroupService.ListInventorySourceGroups.", "id": "ListInventorySourceGroupsResponse" }, "OperatingSystemTargetingOptionDetails": { "id": "OperatingSystemTargetingOptionDetails", "type": "object", "description": "Represents a targetable operating system. This will be populated in the operating_system_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_OPERATING_SYSTEM`.", "properties": { "displayName": { "type": "string", "description": "Output only. The display name of the operating system.", "readOnly": true } } }, "GoogleBytestreamMedia": { "id": "GoogleBytestreamMedia", "description": "Media resource.", "properties": { "resourceName": { "type": "string", "description": "Name of the media resource." } }, "type": "object" }, "DeactivateManualTriggerRequest": { "description": "Request message for ManualTriggerService.DeactivateManualTrigger.", "type": "object", "properties": {}, "id": "DeactivateManualTriggerRequest" }, "GuaranteedOrder": { "properties": { "exchange": { "enumDescriptions": [ "Exchange is not specified or is unknown in this version.", "Google Ad Manager.", "AppNexus.", "BrightRoll Exchange for Video from Yahoo!.", "Adform.", "Admeta.", "Admixer.", "AdsMogo.", "AdsWizz.", "BidSwitch.", "BrightRoll Exchange for Display from Yahoo!.", "Cadreon.", "Dailymotion.", "Five.", "Fluct.", "FreeWheel SSP.", "Geniee.", "GumGum.", "i-mobile.", "iBILLBOARD.", "Improve Digital.", "Index Exchange.", "Kargo.", "MicroAd.", "MoPub.", "Nend.", "ONE by AOL: Display Market Place.", "ONE by AOL: Mobile.", "ONE by AOL: Video.", "Ooyala.", "OpenX.", "Permodo.", "Platform One.", "PlatformId.", "PubMatic.", "PulsePoint.", "RevenueMax.", "Rubicon.", "SmartClip.", "SmartRTB+.", "SmartstreamTv.", "Sovrn.", "SpotXchange.", "Ströer SSP.", "TeadsTv.", "Telaria.", "TVN.", "United.", "Yieldlab.", "Yieldmo.", "UnrulyX.", "Open8.", "Triton.", "TripleLift.", "Taboola.", "InMobi.", "Smaato.", "Aja.", "Supership.", "Nexstar Digital.", "Waze.", "SoundCast.", "Sharethrough.", "Red For Publishers.", "Media.net.", "Tapjoy." ], "enum": [ "EXCHANGE_UNSPECIFIED", "EXCHANGE_GOOGLE_AD_MANAGER", "EXCHANGE_APPNEXUS", "EXCHANGE_BRIGHTROLL", "EXCHANGE_ADFORM", "EXCHANGE_ADMETA", "EXCHANGE_ADMIXER", "EXCHANGE_ADSMOGO", "EXCHANGE_ADSWIZZ", "EXCHANGE_BIDSWITCH", "EXCHANGE_BRIGHTROLL_DISPLAY", "EXCHANGE_CADREON", "EXCHANGE_DAILYMOTION", "EXCHANGE_FIVE", "EXCHANGE_FLUCT", "EXCHANGE_FREEWHEEL", "EXCHANGE_GENIEE", "EXCHANGE_GUMGUM", "EXCHANGE_IMOBILE", "EXCHANGE_IBILLBOARD", "EXCHANGE_IMPROVE_DIGITAL", "EXCHANGE_INDEX", "EXCHANGE_KARGO", "EXCHANGE_MICROAD", "EXCHANGE_MOPUB", "EXCHANGE_NEND", "EXCHANGE_ONE_BY_AOL_DISPLAY", "EXCHANGE_ONE_BY_AOL_MOBILE", "EXCHANGE_ONE_BY_AOL_VIDEO", "EXCHANGE_OOYALA", "EXCHANGE_OPENX", "EXCHANGE_PERMODO", "EXCHANGE_PLATFORMONE", "EXCHANGE_PLATFORMID", "EXCHANGE_PUBMATIC", "EXCHANGE_PULSEPOINT", "EXCHANGE_REVENUEMAX", "EXCHANGE_RUBICON", "EXCHANGE_SMARTCLIP", "EXCHANGE_SMARTRTB", "EXCHANGE_SMARTSTREAMTV", "EXCHANGE_SOVRN", "EXCHANGE_SPOTXCHANGE", "EXCHANGE_STROER", "EXCHANGE_TEADSTV", "EXCHANGE_TELARIA", "EXCHANGE_TVN", "EXCHANGE_UNITED", "EXCHANGE_YIELDLAB", "EXCHANGE_YIELDMO", "EXCHANGE_UNRULYX", "EXCHANGE_OPEN8", "EXCHANGE_TRITON", "EXCHANGE_TRIPLELIFT", "EXCHANGE_TABOOLA", "EXCHANGE_INMOBI", "EXCHANGE_SMAATO", "EXCHANGE_AJA", "EXCHANGE_SUPERSHIP", "EXCHANGE_NEXSTAR_DIGITAL", "EXCHANGE_WAZE", "EXCHANGE_SOUNDCAST", "EXCHANGE_SHARETHROUGH", "EXCHANGE_RED_FOR_PUBLISHERS", "EXCHANGE_MEDIANET", "EXCHANGE_TAPJOY" ], "description": "Required. Immutable. The exchange where the guaranteed order originated.", "type": "string" }, "guaranteedOrderId": { "readOnly": true, "type": "string", "description": "Output only. The unique identifier of the guaranteed order. The guaranteed order IDs have the format `{exchange}-{legacy_guaranteed_order_id}`." }, "readWriteAdvertiserId": { "format": "int64", "type": "string", "description": "The advertiser with read/write access to the guaranteed order. This is also the default advertiser of the guaranteed order." }, "readAdvertiserIds": { "items": { "type": "string", "format": "int64" }, "description": "The IDs of advertisers with read access to the guaranteed order. This field must not include the advertiser assigned to read_write_advertiser_id if it is set. All advertisers in this field must belong to read_write_partner_id or the same partner as read_write_advertiser_id.", "type": "array" }, "readWritePartnerId": { "description": "The partner with read/write access to the guaranteed order.", "format": "int64", "type": "string" }, "displayName": { "description": "Required. The display name of the guaranteed order. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "publisherName": { "type": "string", "description": "Required. The publisher name of the guaranteed order. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "defaultCampaignId": { "format": "int64", "description": "The ID of the default campaign that is assigned to the guaranteed order. The default campaign must belong to the default advertiser.", "type": "string" }, "name": { "type": "string", "description": "Output only. The resource name of the guaranteed order.", "readOnly": true }, "defaultAdvertiserId": { "type": "string", "format": "int64", "description": "Output only. The ID of default advertiser of the guaranteed order. The default advertiser is either the read_write_advertiser_id or, if that is not set, the first advertiser listed in read_advertiser_ids. Otherwise, there is no default advertiser.", "readOnly": true }, "status": { "$ref": "GuaranteedOrderStatus", "description": "The status settings of the guaranteed order." }, "updateTime": { "readOnly": true, "description": "Output only. The timestamp when the guaranteed order was last updated. Assigned by the system.", "format": "google-datetime", "type": "string" }, "readAccessInherited": { "description": "Whether all advertisers of read_write_partner_id have read access to the guaranteed order. Only applicable if read_write_partner_id is set. If True, overrides read_advertiser_ids.", "type": "boolean" }, "legacyGuaranteedOrderId": { "readOnly": true, "type": "string", "description": "Output only. The legacy ID of the guaranteed order. Assigned by the original exchange. The legacy ID is unique within one exchange, but is not guaranteed to be unique across all guaranteed orders. This ID is used in SDF and UI." } }, "id": "GuaranteedOrder", "type": "object", "description": "A guaranteed order. Guaranteed orders are parent entity of guaranteed inventory sources. When creating a guaranteed inventory source, a guaranteed order ID must be assigned to the inventory source." }, "Advertiser": { "description": "A single advertiser in Display & Video 360 (DV360).", "properties": { "updateTime": { "readOnly": true, "description": "Output only. The timestamp when the advertiser was last updated. Assigned by the system.", "type": "string", "format": "google-datetime" }, "generalConfig": { "description": "Required. General settings of the advertiser.", "$ref": "AdvertiserGeneralConfig" }, "integrationDetails": { "$ref": "IntegrationDetails", "description": "Integration details of the advertiser. Only integrationCode is currently applicable to advertiser. Other fields of IntegrationDetails are not supported and will be ignored if provided." }, "partnerId": { "format": "int64", "type": "string", "description": "Required. Immutable. The unique ID of the partner that the advertiser belongs to." }, "dataAccessConfig": { "description": "Settings that control how advertiser data may be accessed.", "$ref": "AdvertiserDataAccessConfig" }, "creativeConfig": { "description": "Required. Creative related settings of the advertiser.", "$ref": "AdvertiserCreativeConfig" }, "prismaEnabled": { "description": "Whether integration with Mediaocean (Prisma) is enabled. By enabling this, you agree to the following: On behalf of my company, I authorize Mediaocean (Prisma) to send budget segment plans to Google, and I authorize Google to send corresponding reporting and invoices from DV360 to Mediaocean for the purposes of budget planning, billing, and reconciliation for this advertiser.", "type": "boolean" }, "displayName": { "description": "Required. The display name of the advertiser. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "name": { "description": "Output only. The resource name of the advertiser.", "readOnly": true, "type": "string" }, "adServerConfig": { "description": "Required. Immutable. Ad server related settings of the advertiser.", "$ref": "AdvertiserAdServerConfig" }, "entityStatus": { "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "description": "Required. Controls whether or not insertion orders and line items of the advertiser can spend their budgets and bid on inventory. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Accepted values are `ENTITY_STATUS_ACTIVE`, `ENTITY_STATUS_PAUSED` and `ENTITY_STATUS_SCHEDULED_FOR_DELETION`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If set to `ENTITY_STATUS_SCHEDULED_FOR_DELETION`, the advertiser will be deleted 30 days from when it was first scheduled for deletion.", "type": "string", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ] }, "advertiserId": { "readOnly": true, "type": "string", "description": "Output only. The unique ID of the advertiser. Assigned by the system.", "format": "int64" }, "servingConfig": { "$ref": "AdvertiserTargetingConfig", "description": "Targeting settings related to ad serving of the advertiser." } }, "id": "Advertiser", "type": "object" }, "UniversalAdId": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique creative identifier." }, "registry": { "enumDescriptions": [ "The Universal Ad registry is unspecified or is unknown in this version.", "Use a custom provider to provide the Universal Ad ID.", "Use Ad-ID to provide the Universal Ad ID.", "Use clearcast.co.uk to provide the Universal Ad ID.", "Use Display & Video 360 to provide the Universal Ad ID.", "Use Campaign Manager 360 to provide the Universal Ad ID." ], "enum": [ "UNIVERSAL_AD_REGISTRY_UNSPECIFIED", "UNIVERSAL_AD_REGISTRY_OTHER", "UNIVERSAL_AD_REGISTRY_AD_ID", "UNIVERSAL_AD_REGISTRY_CLEARCAST", "UNIVERSAL_AD_REGISTRY_DV360", "UNIVERSAL_AD_REGISTRY_CM" ], "description": "The registry provides unique creative identifiers.", "type": "string" } }, "id": "UniversalAdId", "description": "A creative identifier provided by a registry that is unique across all platforms. This is part of the VAST 4.0 standard." }, "Adloox": { "id": "Adloox", "description": "Details of Adloox settings.", "type": "object", "properties": { "excludedAdlooxCategories": { "description": "Adloox's brand safety settings.", "items": { "enum": [ "ADLOOX_UNSPECIFIED", "ADULT_CONTENT_HARD", "ADULT_CONTENT_SOFT", "ILLEGAL_CONTENT", "BORDERLINE_CONTENT", "DISCRIMINATORY_CONTENT", "VIOLENT_CONTENT_WEAPONS", "LOW_VIEWABILITY_DOMAINS", "FRAUD" ], "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any Adloox option.", "Adult content (hard).", "Adult content (soft).", "Illegal content.", "Borderline content.", "Discriminatory content.", "Violent content & weapons.", "Low viewability domains.", "Fraud." ] }, "type": "array" } } }, "TimerEvent": { "type": "object", "description": "Timer event of the creative.", "id": "TimerEvent", "properties": { "name": { "type": "string", "description": "Required. The name of the timer event." }, "reportingName": { "description": "Required. The name used to identify this timer event in reports.", "type": "string" } } }, "CustomListTargetingSetting": { "description": "Details of custom list targeting setting.", "properties": { "customListId": { "format": "int64", "description": "Required. Custom id of custom list targeting setting. This id is custom_list_id.", "type": "string" } }, "id": "CustomListTargetingSetting", "type": "object" }, "ReplaceNegativeKeywordsResponse": { "description": "Response message for NegativeKeywordService.ReplaceNegativeKeywords.", "properties": { "negativeKeywords": { "items": { "$ref": "NegativeKeyword" }, "type": "array", "description": "The full list of negative keywords now present in the negative keyword list." } }, "type": "object", "id": "ReplaceNegativeKeywordsResponse" }, "ContentGenreTargetingOptionDetails": { "id": "ContentGenreTargetingOptionDetails", "properties": { "displayName": { "description": "Output only. The display name of the content genre", "readOnly": true, "type": "string" } }, "description": "Represents a targetable content genre. This will be populated in the content_genre_details field when targeting_type is `TARGETING_TYPE_CONTENT_GENRE`.", "type": "object" }, "PrismaConfig": { "description": "Settings specific to the Mediaocean Prisma tool.", "id": "PrismaConfig", "type": "object", "properties": { "supplier": { "type": "string", "description": "Required. The entity allocated this budget (DSP, site, etc.)." }, "prismaCpeCode": { "$ref": "PrismaCpeCode", "description": "Required. Relevant client, product, and estimate codes from the Mediaocean Prisma tool." }, "prismaType": { "description": "Required. The Prisma type.", "enum": [ "PRISMA_TYPE_UNSPECIFIED", "PRISMA_TYPE_DISPLAY", "PRISMA_TYPE_SEARCH", "PRISMA_TYPE_VIDEO", "PRISMA_TYPE_AUDIO", "PRISMA_TYPE_SOCIAL", "PRISMA_TYPE_FEE" ], "type": "string", "enumDescriptions": [ "Type is not specified or unknown in this version.", "Display type.", "Search type.", "Video type.", "Audio type.", "Social type.", "Fee type." ] } } }, "AdvertiserTargetingConfig": { "type": "object", "description": "Targeting settings related to ad serving of an advertiser.", "id": "AdvertiserTargetingConfig", "properties": { "exemptTvFromViewabilityTargeting": { "type": "boolean", "description": "Whether or not connected TV devices are exempt from viewability targeting for all video line items under the advertiser." } } }, "LineItemFlight": { "properties": { "flightDateType": { "description": "Required. The type of the line item's flight dates.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The line item's flight dates are inherited from its parent insertion order.", "The line item uses its own custom flight dates.", "The line item uses a trigger." ], "enum": [ "LINE_ITEM_FLIGHT_DATE_TYPE_UNSPECIFIED", "LINE_ITEM_FLIGHT_DATE_TYPE_INHERITED", "LINE_ITEM_FLIGHT_DATE_TYPE_CUSTOM", "LINE_ITEM_FLIGHT_DATE_TYPE_TRIGGER" ], "type": "string" }, "dateRange": { "description": "The flight start and end dates of the line item. They are resolved relative to the parent advertiser's time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required when flight_date_type is `LINE_ITEM_FLIGHT_DATE_TYPE_CUSTOM`. Output only otherwise. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When creating a new flight, both `start_date` and `end_date` must be in the future. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An existing flight with a `start_date` in the past has a mutable `end_date` but an immutable `start_date`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `end_date` must be the `start_date` or later, both before the year 2037.", "$ref": "DateRange" }, "triggerId": { "description": "The ID of the manual trigger associated with the line item. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required when flight_date_type is `LINE_ITEM_FLIGHT_DATE_TYPE_TRIGGER`. Must not be set otherwise. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When set, the line item's flight dates are inherited from its parent insertion order. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Active line items will spend when the selected trigger is activated within the parent insertion order's flight dates.", "type": "string", "format": "int64" } }, "id": "LineItemFlight", "description": "Settings that control the active duration of a line item.", "type": "object" }, "ListPartnersResponse": { "type": "object", "id": "ListPartnersResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListPartners` method to retrieve the next page of results." }, "partners": { "type": "array", "items": { "$ref": "Partner" }, "description": "The list of partners. This list will be absent if empty." } } }, "FrequencyCap": { "properties": { "maxImpressions": { "format": "int32", "type": "integer", "description": "The maximum number of times a user may be shown the same ad during this period. Must be greater than 0. Required when unlimited is `false` and max_views is not set." }, "timeUnit": { "type": "string", "description": "The time unit in which the frequency cap will be applied. Required when unlimited is `false`.", "enum": [ "TIME_UNIT_UNSPECIFIED", "TIME_UNIT_LIFETIME", "TIME_UNIT_MONTHS", "TIME_UNIT_WEEKS", "TIME_UNIT_DAYS", "TIME_UNIT_HOURS", "TIME_UNIT_MINUTES" ], "enumDescriptions": [ "Time unit value is not specified or is unknown in this version.", "The frequency cap will be applied to the whole life time of the line item.", "The frequency cap will be applied to a number of months.", "The frequency cap will be applied to a number of weeks.", "The frequency cap will be applied to a number of days.", "The frequency cap will be applied to a number of hours.", "The frequency cap will be applied to a number of minutes." ] }, "timeUnitCount": { "type": "integer", "description": "The number of time_unit the frequency cap will last. Required when unlimited is `false`. The following restrictions apply based on the value of time_unit: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_LIFETIME` - this field is output only and will default to 1 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_MONTHS` - must be between 1 and 2 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_WEEKS` - must be between 1 and 4 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_DAYS` - must be between 1 and 6 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_HOURS` - must be between 1 and 23 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TIME_UNIT_MINUTES` - must be between 1 and 59", "format": "int32" }, "unlimited": { "description": "Whether unlimited frequency capping is applied. When this field is set to `true`, the remaining frequency cap fields are not applicable.", "type": "boolean" } }, "type": "object", "description": "Settings that control the number of times a user may be shown with the same ad during a given time period.", "id": "FrequencyCap" }, "AudioVideoOffset": { "type": "object", "description": "The length an audio or a video has been played.", "id": "AudioVideoOffset", "properties": { "seconds": { "type": "string", "description": "The offset in seconds from the start of the audio or video.", "format": "int64" }, "percentage": { "format": "int64", "description": "The offset in percentage of the audio or video duration.", "type": "string" } } }, "FixedBidStrategy": { "id": "FixedBidStrategy", "type": "object", "properties": { "bidAmountMicros": { "description": "The fixed bid amount, in micros of the advertiser's currency. For insertion order entity, bid_amount_micros should be set as 0. For line item entity, bid_amount_micros must be greater than or equal to billable unit of the given currency and smaller than or equal to the upper limit 1000000000. For example, 1500000 represents 1.5 standard units of the currency.", "type": "string", "format": "int64" } }, "description": "A strategy that uses a fixed bidding price." }, "BulkEditAssignedInventorySourcesResponse": { "id": "BulkEditAssignedInventorySourcesResponse", "type": "object", "properties": { "assignedInventorySources": { "description": "The list of assigned inventory sources that have been successfully created. This list will be absent if empty.", "type": "array", "items": { "$ref": "AssignedInventorySource" } } }, "description": "Response message for AssignedInventorySourceService.BulkEdit." }, "ReplaceNegativeKeywordsRequest": { "type": "object", "properties": { "newNegativeKeywords": { "description": "The negative keywords that will replace the existing keywords in the negative keyword list, specified as a list of NegativeKeywords.", "items": { "$ref": "NegativeKeyword" }, "type": "array" } }, "description": "Request message for NegativeKeywordService.ReplaceNegativeKeywords.", "id": "ReplaceNegativeKeywordsRequest" }, "AssignedUserRole": { "type": "object", "properties": { "userRole": { "type": "string", "enum": [ "USER_ROLE_UNSPECIFIED", "ADMIN", "ADMIN_PARTNER_CLIENT", "STANDARD", "STANDARD_PLANNER", "STANDARD_PLANNER_LIMITED", "STANDARD_PARTNER_CLIENT", "READ_ONLY", "REPORTING_ONLY", "LIMITED_REPORTING_ONLY", "CREATIVE", "CREATIVE_ADMIN" ], "enumDescriptions": [ "Default value when the user role is not specified or is unknown in this version.", "The user can manage campaigns, creatives, insertion orders, line items, and reports for the entity. They can view and edit billing information, create or modify users, and enable or disable exchanges. This role can only be assigned for a partner entity.", "The user can manage campaigns, creatives, insertion orders, line items, and reports for the entity. They can create and modify other `ADMIN_PARTNER_CLIENT` users and view billing information. They cannot view revenue models, markups, or any other reseller-sensitive fields. This role can only be assigned for a partner entity.", "The user can manage campaigns, creatives, insertion orders, line items, and reports for the entity. They cannot create and modify users or view billing information.", "The user can view all campaigns, creatives, insertion orders, line items, and reports for the entity, including all cost data. They can create and modify planning-related features, including plans and inventory.", "The user can view all campaigns, creatives, insertion orders, line items, and reports for the entity. They can create or modify planning-related features, including plans and inventory. They have no access to cost data and cannot start, accept, or negotiate deals.", "The user can manage campaigns, creatives, insertion orders, line items, and reports for the entity. They cannot create or modify other users or view billing information. They cannot view revenue models, markups, or any other reseller-sensitive fields. This role can only be assigned for an advertiser entity.", "The user can only build reports and view data for the entity.", "The user can only create and manage reports.", "The user can only create and manage the following client-safe reports: General, Audience Performance, Cross-Partner, Keyword, Order ID, Category, and Third-Party Data Provider.", "The user can view media plan information they need to collaborate, but can't view cost-related data or Marketplace.", "The user can view media plan information they need to collaborate, but can't view cost-related data or Marketplace. In addition, they can add other creative admins or creative users to the entity." ], "description": "Required. The user role to assign to a user for the entity." }, "advertiserId": { "description": "The ID of the advertiser that the assigend user role applies to.", "type": "string", "format": "int64" }, "assignedUserRoleId": { "type": "string", "description": "Output only. The ID of the assigned user role.", "readOnly": true }, "partnerId": { "type": "string", "description": "The ID of the partner that the assigned user role applies to.", "format": "int64" } }, "id": "AssignedUserRole", "description": "A single assigned user role, which defines a user's authorized interaction with a specified partner or advertiser." }, "CustomBiddingAlgorithm": { "type": "object", "properties": { "advertiserId": { "type": "string", "description": "Immutable. The unique ID of the advertiser that owns the custom bidding algorithm.", "format": "int64" }, "sharedAdvertiserIds": { "description": "The IDs of the advertisers who have access to this algorithm. If advertiser_id is set, this field will only consist of that value. This field will not be set if the algorithm [`owner`](/display-video/api/reference/rest/v1/customBiddingAlgorithms#CustomBiddingAlgorithm.FIELDS.oneof_owner) is a partner and is being retrieved using an advertiser [`accessor`](/display-video/api/reference/rest/v1/customBiddingAlgorithms/list#body.QUERY_PARAMETERS.oneof_accessor).", "type": "array", "items": { "format": "int64", "type": "string" } }, "entityStatus": { "type": "string", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "description": "Controls whether or not the custom bidding algorithm can be used as a bidding strategy. Accepted values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ENTITY_STATUS_ACTIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ENTITY_STATUS_ARCHIVED`" }, "customBiddingAlgorithmState": { "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DORMANT", "SUSPENDED" ], "enumDescriptions": [ "State is not specified or is unknown in this version.", "Algorithm is enabled, either recently used, currently used or scheduled to be used. The algorithm is actively scoring impressions.", "Algorithm has not been used recently. Although the algorithm still acts as `ENABLED`, it will eventually be suspended if not used.", "Algorithm is susepended from scoring impressions and doesn't have a serving model trained. If the algorithm is assigned to a line item or otherwise updated, it will switch back to the `ENABLED` state and require time to prepare the serving model again." ], "readOnly": true, "description": "Output only. The status of custom bidding algorithm.", "type": "string" }, "name": { "readOnly": true, "description": "Output only. The resource name of the custom bidding algorithm.", "type": "string" }, "customBiddingAlgorithmType": { "enum": [ "CUSTOM_BIDDING_ALGORITHM_TYPE_UNSPECIFIED", "SCRIPT_BASED", "ADS_DATA_HUB_BASED", "GOAL_BUILDER_BASED" ], "type": "string", "description": "Required. Immutable. The type of custom bidding algorithm.", "enumDescriptions": [ "Algorithm type is not specified or is unknown in this version.", "Algorithm generated through customer-uploaded custom bidding script files.", "Algorithm created through Ads Data Hub product.", "Algorithm created through goal builder in DV3 UI." ] }, "customBiddingAlgorithmId": { "format": "int64", "type": "string", "description": "Output only. The unique ID of the custom bidding algorithm. Assigned by the system.", "readOnly": true }, "partnerId": { "format": "int64", "description": "Immutable. The unique ID of the partner that owns the custom bidding algorithm.", "type": "string" }, "modelReadiness": { "readOnly": true, "items": { "$ref": "CustomBiddingModelReadinessState" }, "type": "array", "description": "Output only. The state of custom bidding model readiness for each advertiser who has access. This field may only include the state of the queried advertiser if the algorithm [`owner`](/display-video/api/reference/rest/v1/customBiddingAlgorithms#CustomBiddingAlgorithm.FIELDS.oneof_owner) is a partner and is being retrieved using an advertiser [`accessor`](/display-video/api/reference/rest/v1/customBiddingAlgorithms/list#body.QUERY_PARAMETERS.oneof_accessor)." }, "displayName": { "type": "string", "description": "Required. The display name of the custom bidding algorithm. Must be UTF-8 encoded with a maximum size of 240 bytes." } }, "description": "A single custom bidding algorithm.", "id": "CustomBiddingAlgorithm" }, "CreateAssetResponse": { "id": "CreateAssetResponse", "properties": { "asset": { "$ref": "Asset", "description": "The uploaded asset, if successful." } }, "type": "object", "description": "A response message for CreateAsset." }, "ListNegativeKeywordsResponse": { "description": "Response message for NegativeKeywordService.ListNegativeKeywords.", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListNegativeKeywords` method to retrieve the next page of results.", "type": "string" }, "negativeKeywords": { "items": { "$ref": "NegativeKeyword" }, "type": "array", "description": "The list of negative keywords. This list will be absent if empty." } }, "id": "ListNegativeKeywordsResponse", "type": "object" }, "CustomList": { "id": "CustomList", "description": "Describes a custom list entity, such as a custom affinity or custom intent audience list.", "properties": { "name": { "readOnly": true, "description": "Output only. The resource name of the custom list.", "type": "string" }, "displayName": { "type": "string", "description": "Output only. The display name of the custom list. .", "readOnly": true }, "customListId": { "description": "Output only. The unique ID of the custom list. Assigned by the system.", "type": "string", "format": "int64", "readOnly": true } }, "type": "object" }, "AuthorizedSellerStatusAssignedTargetingOptionDetails": { "description": "Represents an assigned authorized seller status. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS`.", "type": "object", "properties": { "authorizedSellerStatus": { "description": "Output only. The authorized seller status to target.", "enumDescriptions": [ "Default value when authorized seller status is not specified in this version. This enum is a placeholder for default value and does not represent a real authorized seller status option.", "Only authorized sellers that directly own the inventory being monetized, as indicated by a DIRECT declaration in the ads.txt file.", "All authorized sellers, including publishers that have not posted an ads.txt file. Display & Video 360 automatically disallows unauthorized sellers." ], "enum": [ "AUTHORIZED_SELLER_STATUS_UNSPECIFIED", "AUTHORIZED_SELLER_STATUS_AUTHORIZED_DIRECT_SELLERS_ONLY", "AUTHORIZED_SELLER_STATUS_AUTHORIZED_AND_NON_PARTICIPATING_PUBLISHERS" ], "type": "string", "readOnly": true }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS`." } }, "id": "AuthorizedSellerStatusAssignedTargetingOptionDetails" }, "RateDetails": { "description": "The rate related settings of the inventory source.", "properties": { "minimumSpend": { "readOnly": true, "$ref": "Money", "description": "Output only. The amount that the buyer has committed to spending on the inventory source up front. Only applicable for guaranteed inventory sources." }, "inventorySourceRateType": { "enumDescriptions": [ "The rate type is not specified or is unknown in this version.", "The rate type is CPM (Fixed).", "The rate type is CPM (Floor).", "The rate type is Cost per Day.", "The rate type is Flat." ], "description": "The rate type. Acceptable values are `INVENTORY_SOURCE_RATE_TYPE_CPM_FIXED`, `INVENTORY_SOURCE_RATE_TYPE_CPM_FLOOR`, and `INVENTORY_SOURCE_RATE_TYPE_CPD`.", "enum": [ "INVENTORY_SOURCE_RATE_TYPE_UNSPECIFIED", "INVENTORY_SOURCE_RATE_TYPE_CPM_FIXED", "INVENTORY_SOURCE_RATE_TYPE_CPM_FLOOR", "INVENTORY_SOURCE_RATE_TYPE_CPD", "INVENTORY_SOURCE_RATE_TYPE_FLAT" ], "type": "string" }, "unitsPurchased": { "type": "string", "format": "int64", "description": "Required for guaranteed inventory sources. The number of impressions guaranteed by the seller." }, "rate": { "description": "The rate for the inventory source.", "$ref": "Money" } }, "type": "object", "id": "RateDetails" }, "Invoice": { "id": "Invoice", "description": "A single invoice.", "properties": { "replacedInvoiceIds": { "description": "The ID(s) of any originally issued invoice that is being cancelled by this invoice, if applicable. Multiple invoices may be listed if those invoices are being consolidated into a single invoice. May appear on invoice PDF as `Replaced invoice numbers`. If corrected_invoice_id is set, this field will be empty.", "type": "array", "items": { "type": "string" } }, "budgetInvoiceGroupingId": { "description": "The budget grouping ID for this invoice. This field will only be set if the invoice level of the corresponding billing profile was set to \"Budget invoice grouping ID\".", "type": "string" }, "subtotalAmountMicros": { "format": "int64", "type": "string", "description": "The pre-tax subtotal amount, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar." }, "totalAmountMicros": { "description": "The invoice total amount, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar.", "type": "string", "format": "int64" }, "purchaseOrderNumber": { "type": "string", "description": "Purchase order number associated with the invoice." }, "currencyCode": { "type": "string", "description": "The currency used in the invoice in ISO 4217 format." }, "issueDate": { "$ref": "Date", "description": "The date when the invoice was issued." }, "serviceDateRange": { "description": "The service start and end dates which are covered by this invoice.", "$ref": "DateRange" }, "nonBudgetMicros": { "type": "string", "format": "int64", "description": "The total amount of costs or adjustments not tied to a particular budget, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar." }, "budgetSummaries": { "items": { "$ref": "BudgetSummary" }, "description": "The list of summarized information for each budget associated with this invoice. This field will only be set if the invoice detail level of the corresponding billing profile was set to \"Budget level PO\".", "type": "array" }, "invoiceType": { "description": "The type of invoice document.", "enumDescriptions": [ "Not specified or is unknown in this version.", "The invoice has a negative amount.", "The invoice has a positive amount." ], "type": "string", "enum": [ "INVOICE_TYPE_UNSPECIFIED", "INVOICE_TYPE_CREDIT", "INVOICE_TYPE_INVOICE" ] }, "displayName": { "type": "string", "description": "The display name of the invoice." }, "correctedInvoiceId": { "type": "string", "description": "The ID of the original invoice being adjusted by this invoice, if applicable. May appear on the invoice PDF as `Reference invoice number`. If replaced_invoice_ids is set, this field will be empty." }, "dueDate": { "$ref": "Date", "description": "The date when the invoice is due." }, "totalTaxAmountMicros": { "description": "The sum of all taxes in invoice, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar.", "type": "string", "format": "int64" }, "name": { "description": "The resource name of the invoice.", "type": "string" }, "paymentsProfileId": { "type": "string", "description": "The ID of the payments profile the invoice belongs to. Appears on the invoice PDF as `Billing ID`." }, "paymentsAccountId": { "description": "The ID of the payments account the invoice belongs to. Appears on the invoice PDF as `Billing Account Number`.", "type": "string" }, "pdfUrl": { "description": "The URL to download a PDF copy of the invoice. This URL is user specific and requires a valid OAuth 2.0 access token to access. The access token must be provided in an `Authorization: Bearer` HTTP header and be authorized for one of the following scopes: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/display-video-mediaplanning` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/auth/display-video` The URL will be valid for 7 days after retrieval of this invoice object or until this invoice is retrieved again.", "type": "string" }, "invoiceId": { "type": "string", "description": "The unique ID of the invoice." } }, "type": "object" }, "DigitalContentLabelTargetingOptionDetails": { "properties": { "contentRatingTier": { "type": "string", "enum": [ "CONTENT_RATING_TIER_UNSPECIFIED", "CONTENT_RATING_TIER_UNRATED", "CONTENT_RATING_TIER_GENERAL", "CONTENT_RATING_TIER_PARENTAL_GUIDANCE", "CONTENT_RATING_TIER_TEENS", "CONTENT_RATING_TIER_MATURE" ], "enumDescriptions": [ "Content label is not specified in this version. This enum is a place holder for a default value and does not represent a real content rating.", "Content that has not been labeled.", "Content suitable for general audiences.", "Content suitable for most audiences with parental guidance.", "Content suitable for teen and older audiences.", "Content suitable only for mature audiences." ], "description": "Output only. An enum for the content label brand safety tiers.", "readOnly": true } }, "description": "Represents a targetable digital content label rating tier. This will be populated in the digital_content_label_details field of the TargetingOption when targeting_type is `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION`.", "type": "object", "id": "DigitalContentLabelTargetingOptionDetails" }, "Dimensions": { "type": "object", "id": "Dimensions", "description": "Dimensions.", "properties": { "heightPixels": { "description": "The height in pixels.", "format": "int32", "type": "integer" }, "widthPixels": { "format": "int32", "type": "integer", "description": "The width in pixels." } } }, "AgeRangeTargetingOptionDetails": { "id": "AgeRangeTargetingOptionDetails", "type": "object", "description": "Represents a targetable age range. This will be populated in the age_range_details field when targeting_type is `TARGETING_TYPE_AGE_RANGE`.", "properties": { "ageRange": { "enumDescriptions": [ "Default value when age range is not specified in this version. This enum is a placeholder for default value and does not represent a real age range option.", "The age range of the audience is 18 to 24.", "The age range of the audience is 25 to 34.", "The age range of the audience is 35 to 44.", "The age range of the audience is 45 to 54.", "The age range of the audience is 55 to 64.", "The age range of the audience is 65 and up.", "The age range of the audience is unknown." ], "type": "string", "enum": [ "AGE_RANGE_UNSPECIFIED", "AGE_RANGE_18_24", "AGE_RANGE_25_34", "AGE_RANGE_35_44", "AGE_RANGE_45_54", "AGE_RANGE_55_64", "AGE_RANGE_65_PLUS", "AGE_RANGE_UNKNOWN" ], "readOnly": true, "description": "Output only. The age range of an audience." } } }, "LookupInvoiceCurrencyResponse": { "id": "LookupInvoiceCurrencyResponse", "type": "object", "properties": { "currencyCode": { "type": "string", "description": "Currency used by the advertiser in ISO 4217 format." } } }, "DeviceTypeTargetingOptionDetails": { "description": "Represents a targetable device type. This will be populated in the device_type_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_DEVICE_TYPE`.", "properties": { "deviceType": { "type": "string", "description": "Output only. The device type that is used to be targeted.", "enumDescriptions": [ "Default value when device type is not specified in this version. This enum is a placeholder for default value and does not represent a real device type option.", "The device type is computer.", "The device type is connected TV.", "The device type is smart phone..", "The device type is tablet." ], "readOnly": true, "enum": [ "DEVICE_TYPE_UNSPECIFIED", "DEVICE_TYPE_COMPUTER", "DEVICE_TYPE_CONNECTED_TV", "DEVICE_TYPE_SMART_PHONE", "DEVICE_TYPE_TABLET" ] } }, "id": "DeviceTypeTargetingOptionDetails", "type": "object" }, "ExchangeAssignedTargetingOptionDetails": { "description": "Details for assigned exchange targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_EXCHANGE`.", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_EXCHANGE`." } }, "type": "object", "id": "ExchangeAssignedTargetingOptionDetails" }, "MeasurementConfig": { "id": "MeasurementConfig", "type": "object", "description": "Measurement settings of a partner.", "properties": { "dv360ToCmCostReportingEnabled": { "description": "Whether or not to report DV360 cost to CM360.", "type": "boolean" }, "dv360ToCmDataSharingEnabled": { "type": "boolean", "description": "Whether or not to include DV360 data in CM360 data transfer reports." } } }, "AdvertiserCreativeConfig": { "id": "AdvertiserCreativeConfig", "properties": { "iasClientId": { "format": "int64", "type": "string", "description": "An ID for configuring campaign monitoring provided by Integral Ad Service (IAS). The DV360 system will append an IAS \"Campaign Monitor\" tag containing this ID to the creative tag." }, "dynamicCreativeEnabled": { "description": "Whether or not the advertiser is enabled for dynamic creatives.", "type": "boolean" }, "videoCreativeDataSharingAuthorized": { "type": "boolean", "description": "By setting this field to `true`, you, on behalf of your company, authorize Google to use video creatives associated with this Display & Video 360 advertiser to provide reporting and features related to the advertiser's television campaigns. Applicable only when the advertiser has a CM360 hybrid ad server configuration." }, "obaComplianceDisabled": { "type": "boolean", "description": "Whether or not to use DV360's Online Behavioral Advertising (OBA) compliance. Warning: Changing OBA settings may cause the audit status of your creatives to be reset by some ad exchanges, making them ineligible to serve until they are re-approved." } }, "description": "Creatives related settings of an advertiser.", "type": "object" }, "TrackingFloodlightActivityConfig": { "properties": { "postClickLookbackWindowDays": { "type": "integer", "format": "int32", "description": "Required. The number of days after an ad has been clicked in which a conversion may be counted. Must be between 0 and 90 inclusive." }, "floodlightActivityId": { "type": "string", "description": "Required. The ID of the Floodlight activity.", "format": "int64" }, "postViewLookbackWindowDays": { "type": "integer", "description": "Required. The number of days after an ad has been viewed in which a conversion may be counted. Must be between 0 and 90 inclusive.", "format": "int32" } }, "type": "object", "id": "TrackingFloodlightActivityConfig", "description": "Settings that control the behavior of a single Floodlight activity config." }, "ListInsertionOrderAssignedTargetingOptionsResponse": { "description": "Response message for ListInsertionOrderAssignedTargetingOptions.", "properties": { "assignedTargetingOptions": { "description": "The list of assigned targeting options. This list will be absent if empty.", "type": "array", "items": { "$ref": "AssignedTargetingOption" } }, "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent ListInsertionOrderAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" } }, "type": "object", "id": "ListInsertionOrderAssignedTargetingOptionsResponse" }, "ChannelAssignedTargetingOptionDetails": { "properties": { "channelId": { "description": "Required. ID of the channel. Should refer to the channel ID field on a [Partner-owned channel](partners.channels#Channel.FIELDS.channel_id) or [advertiser-owned channel](advertisers.channels#Channel.FIELDS.channel_id) resource.", "format": "int64", "type": "string" }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted. For advertiser level assigned targeting option, this field must be true." } }, "id": "ChannelAssignedTargetingOptionDetails", "description": "Details for assigned channel targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_CHANNEL`.", "type": "object" }, "AdvertiserAdServerConfig": { "type": "object", "description": "Ad server related settings of an advertiser.", "id": "AdvertiserAdServerConfig", "properties": { "cmHybridConfig": { "description": "The configuration for advertisers that use both Campaign Manager 360 (CM360) and third-party ad servers.", "$ref": "CmHybridConfig" }, "thirdPartyOnlyConfig": { "description": "The configuration for advertisers that use third-party ad servers only.", "$ref": "ThirdPartyOnlyConfig" } } }, "AssetAssociation": { "type": "object", "description": "Asset association for the creative.", "id": "AssetAssociation", "properties": { "asset": { "description": "The associated asset.", "$ref": "Asset" }, "role": { "description": "The role of this asset for the creative.", "enum": [ "ASSET_ROLE_UNSPECIFIED", "ASSET_ROLE_MAIN", "ASSET_ROLE_BACKUP", "ASSET_ROLE_POLITE_LOAD", "ASSET_ROLE_HEADLINE", "ASSET_ROLE_LONG_HEADLINE", "ASSET_ROLE_BODY", "ASSET_ROLE_LONG_BODY", "ASSET_ROLE_CAPTION_URL", "ASSET_ROLE_CALL_TO_ACTION", "ASSET_ROLE_ADVERTISER_NAME", "ASSET_ROLE_PRICE", "ASSET_ROLE_ANDROID_APP_ID", "ASSET_ROLE_IOS_APP_ID", "ASSET_ROLE_RATING", "ASSET_ROLE_ICON", "ASSET_ROLE_COVER_IMAGE" ], "enumDescriptions": [ "Asset role is not specified or is unknown in this version.", "The asset is the main asset of the creative.", "The asset is a backup asset of the creative.", "The asset is a polite load asset of the creative.", "Headline of a native creative. The content must be UTF-8 encoded with a length of no more than 25 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "Long headline of a native creative. The content must be UTF-8 encoded with a length of no more than 50 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "Body text of a native creative. The content must be UTF-8 encoded with a length of no more than 90 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "Long body text of a native creative. The content must be UTF-8 encoded with a length of no more than 150 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "A short, friendly version of the landing page URL to show in the creative. This URL gives people an idea of where they'll arrive after they click on the creative. The content must be UTF-8 encoded with a length of no more than 30 characters. For example, if the landing page URL is 'http://www.example.com/page', the caption URL can be 'example.com'. The protocol (http://) is optional, but the URL can't contain spaces or special characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "The text to use on the call-to-action button of a native creative. The content must be UTF-8 encoded with a length of no more than 15 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "The text that identifies the advertiser or brand name. The content must be UTF-8 encoded with a length of no more than 25 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "The purchase price of your app in the Google play store or iOS app store (for example, $5.99). Note that this value is not automatically synced with the actual value listed in the store. It will always be the one provided when save the creative. The content must be UTF-8 encoded with a length of no more than 15 characters. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE`", "The ID of an Android app in the Google play store. You can find this ID in the App’s Google Play Store URL after ‘id’. For example, in https://play.google.com/store/apps/details?id=com.company.appname the identifier is com.company.appname. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE`", "The ID of an iOS app in the Apple app store. This ID number can be found in the Apple App Store URL as the string of numbers directly after \"id\". For example, in https://apps.apple.com/us/app/gmail-email-by-google/id422689480 the ID is 422689480. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE`", "The rating of an app in the Google play store or iOS app store. Note that this value is not automatically synced with the actual rating in the store. It will always be the one provided when save the creative. This role is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE`", "The icon of a creative. This role is only supported and required in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE`", "The cover image of a native video creative. This role is only supported and required in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" ], "type": "string" } } }, "AppCategoryTargetingOptionDetails": { "properties": { "displayName": { "description": "Output only. The name of the app collection.", "readOnly": true, "type": "string" } }, "description": "Represents a targetable collection of apps. A collection lets you target dynamic groups of related apps that are maintained by the platform, for example `All Apps/Google Play/Games`. This will be populated in the app_category_details field when targeting_type is `TARGETING_TYPE_APP_CATEGORY`.", "type": "object", "id": "AppCategoryTargetingOptionDetails" }, "PerformanceGoalBidStrategy": { "id": "PerformanceGoalBidStrategy", "description": "A strategy that automatically adjusts the bid to meet or beat a specified performance goal.", "type": "object", "properties": { "customBiddingAlgorithmId": { "format": "int64", "description": "The ID of the Custom Bidding Algorithm used by this strategy. Only applicable when performance_goal_type is set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO`.", "type": "string" }, "maxAverageCpmBidAmountMicros": { "format": "int64", "type": "string", "description": "The maximum average CPM that may be bid, in micros of the advertiser's currency. Must be greater than or equal to a billable unit of the given currency. Not applicable when performance_goal_type is set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM`. For example, 1500000 represents 1.5 standard units of the currency." }, "performanceGoalType": { "description": "Required. The type of the performance goal that the bidding strategy will try to meet or beat. For line item level usage, the value must be one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO`.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Cost per action.", "Cost per click.", "Viewable CPM.", "Custom bidding algorithm.", "Completed inview and audible views.", "Inview time over 10 secs views.", "Viewable impressions." ], "type": "string", "enum": [ "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_UNSPECIFIED", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPA", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPC", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CIVA", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_IVO_TEN", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_AV_VIEWED" ] }, "performanceGoalAmountMicros": { "description": "Required. The performance goal the bidding strategy will attempt to meet or beat, in micros of the advertiser's currency or in micro of the ROAS (Return On Advertising Spend) value which is also based on advertiser's currency. Must be greater than or equal to a billable unit of the given currency and smaller or equal to upper bounds. Each performance_goal_type has its upper bound: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when performance_goal_type is `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPA`, upper bound is 10000.00 USD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when performance_goal_type is `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPC`, upper bound is 1000.00 USD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when performance_goal_type is `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM`, upper bound is 1000.00 USD. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh when performance_goal_type is `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO`, upper bound is 1000.00 and lower bound is 0.01. Example: If set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM`, the bid price will be based on the probability that each available impression will be viewable. For example, if viewable CPM target is $2 and an impression is 40% likely to be viewable, the bid price will be $0.80 CPM (40% of $2). For example, 1500000 represents 1.5 standard units of the currency or ROAS value.", "type": "string", "format": "int64" } } }, "ContentStreamTypeAssignedTargetingOptionDetails": { "description": "Details for content stream type assigned targeting option. This will be populated in the content_stream_type_details field when targeting_type is `TARGETING_TYPE_CONTENT_STREAM_TYPE`. Explicitly targeting all options is not supported. Remove all content stream type targeting options to achieve this effect.", "type": "object", "properties": { "contentStreamType": { "type": "string", "readOnly": true, "enum": [ "CONTENT_STREAM_TYPE_UNSPECIFIED", "CONTENT_LIVE_STREAM", "CONTENT_ON_DEMAND" ], "description": "Output only. The content stream type.", "enumDescriptions": [ "Content stream type is not specified in this version. This enum is a place holder for a default value and does not represent a real content stream type.", "The content is being live-streamed.", "The content is viewed on-demand." ] }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CONTENT_STREAM_TYPE`." } }, "id": "ContentStreamTypeAssignedTargetingOptionDetails" }, "OmidAssignedTargetingOptionDetails": { "id": "OmidAssignedTargetingOptionDetails", "description": "Represents a targetable Open Measurement enabled inventory type. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_OMID`.", "type": "object", "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_OMID`.", "type": "string" }, "omid": { "enum": [ "OMID_UNSPECIFIED", "OMID_FOR_MOBILE_DISPLAY_ADS" ], "type": "string", "description": "The type of Open Measurement enabled inventory. Output only in v1. Required in v2.", "enumDescriptions": [ "Default value when omid targeting is not specified in this version.", "Open Measurement enabled mobile display inventory." ] } } }, "ReviewStatusInfo": { "id": "ReviewStatusInfo", "type": "object", "properties": { "publisherReviewStatuses": { "items": { "$ref": "PublisherReviewStatus" }, "description": "Publisher review statuses for the creative.", "type": "array" }, "creativeAndLandingPageReviewStatus": { "description": "Creative and landing page review status for the creative.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The creative is approved.", "The creative is rejected.", "The creative is pending review." ], "enum": [ "REVIEW_STATUS_UNSPECIFIED", "REVIEW_STATUS_APPROVED", "REVIEW_STATUS_REJECTED", "REVIEW_STATUS_PENDING" ], "type": "string" }, "approvalStatus": { "enum": [ "APPROVAL_STATUS_UNSPECIFIED", "APPROVAL_STATUS_PENDING_NOT_SERVABLE", "APPROVAL_STATUS_PENDING_SERVABLE", "APPROVAL_STATUS_APPROVED_SERVABLE", "APPROVAL_STATUS_REJECTED_NOT_SERVABLE" ], "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The creative is still under review and not servable.", "The creative has passed creative & landing page review and is servable, but is awaiting additional content & policy review.", "Both creative & landing page review and content & policy review are approved. The creative is servable.", "There is an issue with the creative that must be fixed before it can serve." ], "description": "Represents the basic approval needed for a creative to begin serving. Summary of creative_and_landing_page_review_status and content_and_policy_review_status.", "type": "string" }, "contentAndPolicyReviewStatus": { "description": "Content and policy review status for the creative.", "enum": [ "REVIEW_STATUS_UNSPECIFIED", "REVIEW_STATUS_APPROVED", "REVIEW_STATUS_REJECTED", "REVIEW_STATUS_PENDING" ], "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The creative is approved.", "The creative is rejected.", "The creative is pending review." ], "type": "string" }, "exchangeReviewStatuses": { "description": "Exchange review statuses for the creative.", "type": "array", "items": { "$ref": "ExchangeReviewStatus" } } }, "description": "Review statuses for the creative." }, "Pacing": { "id": "Pacing", "properties": { "pacingPeriod": { "description": "Required. The time period in which the pacing budget will be spent. When automatic budget allocation is enabled at the insertion order via auto_budget_allocation, this field is output only and defaults to `PACING_PERIOD_FLIGHT`.", "type": "string", "enumDescriptions": [ "Period value is not specified or is unknown in this version.", "The pacing setting will be applied on daily basis.", "The pacing setting will be applied to the whole flight duration." ], "enum": [ "PACING_PERIOD_UNSPECIFIED", "PACING_PERIOD_DAILY", "PACING_PERIOD_FLIGHT" ] }, "dailyMaxImpressions": { "type": "string", "format": "int64", "description": "Maximum number of impressions to serve every day. Applicable when the budget is impression based. Must be greater than 0." }, "dailyMaxMicros": { "description": "Maximum currency amount to spend every day in micros of advertiser's currency. Applicable when the budget is currency based. Must be greater than 0. For example, for 1.5 standard unit of the currency, set this field to 1500000. The value assigned will be rounded to whole billable units for the relevant currency by the following rules: any positive value less than a single billable unit will be rounded up to one billable unit and any value larger than a single billable unit will be rounded down to the nearest billable value. For example, if the currency's billable unit is 0.01, and this field is set to 10257770, it will round down to 10250000, a value of 10.25. If set to 505, it will round up to 10000, a value of 0.01.", "format": "int64", "type": "string" }, "pacingType": { "type": "string", "description": "Required. The type of pacing that defines how the budget amount will be spent across the pacing_period.", "enumDescriptions": [ "Pacing mode value is not specified or is unknown in this version.", "Only applicable to `PACING_PERIOD_FLIGHT` pacing period. Ahead pacing attempts to spend faster than evenly, to make sure the entire budget is spent by the end of the flight.", "Spend all of pacing budget amount as quick as possible.", "Spend a consistent budget amount every period of time." ], "enum": [ "PACING_TYPE_UNSPECIFIED", "PACING_TYPE_AHEAD", "PACING_TYPE_ASAP", "PACING_TYPE_EVEN" ] } }, "type": "object", "description": "Settings that control the rate at which a budget is spent." }, "TargetingOption": { "description": "Represents a single targeting option, which is a targetable concept in DV360.", "properties": { "geoRegionDetails": { "description": "Geographic region resource details.", "$ref": "GeoRegionTargetingOptionDetails" }, "contentInstreamPositionDetails": { "description": "Content instream position details.", "$ref": "ContentInstreamPositionTargetingOptionDetails" }, "deviceMakeModelDetails": { "description": "Device make and model resource details.", "$ref": "DeviceMakeModelTargetingOptionDetails" }, "operatingSystemDetails": { "$ref": "OperatingSystemTargetingOptionDetails", "description": "Operating system resources details." }, "contentOutstreamPositionDetails": { "$ref": "ContentOutstreamPositionTargetingOptionDetails", "description": "Content outstream position details." }, "householdIncomeDetails": { "$ref": "HouseholdIncomeTargetingOptionDetails", "description": "Household income details." }, "genderDetails": { "description": "Gender details.", "$ref": "GenderTargetingOptionDetails" }, "targetingOptionId": { "description": "Output only. A unique identifier for this targeting option. The tuple {`targeting_type`, `targeting_option_id`} will be unique.", "readOnly": true, "type": "string" }, "digitalContentLabelDetails": { "$ref": "DigitalContentLabelTargetingOptionDetails", "description": "Digital content label details." }, "contentGenreDetails": { "description": "Content genre resource details.", "$ref": "ContentGenreTargetingOptionDetails" }, "parentalStatusDetails": { "description": "Parental status details.", "$ref": "ParentalStatusTargetingOptionDetails" }, "onScreenPositionDetails": { "$ref": "OnScreenPositionTargetingOptionDetails", "description": "On screen position details." }, "categoryDetails": { "$ref": "CategoryTargetingOptionDetails", "description": "Category resource details." }, "omidDetails": { "description": "Open Measurement enabled inventory details.", "$ref": "OmidTargetingOptionDetails" }, "userRewardedContentDetails": { "description": "User rewarded content details.", "$ref": "UserRewardedContentTargetingOptionDetails" }, "nativeContentPositionDetails": { "$ref": "NativeContentPositionTargetingOptionDetails", "description": "Native content position details." }, "languageDetails": { "$ref": "LanguageTargetingOptionDetails", "description": "Language resource details." }, "viewabilityDetails": { "description": "Viewability resource details.", "$ref": "ViewabilityTargetingOptionDetails" }, "name": { "description": "Output only. The resource name for this targeting option.", "readOnly": true, "type": "string" }, "ageRangeDetails": { "$ref": "AgeRangeTargetingOptionDetails", "description": "Age range details." }, "videoPlayerSizeDetails": { "$ref": "VideoPlayerSizeTargetingOptionDetails", "description": "Video player size details." }, "subExchangeDetails": { "description": "Sub-exchange details.", "$ref": "SubExchangeTargetingOptionDetails" }, "appCategoryDetails": { "$ref": "AppCategoryTargetingOptionDetails", "description": "App category details." }, "targetingType": { "description": "Output only. The type of this targeting option.", "readOnly": true, "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] }, "deviceTypeDetails": { "description": "Device type details.", "$ref": "DeviceTypeTargetingOptionDetails" }, "businessChainDetails": { "$ref": "BusinessChainTargetingOptionDetails", "description": "Business chain resource details." }, "environmentDetails": { "description": "Environment details.", "$ref": "EnvironmentTargetingOptionDetails" }, "browserDetails": { "$ref": "BrowserTargetingOptionDetails", "description": "Browser details." }, "contentDurationDetails": { "description": "Content duration resource details.", "$ref": "ContentDurationTargetingOptionDetails" }, "sensitiveCategoryDetails": { "description": "Sensitive Category details.", "$ref": "SensitiveCategoryTargetingOptionDetails" }, "audioContentTypeDetails": { "description": "Audio content type details.", "$ref": "AudioContentTypeTargetingOptionDetails" }, "poiDetails": { "description": "POI resource details.", "$ref": "PoiTargetingOptionDetails" }, "contentStreamTypeDetails": { "description": "Content stream type resource details.", "$ref": "ContentStreamTypeTargetingOptionDetails" }, "carrierAndIspDetails": { "description": "Carrier and ISP details.", "$ref": "CarrierAndIspTargetingOptionDetails" }, "exchangeDetails": { "description": "Exchange details.", "$ref": "ExchangeTargetingOptionDetails" }, "authorizedSellerStatusDetails": { "$ref": "AuthorizedSellerStatusTargetingOptionDetails", "description": "Authorized seller status resource details." } }, "type": "object", "id": "TargetingOption" }, "MobileDeviceIdList": { "description": "Wrapper message for a list of mobile device IDs defining Customer Match audience members.", "type": "object", "properties": { "mobileDeviceIds": { "items": { "type": "string" }, "type": "array", "description": "A list of mobile device IDs defining Customer Match audience members. The size of mobile_device_ids mustn't be greater than 500,000." } }, "id": "MobileDeviceIdList" }, "BrowserTargetingOptionDetails": { "properties": { "displayName": { "type": "string", "readOnly": true, "description": "Output only. The display name of the browser." } }, "type": "object", "description": "Represents a targetable browser. This will be populated in the browser_details field when targeting_type is `TARGETING_TYPE_BROWSER`.", "id": "BrowserTargetingOptionDetails" }, "EnvironmentTargetingOptionDetails": { "type": "object", "id": "EnvironmentTargetingOptionDetails", "description": "Represents a targetable environment. This will be populated in the environment_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_ENVIRONMENT`.", "properties": { "environment": { "enum": [ "ENVIRONMENT_UNSPECIFIED", "ENVIRONMENT_WEB_OPTIMIZED", "ENVIRONMENT_WEB_NOT_OPTIMIZED", "ENVIRONMENT_APP" ], "description": "Output only. The serving environment.", "type": "string", "enumDescriptions": [ "Default value when environment is not specified in this version. This enum is a placeholder for default value and does not represent a real environment option.", "Target inventory displayed in browsers. This includes inventory that was designed for the device it was viewed on, such as mobile websites viewed on a mobile device. ENVIRONMENT_WEB_NOT_OPTIMIZED, if targeted, should be deleted prior to the deletion of this targeting option.", "Target inventory displayed in browsers. This includes inventory that was not designed for the device but viewed on it, such as websites optimized for desktop but viewed on a mobile device. ENVIRONMENT_WEB_OPTIMIZED should be targeted prior to the addition of this targeting option.", "Target inventory displayed in apps." ], "readOnly": true } } }, "AssignedLocation": { "properties": { "assignedLocationId": { "description": "Output only. The unique ID of the assigned location. The ID is only unique within a location list. It may be reused in other contexts.", "type": "string", "readOnly": true, "format": "int64" }, "targetingOptionId": { "type": "string", "description": "Required. The ID of the targeting option assigned to the location list. Must be of type TARGETING_TYPE_GEO_REGION." }, "name": { "description": "Output only. The resource name of the assigned location.", "readOnly": true, "type": "string" } }, "description": "An assignment between a location list and a relevant targeting option. Currently, geo region targeting options are the only supported option for assignment.", "id": "AssignedLocation", "type": "object" }, "ListNegativeKeywordListsResponse": { "id": "ListNegativeKeywordListsResponse", "description": "Response message for NegativeKeywordListService.ListNegativeKeywordLists.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListNegativeKeywordLists` method to retrieve the next page of results." }, "negativeKeywordLists": { "items": { "$ref": "NegativeKeywordList" }, "type": "array", "description": "The list of negative keyword lists. This list will be absent if empty." } } }, "Date": { "type": "object", "properties": { "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32", "type": "integer" }, "year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." }, "month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer" } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date" }, "CombinedAudienceGroup": { "id": "CombinedAudienceGroup", "description": "Details of combined audience group. All combined audience targeting settings are logically ‘OR’ of each other.", "type": "object", "properties": { "settings": { "description": "Required. All combined audience targeting settings in combined audience group. Repeated settings with same id will be ignored. The number of combined audience settings should be no more than five, error will be thrown otherwise.", "type": "array", "items": { "$ref": "CombinedAudienceTargetingSetting" } } } }, "UrlAssignedTargetingOptionDetails": { "description": "Details for assigned URL targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_URL`.", "properties": { "url": { "type": "string", "description": "Required. The URL, for example `example.com`. DV360 supports two levels of subdirectory targeting, for example `www.example.com/one-subdirectory-level/second-level`, and five levels of subdomain targeting, for example `five.four.three.two.one.example.com`." }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." } }, "id": "UrlAssignedTargetingOptionDetails", "type": "object" }, "CampaignBudget": { "description": "Settings that control how the campaign budget is allocated.", "type": "object", "id": "CampaignBudget", "properties": { "prismaConfig": { "$ref": "PrismaConfig", "description": "Additional metadata for use by the Mediaocean Prisma tool. Required for Mediaocean budgets. Only applicable to prisma_enabled advertisers." }, "externalBudgetSource": { "type": "string", "enumDescriptions": [ "External budget source value is not specified or unknown in this version.", "Budget has no external source.", "Budget source is Mediaocean." ], "enum": [ "EXTERNAL_BUDGET_SOURCE_UNSPECIFIED", "EXTERNAL_BUDGET_SOURCE_NONE", "EXTERNAL_BUDGET_SOURCE_MEDIA_OCEAN" ], "description": "Required. The external source of the budget." }, "invoiceGroupingId": { "type": "string", "description": "Immutable. The ID used to group budgets to be included the same invoice. If this field is set and the invoice level of the corresponding billing profile is set to \"Budget invoice grouping ID\", all external_budget_id sharing the same invoice_grouping_id will be grouped in the same invoice." }, "budgetId": { "format": "int64", "type": "string", "description": "The unique ID of the campaign budget. Assigned by the system. Do not set for new budgets. Must be included when updating or adding budgets to campaign_budgets. Otherwise, a new ID will be generated and assigned." }, "dateRange": { "$ref": "DateRange", "description": "Required. The date range for the campaign budget. Linked budget segments may have a different date range. They are resolved relative to the parent advertiser's time zone. Both `start_date` and `end_date` must be before the year 2037." }, "displayName": { "description": "Required. The display name of the budget. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "budgetUnit": { "enum": [ "BUDGET_UNIT_UNSPECIFIED", "BUDGET_UNIT_CURRENCY", "BUDGET_UNIT_IMPRESSIONS" ], "description": "Required. Immutable. Specifies whether the budget is measured in currency or impressions.", "type": "string", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Budgeting in currency amounts.", "Budgeting in impression amounts." ] }, "externalBudgetId": { "type": "string", "description": "Immutable. The ID identifying this budget to the external source. If this field is set and the invoice detail level of the corresponding billing profile is set to \"Budget level PO\", all impressions served against this budget will include this ID on the invoice. Must be unique under the campaign." }, "budgetAmountMicros": { "description": "Required. The total amount the linked insertion order segments can budget. The amount is in micros. Must be greater than 0. For example, 500000000 represents 500 standard units of the currency.", "type": "string", "format": "int64" } } }, "CategoryTargetingOptionDetails": { "properties": { "displayName": { "readOnly": true, "type": "string", "description": "Output only. The display name of the category." } }, "id": "CategoryTargetingOptionDetails", "type": "object", "description": "Represents a targetable category. This will be populated in the category_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_CATEGORY`." }, "ListInsertionOrdersResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListInsertionOrders` method to retrieve the next page of results.", "type": "string" }, "insertionOrders": { "type": "array", "description": "The list of insertion orders. This list will be absent if empty.", "items": { "$ref": "InsertionOrder" } } }, "type": "object", "id": "ListInsertionOrdersResponse" }, "CustomBiddingModelReadinessState": { "id": "CustomBiddingModelReadinessState", "description": "The custom bidding algorithm model readiness state for a single shared advertiser.", "type": "object", "properties": { "advertiserId": { "description": "The unique ID of the relevant advertiser.", "type": "string", "format": "int64" }, "readinessState": { "enum": [ "READINESS_STATE_UNSPECIFIED", "READINESS_STATE_ACTIVE", "READINESS_STATE_INSUFFICIENT_DATA", "READINESS_STATE_TRAINING", "READINESS_STATE_NO_VALID_SCRIPT" ], "type": "string", "description": "The readiness state of custom bidding model.", "enumDescriptions": [ "State is not specified or is unknown in this version.", "The model is trained and ready for serving.", "There is not enough data to train the serving model.", "The model is training and not ready for serving.", "A valid custom bidding script has not been provided with which to train the model. This state will only be applied to algorithms whose `custom_bidding_algorithm_type` is `SCRIPT_BASED`." ] } } }, "ThirdPartyUrl": { "description": "Tracking URLs from third parties to track interactions with an audio or a video creative.", "properties": { "type": { "enumDescriptions": [ "The type of third-party URL is unspecified or is unknown in this version.", "Used to count impressions of the creative after the audio or video buffering is complete.", "Used to track user clicks on the audio or video.", "Used to track the number of times a user starts the audio or video.", "Used to track the number of times the audio or video plays to 25% of its length.", "Used to track the number of times the audio or video plays to 50% of its length.", "Used to track the number of times the audio or video plays to 75% of its length.", "Used to track the number of times the audio or video plays to the end.", "Used to track the number of times a user mutes the audio or video.", "Used to track the number of times a user pauses the audio or video.", "Used to track the number of times a user replays the audio or video.", "Used to track the number of times a user expands the player to full-screen size.", "Used to track the number of times a user stops the audio or video.", "Used to track the number of times a user performs a custom click, such as clicking on a video hot spot.", "Used to track the number of times the audio or video was skipped.", "Used to track the number of times the audio or video plays to an offset determined by the progress_offset." ], "type": "string", "enum": [ "THIRD_PARTY_URL_TYPE_UNSPECIFIED", "THIRD_PARTY_URL_TYPE_IMPRESSION", "THIRD_PARTY_URL_TYPE_CLICK_TRACKING", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_START", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_FIRST_QUARTILE", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_MIDPOINT", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_THIRD_QUARTILE", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_COMPLETE", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_MUTE", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_PAUSE", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_REWIND", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_FULLSCREEN", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_STOP", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_CUSTOM", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_SKIP", "THIRD_PARTY_URL_TYPE_AUDIO_VIDEO_PROGRESS" ], "description": "The type of interaction needs to be tracked by the tracking URL" }, "url": { "description": "Tracking URL used to track the interaction. Provide a URL with optional path or query string, beginning with `https:`. For example, https://www.example.com/path", "type": "string" } }, "type": "object", "id": "ThirdPartyUrl" }, "FirstAndThirdPartyAudience": { "id": "FirstAndThirdPartyAudience", "type": "object", "description": "Describes a first or third party audience list used for targeting. First party audiences are created via usage of client data. Third party audiences are provided by Third Party data providers and can only be licensed to customers.", "properties": { "displayName": { "description": "The display name of the first and third party audience.", "type": "string" }, "mobileDeviceIdList": { "$ref": "MobileDeviceIdList", "description": "Input only. A list of mobile device IDs to define the initial audience members. Only applicable to audience_type `CUSTOMER_MATCH_DEVICE_ID`" }, "appId": { "description": "The app_id matches with the type of the mobile_device_ids being uploaded. Only applicable to audience_type `CUSTOMER_MATCH_DEVICE_ID`", "type": "string" }, "firstAndThirdPartyAudienceId": { "readOnly": true, "description": "Output only. The unique ID of the first and third party audience. Assigned by the system.", "format": "int64", "type": "string" }, "youtubeAudienceSize": { "format": "int64", "type": "string", "description": "Output only. The estimated audience size for YouTube network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only applicable to first party audiences. Only returned in GET request.", "readOnly": true }, "audienceSource": { "type": "string", "enumDescriptions": [ "Default value when audience source is not specified or is unknown.", "Originated from Display & Video 360.", "Originated from Campaign Manager 360.", "Originated from Google Ad Manager.", "Originated from Search Ads 360.", "Originated from Youtube.", "Originated from Ads Data Hub." ], "enum": [ "AUDIENCE_SOURCE_UNSPECIFIED", "DISPLAY_VIDEO_360", "CAMPAIGN_MANAGER", "AD_MANAGER", "SEARCH_ADS_360", "YOUTUBE", "ADS_DATA_HUB" ], "description": "Output only. The source of the audience.", "readOnly": true }, "displayMobileAppAudienceSize": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The estimated mobile app audience size in Display network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only applicable to first party audiences. Only returned in GET request." }, "displayAudienceSize": { "readOnly": true, "type": "string", "description": "Output only. The estimated audience size for the Display network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only returned in GET request.", "format": "int64" }, "audienceType": { "enumDescriptions": [ "Default value when type is not specified or is unknown.", "Audience was generated through matching customers to known contact information.", "Audience was generated through matching customers to known Mobile device IDs.", "Audience was generated through matching customers to known User IDs.", "Audience was created based on campaign activity.", "Audience was created based on excluding the number of impressions they were served.", "Audience was created based on custom variables attached to pixel.", "Audience was created based on past interactions with videos, YouTube ads, or YouTube channel.", "Subtype of third party audience type." ], "enum": [ "AUDIENCE_TYPE_UNSPECIFIED", "CUSTOMER_MATCH_CONTACT_INFO", "CUSTOMER_MATCH_DEVICE_ID", "CUSTOMER_MATCH_USER_ID", "ACTIVITY_BASED", "FREQUENCY_CAP", "TAG_BASED", "YOUTUBE_USERS", "LICENSED" ], "type": "string", "description": "The type of the audience." }, "gmailAudienceSize": { "description": "Output only. The estimated audience size for Gmail network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only applicable to first party audiences. Only returned in GET request.", "readOnly": true, "type": "string", "format": "int64" }, "displayDesktopAudienceSize": { "format": "int64", "description": "Output only. The estimated desktop audience size in Display network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only applicable to first party audiences. Only returned in GET request.", "readOnly": true, "type": "string" }, "membershipDurationDays": { "description": "The duration in days that an entry remains in the audience after the qualifying event. If the audience has no expiration, set the value of this field to 10000. Otherwise, the set value must be greater than 0 and less than or equal to 540. Only applicable to first party audiences. This field is required if one of the following audience_type is used: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_CONTACT_INFO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CUSTOMER_MATCH_DEVICE_ID`", "format": "int64", "type": "string" }, "activeDisplayAudienceSize": { "readOnly": true, "format": "int64", "type": "string", "description": "Output only. The estimated audience size for the Display network in the past month. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only returned in GET request." }, "contactInfoList": { "$ref": "ContactInfoList", "description": "Input only. A list of contact information to define the initial audience members. Only applicable to audience_type `CUSTOMER_MATCH_CONTACT_INFO`" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the first and third party audience." }, "firstAndThirdPartyAudienceType": { "type": "string", "enumDescriptions": [ "Default value when type is not specified or is unknown.", "Audience that is created via usage of client data.", "Audience that is provided by Third Party data providers." ], "description": "Whether the audience is a first or third party audience.", "enum": [ "FIRST_AND_THIRD_PARTY_AUDIENCE_TYPE_UNSPECIFIED", "FIRST_AND_THIRD_PARTY_AUDIENCE_TYPE_FIRST_PARTY", "FIRST_AND_THIRD_PARTY_AUDIENCE_TYPE_THIRD_PARTY" ] }, "description": { "description": "The user-provided description of the audience. Only applicable to first party audiences.", "type": "string" }, "displayMobileWebAudienceSize": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. The estimated mobile web audience size in Display network. If the size is less than 1000, the number will be hidden and 0 will be returned due to privacy reasons. Otherwise, the number will be rounded off to two significant digits. Only applicable to first party audiences. Only returned in GET request." } } }, "CampaignGoal": { "description": "Settings that control the goal of a campaign.", "type": "object", "id": "CampaignGoal", "properties": { "performanceGoal": { "$ref": "PerformanceGoal", "description": "Required. The performance goal of the campaign. Acceptable values for performance_goal_type are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPM` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPIAVC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CTR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_VIEWABILITY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_OTHER`" }, "campaignGoalType": { "enumDescriptions": [ "Goal value is not specified or unknown in this version.", "Drive app installs or engagements.", "Raise awareness of a brand or product.", "Drive offline or in-store sales.", "Drive online action or visits." ], "description": "Required. The type of the campaign goal.", "enum": [ "CAMPAIGN_GOAL_TYPE_UNSPECIFIED", "CAMPAIGN_GOAL_TYPE_APP_INSTALL", "CAMPAIGN_GOAL_TYPE_BRAND_AWARENESS", "CAMPAIGN_GOAL_TYPE_OFFLINE_ACTION", "CAMPAIGN_GOAL_TYPE_ONLINE_ACTION" ], "type": "string" } } }, "ExitEvent": { "id": "ExitEvent", "properties": { "reportingName": { "type": "string", "description": "The name used to identify this event in reports. Leave it empty or unset for creatives containing image assets only." }, "url": { "type": "string", "description": "Required. The click through URL of the exit event. This is required when type is: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EXIT_EVENT_TYPE_DEFAULT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EXIT_EVENT_TYPE_BACKUP`" }, "type": { "description": "Required. The type of the exit event.", "enumDescriptions": [ "Exit event type is not specified or is unknown in this version.", "The exit event is the default one.", "The exit event is a backup exit event. There could be multiple backup exit events in a creative." ], "enum": [ "EXIT_EVENT_TYPE_UNSPECIFIED", "EXIT_EVENT_TYPE_DEFAULT", "EXIT_EVENT_TYPE_BACKUP" ], "type": "string" }, "name": { "type": "string", "description": "The name of the click tag of the exit event. The name must be unique within one creative. Leave it empty or unset for creatives containing image assets only." } }, "type": "object", "description": "Exit event of the creative." }, "Creative": { "id": "Creative", "properties": { "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the creative." }, "updateTime": { "readOnly": true, "description": "Output only. The timestamp when the creative was last updated, either by the user or system (e.g. creative review). Assigned by the system.", "type": "string", "format": "google-datetime" }, "thirdPartyUrls": { "items": { "$ref": "ThirdPartyUrl" }, "description": "Tracking URLs from third parties to track interactions with a video creative. This field is only supported for the following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "type": "array" }, "timerEvents": { "items": { "$ref": "TimerEvent" }, "type": "array", "description": "Timer custom events for a rich media creative. Timers track the time during which a user views and interacts with a specified part of a rich media creative. A creative can have multiple timer events, each timed independently. Leave it empty or unset for creatives containing image assets only." }, "expandOnHover": { "type": "boolean", "description": "Optional. Indicates the creative will automatically expand on hover. Optional and only valid for third-party expandable creatives. Third-party expandable creatives are creatives with following hosting source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE`" }, "requireMraid": { "description": "Optional. Indicates that the creative requires MRAID (Mobile Rich Media Ad Interface Definitions system). Set this if the creative relies on mobile gestures for interactivity, such as swiping or tapping. Optional and only valid for third-party tag creatives. Third-party tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE`", "type": "boolean" }, "skipOffset": { "$ref": "AudioVideoOffset", "description": "Amount of time to play the video before the skip button appears. This field is required when skippable is true. This field is only supported for the following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" }, "skippable": { "description": "Whether the user can choose to skip a video creative. This field is only supported for the following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "type": "boolean" }, "counterEvents": { "type": "array", "description": "Counter events for a rich media creative. Counters track the number of times that a user interacts with any part of a rich media creative in a specified way (mouse-overs, mouse-outs, clicks, taps, data loading, keyboard entries, etc.). Any event that can be captured in the creative can be recorded as a counter. Leave it empty or unset for creatives containing image assets only.", "items": { "$ref": "CounterEvent" } }, "vastTagUrl": { "description": "Optional. The URL of the VAST tag for a third-party VAST tag creative. Required and only valid for third-party VAST tag creatives. Third-party VAST tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "type": "string" }, "html5Video": { "readOnly": true, "description": "Output only. Indicates the third-party VAST tag creative requires HTML5 Video support. Output only and only valid for third-party VAST tag creatives. Third-party VAST tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "type": "boolean" }, "cmPlacementId": { "readOnly": true, "type": "string", "description": "Output only. The unique ID of the Campaign Manager 360 placement associated with the creative. This field is only applicable for creatives that are synced from Campaign Manager.", "format": "int64" }, "trackerUrls": { "items": { "type": "string" }, "type": "array", "description": "Tracking URLs for analytics providers or third-party ad technology vendors. The URLs must start with https (except on inventory that doesn't require SSL compliance). If using macros in your URL, use only macros supported by Display & Video 360. Standard URLs only, no IMG or SCRIPT tags. This field is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`" }, "appendedTag": { "description": "Third-party HTML tracking tag to be appended to the creative tag.", "type": "string" }, "requireHtml5": { "type": "boolean", "description": "Optional. Indicates that the creative relies on HTML5 to render properly. Optional and only valid for third-party tag creatives. Third-party tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE`" }, "progressOffset": { "description": "Amount of time to play the video before counting a view. This field is required when skippable is true. This field is only supported for the following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "$ref": "AudioVideoOffset" }, "transcodes": { "type": "array", "description": "Output only. Audio/Video transcodes. Display & Video 360 transcodes the main asset into a number of alternative versions that use different file formats or have different properties (resolution, audio bit rate, and video bit rate), each designed for specific video players or bandwidths. These transcodes give a publisher's system more options to choose from for each impression on your video and ensures that the appropriate file serves based on the viewer’s connection and screen size. This field is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO`", "readOnly": true, "items": { "$ref": "Transcode" } }, "iasCampaignMonitoring": { "type": "boolean", "description": "Indicates whether Integral Ad Science (IAS) campaign monitoring is enabled. To enable this for the creative, make sure the Advertiser.creative_config.ias_client_id has been set to your IAS client ID." }, "mediaDuration": { "readOnly": true, "description": "Output only. Media duration of the creative. Applicable when creative_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_PUBLISHER_HOSTED`", "type": "string", "format": "google-duration" }, "hostingSource": { "description": "Required. Indicates where the creative is hosted.", "enumDescriptions": [ "Hosting source is not specified or is unknown in this version.", "A creative synced from Campaign Manager 360. Create and update methods are **not** supported for this hosting type.", "A creative hosted by a third-party ad server (3PAS). Create and update methods are supported for this hosting type if the creative_type is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "A creative created in DV360 and hosted by Campaign Manager 360. Create and update methods are supported for this hosting type if the creative_type is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "A rich media creative created in Studio and hosted by Campaign Manager 360. Create and update methods are **not** supported for this hosting type." ], "type": "string", "enum": [ "HOSTING_SOURCE_UNSPECIFIED", "HOSTING_SOURCE_CM", "HOSTING_SOURCE_THIRD_PARTY", "HOSTING_SOURCE_HOSTED", "HOSTING_SOURCE_RICH_MEDIA" ] }, "cmTrackingAd": { "description": "The Campaign Manager 360 tracking ad associated with the creative. Optional for the following creative_type when created by an advertiser that uses both Campaign Manager 360 and third-party ad serving: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` Output only for other cases.", "$ref": "CmTrackingAd" }, "entityStatus": { "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "description": "Required. Controls whether or not the creative can serve. Accepted values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ENTITY_STATUS_ACTIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ENTITY_STATUS_ARCHIVED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ENTITY_STATUS_PAUSED`", "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The timestamp when the creative was created. Assigned by the system.", "readOnly": true }, "notes": { "description": "User notes for this creative. Must be UTF-8 encoded with a length of no more than 20,000 characters.", "type": "string" }, "mp3Audio": { "readOnly": true, "description": "Output only. Indicates the third-party audio creative supports MP3. Output only and only valid for third-party audio creatives. Third-party audio creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO`", "type": "boolean" }, "lineItemIds": { "type": "array", "items": { "format": "int64", "type": "string" }, "readOnly": true, "description": "Output only. The IDs of the line items this creative is associated with. To associate a creative to a line item, use LineItem.creative_ids instead." }, "dimensions": { "description": "Required. Primary dimensions of the creative. Applicable to all creative types. The value of width_pixels and height_pixels defaults to `0` when creative_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_TEMPLATED_APP_INSTALL_INTERSTITIAL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_TEMPLATED_APP_INSTALL_VIDEO`", "$ref": "Dimensions" }, "displayName": { "description": "Required. The display name of the creative. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "companionCreativeIds": { "description": "The IDs of companion creatives for a video creative. You can assign existing display creatives (with image or HTML5 assets) to serve surrounding the publisher's video player. Companions display around the video player while the video is playing and remain after the video has completed. Creatives contain additional dimensions can not be companion creatives. This field is only supported for following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "type": "array", "items": { "format": "int64", "type": "string" } }, "integrationCode": { "description": "ID information used to link this creative to an external system. Must be UTF-8 encoded with a length of no more than 10,000 characters.", "type": "string" }, "jsTrackerUrl": { "description": "JavaScript measurement URL from supported third-party verification providers (ComScore, DoubleVerify, IAS, Moat). HTML script tags are not supported. This field is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_VIDEO`", "type": "string" }, "creativeId": { "description": "Output only. The unique ID of the creative. Assigned by the system.", "type": "string", "readOnly": true, "format": "int64" }, "requirePingForAttribution": { "type": "boolean", "description": "Optional. Indicates that the creative will wait for a return ping for attribution. Only valid when using a Campaign Manager 360 tracking ad with a third-party ad server parameter and the ${DC_DBM_TOKEN} macro. Optional and only valid for third-party tag creatives or third-party VAST tag creatives. Third-party tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE` Third-party VAST tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" }, "additionalDimensions": { "items": { "$ref": "Dimensions" }, "type": "array", "description": "Additional dimensions. Applicable when creative_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_TEMPLATED_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_SITE_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_LIGHTBOX` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_PUBLISHER_HOSTED` If this field is specified, width_pixels and height_pixels are both required and must be greater than or equal to 0." }, "advertiserId": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. The unique ID of the advertiser the creative belongs to." }, "exitEvents": { "description": "Required. Exit events for this creative. An exit (also known as a click tag) is any area in your creative that someone can click or tap to open an advertiser's landing page. Every creative must include at least one exit. You can add an exit to your creative in any of the following ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Use Google Web Designer's tap area. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Define a JavaScript variable called \"clickTag\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Use the Enabler (Enabler.exit()) to track exits in rich media formats.", "items": { "$ref": "ExitEvent" }, "type": "array" }, "reviewStatus": { "description": "Output only. The current status of the creative review process.", "readOnly": true, "$ref": "ReviewStatusInfo" }, "universalAdId": { "$ref": "UniversalAdId", "description": "Optional. An optional creative identifier provided by a registry that is unique across all platforms. Universal Ad ID is part of the VAST 4.0 standard. It can be modified after the creative is created. This field is only supported for the following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" }, "obaIcon": { "$ref": "ObaIcon", "description": "Specifies the OBA icon for a video creative. This field is only supported in following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" }, "thirdPartyTag": { "type": "string", "description": "Optional. The original third-party tag used for the creative. Required and only valid for third-party tag creatives. Third-party tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE`" }, "assets": { "items": { "$ref": "AssetAssociation" }, "description": "Required. Assets associated to this creative. Assets can be associated to the creative in one of following roles: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ASSET_ROLE_UNSPECIFIED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ASSET_ROLE_MAIN` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ASSET_ROLE_BACKUP` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ASSET_ROLE_POLITE_LOAD`", "type": "array" }, "vpaid": { "description": "Output only. Indicates the third-party VAST tag creative requires VPAID (Digital Video Player-Ad Interface). Output only and only valid for third-party VAST tag creatives. Third-party VAST tag creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`", "readOnly": true, "type": "boolean" }, "oggAudio": { "readOnly": true, "description": "Output only. Indicates the third-party audio creative supports OGG. Output only and only valid for third-party audio creatives. Third-party audio creatives are creatives with following hosting_source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_AUDIO`", "type": "boolean" }, "creativeAttributes": { "items": { "type": "string", "enumDescriptions": [ "The creative attribute is not specified or is unknown in this version.", "The creative is a VAST creative.", "The creative is a linear VPAID creative.", "The creative is a non-linear VPAID creative." ], "enum": [ "CREATIVE_ATTRIBUTE_UNSPECIFIED", "CREATIVE_ATTRIBUTE_VAST", "CREATIVE_ATTRIBUTE_VPAID_LINEAR", "CREATIVE_ATTRIBUTE_VPAID_NON_LINEAR" ] }, "type": "array", "description": "Output only. A list of attributes of the creative that is generated by the system.", "readOnly": true }, "creativeType": { "enum": [ "CREATIVE_TYPE_UNSPECIFIED", "CREATIVE_TYPE_STANDARD", "CREATIVE_TYPE_EXPANDABLE", "CREATIVE_TYPE_VIDEO", "CREATIVE_TYPE_NATIVE", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL", "CREATIVE_TYPE_NATIVE_SITE_SQUARE", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL_INTERSTITIAL", "CREATIVE_TYPE_LIGHTBOX", "CREATIVE_TYPE_NATIVE_APP_INSTALL", "CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE", "CREATIVE_TYPE_AUDIO", "CREATIVE_TYPE_PUBLISHER_HOSTED", "CREATIVE_TYPE_NATIVE_VIDEO", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL_VIDEO" ], "description": "Required. Immutable. The type of the creative.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Standard display creative. Create and update methods are supported for this creative type if the hosting_source is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_HOSTED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY`", "Expandable creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_THIRD_PARTY`", "Video creative. Create and update methods are supported for this creative type if the hosting_source is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_HOSTED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY`", "Native creative rendered by publishers with assets from advertiser. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Templated app install mobile creative (banner). Create and update methods are **not** supported for this creative type.", "Square native creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Interstitial creative including both display and video. Create and update methods are **not** supported for this creative type.", "Responsive and expandable Lightbox creative. Create and update methods are **not** supported for this creative type.", "Native app install creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Square native app install creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Audio creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Publisher hosted creative. Create and update methods are **not** supported for this creative type.", "Native video creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Templated app install mobile video creative. Create and update methods are **not** supported for this creative type." ], "type": "string" }, "dynamic": { "description": "Output only. Indicates whether the creative is dynamic.", "readOnly": true, "type": "boolean" }, "expandingDirection": { "description": "Optional. Specifies the expanding direction of the creative. Required and only valid for third-party expandable creatives. Third-party expandable creatives are creatives with following hosting source: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY` combined with following creative_type: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_EXPANDABLE`", "enum": [ "EXPANDING_DIRECTION_UNSPECIFIED", "EXPANDING_DIRECTION_NONE", "EXPANDING_DIRECTION_UP", "EXPANDING_DIRECTION_DOWN", "EXPANDING_DIRECTION_LEFT", "EXPANDING_DIRECTION_RIGHT", "EXPANDING_DIRECTION_UP_AND_LEFT", "EXPANDING_DIRECTION_UP_AND_RIGHT", "EXPANDING_DIRECTION_DOWN_AND_LEFT", "EXPANDING_DIRECTION_DOWN_AND_RIGHT", "EXPANDING_DIRECTION_UP_OR_DOWN", "EXPANDING_DIRECTION_LEFT_OR_RIGHT", "EXPANDING_DIRECTION_ANY_DIAGONAL" ], "enumDescriptions": [ "The expanding direction is not specified.", "Does not expand in any direction.", "Expands up.", "Expands down.", "Expands left.", "Expands right.", "Expands up and to the left side.", "Expands up and to the right side.", "Expands down and to the left side.", "Expands down and to the right side.", "Expands either up or down.", "Expands to either the left or the right side.", "Can expand in any diagonal direction." ], "type": "string" } }, "type": "object", "description": "A single Creative." }, "Channel": { "description": "A single channel. Channels are custom groups of related websites and apps.", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The resource name of the channel.", "readOnly": true }, "displayName": { "description": "Required. The display name of the channel. Must be UTF-8 encoded with a maximum length of 240 bytes.", "type": "string" }, "channelId": { "readOnly": true, "type": "string", "description": "Output only. The unique ID of the channel. Assigned by the system.", "format": "int64" }, "partnerId": { "format": "int64", "description": "The ID of the partner that owns the channel.", "type": "string" }, "positivelyTargetedLineItemCount": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. Number of line items that are directly targeting this channel positively." }, "advertiserId": { "description": "The ID of the advertiser that owns the channel.", "format": "int64", "type": "string" }, "negativelyTargetedLineItemCount": { "type": "string", "format": "int64", "readOnly": true, "description": "Output only. Number of line items that are directly targeting this channel negatively." } }, "id": "Channel" }, "ManualTrigger": { "properties": { "activationDurationMinutes": { "type": "string", "description": "Required. The maximum duration of each activation in minutes. Must be between 1 and 360 inclusive. After this duration, the trigger will be automatically deactivated.", "format": "int64" }, "state": { "type": "string", "readOnly": true, "description": "Output only. The state of the manual trigger. Will be set to the `INACTIVE` state upon creation.", "enumDescriptions": [ "Default value when state is not specified or is unknown in this version.", "The trigger is currently inactive and ready to be activated.", "The trigger is currently active (activated)." ], "enum": [ "STATE_UNSPECIFIED", "INACTIVE", "ACTIVE" ] }, "name": { "type": "string", "description": "Output only. The resource name of the manual trigger.", "readOnly": true }, "displayName": { "type": "string", "description": "Required. The display name of the manual trigger. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "triggerId": { "description": "Output only. The unique ID of the manual trigger.", "readOnly": true, "type": "string", "format": "int64" }, "latestActivationTime": { "readOnly": true, "description": "Output only. The timestamp of the trigger's latest activation.", "format": "google-datetime", "type": "string" }, "advertiserId": { "type": "string", "format": "int64", "description": "Required. Immutable. The unique ID of the advertiser that the manual trigger belongs to." } }, "id": "ManualTrigger", "type": "object", "description": "A single manual trigger in Display & Video 360." }, "Money": { "description": "Represents an amount of money with its currency type.", "properties": { "currencyCode": { "type": "string", "description": "The three-letter currency code defined in ISO 4217." }, "nanos": { "type": "integer", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "format": "int32" }, "units": { "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "type": "string", "format": "int64" } }, "type": "object", "id": "Money" }, "NegativeKeyword": { "id": "NegativeKeyword", "properties": { "name": { "readOnly": true, "description": "Output only. The resource name of the negative keyword.", "type": "string" }, "keywordValue": { "type": "string", "description": "Required. Immutable. The negatively targeted keyword, for example `car insurance`. Must be UTF-8 encoded with a maximum size of 255 bytes. Maximum number of characters is 80. Maximum number of words is 10. Valid characters are restricted to ASCII characters only. The only URL-escaping permitted is for representing whitespace between words. Leading or trailing whitespace is ignored." } }, "type": "object", "description": "A negatively targeted keyword that belongs to a negative keyword list." }, "ListCampaignAssignedTargetingOptionsResponse": { "type": "object", "description": "Response message for ListCampaignAssignedTargetingOptions.", "properties": { "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent ListCampaignAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" }, "assignedTargetingOptions": { "type": "array", "items": { "$ref": "AssignedTargetingOption" }, "description": "The list of assigned targeting options. This list will be absent if empty." } }, "id": "ListCampaignAssignedTargetingOptionsResponse" }, "DeviceMakeModelTargetingOptionDetails": { "id": "DeviceMakeModelTargetingOptionDetails", "type": "object", "properties": { "displayName": { "type": "string", "description": "Output only. The display name of the device make and model.", "readOnly": true } }, "description": "Represents a targetable device make and model. This will be populated in the device_make_model_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_DEVICE_MAKE_MODEL`." }, "CmHybridConfig": { "id": "CmHybridConfig", "description": "Settings for advertisers that use both Campaign Manager 360 (CM360) and third-party ad servers.", "type": "object", "properties": { "cmFloodlightConfigId": { "description": "Required. Immutable. ID of the CM360 Floodlight configuration linked with the DV360 advertiser.", "type": "string", "format": "int64" }, "dv360ToCmDataSharingEnabled": { "type": "boolean", "description": "Whether or not to include DV360 data in CM360 data transfer reports." }, "cmAccountId": { "type": "string", "description": "Required. Immutable. Account ID of the CM360 Floodlight configuration linked with the DV360 advertiser.", "format": "int64" }, "cmFloodlightLinkingAuthorized": { "description": "Required. Immutable. By setting this field to `true`, you, on behalf of your company, authorize the sharing of information from the given Floodlight configuration to this Display & Video 360 advertiser.", "type": "boolean" }, "dv360ToCmCostReportingEnabled": { "type": "boolean", "description": "Whether or not to report DV360 cost to CM360." }, "cmSyncableSiteIds": { "items": { "type": "string", "format": "int64" }, "description": "A list of CM360 sites whose placements will be synced to DV360 as creatives. If absent or empty in CreateAdvertiser method, the system will automatically create a CM360 site. Removing sites from this list may cause DV360 creatives synced from CM360 to be deleted. At least one site must be specified.", "type": "array" } } }, "InventorySourceGroup": { "id": "InventorySourceGroup", "description": "A collection of targetable inventory sources.", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The resource name of the inventory source group.", "readOnly": true }, "displayName": { "type": "string", "description": "Required. The display name of the inventory source group. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "inventorySourceGroupId": { "description": "Output only. The unique ID of the inventory source group. Assigned by the system.", "type": "string", "readOnly": true, "format": "int64" } } }, "BiddingStrategy": { "id": "BiddingStrategy", "properties": { "performanceGoalAutoBid": { "$ref": "PerformanceGoalBidStrategy", "description": "A strategy that automatically adjusts the bid to meet or beat a specified performance goal. It is to be used only for a line item entity." }, "fixedBid": { "description": "A strategy that uses a fixed bid price.", "$ref": "FixedBidStrategy" }, "maximizeSpendAutoBid": { "$ref": "MaximizeSpendBidStrategy", "description": "A strategy that automatically adjusts the bid to optimize to your performance goal while spending the full budget. At insertion order level, the markup_type of line items cannot be set to `PARTNER_REVENUE_MODEL_MARKUP_TYPE_CPM`. In addition, when performance_goal_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_AV_VIEWED` , the line_item_type of the insertion order line items must be either: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LINE_ITEM_TYPE_DISPLAY_DEFAULT` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LINE_ITEM_TYPE_VIDEO_DEFAULT` , and when performance_goal_type is either: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CIVA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_IVO_TEN` the line_item_type of the insertion order line items must be `LINE_ITEM_TYPE_VIDEO_DEFAULT`." } }, "description": "Settings that control the bid strategy. Bid strategy determines the bid price.", "type": "object" }, "DayAndTimeAssignedTargetingOptionDetails": { "properties": { "startHour": { "format": "int32", "description": "Required. The start hour for day and time targeting. Must be between 0 (start of day) and 23 (1 hour before end of day).", "type": "integer" }, "dayOfWeek": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string", "description": "Required. The day of the week for this day and time targeting setting.", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] }, "timeZoneResolution": { "description": "Required. The mechanism used to determine which timezone to use for this day and time targeting setting.", "enum": [ "TIME_ZONE_RESOLUTION_UNSPECIFIED", "TIME_ZONE_RESOLUTION_END_USER", "TIME_ZONE_RESOLUTION_ADVERTISER" ], "type": "string", "enumDescriptions": [ "Time zone resolution is either unspecific or unknown.", "Times are resolved in the time zone of the user that saw the ad.", "Times are resolved in the time zone of the advertiser that served the ad." ] }, "endHour": { "format": "int32", "type": "integer", "description": "Required. The end hour for day and time targeting. Must be between 1 (1 hour after start of day) and 24 (end of day)." } }, "id": "DayAndTimeAssignedTargetingOptionDetails", "description": "Representation of a segment of time defined on a specific day of the week and with a start and end time. The time represented by `start_hour` must be before the time represented by `end_hour`.", "type": "object" }, "IntegrationDetails": { "properties": { "integrationCode": { "description": "An external identifier to be associated with the entry. The integration code will show up together with the entry in many places in the system, for example, reporting. Must be UTF-8 encoded with a length of no more than 500 characters.", "type": "string" }, "details": { "type": "string", "description": "Additional details of the entry in string format. Must be UTF-8 encoded with a length of no more than 1000 characters." } }, "type": "object", "id": "IntegrationDetails", "description": "Integration details of an entry." }, "UserRewardedContentTargetingOptionDetails": { "properties": { "userRewardedContent": { "type": "string", "description": "Output only. User rewarded content status for video ads.", "readOnly": true, "enumDescriptions": [ "User rewarded content is not specified or is unknown in this version.", "Represents ads where the user will see a reward after viewing.", "Represents all other ads besides user-rewarded." ], "enum": [ "USER_REWARDED_CONTENT_UNSPECIFIED", "USER_REWARDED_CONTENT_USER_REWARDED", "USER_REWARDED_CONTENT_NOT_USER_REWARDED" ] } }, "id": "UserRewardedContentTargetingOptionDetails", "type": "object", "description": "Represents a targetable user rewarded content status for video ads only. This will be populated in the user_rewarded_content_details field when targeting_type is `TARGETING_TYPE_USER_REWARDED_CONTENT`." }, "CreateAssignedTargetingOptionsRequest": { "description": "A request listing which assigned targeting options of a given targeting type should be created and added.", "properties": { "targetingType": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ], "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string", "description": "Required. Identifies the type of this assigned targeting option." }, "assignedTargetingOptions": { "type": "array", "items": { "$ref": "AssignedTargetingOption" }, "description": "Required. The assigned targeting options to create and add." } }, "type": "object", "id": "CreateAssignedTargetingOptionsRequest" }, "FirstAndThirdPartyAudienceGroup": { "properties": { "settings": { "items": { "$ref": "FirstAndThirdPartyAudienceTargetingSetting" }, "type": "array", "description": "Required. All first and third party audience targeting settings in first and third party audience group. Repeated settings with same id are not allowed." } }, "type": "object", "description": "Details of first and third party audience group. All first and third party audience targeting settings are logically ‘OR’ of each other.", "id": "FirstAndThirdPartyAudienceGroup" }, "VideoPlayerSizeTargetingOptionDetails": { "properties": { "videoPlayerSize": { "enumDescriptions": [ "Video player size is not specified in this version. This enum is a place holder for a default value and does not represent a real video player size.", "The dimensions of the video player are less than 400×300 (desktop), or up to 20% of screen covered (mobile).", "The dimensions of the video player are between 400x300 and 1280x720 pixels (desktop), or 20% to 90% of the screen covered (mobile).", "The dimensions of the video player are 1280×720 or greater (desktop), or over 90% of the screen covered (mobile).", "The dimensions of the video player are unknown." ], "enum": [ "VIDEO_PLAYER_SIZE_UNSPECIFIED", "VIDEO_PLAYER_SIZE_SMALL", "VIDEO_PLAYER_SIZE_LARGE", "VIDEO_PLAYER_SIZE_HD", "VIDEO_PLAYER_SIZE_UNKNOWN" ], "description": "Output only. The video player size.", "readOnly": true, "type": "string" } }, "id": "VideoPlayerSizeTargetingOptionDetails", "description": "Represents a targetable video player size. This will be populated in the video_player_size_details field when targeting_type is `TARGETING_TYPE_VIDEO_PLAYER_SIZE`.", "type": "object" }, "SubExchangeTargetingOptionDetails": { "type": "object", "description": "Represents a targetable sub-exchange. This will be populated in the sub_exchange_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_SUB_EXCHANGE`.", "properties": { "displayName": { "type": "string", "readOnly": true, "description": "Output only. The display name of the sub-exchange." } }, "id": "SubExchangeTargetingOptionDetails" }, "CreativeConfig": { "properties": { "displayCreativeConfig": { "description": "The configuration for display creatives. Applicable when creative_type is `CREATIVE_TYPE_STANDARD`.", "$ref": "InventorySourceDisplayCreativeConfig" }, "creativeType": { "type": "string", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Standard display creative. Create and update methods are supported for this creative type if the hosting_source is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_HOSTED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY`", "Expandable creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_THIRD_PARTY`", "Video creative. Create and update methods are supported for this creative type if the hosting_source is one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_HOSTED` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HOSTING_SOURCE_THIRD_PARTY`", "Native creative rendered by publishers with assets from advertiser. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Templated app install mobile creative (banner). Create and update methods are **not** supported for this creative type.", "Square native creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Interstitial creative including both display and video. Create and update methods are **not** supported for this creative type.", "Responsive and expandable Lightbox creative. Create and update methods are **not** supported for this creative type.", "Native app install creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Square native app install creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Audio creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Publisher hosted creative. Create and update methods are **not** supported for this creative type.", "Native video creative. Create and update methods are supported for this creative type if the hosting_source is `HOSTING_SOURCE_HOSTED`", "Templated app install mobile video creative. Create and update methods are **not** supported for this creative type." ], "enum": [ "CREATIVE_TYPE_UNSPECIFIED", "CREATIVE_TYPE_STANDARD", "CREATIVE_TYPE_EXPANDABLE", "CREATIVE_TYPE_VIDEO", "CREATIVE_TYPE_NATIVE", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL", "CREATIVE_TYPE_NATIVE_SITE_SQUARE", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL_INTERSTITIAL", "CREATIVE_TYPE_LIGHTBOX", "CREATIVE_TYPE_NATIVE_APP_INSTALL", "CREATIVE_TYPE_NATIVE_APP_INSTALL_SQUARE", "CREATIVE_TYPE_AUDIO", "CREATIVE_TYPE_PUBLISHER_HOSTED", "CREATIVE_TYPE_NATIVE_VIDEO", "CREATIVE_TYPE_TEMPLATED_APP_INSTALL_VIDEO" ], "description": "The type of creative that can be assigned to the inventory source. Only the following types are supported: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_STANDARD` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CREATIVE_TYPE_VIDEO`" }, "videoCreativeConfig": { "description": "The configuration for video creatives. Applicable when creative_type is `CREATIVE_TYPE_VIDEO`.", "$ref": "InventorySourceVideoCreativeConfig" } }, "type": "object", "description": "Creative requirements configuration for the inventory source.", "id": "CreativeConfig" }, "Status": { "id": "Status", "properties": { "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "ActiveViewVideoViewabilityMetricConfig": { "description": "Configuration for custom Active View video viewability metrics.", "properties": { "minimumVolume": { "type": "string", "description": "Required. The minimum percentage of the video ad's volume required in order for an impression to be recorded.", "enumDescriptions": [ "Value is not specified or is unknown in this version.", "0% volume.", "10% volume." ], "enum": [ "VIDEO_VOLUME_PERCENT_UNSPECIFIED", "VIDEO_VOLUME_PERCENT_0", "VIDEO_VOLUME_PERCENT_10" ] }, "displayName": { "description": "Required. The display name of the custom metric.", "type": "string" }, "minimumQuartile": { "enum": [ "VIDEO_DURATION_QUARTILE_UNSPECIFIED", "VIDEO_DURATION_QUARTILE_NONE", "VIDEO_DURATION_QUARTILE_FIRST", "VIDEO_DURATION_QUARTILE_SECOND", "VIDEO_DURATION_QUARTILE_THIRD", "VIDEO_DURATION_QUARTILE_FOURTH" ], "enumDescriptions": [ "Value is not specified or is unknown in this version.", "No quartile value.", "First quartile.", "Second quartile (midpoint).", "Third quartile.", "Fourth quartile (completion)." ], "type": "string", "description": "The minimum visible video duration required, based on the video quartiles, in order for an impression to be recorded. You must specify minimum_duration, minimum_quartile or both. If both are specified, an impression meets the metric criteria if either requirement is met (whichever happens first)." }, "minimumDuration": { "enum": [ "VIDEO_DURATION_UNSPECIFIED", "VIDEO_DURATION_SECONDS_NONE", "VIDEO_DURATION_SECONDS_0", "VIDEO_DURATION_SECONDS_1", "VIDEO_DURATION_SECONDS_2", "VIDEO_DURATION_SECONDS_3", "VIDEO_DURATION_SECONDS_4", "VIDEO_DURATION_SECONDS_5", "VIDEO_DURATION_SECONDS_6", "VIDEO_DURATION_SECONDS_7", "VIDEO_DURATION_SECONDS_8", "VIDEO_DURATION_SECONDS_9", "VIDEO_DURATION_SECONDS_10", "VIDEO_DURATION_SECONDS_11", "VIDEO_DURATION_SECONDS_12", "VIDEO_DURATION_SECONDS_13", "VIDEO_DURATION_SECONDS_14", "VIDEO_DURATION_SECONDS_15", "VIDEO_DURATION_SECONDS_30", "VIDEO_DURATION_SECONDS_45", "VIDEO_DURATION_SECONDS_60" ], "type": "string", "enumDescriptions": [ "Value is not specified or is unknown in this version.", "No duration value.", "0 seconds.", "1 second.", "2 seconds.", "3 seconds.", "4 seconds.", "5 seconds.", "6 seconds.", "7 seconds.", "8 seconds.", "9 seconds.", "10 seconds.", "11 seconds.", "12 seconds.", "13 seconds.", "14 seconds.", "15 seconds.", "30 seconds.", "45 seconds.", "60 seconds." ], "description": "The minimum visible video duration required (in seconds) in order for an impression to be recorded. You must specify minimum_duration, minimum_quartile or both. If both are specified, an impression meets the metric criteria if either requirement is met (whichever happens first)." }, "minimumViewability": { "enumDescriptions": [ "Value is not specified or is unknown in this version.", "0% viewable.", "25% viewable.", "50% viewable.", "75% viewable.", "100% viewable." ], "type": "string", "description": "Required. The minimum percentage of the video ad's pixels visible on the screen in order for an impression to be recorded.", "enum": [ "VIEWABILITY_PERCENT_UNSPECIFIED", "VIEWABILITY_PERCENT_0", "VIEWABILITY_PERCENT_25", "VIEWABILITY_PERCENT_50", "VIEWABILITY_PERCENT_75", "VIEWABILITY_PERCENT_100" ] } }, "type": "object", "id": "ActiveViewVideoViewabilityMetricConfig" }, "SdfConfig": { "description": "Structured Data File (SDF) related settings.", "properties": { "adminEmail": { "description": "An administrator email address to which the SDF processing status reports will be sent.", "type": "string" }, "version": { "enumDescriptions": [ "SDF version value is not specified or is unknown in this version.", "SDF version 3.1", "SDF version 4", "SDF version 4.1", "SDF version 4.2", "SDF version 5.", "SDF version 5.1", "SDF version 5.2", "SDF version 5.3", "SDF version 5.4", "SDF version 5.5" ], "enum": [ "SDF_VERSION_UNSPECIFIED", "SDF_VERSION_3_1", "SDF_VERSION_4", "SDF_VERSION_4_1", "SDF_VERSION_4_2", "SDF_VERSION_5", "SDF_VERSION_5_1", "SDF_VERSION_5_2", "SDF_VERSION_5_3", "SDF_VERSION_5_4", "SDF_VERSION_5_5" ], "type": "string", "description": "Required. The version of SDF being used." } }, "type": "object", "id": "SdfConfig" }, "OnScreenPositionTargetingOptionDetails": { "id": "OnScreenPositionTargetingOptionDetails", "type": "object", "description": "Represents a targetable on screen position, which could be used by display and video ads. This will be populated in the on_screen_position_details field when targeting_type is `TARGETING_TYPE_ON_SCREEN_POSITION`.", "properties": { "onScreenPosition": { "readOnly": true, "description": "Output only. The on screen position.", "type": "string", "enumDescriptions": [ "On screen position is not specified in this version. This enum is a place holder for a default value and does not represent a real on screen position.", "The ad position is unknown on the screen.", "The ad is located above the fold.", "The ad is located below the fold." ], "enum": [ "ON_SCREEN_POSITION_UNSPECIFIED", "ON_SCREEN_POSITION_UNKNOWN", "ON_SCREEN_POSITION_ABOVE_THE_FOLD", "ON_SCREEN_POSITION_BELOW_THE_FOLD" ] } } }, "PoiTargetingOptionDetails": { "properties": { "latitude": { "format": "double", "readOnly": true, "type": "number", "description": "Output only. Latitude of the POI rounding to 6th decimal place." }, "longitude": { "description": "Output only. Longitude of the POI rounding to 6th decimal place.", "format": "double", "readOnly": true, "type": "number" }, "displayName": { "type": "string", "description": "Output only. The display name of a POI(e.g. \"Times Square\", \"Space Needle\"), followed by its full address if available.", "readOnly": true } }, "type": "object", "id": "PoiTargetingOptionDetails", "description": "Represents a targetable point of interest(POI). This will be populated in the poi_details field when targeting_type is `TARGETING_TYPE_POI`." }, "MobileApp": { "description": "A mobile app promoted by a mobile app install line item.", "type": "object", "id": "MobileApp", "properties": { "appId": { "description": "Required. The ID of the app provided by the platform store. Android apps are identified by the bundle ID used by Android's Play store, such as `com.google.android.gm`. iOS apps are identified by a nine-digit app ID used by Apple's App store, such as `422689480`.", "type": "string" }, "publisher": { "description": "Output only. The app publisher.", "readOnly": true, "type": "string" }, "displayName": { "type": "string", "description": "Output only. The app name.", "readOnly": true }, "platform": { "readOnly": true, "enumDescriptions": [ "Platform is not specified.", "iOS platform.", "Android platform." ], "type": "string", "enum": [ "PLATFORM_UNSPECIFIED", "IOS", "ANDROID" ], "description": "Output only. The app platform." } } }, "ContactInfoList": { "properties": { "contactInfos": { "type": "array", "description": "A list of ContactInfo objects defining Customer Match audience members. The size of members after splitting the contact_infos mustn't be greater than 500,000.", "items": { "$ref": "ContactInfo" } } }, "description": "Wrapper message for a list of contact information defining Customer Match audience members.", "id": "ContactInfoList", "type": "object" }, "GeoRegionSearchTerms": { "description": "Search terms for geo region targeting options.", "type": "object", "id": "GeoRegionSearchTerms", "properties": { "geoRegionQuery": { "type": "string", "description": "The search query for the desired geo region. The query can be a prefix, e.g. \"New Yor\", \"Seattle\", \"USA\", etc." } } }, "ListFirstAndThirdPartyAudiencesResponse": { "id": "ListFirstAndThirdPartyAudiencesResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListFirstAndThirdPartyAudiences` method to retrieve the next page of results.", "type": "string" }, "firstAndThirdPartyAudiences": { "items": { "$ref": "FirstAndThirdPartyAudience" }, "type": "array", "description": "The list of first and third party audiences. Audience size properties will not be included. This list will be absent if empty." } }, "type": "object" }, "ListCombinedAudiencesResponse": { "type": "object", "id": "ListCombinedAudiencesResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCombinedAudiences` method to retrieve the next page of results.", "type": "string" }, "combinedAudiences": { "description": "The list of combined audiences. This list will be absent if empty.", "items": { "$ref": "CombinedAudience" }, "type": "array" } } }, "BulkListLineItemAssignedTargetingOptionsResponse": { "properties": { "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent BulkListLineItemAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" }, "assignedTargetingOptions": { "description": "The list of assigned targeting options. This list will be absent if empty.", "type": "array", "items": { "$ref": "AssignedTargetingOption" } } }, "type": "object", "id": "BulkListLineItemAssignedTargetingOptionsResponse" }, "CustomBiddingScript": { "type": "object", "properties": { "customBiddingScriptId": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The unique ID of the custom bidding script." }, "customBiddingAlgorithmId": { "readOnly": true, "type": "string", "format": "int64", "description": "Output only. The unique ID of the custom bidding algorithm the script belongs to." }, "createTime": { "description": "Output only. The time when the script was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "Output only. The resource name of the custom bidding script.", "readOnly": true }, "errors": { "type": "array", "items": { "$ref": "ScriptError" }, "readOnly": true, "description": "Output only. Error details of a rejected custom bidding script. This field will only be populated when Script.state is REJECTED." }, "active": { "type": "boolean", "readOnly": true, "description": "Output only. Whether the script is currently being used for scoring by the parent algorithm." }, "script": { "description": "The reference to the uploaded script file.", "$ref": "CustomBiddingScriptRef" }, "state": { "description": "Output only. The state of the custom bidding script.", "type": "string", "readOnly": true, "enumDescriptions": [ "The script state is not specified or is unknown in this version.", "The script has been accepted for scoring impressions.", "The script has been rejected by backend pipelines. It may have errors.", "The script is being processed for backend pipelines." ], "enum": [ "STATE_UNSPECIFIED", "ACCEPTED", "REJECTED", "PENDING" ] } }, "description": "A single custom bidding script.", "id": "CustomBiddingScript" }, "BulkEditNegativeKeywordsResponse": { "properties": { "negativeKeywords": { "items": { "$ref": "NegativeKeyword" }, "description": "The list of negative keywords that have been successfully created. This list will be absent if empty.", "type": "array" } }, "id": "BulkEditNegativeKeywordsResponse", "description": "Response message for NegativeKeywordService.BulkEditNegativeKeywords.", "type": "object" }, "DoubleVerifyDisplayViewability": { "description": "Details of DoubleVerify display viewability settings.", "id": "DoubleVerifyDisplayViewability", "type": "object", "properties": { "viewableDuring": { "description": "Target web and app inventory to maximize 100% viewable duration.", "enum": [ "AVERAGE_VIEW_DURATION_UNSPECIFIED", "AVERAGE_VIEW_DURATION_5_SEC", "AVERAGE_VIEW_DURATION_10_SEC", "AVERAGE_VIEW_DURATION_15_SEC" ], "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any average view duration options.", "Target web and app inventory to maximize 100% viewable duration 5 seconds or more.", "Target web and app inventory to maximize 100% viewable duration 10 seconds or more.", "Target web and app inventory to maximize 100% viewable duration 15 seconds or more." ], "type": "string" }, "iab": { "enum": [ "IAB_VIEWED_RATE_UNSPECIFIED", "IAB_VIEWED_RATE_80_PERCENT_HIGHER", "IAB_VIEWED_RATE_75_PERCENT_HIGHER", "IAB_VIEWED_RATE_70_PERCENT_HIGHER", "IAB_VIEWED_RATE_65_PERCENT_HIGHER", "IAB_VIEWED_RATE_60_PERCENT_HIGHER", "IAB_VIEWED_RATE_55_PERCENT_HIGHER", "IAB_VIEWED_RATE_50_PERCENT_HIGHER", "IAB_VIEWED_RATE_40_PERCENT_HIGHER", "IAB_VIEWED_RATE_30_PERCENT_HIGHER" ], "description": "Target web and app inventory to maximize IAB viewable rate.", "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any IAB viewed rate options.", "Target web and app inventory to maximize IAB viewable rate 80% or higher.", "Target web and app inventory to maximize IAB viewable rate 75% or higher.", "Target web and app inventory to maximize IAB viewable rate 70% or higher.", "Target web and app inventory to maximize IAB viewable rate 65% or higher.", "Target web and app inventory to maximize IAB viewable rate 60% or higher.", "Target web and app inventory to maximize IAB viewable rate 55% or higher.", "Target web and app inventory to maximize IAB viewable rate 50% or higher.", "Target web and app inventory to maximize IAB viewable rate 40% or higher.", "Target web and app inventory to maximize IAB viewable rate 30% or higher." ] } } }, "EditGuaranteedOrderReadAccessorsResponse": { "id": "EditGuaranteedOrderReadAccessorsResponse", "type": "object", "properties": { "readAccessInherited": { "type": "boolean", "description": "Whether all advertisers of read_write_partner_id have read access to the guaranteed order." }, "readAdvertiserIds": { "type": "array", "description": "The IDs of advertisers with read access to the guaranteed order.", "items": { "type": "string", "format": "int64" } } } }, "ListUsersResponse": { "id": "ListUsersResponse", "properties": { "users": { "description": "The list of users. This list will be absent if empty.", "items": { "$ref": "User" }, "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListUsers` method to retrieve the next page of results. This token will be absent if there are no more results to return.", "type": "string" } }, "type": "object" }, "BulkEditAssignedInventorySourcesRequest": { "type": "object", "description": "Request message for AssignedInventorySourceService.BulkEdit.", "id": "BulkEditAssignedInventorySourcesRequest", "properties": { "advertiserId": { "type": "string", "format": "int64", "description": "The ID of the advertiser that owns the parent inventory source group. The parent partner does not have access to these assigned inventory sources." }, "deletedAssignedInventorySources": { "type": "array", "description": "The IDs of the assigned inventory sources to delete in bulk, specified as a list of assigned_inventory_source_ids.", "items": { "format": "int64", "type": "string" } }, "createdAssignedInventorySources": { "items": { "$ref": "AssignedInventorySource" }, "type": "array", "description": "The assigned inventory sources to create in bulk, specified as a list of AssignedInventorySources." }, "partnerId": { "type": "string", "description": "The ID of the partner that owns the inventory source group. Only this partner has write access to these assigned inventory sources.", "format": "int64" } } }, "CounterEvent": { "id": "CounterEvent", "description": "Counter event of the creative.", "properties": { "name": { "type": "string", "description": "Required. The name of the counter event." }, "reportingName": { "type": "string", "description": "Required. The name used to identify this counter event in reports." } }, "type": "object" }, "NegativeKeywordListAssignedTargetingOptionDetails": { "id": "NegativeKeywordListAssignedTargetingOptionDetails", "description": "Targeting details for negative keyword list. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_NEGATIVE_KEYWORD_LIST`.", "type": "object", "properties": { "negativeKeywordListId": { "description": "Required. ID of the negative keyword list. Should refer to the negative_keyword_list_id field of a NegativeKeywordList resource.", "type": "string", "format": "int64" } } }, "ContentInstreamPositionTargetingOptionDetails": { "id": "ContentInstreamPositionTargetingOptionDetails", "properties": { "contentInstreamPosition": { "enum": [ "CONTENT_INSTREAM_POSITION_UNSPECIFIED", "CONTENT_INSTREAM_POSITION_PRE_ROLL", "CONTENT_INSTREAM_POSITION_MID_ROLL", "CONTENT_INSTREAM_POSITION_POST_ROLL", "CONTENT_INSTREAM_POSITION_UNKNOWN" ], "description": "Output only. The content instream position.", "readOnly": true, "enumDescriptions": [ "Content instream position is not specified in this version. This enum is a place holder for a default value and does not represent a real in stream ad position.", "Ads that play before streaming content.", "Ads that play between the beginning and end of streaming content.", "Ads that play at the end of streaming content.", "Ads instream position is unknown." ], "type": "string" } }, "description": "Represents a targetable content instream position, which could be used by video and audio ads. This will be populated in the content_instream_position_details field when targeting_type is `TARGETING_TYPE_CONTENT_INSTREAM_POSITION`.", "type": "object" }, "ListChannelsResponse": { "id": "ListChannelsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListChannels` method to retrieve the next page of results." }, "channels": { "type": "array", "description": "The list of channels. This list will be absent if empty.", "items": { "$ref": "Channel" } } }, "type": "object" }, "SensitiveCategoryTargetingOptionDetails": { "properties": { "sensitiveCategory": { "enum": [ "SENSITIVE_CATEGORY_UNSPECIFIED", "SENSITIVE_CATEGORY_ADULT", "SENSITIVE_CATEGORY_DEROGATORY", "SENSITIVE_CATEGORY_DOWNLOADS_SHARING", "SENSITIVE_CATEGORY_WEAPONS", "SENSITIVE_CATEGORY_GAMBLING", "SENSITIVE_CATEGORY_VIOLENCE", "SENSITIVE_CATEGORY_SUGGESTIVE", "SENSITIVE_CATEGORY_PROFANITY", "SENSITIVE_CATEGORY_ALCOHOL", "SENSITIVE_CATEGORY_DRUGS", "SENSITIVE_CATEGORY_TOBACCO", "SENSITIVE_CATEGORY_POLITICS", "SENSITIVE_CATEGORY_RELIGION", "SENSITIVE_CATEGORY_TRAGEDY", "SENSITIVE_CATEGORY_TRANSPORTATION_ACCIDENTS", "SENSITIVE_CATEGORY_SENSITIVE_SOCIAL_ISSUES", "SENSITIVE_CATEGORY_SHOCKING" ], "type": "string", "readOnly": true, "description": "Output only. An enum for the DV360 Sensitive category content classifier.", "enumDescriptions": [ "This enum is only a placeholder and doesn't specify a DV360 sensitive category.", "Adult or pornographic text, image, or video content.", "Content that may be construed as biased against individuals, groups, or organizations based on criteria such as race, religion, disability, sex, age, veteran status, sexual orientation, gender identity, or political affiliation. May also indicate discussion of such content, for instance, in an academic or journalistic context.", "Content related to audio, video, or software downloads.", "Contains content related to personal weapons, including knives, guns, small firearms, and ammunition. Selecting either \"weapons\" or \"sensitive social issues\" will result in selecting both.", "Contains content related to betting or wagering in a real-world or online setting.", "Content which may be considered graphically violent, gory, gruesome, or shocking, such as street fighting videos, accident photos, descriptions of torture, etc.", "Adult content, as well as suggestive content that's not explicitly pornographic. This category includes all pages categorized as adult.", "Prominent use of words considered indecent, such as curse words and sexual slang. Pages with only very occasional usage, such as news sites that might include such words in a quotation, are not included.", "Contains content related to alcoholic beverages, alcohol brands, recipes, etc.", "Contains content related to the recreational use of legal or illegal drugs, as well as to drug paraphernalia or cultivation.", "Contains content related to tobacco and tobacco accessories, including lighters, humidors, ashtrays, etc.", "Political news and media, including discussions of social, governmental, and public policy.", "Content related to religious thought or beliefs.", "Content related to death, disasters, accidents, war, etc.", "Content related to motor vehicle, aviation or other transportation accidents.", "Issues that evoke strong, opposing views and spark debate. These include issues that are controversial in most countries and markets (such as abortion), as well as those that are controversial in specific countries and markets (such as immigration reform in the United States).", "Content which may be considered shocking or disturbing, such as violent news stories, stunts, or toilet humor." ] } }, "id": "SensitiveCategoryTargetingOptionDetails", "description": "Represents a targetable sensitive category. This will be populated in the sensitive_category_details field of the TargetingOption when targeting_type is `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`.", "type": "object" }, "BulkListAdvertiserAssignedTargetingOptionsResponse": { "id": "BulkListAdvertiserAssignedTargetingOptionsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent BulkListAdvertiserAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return." }, "assignedTargetingOptions": { "type": "array", "items": { "$ref": "AssignedTargetingOption" }, "description": "The list of assigned targeting options. This list will be absent if empty." } }, "type": "object" }, "ExchangeTargetingOptionDetails": { "description": "Represents a targetable exchange. This will be populated in the exchange_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_EXCHANGE`.", "type": "object", "properties": { "exchange": { "enum": [ "EXCHANGE_UNSPECIFIED", "EXCHANGE_GOOGLE_AD_MANAGER", "EXCHANGE_APPNEXUS", "EXCHANGE_BRIGHTROLL", "EXCHANGE_ADFORM", "EXCHANGE_ADMETA", "EXCHANGE_ADMIXER", "EXCHANGE_ADSMOGO", "EXCHANGE_ADSWIZZ", "EXCHANGE_BIDSWITCH", "EXCHANGE_BRIGHTROLL_DISPLAY", "EXCHANGE_CADREON", "EXCHANGE_DAILYMOTION", "EXCHANGE_FIVE", "EXCHANGE_FLUCT", "EXCHANGE_FREEWHEEL", "EXCHANGE_GENIEE", "EXCHANGE_GUMGUM", "EXCHANGE_IMOBILE", "EXCHANGE_IBILLBOARD", "EXCHANGE_IMPROVE_DIGITAL", "EXCHANGE_INDEX", "EXCHANGE_KARGO", "EXCHANGE_MICROAD", "EXCHANGE_MOPUB", "EXCHANGE_NEND", "EXCHANGE_ONE_BY_AOL_DISPLAY", "EXCHANGE_ONE_BY_AOL_MOBILE", "EXCHANGE_ONE_BY_AOL_VIDEO", "EXCHANGE_OOYALA", "EXCHANGE_OPENX", "EXCHANGE_PERMODO", "EXCHANGE_PLATFORMONE", "EXCHANGE_PLATFORMID", "EXCHANGE_PUBMATIC", "EXCHANGE_PULSEPOINT", "EXCHANGE_REVENUEMAX", "EXCHANGE_RUBICON", "EXCHANGE_SMARTCLIP", "EXCHANGE_SMARTRTB", "EXCHANGE_SMARTSTREAMTV", "EXCHANGE_SOVRN", "EXCHANGE_SPOTXCHANGE", "EXCHANGE_STROER", "EXCHANGE_TEADSTV", "EXCHANGE_TELARIA", "EXCHANGE_TVN", "EXCHANGE_UNITED", "EXCHANGE_YIELDLAB", "EXCHANGE_YIELDMO", "EXCHANGE_UNRULYX", "EXCHANGE_OPEN8", "EXCHANGE_TRITON", "EXCHANGE_TRIPLELIFT", "EXCHANGE_TABOOLA", "EXCHANGE_INMOBI", "EXCHANGE_SMAATO", "EXCHANGE_AJA", "EXCHANGE_SUPERSHIP", "EXCHANGE_NEXSTAR_DIGITAL", "EXCHANGE_WAZE", "EXCHANGE_SOUNDCAST", "EXCHANGE_SHARETHROUGH", "EXCHANGE_RED_FOR_PUBLISHERS", "EXCHANGE_MEDIANET", "EXCHANGE_TAPJOY" ], "description": "Output only. The type of exchange.", "enumDescriptions": [ "Exchange is not specified or is unknown in this version.", "Google Ad Manager.", "AppNexus.", "BrightRoll Exchange for Video from Yahoo!.", "Adform.", "Admeta.", "Admixer.", "AdsMogo.", "AdsWizz.", "BidSwitch.", "BrightRoll Exchange for Display from Yahoo!.", "Cadreon.", "Dailymotion.", "Five.", "Fluct.", "FreeWheel SSP.", "Geniee.", "GumGum.", "i-mobile.", "iBILLBOARD.", "Improve Digital.", "Index Exchange.", "Kargo.", "MicroAd.", "MoPub.", "Nend.", "ONE by AOL: Display Market Place.", "ONE by AOL: Mobile.", "ONE by AOL: Video.", "Ooyala.", "OpenX.", "Permodo.", "Platform One.", "PlatformId.", "PubMatic.", "PulsePoint.", "RevenueMax.", "Rubicon.", "SmartClip.", "SmartRTB+.", "SmartstreamTv.", "Sovrn.", "SpotXchange.", "Ströer SSP.", "TeadsTv.", "Telaria.", "TVN.", "United.", "Yieldlab.", "Yieldmo.", "UnrulyX.", "Open8.", "Triton.", "TripleLift.", "Taboola.", "InMobi.", "Smaato.", "Aja.", "Supership.", "Nexstar Digital.", "Waze.", "SoundCast.", "Sharethrough.", "Red For Publishers.", "Media.net.", "Tapjoy." ], "type": "string", "readOnly": true } }, "id": "ExchangeTargetingOptionDetails" }, "DeleteAssignedTargetingOptionsRequest": { "type": "object", "id": "DeleteAssignedTargetingOptionsRequest", "description": "A request listing which assigned targeting options of a given targeting type should be deleted.", "properties": { "targetingType": { "description": "Required. Identifies the type of this assigned targeting option.", "enum": [ "TARGETING_TYPE_UNSPECIFIED", "TARGETING_TYPE_CHANNEL", "TARGETING_TYPE_APP_CATEGORY", "TARGETING_TYPE_APP", "TARGETING_TYPE_URL", "TARGETING_TYPE_DAY_AND_TIME", "TARGETING_TYPE_AGE_RANGE", "TARGETING_TYPE_REGIONAL_LOCATION_LIST", "TARGETING_TYPE_PROXIMITY_LOCATION_LIST", "TARGETING_TYPE_GENDER", "TARGETING_TYPE_VIDEO_PLAYER_SIZE", "TARGETING_TYPE_USER_REWARDED_CONTENT", "TARGETING_TYPE_PARENTAL_STATUS", "TARGETING_TYPE_CONTENT_INSTREAM_POSITION", "TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION", "TARGETING_TYPE_DEVICE_TYPE", "TARGETING_TYPE_AUDIENCE_GROUP", "TARGETING_TYPE_BROWSER", "TARGETING_TYPE_HOUSEHOLD_INCOME", "TARGETING_TYPE_ON_SCREEN_POSITION", "TARGETING_TYPE_THIRD_PARTY_VERIFIER", "TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION", "TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION", "TARGETING_TYPE_ENVIRONMENT", "TARGETING_TYPE_CARRIER_AND_ISP", "TARGETING_TYPE_OPERATING_SYSTEM", "TARGETING_TYPE_DEVICE_MAKE_MODEL", "TARGETING_TYPE_KEYWORD", "TARGETING_TYPE_NEGATIVE_KEYWORD_LIST", "TARGETING_TYPE_VIEWABILITY", "TARGETING_TYPE_CATEGORY", "TARGETING_TYPE_INVENTORY_SOURCE", "TARGETING_TYPE_LANGUAGE", "TARGETING_TYPE_AUTHORIZED_SELLER_STATUS", "TARGETING_TYPE_GEO_REGION", "TARGETING_TYPE_INVENTORY_SOURCE_GROUP", "TARGETING_TYPE_EXCHANGE", "TARGETING_TYPE_SUB_EXCHANGE", "TARGETING_TYPE_POI", "TARGETING_TYPE_BUSINESS_CHAIN", "TARGETING_TYPE_CONTENT_DURATION", "TARGETING_TYPE_CONTENT_STREAM_TYPE", "TARGETING_TYPE_NATIVE_CONTENT_POSITION", "TARGETING_TYPE_OMID", "TARGETING_TYPE_AUDIO_CONTENT_TYPE", "TARGETING_TYPE_CONTENT_GENRE" ], "type": "string", "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Target a channel (a custom group of related websites or apps).", "Target an app category (for example, education or puzzle games).", "Target a specific app (for example, Angry Birds).", "Target a specific url (for example, quora.com).", "Target ads during a chosen time period on a specific day.", "Target ads to a specific age range (for example, 18-24).", "Target ads to the specified regions on a regional location list.", "Target ads to the specified points of interest on a proximity location list.", "Target ads to a specific gender (for example, female or male).", "Target a specific video player size for video ads.", "Target user rewarded content for video ads.", "Target ads to a specific parental status (for example, parent or not a parent).", "Target video or audio ads in a specific content instream position (for example, pre-roll, mid-roll, or post-roll).", "Target ads in a specific content outstream position.", "Target ads to a specific device type (for example, tablet or connected TV).", "Target ads to an audience or groups of audiences. Singleton field, at most one can exist on a single Lineitem at a time.", "Target ads to specific web browsers (for example, Chrome).", "Target ads to a specific household income range (for example, top 10%).", "Target ads in a specific on screen position.", "Filter web sites through third party verification (for example, IAS or DoubleVerify).", "Filter web sites by specific digital content label ratings (for example, DL-MA: suitable only for mature audiences).", "Filter website content by sensitive categories (for example, adult).", "Target ads to a specific environment (for example, web or app).", "Target ads to a specific network carrier or internet service provider (ISP) (for example, Comcast or Orange).", "Target ads to a specific operating system (for example, macOS).", "Target ads to a specific device make or model (for example, Roku or Samsung).", "Target ads to a specific keyword (for example, dog or retriever).", "Target ads to a specific negative keyword list.", "Target ads to a specific viewability (for example, 80% viewable).", "Target ads to a specific content category (for example, arts & entertainment).", "Purchase impressions from specific deals and auction packages.", "Target ads to a specific language (for example, English or Japanese).", "Target ads to ads.txt authorized sellers.", "Target ads to a specific regional location (for example, a city or state).", "Purchase impressions from a group of deals and auction packages.", "Purchase impressions from specific exchanges.", "Purchase impressions from specific sub-exchanges.", "Target ads around a specific point of interest, such as a notable building, a street address, or latitude/longitude coordinates.", "Target ads around locations of a business chain within a specific geo region.", "Target ads to a specific video content duration.", "Target ads to a specific video content stream type.", "Target ads to a specific native content position.", "Target ads in an Open Measurement enabled inventory.", "Target ads to a specific audio content type.", "Target ads to a specific content genre." ] }, "assignedTargetingOptionIds": { "type": "array", "items": { "type": "string" }, "description": "Required. The assigned targeting option IDs to delete." } } }, "ContentDurationAssignedTargetingOptionDetails": { "description": "Details for content duration assigned targeting option. This will be populated in the content_duration_details field when targeting_type is `TARGETING_TYPE_CONTENT_DURATION`. Explicitly targeting all options is not supported. Remove all content duration targeting options to achieve this effect.", "type": "object", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CONTENT_DURATION`." }, "contentDuration": { "enumDescriptions": [ "Content duration is not specified in this version. This enum is a place holder for a default value and does not represent a real content duration.", "The content duration is unknown.", "Content is 0-1 minute long.", "Content is 1-5 minutes long.", "Content is 5-15 minutes long.", "Content is 15-30 minutes long.", "Content is 30-60 minutes long.", "Content is over 60 minutes long." ], "type": "string", "readOnly": true, "enum": [ "CONTENT_DURATION_UNSPECIFIED", "CONTENT_DURATION_UNKNOWN", "CONTENT_DURATION_0_TO_1_MIN", "CONTENT_DURATION_1_TO_5_MIN", "CONTENT_DURATION_5_TO_15_MIN", "CONTENT_DURATION_15_TO_30_MIN", "CONTENT_DURATION_30_TO_60_MIN", "CONTENT_DURATION_OVER_60_MIN" ], "description": "Output only. The content duration." } }, "id": "ContentDurationAssignedTargetingOptionDetails" }, "ListSitesResponse": { "id": "ListSitesResponse", "description": "Response message for SiteService.ListSites.", "properties": { "sites": { "description": "The list of sites. This list will be absent if empty.", "items": { "$ref": "Site" }, "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListSites` method to retrieve the next page of results.", "type": "string" } }, "type": "object" }, "BusinessChainAssignedTargetingOptionDetails": { "id": "BusinessChainAssignedTargetingOptionDetails", "description": "Details for assigned Business chain targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_BUSINESS_CHAIN`.", "properties": { "proximityRadiusAmount": { "type": "number", "format": "double", "description": "Required. The radius of the area around the business chain that will be targeted. The units of the radius are specified by proximity_radius_unit. Must be 1 to 800 if unit is `DISTANCE_UNIT_KILOMETERS` and 1 to 500 if unit is `DISTANCE_UNIT_MILES`. The minimum increment for both cases is 0.1. Inputs will be rounded to the nearest acceptable value if it is too granular, e.g. 15.57 will become 15.6." }, "proximityRadiusUnit": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Miles.", "Kilometers." ], "description": "Required. The unit of distance by which the targeting radius is measured.", "type": "string", "enum": [ "DISTANCE_UNIT_UNSPECIFIED", "DISTANCE_UNIT_MILES", "DISTANCE_UNIT_KILOMETERS" ] }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_BUSINESS_CHAIN`. Accepted business chain targeting option IDs can be retrieved using SearchTargetingOptions." }, "displayName": { "readOnly": true, "description": "Output only. The display name of a business chain, e.g. \"KFC\", \"Chase Bank\".", "type": "string" } }, "type": "object" }, "ParentalStatusTargetingOptionDetails": { "description": "Represents a targetable parental status. This will be populated in the parental_status_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_PARENTAL_STATUS`.", "id": "ParentalStatusTargetingOptionDetails", "properties": { "parentalStatus": { "description": "Output only. The parental status of an audience.", "readOnly": true, "type": "string", "enum": [ "PARENTAL_STATUS_UNSPECIFIED", "PARENTAL_STATUS_PARENT", "PARENTAL_STATUS_NOT_A_PARENT", "PARENTAL_STATUS_UNKNOWN" ], "enumDescriptions": [ "Default value when parental status is not specified in this version. This enum is a place holder for default value and does not represent a real parental status option.", "The audience is a parent.", "The audience is not a parent.", "The parental status of the audience is unknown." ] } }, "type": "object" }, "DoubleVerifyAppStarRating": { "id": "DoubleVerifyAppStarRating", "description": "Details of DoubleVerify star ratings settings.", "properties": { "avoidInsufficientStarRating": { "description": "Avoid bidding on apps with insufficient star ratings.", "type": "boolean" }, "avoidedStarRating": { "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any app star rating options.", "Official Apps with rating \u003c 1.5 Stars.", "Official Apps with rating \u003c 2 Stars.", "Official Apps with rating \u003c 2.5 Stars.", "Official Apps with rating \u003c 3 Stars.", "Official Apps with rating \u003c 3.5 Stars.", "Official Apps with rating \u003c 4 Stars.", "Official Apps with rating \u003c 4.5 Stars." ], "description": "Avoid bidding on apps with the star ratings.", "enum": [ "APP_STAR_RATE_UNSPECIFIED", "APP_STAR_RATE_1_POINT_5_LESS", "APP_STAR_RATE_2_LESS", "APP_STAR_RATE_2_POINT_5_LESS", "APP_STAR_RATE_3_LESS", "APP_STAR_RATE_3_POINT_5_LESS", "APP_STAR_RATE_4_LESS", "APP_STAR_RATE_4_POINT_5_LESS" ], "type": "string" } }, "type": "object" }, "SdfDownloadTask": { "properties": { "resourceName": { "description": "A resource name to be used in media.download to Download the prepared files. Resource names have the format `download/sdfdownloadtasks/media/{media_id}`. `media_id` will be made available by the long running operation service once the task status is done.", "type": "string" } }, "id": "SdfDownloadTask", "type": "object", "description": "Type for the response returned by [SdfDownloadTaskService.CreateSdfDownloadTask]." }, "GuaranteedOrderStatus": { "description": "The status settings of the guaranteed order.", "type": "object", "properties": { "entityStatus": { "type": "string", "description": "Whether or not the guaranteed order is servable. Acceptable values are `ENTITY_STATUS_ACTIVE`, `ENTITY_STATUS_ARCHIVED`, and `ENTITY_STATUS_PAUSED`. Default value is `ENTITY_STATUS_ACTIVE`.", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ] }, "entityPauseReason": { "description": "The user-provided reason for pausing this guaranteed order. Must be UTF-8 encoded with a maximum length of 100 bytes. Only applicable when entity_status is set to `ENTITY_STATUS_PAUSED`.", "type": "string" }, "configStatus": { "type": "string", "enum": [ "GUARANTEED_ORDER_CONFIG_STATUS_UNSPECIFIED", "PENDING", "COMPLETED" ], "readOnly": true, "enumDescriptions": [ "The approval status is not specified or is unknown in this version.", "The beginning state of a guaranteed order. The guaranteed order in this state needs to be configured before it can serve.", "The state after the buyer configures a guaranteed order." ], "description": "Output only. The configuration status of the guaranteed order. Acceptable values are `PENDING` and `COMPLETED`. A guaranteed order must be configured (fill in the required fields, choose creatives, and select a default campaign) before it can serve. Currently the configuration action can only be performed via UI." } }, "id": "GuaranteedOrderStatus" }, "BulkEditNegativeKeywordsRequest": { "properties": { "createdNegativeKeywords": { "description": "The negative keywords to create in batch, specified as a list of NegativeKeywords.", "items": { "$ref": "NegativeKeyword" }, "type": "array" }, "deletedNegativeKeywords": { "description": "The negative keywords to delete in batch, specified as a list of keyword_values.", "type": "array", "items": { "type": "string" } } }, "id": "BulkEditNegativeKeywordsRequest", "type": "object", "description": "Request message for NegativeKeywordService.BulkEditNegativeKeywords." }, "PoiSearchTerms": { "id": "PoiSearchTerms", "properties": { "poiQuery": { "type": "string", "description": "The search query for the desired POI name, street address, or coordinate of the desired POI. The query can be a prefix, e.g. \"Times squar\", \"40.7505045,-73.99562\", \"315 W 44th St\", etc." } }, "description": "Search terms for POI targeting options.", "type": "object" }, "ListLocationListsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListLocationLists` method to retrieve the next page of results." }, "locationLists": { "description": "The list of location lists. This list will be absent if empty.", "items": { "$ref": "LocationList" }, "type": "array" } }, "id": "ListLocationListsResponse" }, "KeywordAssignedTargetingOptionDetails": { "type": "object", "properties": { "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." }, "keyword": { "description": "Required. The keyword, for example `car insurance`. Positive keyword cannot be offensive word. Must be UTF-8 encoded with a maximum size of 255 bytes. Maximum number of characters is 80. Maximum number of words is 10.", "type": "string" } }, "description": "Details for assigned keyword targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_KEYWORD`.", "id": "KeywordAssignedTargetingOptionDetails" }, "LookbackWindow": { "id": "LookbackWindow", "type": "object", "properties": { "clickDays": { "type": "integer", "format": "int32", "description": "Lookback window, in days, from the last time a given user clicked on one of your ads." }, "impressionDays": { "description": "Lookback window, in days, from the last time a given user viewed one of your ads.", "type": "integer", "format": "int32" } }, "description": "Specifies how many days into the past to look when determining whether to record a conversion." }, "ListGoogleAudiencesResponse": { "id": "ListGoogleAudiencesResponse", "type": "object", "properties": { "googleAudiences": { "items": { "$ref": "GoogleAudience" }, "type": "array", "description": "The list of Google audiences. This list will be absent if empty." }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListGoogleAudiences` method to retrieve the next page of results.", "type": "string" } } }, "Asset": { "type": "object", "properties": { "content": { "description": "The asset content. For uploaded assets, the content is the serving path.", "type": "string" }, "mediaId": { "description": "Media ID of the uploaded asset. This is a unique identifier for the asset. This ID can be passed to other API calls, e.g. CreateCreative to associate the asset with a creative.", "format": "int64", "type": "string" } }, "description": "A single asset.", "id": "Asset" }, "GeoRegionAssignedTargetingOptionDetails": { "type": "object", "id": "GeoRegionAssignedTargetingOptionDetails", "properties": { "displayName": { "readOnly": true, "description": "Output only. The display name of the geographic region (e.g., \"Ontario, Canada\").", "type": "string" }, "geoRegionType": { "type": "string", "enumDescriptions": [ "The geographic region type is unknown.", "The geographic region type is other.", "The geographic region is a country.", "The geographic region type is region.", "The geographic region is a territory.", "The geographic region is a province.", "The geographic region is a state.", "The geographic region is a prefecture.", "The geographic region is a governorate.", "The geographic region is a canton.", "The geographic region is a union territory.", "The geographic region is an autonomous community.", "The geographic region is a designated market area (DMA) region.", "The geographic region type is metro.", "The geographic region is a congressional district.", "The geographic region is a county.", "The geographic region is a municipality.", "The geographic region is a city.", "The geographic region targeting type is postal code.", "The geographic region targeting type is department.", "The geographic region is an airport.", "The geographic region is a TV region.", "The geographic region is an okrug.", "The geographic region is a borough.", "The geographic region is a city region.", "The geographic region is an arrondissement.", "The geographic region is a neighborhood.", "The geographic region is a university.", "The geographic region is a district." ], "enum": [ "GEO_REGION_TYPE_UNKNOWN", "GEO_REGION_TYPE_OTHER", "GEO_REGION_TYPE_COUNTRY", "GEO_REGION_TYPE_REGION", "GEO_REGION_TYPE_TERRITORY", "GEO_REGION_TYPE_PROVINCE", "GEO_REGION_TYPE_STATE", "GEO_REGION_TYPE_PREFECTURE", "GEO_REGION_TYPE_GOVERNORATE", "GEO_REGION_TYPE_CANTON", "GEO_REGION_TYPE_UNION_TERRITORY", "GEO_REGION_TYPE_AUTONOMOUS_COMMUNITY", "GEO_REGION_TYPE_DMA_REGION", "GEO_REGION_TYPE_METRO", "GEO_REGION_TYPE_CONGRESSIONAL_DISTRICT", "GEO_REGION_TYPE_COUNTY", "GEO_REGION_TYPE_MUNICIPALITY", "GEO_REGION_TYPE_CITY", "GEO_REGION_TYPE_POSTAL_CODE", "GEO_REGION_TYPE_DEPARTMENT", "GEO_REGION_TYPE_AIRPORT", "GEO_REGION_TYPE_TV_REGION", "GEO_REGION_TYPE_OKRUG", "GEO_REGION_TYPE_BOROUGH", "GEO_REGION_TYPE_CITY_REGION", "GEO_REGION_TYPE_ARRONDISSEMENT", "GEO_REGION_TYPE_NEIGHBORHOOD", "GEO_REGION_TYPE_UNIVERSITY", "GEO_REGION_TYPE_DISTRICT" ], "readOnly": true, "description": "Output only. The type of geographic region targeting." }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_GEO_REGION`." }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." } }, "description": "Details for assigned geographic region targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_GEO_REGION`." }, "SdfDownloadTaskMetadata": { "properties": { "version": { "description": "The SDF version used to execute this download task.", "enumDescriptions": [ "SDF version value is not specified or is unknown in this version.", "SDF version 3.1", "SDF version 4", "SDF version 4.1", "SDF version 4.2", "SDF version 5.", "SDF version 5.1", "SDF version 5.2", "SDF version 5.3", "SDF version 5.4", "SDF version 5.5" ], "type": "string", "enum": [ "SDF_VERSION_UNSPECIFIED", "SDF_VERSION_3_1", "SDF_VERSION_4", "SDF_VERSION_4_1", "SDF_VERSION_4_2", "SDF_VERSION_5", "SDF_VERSION_5_1", "SDF_VERSION_5_2", "SDF_VERSION_5_3", "SDF_VERSION_5_4", "SDF_VERSION_5_5" ] }, "endTime": { "description": "The time when execution was completed.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "The time when the operation was created.", "format": "google-datetime" } }, "type": "object", "description": "Type for the metadata returned by [SdfDownloadTaskService.CreateSdfDownloadTask].", "id": "SdfDownloadTaskMetadata" }, "CarrierAndIspAssignedTargetingOptionDetails": { "type": "object", "properties": { "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted. All assigned carrier and ISP targeting options on the same resource must have the same value for this field." }, "displayName": { "readOnly": true, "description": "Output only. The display name of the carrier or ISP.", "type": "string" }, "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_CARRIER_AND_ISP`.", "type": "string" } }, "description": "Details for assigned carrier and ISP targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_CARRIER_AND_ISP`.", "id": "CarrierAndIspAssignedTargetingOptionDetails" }, "AppAssignedTargetingOptionDetails": { "type": "object", "description": "Details for assigned app targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_APP`.", "id": "AppAssignedTargetingOptionDetails", "properties": { "appId": { "type": "string", "description": "Required. The ID of the app. Android's Play store app uses bundle ID, for example `com.google.android.gm`. Apple's App store app ID uses 9 digit string, for example `422689480`." }, "appPlatform": { "type": "string", "enum": [ "APP_PLATFORM_UNSPECIFIED", "APP_PLATFORM_IOS", "APP_PLATFORM_ANDROID", "APP_PLATFORM_ROKU", "APP_PLATFORM_AMAZON_FIRETV", "APP_PLATFORM_PLAYSTATION", "APP_PLATFORM_APPLE_TV", "APP_PLATFORM_XBOX", "APP_PLATFORM_SAMSUNG_TV", "APP_PLATFORM_ANDROID_TV", "APP_PLATFORM_GENERIC_CTV" ], "description": "Indicates the platform of the targeted app. If this field is not specified, the app platform will be assumed to be mobile (i.e., Android or iOS), and we will derive the appropriate mobile platform from the app ID.", "enumDescriptions": [ "Default value when app platform is not specified in this version. This enum is a placeholder for default value and does not represent a real platform option.", "The app platform is iOS.", "The app platform is Android.", "The app platform is Roku.", "The app platform is Amazon FireTV.", "The app platform is Playstation.", "The app platform is Apple TV.", "The app platform is Xbox.", "The app platform is Samsung TV.", "The app platform is Android TV.", "The app platform is a CTV platform that is not explicitly listed elsewhere." ] }, "negative": { "description": "Indicates if this option is being negatively targeted.", "type": "boolean" }, "displayName": { "readOnly": true, "type": "string", "description": "Output only. The display name of the app." } } }, "ListAdvertisersResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListAdvertisers` method to retrieve the next page of results.", "type": "string" }, "advertisers": { "items": { "$ref": "Advertiser" }, "description": "The list of advertisers. This list will be absent if empty.", "type": "array" } }, "type": "object", "id": "ListAdvertisersResponse" }, "EditInventorySourceReadWriteAccessorsRequest": { "description": "Request message for InventorySourceService.EditInventorySourceReadWriteAccessors.", "id": "EditInventorySourceReadWriteAccessorsRequest", "type": "object", "properties": { "advertisersUpdate": { "description": "The advertisers to add or remove from the list of advertisers that have read/write access to the inventory source. This change will remove an existing partner read/write accessor.", "$ref": "EditInventorySourceReadWriteAccessorsRequestAdvertisersUpdate" }, "assignPartner": { "type": "boolean", "description": "Set the partner context as read/write accessor of the inventory source. This will remove all other current read/write advertiser accessors." }, "partnerId": { "description": "Required. The partner context by which the accessors change is being made.", "type": "string", "format": "int64" } } }, "Partner": { "id": "Partner", "description": "A single partner in Display & Video 360 (DV360).", "properties": { "dataAccessConfig": { "$ref": "PartnerDataAccessConfig", "description": "Settings that control how partner data may be accessed." }, "partnerId": { "format": "int64", "description": "Output only. The unique ID of the partner. Assigned by the system.", "type": "string", "readOnly": true }, "exchangeConfig": { "$ref": "ExchangeConfig", "description": "Settings that control which exchanges are enabled for the partner." }, "adServerConfig": { "$ref": "PartnerAdServerConfig", "description": "Ad server related settings of the partner." }, "displayName": { "type": "string", "description": "The display name of the partner. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The timestamp when the partner was last updated. Assigned by the system.", "readOnly": true }, "generalConfig": { "description": "General settings of the partner.", "$ref": "PartnerGeneralConfig" }, "name": { "type": "string", "description": "Output only. The resource name of the partner.", "readOnly": true }, "entityStatus": { "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "type": "string", "readOnly": true, "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "description": "Output only. The status of the partner." } }, "type": "object" }, "GoogleAudience": { "type": "object", "id": "GoogleAudience", "properties": { "googleAudienceId": { "type": "string", "description": "Output only. The unique ID of the Google audience. Assigned by the system.", "format": "int64", "readOnly": true }, "displayName": { "description": "Output only. The display name of the Google audience. .", "readOnly": true, "type": "string" }, "googleAudienceType": { "type": "string", "enum": [ "GOOGLE_AUDIENCE_TYPE_UNSPECIFIED", "GOOGLE_AUDIENCE_TYPE_AFFINITY", "GOOGLE_AUDIENCE_TYPE_IN_MARKET", "GOOGLE_AUDIENCE_TYPE_INSTALLED_APPS", "GOOGLE_AUDIENCE_TYPE_NEW_MOBILE_DEVICES", "GOOGLE_AUDIENCE_TYPE_LIFE_EVENT", "GOOGLE_AUDIENCE_TYPE_EXTENDED_DEMOGRAPHIC" ], "enumDescriptions": [ "Default value when type is not specified or is unknown.", "Affinity type Google audience.", "In-Market type Google audience.", "Installed-Apps type Google audience.", "New-Mobile-Devices type Google audience.", "Life-Event type Google audience.", "Extended-Demographic type Google audience." ], "description": "Output only. The type of Google audience. .", "readOnly": true }, "name": { "type": "string", "description": "Output only. The resource name of the google audience.", "readOnly": true } }, "description": "Describes a Google audience resource. Includes Google audience lists." }, "CarrierAndIspTargetingOptionDetails": { "type": "object", "description": "Represents a targetable carrier or ISP. This will be populated in the carrier_and_isp_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_CARRIER_AND_ISP`.", "id": "CarrierAndIspTargetingOptionDetails", "properties": { "displayName": { "description": "Output only. The display name of the carrier or ISP.", "type": "string", "readOnly": true }, "type": { "enumDescriptions": [ "Default value when type is not specified or is unknown in this version.", "Indicates this targeting resource refers to an ISP.", "Indicates this targeting resource refers to a mobile carrier." ], "enum": [ "CARRIER_AND_ISP_TYPE_UNSPECIFIED", "CARRIER_AND_ISP_TYPE_ISP", "CARRIER_AND_ISP_TYPE_CARRIER" ], "type": "string", "description": "Output only. The type indicating if it's carrier or ISP.", "readOnly": true } } }, "GenerateDefaultLineItemRequest": { "properties": { "mobileApp": { "description": "The mobile app promoted by the line item. This is applicable only when line_item_type is either `LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INSTALL` or `LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INSTALL`.", "$ref": "MobileApp" }, "insertionOrderId": { "description": "Required. The unique ID of the insertion order that the line item belongs to.", "format": "int64", "type": "string" }, "lineItemType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Image, HTML5, native, or rich media ads.", "Display ads that drive installs of an app.", "Video ads sold on a CPM basis for a variety of environments.", "Video ads that drive installs of an app.", "Display ads served on mobile app inventory.", "Video ads served on mobile app inventory.", "RTB Audio ads sold for a variety of environments.", "Over-the-top ads present in OTT insertion orders. This type is only applicable to line items with an insertion order of insertion_order_type `OVER_THE_TOP`." ], "type": "string", "description": "Required. The type of the line item.", "enum": [ "LINE_ITEM_TYPE_UNSPECIFIED", "LINE_ITEM_TYPE_DISPLAY_DEFAULT", "LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INSTALL", "LINE_ITEM_TYPE_VIDEO_DEFAULT", "LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INSTALL", "LINE_ITEM_TYPE_DISPLAY_MOBILE_APP_INVENTORY", "LINE_ITEM_TYPE_VIDEO_MOBILE_APP_INVENTORY", "LINE_ITEM_TYPE_AUDIO_DEFAULT", "LINE_ITEM_TYPE_VIDEO_OVER_THE_TOP" ] }, "displayName": { "description": "Required. The display name of the line item. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" } }, "id": "GenerateDefaultLineItemRequest", "description": "Request message for LineItemService.GenerateDefaultLineItem.", "type": "object" }, "ParentEntityFilter": { "description": "A filtering option that filters on selected file types belonging to a chosen set of filter entities.", "id": "ParentEntityFilter", "properties": { "filterIds": { "description": "The IDs of the specified filter type. This is used to filter entities to fetch. If filter type is not `FILTER_TYPE_NONE`, at least one ID must be specified.", "items": { "format": "int64", "type": "string" }, "type": "array" }, "filterType": { "enumDescriptions": [ "Default value when type is unspecified or is unknown in this version.", "If selected, no filter will be applied to the download. Can only be used if an Advertiser is specified in CreateSdfDownloadTaskRequest.", "Advertiser ID. If selected, all filter IDs must be Advertiser IDs that belong to the Partner specified in CreateSdfDownloadTaskRequest.", "Campaign ID. If selected, all filter IDs must be Campaign IDs that belong to the Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "Media Product ID. If selected, all filter IDs must be Media Product IDs that belong to the Advertiser or Partner specified in CreateSdfDownloadTaskRequest. Can only be used for downloading `FILE_TYPE_MEDIA_PRODUCT`.", "Insertion Order ID. If selected, all filter IDs must be Insertion Order IDs that belong to the Advertiser or Partner specified in CreateSdfDownloadTaskRequest. Can only be used for downloading `FILE_TYPE_INSERTION_ORDER`, `FILE_TYPE_LINE_ITEM`, `FILE_TYPE_AD_GROUP`, and `FILE_TYPE_AD`.", "Line Item ID. If selected, all filter IDs must be Line Item IDs that belong to the Advertiser or Partner specified in CreateSdfDownloadTaskRequest. Can only be used for downloading `FILE_TYPE_LINE_ITEM`, `FILE_TYPE_AD_GROUP`, and `FILE_TYPE_AD`." ], "description": "Required. Filter type used to filter fetched entities.", "type": "string", "enum": [ "FILTER_TYPE_UNSPECIFIED", "FILTER_TYPE_NONE", "FILTER_TYPE_ADVERTISER_ID", "FILTER_TYPE_CAMPAIGN_ID", "FILTER_TYPE_MEDIA_PRODUCT_ID", "FILTER_TYPE_INSERTION_ORDER_ID", "FILTER_TYPE_LINE_ITEM_ID" ] }, "fileType": { "description": "Required. File types that will be returned.", "type": "array", "items": { "type": "string", "enum": [ "FILE_TYPE_UNSPECIFIED", "FILE_TYPE_CAMPAIGN", "FILE_TYPE_MEDIA_PRODUCT", "FILE_TYPE_INSERTION_ORDER", "FILE_TYPE_LINE_ITEM", "FILE_TYPE_AD_GROUP", "FILE_TYPE_AD" ], "enumDescriptions": [ "Default value when type is unspecified or is unknown in this version.", "Campaign.", "Media Product.", "Insertion Order.", "Line Item.", "YouTube Ad Group.", "YouTube Ad." ] } } }, "type": "object" }, "BulkListCampaignAssignedTargetingOptionsResponse": { "type": "object", "description": "Response message for BulkListCampaignAssignedTargetingOptions.", "properties": { "assignedTargetingOptions": { "description": "The list of assigned targeting options. This list will be absent if empty.", "items": { "$ref": "AssignedTargetingOption" }, "type": "array" }, "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent BulkListCampaignAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" } }, "id": "BulkListCampaignAssignedTargetingOptionsResponse" }, "SensitiveCategoryAssignedTargetingOptionDetails": { "type": "object", "id": "SensitiveCategoryAssignedTargetingOptionDetails", "properties": { "excludedTargetingOptionId": { "description": "Required. ID of the sensitive category to be EXCLUDED.", "type": "string" }, "sensitiveCategory": { "description": "Output only. An enum for the DV360 Sensitive category content classifier.", "readOnly": true, "type": "string", "enum": [ "SENSITIVE_CATEGORY_UNSPECIFIED", "SENSITIVE_CATEGORY_ADULT", "SENSITIVE_CATEGORY_DEROGATORY", "SENSITIVE_CATEGORY_DOWNLOADS_SHARING", "SENSITIVE_CATEGORY_WEAPONS", "SENSITIVE_CATEGORY_GAMBLING", "SENSITIVE_CATEGORY_VIOLENCE", "SENSITIVE_CATEGORY_SUGGESTIVE", "SENSITIVE_CATEGORY_PROFANITY", "SENSITIVE_CATEGORY_ALCOHOL", "SENSITIVE_CATEGORY_DRUGS", "SENSITIVE_CATEGORY_TOBACCO", "SENSITIVE_CATEGORY_POLITICS", "SENSITIVE_CATEGORY_RELIGION", "SENSITIVE_CATEGORY_TRAGEDY", "SENSITIVE_CATEGORY_TRANSPORTATION_ACCIDENTS", "SENSITIVE_CATEGORY_SENSITIVE_SOCIAL_ISSUES", "SENSITIVE_CATEGORY_SHOCKING" ], "enumDescriptions": [ "This enum is only a placeholder and doesn't specify a DV360 sensitive category.", "Adult or pornographic text, image, or video content.", "Content that may be construed as biased against individuals, groups, or organizations based on criteria such as race, religion, disability, sex, age, veteran status, sexual orientation, gender identity, or political affiliation. May also indicate discussion of such content, for instance, in an academic or journalistic context.", "Content related to audio, video, or software downloads.", "Contains content related to personal weapons, including knives, guns, small firearms, and ammunition. Selecting either \"weapons\" or \"sensitive social issues\" will result in selecting both.", "Contains content related to betting or wagering in a real-world or online setting.", "Content which may be considered graphically violent, gory, gruesome, or shocking, such as street fighting videos, accident photos, descriptions of torture, etc.", "Adult content, as well as suggestive content that's not explicitly pornographic. This category includes all pages categorized as adult.", "Prominent use of words considered indecent, such as curse words and sexual slang. Pages with only very occasional usage, such as news sites that might include such words in a quotation, are not included.", "Contains content related to alcoholic beverages, alcohol brands, recipes, etc.", "Contains content related to the recreational use of legal or illegal drugs, as well as to drug paraphernalia or cultivation.", "Contains content related to tobacco and tobacco accessories, including lighters, humidors, ashtrays, etc.", "Political news and media, including discussions of social, governmental, and public policy.", "Content related to religious thought or beliefs.", "Content related to death, disasters, accidents, war, etc.", "Content related to motor vehicle, aviation or other transportation accidents.", "Issues that evoke strong, opposing views and spark debate. These include issues that are controversial in most countries and markets (such as abortion), as well as those that are controversial in specific countries and markets (such as immigration reform in the United States).", "Content which may be considered shocking or disturbing, such as violent news stories, stunts, or toilet humor." ] } }, "description": "Targeting details for sensitive category. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`." }, "AgeRangeAssignedTargetingOptionDetails": { "type": "object", "properties": { "ageRange": { "enumDescriptions": [ "Default value when age range is not specified in this version. This enum is a placeholder for default value and does not represent a real age range option.", "The age range of the audience is 18 to 24.", "The age range of the audience is 25 to 34.", "The age range of the audience is 35 to 44.", "The age range of the audience is 45 to 54.", "The age range of the audience is 55 to 64.", "The age range of the audience is 65 and up.", "The age range of the audience is unknown." ], "type": "string", "description": "The age range of an audience. We only support targeting a continuous age range of an audience. Thus, the age range represented in this field can be 1) targeted solely, or, 2) part of a larger continuous age range. The reach of a continuous age range targeting can be expanded by also targeting an audience of an unknown age. Output only in v1. Required in v2.", "enum": [ "AGE_RANGE_UNSPECIFIED", "AGE_RANGE_18_24", "AGE_RANGE_25_34", "AGE_RANGE_35_44", "AGE_RANGE_45_54", "AGE_RANGE_55_64", "AGE_RANGE_65_PLUS", "AGE_RANGE_UNKNOWN" ] }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_AGE_RANGE`." } }, "id": "AgeRangeAssignedTargetingOptionDetails", "description": "Represents a targetable age range. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_AGE_RANGE`." }, "LanguageAssignedTargetingOptionDetails": { "properties": { "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted. All assigned language targeting options on the same resource must have the same value for this field." }, "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_LANGUAGE`.", "type": "string" }, "displayName": { "description": "Output only. The display name of the language (e.g., \"French\").", "type": "string", "readOnly": true } }, "id": "LanguageAssignedTargetingOptionDetails", "type": "object", "description": "Details for assigned language targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_LANGUAGE`." }, "DoubleVerifyFraudInvalidTraffic": { "properties": { "avoidInsufficientOption": { "description": "Insufficient Historical Fraud & IVT Stats.", "type": "boolean" }, "avoidedFraudOption": { "enum": [ "FRAUD_UNSPECIFIED", "AD_IMPRESSION_FRAUD_100", "AD_IMPRESSION_FRAUD_50", "AD_IMPRESSION_FRAUD_25", "AD_IMPRESSION_FRAUD_10", "AD_IMPRESSION_FRAUD_8", "AD_IMPRESSION_FRAUD_6", "AD_IMPRESSION_FRAUD_4", "AD_IMPRESSION_FRAUD_2" ], "type": "string", "description": "Avoid Sites and Apps with historical Fraud & IVT.", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any fraud and invalid traffic options.", "100% Fraud & IVT.", "50% or Higher Fraud & IVT.", "25% or Higher Fraud & IVT.", "10% or Higher Fraud & IVT.", "8% or Higher Fraud & IVT.", "6% or Higher Fraud & IVT.", "4% or Higher Fraud & IVT.", "2% or Higher Fraud & IVT." ] } }, "type": "object", "description": "DoubleVerify Fraud & Invalid Traffic settings.", "id": "DoubleVerifyFraudInvalidTraffic" }, "ContentGenreAssignedTargetingOptionDetails": { "description": "Details for content genre assigned targeting option. This will be populated in the content_genre_details field when targeting_type is `TARGETING_TYPE_CONTENT_GENRE`. Explicitly targeting all options is not supported. Remove all content genre targeting options to achieve this effect.", "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CONTENT_GENRE`.", "type": "string" }, "displayName": { "readOnly": true, "description": "Output only. The display name of the content genre.", "type": "string" }, "negative": { "description": "Indicates if this option is being negatively targeted.", "type": "boolean" } }, "id": "ContentGenreAssignedTargetingOptionDetails", "type": "object" }, "ExchangeConfigEnabledExchange": { "type": "object", "properties": { "seatId": { "description": "Output only. Seat ID of the enabled exchange.", "readOnly": true, "type": "string" }, "exchange": { "type": "string", "enum": [ "EXCHANGE_UNSPECIFIED", "EXCHANGE_GOOGLE_AD_MANAGER", "EXCHANGE_APPNEXUS", "EXCHANGE_BRIGHTROLL", "EXCHANGE_ADFORM", "EXCHANGE_ADMETA", "EXCHANGE_ADMIXER", "EXCHANGE_ADSMOGO", "EXCHANGE_ADSWIZZ", "EXCHANGE_BIDSWITCH", "EXCHANGE_BRIGHTROLL_DISPLAY", "EXCHANGE_CADREON", "EXCHANGE_DAILYMOTION", "EXCHANGE_FIVE", "EXCHANGE_FLUCT", "EXCHANGE_FREEWHEEL", "EXCHANGE_GENIEE", "EXCHANGE_GUMGUM", "EXCHANGE_IMOBILE", "EXCHANGE_IBILLBOARD", "EXCHANGE_IMPROVE_DIGITAL", "EXCHANGE_INDEX", "EXCHANGE_KARGO", "EXCHANGE_MICROAD", "EXCHANGE_MOPUB", "EXCHANGE_NEND", "EXCHANGE_ONE_BY_AOL_DISPLAY", "EXCHANGE_ONE_BY_AOL_MOBILE", "EXCHANGE_ONE_BY_AOL_VIDEO", "EXCHANGE_OOYALA", "EXCHANGE_OPENX", "EXCHANGE_PERMODO", "EXCHANGE_PLATFORMONE", "EXCHANGE_PLATFORMID", "EXCHANGE_PUBMATIC", "EXCHANGE_PULSEPOINT", "EXCHANGE_REVENUEMAX", "EXCHANGE_RUBICON", "EXCHANGE_SMARTCLIP", "EXCHANGE_SMARTRTB", "EXCHANGE_SMARTSTREAMTV", "EXCHANGE_SOVRN", "EXCHANGE_SPOTXCHANGE", "EXCHANGE_STROER", "EXCHANGE_TEADSTV", "EXCHANGE_TELARIA", "EXCHANGE_TVN", "EXCHANGE_UNITED", "EXCHANGE_YIELDLAB", "EXCHANGE_YIELDMO", "EXCHANGE_UNRULYX", "EXCHANGE_OPEN8", "EXCHANGE_TRITON", "EXCHANGE_TRIPLELIFT", "EXCHANGE_TABOOLA", "EXCHANGE_INMOBI", "EXCHANGE_SMAATO", "EXCHANGE_AJA", "EXCHANGE_SUPERSHIP", "EXCHANGE_NEXSTAR_DIGITAL", "EXCHANGE_WAZE", "EXCHANGE_SOUNDCAST", "EXCHANGE_SHARETHROUGH", "EXCHANGE_RED_FOR_PUBLISHERS", "EXCHANGE_MEDIANET", "EXCHANGE_TAPJOY" ], "description": "The enabled exchange.", "enumDescriptions": [ "Exchange is not specified or is unknown in this version.", "Google Ad Manager.", "AppNexus.", "BrightRoll Exchange for Video from Yahoo!.", "Adform.", "Admeta.", "Admixer.", "AdsMogo.", "AdsWizz.", "BidSwitch.", "BrightRoll Exchange for Display from Yahoo!.", "Cadreon.", "Dailymotion.", "Five.", "Fluct.", "FreeWheel SSP.", "Geniee.", "GumGum.", "i-mobile.", "iBILLBOARD.", "Improve Digital.", "Index Exchange.", "Kargo.", "MicroAd.", "MoPub.", "Nend.", "ONE by AOL: Display Market Place.", "ONE by AOL: Mobile.", "ONE by AOL: Video.", "Ooyala.", "OpenX.", "Permodo.", "Platform One.", "PlatformId.", "PubMatic.", "PulsePoint.", "RevenueMax.", "Rubicon.", "SmartClip.", "SmartRTB+.", "SmartstreamTv.", "Sovrn.", "SpotXchange.", "Ströer SSP.", "TeadsTv.", "Telaria.", "TVN.", "United.", "Yieldlab.", "Yieldmo.", "UnrulyX.", "Open8.", "Triton.", "TripleLift.", "Taboola.", "InMobi.", "Smaato.", "Aja.", "Supership.", "Nexstar Digital.", "Waze.", "SoundCast.", "Sharethrough.", "Red For Publishers.", "Media.net.", "Tapjoy." ] }, "googleAdManagerAgencyId": { "type": "string", "readOnly": true, "description": "Output only. Agency ID of Google Ad Manager. The field is only relevant when Google Ad Manager is the enabled exchange." }, "googleAdManagerBuyerNetworkId": { "description": "Output only. Network ID of Google Ad Manager. The field is only relevant when Google Ad Manager is the enabled exchange.", "readOnly": true, "type": "string" } }, "description": "An enabled exchange in the partner.", "id": "ExchangeConfigEnabledExchange" }, "HouseholdIncomeAssignedTargetingOptionDetails": { "description": "Details for assigned household income targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_HOUSEHOLD_INCOME`.", "type": "object", "properties": { "householdIncome": { "type": "string", "enum": [ "HOUSEHOLD_INCOME_UNSPECIFIED", "HOUSEHOLD_INCOME_UNKNOWN", "HOUSEHOLD_INCOME_LOWER_50_PERCENT", "HOUSEHOLD_INCOME_TOP_41_TO_50_PERCENT", "HOUSEHOLD_INCOME_TOP_31_TO_40_PERCENT", "HOUSEHOLD_INCOME_TOP_21_TO_30_PERCENT", "HOUSEHOLD_INCOME_TOP_11_TO_20_PERCENT", "HOUSEHOLD_INCOME_TOP_10_PERCENT" ], "enumDescriptions": [ "Default value when household income is not specified in this version. This enum is a placeholder for default value and does not represent a real household income option.", "The household income of the audience is unknown.", "The audience is in the lower 50% of U.S. household incomes.", "The audience is in the top 41-50% of U.S. household incomes.", "The audience is in the top 31-40% of U.S. household incomes.", "The audience is in the top 21-30% of U.S. household incomes.", "The audience is in the top 11-20% of U.S. household incomes.", "The audience is in the top 10% of U.S. household incomes." ], "description": "The household income of the audience. Output only in v1. Required in v2." }, "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_HOUSEHOLD_INCOME`.", "type": "string" } }, "id": "HouseholdIncomeAssignedTargetingOptionDetails" }, "DeviceTypeAssignedTargetingOptionDetails": { "description": "Targeting details for device type. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_DEVICE_TYPE`.", "type": "object", "properties": { "deviceType": { "type": "string", "description": "The display name of the device type. Output only in v1. Required in v2.", "enumDescriptions": [ "Default value when device type is not specified in this version. This enum is a placeholder for default value and does not represent a real device type option.", "The device type is computer.", "The device type is connected TV.", "The device type is smart phone..", "The device type is tablet." ], "enum": [ "DEVICE_TYPE_UNSPECIFIED", "DEVICE_TYPE_COMPUTER", "DEVICE_TYPE_CONNECTED_TV", "DEVICE_TYPE_SMART_PHONE", "DEVICE_TYPE_TABLET" ] }, "targetingOptionId": { "type": "string", "description": "Required. ID of the device type." } }, "id": "DeviceTypeAssignedTargetingOptionDetails" }, "Operation": { "type": "object", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "Campaign": { "id": "Campaign", "properties": { "updateTime": { "readOnly": true, "description": "Output only. The timestamp when the campaign was last updated. Assigned by the system.", "format": "google-datetime", "type": "string" }, "campaignFlight": { "description": "Required. The planned spend and duration of the campaign.", "$ref": "CampaignFlight" }, "advertiserId": { "description": "Output only. The unique ID of the advertiser the campaign belongs to.", "format": "int64", "type": "string", "readOnly": true }, "frequencyCap": { "description": "Required. The frequency cap setting of the campaign.", "$ref": "FrequencyCap" }, "campaignId": { "type": "string", "description": "Output only. The unique ID of the campaign. Assigned by the system.", "format": "int64", "readOnly": true }, "entityStatus": { "type": "string", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "description": "Required. Controls whether or not the insertion orders under this campaign can spend their budgets and bid on inventory. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Accepted values are `ENTITY_STATUS_ACTIVE`, `ENTITY_STATUS_ARCHIVED`, and `ENTITY_STATUS_PAUSED`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For CreateCampaign method, `ENTITY_STATUS_ARCHIVED` is not allowed." }, "campaignBudgets": { "type": "array", "description": "The list of budgets available to this campaign. If this field is not set, the campaign uses an unlimited budget.", "items": { "$ref": "CampaignBudget" } }, "displayName": { "description": "Required. The display name of the campaign. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "campaignGoal": { "description": "Required. The goal of the campaign.", "$ref": "CampaignGoal" }, "name": { "readOnly": true, "description": "Output only. The resource name of the campaign.", "type": "string" } }, "type": "object", "description": "A single campaign." }, "ExchangeReviewStatus": { "properties": { "exchange": { "enumDescriptions": [ "Exchange is not specified or is unknown in this version.", "Google Ad Manager.", "AppNexus.", "BrightRoll Exchange for Video from Yahoo!.", "Adform.", "Admeta.", "Admixer.", "AdsMogo.", "AdsWizz.", "BidSwitch.", "BrightRoll Exchange for Display from Yahoo!.", "Cadreon.", "Dailymotion.", "Five.", "Fluct.", "FreeWheel SSP.", "Geniee.", "GumGum.", "i-mobile.", "iBILLBOARD.", "Improve Digital.", "Index Exchange.", "Kargo.", "MicroAd.", "MoPub.", "Nend.", "ONE by AOL: Display Market Place.", "ONE by AOL: Mobile.", "ONE by AOL: Video.", "Ooyala.", "OpenX.", "Permodo.", "Platform One.", "PlatformId.", "PubMatic.", "PulsePoint.", "RevenueMax.", "Rubicon.", "SmartClip.", "SmartRTB+.", "SmartstreamTv.", "Sovrn.", "SpotXchange.", "Ströer SSP.", "TeadsTv.", "Telaria.", "TVN.", "United.", "Yieldlab.", "Yieldmo.", "UnrulyX.", "Open8.", "Triton.", "TripleLift.", "Taboola.", "InMobi.", "Smaato.", "Aja.", "Supership.", "Nexstar Digital.", "Waze.", "SoundCast.", "Sharethrough.", "Red For Publishers.", "Media.net.", "Tapjoy." ], "type": "string", "description": "The exchange reviewing the creative.", "enum": [ "EXCHANGE_UNSPECIFIED", "EXCHANGE_GOOGLE_AD_MANAGER", "EXCHANGE_APPNEXUS", "EXCHANGE_BRIGHTROLL", "EXCHANGE_ADFORM", "EXCHANGE_ADMETA", "EXCHANGE_ADMIXER", "EXCHANGE_ADSMOGO", "EXCHANGE_ADSWIZZ", "EXCHANGE_BIDSWITCH", "EXCHANGE_BRIGHTROLL_DISPLAY", "EXCHANGE_CADREON", "EXCHANGE_DAILYMOTION", "EXCHANGE_FIVE", "EXCHANGE_FLUCT", "EXCHANGE_FREEWHEEL", "EXCHANGE_GENIEE", "EXCHANGE_GUMGUM", "EXCHANGE_IMOBILE", "EXCHANGE_IBILLBOARD", "EXCHANGE_IMPROVE_DIGITAL", "EXCHANGE_INDEX", "EXCHANGE_KARGO", "EXCHANGE_MICROAD", "EXCHANGE_MOPUB", "EXCHANGE_NEND", "EXCHANGE_ONE_BY_AOL_DISPLAY", "EXCHANGE_ONE_BY_AOL_MOBILE", "EXCHANGE_ONE_BY_AOL_VIDEO", "EXCHANGE_OOYALA", "EXCHANGE_OPENX", "EXCHANGE_PERMODO", "EXCHANGE_PLATFORMONE", "EXCHANGE_PLATFORMID", "EXCHANGE_PUBMATIC", "EXCHANGE_PULSEPOINT", "EXCHANGE_REVENUEMAX", "EXCHANGE_RUBICON", "EXCHANGE_SMARTCLIP", "EXCHANGE_SMARTRTB", "EXCHANGE_SMARTSTREAMTV", "EXCHANGE_SOVRN", "EXCHANGE_SPOTXCHANGE", "EXCHANGE_STROER", "EXCHANGE_TEADSTV", "EXCHANGE_TELARIA", "EXCHANGE_TVN", "EXCHANGE_UNITED", "EXCHANGE_YIELDLAB", "EXCHANGE_YIELDMO", "EXCHANGE_UNRULYX", "EXCHANGE_OPEN8", "EXCHANGE_TRITON", "EXCHANGE_TRIPLELIFT", "EXCHANGE_TABOOLA", "EXCHANGE_INMOBI", "EXCHANGE_SMAATO", "EXCHANGE_AJA", "EXCHANGE_SUPERSHIP", "EXCHANGE_NEXSTAR_DIGITAL", "EXCHANGE_WAZE", "EXCHANGE_SOUNDCAST", "EXCHANGE_SHARETHROUGH", "EXCHANGE_RED_FOR_PUBLISHERS", "EXCHANGE_MEDIANET", "EXCHANGE_TAPJOY" ] }, "status": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The creative is approved.", "The creative is rejected.", "The creative is pending review." ], "enum": [ "REVIEW_STATUS_UNSPECIFIED", "REVIEW_STATUS_APPROVED", "REVIEW_STATUS_REJECTED", "REVIEW_STATUS_PENDING" ], "description": "Status of the exchange review.", "type": "string" } }, "description": "Exchange review status for the creative.", "type": "object", "id": "ExchangeReviewStatus" }, "BulkEditLineItemAssignedTargetingOptionsRequest": { "description": "Request message for BulkEditLineItemAssignedTargetingOptions.", "id": "BulkEditLineItemAssignedTargetingOptionsRequest", "properties": { "createRequests": { "items": { "$ref": "CreateAssignedTargetingOptionsRequest" }, "type": "array", "description": "The assigned targeting options to create in batch, specified as a list of `CreateAssignedTargetingOptionsRequest`." }, "deleteRequests": { "items": { "$ref": "DeleteAssignedTargetingOptionsRequest" }, "description": "The assigned targeting options to delete in batch, specified as a list of `DeleteAssignedTargetingOptionsRequest`.", "type": "array" } }, "type": "object" }, "ContentDurationTargetingOptionDetails": { "description": "Represents a targetable content duration. This will be populated in the content_duration_details field when targeting_type is `TARGETING_TYPE_CONTENT_DURATION`.", "type": "object", "properties": { "contentDuration": { "type": "string", "description": "Output only. The content duration.", "readOnly": true, "enumDescriptions": [ "Content duration is not specified in this version. This enum is a place holder for a default value and does not represent a real content duration.", "The content duration is unknown.", "Content is 0-1 minute long.", "Content is 1-5 minutes long.", "Content is 5-15 minutes long.", "Content is 15-30 minutes long.", "Content is 30-60 minutes long.", "Content is over 60 minutes long." ], "enum": [ "CONTENT_DURATION_UNSPECIFIED", "CONTENT_DURATION_UNKNOWN", "CONTENT_DURATION_0_TO_1_MIN", "CONTENT_DURATION_1_TO_5_MIN", "CONTENT_DURATION_5_TO_15_MIN", "CONTENT_DURATION_15_TO_30_MIN", "CONTENT_DURATION_30_TO_60_MIN", "CONTENT_DURATION_OVER_60_MIN" ] } }, "id": "ContentDurationTargetingOptionDetails" }, "NegativeKeywordList": { "properties": { "targetedLineItemCount": { "format": "int64", "description": "Output only. Number of line items that are directly targeting this negative keyword list.", "type": "string", "readOnly": true }, "negativeKeywordListId": { "description": "Output only. The unique ID of the negative keyword list. Assigned by the system.", "readOnly": true, "type": "string", "format": "int64" }, "displayName": { "type": "string", "description": "Required. The display name of the negative keyword list. Must be UTF-8 encoded with a maximum size of 255 bytes." }, "name": { "description": "Output only. The resource name of the negative keyword list.", "readOnly": true, "type": "string" }, "advertiserId": { "description": "Output only. The unique ID of the advertiser the negative keyword list belongs to.", "readOnly": true, "type": "string", "format": "int64" } }, "id": "NegativeKeywordList", "description": "A list of negative keywords used for targeting.", "type": "object" }, "CreateSdfDownloadTaskRequest": { "description": "Request message for [SdfDownloadTaskService.CreateSdfDownloadTask].", "id": "CreateSdfDownloadTaskRequest", "properties": { "version": { "description": "Required. The SDF version of the downloaded file. If set to `SDF_VERSION_UNSPECIFIED`, this will default to the version specified by the advertiser or partner identified by `root_id`. An advertiser inherits its SDF version from its partner unless configured otherwise.", "type": "string", "enum": [ "SDF_VERSION_UNSPECIFIED", "SDF_VERSION_3_1", "SDF_VERSION_4", "SDF_VERSION_4_1", "SDF_VERSION_4_2", "SDF_VERSION_5", "SDF_VERSION_5_1", "SDF_VERSION_5_2", "SDF_VERSION_5_3", "SDF_VERSION_5_4", "SDF_VERSION_5_5" ], "enumDescriptions": [ "SDF version value is not specified or is unknown in this version.", "SDF version 3.1", "SDF version 4", "SDF version 4.1", "SDF version 4.2", "SDF version 5.", "SDF version 5.1", "SDF version 5.2", "SDF version 5.3", "SDF version 5.4", "SDF version 5.5" ] }, "idFilter": { "description": "Filters on entities by their entity IDs.", "$ref": "IdFilter" }, "inventorySourceFilter": { "$ref": "InventorySourceFilter", "description": "Filters on Inventory Sources by their IDs." }, "parentEntityFilter": { "$ref": "ParentEntityFilter", "description": "Filters on selected file types. The entities in each file are filtered by a chosen set of filter entities. The filter entities must be the same type as, or a parent type of, the selected file types." }, "advertiserId": { "description": "The ID of the advertiser to download SDF for.", "type": "string", "format": "int64" }, "partnerId": { "type": "string", "description": "The ID of the partner to download SDF for.", "format": "int64" } }, "type": "object" }, "BulkEditAdvertiserAssignedTargetingOptionsRequest": { "type": "object", "id": "BulkEditAdvertiserAssignedTargetingOptionsRequest", "properties": { "deleteRequests": { "type": "array", "items": { "$ref": "DeleteAssignedTargetingOptionsRequest" }, "description": "The assigned targeting options to delete in batch, specified as a list of `DeleteAssignedTargetingOptionsRequest`. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`" }, "createRequests": { "description": "The assigned targeting options to create in batch, specified as a list of `CreateAssignedTargetingOptionsRequest`. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_OMID` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_SENSITIVE_CATEGORY_EXCLUSION`", "type": "array", "items": { "$ref": "CreateAssignedTargetingOptionsRequest" } } }, "description": "Request message for BulkEditAdvertiserAssignedTargetingOptions." }, "ContentStreamTypeTargetingOptionDetails": { "properties": { "contentStreamType": { "enum": [ "CONTENT_STREAM_TYPE_UNSPECIFIED", "CONTENT_LIVE_STREAM", "CONTENT_ON_DEMAND" ], "type": "string", "enumDescriptions": [ "Content stream type is not specified in this version. This enum is a place holder for a default value and does not represent a real content stream type.", "The content is being live-streamed.", "The content is viewed on-demand." ], "description": "Output only. The content stream type.", "readOnly": true } }, "type": "object", "description": "Represents a targetable content stream type. This will be populated in the content_stream_type_details field when targeting_type is `TARGETING_TYPE_CONTENT_STREAM_TYPE`.", "id": "ContentStreamTypeTargetingOptionDetails" }, "IntegralAdScience": { "type": "object", "properties": { "excludedDrugsRisk": { "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any drugs options.", "Drugs - Exclude High Risk.", "Drugs - Exclude High and Moderate Risk." ], "enum": [ "DRUGS_UNSPECIFIED", "DRUGS_HR", "DRUGS_HMR" ], "description": "Brand Safety - **Drugs**." }, "excludedGamblingRisk": { "enum": [ "GAMBLING_UNSPECIFIED", "GAMBLING_HR", "GAMBLING_HMR" ], "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any gambling options.", "Gambling - Exclude High Risk.", "Gambling - Exclude High and Moderate Risk." ], "description": "Brand Safety - **Gambling**.", "type": "string" }, "customSegmentId": { "type": "array", "items": { "type": "string", "format": "int64" }, "description": "The custom segment ID provided by Integral Ad Science. The ID must be between `1000001` and `1999999`, inclusive." }, "excludedIllegalDownloadsRisk": { "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any illegal downloads options.", "Illegal Downloads - Exclude High Risk.", "Illegal Downloads - Exclude High and Moderate Risk." ], "description": "Brand Safety - **Illegal downloads**.", "enum": [ "ILLEGAL_DOWNLOADS_UNSPECIFIED", "ILLEGAL_DOWNLOADS_HR", "ILLEGAL_DOWNLOADS_HMR" ], "type": "string" }, "excludedViolenceRisk": { "enum": [ "VIOLENCE_UNSPECIFIED", "VIOLENCE_HR", "VIOLENCE_HMR" ], "type": "string", "description": "Brand Safety - **Violence**.", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any violence options.", "Violence - Exclude High Risk.", "Violence - Exclude High and Moderate Risk." ] }, "excludedOffensiveLanguageRisk": { "description": "Brand Safety - **Offensive language**.", "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any language options.", "Offensive Language - Exclude High Risk.", "Offensive Language - Exclude High and Moderate Risk." ], "enum": [ "OFFENSIVE_LANGUAGE_UNSPECIFIED", "OFFENSIVE_LANGUAGE_HR", "OFFENSIVE_LANGUAGE_HMR" ] }, "displayViewability": { "enum": [ "PERFORMANCE_VIEWABILITY_UNSPECIFIED", "PERFORMANCE_VIEWABILITY_40", "PERFORMANCE_VIEWABILITY_50", "PERFORMANCE_VIEWABILITY_60", "PERFORMANCE_VIEWABILITY_70" ], "description": "Display Viewability section (applicable to display line items only).", "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any display viewability options.", "Target 40% Viewability or Higher.", "Target 50% Viewability or Higher.", "Target 60% Viewability or Higher.", "Target 70% Viewability or Higher." ] }, "excludedAdultRisk": { "type": "string", "enum": [ "ADULT_UNSPECIFIED", "ADULT_HR", "ADULT_HMR" ], "description": "Brand Safety - **Adult content**.", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any adult options.", "Adult - Exclude High Risk.", "Adult - Exclude High and Moderate Risk." ] }, "excludedAlcoholRisk": { "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any alcohol options.", "Alcohol - Exclude High Risk.", "Alcohol - Exclude High and Moderate Risk." ], "type": "string", "enum": [ "ALCOHOL_UNSPECIFIED", "ALCOHOL_HR", "ALCOHOL_HMR" ], "description": "Brand Safety - **Alcohol**." }, "excludedAdFraudRisk": { "enum": [ "SUSPICIOUS_ACTIVITY_UNSPECIFIED", "SUSPICIOUS_ACTIVITY_HR", "SUSPICIOUS_ACTIVITY_HMR" ], "type": "string", "description": "Ad Fraud settings.", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any ad fraud prevention options.", "Ad Fraud - Exclude High Risk.", "Ad Fraud - Exclude High and Moderate Risk." ] }, "excludeUnrateable": { "type": "boolean", "description": "Brand Safety - **Unrateable**." }, "traqScoreOption": { "description": "True advertising quality (applicable to Display line items only).", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any true advertising quality scores.", "TRAQ score 250-1000.", "TRAQ score 500-1000.", "TRAQ score 600-1000.", "TRAQ score 700-1000.", "TRAQ score 750-1000.", "TRAQ score 875-1000.", "TRAQ score 1000." ], "enum": [ "TRAQ_UNSPECIFIED", "TRAQ_250", "TRAQ_500", "TRAQ_600", "TRAQ_700", "TRAQ_750", "TRAQ_875", "TRAQ_1000" ], "type": "string" }, "videoViewability": { "enum": [ "VIDEO_VIEWABILITY_UNSPECIFIED", "VIDEO_VIEWABILITY_40", "VIDEO_VIEWABILITY_50", "VIDEO_VIEWABILITY_60", "VIDEO_VIEWABILITY_70" ], "description": "Video Viewability Section (applicable to video line items only).", "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any video viewability options.", "40%+ in view (IAB video viewability standard).", "50%+ in view (IAB video viewability standard).", "60%+ in view (IAB video viewability standard).", "70%+ in view (IAB video viewability standard)." ] }, "excludedHateSpeechRisk": { "type": "string", "description": "Brand Safety - **Hate speech**.", "enum": [ "HATE_SPEECH_UNSPECIFIED", "HATE_SPEECH_HR", "HATE_SPEECH_HMR" ], "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any hate speech options.", "Hate Speech - Exclude High Risk.", "Hate Speech - Exclude High and Moderate Risk." ] } }, "description": "Details of Integral Ad Science settings.", "id": "IntegralAdScience" }, "BrowserAssignedTargetingOptionDetails": { "type": "object", "id": "BrowserAssignedTargetingOptionDetails", "description": "Details for assigned browser targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_BROWSER`.", "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_BROWSER`.", "type": "string" }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted. All assigned browser targeting options on the same resource must have the same value for this field." }, "displayName": { "readOnly": true, "type": "string", "description": "Output only. The display name of the browser." } } }, "BusinessChainTargetingOptionDetails": { "description": "Represents a targetable business chain within a geo region. This will be populated in the business_chain_details field when targeting_type is `TARGETING_TYPE_BUSINESS_CHAIN`.", "id": "BusinessChainTargetingOptionDetails", "type": "object", "properties": { "businessChain": { "description": "Output only. The display name of the business chain, e.g. \"KFC\", \"Chase Bank\".", "type": "string", "readOnly": true }, "geoRegion": { "type": "string", "readOnly": true, "description": "Output only. The display name of the geographic region, e.g. \"Ontario, Canada\"." }, "geoRegionType": { "type": "string", "enumDescriptions": [ "The geographic region type is unknown.", "The geographic region type is other.", "The geographic region is a country.", "The geographic region type is region.", "The geographic region is a territory.", "The geographic region is a province.", "The geographic region is a state.", "The geographic region is a prefecture.", "The geographic region is a governorate.", "The geographic region is a canton.", "The geographic region is a union territory.", "The geographic region is an autonomous community.", "The geographic region is a designated market area (DMA) region.", "The geographic region type is metro.", "The geographic region is a congressional district.", "The geographic region is a county.", "The geographic region is a municipality.", "The geographic region is a city.", "The geographic region targeting type is postal code.", "The geographic region targeting type is department.", "The geographic region is an airport.", "The geographic region is a TV region.", "The geographic region is an okrug.", "The geographic region is a borough.", "The geographic region is a city region.", "The geographic region is an arrondissement.", "The geographic region is a neighborhood.", "The geographic region is a university.", "The geographic region is a district." ], "readOnly": true, "description": "Output only. The type of the geographic region.", "enum": [ "GEO_REGION_TYPE_UNKNOWN", "GEO_REGION_TYPE_OTHER", "GEO_REGION_TYPE_COUNTRY", "GEO_REGION_TYPE_REGION", "GEO_REGION_TYPE_TERRITORY", "GEO_REGION_TYPE_PROVINCE", "GEO_REGION_TYPE_STATE", "GEO_REGION_TYPE_PREFECTURE", "GEO_REGION_TYPE_GOVERNORATE", "GEO_REGION_TYPE_CANTON", "GEO_REGION_TYPE_UNION_TERRITORY", "GEO_REGION_TYPE_AUTONOMOUS_COMMUNITY", "GEO_REGION_TYPE_DMA_REGION", "GEO_REGION_TYPE_METRO", "GEO_REGION_TYPE_CONGRESSIONAL_DISTRICT", "GEO_REGION_TYPE_COUNTY", "GEO_REGION_TYPE_MUNICIPALITY", "GEO_REGION_TYPE_CITY", "GEO_REGION_TYPE_POSTAL_CODE", "GEO_REGION_TYPE_DEPARTMENT", "GEO_REGION_TYPE_AIRPORT", "GEO_REGION_TYPE_TV_REGION", "GEO_REGION_TYPE_OKRUG", "GEO_REGION_TYPE_BOROUGH", "GEO_REGION_TYPE_CITY_REGION", "GEO_REGION_TYPE_ARRONDISSEMENT", "GEO_REGION_TYPE_NEIGHBORHOOD", "GEO_REGION_TYPE_UNIVERSITY", "GEO_REGION_TYPE_DISTRICT" ] } } }, "BulkEditPartnerAssignedTargetingOptionsResponse": { "id": "BulkEditPartnerAssignedTargetingOptionsResponse", "properties": { "createdAssignedTargetingOptions": { "type": "array", "items": { "$ref": "AssignedTargetingOption" }, "description": "The list of assigned targeting options that have been successfully created. This list will be absent if empty." } }, "type": "object" }, "AdvertiserDataAccessConfig": { "properties": { "sdfConfig": { "description": "Structured Data Files (SDF) settings for the advertiser. If not specified, the SDF settings of the parent partner are used.", "$ref": "AdvertiserSdfConfig" } }, "type": "object", "id": "AdvertiserDataAccessConfig", "description": "Settings that control how advertiser related data may be accessed." }, "ParentalStatusAssignedTargetingOptionDetails": { "description": "Details for assigned parental status targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_PARENTAL_STATUS`.", "type": "object", "properties": { "parentalStatus": { "description": "The parental status of the audience. Output only in v1. Required in v2.", "enum": [ "PARENTAL_STATUS_UNSPECIFIED", "PARENTAL_STATUS_PARENT", "PARENTAL_STATUS_NOT_A_PARENT", "PARENTAL_STATUS_UNKNOWN" ], "type": "string", "enumDescriptions": [ "Default value when parental status is not specified in this version. This enum is a place holder for default value and does not represent a real parental status option.", "The audience is a parent.", "The audience is not a parent.", "The parental status of the audience is unknown." ] }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_PARENTAL_STATUS`." } }, "id": "ParentalStatusAssignedTargetingOptionDetails" }, "ObaIcon": { "properties": { "resourceUrl": { "description": "The URL of the OBA icon resource.", "type": "string" }, "landingPageUrl": { "type": "string", "description": "Required. The landing page URL of the OBA icon. Only URLs of the following domains are allowed: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://info.evidon.com LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://l.betrad.com" }, "resourceMimeType": { "type": "string", "description": "The MIME type of the OBA icon resource." }, "position": { "enum": [ "OBA_ICON_POSITION_UNSPECIFIED", "OBA_ICON_POSITION_UPPER_RIGHT", "OBA_ICON_POSITION_UPPER_LEFT", "OBA_ICON_POSITION_LOWER_RIGHT", "OBA_ICON_POSITION_LOWER_LEFT" ], "enumDescriptions": [ "The OBA icon position is not specified.", "At the upper right side of the creative.", "At the upper left side of the creative.", "At the lower right side of the creative.", "At the lower left side of the creative." ], "description": "The position of the OBA icon on the creative.", "type": "string" }, "dimensions": { "description": "The dimensions of the OBA icon.", "$ref": "Dimensions" }, "viewTrackingUrl": { "description": "Required. The view tracking URL of the OBA icon. Only URLs of the following domains are allowed: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://info.evidon.com LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://l.betrad.com", "type": "string" }, "program": { "type": "string", "description": "The program of the OBA icon. For example: “AdChoices”." }, "clickTrackingUrl": { "type": "string", "description": "Required. The click tracking URL of the OBA icon. Only URLs of the following domains are allowed: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://info.evidon.com LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh https://l.betrad.com" } }, "description": "OBA Icon for a Creative", "type": "object", "id": "ObaIcon" }, "Site": { "description": "A single site. Sites are apps or websites belonging to a channel.", "id": "Site", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The resource name of the site.", "readOnly": true }, "urlOrAppId": { "description": "Required. The app ID or URL of the site. Must be UTF-8 encoded with a maximum length of 240 bytes.", "type": "string" } } }, "CmTrackingAd": { "type": "object", "id": "CmTrackingAd", "properties": { "cmPlacementId": { "type": "string", "format": "int64", "description": "The placement ID of the campaign manager 360 tracking Ad." }, "cmAdId": { "description": "The ad ID of the campaign manager 360 tracking Ad.", "type": "string", "format": "int64" }, "cmCreativeId": { "type": "string", "description": "The creative ID of the campaign manager 360 tracking Ad.", "format": "int64" } }, "description": "A Campaign Manager 360 tracking ad." }, "ConversionCountingConfig": { "description": "Settings that control how conversions are counted. All post-click conversions will be counted. A percentage value can be set for post-view conversions counting.", "properties": { "postViewCountPercentageMillis": { "type": "string", "description": "The percentage of post-view conversions to count, in millis (1/1000 of a percent). Must be between 0 and 100000 inclusive. For example, to track 50% of the post-click conversions, set a value of 50000.", "format": "int64" }, "floodlightActivityConfigs": { "description": "The Floodlight activity configs used to track conversions. The number of conversions counted is the sum of all of the conversions counted by all of the Floodlight activity IDs specified in this field.", "items": { "$ref": "TrackingFloodlightActivityConfig" }, "type": "array" } }, "type": "object", "id": "ConversionCountingConfig" }, "CustomListGroup": { "id": "CustomListGroup", "description": "Details of custom list group. All custom list targeting settings are logically ‘OR’ of each other.", "type": "object", "properties": { "settings": { "description": "Required. All custom list targeting settings in custom list group. Repeated settings with same id will be ignored.", "type": "array", "items": { "$ref": "CustomListTargetingSetting" } } } }, "ListLineItemsResponse": { "properties": { "lineItems": { "items": { "$ref": "LineItem" }, "description": "The list of line items. This list will be absent if empty.", "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListLineItems` method to retrieve the next page of results.", "type": "string" } }, "type": "object", "id": "ListLineItemsResponse" }, "ThirdPartyOnlyConfig": { "type": "object", "id": "ThirdPartyOnlyConfig", "properties": { "pixelOrderIdReportingEnabled": { "type": "boolean", "description": "Whether or not order ID reporting for pixels is enabled. This value cannot be changed once set to `true`." } }, "description": "Settings for advertisers that use third-party ad servers only." }, "PartnerAdServerConfig": { "type": "object", "id": "PartnerAdServerConfig", "description": "Ad server related settings of a partner.", "properties": { "measurementConfig": { "$ref": "MeasurementConfig", "description": "Measurement settings of a partner." } } }, "TimeRange": { "description": "A time range.", "type": "object", "id": "TimeRange", "properties": { "startTime": { "description": "Required. The lower bound of a time range, inclusive.", "type": "string", "format": "google-datetime" }, "endTime": { "description": "Required. The upper bound of a time range, inclusive.", "type": "string", "format": "google-datetime" } } }, "ActivateManualTriggerRequest": { "properties": {}, "description": "Request message for ManualTriggerService.ActivateManualTrigger.", "id": "ActivateManualTriggerRequest", "type": "object" }, "ListAssignedLocationsResponse": { "id": "ListAssignedLocationsResponse", "properties": { "assignedLocations": { "type": "array", "items": { "$ref": "AssignedLocation" }, "description": "The list of assigned locations. This list will be absent if empty." }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListAssignedLocations` method to retrieve the next page of results." } }, "description": "Response message for AssignedLocationService.ListAssignedLocations.", "type": "object" }, "SearchTargetingOptionsResponse": { "type": "object", "description": "Response message for SearchTargetingOptions.", "id": "SearchTargetingOptionsResponse", "properties": { "targetingOptions": { "items": { "$ref": "TargetingOption" }, "description": "The list of targeting options that match the search criteria. This list will be absent if empty.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `SearchTargetingOptions` method to retrieve the next page of results." } } }, "LineItemBudget": { "description": "Settings that control how budget is allocated.", "properties": { "budgetUnit": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Budgeting in currency amounts.", "Budgeting in impression amounts." ], "type": "string", "enum": [ "BUDGET_UNIT_UNSPECIFIED", "BUDGET_UNIT_CURRENCY", "BUDGET_UNIT_IMPRESSIONS" ], "readOnly": true, "description": "Output only. The budget unit specifies whether the budget is currency based or impression based. This value is inherited from the parent insertion order." }, "maxAmount": { "type": "string", "format": "int64", "description": "The maximum budget amount the line item will spend. Must be greater than 0. When budget_allocation_type is: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LINE_ITEM_BUDGET_ALLOCATION_TYPE_AUTOMATIC`, this field is immutable and is set by the system. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LINE_ITEM_BUDGET_ALLOCATION_TYPE_FIXED`, if budget_unit is: - `BUDGET_UNIT_CURRENCY`, this field represents maximum budget amount to spend, in micros of the advertiser's currency. For example, 1500000 represents 1.5 standard units of the currency. - `BUDGET_UNIT_IMPRESSIONS`, this field represents the maximum number of impressions to serve. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `LINE_ITEM_BUDGET_ALLOCATION_TYPE_UNLIMITED`, this field is not applicable and will be ignored by the system." }, "budgetAllocationType": { "enum": [ "LINE_ITEM_BUDGET_ALLOCATION_TYPE_UNSPECIFIED", "LINE_ITEM_BUDGET_ALLOCATION_TYPE_AUTOMATIC", "LINE_ITEM_BUDGET_ALLOCATION_TYPE_FIXED", "LINE_ITEM_BUDGET_ALLOCATION_TYPE_UNLIMITED" ], "description": "Required. The type of the budget allocation. `LINE_ITEM_BUDGET_ALLOCATION_TYPE_AUTOMATIC` is only applicable when automatic budget allocation is enabled for the parent insertion order.", "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Automatic budget allocation is enabled for the line item.", "A fixed max budget amount is allocated for the line item.", "No budget limit is applied to the line item." ], "type": "string" } }, "type": "object", "id": "LineItemBudget" }, "ListTargetingOptionsResponse": { "id": "ListTargetingOptionsResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListTargetingOptions` method to retrieve the next page of results.", "type": "string" }, "targetingOptions": { "type": "array", "description": "The list of targeting options. This list will be absent if empty.", "items": { "$ref": "TargetingOption" } } }, "description": "Response message for ListTargetingOptions." }, "PartnerCost": { "type": "object", "id": "PartnerCost", "properties": { "feePercentageMillis": { "format": "int64", "type": "string", "description": "The media fee percentage in millis (1/1000 of a percent). Applicable when the fee_type is `PARTNER_FEE_TYPE_MEDIA_FEE`. Must be greater than or equal to 0. For example: 100 represents 0.1%." }, "invoiceType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Partner cost is billed through DV360.", "Partner cost is billed by the partner." ], "enum": [ "PARTNER_COST_INVOICE_TYPE_UNSPECIFIED", "PARTNER_COST_INVOICE_TYPE_DV360", "PARTNER_COST_INVOICE_TYPE_PARTNER" ], "type": "string", "description": "The invoice type for this partner cost. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required when cost_type is one of: - `PARTNER_COST_TYPE_ADLOOX` - `PARTNER_COST_TYPE_DOUBLE_VERIFY` - `PARTNER_COST_TYPE_INTEGRAL_AD_SCIENCE`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Output only for other types." }, "costType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The cost is charged for using Adloox.", "The cost is charged for using Adloox Pre-Bid.", "The cost is charged for using AdSafe.", "The cost is charged for using AdExpose.", "The cost is charged for using Aggregate Knowledge.", "The cost is charged for using an Agency Trading Desk.", "The cost is charged for using DV360.", "The cost is charged for using comScore vCE.", "The cost is charged for using a Data Management Platform.", "The default cost type.", "The cost is charged for using DoubleVerify.", "The cost is charged for using DoubleVerify Pre-Bid.", "The cost is charged for using Evidon.", "The cost is charged for using Integral Ad Science Video.", "The cost is charged for using Integral Ad Science Pre-Bid.", "The cost is charged for using media cost data.", "The cost is charged for using MOAT Video.", "The cost is charged for using Nielsen Digital Ad Ratings.", "The cost is charged for using ShopLocal.", "The cost is charged for using Teracent.", "The cost is charged for using a third-party ad server.", "The cost is charged for using TrustMetrics.", "The cost is charged for using Vizu.", "The cost is charged for using AdLingo.", "The cost is charged as custom fee 1.", "The cost is charged as custom fee 2.", "The cost is charged as custom fee 3.", "The cost is charged as custom fee 4.", "The cost is charged as custom fee 5." ], "description": "Required. The type of the partner cost.", "type": "string", "enum": [ "PARTNER_COST_TYPE_UNSPECIFIED", "PARTNER_COST_TYPE_ADLOOX", "PARTNER_COST_TYPE_ADLOOX_PREBID", "PARTNER_COST_TYPE_ADSAFE", "PARTNER_COST_TYPE_ADXPOSE", "PARTNER_COST_TYPE_AGGREGATE_KNOWLEDGE", "PARTNER_COST_TYPE_AGENCY_TRADING_DESK", "PARTNER_COST_TYPE_DV360_FEE", "PARTNER_COST_TYPE_COMSCORE_VCE", "PARTNER_COST_TYPE_DATA_MANAGEMENT_PLATFORM", "PARTNER_COST_TYPE_DEFAULT", "PARTNER_COST_TYPE_DOUBLE_VERIFY", "PARTNER_COST_TYPE_DOUBLE_VERIFY_PREBID", "PARTNER_COST_TYPE_EVIDON", "PARTNER_COST_TYPE_INTEGRAL_AD_SCIENCE_VIDEO", "PARTNER_COST_TYPE_INTEGRAL_AD_SCIENCE_PREBID", "PARTNER_COST_TYPE_MEDIA_COST_DATA", "PARTNER_COST_TYPE_MOAT_VIDEO", "PARTNER_COST_TYPE_NIELSEN_DAR", "PARTNER_COST_TYPE_SHOP_LOCAL", "PARTNER_COST_TYPE_TERACENT", "PARTNER_COST_TYPE_THIRD_PARTY_AD_SERVER", "PARTNER_COST_TYPE_TRUST_METRICS", "PARTNER_COST_TYPE_VIZU", "PARTNER_COST_TYPE_ADLINGO_FEE", "PARTNER_COST_TYPE_CUSTOM_FEE_1", "PARTNER_COST_TYPE_CUSTOM_FEE_2", "PARTNER_COST_TYPE_CUSTOM_FEE_3", "PARTNER_COST_TYPE_CUSTOM_FEE_4", "PARTNER_COST_TYPE_CUSTOM_FEE_5" ] }, "feeType": { "enumDescriptions": [ "Value is not specified or is unknown in this version.", "The partner cost is a fixed CPM fee. Not applicable when the partner cost cost_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_MEDIA_COST_DATA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_DV360_FEE`.", "The partner cost is a percentage surcharge based on the media cost. Not applicable when the partner cost_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_SHOP_LOCAL` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_TRUST_METRICS` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_INTEGRAL_AD_SCIENCE_VIDEO` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PARTNER_COST_TYPE_MOAT_VIDEO`." ], "description": "Required. The fee type for this partner cost.", "type": "string", "enum": [ "PARTNER_COST_FEE_TYPE_UNSPECIFIED", "PARTNER_COST_FEE_TYPE_CPM_FEE", "PARTNER_COST_FEE_TYPE_MEDIA_FEE" ] }, "feeAmount": { "description": "The CPM fee amount in micros of advertiser's currency. Applicable when the fee_type is `PARTNER_FEE_TYPE_CPM_FEE`. Must be greater than or equal to 0. For example, for 1.5 standard unit of the advertiser's currency, set this field to 1500000.", "format": "int64", "type": "string" } }, "description": "Settings that control a partner cost. A partner cost is any type of expense involved in running a campaign, other than the costs of purchasing impressions (which is called the media cost) and using third-party audience segment data (data fee). Some examples of partner costs include the fees for using DV360, a third-party ad server, or a third-party ad serving verification service." }, "BulkEditAssignedLocationsRequest": { "type": "object", "id": "BulkEditAssignedLocationsRequest", "description": "Request message for AssignedLocationService.BulkEditAssignedLocations.", "properties": { "createdAssignedLocations": { "items": { "$ref": "AssignedLocation" }, "type": "array", "description": "The assigned locations to create in bulk, specified as a list of AssignedLocations." }, "deletedAssignedLocations": { "items": { "type": "string", "format": "int64" }, "type": "array", "description": "The IDs of the assigned locations to delete in bulk, specified as a list of assigned_location_ids." } } }, "InsertionOrderBudget": { "id": "InsertionOrderBudget", "type": "object", "description": "Settings that control how insertion order budget is allocated.", "properties": { "automationType": { "enum": [ "INSERTION_ORDER_AUTOMATION_TYPE_UNSPECIFIED", "INSERTION_ORDER_AUTOMATION_TYPE_BUDGET", "INSERTION_ORDER_AUTOMATION_TYPE_NONE", "INSERTION_ORDER_AUTOMATION_TYPE_BID_BUDGET" ], "type": "string", "description": "The type of automation used to manage bid and budget for the insertion order. If this field is unspecified in creation, the value defaults to `INSERTION_ORDER_AUTOMATION_TYPE_NONE`.", "enumDescriptions": [ "Insertion order automation option is not specified or is unknown in this version.", "Automatic budget allocation. Allow the system to automatically shift budget to owning line items to optimize performance defined by performance_goal. No automation on bid settings.", "No automation of bid or budget on insertion order level. Bid and budget must be manually configured at the line item level.", "Allow the system to automatically adjust bids and shift budget to owning line items to optimize performance defined by performance_goal." ] }, "budgetSegments": { "items": { "$ref": "InsertionOrderBudgetSegment" }, "description": "Required. The list of budget segments. Use a budget segment to specify a specific budget for a given period of time an insertion order is running.", "type": "array" }, "budgetUnit": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Budgeting in currency amounts.", "Budgeting in impression amounts." ], "description": "Required. Immutable. The budget unit specifies whether the budget is currency based or impression based.", "type": "string", "enum": [ "BUDGET_UNIT_UNSPECIFIED", "BUDGET_UNIT_CURRENCY", "BUDGET_UNIT_IMPRESSIONS" ] } } }, "OmidTargetingOptionDetails": { "properties": { "omid": { "enumDescriptions": [ "Default value when omid targeting is not specified in this version.", "Open Measurement enabled mobile display inventory." ], "description": "Output only. The type of Open Measurement enabled inventory.", "type": "string", "readOnly": true, "enum": [ "OMID_UNSPECIFIED", "OMID_FOR_MOBILE_DISPLAY_ADS" ] } }, "id": "OmidTargetingOptionDetails", "description": "Represents a targetable Open Measurement enabled inventory type. This will be populated in the omid_details field when targeting_type is `TARGETING_TYPE_OMID`.", "type": "object" }, "InventorySourceAssignedTargetingOptionDetails": { "description": "Targeting details for inventory source. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_INVENTORY_SOURCE`.", "properties": { "inventorySourceId": { "description": "Required. ID of the inventory source. Should refer to the inventory_source_id field of an InventorySource resource.", "format": "int64", "type": "string" } }, "type": "object", "id": "InventorySourceAssignedTargetingOptionDetails" }, "BulkEditAdvertiserAssignedTargetingOptionsResponse": { "id": "BulkEditAdvertiserAssignedTargetingOptionsResponse", "properties": { "createdAssignedTargetingOptions": { "type": "array", "description": "The list of assigned targeting options that have been successfully created. This list will be absent if empty.", "items": { "$ref": "AssignedTargetingOption" } } }, "type": "object" }, "MaximizeSpendBidStrategy": { "id": "MaximizeSpendBidStrategy", "type": "object", "properties": { "customBiddingAlgorithmId": { "format": "int64", "type": "string", "description": "The ID of the Custom Bidding Algorithm used by this strategy. Only applicable when performance_goal_type is set to `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO`." }, "maxAverageCpmBidAmountMicros": { "description": "The maximum average CPM that may be bid, in micros of the advertiser's currency. Must be greater than or equal to a billable unit of the given currency. For example, 1500000 represents 1.5 standard units of the currency.", "type": "string", "format": "int64" }, "performanceGoalType": { "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Cost per action.", "Cost per click.", "Viewable CPM.", "Custom bidding algorithm.", "Completed inview and audible views.", "Inview time over 10 secs views.", "Viewable impressions." ], "enum": [ "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_UNSPECIFIED", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPA", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CPC", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CUSTOM_ALGO", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_CIVA", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_IVO_TEN", "BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_AV_VIEWED" ], "type": "string", "description": "Required. The type of the performance goal that the bidding strategy tries to minimize while spending the full budget. `BIDDING_STRATEGY_PERFORMANCE_GOAL_TYPE_VIEWABLE_CPM` is not supported for this strategy." }, "raiseBidForDeals": { "description": "Whether the strategy takes deal floor prices into account.", "type": "boolean" } }, "description": "A strategy that automatically adjusts the bid to optimize a specified performance goal while spending the full budget." }, "ExchangeConfig": { "type": "object", "id": "ExchangeConfig", "properties": { "enabledExchanges": { "description": "All enabled exchanges in the partner. Duplicate enabled exchanges will be ignored.", "type": "array", "items": { "$ref": "ExchangeConfigEnabledExchange" } } }, "description": "Settings that control which exchanges are enabled for a partner." }, "CategoryAssignedTargetingOptionDetails": { "id": "CategoryAssignedTargetingOptionDetails", "properties": { "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CATEGORY`." }, "displayName": { "description": "Output only. The display name of the category.", "readOnly": true, "type": "string" } }, "description": "Assigned category targeting option details. This will be populated in the category_details field when targeting_type is `TARGETING_TYPE_CATEGORY`.", "type": "object" }, "ViewabilityAssignedTargetingOptionDetails": { "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_VIEWABILITY` (e.g., \"509010\" for targeting the `VIEWABILITY_10_PERCENT_OR_MORE` option).", "type": "string" }, "viewability": { "enumDescriptions": [ "Default value when viewability is not specified in this version. This enum is a placeholder for default value and does not represent a real viewability option.", "Bid only on impressions that are at least 10% likely to be viewable.", "Bid only on impressions that are at least 20% likely to be viewable.", "Bid only on impressions that are at least 30% likely to be viewable.", "Bid only on impressions that are at least 40% likely to be viewable.", "Bid only on impressions that are at least 50% likely to be viewable.", "Bid only on impressions that are at least 60% likely to be viewable.", "Bid only on impressions that are at least 70% likely to be viewable.", "Bid only on impressions that are at least 80% likely to be viewable.", "Bid only on impressions that are at least 90% likely to be viewable." ], "enum": [ "VIEWABILITY_UNSPECIFIED", "VIEWABILITY_10_PERCENT_OR_MORE", "VIEWABILITY_20_PERCENT_OR_MORE", "VIEWABILITY_30_PERCENT_OR_MORE", "VIEWABILITY_40_PERCENT_OR_MORE", "VIEWABILITY_50_PERCENT_OR_MORE", "VIEWABILITY_60_PERCENT_OR_MORE", "VIEWABILITY_70_PERCENT_OR_MORE", "VIEWABILITY_80_PERCENT_OR_MORE", "VIEWABILITY_90_PERCENT_OR_MORE" ], "description": "The predicted viewability percentage. Output only in v1. Required in v2.", "type": "string" } }, "id": "ViewabilityAssignedTargetingOptionDetails", "description": "Assigned viewability targeting option details. This will be populated in the viewability_details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_VIEWABILITY`.", "type": "object" }, "ReplaceSitesResponse": { "type": "object", "id": "ReplaceSitesResponse", "description": "Response message for SiteService.ReplaceSites.", "properties": { "sites": { "type": "array", "description": "The list of sites in the channel after replacing.", "items": { "$ref": "Site" } } } }, "BulkEditLineItemAssignedTargetingOptionsResponse": { "type": "object", "properties": { "createdAssignedTargetingOptions": { "items": { "$ref": "AssignedTargetingOption" }, "type": "array", "description": "The list of assigned targeting options that have been successfully created. This list will be absent if empty." } }, "id": "BulkEditLineItemAssignedTargetingOptionsResponse" }, "InsertionOrderBudgetSegment": { "id": "InsertionOrderBudgetSegment", "description": "Settings that control the budget of a single budget segment.", "properties": { "description": { "type": "string", "description": "The budget segment description. It can be used to enter Purchase Order information for each budget segment and have that information printed on the invoices. Must be UTF-8 encoded with a length of no more than 80 characters." }, "dateRange": { "description": "Required. The start and end date settings of the budget segment. They are resolved relative to the parent advertiser's time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When creating a new budget segment, both `start_date` and `end_date` must be in the future. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An existing budget segment with a `start_date` in the past has a mutable `end_date` but an immutable `start_date`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `end_date` must be the `start_date` or later, both before the year 2037.", "$ref": "DateRange" }, "budgetAmountMicros": { "format": "int64", "description": "Required. The budget amount the insertion order will spend for the given date_range. The amount is in micros. Must be greater than 0. For example, 500000000 represents 500 standard units of the currency.", "type": "string" }, "campaignBudgetId": { "description": "The budget_id of the campaign budget that this insertion order budget segment is a part of.", "type": "string", "format": "int64" } }, "type": "object" }, "SubExchangeAssignedTargetingOptionDetails": { "description": "Details for assigned sub-exchange targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_SUB_EXCHANGE`.", "id": "SubExchangeAssignedTargetingOptionDetails", "type": "object", "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_SUB_EXCHANGE`.", "type": "string" } } }, "Transcode": { "id": "Transcode", "description": "Represents information about the transcoded audio or video file.", "properties": { "mimeType": { "description": "The MIME type of the transcoded file.", "type": "string" }, "audioBitRateKbps": { "format": "int64", "description": "The bit rate for the audio stream of the transcoded video, or the bit rate for the transcoded audio, in kilobits per second.", "type": "string" }, "dimensions": { "$ref": "Dimensions", "description": "The dimensions of the transcoded video." }, "fileSizeBytes": { "type": "string", "format": "int64", "description": "The size of the transcoded file, in bytes." }, "bitRateKbps": { "type": "string", "description": "The transcoding bit rate of the transcoded video, in kilobits per second.", "format": "int64" }, "name": { "type": "string", "description": "The name of the transcoded file." }, "frameRate": { "type": "number", "format": "float", "description": "The frame rate of the transcoded video, in frames per second." }, "transcoded": { "description": "Indicates if the transcoding was successful.", "type": "boolean" }, "audioSampleRateHz": { "type": "string", "format": "int64", "description": "The sample rate for the audio stream of the transcoded video, or the sample rate for the transcoded audio, in hertz." } }, "type": "object" }, "IdFilter": { "type": "object", "properties": { "insertionOrderIds": { "items": { "type": "string", "format": "int64" }, "description": "Insertion Orders to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "type": "array" }, "adGroupIds": { "description": "YouTube Ad Groups to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "items": { "type": "string", "format": "int64" }, "type": "array" }, "campaignIds": { "type": "array", "description": "Campaigns to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "items": { "format": "int64", "type": "string" } }, "mediaProductIds": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "Media Products to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest." }, "adGroupAdIds": { "items": { "format": "int64", "type": "string" }, "description": "YouTube Ads to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "type": "array" }, "lineItemIds": { "items": { "format": "int64", "type": "string" }, "description": "Line Items to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest.", "type": "array" } }, "id": "IdFilter", "description": "A filtering option that filters entities by their entity IDs." }, "AudioContentTypeAssignedTargetingOptionDetails": { "id": "AudioContentTypeAssignedTargetingOptionDetails", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_AUDIO_CONTENT_TYPE`." }, "audioContentType": { "enumDescriptions": [ "Audio content type is not specified in this version. This enum is a place holder for a default value and does not represent a real content stream type.", "The audio content type is unknown.", "The audio content type is music.", "The audio content type is broadcast.", "The audio content type is podcast." ], "enum": [ "AUDIO_CONTENT_TYPE_UNSPECIFIED", "AUDIO_CONTENT_TYPE_UNKNOWN", "AUDIO_CONTENT_TYPE_MUSIC", "AUDIO_CONTENT_TYPE_BROADCAST", "AUDIO_CONTENT_TYPE_PODCAST" ], "description": "The audio content type. Output only in v1. Required in v2.", "type": "string" } }, "description": "Details for audio content type assigned targeting option. This will be populated in the audio_content_type_details field when targeting_type is `TARGETING_TYPE_AUDIO_CONTENT_TYPE`. Explicitly targeting all options is not supported. Remove all audio content type targeting options to achieve this effect.", "type": "object" }, "InsertionOrder": { "id": "InsertionOrder", "properties": { "budget": { "description": "Required. The budget allocation settings of the insertion order.", "$ref": "InsertionOrderBudget" }, "bidStrategy": { "$ref": "BiddingStrategy", "description": "The bidding strategy of the insertion order. By default, fixed_bid is set." }, "reservationType": { "type": "string", "description": "Output only. The reservation type of the insertion order.", "enum": [ "RESERVATION_TYPE_UNSPECIFIED", "RESERVATION_TYPE_NOT_GUARANTEED", "RESERVATION_TYPE_PROGRAMMATIC_GUARANTEED", "RESERVATION_TYPE_TAG_GUARANTEED" ], "readOnly": true, "enumDescriptions": [ "Reservation type value is not specified or is unknown in this version.", "Not created through a guaranteed inventory source.", "Created through a programmatic guaranteed inventory source.", "Created through a tag guaranteed inventory source." ] }, "entityStatus": { "description": "Required. Controls whether or not the insertion order can spend its budget and bid on inventory. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For CreateInsertionOrder method, only `ENTITY_STATUS_DRAFT` is allowed. To activate an insertion order, use UpdateInsertionOrder method and update the status to `ENTITY_STATUS_ACTIVE` after creation. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An insertion order cannot be changed back to `ENTITY_STATUS_DRAFT` status from any other status. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An insertion order cannot be set to `ENTITY_STATUS_ACTIVE` if its parent campaign is not active.", "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "type": "string", "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ] }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. The timestamp when the insertion order was last updated. Assigned by the system.", "format": "google-datetime" }, "partnerCosts": { "description": "The partner costs associated with the insertion order. If absent or empty in CreateInsertionOrder method, the newly created insertion order will inherit partner costs from the partner settings.", "items": { "$ref": "PartnerCost" }, "type": "array" }, "campaignId": { "type": "string", "format": "int64", "description": "Required. Immutable. The unique ID of the campaign that the insertion order belongs to." }, "displayName": { "description": "Required. The display name of the insertion order. Must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" }, "insertionOrderType": { "enum": [ "INSERTION_ORDER_TYPE_UNSPECIFIED", "RTB", "OVER_THE_TOP" ], "description": "The type of insertion order. If this field is unspecified in creation, the value defaults to `RTB`.", "enumDescriptions": [ "Insertion order type is not specified or is unknown.", "Real-time bidding.", "Over-the-top." ], "type": "string" }, "advertiserId": { "readOnly": true, "format": "int64", "description": "Output only. The unique ID of the advertiser the insertion order belongs to.", "type": "string" }, "pacing": { "$ref": "Pacing", "description": "Required. The budget spending speed setting of the insertion order." }, "performanceGoal": { "$ref": "PerformanceGoal", "description": "Required. Performance goal of the insertion order." }, "frequencyCap": { "description": "Required. The frequency capping setting of the insertion order.", "$ref": "FrequencyCap" }, "name": { "description": "Output only. The resource name of the insertion order.", "readOnly": true, "type": "string" }, "billableOutcome": { "type": "string", "enum": [ "BILLABLE_OUTCOME_UNSPECIFIED", "BILLABLE_OUTCOME_PAY_PER_IMPRESSION", "BILLABLE_OUTCOME_PAY_PER_CLICK", "BILLABLE_OUTCOME_PAY_PER_VIEWABLE_IMPRESSION" ], "enumDescriptions": [ "Unspecified billable outcome.", "Pay per impressions.", "Pay per click.", "Pay per active view." ], "description": "Immutable. The billable outcome of the insertion order." }, "integrationDetails": { "description": "Additional integration details of the insertion order.", "$ref": "IntegrationDetails" }, "insertionOrderId": { "readOnly": true, "format": "int64", "description": "Output only. The unique ID of the insertion order. Assigned by the system.", "type": "string" } }, "type": "object", "description": "A single insertion order." }, "BulkListInsertionOrderAssignedTargetingOptionsResponse": { "properties": { "assignedTargetingOptions": { "type": "array", "items": { "$ref": "AssignedTargetingOption" }, "description": "The list of assigned targeting options. This list will be absent if empty." }, "nextPageToken": { "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent BulkListInsertionOrderAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return.", "type": "string" } }, "type": "object", "description": "Response message for BulkListInsertionOrderAssignedTargetingOptions.", "id": "BulkListInsertionOrderAssignedTargetingOptionsResponse" }, "AudioContentTypeTargetingOptionDetails": { "description": "Represents a targetable audio content type. This will be populated in the audio_content_type_details field when targeting_type is `TARGETING_TYPE_AUDIO_CONTENT_TYPE`.", "properties": { "audioContentType": { "enum": [ "AUDIO_CONTENT_TYPE_UNSPECIFIED", "AUDIO_CONTENT_TYPE_UNKNOWN", "AUDIO_CONTENT_TYPE_MUSIC", "AUDIO_CONTENT_TYPE_BROADCAST", "AUDIO_CONTENT_TYPE_PODCAST" ], "readOnly": true, "enumDescriptions": [ "Audio content type is not specified in this version. This enum is a place holder for a default value and does not represent a real content stream type.", "The audio content type is unknown.", "The audio content type is music.", "The audio content type is broadcast.", "The audio content type is podcast." ], "type": "string", "description": "Output only. The audio content type." } }, "type": "object", "id": "AudioContentTypeTargetingOptionDetails" }, "ScriptError": { "id": "ScriptError", "type": "object", "properties": { "line": { "type": "string", "description": "The line number in the script where the error was thrown.", "format": "int64" }, "errorMessage": { "description": "The detailed error message.", "type": "string" }, "column": { "type": "string", "description": "The column number in the script where the error was thrown.", "format": "int64" }, "errorCode": { "description": "The type of error.", "type": "string", "enum": [ "ERROR_CODE_UNSPECIFIED", "SYNTAX_ERROR", "DEPRECATED_SYNTAX", "INTERNAL_ERROR" ], "enumDescriptions": [ "The script error is not specified or is unknown in this version.", "The script has a syntax error.", "The script uses deprecated syntax.", "Internal errors were thrown while processing the script." ] } }, "description": "An error message for a custom bidding script." }, "EditCustomerMatchMembersRequest": { "id": "EditCustomerMatchMembersRequest", "description": "Request message for FirstAndThirdPartyAudienceService.EditCustomerMatchMembers.", "type": "object", "properties": { "addedContactInfoList": { "$ref": "ContactInfoList", "description": "Input only. A list of contact information to define the members to be added." }, "advertiserId": { "description": "Required. The ID of the owner advertiser of the updated Customer Match FirstAndThirdPartyAudience.", "format": "int64", "type": "string" }, "addedMobileDeviceIdList": { "$ref": "MobileDeviceIdList", "description": "Input only. A list of mobile device IDs to define the members to be added." } } }, "EditCustomerMatchMembersResponse": { "properties": { "firstAndThirdPartyAudienceId": { "format": "int64", "type": "string", "description": "Required. The ID of the updated Customer Match FirstAndThirdPartyAudience." } }, "id": "EditCustomerMatchMembersResponse", "type": "object", "description": "The response of FirstAndThirdPartyAudienceService.EditCustomerMatchMembers." }, "GeoRegionTargetingOptionDetails": { "description": "Represents a targetable geographic region. This will be populated in the geo_region_details field when targeting_type is `TARGETING_TYPE_GEO_REGION`.", "properties": { "displayName": { "readOnly": true, "description": "Output only. The display name of the geographic region (e.g., \"Ontario, Canada\").", "type": "string" }, "geoRegionType": { "enumDescriptions": [ "The geographic region type is unknown.", "The geographic region type is other.", "The geographic region is a country.", "The geographic region type is region.", "The geographic region is a territory.", "The geographic region is a province.", "The geographic region is a state.", "The geographic region is a prefecture.", "The geographic region is a governorate.", "The geographic region is a canton.", "The geographic region is a union territory.", "The geographic region is an autonomous community.", "The geographic region is a designated market area (DMA) region.", "The geographic region type is metro.", "The geographic region is a congressional district.", "The geographic region is a county.", "The geographic region is a municipality.", "The geographic region is a city.", "The geographic region targeting type is postal code.", "The geographic region targeting type is department.", "The geographic region is an airport.", "The geographic region is a TV region.", "The geographic region is an okrug.", "The geographic region is a borough.", "The geographic region is a city region.", "The geographic region is an arrondissement.", "The geographic region is a neighborhood.", "The geographic region is a university.", "The geographic region is a district." ], "enum": [ "GEO_REGION_TYPE_UNKNOWN", "GEO_REGION_TYPE_OTHER", "GEO_REGION_TYPE_COUNTRY", "GEO_REGION_TYPE_REGION", "GEO_REGION_TYPE_TERRITORY", "GEO_REGION_TYPE_PROVINCE", "GEO_REGION_TYPE_STATE", "GEO_REGION_TYPE_PREFECTURE", "GEO_REGION_TYPE_GOVERNORATE", "GEO_REGION_TYPE_CANTON", "GEO_REGION_TYPE_UNION_TERRITORY", "GEO_REGION_TYPE_AUTONOMOUS_COMMUNITY", "GEO_REGION_TYPE_DMA_REGION", "GEO_REGION_TYPE_METRO", "GEO_REGION_TYPE_CONGRESSIONAL_DISTRICT", "GEO_REGION_TYPE_COUNTY", "GEO_REGION_TYPE_MUNICIPALITY", "GEO_REGION_TYPE_CITY", "GEO_REGION_TYPE_POSTAL_CODE", "GEO_REGION_TYPE_DEPARTMENT", "GEO_REGION_TYPE_AIRPORT", "GEO_REGION_TYPE_TV_REGION", "GEO_REGION_TYPE_OKRUG", "GEO_REGION_TYPE_BOROUGH", "GEO_REGION_TYPE_CITY_REGION", "GEO_REGION_TYPE_ARRONDISSEMENT", "GEO_REGION_TYPE_NEIGHBORHOOD", "GEO_REGION_TYPE_UNIVERSITY", "GEO_REGION_TYPE_DISTRICT" ], "description": "Output only. The type of geographic region targeting.", "type": "string", "readOnly": true } }, "type": "object", "id": "GeoRegionTargetingOptionDetails" }, "PrismaCpeCode": { "description": "Google Payments Center supports searching and filtering on the component fields of this code.", "type": "object", "properties": { "prismaEstimateCode": { "description": "The Prisma estimate code.", "type": "string" }, "prismaProductCode": { "type": "string", "description": "The Prisma product code." }, "prismaClientCode": { "description": "The Prisma client code.", "type": "string" } }, "id": "PrismaCpeCode" }, "ProximityLocationListAssignedTargetingOptionDetails": { "id": "ProximityLocationListAssignedTargetingOptionDetails", "description": "Targeting details for proximity location list. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_PROXIMITY_LOCATION_LIST`.", "properties": { "proximityLocationListId": { "format": "int64", "description": "Required. ID of the proximity location list. Should refer to the location_list_id field of a LocationList resource whose type is `TARGETING_LOCATION_TYPE_PROXIMITY`.", "type": "string" }, "proximityRadiusRange": { "type": "string", "enumDescriptions": [ "The targeted radius range is not specified or is unknown. Default value when radius range is not specified in this version. This enum is a placeholder for default value and does not represent a real radius range option.", "The targeted radius range is small.", "The targeted radius range is medium.", "The targeted radius range is large." ], "enum": [ "PROXIMITY_RADIUS_RANGE_UNSPECIFIED", "PROXIMITY_RADIUS_RANGE_SMALL", "PROXIMITY_RADIUS_RANGE_MEDIUM", "PROXIMITY_RADIUS_RANGE_LARGE" ], "description": "Required. Radius range for proximity location list. This represents the size of the area around a chosen location that will be targeted. `All` proximity location targeting under a single resource must have the same radius range value. Set this value to match any existing targeting. If updated, this field will change the radius range for all proximity targeting under the resource." } }, "type": "object" }, "AppCategoryAssignedTargetingOptionDetails": { "id": "AppCategoryAssignedTargetingOptionDetails", "description": "Details for assigned app category targeting option. This will be populated in the app_category_details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_APP_CATEGORY`.", "type": "object", "properties": { "displayName": { "type": "string", "readOnly": true, "description": "Output only. The display name of the app category." }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_APP_CATEGORY`." }, "negative": { "description": "Indicates if this option is being negatively targeted.", "type": "boolean" } } }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object" }, "UserRewardedContentAssignedTargetingOptionDetails": { "id": "UserRewardedContentAssignedTargetingOptionDetails", "properties": { "userRewardedContent": { "enumDescriptions": [ "User rewarded content is not specified or is unknown in this version.", "Represents ads where the user will see a reward after viewing.", "Represents all other ads besides user-rewarded." ], "type": "string", "readOnly": true, "enum": [ "USER_REWARDED_CONTENT_UNSPECIFIED", "USER_REWARDED_CONTENT_USER_REWARDED", "USER_REWARDED_CONTENT_NOT_USER_REWARDED" ], "description": "Output only. User rewarded content status for video ads." }, "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_USER_REWARDED_CONTENT`." } }, "description": "User rewarded content targeting option details. This will be populated in the user_rewarded_content_details field when targeting_type is `TARGETING_TYPE_USER_REWARDED_CONTENT`.", "type": "object" }, "BulkEditPartnerAssignedTargetingOptionsRequest": { "properties": { "createRequests": { "type": "array", "description": "The assigned targeting options to create in batch, specified as a list of `CreateAssignedTargetingOptionsRequest`. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`", "items": { "$ref": "CreateAssignedTargetingOptionsRequest" } }, "deleteRequests": { "type": "array", "items": { "$ref": "DeleteAssignedTargetingOptionsRequest" }, "description": "The assigned targeting options to delete in batch, specified as a list of `DeleteAssignedTargetingOptionsRequest`. Supported targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TARGETING_TYPE_CHANNEL`" } }, "id": "BulkEditPartnerAssignedTargetingOptionsRequest", "type": "object", "description": "Request message for BulkEditPartnerAssignedTargetingOptions." }, "TargetingExpansionConfig": { "id": "TargetingExpansionConfig", "description": "Settings that control the targeting expansion of the line item. Targeting expansion allows the line item to reach a larger audience based on the original audience list and the targeting expansion level.", "type": "object", "properties": { "targetingExpansionLevel": { "description": "Required. Magnitude of expansion for applicable targeting under this line item.", "enum": [ "TARGETING_EXPANSION_LEVEL_UNSPECIFIED", "NO_EXPANSION", "LEAST_EXPANSION", "SOME_EXPANSION", "BALANCED_EXPANSION", "MORE_EXPANSION", "MOST_EXPANSION" ], "type": "string", "enumDescriptions": [ "Targeting expansion level is not specified or is unknown in this version.", "Targeting expansion off.", "Conservative targeting expansion, lowest reach.", "Moderately conservative targeting expansion, lower reach.", "Moderate targeting expansion, medium reach.", "Moderately aggressive targeting expansion, higher reach.", "Aggressive targeting expansion, highest reach." ] }, "excludeFirstPartyAudience": { "type": "boolean", "description": "Required. Whether to exclude first party audiences from targeting. Similar audiences of the excluded first party lists will not be excluded. Only applicable when a first-party audience is positively targeted (directly or included in a combined audience), otherwise this selection will be ignored." } } }, "AdvertiserSdfConfig": { "id": "AdvertiserSdfConfig", "type": "object", "description": "Structured Data Files (SDF) settings of an advertiser.", "properties": { "overridePartnerSdfConfig": { "description": "Whether or not this advertiser overrides the SDF configuration of its parent partner. By default, an advertiser inherits the SDF configuration from the parent partner. To override the partner configuration, set this field to `true` and provide the new configuration in sdfConfig.", "type": "boolean" }, "sdfConfig": { "description": "The SDF configuration for the advertiser. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Required when overridePartnerSdfConfig is `true`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Output only when overridePartnerSdfConfig is `false`.", "$ref": "SdfConfig" } } }, "BudgetSummary": { "id": "BudgetSummary", "type": "object", "description": "Summarized information of an individual campaign budget.", "properties": { "prismaCpeCode": { "$ref": "PrismaCpeCode", "description": "Relevant client, product, and estimate codes from the Mediaocean Prisma tool. Only applicable for campaign budgets with an external_budget_source of EXTERNAL_BUDGET_SOURCE_MEDIA_OCEAN." }, "taxAmountMicros": { "format": "int64", "type": "string", "description": "The amount of tax applied to charges under this budget, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar." }, "totalAmountMicros": { "type": "string", "description": "The total sum of charges made under this budget, including tax, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar.", "format": "int64" }, "externalBudgetId": { "type": "string", "description": "Corresponds to the external_budget_id of a campaign budget. If the value is not set in the campaign budget, this field will be empty." }, "preTaxAmountMicros": { "type": "string", "format": "int64", "description": "The sum of charges made under this budget before taxes, in micros of the invoice's currency. For example, if currency_code is `USD`, then 1000000 represents one US dollar." } } }, "AudienceGroupAssignedTargetingOptionDetails": { "type": "object", "properties": { "includedGoogleAudienceGroup": { "$ref": "GoogleAudienceGroup", "description": "The Google audience ids of the included Google audience group. Contains Google audience ids only." }, "excludedGoogleAudienceGroup": { "$ref": "GoogleAudienceGroup", "description": "The Google audience ids of the excluded Google audience group. Used for negative targeting. The COMPLEMENT of the UNION of this group and other excluded audience groups is used as an INTERSECTION to any positive audience targeting. Only contains Affinity, In-market and Installed-apps type Google audiences. All items are logically ‘OR’ of each other." }, "includedCustomListGroup": { "description": "The custom list ids of the included custom list group. Contains custom list ids only.", "$ref": "CustomListGroup" }, "includedCombinedAudienceGroup": { "description": "The combined audience ids of the included combined audience group. Contains combined audience ids only.", "$ref": "CombinedAudienceGroup" }, "includedFirstAndThirdPartyAudienceGroups": { "items": { "$ref": "FirstAndThirdPartyAudienceGroup" }, "type": "array", "description": "The first and third party audience ids and recencies of included first and third party audience groups. Each first and third party audience group contains first and third party audience ids only. The relation between each first and third party audience group is INTERSECTION, and the result is UNION'ed with other audience groups. Repeated groups with same settings will be ignored." }, "excludedFirstAndThirdPartyAudienceGroup": { "$ref": "FirstAndThirdPartyAudienceGroup", "description": "The first and third party audience ids and recencies of the excluded first and third party audience group. Used for negative targeting. The COMPLEMENT of the UNION of this group and other excluded audience groups is used as an INTERSECTION to any positive audience targeting. All items are logically ‘OR’ of each other." } }, "description": "Assigned audience group targeting option details. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_AUDIENCE_GROUP`. The relation between each group is UNION, except for excluded_first_and_third_party_audience_group and excluded_google_audience_group, of which COMPLEMENT is used as an INTERSECTION with other groups.", "id": "AudienceGroupAssignedTargetingOptionDetails" }, "ListInventorySourcesResponse": { "properties": { "inventorySources": { "description": "The list of inventory sources. This list will be absent if empty.", "type": "array", "items": { "$ref": "InventorySource" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListInventorySources` method to retrieve the next page of results." } }, "id": "ListInventorySourcesResponse", "type": "object" }, "GenderAssignedTargetingOptionDetails": { "id": "GenderAssignedTargetingOptionDetails", "type": "object", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id of a TargetingOption of type `TARGETING_TYPE_GENDER`." }, "gender": { "enumDescriptions": [ "Default value when gender is not specified in this version. This enum is a place holder for default value and does not represent a real gender option.", "The audience gender is male.", "The audience gender is female.", "The audience gender is unknown." ], "description": "The gender of the audience. Output only in v1. Required in v2.", "enum": [ "GENDER_UNSPECIFIED", "GENDER_MALE", "GENDER_FEMALE", "GENDER_UNKNOWN" ], "type": "string" } }, "description": "Details for assigned gender targeting option. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_GENDER`." }, "CreateAssetRequest": { "type": "object", "description": "A request message for CreateAsset.", "properties": { "filename": { "description": "Required. The filename of the asset, including the file extension. The filename must be UTF-8 encoded with a maximum size of 240 bytes.", "type": "string" } }, "id": "CreateAssetRequest" }, "CombinedAudienceTargetingSetting": { "properties": { "combinedAudienceId": { "format": "int64", "type": "string", "description": "Required. Combined audience id of combined audience targeting setting. This id is combined_audience_id." } }, "id": "CombinedAudienceTargetingSetting", "type": "object", "description": "Details of combined audience targeting setting." }, "InventorySourceAccessorsAdvertiserAccessors": { "description": "The advertisers with access to the inventory source.", "type": "object", "id": "InventorySourceAccessorsAdvertiserAccessors", "properties": { "advertiserIds": { "description": "The IDs of the advertisers.", "items": { "type": "string", "format": "int64" }, "type": "array" } } }, "BulkEditSitesRequest": { "id": "BulkEditSitesRequest", "description": "Request message for SiteService.BulkEditSites.", "type": "object", "properties": { "advertiserId": { "format": "int64", "type": "string", "description": "The ID of the advertiser that owns the parent channel." }, "createdSites": { "description": "The sites to create in batch, specified as a list of Sites.", "type": "array", "items": { "$ref": "Site" } }, "deletedSites": { "items": { "type": "string" }, "type": "array", "description": "The sites to delete in batch, specified as a list of site url_or_app_ids." }, "partnerId": { "description": "The ID of the partner that owns the parent channel.", "type": "string", "format": "int64" } } }, "DateRange": { "properties": { "endDate": { "$ref": "Date", "description": "The upper bound of the date range, inclusive. Must specify a positive value for `year`, `month`, and `day`." }, "startDate": { "$ref": "Date", "description": "The lower bound of the date range, inclusive. Must specify a positive value for `year`, `month`, and `day`." } }, "description": "A date range.", "type": "object", "id": "DateRange" }, "ListLineItemAssignedTargetingOptionsResponse": { "description": "Response message for ListLineItemAssignedTargetingOptions.", "id": "ListLineItemAssignedTargetingOptionsResponse", "type": "object", "properties": { "assignedTargetingOptions": { "description": "The list of assigned targeting options. This list will be absent if empty.", "items": { "$ref": "AssignedTargetingOption" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token identifying the next page of results. This value should be specified as the pageToken in a subsequent ListLineItemAssignedTargetingOptionsRequest to fetch the next page of results. This token will be absent if there are no more assigned_targeting_options to return." } } }, "DigitalContentLabelAssignedTargetingOptionDetails": { "properties": { "contentRatingTier": { "enumDescriptions": [ "Content label is not specified in this version. This enum is a place holder for a default value and does not represent a real content rating.", "Content that has not been labeled.", "Content suitable for general audiences.", "Content suitable for most audiences with parental guidance.", "Content suitable for teen and older audiences.", "Content suitable only for mature audiences." ], "readOnly": true, "enum": [ "CONTENT_RATING_TIER_UNSPECIFIED", "CONTENT_RATING_TIER_UNRATED", "CONTENT_RATING_TIER_GENERAL", "CONTENT_RATING_TIER_PARENTAL_GUIDANCE", "CONTENT_RATING_TIER_TEENS", "CONTENT_RATING_TIER_MATURE" ], "description": "Output only. The display name of the digital content label rating tier.", "type": "string" }, "excludedTargetingOptionId": { "description": "Required. ID of the digital content label to be EXCLUDED.", "type": "string" } }, "type": "object", "id": "DigitalContentLabelAssignedTargetingOptionDetails", "description": "Targeting details for digital content label. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_DIGITAL_CONTENT_LABEL_EXCLUSION`." }, "ListCustomBiddingScriptsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCustomBiddingScriptsRequest` method to retrieve the next page of results. If this field is null, it means this is the last page." }, "customBiddingScripts": { "type": "array", "items": { "$ref": "CustomBiddingScript" }, "description": "The list of custom bidding scripts. This list will be absent if empty." } }, "id": "ListCustomBiddingScriptsResponse", "type": "object" }, "PublisherReviewStatus": { "id": "PublisherReviewStatus", "properties": { "publisherName": { "description": "The publisher reviewing the creative.", "type": "string" }, "status": { "type": "string", "description": "Status of the publisher review.", "enum": [ "REVIEW_STATUS_UNSPECIFIED", "REVIEW_STATUS_APPROVED", "REVIEW_STATUS_REJECTED", "REVIEW_STATUS_PENDING" ], "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "The creative is approved.", "The creative is rejected.", "The creative is pending review." ] } }, "description": "Publisher review status for the creative.", "type": "object" }, "ListAssignedInventorySourcesResponse": { "type": "object", "description": "Response message for AssignedInventorySourceService.ListAssignedInventorySources.", "id": "ListAssignedInventorySourcesResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListAssignedInventorySources` method to retrieve the next page of results." }, "assignedInventorySources": { "items": { "$ref": "AssignedInventorySource" }, "description": "The list of assigned inventory sources. This list will be absent if empty.", "type": "array" } } }, "HouseholdIncomeTargetingOptionDetails": { "type": "object", "id": "HouseholdIncomeTargetingOptionDetails", "properties": { "householdIncome": { "description": "Output only. The household income of an audience.", "enumDescriptions": [ "Default value when household income is not specified in this version. This enum is a placeholder for default value and does not represent a real household income option.", "The household income of the audience is unknown.", "The audience is in the lower 50% of U.S. household incomes.", "The audience is in the top 41-50% of U.S. household incomes.", "The audience is in the top 31-40% of U.S. household incomes.", "The audience is in the top 21-30% of U.S. household incomes.", "The audience is in the top 11-20% of U.S. household incomes.", "The audience is in the top 10% of U.S. household incomes." ], "readOnly": true, "type": "string", "enum": [ "HOUSEHOLD_INCOME_UNSPECIFIED", "HOUSEHOLD_INCOME_UNKNOWN", "HOUSEHOLD_INCOME_LOWER_50_PERCENT", "HOUSEHOLD_INCOME_TOP_41_TO_50_PERCENT", "HOUSEHOLD_INCOME_TOP_31_TO_40_PERCENT", "HOUSEHOLD_INCOME_TOP_21_TO_30_PERCENT", "HOUSEHOLD_INCOME_TOP_11_TO_20_PERCENT", "HOUSEHOLD_INCOME_TOP_10_PERCENT" ] } }, "description": "Represents a targetable household income. This will be populated in the household_income_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_HOUSEHOLD_INCOME`." }, "BulkEditAssignedLocationsResponse": { "properties": { "assignedLocations": { "description": "The list of assigned locations that have been successfully created. This list will be absent if empty.", "items": { "$ref": "AssignedLocation" }, "type": "array" } }, "type": "object", "description": "Response message for AssignedLocationService.BulkEditAssignedLocations.", "id": "BulkEditAssignedLocationsResponse" }, "AuthorizedSellerStatusTargetingOptionDetails": { "description": "Represents a targetable authorized seller status. This will be populated in the authorized_seller_status_details field when targeting_type is `TARGETING_TYPE_AUTHORIZED_SELLER_STATUS`.", "type": "object", "properties": { "authorizedSellerStatus": { "type": "string", "description": "Output only. The authorized seller status.", "enumDescriptions": [ "Default value when authorized seller status is not specified in this version. This enum is a placeholder for default value and does not represent a real authorized seller status option.", "Only authorized sellers that directly own the inventory being monetized, as indicated by a DIRECT declaration in the ads.txt file.", "All authorized sellers, including publishers that have not posted an ads.txt file. Display & Video 360 automatically disallows unauthorized sellers." ], "readOnly": true, "enum": [ "AUTHORIZED_SELLER_STATUS_UNSPECIFIED", "AUTHORIZED_SELLER_STATUS_AUTHORIZED_DIRECT_SELLERS_ONLY", "AUTHORIZED_SELLER_STATUS_AUTHORIZED_AND_NON_PARTICIPATING_PUBLISHERS" ] } }, "id": "AuthorizedSellerStatusTargetingOptionDetails" }, "InventorySourceFilter": { "properties": { "inventorySourceIds": { "description": "Inventory Sources to download by ID. All IDs must belong to the same Advertiser or Partner specified in CreateSdfDownloadTaskRequest. Leave empty to download all Inventory Sources for the selected Advertiser or Partner.", "items": { "format": "int64", "type": "string" }, "type": "array" } }, "type": "object", "id": "InventorySourceFilter", "description": "A filtering option for filtering on Inventory Source entities." }, "ContentInstreamPositionAssignedTargetingOptionDetails": { "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_CONTENT_INSTREAM_POSITION`." }, "adType": { "enumDescriptions": [ "Ad type is not specified or is unknown in this version.", "Display creatives, e.g. image and HTML5.", "Video creatives, e.g. video ads that play during streaming content in video players.", "Audio creatives, e.g. audio ads that play during audio content." ], "description": "Output only. The ad type to target. Only applicable to insertion order targeting and new line items supporting the specified ad type will inherit this targeting option by default. Possible values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_VIDEO`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_VIDEO_DEFAULT`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_AUDIO`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_AUDIO_DEFAULT`.", "readOnly": true, "type": "string", "enum": [ "AD_TYPE_UNSPECIFIED", "AD_TYPE_DISPLAY", "AD_TYPE_VIDEO", "AD_TYPE_AUDIO" ] }, "contentInstreamPosition": { "enumDescriptions": [ "Content instream position is not specified in this version. This enum is a place holder for a default value and does not represent a real in stream ad position.", "Ads that play before streaming content.", "Ads that play between the beginning and end of streaming content.", "Ads that play at the end of streaming content.", "Ads instream position is unknown." ], "enum": [ "CONTENT_INSTREAM_POSITION_UNSPECIFIED", "CONTENT_INSTREAM_POSITION_PRE_ROLL", "CONTENT_INSTREAM_POSITION_MID_ROLL", "CONTENT_INSTREAM_POSITION_POST_ROLL", "CONTENT_INSTREAM_POSITION_UNKNOWN" ], "description": "The content instream position for video or audio ads. Output only in v1. Required in v2.", "type": "string" } }, "type": "object", "id": "ContentInstreamPositionAssignedTargetingOptionDetails", "description": "Assigned content instream position targeting option details. This will be populated in the content_instream_position_details field when targeting_type is `TARGETING_TYPE_CONTENT_INSTREAM_POSITION`." }, "DoubleVerify": { "description": "Details of DoubleVerify settings.", "properties": { "brandSafetyCategories": { "$ref": "DoubleVerifyBrandSafetyCategories", "description": "DV Brand Safety Controls." }, "avoidedAgeRatings": { "type": "array", "description": "Avoid bidding on apps with the age rating.", "items": { "enum": [ "AGE_RATING_UNSPECIFIED", "APP_AGE_RATE_UNKNOWN", "APP_AGE_RATE_4_PLUS", "APP_AGE_RATE_9_PLUS", "APP_AGE_RATE_12_PLUS", "APP_AGE_RATE_17_PLUS", "APP_AGE_RATE_18_PLUS" ], "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any age rating options.", "Apps with unknown age rating.", "Apps rated for Everyone (4+).", "Apps rated for Everyone (9+).", "Apps rated for Teens (12+).", "Apps rated for Mature (17+).", "Apps rated for Adults Only (18+)." ], "type": "string" } }, "displayViewability": { "description": "Display viewability settings (applicable to display line items only).", "$ref": "DoubleVerifyDisplayViewability" }, "videoViewability": { "description": "Video viewability settings (applicable to video line items only).", "$ref": "DoubleVerifyVideoViewability" }, "fraudInvalidTraffic": { "$ref": "DoubleVerifyFraudInvalidTraffic", "description": "Avoid Sites and Apps with historical Fraud & IVT Rates." }, "appStarRating": { "description": "Avoid bidding on apps with the star ratings.", "$ref": "DoubleVerifyAppStarRating" }, "customSegmentId": { "description": "The custom segment ID provided by DoubleVerify. The ID must start with \"51\" and consist of eight digits. Custom segment ID cannot be specified along with any of the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh brand_safety_categories LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh avoided_age_ratings LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh app_star_rating LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh fraud_invalid_traffic", "type": "string", "format": "int64" } }, "type": "object", "id": "DoubleVerify" }, "InventorySourceStatus": { "description": "The status related settings of the inventory source.", "type": "object", "id": "InventorySourceStatus", "properties": { "entityStatus": { "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ], "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "description": "Whether or not the inventory source is servable. Acceptable values are `ENTITY_STATUS_ACTIVE`, `ENTITY_STATUS_ARCHIVED`, and `ENTITY_STATUS_PAUSED`. Default value is `ENTITY_STATUS_ACTIVE`.", "type": "string" }, "configStatus": { "type": "string", "readOnly": true, "enumDescriptions": [ "The approval status is not specified or is unknown in this version.", "The beginning state of a guaranteed inventory source. The inventory source in this state needs to be configured.", "The state after the buyer configures a guaranteed inventory source." ], "description": "Output only. The configuration status of the inventory source. Only applicable for guaranteed inventory sources. Acceptable values are `INVENTORY_SOURCE_CONFIG_STATUS_PENDING` and `INVENTORY_SOURCE_CONFIG_STATUS_COMPLETED`. An inventory source must be configured (fill in the required fields, choose creatives, and select a default campaign) before it can serve.", "enum": [ "INVENTORY_SOURCE_CONFIG_STATUS_UNSPECIFIED", "INVENTORY_SOURCE_CONFIG_STATUS_PENDING", "INVENTORY_SOURCE_CONFIG_STATUS_COMPLETED" ] }, "sellerPauseReason": { "description": "Output only. The seller-provided reason for pausing this inventory source. Only applicable for inventory sources synced directly from the publishers and when seller_status is set to `ENTITY_STATUS_PAUSED`.", "type": "string", "readOnly": true }, "sellerStatus": { "description": "Output only. The status set by the seller for the inventory source. Only applicable for inventory sources synced directly from the publishers. Acceptable values are `ENTITY_STATUS_ACTIVE` and `ENTITY_STATUS_PAUSED`.", "type": "string", "enumDescriptions": [ "Default value when status is not specified or is unknown in this version.", "The entity is enabled to bid and spend budget.", "The entity is archived. Bidding and budget spending are disabled. An entity can be deleted after archived. Deleted entities cannot be retrieved.", "The entity is under draft. Bidding and budget spending are disabled.", "Bidding and budget spending are paused for the entity.", "The entity is scheduled for deletion." ], "readOnly": true, "enum": [ "ENTITY_STATUS_UNSPECIFIED", "ENTITY_STATUS_ACTIVE", "ENTITY_STATUS_ARCHIVED", "ENTITY_STATUS_DRAFT", "ENTITY_STATUS_PAUSED", "ENTITY_STATUS_SCHEDULED_FOR_DELETION" ] }, "entityPauseReason": { "type": "string", "description": "The user-provided reason for pausing this inventory source. Must not exceed 100 characters. Only applicable when entity_status is set to `ENTITY_STATUS_PAUSED`." } } }, "CampaignFlight": { "properties": { "plannedSpendAmountMicros": { "type": "string", "description": "The amount the campaign is expected to spend for its given planned_dates. This will not limit serving, but will be used for tracking spend in the DV360 UI. The amount is in micros. Must be greater than or equal to 0. For example, 500000000 represents 500 standard units of the currency.", "format": "int64" }, "plannedDates": { "description": "Required. The dates that the campaign is expected to run. They are resolved relative to the parent advertiser's time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The dates specified here will not affect serving. They are used to generate alerts and warnings. For example, if the flight date of any child insertion order is outside the range of these dates, the user interface will show a warning. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `start_date` is required and must be the current date or later. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `end_date` is optional. If specified, it must be the `start_date` or later. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Any specified date must be before the year 2037.", "$ref": "DateRange" } }, "description": "Settings that track the planned spend and duration of a campaign.", "type": "object", "id": "CampaignFlight" }, "DeviceMakeModelAssignedTargetingOptionDetails": { "type": "object", "description": "Assigned device make and model targeting option details. This will be populated in the device_make_model_details field when targeting_type is `TARGETING_TYPE_DEVICE_MAKE_MODEL`.", "properties": { "targetingOptionId": { "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_DEVICE_MAKE_MODEL`.", "type": "string" }, "displayName": { "description": "Output only. The display name of the device make and model.", "type": "string", "readOnly": true }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." } }, "id": "DeviceMakeModelAssignedTargetingOptionDetails" }, "ListCustomBiddingAlgorithmsResponse": { "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCustomBiddingAlgorithmsRequest` method to retrieve the next page of results. If this field is null, it means this is the last page.", "type": "string" }, "customBiddingAlgorithms": { "description": "The list of custom bidding algorithms. This list will be absent if empty.", "type": "array", "items": { "$ref": "CustomBiddingAlgorithm" } } }, "type": "object", "id": "ListCustomBiddingAlgorithmsResponse" }, "BusinessChainSearchTerms": { "type": "object", "properties": { "regionQuery": { "description": "The search query for the desired geo region, e.g. \"Seattle\", \"United State\".", "type": "string" }, "businessChainQuery": { "description": "The search query for the desired business chain. The query must be the full name of the business, e.g. \"KFC\", \"mercedes-benz\".", "type": "string" } }, "description": "Search terms for Business Chain targeting options. At least one of the field should be populated.", "id": "BusinessChainSearchTerms" }, "InventorySourceVideoCreativeConfig": { "type": "object", "id": "InventorySourceVideoCreativeConfig", "properties": { "duration": { "format": "google-duration", "type": "string", "description": "The duration requirements for the video creatives that can be assigned to the inventory source." } }, "description": "The configuration for video creatives." }, "InventorySourceGroupAssignedTargetingOptionDetails": { "type": "object", "id": "InventorySourceGroupAssignedTargetingOptionDetails", "description": "Targeting details for inventory source group. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_INVENTORY_SOURCE_GROUP`.", "properties": { "inventorySourceGroupId": { "type": "string", "description": "Required. ID of the inventory source group. Should refer to the inventory_source_group_id field of an InventorySourceGroup resource.", "format": "int64" } } }, "OnScreenPositionAssignedTargetingOptionDetails": { "id": "OnScreenPositionAssignedTargetingOptionDetails", "description": "On screen position targeting option details. This will be populated in the on_screen_position_details field when targeting_type is `TARGETING_TYPE_ON_SCREEN_POSITION`.", "properties": { "adType": { "readOnly": true, "description": "Output only. The ad type to target. Only applicable to insertion order targeting and new line items supporting the specified ad type will inherit this targeting option by default. Possible values are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_DISPLAY`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_DISPLAY_DEFAULT`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AD_TYPE_VIDEO`, the setting will be inherited by new line item when line_item_type is `LINE_ITEM_TYPE_VIDEO_DEFAULT`.", "type": "string", "enum": [ "AD_TYPE_UNSPECIFIED", "AD_TYPE_DISPLAY", "AD_TYPE_VIDEO", "AD_TYPE_AUDIO" ], "enumDescriptions": [ "Ad type is not specified or is unknown in this version.", "Display creatives, e.g. image and HTML5.", "Video creatives, e.g. video ads that play during streaming content in video players.", "Audio creatives, e.g. audio ads that play during audio content." ] }, "onScreenPosition": { "readOnly": true, "enum": [ "ON_SCREEN_POSITION_UNSPECIFIED", "ON_SCREEN_POSITION_UNKNOWN", "ON_SCREEN_POSITION_ABOVE_THE_FOLD", "ON_SCREEN_POSITION_BELOW_THE_FOLD" ], "type": "string", "enumDescriptions": [ "On screen position is not specified in this version. This enum is a place holder for a default value and does not represent a real on screen position.", "The ad position is unknown on the screen.", "The ad is located above the fold.", "The ad is located below the fold." ], "description": "Output only. The on screen position." }, "targetingOptionId": { "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_ON_SCREEN_POSITION`.", "type": "string" } }, "type": "object" }, "DoubleVerifyVideoViewability": { "id": "DoubleVerifyVideoViewability", "description": "Details of DoubleVerify video viewability settings.", "type": "object", "properties": { "videoViewableRate": { "enum": [ "VIDEO_VIEWABLE_RATE_UNSPECIFIED", "VIEWED_PERFORMANCE_40_PERCENT_HIGHER", "VIEWED_PERFORMANCE_35_PERCENT_HIGHER", "VIEWED_PERFORMANCE_30_PERCENT_HIGHER", "VIEWED_PERFORMANCE_25_PERCENT_HIGHER", "VIEWED_PERFORMANCE_20_PERCENT_HIGHER", "VIEWED_PERFORMANCE_10_PERCENT_HIGHER" ], "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any video viewable rate options.", "Target web inventory to maximize fully viewable rate 40% or higher.", "Target web inventory to maximize fully viewable rate 35% or higher.", "Target web inventory to maximize fully viewable rate 30% or higher.", "Target web inventory to maximize fully viewable rate 25% or higher.", "Target web inventory to maximize fully viewable rate 20% or higher.", "Target web inventory to maximize fully viewable rate 10% or higher." ], "description": "Target web inventory to maximize fully viewable rate.", "type": "string" }, "playerImpressionRate": { "type": "string", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any impressions options.", "Sites with 95%+ of impressions.", "Sites with 70%+ of impressions.", "Sites with 25%+ of impressions.", "Sites with 5%+ of impressions." ], "description": "Target inventory to maximize impressions with 400x300 or greater player size.", "enum": [ "PLAYER_SIZE_400X300_UNSPECIFIED", "PLAYER_SIZE_400X300_95", "PLAYER_SIZE_400X300_70", "PLAYER_SIZE_400X300_25", "PLAYER_SIZE_400X300_5" ] }, "videoIab": { "description": "Target web inventory to maximize IAB viewable rate.", "enumDescriptions": [ "This enum is only a placeholder and it doesn't specify any video IAB viewable rate options.", "Target web and app inventory to maximize IAB viewable rate 80% or higher.", "Target web and app inventory to maximize IAB viewable rate 75% or higher.", "Target web and app inventory to maximize IAB viewable rate 70% or higher.", "Target web and app inventory to maximize IAB viewable rate 65% or higher.", "Target web and app inventory to maximize IAB viewable rate 60% or higher.", "Target web and app inventory to maximize IAB viewable rate 55% or higher.", "Target web and app inventory to maximize IAB viewable rate 50% or higher.", "Target web and app inventory to maximize IAB viewable rate 40% or higher.", "Target web and app inventory to maximize IAB viewable rate 30% or higher." ], "enum": [ "VIDEO_IAB_UNSPECIFIED", "IAB_VIEWABILITY_80_PERCENT_HIGHER", "IAB_VIEWABILITY_75_PERCENT_HIGHER", "IAB_VIEWABILITY_70_PERCENT_HIGHER", "IAB_VIEWABILITY_65_PERCENT_HIHGER", "IAB_VIEWABILITY_60_PERCENT_HIGHER", "IAB_VIEWABILITY_55_PERCENT_HIHGER", "IAB_VIEWABILITY_50_PERCENT_HIGHER", "IAB_VIEWABILITY_40_PERCENT_HIHGER", "IAB_VIEWABILITY_30_PERCENT_HIHGER" ], "type": "string" } } }, "ContentOutstreamPositionTargetingOptionDetails": { "description": "Represents a targetable content outstream position, which could be used by display and video ads. This will be populated in the content_outstream_position_details field when targeting_type is `TARGETING_TYPE_CONTENT_OUTSTREAM_POSITION`.", "id": "ContentOutstreamPositionTargetingOptionDetails", "properties": { "contentOutstreamPosition": { "type": "string", "readOnly": true, "enum": [ "CONTENT_OUTSTREAM_POSITION_UNSPECIFIED", "CONTENT_OUTSTREAM_POSITION_UNKNOWN", "CONTENT_OUTSTREAM_POSITION_IN_ARTICLE", "CONTENT_OUTSTREAM_POSITION_IN_BANNER", "CONTENT_OUTSTREAM_POSITION_IN_FEED", "CONTENT_OUTSTREAM_POSITION_INTERSTITIAL" ], "enumDescriptions": [ "Content outstream position is not specified in this version. This enum is a place holder for a default value and does not represent a real content outstream position.", "The ad position is unknown in the content outstream.", "Ads that appear between the paragraphs of your pages.", "Ads that display on the top and the sides of a page.", "Ads that appear in a scrollable stream of content. A feed is typically editorial (e.g. a list of articles or news) or listings (e.g. a list of products or services).", "Ads shown before or between content loads." ], "description": "Output only. The content outstream position." } }, "type": "object" }, "PartnerGeneralConfig": { "type": "object", "id": "PartnerGeneralConfig", "properties": { "currencyCode": { "description": "Immutable. Partner's currency in ISO 4217 format.", "type": "string" }, "timeZone": { "type": "string", "description": "Immutable. The standard TZ database name of the partner's time zone. For example, `America/New_York`. See more at: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones" } }, "description": "General settings of a partner." }, "AuditAdvertiserResponse": { "id": "AuditAdvertiserResponse", "properties": { "usedInsertionOrdersCount": { "format": "int64", "type": "string", "description": "The number of ACTIVE, PAUSED and DRAFT insertion orders under this advertiser. These insertion orders count towards the limit of 9999 insertion orders per advertiser." }, "usedLineItemsCount": { "format": "int64", "type": "string", "description": "The number of ACTIVE, PAUSED, and DRAFT line items under this advertiser. These line items count towards the limit of 9999 line items per advertiser." }, "campaignCriteriaCount": { "format": "int64", "description": "The number of individual targeting options from the following targeting types that are assigned to a line item under this advertiser. These individual targeting options count towards the limit of 900000 campaign targeting options per advertiser. Qualifying Targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Position LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Browser LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Connection speed LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Day and time LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Device and operating system LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Digital content label LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Sensitive categories LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Environment LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Geography, including business chains and proximity LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ISP LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Language LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Third-party verification", "type": "string" }, "negativeKeywordListsCount": { "type": "string", "format": "int64", "description": "The number of negative keyword lists created under this advertiser. These negative keyword lists count towards the limit of 20 negative keyword lists per advertiser." }, "channelsCount": { "format": "int64", "type": "string", "description": "The number of channels created under this advertiser. These channels count towards the limit of 1000 channels per advertiser." }, "usedCampaignsCount": { "type": "string", "description": "The number of ACTIVE and PAUSED campaigns under this advertiser. These campaigns count towards the limit of 9999 campaigns per advertiser.", "format": "int64" }, "adGroupCriteriaCount": { "format": "int64", "description": "The number of individual targeting options from the following targeting types that are assigned to a line item under this advertiser. These individual targeting options count towards the limit of 4500000 ad group targeting options per advertiser. Qualifying Targeting types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Channels, URLs, apps, and collections LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Demographic LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Google Audiences, including Affinity, Custom Affinity, and In-market audiences LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Inventory source LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Keyword LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Mobile app category LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh User lists LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Video targeting LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Viewability", "type": "string" }, "negativelyTargetedChannelsCount": { "type": "string", "description": "The number of negatively targeted channels created under this advertiser. These negatively targeted channels count towards the limit of 5 negatively targeted channels per advertiser.", "format": "int64" } }, "type": "object", "description": "Response message for AdvertiserService.AuditAdvertiser." }, "PerformanceGoal": { "description": "Settings that control the performance goal of a campaign or insertion order.", "type": "object", "id": "PerformanceGoal", "properties": { "performanceGoalAmountMicros": { "format": "int64", "type": "string", "description": "The goal amount, in micros of the advertiser's currency. Applicable when performance_goal_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPM` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPA` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CPIAVC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_VCPM` For example 1500000 represents 1.5 standard units of the currency." }, "performanceGoalPercentageMicros": { "format": "int64", "description": "The decimal representation of the goal percentage in micros. Applicable when performance_goal_type is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CTR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_VIEWABILITY` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_CLICK_CVR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_IMPRESSION_CVR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_VTR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_AUDIO_COMPLETION_RATE` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PERFORMANCE_GOAL_TYPE_VIDEO_COMPLETION_RATE` For example, 70000 represents 7% (decimal 0.07).", "type": "string" }, "performanceGoalString": { "type": "string", "description": "A key performance indicator (KPI) string, which can be empty. Must be UTF-8 encoded with a length of no more than 100 characters. Applicable when performance_goal_type is set to `PERFORMANCE_GOAL_TYPE_OTHER`." }, "performanceGoalType": { "type": "string", "description": "Required. The type of the performance goal.", "enum": [ "PERFORMANCE_GOAL_TYPE_UNSPECIFIED", "PERFORMANCE_GOAL_TYPE_CPM", "PERFORMANCE_GOAL_TYPE_CPC", "PERFORMANCE_GOAL_TYPE_CPA", "PERFORMANCE_GOAL_TYPE_CTR", "PERFORMANCE_GOAL_TYPE_VIEWABILITY", "PERFORMANCE_GOAL_TYPE_CPIAVC", "PERFORMANCE_GOAL_TYPE_CPE", "PERFORMANCE_GOAL_TYPE_CLICK_CVR", "PERFORMANCE_GOAL_TYPE_IMPRESSION_CVR", "PERFORMANCE_GOAL_TYPE_VCPM", "PERFORMANCE_GOAL_TYPE_VTR", "PERFORMANCE_GOAL_TYPE_AUDIO_COMPLETION_RATE", "PERFORMANCE_GOAL_TYPE_VIDEO_COMPLETION_RATE", "PERFORMANCE_GOAL_TYPE_OTHER" ], "enumDescriptions": [ "Performance goal type is not specified or is unknown in this version.", "The performance goal is set in CPM (cost per mille).", "The performance goal is set in CPC (cost per click).", "The performance goal is set in CPA (cost per action).", "The performance goal is set in CTR (click-through rate) percentage.", "The performance goal is set in Viewability percentage.", "The performance goal is set as CPIAVC (cost per impression audible and visible at completion).", "The performance goal is set in CPE (cost per engagement).", "The performance goal is set in click conversion rate (conversions per click) percentage.", "The performance goal is set in impression conversion rate (conversions per impression) percentage.", "The performance goal is set in VCPM (cost per thousand viewable impressions).", "The performance goal is set in YouTube view rate (YouTube views per impression) percentage.", "The performance goal is set in audio completion rate (complete audio listens per impression) percentage.", "The performance goal is set in video completion rate (complete video views per impression) percentage.", "The performance goal is set to Other." ] } } }, "BulkEditAssignedUserRolesResponse": { "properties": { "createdAssignedUserRoles": { "items": { "$ref": "AssignedUserRole" }, "type": "array", "description": "The list of assigned user roles that have been successfully created. This list will be absent if empty." } }, "type": "object", "id": "BulkEditAssignedUserRolesResponse" }, "GoogleAudienceGroup": { "properties": { "settings": { "description": "Required. All Google audience targeting settings in Google audience group. Repeated settings with same id will be ignored.", "type": "array", "items": { "$ref": "GoogleAudienceTargetingSetting" } } }, "type": "object", "description": "Details of Google audience group. All Google audience targeting settings are logically ‘OR’ of each other.", "id": "GoogleAudienceGroup" }, "RegionalLocationListAssignedTargetingOptionDetails": { "properties": { "regionalLocationListId": { "format": "int64", "description": "Required. ID of the regional location list. Should refer to the location_list_id field of a LocationList resource whose type is `TARGETING_LOCATION_TYPE_REGIONAL`.", "type": "string" }, "negative": { "type": "boolean", "description": "Indicates if this option is being negatively targeted." } }, "type": "object", "description": "Targeting details for regional location list. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_REGIONAL_LOCATION_LIST`.", "id": "RegionalLocationListAssignedTargetingOptionDetails" }, "PartnerRevenueModel": { "id": "PartnerRevenueModel", "properties": { "markupType": { "enum": [ "PARTNER_REVENUE_MODEL_MARKUP_TYPE_UNSPECIFIED", "PARTNER_REVENUE_MODEL_MARKUP_TYPE_CPM", "PARTNER_REVENUE_MODEL_MARKUP_TYPE_MEDIA_COST_MARKUP", "PARTNER_REVENUE_MODEL_MARKUP_TYPE_TOTAL_MEDIA_COST_MARKUP" ], "enumDescriptions": [ "Type value is not specified or is unknown in this version.", "Calculate the partner revenue based on a fixed CPM.", "Calculate the partner revenue based on a percentage surcharge of its media cost.", "Calculate the partner revenue based on a percentage surcharge of its total media cost, which includes all partner costs and data costs." ], "description": "Required. The markup type of the partner revenue model.", "type": "string" }, "markupAmount": { "format": "int64", "type": "string", "description": "Required. The markup amount of the partner revenue model. Must be greater than or equal to 0. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When the markup_type is set to be `PARTNER_REVENUE_MODEL_MARKUP_TYPE_CPM`, this field represents the CPM markup in micros of advertiser's currency. For example, 1500000 represents 1.5 standard units of the currency. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When the markup_type is set to be `PARTNER_REVENUE_MODEL_MARKUP_TYPE_MEDIA_COST_MARKUP`, this field represents the media cost percent markup in millis. For example, 100 represents 0.1% (decimal 0.001). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When the markup_type is set to be `PARTNER_REVENUE_MODEL_MARKUP_TYPE_TOTAL_MEDIA_COST_MARKUP`, this field represents the total media cost percent markup in millis. For example, 100 represents 0.1% (decimal 0.001)." } }, "description": "Settings that control how partner revenue is calculated.", "type": "object" }, "SearchTargetingOptionsRequest": { "properties": { "pageSize": { "format": "int32", "description": "Requested page size. Must be between `1` and `100`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified.", "type": "integer" }, "advertiserId": { "format": "int64", "type": "string", "description": "Required. The Advertiser this request is being made in the context of." }, "pageToken": { "type": "string", "description": "A token identifying a page of results the server should return. Typically, this is the value of next_page_token returned from the previous call to `SearchTargetingOptions` method. If not specified, the first page of results will be returned." }, "poiSearchTerms": { "description": "Search terms for POI targeting options. Can only be used when targeting_type is `TARGETING_TYPE_POI`.", "$ref": "PoiSearchTerms" }, "businessChainSearchTerms": { "$ref": "BusinessChainSearchTerms", "description": "Search terms for Business Chain targeting options. Can only be used when targeting_type is `TARGETING_TYPE_BUSINESS_CHAIN`." }, "geoRegionSearchTerms": { "$ref": "GeoRegionSearchTerms", "description": "Search terms for geo region targeting options. Can only be used when targeting_type is `TARGETING_TYPE_GEO_REGION`." } }, "id": "SearchTargetingOptionsRequest", "type": "object", "description": "Request message for SearchTargetingOptions." }, "BulkEditAssignedUserRolesRequest": { "type": "object", "description": "Request message for BulkEditAssignedUserRoles.", "properties": { "deletedAssignedUserRoles": { "type": "array", "description": "The assigned user roles to delete in batch, specified as a list of assigned_user_role_ids. The format of assigned_user_role_id is `entityType-entityid`, for example `partner-123`.", "items": { "type": "string" } }, "createdAssignedUserRoles": { "type": "array", "description": "The assigned user roles to create in batch, specified as a list of AssignedUserRoles.", "items": { "$ref": "AssignedUserRole" } } }, "id": "BulkEditAssignedUserRolesRequest" }, "LocationList": { "id": "LocationList", "description": "A list of locations used for targeting.", "type": "object", "properties": { "name": { "description": "Output only. The resource name of the location list.", "type": "string", "readOnly": true }, "locationListId": { "description": "Output only. The unique ID of the location list. Assigned by the system.", "format": "int64", "type": "string", "readOnly": true }, "displayName": { "type": "string", "description": "Required. The display name of the location list. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "locationType": { "type": "string", "description": "Required. Immutable. The type of location. All locations in the list will share this type.", "enum": [ "TARGETING_LOCATION_TYPE_UNSPECIFIED", "TARGETING_LOCATION_TYPE_PROXIMITY", "TARGETING_LOCATION_TYPE_REGIONAL" ], "enumDescriptions": [ "Default value when type is not specified or is unknown.", "The type for proximity geo location.", "The type for regional geo location." ] }, "advertiserId": { "type": "string", "format": "int64", "description": "Required. Immutable. The unique ID of the advertiser the location list belongs to." } } }, "GenderTargetingOptionDetails": { "id": "GenderTargetingOptionDetails", "description": "Represents a targetable gender. This will be populated in the gender_details field of a TargetingOption when targeting_type is `TARGETING_TYPE_GENDER`.", "type": "object", "properties": { "gender": { "enum": [ "GENDER_UNSPECIFIED", "GENDER_MALE", "GENDER_FEMALE", "GENDER_UNKNOWN" ], "description": "Output only. The gender of an audience.", "type": "string", "readOnly": true, "enumDescriptions": [ "Default value when gender is not specified in this version. This enum is a place holder for default value and does not represent a real gender option.", "The audience gender is male.", "The audience gender is female.", "The audience gender is unknown." ] } } }, "GoogleAudienceTargetingSetting": { "description": "Details of Google audience targeting setting.", "properties": { "googleAudienceId": { "description": "Required. Google audience id of the Google audience targeting setting. This id is google_audience_id.", "format": "int64", "type": "string" } }, "id": "GoogleAudienceTargetingSetting", "type": "object" }, "ListCreativesResponse": { "properties": { "creatives": { "type": "array", "description": "The list of creatives. This list will be absent if empty.", "items": { "$ref": "Creative" } }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCreativesRequest` method to retrieve the next page of results. If this field is null, it means this is the last page.", "type": "string" } }, "type": "object", "id": "ListCreativesResponse" }, "VideoPlayerSizeAssignedTargetingOptionDetails": { "description": "Video player size targeting option details. This will be populated in the video_player_size_details field when targeting_type is `TARGETING_TYPE_VIDEO_PLAYER_SIZE`. Explicitly targeting all options is not supported. Remove all video player size targeting options to achieve this effect.", "type": "object", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_VIDEO_PLAYER_SIZE`." }, "videoPlayerSize": { "enumDescriptions": [ "Video player size is not specified in this version. This enum is a place holder for a default value and does not represent a real video player size.", "The dimensions of the video player are less than 400×300 (desktop), or up to 20% of screen covered (mobile).", "The dimensions of the video player are between 400x300 and 1280x720 pixels (desktop), or 20% to 90% of the screen covered (mobile).", "The dimensions of the video player are 1280×720 or greater (desktop), or over 90% of the screen covered (mobile).", "The dimensions of the video player are unknown." ], "type": "string", "enum": [ "VIDEO_PLAYER_SIZE_UNSPECIFIED", "VIDEO_PLAYER_SIZE_SMALL", "VIDEO_PLAYER_SIZE_LARGE", "VIDEO_PLAYER_SIZE_HD", "VIDEO_PLAYER_SIZE_UNKNOWN" ], "description": "The video player size. Output only in v1. Required in v2." } }, "id": "VideoPlayerSizeAssignedTargetingOptionDetails" }, "ThirdPartyVerifierAssignedTargetingOptionDetails": { "type": "object", "description": "Assigned third party verifier targeting option details. This will be populated in the details field of an AssignedTargetingOption when targeting_type is `TARGETING_TYPE_THIRD_PARTY_VERIFIER`.", "properties": { "integralAdScience": { "description": "Third party brand verifier -- Integral Ad Science.", "$ref": "IntegralAdScience" }, "doubleVerify": { "description": "Third party brand verifier -- DoubleVerify.", "$ref": "DoubleVerify" }, "adloox": { "$ref": "Adloox", "description": "Third party brand verifier -- Adloox." } }, "id": "ThirdPartyVerifierAssignedTargetingOptionDetails" }, "ListGuaranteedOrdersResponse": { "type": "object", "properties": { "guaranteedOrders": { "description": "The list of guaranteed orders. This list will be absent if empty.", "items": { "$ref": "GuaranteedOrder" }, "type": "array" }, "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListGuaranteedOrders` method to retrieve the next page of results.", "type": "string" } }, "id": "ListGuaranteedOrdersResponse" }, "NativeContentPositionAssignedTargetingOptionDetails": { "description": "Details for native content position assigned targeting option. This will be populated in the native_content_position_details field when targeting_type is `TARGETING_TYPE_NATIVE_CONTENT_POSITION`. Explicitly targeting all options is not supported. Remove all native content position targeting options to achieve this effect.", "id": "NativeContentPositionAssignedTargetingOptionDetails", "properties": { "targetingOptionId": { "type": "string", "description": "Required. The targeting_option_id field when targeting_type is `TARGETING_TYPE_NATIVE_CONTENT_POSITION`." }, "contentPosition": { "enum": [ "NATIVE_CONTENT_POSITION_UNSPECIFIED", "NATIVE_CONTENT_POSITION_UNKNOWN", "NATIVE_CONTENT_POSITION_IN_ARTICLE", "NATIVE_CONTENT_POSITION_IN_FEED", "NATIVE_CONTENT_POSITION_PERIPHERAL", "NATIVE_CONTENT_POSITION_RECOMMENDATION" ], "type": "string", "description": "The content position. Output only in v1. Required in v2.", "enumDescriptions": [ "Native content position is not specified in this version. This enum is a place holder for a default value and does not represent a real native content position.", "The native content position is unknown.", "Native content position is in-article, i.e., ads appear between the paragraphs of pages.", "Native content position is in-feed, i.e., ads appear in a scrollable stream of content. A feed is typically editorial (e.g. a list of articles or news) or listings (e.g. a list of products or services).", "Native content position is peripheral, i.e., ads appear outside of core content on pages, such as the right- or left-hand side of the page.", "Native content position is recommendation, i.e., ads appear in sections for recommended content." ] } }, "type": "object" }, "EditGuaranteedOrderReadAccessorsRequest": { "properties": { "addedAdvertisers": { "description": "The advertisers to add as read accessors to the guaranteed order.", "type": "array", "items": { "type": "string", "format": "int64" } }, "removedAdvertisers": { "type": "array", "items": { "format": "int64", "type": "string" }, "description": "The advertisers to remove as read accessors to the guaranteed order." }, "partnerId": { "type": "string", "description": "Required. The partner context in which the change is being made.", "format": "int64" }, "readAccessInherited": { "type": "boolean", "description": "Whether to give all advertisers of the read/write accessor partner read access to the guaranteed order. Only applicable if read_write_partner_id is set in the guaranteed order." } }, "type": "object", "description": "Request message for GuaranteedOrderService.EditGuaranteedOrderReadAccessors.", "id": "EditGuaranteedOrderReadAccessorsRequest" }, "InventorySourceDisplayCreativeConfig": { "type": "object", "id": "InventorySourceDisplayCreativeConfig", "properties": { "creativeSize": { "$ref": "Dimensions", "description": "The size requirements for display creatives that can be assigned to the inventory source." } }, "description": "The configuration for display creatives." }, "ListCustomListsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCustomLists` method to retrieve the next page of results.", "type": "string" }, "customLists": { "items": { "$ref": "CustomList" }, "type": "array", "description": "The list of custom lists. This list will be absent if empty." } }, "id": "ListCustomListsResponse" }, "AdvertiserGeneralConfig": { "id": "AdvertiserGeneralConfig", "description": "General settings of an advertiser.", "type": "object", "properties": { "domainUrl": { "description": "Required. The domain URL of the advertiser's primary website. The system will send this information to publishers that require website URL to associate a campaign with an advertiser. Provide a URL with no path or query string, beginning with `http:` or `https:`. For example, http://www.example.com", "type": "string" }, "currencyCode": { "type": "string", "description": "Required. Immutable. Advertiser's currency in ISO 4217 format. Accepted codes and the currencies they represent are: Currency Code : Currency Name LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ARS` : Argentine Peso LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `AUD` : Australian Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `BRL` : Brazilian Real LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CAD` : Canadian Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CHF` : Swiss Franc LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CLP` : Chilean Peso LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CNY` : Chinese Yuan LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `COP` : Colombian Peso LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CZK` : Czech Koruna LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `DKK` : Danish Krone LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EGP` : Egyption Pound LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `EUR` : Euro LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GBP` : British Pound LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HKD` : Hong Kong Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `HUF` : Hungarian Forint LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `IDR` : Indonesian Rupiah LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ILS` : Israeli Shekel LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `INR` : Indian Rupee LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `JPY` : Japanese Yen LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `KRW` : South Korean Won LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `MXN` : Mexican Pesos LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `MYR` : Malaysian Ringgit LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NGN` : Nigerian Naira LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NOK` : Norwegian Krone LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `NZD` : New Zealand Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PEN` : Peruvian Nuevo Sol LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PLN` : Polish Zloty LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RON` : New Romanian Leu LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RUB` : Russian Ruble LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SEK` : Swedish Krona LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TRY` : Turkish Lira LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `TWD` : New Taiwan Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `USD` : US Dollar LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ZAR` : South African Rand" }, "timeZone": { "type": "string", "description": "Output only. The standard TZ database name of the advertiser's time zone. For example, `America/New_York`. See more at: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones For CM360 hybrid advertisers, the time zone is the same as that of the associated CM360 account; for third-party only advertisers, the time zone is the same as that of the parent partner.", "readOnly": true } } }, "ListCampaignsResponse": { "type": "object", "id": "ListCampaignsResponse", "properties": { "nextPageToken": { "description": "A token to retrieve the next page of results. Pass this value in the page_token field in the subsequent call to `ListCampaigns` method to retrieve the next page of results.", "type": "string" }, "campaigns": { "items": { "$ref": "Campaign" }, "type": "array", "description": "The list of campaigns. This list will be absent if empty." } } }, "InventorySource": { "properties": { "updateTime": { "readOnly": true, "description": "Output only. The timestamp when the inventory source was last updated. Assigned by the system.", "format": "google-datetime", "type": "string" }, "subSitePropertyId": { "type": "string", "description": "Immutable. The unique ID of the sub-site property assigned to this inventory source.", "format": "int64" }, "inventorySourceProductType": { "description": "Output only. The product type of the inventory source, denoting the way through which it sells inventory.", "readOnly": true, "enumDescriptions": [ "The product type is not specified or is unknown in this version. Modifying inventory sources of this product type are not supported via API.", "The inventory source sells inventory through Preferred Deal.", "The inventory source sells inventory through Private Auction.", "The inventory source sells inventory through Programmatic Guaranteed.", "The inventory source sells inventory through Tag Guaranteed.", "The inventory source sells inventory through YouTube Reserve.", "The inventory source sells inventory through Instant Reserve. Modifying inventory sources of this product type are not supported via API.", "The inventory source sells inventory through Guaranteed Package. Modifying inventory sources of this product type are not supported via API.", "The inventory source sells inventory through Programmtic TV. Modifying inventory sources of this product type are not supported via API.", "The inventory source sells inventory through Auction Package. Modifying inventory sources of this product type are not supported via API." ], "enum": [ "INVENTORY_SOURCE_PRODUCT_TYPE_UNSPECIFIED", "PREFERRED_DEAL", "PRIVATE_AUCTION", "PROGRAMMATIC_GUARANTEED", "TAG_GUARANTEED", "YOUTUBE_RESERVE", "INSTANT_RESERVE", "GUARANTEED_PACKAGE", "PROGRAMMATIC_TV", "AUCTION_PACKAGE" ], "type": "string" }, "inventorySourceType": { "type": "string", "enumDescriptions": [ "The inventory source type is not specified or is unknown in this version.", "Private inventory source.", "Auction package." ], "enum": [ "INVENTORY_SOURCE_TYPE_UNSPECIFIED", "INVENTORY_SOURCE_TYPE_PRIVATE", "INVENTORY_SOURCE_TYPE_AUCTION_PACKAGE" ], "description": "Denotes the type of the inventory source." }, "readWriteAccessors": { "$ref": "InventorySourceAccessors", "description": "The partner or advertisers that have read/write access to the inventory source. Output only when commitment is `INVENTORY_SOURCE_COMMITMENT_GUARANTEED`, in which case the read/write accessors are inherited from the parent guaranteed order. Required when commitment is `INVENTORY_SOURCE_COMMITMENT_NON_GUARANTEED`. If commitment is `INVENTORY_SOURCE_COMMITMENT_NON_GUARANTEED` and a partner is set in this field, all advertisers under this partner will automatically have read-only access to the inventory source. These advertisers will not be included in read_advertiser_ids." }, "publisherName": { "type": "string", "description": "The publisher/seller name of the inventory source." }, "creativeConfigs": { "type": "array", "items": { "$ref": "CreativeConfig" }, "description": "The creative requirements of the inventory source. Not applicable for auction packages." }, "displayName": { "type": "string", "description": "The display name of the inventory source. Must be UTF-8 encoded with a maximum size of 240 bytes." }, "guaranteedOrderId": { "description": "Immutable. The ID of the guaranteed order that this inventory source belongs to. Only applicable when commitment is `INVENTORY_SOURCE_COMMITMENT_GUARANTEED`.", "type": "string" }, "deliveryMethod": { "enum": [ "INVENTORY_SOURCE_DELIVERY_METHOD_UNSPECIFIED", "INVENTORY_SOURCE_DELIVERY_METHOD_PROGRAMMATIC", "INVENTORY_SOURCE_DELIVERY_METHOD_TAG" ], "type": "string", "enumDescriptions": [ "The delivery method is not specified or is unknown in this version.", "The delivery method is programmatic.", "The delivery method is tag." ], "description": "The delivery method of the inventory source. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For non-guaranteed inventory sources, the only acceptable value is `INVENTORY_SOURCE_DELIVERY_METHOD_PROGRAMMATIC`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh For guaranteed inventory sources, acceptable values are `INVENTORY_SOURCE_DELIVERY_METHOD_TAG` and `INVENTORY_SOURCE_DELIVERY_METHOD_PROGRAMMATIC`." }, "timeRange": { "description": "The time range when this inventory source starts and stops serving.", "$ref": "TimeRange" }, "dealId": { "type": "string", "description": "The ID in the exchange space that uniquely identifies the inventory source. Must be unique across buyers within each exchange but not necessarily unique across exchanges." }, "rateDetails": { "description": "Required. The rate details of the inventory source.", "$ref": "RateDetails" }, "exchange": { "enum": [ "EXCHANGE_UNSPECIFIED", "EXCHANGE_GOOGLE_AD_MANAGER", "EXCHANGE_APPNEXUS", "EXCHANGE_BRIGHTROLL", "EXCHANGE_ADFORM", "EXCHANGE_ADMETA", "EXCHANGE_ADMIXER", "EXCHANGE_ADSMOGO", "EXCHANGE_ADSWIZZ", "EXCHANGE_BIDSWITCH", "EXCHANGE_BRIGHTROLL_DISPLAY", "EXCHANGE_CADREON", "EXCHANGE_DAILYMOTION", "EXCHANGE_FIVE", "EXCHANGE_FLUCT", "EXCHANGE_FREEWHEEL", "EXCHANGE_GENIEE", "EXCHANGE_GUMGUM", "EXCHANGE_IMOBILE", "EXCHANGE_IBILLBOARD", "EXCHANGE_IMPROVE_DIGITAL", "EXCHANGE_INDEX", "EXCHANGE_KARGO", "EXCHANGE_MICROAD", "EXCHANGE_MOPUB", "EXCHANGE_NEND", "EXCHANGE_ONE_BY_AOL_DISPLAY", "EXCHANGE_ONE_BY_AOL_MOBILE", "EXCHANGE_ONE_BY_AOL_VIDEO", "EXCHANGE_OOYALA", "EXCHANGE_OPENX", "EXCHANGE_PERMODO", "EXCHANGE_PLATFORMONE", "EXCHANGE_PLATFORMID", "EXCHANGE_PUBMATIC", "EXCHANGE_PULSEPOINT", "EXCHANGE_REVENUEMAX", "EXCHANGE_RUBICON", "EXCHANGE_SMARTCLIP", "EXCHANGE_SMARTRTB", "EXCHANGE_SMARTSTREAMTV", "EXCHANGE_SOVRN", "EXCHANGE_SPOTXCHANGE", "EXCHANGE_STROER", "EXCHANGE_TEADSTV", "EXCHANGE_TELARIA", "EXCHANGE_TVN", "EXCHANGE_UNITED", "EXCHANGE_YIELDLAB", "EXCHANGE_YIELDMO", "EXCHANGE_UNRULYX", "EXCHANGE_OPEN8", "EXCHANGE_TRITON", "EXCHANGE_TRIPLELIFT", "EXCHANGE_TABOOLA", "EXCHANGE_INMOBI", "EXCHANGE_SMAATO", "EXCHANGE_AJA", "EXCHANGE_SUPERSHIP", "EXCHANGE_NEXSTAR_DIGITAL", "EXCHANGE_WAZE", "EXCHANGE_SOUNDCAST", "EXCHANGE_SHARETHROUGH", "EXCHANGE_RED_FOR_PUBLISHERS", "EXCHANGE_MEDIANET", "EXCHANGE_TAPJOY" ], "enumDescriptions": [ "Exchange is not specified or is unknown in this version.", "Google Ad Manager.", "AppNexus.", "BrightRoll Exchange for Video from Yahoo!.", "Adform.", "Admeta.", "Admixer.", "AdsMogo.", "AdsWizz.", "BidSwitch.", "BrightRoll Exchange for Display from Yahoo!.", "Cadreon.", "Dailymotion.", "Five.", "Fluct.", "FreeWheel SSP.", "Geniee.", "GumGum.", "i-mobile.", "iBILLBOARD.", "Improve Digital.", "Index Exchange.", "Kargo.", "MicroAd.", "MoPub.", "Nend.", "ONE by AOL: Display Market Place.", "ONE by AOL: Mobile.", "ONE by AOL: Video.", "Ooyala.", "OpenX.", "Permodo.", "Platform One.", "PlatformId.", "PubMatic.", "PulsePoint.", "RevenueMax.", "Rubicon.", "SmartClip.", "SmartRTB+.", "SmartstreamTv.", "Sovrn.", "SpotXchange.", "Ströer SSP.", "TeadsTv.", "Telaria.", "TVN.", "United.", "Yieldlab.", "Yieldmo.", "UnrulyX.", "Open8.", "Triton.", "TripleLift.", "Taboola.", "InMobi.", "Smaato.", "Aja.", "Supership.", "Nexstar Digital.", "Waze.", "SoundCast.", "Sharethrough.", "Red For Publishers.", "Media.net.", "Tapjoy." ], "type": "string", "description": "The exchange to which the inventory source belongs." }, "readAdvertiserIds": { "items": { "format": "int64", "type": "string" }, "readOnly": true, "type": "array", "description": "Output only. The IDs of advertisers with read-only access to the inventory source." }, "readPartnerIds": { "items": { "type": "string", "format": "int64" }, "readOnly": true, "type": "array", "description": "Output only. The IDs of partners with read-only access to the inventory source. All advertisers of partners in this field inherit read-only access to the inventory source." }, "commitment": { "enum": [ "INVENTORY_SOURCE_COMMITMENT_UNSPECIFIED", "INVENTORY_SOURCE_COMMITMENT_GUARANTEED", "INVENTORY_SOURCE_COMMITMENT_NON_GUARANTEED" ], "description": "Whether the inventory source has a guaranteed or non-guaranteed delivery.", "type": "string", "enumDescriptions": [ "The commitment is not specified or is unknown in this version.", "The commitment is guaranteed delivery.", "The commitment is non-guaranteed delivery." ] }, "status": { "$ref": "InventorySourceStatus", "description": "The status settings of the inventory source." }, "inventorySourceId": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The unique ID of the inventory source. Assigned by the system." }, "name": { "description": "Output only. The resource name of the inventory source.", "type": "string", "readOnly": true } }, "description": "An inventory source.", "id": "InventorySource", "type": "object" }, "InventorySourceAccessorsPartnerAccessor": { "description": "The partner with access to the inventory source.", "properties": { "partnerId": { "description": "The ID of the partner.", "format": "int64", "type": "string" } }, "id": "InventorySourceAccessorsPartnerAccessor", "type": "object" }, "BulkEditSitesResponse": { "id": "BulkEditSitesResponse", "properties": { "sites": { "items": { "$ref": "Site" }, "description": "The list of sites that have been successfully created. This list will be absent if empty.", "type": "array" } }, "type": "object", "description": "Response message for SiteService.BulkEditSites." } }, "protocol": "rest", "ownerDomain": "google.com" }
]===]))
