local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "location": "query", "type": "string", "default": "json", "description": "Data format for response." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" } }, "revision": "20220619", "mtlsRootUrl": "https://dlp.mtls.googleapis.com/", "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "documentationLink": "https://cloud.google.com/dlp/docs/", "schemas": { "GooglePrivacyDlpV2UpdateInspectTemplateRequest": { "description": "Request message for UpdateInspectTemplate.", "type": "object", "id": "GooglePrivacyDlpV2UpdateInspectTemplateRequest", "properties": { "updateMask": { "description": "Mask to control which fields get updated.", "format": "google-fieldmask", "type": "string" }, "inspectTemplate": { "$ref": "GooglePrivacyDlpV2InspectTemplate", "description": "New InspectTemplate value." } } }, "GooglePrivacyDlpV2ListDlpJobsResponse": { "description": "The response message for listing DLP jobs.", "type": "object", "properties": { "jobs": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "description": "A list of DlpJobs that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "id": "GooglePrivacyDlpV2ListDlpJobsResponse" }, "GooglePrivacyDlpV2ListInspectTemplatesResponse": { "id": "GooglePrivacyDlpV2ListInspectTemplatesResponse", "description": "Response message for ListInspectTemplates.", "properties": { "inspectTemplates": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "description": "List of inspectTemplates, up to page_size in ListInspectTemplatesRequest." }, "nextPageToken": { "description": "If the next page is available then the next page token to be used in following ListInspectTemplates request.", "type": "string" } }, "type": "object" }, "GooglePrivacyDlpV2CreateInspectTemplateRequest": { "properties": { "inspectTemplate": { "description": "Required. The InspectTemplate to create.", "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "templateId": { "type": "string", "description": "The template id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one." }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string" } }, "id": "GooglePrivacyDlpV2CreateInspectTemplateRequest", "type": "object", "description": "Request message for CreateInspectTemplate." }, "GooglePrivacyDlpV2CloudStorageFileSet": { "type": "object", "description": "Message representing a set of files in Cloud Storage.", "id": "GooglePrivacyDlpV2CloudStorageFileSet", "properties": { "url": { "type": "string", "description": "The url, in the format `gs:///`. Trailing wildcard in the path is allowed." } } }, "GooglePrivacyDlpV2FileSet": { "id": "GooglePrivacyDlpV2FileSet", "description": "Set of files to scan.", "properties": { "url": { "type": "string", "description": "The Cloud Storage url of the file(s) to scan, in the format `gs:///`. Trailing wildcard in the path is allowed. If the url ends in a trailing slash, the bucket or directory represented by the url will be scanned non-recursively (content in sub-directories will not be scanned). This means that `gs://mybucket/` is equivalent to `gs://mybucket/*`, and `gs://mybucket/directory/` is equivalent to `gs://mybucket/directory/*`. Exactly one of `url` or `regex_file_set` must be set." }, "regexFileSet": { "$ref": "GooglePrivacyDlpV2CloudStorageRegexFileSet", "description": "The regex-filtered set of files to scan. Exactly one of `url` or `regex_file_set` must be set." } }, "type": "object" }, "GooglePrivacyDlpV2QuasiIdentifierField": { "properties": { "customTag": { "type": "string", "description": "A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below)." }, "field": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Identifies the column." } }, "id": "GooglePrivacyDlpV2QuasiIdentifierField", "description": "A quasi-identifier column has a custom_tag, used to know which column in the data corresponds to which column in the statistical model.", "type": "object" }, "GooglePrivacyDlpV2CreateDlpJobRequest": { "type": "object", "description": "Request message for CreateDlpJobRequest. Used to initiate long running jobs such as calculating risk metrics or inspecting Google Cloud Storage.", "id": "GooglePrivacyDlpV2CreateDlpJobRequest", "properties": { "riskJob": { "$ref": "GooglePrivacyDlpV2RiskAnalysisJobConfig", "description": "A risk analysis job calculates re-identification risk metrics for a BigQuery table." }, "jobId": { "type": "string", "description": "The job id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one." }, "inspectJob": { "description": "An inspection job scans a storage repository for InfoTypes.", "$ref": "GooglePrivacyDlpV2InspectJobConfig" }, "locationId": { "type": "string", "description": "Deprecated. This field has no effect." } } }, "GooglePrivacyDlpV2Color": { "description": "Represents a color in the RGB color space.", "id": "GooglePrivacyDlpV2Color", "type": "object", "properties": { "green": { "type": "number", "description": "The amount of green in the color as a value in the interval [0, 1].", "format": "float" }, "red": { "type": "number", "description": "The amount of red in the color as a value in the interval [0, 1].", "format": "float" }, "blue": { "format": "float", "type": "number", "description": "The amount of blue in the color as a value in the interval [0, 1]." } } }, "GooglePrivacyDlpV2CustomInfoType": { "properties": { "infoType": { "$ref": "GooglePrivacyDlpV2InfoType", "description": "CustomInfoType can either be a new infoType, or an extension of built-in infoType, when the name matches one of existing infoTypes and that infoType is specified in `InspectContent.info_types` field. Specifying the latter adds findings to the one detected by the system. If built-in info type is not specified in `InspectContent.info_types` list then the name is treated as a custom info type." }, "likelihood": { "description": "Likelihood to return for this CustomInfoType. This base value can be altered by a detection rule if the finding meets the criteria specified by the rule. Defaults to `VERY_LIKELY` if not specified.", "enumDescriptions": [ "Default value; same as POSSIBLE.", "Few matching elements.", "", "Some matching elements.", "", "Many matching elements." ], "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "dictionary": { "$ref": "GooglePrivacyDlpV2Dictionary", "description": "A list of phrases to detect as a CustomInfoType." }, "regex": { "$ref": "GooglePrivacyDlpV2Regex", "description": "Regular expression based CustomInfoType." }, "storedType": { "$ref": "GooglePrivacyDlpV2StoredType", "description": "Load an existing `StoredInfoType` resource for use in `InspectDataSource`. Not currently supported in `InspectContent`." }, "detectionRules": { "description": "Set of detection rules to apply to all findings of this CustomInfoType. Rules are applied in order that they are specified. Not supported for the `surrogate_type` CustomInfoType.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2DetectionRule" } }, "surrogateType": { "description": "Message for detecting output from deidentification transformations that support reversing.", "$ref": "GooglePrivacyDlpV2SurrogateType" }, "exclusionType": { "description": "If set to EXCLUSION_TYPE_EXCLUDE this infoType will not cause a finding to be returned. It still can be used for rules matching.", "enumDescriptions": [ "A finding of this custom info type will not be excluded from results.", "A finding of this custom info type will be excluded from final results, but can still affect rule execution." ], "type": "string", "enum": [ "EXCLUSION_TYPE_UNSPECIFIED", "EXCLUSION_TYPE_EXCLUDE" ] } }, "type": "object", "id": "GooglePrivacyDlpV2CustomInfoType", "description": "Custom information type provided by the user. Used to find domain-specific sensitive information configurable to the data in question." }, "GooglePrivacyDlpV2ListJobTriggersResponse": { "description": "Response message for ListJobTriggers.", "type": "object", "properties": { "nextPageToken": { "description": "If the next page is available then the next page token to be used in following ListJobTriggers request.", "type": "string" }, "jobTriggers": { "description": "List of triggeredJobs, up to page_size in ListJobTriggersRequest.", "items": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "type": "array" } }, "id": "GooglePrivacyDlpV2ListJobTriggersResponse" }, "GooglePrivacyDlpV2KMapEstimationResult": { "id": "GooglePrivacyDlpV2KMapEstimationResult", "properties": { "kMapEstimationHistogram": { "type": "array", "description": "The intervals [min_anonymity, max_anonymity] do not overlap. If a value doesn't correspond to any such interval, the associated frequency is zero. For example, the following records: {min_anonymity: 1, max_anonymity: 1, frequency: 17} {min_anonymity: 2, max_anonymity: 3, frequency: 42} {min_anonymity: 5, max_anonymity: 10, frequency: 99} mean that there are no record with an estimated anonymity of 4, 5, or larger than 10.", "items": { "$ref": "GooglePrivacyDlpV2KMapEstimationHistogramBucket" } } }, "type": "object", "description": "Result of the reidentifiability analysis. Note that these results are an estimation, not exact values." }, "GooglePrivacyDlpV2WordList": { "description": "Message defining a list of words or phrases to search for in the data.", "id": "GooglePrivacyDlpV2WordList", "properties": { "words": { "description": "Words or phrases defining the dictionary. The dictionary must contain at least one phrase and every phrase must contain at least 2 characters that are letters or digits. [required]", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "GooglePrivacyDlpV2Error": { "description": "Details information about an error encountered during job execution or the results of an unsuccessful activation of the JobTrigger.", "properties": { "details": { "$ref": "GoogleRpcStatus", "description": "Detailed error codes and messages." }, "timestamps": { "type": "array", "items": { "type": "string", "format": "google-datetime" }, "description": "The times the error occurred." } }, "type": "object", "id": "GooglePrivacyDlpV2Error" }, "GooglePrivacyDlpV2SaveFindings": { "properties": { "outputConfig": { "description": "Location to store findings outside of DLP.", "$ref": "GooglePrivacyDlpV2OutputStorageConfig" } }, "id": "GooglePrivacyDlpV2SaveFindings", "description": "If set, the detailed findings will be persisted to the specified OutputStorageConfig. Only a single instance of this action can be specified. Compatible with: Inspect, Risk", "type": "object" }, "GooglePrivacyDlpV2CryptoKey": { "type": "object", "id": "GooglePrivacyDlpV2CryptoKey", "description": "This is a data encryption key (DEK) (as opposed to a key encryption key (KEK) stored by Cloud Key Management Service (Cloud KMS). When using Cloud KMS to wrap or unwrap a DEK, be sure to set an appropriate IAM policy on the KEK to ensure an attacker cannot unwrap the DEK.", "properties": { "unwrapped": { "description": "Unwrapped crypto key", "$ref": "GooglePrivacyDlpV2UnwrappedCryptoKey" }, "transient": { "$ref": "GooglePrivacyDlpV2TransientCryptoKey", "description": "Transient crypto key" }, "kmsWrapped": { "description": "Key wrapped using Cloud KMS", "$ref": "GooglePrivacyDlpV2KmsWrappedCryptoKey" } } }, "GooglePrivacyDlpV2DataProfileAction": { "id": "GooglePrivacyDlpV2DataProfileAction", "properties": { "pubSubNotification": { "$ref": "GooglePrivacyDlpV2PubSubNotification", "description": "Publish a message into the Pub/Sub topic." }, "exportData": { "$ref": "GooglePrivacyDlpV2Export", "description": "Export data profiles into a provided location." } }, "description": "A task to execute when a data profile has been generated.", "type": "object" }, "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest": { "properties": { "updateMask": { "type": "string", "description": "Mask to control which fields get updated.", "format": "google-fieldmask" }, "deidentifyTemplate": { "description": "New DeidentifyTemplate value.", "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" } }, "id": "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest", "type": "object", "description": "Request message for UpdateDeidentifyTemplate." }, "GooglePrivacyDlpV2HybridInspectDlpJobRequest": { "type": "object", "description": "Request to search for potentially sensitive info in a custom location.", "properties": { "hybridItem": { "$ref": "GooglePrivacyDlpV2HybridContentItem", "description": "The item to inspect." } }, "id": "GooglePrivacyDlpV2HybridInspectDlpJobRequest" }, "GooglePrivacyDlpV2Trigger": { "id": "GooglePrivacyDlpV2Trigger", "description": "What event needs to occur for a new job to be started.", "properties": { "schedule": { "$ref": "GooglePrivacyDlpV2Schedule", "description": "Create a job on a repeating basis based on the elapse of time." }, "manual": { "description": "For use with hybrid jobs. Jobs must be manually created and finished.", "$ref": "GooglePrivacyDlpV2Manual" } }, "type": "object" }, "GooglePrivacyDlpV2PublishSummaryToCscc": { "type": "object", "properties": {}, "description": "Publish the result summary of a DlpJob to the Cloud Security Command Center (CSCC Alpha). This action is only available for projects which are parts of an organization and whitelisted for the alpha Cloud Security Command Center. The action will publish count of finding instances and their info types. The summary of findings will be persisted in CSCC and are governed by CSCC service-specific policy, see https://cloud.google.com/terms/service-terms Only a single instance of this action can be specified. Compatible with: Inspect", "id": "GooglePrivacyDlpV2PublishSummaryToCscc" }, "GooglePrivacyDlpV2CreateStoredInfoTypeRequest": { "type": "object", "description": "Request message for CreateStoredInfoType.", "id": "GooglePrivacyDlpV2CreateStoredInfoTypeRequest", "properties": { "locationId": { "description": "Deprecated. This field has no effect.", "type": "string" }, "config": { "$ref": "GooglePrivacyDlpV2StoredInfoTypeConfig", "description": "Required. Configuration of the storedInfoType to create." }, "storedInfoTypeId": { "description": "The storedInfoType ID can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.", "type": "string" } } }, "GooglePrivacyDlpV2InfoTypeDescription": { "properties": { "name": { "description": "Internal name of the infoType.", "type": "string" }, "categories": { "items": { "$ref": "GooglePrivacyDlpV2InfoTypeCategory" }, "type": "array", "description": "The category of the infoType." }, "description": { "type": "string", "description": "Description of the infotype. Translated when language is provided in the request." }, "supportedBy": { "type": "array", "description": "Which parts of the API supports this InfoType.", "items": { "type": "string", "enum": [ "ENUM_TYPE_UNSPECIFIED", "INSPECT", "RISK_ANALYSIS" ], "enumDescriptions": [ "Unused.", "Supported by the inspect operations.", "Supported by the risk analysis operations." ] } }, "displayName": { "description": "Human readable form of the infoType name.", "type": "string" } }, "type": "object", "description": "InfoType description.", "id": "GooglePrivacyDlpV2InfoTypeDescription" }, "GooglePrivacyDlpV2ListStoredInfoTypesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "If the next page is available then the next page token to be used in following ListStoredInfoTypes request." }, "storedInfoTypes": { "description": "List of storedInfoTypes, up to page_size in ListStoredInfoTypesRequest.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2StoredInfoType" } } }, "description": "Response message for ListStoredInfoTypes.", "type": "object", "id": "GooglePrivacyDlpV2ListStoredInfoTypesResponse" }, "GooglePrivacyDlpV2KMapEstimationQuasiIdValues": { "id": "GooglePrivacyDlpV2KMapEstimationQuasiIdValues", "properties": { "estimatedAnonymity": { "description": "The estimated anonymity for these quasi-identifier values.", "type": "string", "format": "int64" }, "quasiIdsValues": { "description": "The quasi-identifier values.", "items": { "$ref": "GooglePrivacyDlpV2Value" }, "type": "array" } }, "type": "object", "description": "A tuple of values for the quasi-identifier columns." }, "GooglePrivacyDlpV2TableOptions": { "description": "Instructions regarding the table content being inspected.", "id": "GooglePrivacyDlpV2TableOptions", "type": "object", "properties": { "identifyingFields": { "description": "The columns that are the primary keys for table objects included in ContentItem. A copy of this cell's value will stored alongside alongside each finding so that the finding can be traced to the specific row it came from. No more than 3 may be provided.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2FieldId" } } } }, "GooglePrivacyDlpV2QuasiId": { "description": "A column with a semantic tag attached.", "type": "object", "properties": { "field": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Required. Identifies the column." }, "customTag": { "type": "string", "description": "A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below)." }, "inferred": { "description": "If no semantic tag is indicated, we infer the statistical model from the distribution of values in the input data", "$ref": "GoogleProtobufEmpty" }, "infoType": { "description": "A column can be tagged with a InfoType to use the relevant public dataset as a statistical model of population, if available. We currently support US ZIP codes, region codes, ages and genders. To programmatically obtain the list of supported InfoTypes, use ListInfoTypes with the supported_by=RISK_ANALYSIS filter.", "$ref": "GooglePrivacyDlpV2InfoType" } }, "id": "GooglePrivacyDlpV2QuasiId" }, "GooglePrivacyDlpV2InspectionRule": { "properties": { "exclusionRule": { "$ref": "GooglePrivacyDlpV2ExclusionRule", "description": "Exclusion rule." }, "hotwordRule": { "$ref": "GooglePrivacyDlpV2HotwordRule", "description": "Hotword-based detection rule." } }, "description": "A single inspection rule to be applied to infoTypes, specified in `InspectionRuleSet`.", "type": "object", "id": "GooglePrivacyDlpV2InspectionRule" }, "GooglePrivacyDlpV2ImageLocation": { "id": "GooglePrivacyDlpV2ImageLocation", "properties": { "boundingBoxes": { "type": "array", "description": "Bounding boxes locating the pixels within the image containing the finding.", "items": { "$ref": "GooglePrivacyDlpV2BoundingBox" } } }, "type": "object", "description": "Location of the finding within an image." }, "GooglePrivacyDlpV2AuxiliaryTable": { "id": "GooglePrivacyDlpV2AuxiliaryTable", "type": "object", "description": "An auxiliary table contains statistical information on the relative frequency of different quasi-identifiers values. It has one or several quasi-identifiers columns, and one column that indicates the relative frequency of each quasi-identifier tuple. If a tuple is present in the data but not in the auxiliary table, the corresponding relative frequency is assumed to be zero (and thus, the tuple is highly reidentifiable).", "properties": { "table": { "description": "Required. Auxiliary table location.", "$ref": "GooglePrivacyDlpV2BigQueryTable" }, "relativeFrequency": { "description": "Required. The relative frequency column must contain a floating-point number between 0 and 1 (inclusive). Null values are assumed to be zero.", "$ref": "GooglePrivacyDlpV2FieldId" }, "quasiIds": { "description": "Required. Quasi-identifier columns.", "items": { "$ref": "GooglePrivacyDlpV2QuasiIdField" }, "type": "array" } } }, "GooglePrivacyDlpV2DataRiskLevel": { "properties": { "score": { "type": "string", "description": "The score applied to the resource.", "enum": [ "RISK_SCORE_UNSPECIFIED", "RISK_LOW", "RISK_MODERATE", "RISK_HIGH" ], "enumDescriptions": [ "Unused.", "Low risk - Lower indication of sensitive data that appears to have additional access restrictions in place or no indication of sensitive data found.", "Medium risk - Sensitive data may be present but additional access or fine grain access restrictions appears to be present. Consider limiting access even further or transforming data to mask.", "High risk – SPII may be present. Access controls may include public ACLs. Exfiltration of data may lead to user data loss. Re-identification of users may be possible. Consider limiting usage and or removing SPII." ] } }, "description": "Score is a summary of all elements in the data profile. A higher number means more risky.", "type": "object", "id": "GooglePrivacyDlpV2DataRiskLevel" }, "GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig": { "description": "Replaces an identifier with a surrogate using Format Preserving Encryption (FPE) with the FFX mode of operation; however when used in the `ReidentifyContent` API method, it serves the opposite function by reversing the surrogate back into the original identifier. The identifier must be encoded as ASCII. For a given crypto key and context, the same identifier will be replaced with the same surrogate. Identifiers must be at least two characters long. In the case that the identifier is the empty string, it will be skipped. See https://cloud.google.com/dlp/docs/pseudonymization to learn more. Note: We recommend using CryptoDeterministicConfig for all use cases which do not require preserving the input alphabet space and size, plus warrant referential integrity.", "type": "object", "id": "GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig", "properties": { "customAlphabet": { "description": "This is supported by mapping these to the alphanumeric characters that the FFX mode natively supports. This happens before/after encryption/decryption. Each character listed must appear only once. Number of characters must be in the range [2, 95]. This must be encoded as ASCII. The order of characters does not matter. The full list of allowed characters is: 0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz ~`!@#$%^&*()_-+={[}]|\\:;\"'\u003c,\u003e.?/", "type": "string" }, "surrogateInfoType": { "description": "The custom infoType to annotate the surrogate with. This annotation will be applied to the surrogate by prefixing it with the name of the custom infoType followed by the number of characters comprising the surrogate. The following scheme defines the format: info_type_name(surrogate_character_count):surrogate For example, if the name of custom infoType is 'MY_TOKEN_INFO_TYPE' and the surrogate is 'abc', the full replacement value will be: 'MY_TOKEN_INFO_TYPE(3):abc' This annotation identifies the surrogate when inspecting content using the custom infoType [`SurrogateType`](https://cloud.google.com/dlp/docs/reference/rest/v2/InspectConfig#surrogatetype). This facilitates reversal of the surrogate when it occurs in free text. In order for inspection to work properly, the name of this infoType must not occur naturally anywhere in your data; otherwise, inspection may find a surrogate that does not correspond to an actual identifier. Therefore, choose your custom infoType name carefully after considering what your data looks like. One way to select a name that has a high chance of yielding reliable detection is to include one or more unicode characters that are highly improbable to exist in your data. For example, assuming your data is entered from a regular ASCII keyboard, the symbol with the hex code point 29DD might be used like so: ⧝MY_TOKEN_TYPE", "$ref": "GooglePrivacyDlpV2InfoType" }, "radix": { "description": "The native way to select the alphabet. Must be in the range [2, 95].", "type": "integer", "format": "int32" }, "commonAlphabet": { "enum": [ "FFX_COMMON_NATIVE_ALPHABET_UNSPECIFIED", "NUMERIC", "HEXADECIMAL", "UPPER_CASE_ALPHA_NUMERIC", "ALPHA_NUMERIC" ], "description": "Common alphabets.", "type": "string", "enumDescriptions": [ "Unused.", "`[0-9]` (radix of 10)", "`[0-9A-F]` (radix of 16)", "`[0-9A-Z]` (radix of 36)", "`[0-9A-Za-z]` (radix of 62)" ] }, "cryptoKey": { "$ref": "GooglePrivacyDlpV2CryptoKey", "description": "Required. The key used by the encryption algorithm." }, "context": { "description": "The 'tweak', a context may be used for higher security since the same identifier in two different contexts won't be given the same surrogate. If the context is not set, a default tweak will be used. If the context is set but: 1. there is no record present when transforming a given value or 1. the field is not present when transforming a given value, a default tweak will be used. Note that case (1) is expected when an `InfoTypeTransformation` is applied to both structured and non-structured `ContentItem`s. Currently, the referenced field may be of value type integer or string. The tweak is constructed as a sequence of bytes in big endian byte order such that: - a 64 bit integer is encoded followed by a single byte of value 1 - a string is encoded in UTF-8 format followed by a single byte of value 2", "$ref": "GooglePrivacyDlpV2FieldId" } } }, "GooglePrivacyDlpV2LDiversityEquivalenceClass": { "description": "The set of columns' values that share the same ldiversity value.", "id": "GooglePrivacyDlpV2LDiversityEquivalenceClass", "type": "object", "properties": { "quasiIdsValues": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2Value" }, "description": "Quasi-identifier values defining the k-anonymity equivalence class. The order is always the same as the original request." }, "topSensitiveValues": { "description": "Estimated frequencies of top sensitive values.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2ValueFrequency" } }, "numDistinctSensitiveValues": { "format": "int64", "description": "Number of distinct sensitive values in this equivalence class.", "type": "string" }, "equivalenceClassSize": { "type": "string", "description": "Size of the k-anonymity equivalence class.", "format": "int64" } } }, "GooglePrivacyDlpV2KAnonymityConfig": { "id": "GooglePrivacyDlpV2KAnonymityConfig", "properties": { "quasiIds": { "items": { "$ref": "GooglePrivacyDlpV2FieldId" }, "description": "Set of fields to compute k-anonymity over. When multiple fields are specified, they are considered a single composite key. Structs and repeated data types are not supported; however, nested fields are supported so long as they are not structs themselves or nested within a repeated field.", "type": "array" }, "entityId": { "description": "Message indicating that multiple rows might be associated to a single individual. If the same entity_id is associated to multiple quasi-identifier tuples over distinct rows, we consider the entire collection of tuples as the composite quasi-identifier. This collection is a multiset: the order in which the different tuples appear in the dataset is ignored, but their frequency is taken into account. Important note: a maximum of 1000 rows can be associated to a single entity ID. If more rows are associated with the same entity ID, some might be ignored.", "$ref": "GooglePrivacyDlpV2EntityId" } }, "description": "k-anonymity metric, used for analysis of reidentification risk.", "type": "object" }, "GooglePrivacyDlpV2DateTime": { "type": "object", "id": "GooglePrivacyDlpV2DateTime", "description": "Message for a date time object. e.g. 2018-01-01, 5th August.", "properties": { "date": { "description": "One or more of the following must be set. Must be a valid date or time value.", "$ref": "GoogleTypeDate" }, "timeZone": { "description": "Time zone", "$ref": "GooglePrivacyDlpV2TimeZone" }, "time": { "$ref": "GoogleTypeTimeOfDay", "description": "Time of day" }, "dayOfWeek": { "description": "Day of week", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] } } }, "GooglePrivacyDlpV2CloudStorageRegexFileSet": { "description": "Message representing a set of files in a Cloud Storage bucket. Regular expressions are used to allow fine-grained control over which files in the bucket to include. Included files are those that match at least one item in `include_regex` and do not match any items in `exclude_regex`. Note that a file that matches items from both lists will _not_ be included. For a match to occur, the entire file path (i.e., everything in the url after the bucket name) must match the regular expression. For example, given the input `{bucket_name: \"mybucket\", include_regex: [\"directory1/.*\"], exclude_regex: [\"directory1/excluded.*\"]}`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://mybucket/directory1/myfile` will be included LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://mybucket/directory1/directory2/myfile` will be included (`.*` matches across `/`) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://mybucket/directory0/directory1/myfile` will _not_ be included (the full path doesn't match any items in `include_regex`) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `gs://mybucket/directory1/excludedfile` will _not_ be included (the path matches an item in `exclude_regex`) If `include_regex` is left empty, it will match all files by default (this is equivalent to setting `include_regex: [\".*\"]`). Some other common use cases: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `{bucket_name: \"mybucket\", exclude_regex: [\".*\\.pdf\"]}` will include all files in `mybucket` except for .pdf files LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `{bucket_name: \"mybucket\", include_regex: [\"directory/[^/]+\"]}` will include all files directly under `gs://mybucket/directory/`, without matching across `/`", "type": "object", "properties": { "excludeRegex": { "type": "array", "items": { "type": "string" }, "description": "A list of regular expressions matching file paths to exclude. All files in the bucket that match at least one of these regular expressions will be excluded from the scan. Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub." }, "includeRegex": { "type": "array", "items": { "type": "string" }, "description": "A list of regular expressions matching file paths to include. All files in the bucket that match at least one of these regular expressions will be included in the set of files, except for those that also match an item in `exclude_regex`. Leaving this field empty will match all files by default (this is equivalent to including `.*` in the list). Regular expressions use RE2 [syntax](https://github.com/google/re2/wiki/Syntax); a guide can be found under the google/re2 repository on GitHub." }, "bucketName": { "type": "string", "description": "The name of a Cloud Storage bucket. Required." } }, "id": "GooglePrivacyDlpV2CloudStorageRegexFileSet" }, "GooglePrivacyDlpV2ListInfoTypesResponse": { "description": "Response to the ListInfoTypes request.", "id": "GooglePrivacyDlpV2ListInfoTypesResponse", "type": "object", "properties": { "infoTypes": { "type": "array", "description": "Set of sensitive infoTypes.", "items": { "$ref": "GooglePrivacyDlpV2InfoTypeDescription" } } } }, "GooglePrivacyDlpV2ReplaceWithInfoTypeConfig": { "type": "object", "description": "Replace each matching finding with the name of the info_type.", "properties": {}, "id": "GooglePrivacyDlpV2ReplaceWithInfoTypeConfig" }, "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest": { "properties": { "config": { "description": "Updated configuration for the storedInfoType. If not provided, a new version of the storedInfoType will be created with the existing configuration.", "$ref": "GooglePrivacyDlpV2StoredInfoTypeConfig" }, "updateMask": { "format": "google-fieldmask", "description": "Mask to control which fields get updated.", "type": "string" } }, "id": "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest", "description": "Request message for UpdateStoredInfoType.", "type": "object" }, "GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog": { "description": "Publish findings of a DlpJob to Data Catalog. Labels summarizing the results of the DlpJob will be applied to the entry for the resource scanned in Data Catalog. Any labels previously written by another DlpJob will be deleted. InfoType naming patterns are strictly enforced when using this feature. Note that the findings will be persisted in Data Catalog storage and are governed by Data Catalog service-specific policy, see https://cloud.google.com/terms/service-terms Only a single instance of this action can be specified and only allowed if all resources being scanned are BigQuery tables. Compatible with: Inspect", "properties": {}, "id": "GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog", "type": "object" }, "GooglePrivacyDlpV2KMapEstimationHistogramBucket": { "description": "A KMapEstimationHistogramBucket message with the following values: min_anonymity: 3 max_anonymity: 5 frequency: 42 means that there are 42 records whose quasi-identifier values correspond to 3, 4 or 5 people in the overlying population. An important particular case is when min_anonymity = max_anonymity = 1: the frequency field then corresponds to the number of uniquely identifiable records.", "id": "GooglePrivacyDlpV2KMapEstimationHistogramBucket", "type": "object", "properties": { "bucketValues": { "type": "array", "description": "Sample of quasi-identifier tuple values in this bucket. The total number of classes returned per bucket is capped at 20.", "items": { "$ref": "GooglePrivacyDlpV2KMapEstimationQuasiIdValues" } }, "maxAnonymity": { "description": "Always greater than or equal to min_anonymity.", "format": "int64", "type": "string" }, "bucketValueCount": { "type": "string", "description": "Total number of distinct quasi-identifier tuple values in this bucket.", "format": "int64" }, "bucketSize": { "format": "int64", "description": "Number of records within these anonymity bounds.", "type": "string" }, "minAnonymity": { "description": "Always positive.", "format": "int64", "type": "string" } } }, "GooglePrivacyDlpV2Proximity": { "description": "Message for specifying a window around a finding to apply a detection rule.", "type": "object", "id": "GooglePrivacyDlpV2Proximity", "properties": { "windowAfter": { "type": "integer", "description": "Number of characters after the finding to consider.", "format": "int32" }, "windowBefore": { "description": "Number of characters before the finding to consider.", "format": "int32", "type": "integer" } } }, "GooglePrivacyDlpV2KmsWrappedCryptoKey": { "id": "GooglePrivacyDlpV2KmsWrappedCryptoKey", "type": "object", "description": "Include to use an existing data crypto key wrapped by KMS. The wrapped key must be a 128-, 192-, or 256-bit key. Authorization requires the following IAM permissions when sending a request to perform a crypto transformation using a KMS-wrapped crypto key: dlp.kms.encrypt For more information, see [Creating a wrapped key] (https://cloud.google.com/dlp/docs/create-wrapped-key). Note: When you use Cloud KMS for cryptographic operations, [charges apply](https://cloud.google.com/kms/pricing).", "properties": { "cryptoKeyName": { "type": "string", "description": "Required. The resource name of the KMS CryptoKey to use for unwrapping." }, "wrappedKey": { "type": "string", "format": "byte", "description": "Required. The wrapped data crypto key." } } }, "GooglePrivacyDlpV2KAnonymityHistogramBucket": { "description": "Histogram of k-anonymity equivalence classes.", "type": "object", "id": "GooglePrivacyDlpV2KAnonymityHistogramBucket", "properties": { "equivalenceClassSizeLowerBound": { "description": "Lower bound on the size of the equivalence classes in this bucket.", "type": "string", "format": "int64" }, "bucketValues": { "items": { "$ref": "GooglePrivacyDlpV2KAnonymityEquivalenceClass" }, "description": "Sample of equivalence classes in this bucket. The total number of classes returned per bucket is capped at 20.", "type": "array" }, "bucketValueCount": { "type": "string", "description": "Total number of distinct equivalence classes in this bucket.", "format": "int64" }, "bucketSize": { "type": "string", "description": "Total number of equivalence classes in this bucket.", "format": "int64" }, "equivalenceClassSizeUpperBound": { "type": "string", "description": "Upper bound on the size of the equivalence classes in this bucket.", "format": "int64" } } }, "GooglePrivacyDlpV2KMapEstimationConfig": { "id": "GooglePrivacyDlpV2KMapEstimationConfig", "description": "Reidentifiability metric. This corresponds to a risk model similar to what is called \"journalist risk\" in the literature, except the attack dataset is statistically modeled instead of being perfectly known. This can be done using publicly available data (like the US Census), or using a custom statistical model (indicated as one or several BigQuery tables), or by extrapolating from the distribution of values in the input dataset.", "properties": { "regionCode": { "description": "ISO 3166-1 alpha-2 region code to use in the statistical modeling. Set if no column is tagged with a region-specific InfoType (like US_ZIP_5) or a region code.", "type": "string" }, "quasiIds": { "description": "Required. Fields considered to be quasi-identifiers. No two columns can have the same tag.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2TaggedField" } }, "auxiliaryTables": { "items": { "$ref": "GooglePrivacyDlpV2AuxiliaryTable" }, "type": "array", "description": "Several auxiliary tables can be used in the analysis. Each custom_tag used to tag a quasi-identifiers column must appear in exactly one column of one auxiliary table." } }, "type": "object" }, "GooglePrivacyDlpV2InspectConfig": { "id": "GooglePrivacyDlpV2InspectConfig", "type": "object", "description": "Configuration description of the scanning process. When used with redactContent only info_types and min_likelihood are currently used.", "properties": { "includeQuote": { "type": "boolean", "description": "When true, a contextual quote from the data that triggered a finding is included in the response; see Finding.quote. This is not used for data profiling." }, "limits": { "$ref": "GooglePrivacyDlpV2FindingLimits", "description": "Configuration to control the number of findings returned. This is not used for data profiling." }, "infoTypes": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2InfoType" }, "description": "Restricts what info_types to look for. The values must correspond to InfoType values returned by ListInfoTypes or listed at https://cloud.google.com/dlp/docs/infotypes-reference. When no InfoTypes or CustomInfoTypes are specified in a request, the system may automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated. If you need precise control and predictability as to what detectors are run you should specify specific InfoTypes listed in the reference, otherwise a default list will be used, which may change over time." }, "minLikelihood": { "description": "Only returns findings equal or above this threshold. The default is POSSIBLE. See https://cloud.google.com/dlp/docs/likelihood to learn more.", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "type": "string", "enumDescriptions": [ "Default value; same as POSSIBLE.", "Few matching elements.", "", "Some matching elements.", "", "Many matching elements." ] }, "customInfoTypes": { "type": "array", "description": "CustomInfoTypes provided by the user. See https://cloud.google.com/dlp/docs/creating-custom-infotypes to learn more.", "items": { "$ref": "GooglePrivacyDlpV2CustomInfoType" } }, "excludeInfoTypes": { "description": "When true, excludes type information of the findings. This is not used for data profiling.", "type": "boolean" }, "ruleSet": { "items": { "$ref": "GooglePrivacyDlpV2InspectionRuleSet" }, "description": "Set of rules to apply to the findings for this InspectConfig. Exclusion rules, contained in the set are executed in the end, other rules are executed in the order they are specified for each info type.", "type": "array" }, "contentOptions": { "items": { "enum": [ "CONTENT_UNSPECIFIED", "CONTENT_TEXT", "CONTENT_IMAGE" ], "enumDescriptions": [ "Includes entire content of a file or a data stream.", "Text content within the data, excluding any metadata.", "Images found in the data." ], "type": "string" }, "type": "array", "description": "Deprecated and unused." } } }, "GoogleTypeDate": { "id": "GoogleTypeDate", "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." } } }, "GooglePrivacyDlpV2ReidentifyContentRequest": { "id": "GooglePrivacyDlpV2ReidentifyContentRequest", "properties": { "inspectTemplateName": { "type": "string", "description": "Template to use. Any configuration directly specified in `inspect_config` will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged." }, "reidentifyConfig": { "description": "Configuration for the re-identification of the content item. This field shares the same proto message type that is used for de-identification, however its usage here is for the reversal of the previous de-identification. Re-identification is performed by examining the transformations used to de-identify the items and executing the reverse. This requires that only reversible transformations be provided here. The reversible transformations are: - `CryptoDeterministicConfig` - `CryptoReplaceFfxFpeConfig`", "$ref": "GooglePrivacyDlpV2DeidentifyConfig" }, "item": { "$ref": "GooglePrivacyDlpV2ContentItem", "description": "The item to re-identify. Will be treated as text." }, "inspectConfig": { "description": "Configuration for the inspector.", "$ref": "GooglePrivacyDlpV2InspectConfig" }, "locationId": { "type": "string", "description": "Deprecated. This field has no effect." }, "reidentifyTemplateName": { "description": "Template to use. References an instance of `DeidentifyTemplate`. Any configuration directly specified in `reidentify_config` or `inspect_config` will override those set in the template. The `DeidentifyTemplate` used must include only reversible transformations. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.", "type": "string" } }, "type": "object", "description": "Request to re-identify an item." }, "GooglePrivacyDlpV2InspectContentResponse": { "properties": { "result": { "description": "The findings.", "$ref": "GooglePrivacyDlpV2InspectResult" } }, "id": "GooglePrivacyDlpV2InspectContentResponse", "type": "object", "description": "Results of inspecting an item." }, "GooglePrivacyDlpV2InfoTypeSummary": { "description": "The infoType details for this column.", "type": "object", "id": "GooglePrivacyDlpV2InfoTypeSummary", "properties": { "infoType": { "description": "The infoType.", "$ref": "GooglePrivacyDlpV2InfoType" }, "estimatedPrevalence": { "type": "integer", "format": "int32", "description": "Approximate percentage of non-null rows that contained data detected by this infotype." } } }, "GooglePrivacyDlpV2UpdateJobTriggerRequest": { "id": "GooglePrivacyDlpV2UpdateJobTriggerRequest", "description": "Request message for UpdateJobTrigger.", "properties": { "updateMask": { "description": "Mask to control which fields get updated.", "type": "string", "format": "google-fieldmask" }, "jobTrigger": { "description": "New JobTrigger value.", "$ref": "GooglePrivacyDlpV2JobTrigger" } }, "type": "object" }, "GooglePrivacyDlpV2CloudStoragePath": { "id": "GooglePrivacyDlpV2CloudStoragePath", "properties": { "path": { "description": "A url representing a file or path (no wildcards) in Cloud Storage. Example: gs://[BUCKET_NAME]/dictionary.txt", "type": "string" } }, "description": "Message representing a single file or path in Cloud Storage.", "type": "object" }, "GooglePrivacyDlpV2BigQueryOptions": { "id": "GooglePrivacyDlpV2BigQueryOptions", "type": "object", "properties": { "tableReference": { "description": "Complete BigQuery table reference.", "$ref": "GooglePrivacyDlpV2BigQueryTable" }, "includedFields": { "items": { "$ref": "GooglePrivacyDlpV2FieldId" }, "description": "Limit scanning only to these fields.", "type": "array" }, "rowsLimit": { "description": "Max number of rows to scan. If the table has more rows than this value, the rest of the rows are omitted. If not set, or if set to 0, all rows will be scanned. Only one of rows_limit and rows_limit_percent can be specified. Cannot be used in conjunction with TimespanConfig.", "format": "int64", "type": "string" }, "sampleMethod": { "type": "string", "enumDescriptions": [ "", "Scan groups of rows in the order BigQuery provides (default). Multiple groups of rows may be scanned in parallel, so results may not appear in the same order the rows are read.", "Randomly pick groups of rows to scan." ], "enum": [ "SAMPLE_METHOD_UNSPECIFIED", "TOP", "RANDOM_START" ] }, "rowsLimitPercent": { "type": "integer", "description": "Max percentage of rows to scan. The rest are omitted. The number of rows scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0. Only one of rows_limit and rows_limit_percent can be specified. Cannot be used in conjunction with TimespanConfig.", "format": "int32" }, "excludedFields": { "type": "array", "description": "References to fields excluded from scanning. This allows you to skip inspection of entire columns which you know have no findings.", "items": { "$ref": "GooglePrivacyDlpV2FieldId" } }, "identifyingFields": { "description": "Table fields that may uniquely identify a row within the table. When `actions.saveFindings.outputConfig.table` is specified, the values of columns specified here are available in the output table under `location.content_locations.record_location.record_key.id_values`. Nested fields such as `person.birthdate.year` are allowed.", "items": { "$ref": "GooglePrivacyDlpV2FieldId" }, "type": "array" } }, "description": "Options defining BigQuery table and row identifiers." }, "GooglePrivacyDlpV2TransientCryptoKey": { "properties": { "name": { "description": "Required. Name of the key. This is an arbitrary string used to differentiate different keys. A unique key is generated per name: two separate `TransientCryptoKey` protos share the same generated key if their names are the same. When the data crypto key is generated, this name is not used in any way (repeating the api call will result in a different key being generated).", "type": "string" } }, "id": "GooglePrivacyDlpV2TransientCryptoKey", "type": "object", "description": "Use this to have a random data crypto key generated. It will be discarded after the request finishes." }, "GooglePrivacyDlpV2LDiversityConfig": { "description": "l-diversity metric, used for analysis of reidentification risk.", "type": "object", "id": "GooglePrivacyDlpV2LDiversityConfig", "properties": { "sensitiveAttribute": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Sensitive field for computing the l-value." }, "quasiIds": { "type": "array", "description": "Set of quasi-identifiers indicating how equivalence classes are defined for the l-diversity computation. When multiple fields are specified, they are considered a single composite key.", "items": { "$ref": "GooglePrivacyDlpV2FieldId" } } } }, "GooglePrivacyDlpV2InspectResult": { "description": "All the findings for a single scanned item.", "id": "GooglePrivacyDlpV2InspectResult", "type": "object", "properties": { "findings": { "description": "List of findings for an item.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2Finding" } }, "findingsTruncated": { "type": "boolean", "description": "If true, then this item might have more findings than were returned, and the findings returned are an arbitrary subset of all findings. The findings list might be truncated because the input items were too large, or because the server reached the maximum amount of resources allowed for a single API call. For best results, divide the input into smaller batches." } } }, "GooglePrivacyDlpV2Finding": { "description": "Represents a piece of potentially sensitive content.", "properties": { "triggerName": { "type": "string", "description": "Job trigger name, if applicable, for this finding." }, "findingId": { "type": "string", "description": "The unique finding id." }, "createTime": { "description": "Timestamp when finding was detected.", "format": "google-datetime", "type": "string" }, "location": { "$ref": "GooglePrivacyDlpV2Location", "description": "Where the content was found." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The labels associated with this `Finding`. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"environment\" : \"production\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"pipeline\" : \"etl\"`" }, "jobName": { "type": "string", "description": "The job that stored the finding." }, "jobCreateTime": { "type": "string", "description": "Time the job started that produced this finding.", "format": "google-datetime" }, "resourceName": { "description": "The job that stored the finding.", "type": "string" }, "quote": { "type": "string", "description": "The content that was found. Even if the content is not textual, it may be converted to a textual representation here. Provided if `include_quote` is true and the finding is less than or equal to 4096 bytes long. If the finding exceeds 4096 bytes in length, the quote may be omitted." }, "name": { "description": "Resource name in format projects/{project}/locations/{location}/findings/{finding} Populated only when viewing persisted findings.", "type": "string" }, "likelihood": { "type": "string", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ], "enumDescriptions": [ "Default value; same as POSSIBLE.", "Few matching elements.", "", "Some matching elements.", "", "Many matching elements." ], "description": "Confidence of how likely it is that the `info_type` is correct." }, "infoType": { "description": "The type of content that might have been found. Provided if `excluded_types` is false.", "$ref": "GooglePrivacyDlpV2InfoType" }, "quoteInfo": { "$ref": "GooglePrivacyDlpV2QuoteInfo", "description": "Contains data parsed from quotes. Only populated if include_quote was set to true and a supported infoType was requested. Currently supported infoTypes: DATE, DATE_OF_BIRTH and TIME." } }, "type": "object", "id": "GooglePrivacyDlpV2Finding" }, "GooglePrivacyDlpV2DataProfilePubSubMessage": { "properties": { "profile": { "$ref": "GooglePrivacyDlpV2TableDataProfile", "description": "If `DetailLevel` is `TABLE_PROFILE` this will be fully populated. Otherwise, if `DetailLevel` is `RESOURCE_NAME`, then only `name` and `full_resource` will be populated." }, "event": { "type": "string", "enumDescriptions": [ "Unused.", "New profile (not a re-profile).", "Changed one of the following profile metrics: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table data risk score LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table sensitivity score LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table resource visibility LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table encryption type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table predicted infoTypes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table other infoTypes", "Table data risk score or sensitivity score increased.", "A user (non-internal) error occurred." ], "enum": [ "EVENT_TYPE_UNSPECIFIED", "NEW_PROFILE", "CHANGED_PROFILE", "SCORE_INCREASED", "ERROR_CHANGED" ], "description": "The event that caused the Pub/Sub message to be sent." } }, "description": "The message that will be published to a Pub/Sub topic. To receive a message of protocol buffer schema type, convert the message data to an object of this proto class. https://cloud.google.com/pubsub/docs/samples/pubsub-subscribe-proto-messages", "type": "object", "id": "GooglePrivacyDlpV2DataProfilePubSubMessage" }, "GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails": { "properties": { "numericalStatsResult": { "description": "Numerical stats result", "$ref": "GooglePrivacyDlpV2NumericalStatsResult" }, "requestedOptions": { "description": "The configuration used for this job.", "$ref": "GooglePrivacyDlpV2RequestedRiskAnalysisOptions" }, "lDiversityResult": { "$ref": "GooglePrivacyDlpV2LDiversityResult", "description": "L-divesity result" }, "deltaPresenceEstimationResult": { "$ref": "GooglePrivacyDlpV2DeltaPresenceEstimationResult", "description": "Delta-presence result" }, "categoricalStatsResult": { "description": "Categorical stats result", "$ref": "GooglePrivacyDlpV2CategoricalStatsResult" }, "requestedPrivacyMetric": { "description": "Privacy metric to compute.", "$ref": "GooglePrivacyDlpV2PrivacyMetric" }, "kMapEstimationResult": { "description": "K-map result", "$ref": "GooglePrivacyDlpV2KMapEstimationResult" }, "requestedSourceTable": { "description": "Input dataset to compute metrics over.", "$ref": "GooglePrivacyDlpV2BigQueryTable" }, "kAnonymityResult": { "description": "K-anonymity result", "$ref": "GooglePrivacyDlpV2KAnonymityResult" } }, "description": "Result of a risk analysis operation request.", "id": "GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails", "type": "object" }, "GooglePrivacyDlpV2ExclusionRule": { "id": "GooglePrivacyDlpV2ExclusionRule", "properties": { "matchingType": { "description": "How the rule is applied, see MatchingType documentation for details.", "type": "string", "enumDescriptions": [ "Invalid.", "Full match. - Dictionary: join of Dictionary results matched complete finding quote - Regex: all regex matches fill a finding quote start to end - Exclude info type: completely inside affecting info types findings", "Partial match. - Dictionary: at least one of the tokens in the finding matches - Regex: substring of the finding matches - Exclude info type: intersects with affecting info types findings", "Inverse match. - Dictionary: no tokens in the finding match the dictionary - Regex: finding doesn't match the regex - Exclude info type: no intersection with affecting info types findings" ], "enum": [ "MATCHING_TYPE_UNSPECIFIED", "MATCHING_TYPE_FULL_MATCH", "MATCHING_TYPE_PARTIAL_MATCH", "MATCHING_TYPE_INVERSE_MATCH" ] }, "dictionary": { "description": "Dictionary which defines the rule.", "$ref": "GooglePrivacyDlpV2Dictionary" }, "excludeInfoTypes": { "description": "Set of infoTypes for which findings would affect this rule.", "$ref": "GooglePrivacyDlpV2ExcludeInfoTypes" }, "regex": { "description": "Regular expression which defines the rule.", "$ref": "GooglePrivacyDlpV2Regex" } }, "description": "The rule that specifies conditions when findings of infoTypes specified in `InspectionRuleSet` are removed from results.", "type": "object" }, "GooglePrivacyDlpV2FinishDlpJobRequest": { "description": "The request message for finishing a DLP hybrid job.", "id": "GooglePrivacyDlpV2FinishDlpJobRequest", "type": "object", "properties": {} }, "GooglePrivacyDlpV2KAnonymityEquivalenceClass": { "properties": { "quasiIdsValues": { "items": { "$ref": "GooglePrivacyDlpV2Value" }, "type": "array", "description": "Set of values defining the equivalence class. One value per quasi-identifier column in the original KAnonymity metric message. The order is always the same as the original request." }, "equivalenceClassSize": { "format": "int64", "description": "Size of the equivalence class, for example number of rows with the above set of values.", "type": "string" } }, "type": "object", "description": "The set of columns' values that share the same ldiversity value", "id": "GooglePrivacyDlpV2KAnonymityEquivalenceClass" }, "GooglePrivacyDlpV2InfoType": { "description": "Type of information detected by the API.", "properties": { "name": { "type": "string", "description": "Name of the information type. Either a name of your choosing when creating a CustomInfoType, or one of the names listed at https://cloud.google.com/dlp/docs/infotypes-reference when specifying a built-in type. When sending Cloud DLP results to Data Catalog, infoType names should conform to the pattern `[A-Za-z0-9$-_]{1,64}`." }, "version": { "description": "Optional version name for this InfoType.", "type": "string" } }, "id": "GooglePrivacyDlpV2InfoType", "type": "object" }, "GooglePrivacyDlpV2CategoricalStatsHistogramBucket": { "description": "Histogram of value frequencies in the column.", "properties": { "bucketValueCount": { "format": "int64", "type": "string", "description": "Total number of distinct values in this bucket." }, "bucketSize": { "description": "Total number of values in this bucket.", "format": "int64", "type": "string" }, "valueFrequencyUpperBound": { "type": "string", "description": "Upper bound on the value frequency of the values in this bucket.", "format": "int64" }, "bucketValues": { "items": { "$ref": "GooglePrivacyDlpV2ValueFrequency" }, "type": "array", "description": "Sample of value frequencies in this bucket. The total number of values returned per bucket is capped at 20." }, "valueFrequencyLowerBound": { "type": "string", "description": "Lower bound on the value frequency of the values in this bucket.", "format": "int64" } }, "type": "object", "id": "GooglePrivacyDlpV2CategoricalStatsHistogramBucket" }, "GooglePrivacyDlpV2RiskAnalysisJobConfig": { "properties": { "privacyMetric": { "$ref": "GooglePrivacyDlpV2PrivacyMetric", "description": "Privacy metric to compute." }, "sourceTable": { "$ref": "GooglePrivacyDlpV2BigQueryTable", "description": "Input dataset to compute metrics over." }, "actions": { "items": { "$ref": "GooglePrivacyDlpV2Action" }, "type": "array", "description": "Actions to execute at the completion of the job. Are executed in the order provided." } }, "description": "Configuration for a risk analysis job. See https://cloud.google.com/dlp/docs/concepts-risk-analysis to learn more.", "type": "object", "id": "GooglePrivacyDlpV2RiskAnalysisJobConfig" }, "GooglePrivacyDlpV2UnwrappedCryptoKey": { "type": "object", "id": "GooglePrivacyDlpV2UnwrappedCryptoKey", "description": "Using raw keys is prone to security risks due to accidentally leaking the key. Choose another type of key if possible.", "properties": { "key": { "format": "byte", "type": "string", "description": "Required. A 128/192/256 bit key." } } }, "GooglePrivacyDlpV2PartitionId": { "description": "Datastore partition ID. A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty. A partition ID contains several dimensions: project ID and namespace ID.", "type": "object", "properties": { "projectId": { "description": "The ID of the project to which the entities belong.", "type": "string" }, "namespaceId": { "description": "If not empty, the ID of the namespace to which the entities belong.", "type": "string" } }, "id": "GooglePrivacyDlpV2PartitionId" }, "GooglePrivacyDlpV2DatastoreOptions": { "type": "object", "id": "GooglePrivacyDlpV2DatastoreOptions", "properties": { "kind": { "description": "The kind to process.", "$ref": "GooglePrivacyDlpV2KindExpression" }, "partitionId": { "description": "A partition ID identifies a grouping of entities. The grouping is always by project and namespace, however the namespace ID may be empty.", "$ref": "GooglePrivacyDlpV2PartitionId" } }, "description": "Options defining a data set within Google Cloud Datastore." }, "GooglePrivacyDlpV2InspectJobConfig": { "description": "Controls what and how to inspect for findings.", "type": "object", "id": "GooglePrivacyDlpV2InspectJobConfig", "properties": { "storageConfig": { "$ref": "GooglePrivacyDlpV2StorageConfig", "description": "The data to scan." }, "actions": { "items": { "$ref": "GooglePrivacyDlpV2Action" }, "type": "array", "description": "Actions to execute at the completion of the job." }, "inspectTemplateName": { "description": "If provided, will be used as the default for all values in InspectConfig. `inspect_config` will be merged into the values persisted as part of the template.", "type": "string" }, "inspectConfig": { "description": "How and what to scan for.", "$ref": "GooglePrivacyDlpV2InspectConfig" } } }, "GooglePrivacyDlpV2NumericalStatsConfig": { "description": "Compute numerical stats over an individual column, including min, max, and quantiles.", "id": "GooglePrivacyDlpV2NumericalStatsConfig", "properties": { "field": { "description": "Field to compute numerical stats on. Supported types are integer, float, date, datetime, timestamp, time.", "$ref": "GooglePrivacyDlpV2FieldId" } }, "type": "object" }, "GooglePrivacyDlpV2TransformationErrorHandling": { "description": "How to handle transformation errors during de-identification. A transformation error occurs when the requested transformation is incompatible with the data. For example, trying to de-identify an IP address using a `DateShift` transformation would result in a transformation error, since date info cannot be extracted from an IP address. Information about any incompatible transformations, and how they were handled, is returned in the response as part of the `TransformationOverviews`.", "type": "object", "id": "GooglePrivacyDlpV2TransformationErrorHandling", "properties": { "throwError": { "$ref": "GooglePrivacyDlpV2ThrowError", "description": "Throw an error" }, "leaveUntransformed": { "description": "Ignore errors", "$ref": "GooglePrivacyDlpV2LeaveUntransformed" } } }, "GooglePrivacyDlpV2InspectDataSourceDetails": { "id": "GooglePrivacyDlpV2InspectDataSourceDetails", "description": "The results of an inspect DataSource job.", "type": "object", "properties": { "requestedOptions": { "description": "The configuration used for this job.", "$ref": "GooglePrivacyDlpV2RequestedOptions" }, "result": { "description": "A summary of the outcome of this inspection job.", "$ref": "GooglePrivacyDlpV2Result" } } }, "GooglePrivacyDlpV2CryptoHashConfig": { "description": "Pseudonymization method that generates surrogates via cryptographic hashing. Uses SHA-256. The key size must be either 32 or 64 bytes. Outputs a base64 encoded representation of the hashed output (for example, L7k0BHmF1ha5U3NfGykjro4xWi1MPVQPjhMAZbSV9mM=). Currently, only string and integer values can be hashed. See https://cloud.google.com/dlp/docs/pseudonymization to learn more.", "type": "object", "id": "GooglePrivacyDlpV2CryptoHashConfig", "properties": { "cryptoKey": { "description": "The key used by the hash function.", "$ref": "GooglePrivacyDlpV2CryptoKey" } } }, "GoogleTypeTimeOfDay": { "type": "object", "properties": { "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32", "type": "integer" }, "minutes": { "format": "int32", "type": "integer", "description": "Minutes of hour of day. Must be from 0 to 59." }, "nanos": { "format": "int32", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer" }, "seconds": { "type": "integer", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "format": "int32" } }, "id": "GoogleTypeTimeOfDay", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`." }, "GooglePrivacyDlpV2BucketingConfig": { "type": "object", "id": "GooglePrivacyDlpV2BucketingConfig", "description": "Generalization function that buckets values based on ranges. The ranges and replacement values are dynamically provided by the user for custom behavior, such as 1-30 -\u003e LOW 31-65 -\u003e MEDIUM 66-100 -\u003e HIGH This can be used on data of type: number, long, string, timestamp. If the bound `Value` type differs from the type of data being transformed, we will first attempt converting the type of the data to be transformed to match the type of the bound before comparing. See https://cloud.google.com/dlp/docs/concepts-bucketing to learn more.", "properties": { "buckets": { "items": { "$ref": "GooglePrivacyDlpV2Bucket" }, "type": "array", "description": "Set of buckets. Ranges must be non-overlapping." } } }, "GooglePrivacyDlpV2ExcludeInfoTypes": { "type": "object", "id": "GooglePrivacyDlpV2ExcludeInfoTypes", "properties": { "infoTypes": { "items": { "$ref": "GooglePrivacyDlpV2InfoType" }, "description": "InfoType list in ExclusionRule rule drops a finding when it overlaps or contained within with a finding of an infoType from this list. For example, for `InspectionRuleSet.info_types` containing \"PHONE_NUMBER\"` and `exclusion_rule` containing `exclude_info_types.info_types` with \"EMAIL_ADDRESS\" the phone number findings are dropped if they overlap with EMAIL_ADDRESS finding. That leads to \"555-222-2222@example.org\" to generate only a single finding, namely email address.", "type": "array" } }, "description": "List of exclude infoTypes." }, "GooglePrivacyDlpV2InfoTypeTransformation": { "properties": { "infoTypes": { "description": "InfoTypes to apply the transformation to. An empty list will cause this transformation to apply to all findings that correspond to infoTypes that were requested in `InspectConfig`.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2InfoType" } }, "primitiveTransformation": { "$ref": "GooglePrivacyDlpV2PrimitiveTransformation", "description": "Required. Primitive transformation to apply to the infoType." } }, "type": "object", "description": "A transformation to apply to text that is identified as a specific info_type.", "id": "GooglePrivacyDlpV2InfoTypeTransformation" }, "GooglePrivacyDlpV2DeidentifyContentResponse": { "type": "object", "id": "GooglePrivacyDlpV2DeidentifyContentResponse", "description": "Results of de-identifying a ContentItem.", "properties": { "overview": { "$ref": "GooglePrivacyDlpV2TransformationOverview", "description": "An overview of the changes that were made on the `item`." }, "item": { "$ref": "GooglePrivacyDlpV2ContentItem", "description": "The de-identified item." } } }, "GooglePrivacyDlpV2JobTrigger": { "type": "object", "id": "GooglePrivacyDlpV2JobTrigger", "properties": { "displayName": { "type": "string", "description": "Display name (max 100 chars)" }, "lastRunTime": { "type": "string", "format": "google-datetime", "description": "Output only. The timestamp of the last time this trigger executed.", "readOnly": true }, "inspectJob": { "$ref": "GooglePrivacyDlpV2InspectJobConfig", "description": "For inspect jobs, a snapshot of the configuration." }, "triggers": { "items": { "$ref": "GooglePrivacyDlpV2Trigger" }, "type": "array", "description": "A list of triggers which will be OR'ed together. Only one in the list needs to trigger for a job to be started. The list may contain only a single Schedule trigger and must have at least one object." }, "errors": { "items": { "$ref": "GooglePrivacyDlpV2Error" }, "type": "array", "description": "Output only. A stream of errors encountered when the trigger was activated. Repeated errors may result in the JobTrigger automatically being paused. Will return the last 100 errors. Whenever the JobTrigger is modified this list will be cleared.", "readOnly": true }, "status": { "type": "string", "description": "Required. A status for this trigger.", "enum": [ "STATUS_UNSPECIFIED", "HEALTHY", "PAUSED", "CANCELLED" ], "enumDescriptions": [ "Unused.", "Trigger is healthy.", "Trigger is temporarily paused.", "Trigger is cancelled and can not be resumed." ] }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The creation timestamp of a triggeredJob.", "type": "string" }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The last update timestamp of a triggeredJob." }, "name": { "type": "string", "description": "Unique resource name for the triggeredJob, assigned by the service when the triggeredJob is created, for example `projects/dlp-test-project/jobTriggers/53234423`." }, "description": { "type": "string", "description": "User provided description (max 256 chars)" } }, "description": "Contains a configuration to make dlp api calls on a repeating basis. See https://cloud.google.com/dlp/docs/concepts-job-triggers to learn more." }, "GooglePrivacyDlpV2ContentLocation": { "type": "object", "id": "GooglePrivacyDlpV2ContentLocation", "properties": { "containerTimestamp": { "format": "google-datetime", "description": "Findings container modification timestamp, if applicable. For Google Cloud Storage contains last file modification timestamp. For BigQuery table contains last_modified_time property. For Datastore - not populated.", "type": "string" }, "containerName": { "description": "Name of the container where the finding is located. The top level name is the source file name or table name. Names of some common storage containers are formatted as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh BigQuery tables: `{project_id}:{dataset_id}.{table_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Cloud Storage files: `gs://{bucket}/{path}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Datastore namespace: {namespace} Nested names could be absent if the embedded object has no string identifier (for an example an image contained within a document).", "type": "string" }, "documentLocation": { "$ref": "GooglePrivacyDlpV2DocumentLocation", "description": "Location data for document files." }, "imageLocation": { "$ref": "GooglePrivacyDlpV2ImageLocation", "description": "Location within an image's pixels." }, "recordLocation": { "$ref": "GooglePrivacyDlpV2RecordLocation", "description": "Location within a row or record of a database table." }, "metadataLocation": { "description": "Location within the metadata for inspected content.", "$ref": "GooglePrivacyDlpV2MetadataLocation" }, "containerVersion": { "type": "string", "description": "Findings container version, if available (\"generation\" for Google Cloud Storage)." } }, "description": "Precise location of the finding within a document, record, image, or metadata container." }, "GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket": { "type": "object", "properties": { "bucketValueCount": { "type": "string", "format": "int64", "description": "Total number of distinct quasi-identifier tuple values in this bucket." }, "bucketValues": { "description": "Sample of quasi-identifier tuple values in this bucket. The total number of classes returned per bucket is capped at 20.", "items": { "$ref": "GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues" }, "type": "array" }, "bucketSize": { "description": "Number of records within these probability bounds.", "format": "int64", "type": "string" }, "maxProbability": { "format": "double", "type": "number", "description": "Always greater than or equal to min_probability." }, "minProbability": { "type": "number", "description": "Between 0 and 1.", "format": "double" } }, "description": "A DeltaPresenceEstimationHistogramBucket message with the following values: min_probability: 0.1 max_probability: 0.2 frequency: 42 means that there are 42 records for which δ is in [0.1, 0.2). An important particular case is when min_probability = max_probability = 1: then, every individual who shares this quasi-identifier combination is in the dataset.", "id": "GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket" }, "GooglePrivacyDlpV2InfoTypeCategory": { "id": "GooglePrivacyDlpV2InfoTypeCategory", "type": "object", "properties": { "industryCategory": { "enumDescriptions": [ "Unused industry", "The infoType is typically used in the finance industry.", "The infoType is typically used in the health industry.", "The infoType is typically used in the telecommunications industry." ], "description": "The group of relevant businesses where this infoType is commonly used", "type": "string", "enum": [ "INDUSTRY_UNSPECIFIED", "FINANCE", "HEALTH", "TELECOMMUNICATIONS" ] }, "locationCategory": { "type": "string", "enumDescriptions": [ "Unused location", "The infoType is not issued by or tied to a specific region, but is used almost everywhere.", "The infoType is typically used in Argentina.", "The infoType is typically used in Australia.", "The infoType is typically used in Belgium.", "The infoType is typically used in Brazil.", "The infoType is typically used in Canada.", "The infoType is typically used in Chile.", "The infoType is typically used in China.", "The infoType is typically used in Colombia.", "The infoType is typically used in Denmark.", "The infoType is typically used in France.", "The infoType is typically used in Finland.", "The infoType is typically used in Germany.", "The infoType is typically used in Hong Kong.", "The infoType is typically used in India.", "The infoType is typically used in Indonesia.", "The infoType is typically used in Ireland.", "The infoType is typically used in Israel.", "The infoType is typically used in Italy.", "The infoType is typically used in Japan.", "The infoType is typically used in Korea.", "The infoType is typically used in Mexico.", "The infoType is typically used in the Netherlands.", "The infoType is typically used in Norway.", "The infoType is typically used in Paraguay.", "The infoType is typically used in Peru.", "The infoType is typically used in Poland.", "The infoType is typically used in Portugal.", "The infoType is typically used in Singapore.", "The infoType is typically used in South Africa.", "The infoType is typically used in Spain.", "The infoType is typically used in Sweden.", "The infoType is typically used in Taiwan.", "The infoType is typically used in Thailand.", "The infoType is typically used in Turkey.", "The infoType is typically used in the United Kingdom.", "The infoType is typically used in the United States.", "The infoType is typically used in Uruguay.", "The infoType is typically used in Venezuela.", "The infoType is typically used in Google internally." ], "enum": [ "LOCATION_UNSPECIFIED", "GLOBAL", "ARGENTINA", "AUSTRALIA", "BELGIUM", "BRAZIL", "CANADA", "CHILE", "CHINA", "COLOMBIA", "DENMARK", "FRANCE", "FINLAND", "GERMANY", "HONG_KONG", "INDIA", "INDONESIA", "IRELAND", "ISRAEL", "ITALY", "JAPAN", "KOREA", "MEXICO", "THE_NETHERLANDS", "NORWAY", "PARAGUAY", "PERU", "POLAND", "PORTUGAL", "SINGAPORE", "SOUTH_AFRICA", "SPAIN", "SWEDEN", "TAIWAN", "THAILAND", "TURKEY", "UNITED_KINGDOM", "UNITED_STATES", "URUGUAY", "VENEZUELA", "INTERNAL" ], "description": "The region or country that issued the ID or document represented by the infoType." }, "typeCategory": { "description": "The class of identifiers where this infoType belongs", "type": "string", "enumDescriptions": [ "Unused type", "Personally identifiable information, for example, a name or phone number", "Personally identifiable information that is especially sensitive, for example, a passport number.", "Attributes that can partially identify someone, especially in combination with other attributes, like age, height, and gender.", "Confidential or secret information, for example, a password.", "An identification document issued by a government.", "A document, for example, a resume or source code.", "Information that is not sensitive on its own, but provides details about the circumstances surrounding an entity or an event." ], "enum": [ "TYPE_UNSPECIFIED", "PII", "SPII", "DEMOGRAPHIC", "CREDENTIAL", "GOVERNMENT_ID", "DOCUMENT", "CONTEXTUAL_INFORMATION" ] } }, "description": "Classification of infoTypes to organize them according to geographic location, industry, and data type." }, "GooglePrivacyDlpV2StoredInfoTypeVersion": { "properties": { "createTime": { "type": "string", "description": "Create timestamp of the version. Read-only, determined by the system when the version is created.", "format": "google-datetime" }, "stats": { "$ref": "GooglePrivacyDlpV2StoredInfoTypeStats", "description": "Statistics about this storedInfoType version." }, "state": { "description": "Stored info type version state. Read-only, updated by the system during dictionary creation.", "type": "string", "enumDescriptions": [ "Unused", "StoredInfoType version is being created.", "StoredInfoType version is ready for use.", "StoredInfoType creation failed. All relevant error messages are returned in the `StoredInfoTypeVersion` message.", "StoredInfoType is no longer valid because artifacts stored in user-controlled storage were modified. To fix an invalid StoredInfoType, use the `UpdateStoredInfoType` method to create a new version." ], "enum": [ "STORED_INFO_TYPE_STATE_UNSPECIFIED", "PENDING", "READY", "FAILED", "INVALID" ] }, "config": { "description": "StoredInfoType configuration.", "$ref": "GooglePrivacyDlpV2StoredInfoTypeConfig" }, "errors": { "type": "array", "description": "Errors that occurred when creating this storedInfoType version, or anomalies detected in the storedInfoType data that render it unusable. Only the five most recent errors will be displayed, with the most recent error appearing first. For example, some of the data for stored custom dictionaries is put in the user's Google Cloud Storage bucket, and if this data is modified or deleted by the user or another system, the dictionary becomes invalid. If any errors occur, fix the problem indicated by the error message and use the UpdateStoredInfoType API method to create another version of the storedInfoType to continue using it, reusing the same `config` if it was not the source of the error.", "items": { "$ref": "GooglePrivacyDlpV2Error" } } }, "type": "object", "description": "Version of a StoredInfoType, including the configuration used to build it, create timestamp, and current state.", "id": "GooglePrivacyDlpV2StoredInfoTypeVersion" }, "GooglePrivacyDlpV2ContentItem": { "properties": { "table": { "description": "Structured content for inspection. See https://cloud.google.com/dlp/docs/inspecting-text#inspecting_a_table to learn more.", "$ref": "GooglePrivacyDlpV2Table" }, "value": { "type": "string", "description": "String data to inspect or redact." }, "byteItem": { "description": "Content data to inspect or redact. Replaces `type` and `data`.", "$ref": "GooglePrivacyDlpV2ByteContentItem" } }, "id": "GooglePrivacyDlpV2ContentItem", "type": "object", "description": "Container structure for the content to inspect." }, "GooglePrivacyDlpV2RedactImageRequest": { "id": "GooglePrivacyDlpV2RedactImageRequest", "properties": { "includeFindings": { "type": "boolean", "description": "Whether the response should include findings along with the redacted image." }, "imageRedactionConfigs": { "description": "The configuration for specifying what content to redact from images.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2ImageRedactionConfig" } }, "byteItem": { "description": "The content must be PNG, JPEG, SVG or BMP.", "$ref": "GooglePrivacyDlpV2ByteContentItem" }, "inspectConfig": { "description": "Configuration for the inspector.", "$ref": "GooglePrivacyDlpV2InspectConfig" }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string" } }, "description": "Request to search for potentially sensitive info in an image and redact it by covering it with a colored rectangle.", "type": "object" }, "GooglePrivacyDlpV2ProfileStatus": { "properties": { "timestamp": { "description": "Time when the profile generation status was updated", "format": "google-datetime", "type": "string" }, "status": { "$ref": "GoogleRpcStatus", "description": "Profiling status code and optional message" } }, "type": "object", "id": "GooglePrivacyDlpV2ProfileStatus" }, "GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues": { "description": "A tuple of values for the quasi-identifier columns.", "type": "object", "id": "GooglePrivacyDlpV2DeltaPresenceEstimationQuasiIdValues", "properties": { "quasiIdsValues": { "items": { "$ref": "GooglePrivacyDlpV2Value" }, "description": "The quasi-identifier values.", "type": "array" }, "estimatedProbability": { "description": "The estimated probability that a given individual sharing these quasi-identifier values is in the dataset. This value, typically called δ, is the ratio between the number of records in the dataset with these quasi-identifier values, and the total number of individuals (inside *and* outside the dataset) with these quasi-identifier values. For example, if there are 15 individuals in the dataset who share the same quasi-identifier values, and an estimated 100 people in the entire population with these values, then δ is 0.15.", "format": "double", "type": "number" } } }, "GooglePrivacyDlpV2FieldId": { "type": "object", "description": "General identifier of a data field in a storage service.", "properties": { "name": { "type": "string", "description": "Name describing the field." } }, "id": "GooglePrivacyDlpV2FieldId" }, "GooglePrivacyDlpV2PubSubNotification": { "properties": { "pubsubCondition": { "$ref": "GooglePrivacyDlpV2DataProfilePubSubCondition", "description": "Conditions (e.g., data risk or sensitivity level) for triggering a Pub/Sub." }, "detailOfMessage": { "description": "How much data to include in the Pub/Sub message. If the user wishes to limit the size of the message, they can use resource_name and fetch the profile fields they wish to. Per table profile (not per column).", "type": "string", "enum": [ "DETAIL_LEVEL_UNSPECIFIED", "TABLE_PROFILE", "RESOURCE_NAME" ], "enumDescriptions": [ "Unused.", "The full table data profile.", "The resource name of the table." ] }, "topic": { "description": "Cloud Pub/Sub topic to send notifications to. Format is projects/{project}/topics/{topic}.", "type": "string" }, "event": { "enum": [ "EVENT_TYPE_UNSPECIFIED", "NEW_PROFILE", "CHANGED_PROFILE", "SCORE_INCREASED", "ERROR_CHANGED" ], "enumDescriptions": [ "Unused.", "New profile (not a re-profile).", "Changed one of the following profile metrics: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table data risk score LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table sensitivity score LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table resource visibility LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table encryption type LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table predicted infoTypes LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Table other infoTypes", "Table data risk score or sensitivity score increased.", "A user (non-internal) error occurred." ], "type": "string", "description": "The type of event that triggers a Pub/Sub. At most one `PubSubNotification` per EventType is permitted." } }, "id": "GooglePrivacyDlpV2PubSubNotification", "type": "object", "description": "Send a Pub/Sub message into the given Pub/Sub topic to connect other systems to data profile generation. The message payload data will be the byte serialization of `DataProfilePubSubMessage`." }, "GooglePrivacyDlpV2QuoteInfo": { "properties": { "dateTime": { "$ref": "GooglePrivacyDlpV2DateTime", "description": "The date time indicated by the quote." } }, "id": "GooglePrivacyDlpV2QuoteInfo", "type": "object", "description": "Message for infoType-dependent details parsed from quote." }, "GooglePrivacyDlpV2DeltaPresenceEstimationResult": { "description": "Result of the δ-presence computation. Note that these results are an estimation, not exact values.", "properties": { "deltaPresenceEstimationHistogram": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2DeltaPresenceEstimationHistogramBucket" }, "description": "The intervals [min_probability, max_probability) do not overlap. If a value doesn't correspond to any such interval, the associated frequency is zero. For example, the following records: {min_probability: 0, max_probability: 0.1, frequency: 17} {min_probability: 0.2, max_probability: 0.3, frequency: 42} {min_probability: 0.3, max_probability: 0.4, frequency: 99} mean that there are no record with an estimated probability in [0.1, 0.2) nor larger or equal to 0.4." } }, "id": "GooglePrivacyDlpV2DeltaPresenceEstimationResult", "type": "object" }, "GooglePrivacyDlpV2StoredType": { "description": "A reference to a StoredInfoType to use with scanning.", "properties": { "name": { "type": "string", "description": "Resource name of the requested `StoredInfoType`, for example `organizations/433245324/storedInfoTypes/432452342` or `projects/project-id/storedInfoTypes/432452342`." }, "createTime": { "format": "google-datetime", "description": "Timestamp indicating when the version of the `StoredInfoType` used for inspection was created. Output-only field, populated by the system.", "type": "string" } }, "id": "GooglePrivacyDlpV2StoredType", "type": "object" }, "GooglePrivacyDlpV2ActivateJobTriggerRequest": { "type": "object", "id": "GooglePrivacyDlpV2ActivateJobTriggerRequest", "properties": {}, "description": "Request message for ActivateJobTrigger." }, "GooglePrivacyDlpV2ValueFrequency": { "properties": { "value": { "$ref": "GooglePrivacyDlpV2Value", "description": "A value contained in the field in question." }, "count": { "format": "int64", "description": "How many times the value is contained in the field.", "type": "string" } }, "type": "object", "id": "GooglePrivacyDlpV2ValueFrequency", "description": "A value of a field, including its frequency." }, "GooglePrivacyDlpV2BigQueryKey": { "type": "object", "id": "GooglePrivacyDlpV2BigQueryKey", "description": "Row key for identifying a record in BigQuery table.", "properties": { "tableReference": { "$ref": "GooglePrivacyDlpV2BigQueryTable", "description": "Complete BigQuery table reference." }, "rowNumber": { "format": "int64", "type": "string", "description": "Row number inferred at the time the table was scanned. This value is nondeterministic, cannot be queried, and may be null for inspection jobs. To locate findings within a table, specify `inspect_job.storage_config.big_query_options.identifying_fields` in `CreateDlpJobRequest`." } } }, "GooglePrivacyDlpV2DataProfileLocation": { "id": "GooglePrivacyDlpV2DataProfileLocation", "description": "The data that will be profiled.", "properties": { "organizationId": { "format": "int64", "description": "The ID of an organization to scan.", "type": "string" }, "folderId": { "format": "int64", "type": "string", "description": "The ID of the Folder within an organization to scan." } }, "type": "object" }, "GooglePrivacyDlpV2HybridOptions": { "description": "Configuration to control jobs where the content being inspected is outside of Google Cloud Platform.", "type": "object", "id": "GooglePrivacyDlpV2HybridOptions", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "To organize findings, these labels will be added to each finding. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"environment\" : \"production\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"pipeline\" : \"etl\"`", "type": "object" }, "description": { "description": "A short description of where the data is coming from. Will be stored once in the job. 256 max length.", "type": "string" }, "tableOptions": { "$ref": "GooglePrivacyDlpV2TableOptions", "description": "If the container is a table, additional information to make findings meaningful such as the columns that are primary keys." }, "requiredFindingLabelKeys": { "items": { "type": "string" }, "description": "These are labels that each inspection request must include within their 'finding_labels' map. Request may contain others, but any missing one of these will be rejected. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. No more than 10 keys can be required.", "type": "array" } } }, "GooglePrivacyDlpV2StoredInfoType": { "properties": { "pendingVersions": { "items": { "$ref": "GooglePrivacyDlpV2StoredInfoTypeVersion" }, "type": "array", "description": "Pending versions of the stored info type. Empty if no versions are pending." }, "currentVersion": { "$ref": "GooglePrivacyDlpV2StoredInfoTypeVersion", "description": "Current version of the stored info type." }, "name": { "type": "string", "description": "Resource name." } }, "id": "GooglePrivacyDlpV2StoredInfoType", "description": "StoredInfoType resource message that contains information about the current version and any pending updates.", "type": "object" }, "GooglePrivacyDlpV2InspectTemplate": { "properties": { "inspectConfig": { "description": "The core content of the template. Configuration of the scanning process.", "$ref": "GooglePrivacyDlpV2InspectConfig" }, "createTime": { "description": "Output only. The creation timestamp of an inspectTemplate.", "format": "google-datetime", "type": "string", "readOnly": true }, "name": { "type": "string", "readOnly": true, "description": "Output only. The template name. The template will have one of the following formats: `projects/PROJECT_ID/inspectTemplates/TEMPLATE_ID` OR `organizations/ORGANIZATION_ID/inspectTemplates/TEMPLATE_ID`;" }, "updateTime": { "description": "Output only. The last update timestamp of an inspectTemplate.", "readOnly": true, "type": "string", "format": "google-datetime" }, "description": { "description": "Short description (max 256 chars).", "type": "string" }, "displayName": { "description": "Display name (max 256 chars).", "type": "string" } }, "type": "object", "description": "The inspectTemplate contains a configuration (set of types of sensitive data to be detected) to be used anywhere you otherwise would normally specify InspectConfig. See https://cloud.google.com/dlp/docs/concepts-templates to learn more.", "id": "GooglePrivacyDlpV2InspectTemplate" }, "GooglePrivacyDlpV2Table": { "id": "GooglePrivacyDlpV2Table", "properties": { "rows": { "description": "Rows of the table.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2Row" } }, "headers": { "description": "Headers of the table.", "items": { "$ref": "GooglePrivacyDlpV2FieldId" }, "type": "array" } }, "description": "Structured content to inspect. Up to 50,000 `Value`s per request allowed. See https://cloud.google.com/dlp/docs/inspecting-structured-text#inspecting_a_table to learn more.", "type": "object" }, "GooglePrivacyDlpV2PublishToPubSub": { "type": "object", "id": "GooglePrivacyDlpV2PublishToPubSub", "properties": { "topic": { "description": "Cloud Pub/Sub topic to send notifications to. The topic must have given publishing access rights to the DLP API service account executing the long running DlpJob sending the notifications. Format is projects/{project}/topics/{topic}.", "type": "string" } }, "description": "Publish a message into given Pub/Sub topic when DlpJob has completed. The message contains a single field, `DlpJobName`, which is equal to the finished job's [`DlpJob.name`](https://cloud.google.com/dlp/docs/reference/rest/v2/projects.dlpJobs#DlpJob). Compatible with: Inspect, Risk" }, "GooglePrivacyDlpV2CharsToIgnore": { "description": "Characters to skip when doing deidentification of a value. These will be left alone and skipped.", "id": "GooglePrivacyDlpV2CharsToIgnore", "type": "object", "properties": { "charactersToSkip": { "description": "Characters to not transform when masking.", "type": "string" }, "commonCharactersToIgnore": { "enum": [ "COMMON_CHARS_TO_IGNORE_UNSPECIFIED", "NUMERIC", "ALPHA_UPPER_CASE", "ALPHA_LOWER_CASE", "PUNCTUATION", "WHITESPACE" ], "type": "string", "description": "Common characters to not transform when masking. Useful to avoid removing punctuation.", "enumDescriptions": [ "Unused.", "0-9", "A-Z", "a-z", "US Punctuation, one of !\"#$%&'()*+,-./:;\u003c=\u003e?@[\\]^_`{|}~", "Whitespace character, one of [ \\t\\n\\x0B\\f\\r]" ] } } }, "GooglePrivacyDlpV2HybridInspectStatistics": { "id": "GooglePrivacyDlpV2HybridInspectStatistics", "description": "Statistics related to processing hybrid inspect requests.", "type": "object", "properties": { "processedCount": { "format": "int64", "description": "The number of hybrid inspection requests processed within this job.", "type": "string" }, "abortedCount": { "format": "int64", "type": "string", "description": "The number of hybrid inspection requests aborted because the job ran out of quota or was ended before they could be processed." }, "pendingCount": { "format": "int64", "description": "The number of hybrid requests currently being processed. Only populated when called via method `getDlpJob`. A burst of traffic may cause hybrid inspect requests to be enqueued. Processing will take place as quickly as possible, but resource limitations may impact how long a request is enqueued for.", "type": "string" } } }, "GooglePrivacyDlpV2DataProfilePubSubCondition": { "type": "object", "id": "GooglePrivacyDlpV2DataProfilePubSubCondition", "description": "A condition for determining whether a PubSub should be triggered.", "properties": { "expressions": { "description": "An expression.", "$ref": "GooglePrivacyDlpV2PubSubExpressions" } } }, "GooglePrivacyDlpV2DocumentLocation": { "id": "GooglePrivacyDlpV2DocumentLocation", "properties": { "fileOffset": { "description": "Offset of the line, from the beginning of the file, where the finding is located.", "type": "string", "format": "int64" } }, "description": "Location of a finding within a document.", "type": "object" }, "GooglePrivacyDlpV2DeidentifyTemplate": { "type": "object", "properties": { "name": { "description": "Output only. The template name. The template will have one of the following formats: `projects/PROJECT_ID/deidentifyTemplates/TEMPLATE_ID` OR `organizations/ORGANIZATION_ID/deidentifyTemplates/TEMPLATE_ID`", "readOnly": true, "type": "string" }, "updateTime": { "description": "Output only. The last update timestamp of an inspectTemplate.", "type": "string", "format": "google-datetime", "readOnly": true }, "displayName": { "description": "Display name (max 256 chars).", "type": "string" }, "description": { "description": "Short description (max 256 chars).", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The creation timestamp of an inspectTemplate.", "readOnly": true }, "deidentifyConfig": { "$ref": "GooglePrivacyDlpV2DeidentifyConfig", "description": "The core content of the template." } }, "id": "GooglePrivacyDlpV2DeidentifyTemplate", "description": "DeidentifyTemplates contains instructions on how to de-identify content. See https://cloud.google.com/dlp/docs/concepts-templates to learn more." }, "GooglePrivacyDlpV2StorageConfig": { "type": "object", "id": "GooglePrivacyDlpV2StorageConfig", "properties": { "cloudStorageOptions": { "description": "Google Cloud Storage options.", "$ref": "GooglePrivacyDlpV2CloudStorageOptions" }, "datastoreOptions": { "description": "Google Cloud Datastore options.", "$ref": "GooglePrivacyDlpV2DatastoreOptions" }, "hybridOptions": { "$ref": "GooglePrivacyDlpV2HybridOptions", "description": "Hybrid inspection options." }, "timespanConfig": { "$ref": "GooglePrivacyDlpV2TimespanConfig" }, "bigQueryOptions": { "description": "BigQuery options.", "$ref": "GooglePrivacyDlpV2BigQueryOptions" } }, "description": "Shared message indicating Cloud storage type." }, "GooglePrivacyDlpV2Range": { "properties": { "end": { "description": "Index of the last character of the range (exclusive).", "format": "int64", "type": "string" }, "start": { "description": "Index of the first character of the range (inclusive).", "type": "string", "format": "int64" } }, "description": "Generic half-open interval [start, end)", "type": "object", "id": "GooglePrivacyDlpV2Range" }, "GooglePrivacyDlpV2DeidentifyConfig": { "type": "object", "id": "GooglePrivacyDlpV2DeidentifyConfig", "properties": { "transformationErrorHandling": { "description": "Mode for handling transformation errors. If left unspecified, the default mode is `TransformationErrorHandling.ThrowError`.", "$ref": "GooglePrivacyDlpV2TransformationErrorHandling" }, "infoTypeTransformations": { "description": "Treat the dataset as free-form text and apply the same free text transformation everywhere.", "$ref": "GooglePrivacyDlpV2InfoTypeTransformations" }, "recordTransformations": { "description": "Treat the dataset as structured. Transformations can be applied to specific locations within structured datasets, such as transforming a column within a table.", "$ref": "GooglePrivacyDlpV2RecordTransformations" } }, "description": "The configuration that controls how the data will change." }, "GooglePrivacyDlpV2HybridContentItem": { "description": "An individual hybrid item to inspect. Will be stored temporarily during processing.", "properties": { "item": { "$ref": "GooglePrivacyDlpV2ContentItem", "description": "The item to inspect." }, "findingDetails": { "description": "Supplementary information that will be added to each finding.", "$ref": "GooglePrivacyDlpV2HybridFindingDetails" } }, "id": "GooglePrivacyDlpV2HybridContentItem", "type": "object" }, "GooglePrivacyDlpV2LDiversityHistogramBucket": { "properties": { "bucketValueCount": { "format": "int64", "type": "string", "description": "Total number of distinct equivalence classes in this bucket." }, "sensitiveValueFrequencyUpperBound": { "description": "Upper bound on the sensitive value frequencies of the equivalence classes in this bucket.", "format": "int64", "type": "string" }, "bucketSize": { "description": "Total number of equivalence classes in this bucket.", "format": "int64", "type": "string" }, "bucketValues": { "description": "Sample of equivalence classes in this bucket. The total number of classes returned per bucket is capped at 20.", "items": { "$ref": "GooglePrivacyDlpV2LDiversityEquivalenceClass" }, "type": "array" }, "sensitiveValueFrequencyLowerBound": { "format": "int64", "type": "string", "description": "Lower bound on the sensitive value frequencies of the equivalence classes in this bucket." } }, "id": "GooglePrivacyDlpV2LDiversityHistogramBucket", "description": "Histogram of l-diversity equivalence class sensitive value frequencies.", "type": "object" }, "GooglePrivacyDlpV2SurrogateType": { "description": "Message for detecting output from deidentification transformations such as [`CryptoReplaceFfxFpeConfig`](https://cloud.google.com/dlp/docs/reference/rest/v2/organizations.deidentifyTemplates#cryptoreplaceffxfpeconfig). These types of transformations are those that perform pseudonymization, thereby producing a \"surrogate\" as output. This should be used in conjunction with a field on the transformation such as `surrogate_info_type`. This CustomInfoType does not support the use of `detection_rules`.", "type": "object", "properties": {}, "id": "GooglePrivacyDlpV2SurrogateType" }, "GooglePrivacyDlpV2PathElement": { "type": "object", "id": "GooglePrivacyDlpV2PathElement", "description": "A (kind, ID/name) pair used to construct a key path. If either name or ID is set, the element is complete. If neither is set, the element is incomplete.", "properties": { "kind": { "description": "The kind of the entity. A kind matching regex `__.*__` is reserved/read-only. A kind must not contain more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`.", "type": "string" }, "name": { "type": "string", "description": "The name of the entity. A name matching regex `__.*__` is reserved/read-only. A name must not be more than 1500 bytes when UTF-8 encoded. Cannot be `\"\"`." }, "id": { "format": "int64", "type": "string", "description": "The auto-allocated ID of the entity. Never equal to zero. Values less than zero are discouraged and may not be supported in the future." } } }, "GooglePrivacyDlpV2HybridInspectJobTriggerRequest": { "description": "Request to search for potentially sensitive info in a custom location.", "properties": { "hybridItem": { "description": "The item to inspect.", "$ref": "GooglePrivacyDlpV2HybridContentItem" } }, "id": "GooglePrivacyDlpV2HybridInspectJobTriggerRequest", "type": "object" }, "GooglePrivacyDlpV2HybridInspectResponse": { "type": "object", "properties": {}, "id": "GooglePrivacyDlpV2HybridInspectResponse", "description": "Quota exceeded errors will be thrown once quota has been met." }, "GooglePrivacyDlpV2DateShiftConfig": { "id": "GooglePrivacyDlpV2DateShiftConfig", "description": "Shifts dates by random number of days, with option to be consistent for the same context. See https://cloud.google.com/dlp/docs/concepts-date-shifting to learn more.", "type": "object", "properties": { "cryptoKey": { "description": "Causes the shift to be computed based on this key and the context. This results in the same shift for the same context and crypto_key. If set, must also set context. Can only be applied to table items.", "$ref": "GooglePrivacyDlpV2CryptoKey" }, "lowerBoundDays": { "format": "int32", "type": "integer", "description": "Required. For example, -5 means shift date to at most 5 days back in the past." }, "upperBoundDays": { "type": "integer", "description": "Required. Range of shift in days. Actual shift will be selected at random within this range (inclusive ends). Negative means shift to earlier in time. Must not be more than 365250 days (1000 years) each direction. For example, 3 means shift date to at most 3 days into the future.", "format": "int32" }, "context": { "description": "Points to the field that contains the context, for example, an entity id. If set, must also set cryptoKey. If set, shift will be consistent for the given context.", "$ref": "GooglePrivacyDlpV2FieldId" } } }, "GooglePrivacyDlpV2DatastoreKey": { "type": "object", "description": "Record key for a finding in Cloud Datastore.", "properties": { "entityKey": { "description": "Datastore entity key.", "$ref": "GooglePrivacyDlpV2Key" } }, "id": "GooglePrivacyDlpV2DatastoreKey" }, "GooglePrivacyDlpV2QuasiIdField": { "description": "A quasi-identifier column has a custom_tag, used to know which column in the data corresponds to which column in the statistical model.", "id": "GooglePrivacyDlpV2QuasiIdField", "properties": { "field": { "description": "Identifies the column.", "$ref": "GooglePrivacyDlpV2FieldId" }, "customTag": { "type": "string", "description": "A auxiliary field." } }, "type": "object" }, "GooglePrivacyDlpV2RecordLocation": { "description": "Location of a finding within a row or record.", "id": "GooglePrivacyDlpV2RecordLocation", "properties": { "fieldId": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Field id of the field containing the finding." }, "tableLocation": { "$ref": "GooglePrivacyDlpV2TableLocation", "description": "Location within a `ContentItem.Table`." }, "recordKey": { "$ref": "GooglePrivacyDlpV2RecordKey", "description": "Key of the finding." } }, "type": "object" }, "GooglePrivacyDlpV2SensitivityScore": { "properties": { "score": { "description": "The score applied to the resource.", "enumDescriptions": [ "Unused.", "No sensitive information detected. Limited access.", "Medium risk - PII, potentially sensitive data, or fields with free-text data that are at higher risk of having intermittent sensitive data. Consider limiting access.", "High risk – SPII may be present. Exfiltration of data may lead to user data loss. Re-identification of users may be possible. Consider limiting usage and or removing SPII." ], "type": "string", "enum": [ "SENSITIVITY_SCORE_UNSPECIFIED", "SENSITIVITY_LOW", "SENSITIVITY_MODERATE", "SENSITIVITY_HIGH" ] } }, "type": "object", "id": "GooglePrivacyDlpV2SensitivityScore", "description": "Score is a summary of all elements in the data profile. A higher number means more sensitive." }, "GooglePrivacyDlpV2Key": { "id": "GooglePrivacyDlpV2Key", "type": "object", "properties": { "path": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2PathElement" }, "description": "The entity path. An entity path consists of one or more elements composed of a kind and a string or numerical identifier, which identify entities. The first element identifies a _root entity_, the second element identifies a _child_ of the root entity, the third element identifies a child of the second entity, and so forth. The entities identified by all prefixes of the path are called the element's _ancestors_. A path can never be empty, and a path can have at most 100 elements." }, "partitionId": { "description": "Entities are partitioned into subsets, currently identified by a project ID and namespace ID. Queries are scoped to a single partition.", "$ref": "GooglePrivacyDlpV2PartitionId" } }, "description": "A unique identifier for a Datastore entity. If a key's partition ID or any of its path kinds or names are reserved/read-only, the key is reserved/read-only. A reserved/read-only key is forbidden in certain documented contexts." }, "GooglePrivacyDlpV2DataProfileJobConfig": { "properties": { "projectId": { "type": "string", "description": "The project that will run the scan. The DLP service account that exists within this project must have access to all resources that are profiled, and the Cloud DLP API must be enabled." }, "dataProfileActions": { "description": "Actions to execute at the completion of the job.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2DataProfileAction" } }, "location": { "$ref": "GooglePrivacyDlpV2DataProfileLocation", "description": "The data to scan." }, "inspectTemplates": { "type": "array", "description": "Detection logic for profile generation. Not all template features are used by profiles. FindingLimits, include_quote and exclude_info_types have no impact on data profiling. Multiple templates may be provided if there is data in multiple regions. At most one template must be specified per-region (including \"global\"). Each region is scanned using the applicable template. If no region-specific template is specified, but a \"global\" template is specified, it will be copied to that region and used instead. If no global or region-specific template is provided for a region with data, that region's data will not be scanned. For more information, see https://cloud.google.com/dlp/docs/data-profiles#data_residency.", "items": { "type": "string" } } }, "description": "Configuration for setting up a job to scan resources for profile generation. Only one data profile configuration may exist per organization, folder, or project. The generated data profiles are retained according to the [data retention policy] (https://cloud.google.com/dlp/docs/data-profiles#retention).", "type": "object", "id": "GooglePrivacyDlpV2DataProfileJobConfig" }, "GooglePrivacyDlpV2Result": { "description": "All result fields mentioned below are updated while the job is processing.", "id": "GooglePrivacyDlpV2Result", "properties": { "hybridStats": { "description": "Statistics related to the processing of hybrid inspect.", "$ref": "GooglePrivacyDlpV2HybridInspectStatistics" }, "infoTypeStats": { "description": "Statistics of how many instances of each info type were found during inspect job.", "items": { "$ref": "GooglePrivacyDlpV2InfoTypeStats" }, "type": "array" }, "processedBytes": { "format": "int64", "description": "Total size in bytes that were processed.", "type": "string" }, "totalEstimatedBytes": { "description": "Estimate of the number of bytes to process.", "format": "int64", "type": "string" } }, "type": "object" }, "GooglePrivacyDlpV2Bucket": { "description": "Bucket is represented as a range, along with replacement values.", "type": "object", "properties": { "replacementValue": { "$ref": "GooglePrivacyDlpV2Value", "description": "Required. Replacement value for this bucket." }, "max": { "description": "Upper bound of the range, exclusive; type must match min.", "$ref": "GooglePrivacyDlpV2Value" }, "min": { "$ref": "GooglePrivacyDlpV2Value", "description": "Lower bound of the range, inclusive. Type should be the same as max if used." } }, "id": "GooglePrivacyDlpV2Bucket" }, "GooglePrivacyDlpV2StatisticalTable": { "type": "object", "id": "GooglePrivacyDlpV2StatisticalTable", "properties": { "relativeFrequency": { "description": "Required. The relative frequency column must contain a floating-point number between 0 and 1 (inclusive). Null values are assumed to be zero.", "$ref": "GooglePrivacyDlpV2FieldId" }, "quasiIds": { "description": "Required. Quasi-identifier columns.", "items": { "$ref": "GooglePrivacyDlpV2QuasiIdentifierField" }, "type": "array" }, "table": { "$ref": "GooglePrivacyDlpV2BigQueryTable", "description": "Required. Auxiliary table location." } }, "description": "An auxiliary table containing statistical information on the relative frequency of different quasi-identifiers values. It has one or several quasi-identifiers columns, and one column that indicates the relative frequency of each quasi-identifier tuple. If a tuple is present in the data but not in the auxiliary table, the corresponding relative frequency is assumed to be zero (and thus, the tuple is highly reidentifiable)." }, "GooglePrivacyDlpV2TimeZone": { "type": "object", "id": "GooglePrivacyDlpV2TimeZone", "description": "Time zone of the date time object.", "properties": { "offsetMinutes": { "description": "Set only if the offset can be determined. Positive for time ahead of UTC. E.g. For \"UTC-9\", this value is -540.", "type": "integer", "format": "int32" } } }, "GooglePrivacyDlpV2ReplaceValueConfig": { "description": "Replace each input value with a given `Value`.", "type": "object", "id": "GooglePrivacyDlpV2ReplaceValueConfig", "properties": { "newValue": { "description": "Value to replace it with.", "$ref": "GooglePrivacyDlpV2Value" } } }, "GooglePrivacyDlpV2RequestedRiskAnalysisOptions": { "id": "GooglePrivacyDlpV2RequestedRiskAnalysisOptions", "type": "object", "properties": { "jobConfig": { "description": "The job config for the risk job.", "$ref": "GooglePrivacyDlpV2RiskAnalysisJobConfig" } }, "description": "Risk analysis options." }, "GooglePrivacyDlpV2RequestedOptions": { "description": "Snapshot of the inspection configuration.", "properties": { "jobConfig": { "$ref": "GooglePrivacyDlpV2InspectJobConfig", "description": "Inspect config." }, "snapshotInspectTemplate": { "$ref": "GooglePrivacyDlpV2InspectTemplate", "description": "If run with an InspectTemplate, a snapshot of its state at the time of this run." } }, "type": "object", "id": "GooglePrivacyDlpV2RequestedOptions" }, "GooglePrivacyDlpV2Row": { "id": "GooglePrivacyDlpV2Row", "type": "object", "properties": { "values": { "description": "Individual cells.", "items": { "$ref": "GooglePrivacyDlpV2Value" }, "type": "array" } }, "description": "Values of the row." }, "GooglePrivacyDlpV2KAnonymityResult": { "type": "object", "properties": { "equivalenceClassHistogramBuckets": { "description": "Histogram of k-anonymity equivalence classes.", "items": { "$ref": "GooglePrivacyDlpV2KAnonymityHistogramBucket" }, "type": "array" } }, "description": "Result of the k-anonymity computation.", "id": "GooglePrivacyDlpV2KAnonymityResult" }, "GoogleRpcStatus": { "properties": { "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "GoogleRpcStatus", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GooglePrivacyDlpV2SummaryResult": { "type": "object", "properties": { "details": { "type": "string", "description": "A place for warnings or errors to show up if a transformation didn't work as expected." }, "count": { "type": "string", "description": "Number of transformations counted by this result.", "format": "int64" }, "code": { "enum": [ "TRANSFORMATION_RESULT_CODE_UNSPECIFIED", "SUCCESS", "ERROR" ], "type": "string", "description": "Outcome of the transformation.", "enumDescriptions": [ "Unused", "Transformation completed without an error.", "Transformation had an error." ] } }, "id": "GooglePrivacyDlpV2SummaryResult", "description": "A collection that informs the user the number of times a particular `TransformationResultCode` and error details occurred." }, "GooglePrivacyDlpV2ImageRedactionConfig": { "properties": { "redactionColor": { "$ref": "GooglePrivacyDlpV2Color", "description": "The color to use when redacting content from an image. If not specified, the default is black." }, "infoType": { "$ref": "GooglePrivacyDlpV2InfoType", "description": "Only one per info_type should be provided per request. If not specified, and redact_all_text is false, the DLP API will redact all text that it matches against all info_types that are found, but not specified in another ImageRedactionConfig." }, "redactAllText": { "description": "If true, all text found in the image, regardless whether it matches an info_type, is redacted. Only one should be provided.", "type": "boolean" } }, "id": "GooglePrivacyDlpV2ImageRedactionConfig", "description": "Configuration for determining how redaction of images should occur.", "type": "object" }, "GooglePrivacyDlpV2LikelihoodAdjustment": { "type": "object", "description": "Message for specifying an adjustment to the likelihood of a finding as part of a detection rule.", "properties": { "fixedLikelihood": { "enumDescriptions": [ "Default value; same as POSSIBLE.", "Few matching elements.", "", "Some matching elements.", "", "Many matching elements." ], "type": "string", "description": "Set the likelihood of a finding to a fixed value.", "enum": [ "LIKELIHOOD_UNSPECIFIED", "VERY_UNLIKELY", "UNLIKELY", "POSSIBLE", "LIKELY", "VERY_LIKELY" ] }, "relativeLikelihood": { "type": "integer", "description": "Increase or decrease the likelihood by the specified number of levels. For example, if a finding would be `POSSIBLE` without the detection rule and `relative_likelihood` is 1, then it is upgraded to `LIKELY`, while a value of -1 would downgrade it to `UNLIKELY`. Likelihood may never drop below `VERY_UNLIKELY` or exceed `VERY_LIKELY`, so applying an adjustment of 1 followed by an adjustment of -1 when base likelihood is `VERY_LIKELY` will result in a final likelihood of `LIKELY`.", "format": "int32" } }, "id": "GooglePrivacyDlpV2LikelihoodAdjustment" }, "GooglePrivacyDlpV2InspectionRuleSet": { "description": "Rule set for modifying a set of infoTypes to alter behavior under certain circumstances, depending on the specific details of the rules within the set.", "id": "GooglePrivacyDlpV2InspectionRuleSet", "type": "object", "properties": { "rules": { "type": "array", "description": "Set of rules to be applied to infoTypes. The rules are applied in order.", "items": { "$ref": "GooglePrivacyDlpV2InspectionRule" } }, "infoTypes": { "description": "List of infoTypes this rule set is applied to.", "items": { "$ref": "GooglePrivacyDlpV2InfoType" }, "type": "array" } } }, "GooglePrivacyDlpV2DeidentifyContentRequest": { "properties": { "locationId": { "description": "Deprecated. This field has no effect.", "type": "string" }, "inspectTemplateName": { "description": "Template to use. Any configuration directly specified in inspect_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged.", "type": "string" }, "inspectConfig": { "$ref": "GooglePrivacyDlpV2InspectConfig", "description": "Configuration for the inspector. Items specified here will override the template referenced by the inspect_template_name argument." }, "deidentifyConfig": { "$ref": "GooglePrivacyDlpV2DeidentifyConfig", "description": "Configuration for the de-identification of the content item. Items specified here will override the template referenced by the deidentify_template_name argument." }, "item": { "description": "The item to de-identify. Will be treated as text.", "$ref": "GooglePrivacyDlpV2ContentItem" }, "deidentifyTemplateName": { "type": "string", "description": "Template to use. Any configuration directly specified in deidentify_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged." } }, "description": "Request to de-identify a list of items.", "type": "object", "id": "GooglePrivacyDlpV2DeidentifyContentRequest" }, "GooglePrivacyDlpV2RecordCondition": { "properties": { "expressions": { "$ref": "GooglePrivacyDlpV2Expressions", "description": "An expression." } }, "id": "GooglePrivacyDlpV2RecordCondition", "type": "object", "description": "A condition for determining whether a transformation should be applied to a field." }, "GooglePrivacyDlpV2TableDataProfile": { "id": "GooglePrivacyDlpV2TableDataProfile", "type": "object", "properties": { "tableSizeBytes": { "format": "int64", "type": "string", "description": "The size of the table when the profile was generated." }, "resourceLabels": { "description": "The labels applied to the resource at the time the profile was generated.", "additionalProperties": { "type": "string" }, "type": "object" }, "scannedColumnCount": { "description": "The number of columns profiled in the table.", "format": "int64", "type": "string" }, "resourceVisibility": { "description": "How broadly a resource has been shared.", "type": "string", "enum": [ "RESOURCE_VISIBILITY_UNSPECIFIED", "RESOURCE_VISIBILITY_PUBLIC", "RESOURCE_VISIBILITY_RESTRICTED" ], "enumDescriptions": [ "Unused.", "Visible to any user.", "Visible only to specific users." ] }, "datasetLocation": { "type": "string", "description": "The BigQuery location where the dataset's data is stored. See https://cloud.google.com/bigquery/docs/locations for supported locations." }, "datasetId": { "type": "string", "description": "The BigQuery dataset ID." }, "datasetProjectId": { "type": "string", "description": "The GCP project ID that owns the BigQuery dataset." }, "otherInfoTypes": { "type": "array", "description": "Other infoTypes found in this table's data.", "items": { "$ref": "GooglePrivacyDlpV2OtherInfoTypeSummary" } }, "sensitivityScore": { "description": "The sensitivity score of this table.", "$ref": "GooglePrivacyDlpV2SensitivityScore" }, "state": { "description": "State of a profile.", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "DONE" ], "enumDescriptions": [ "Unused.", "The profile is currently running. Once a profile has finished it will transition to DONE.", "The profile is no longer generating. If profile_status.status.code is 0, the profile succeeded, otherwise, it failed." ], "type": "string" }, "rowCount": { "type": "string", "description": "Number of rows in the table when the profile was generated.", "format": "int64" }, "configSnapshot": { "description": "The snapshot of the configurations used to generate the profile.", "$ref": "GooglePrivacyDlpV2DataProfileConfigSnapshot" }, "fullResource": { "type": "string", "description": "The resource name of the table. https://cloud.google.com/apis/design/resource_names#full_resource_name" }, "profileStatus": { "description": "Success or error status from the most recent profile generation attempt. May be empty if the profile is still being generated.", "$ref": "GooglePrivacyDlpV2ProfileStatus" }, "predictedInfoTypes": { "description": "The infoTypes predicted from this table's data.", "items": { "$ref": "GooglePrivacyDlpV2InfoTypeSummary" }, "type": "array" }, "failedColumnCount": { "description": "The number of columns skipped in the table because of an error.", "format": "int64", "type": "string" }, "profileLastGenerated": { "type": "string", "format": "google-datetime", "description": "The last time the profile was generated." }, "lastModifiedTime": { "type": "string", "description": "The time when this table was last modified", "format": "google-datetime" }, "tableId": { "description": "The BigQuery table ID.", "type": "string" }, "projectDataProfile": { "type": "string", "description": "The resource name to the project data profile for this table." }, "encryptionStatus": { "description": "How the table is encrypted.", "type": "string", "enum": [ "ENCRYPTION_STATUS_UNSPECIFIED", "ENCRYPTION_GOOGLE_MANAGED", "ENCRYPTION_CUSTOMER_MANAGED" ], "enumDescriptions": [ "Unused.", "Google manages server-side encryption keys on your behalf.", "Customer provides the key." ] }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time at which the table was created." }, "name": { "description": "The name of the profile.", "type": "string" }, "expirationTime": { "description": "Optional. The time when this table expires.", "type": "string", "format": "google-datetime" }, "dataRiskLevel": { "description": "The data risk level of this table.", "$ref": "GooglePrivacyDlpV2DataRiskLevel" } }, "description": "The profile for a scanned table." }, "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "GoogleProtobufEmpty", "properties": {} }, "GooglePrivacyDlpV2CategoricalStatsConfig": { "type": "object", "properties": { "field": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Field to compute categorical stats on. All column types are supported except for arrays and structs. However, it may be more informative to use NumericalStats when the field type is supported, depending on the data." } }, "id": "GooglePrivacyDlpV2CategoricalStatsConfig", "description": "Compute numerical stats over an individual column, including number of distinct values and value count distribution." }, "GooglePrivacyDlpV2KindExpression": { "properties": { "name": { "description": "The name of the kind.", "type": "string" } }, "id": "GooglePrivacyDlpV2KindExpression", "description": "A representation of a Datastore kind.", "type": "object" }, "GooglePrivacyDlpV2Regex": { "description": "Message defining a custom regular expression.", "type": "object", "properties": { "groupIndexes": { "description": "The index of the submatch to extract as findings. When not specified, the entire match is returned. No more than 3 may be included.", "type": "array", "items": { "type": "integer", "format": "int32" } }, "pattern": { "description": "Pattern defining the regular expression. Its syntax (https://github.com/google/re2/wiki/Syntax) can be found under the google/re2 repository on GitHub.", "type": "string" } }, "id": "GooglePrivacyDlpV2Regex" }, "GooglePrivacyDlpV2TableLocation": { "properties": { "rowIndex": { "type": "string", "format": "int64", "description": "The zero-based index of the row where the finding is located. Only populated for resources that have a natural ordering, not BigQuery. In BigQuery, to identify the row a finding came from, populate BigQueryOptions.identifying_fields with your primary key column names and when you store the findings the value of those columns will be stored inside of Finding." } }, "type": "object", "id": "GooglePrivacyDlpV2TableLocation", "description": "Location of a finding within a table." }, "GooglePrivacyDlpV2RecordKey": { "id": "GooglePrivacyDlpV2RecordKey", "properties": { "datastoreKey": { "$ref": "GooglePrivacyDlpV2DatastoreKey" }, "bigQueryKey": { "$ref": "GooglePrivacyDlpV2BigQueryKey" }, "idValues": { "type": "array", "description": "Values of identifying columns in the given row. Order of values matches the order of `identifying_fields` specified in the scanning request.", "items": { "type": "string" } } }, "description": "Message for a unique key indicating a record that contains a finding.", "type": "object" }, "GooglePrivacyDlpV2Container": { "properties": { "version": { "type": "string", "description": "Findings container version, if available (\"generation\" for Google Cloud Storage)." }, "type": { "type": "string", "description": "Container type, for example BigQuery or Google Cloud Storage." }, "relativePath": { "description": "The rest of the path after the root. Examples: - For BigQuery table `project_id:dataset_id.table_id`, the relative path is `table_id` - Google Cloud Storage file `gs://bucket/folder/filename.txt`, the relative path is `folder/filename.txt`", "type": "string" }, "fullPath": { "description": "A string representation of the full container name. Examples: - BigQuery: 'Project:DataSetId.TableId' - Google Cloud Storage: 'gs://Bucket/folders/filename.txt'", "type": "string" }, "updateTime": { "type": "string", "description": "Findings container modification timestamp, if applicable. For Google Cloud Storage contains last file modification timestamp. For BigQuery table contains last_modified_time property. For Datastore - not populated.", "format": "google-datetime" }, "rootPath": { "description": "The root of the container. Examples: - For BigQuery table `project_id:dataset_id.table_id`, the root is `dataset_id` - For Google Cloud Storage file `gs://bucket/folder/filename.txt`, the root is `gs://bucket`", "type": "string" }, "projectId": { "type": "string", "description": "Project where the finding was found. Can be different from the project that owns the finding." } }, "id": "GooglePrivacyDlpV2Container", "type": "object", "description": "Represents a container that may contain DLP findings. Examples of a container include a file, table, or database record." }, "GooglePrivacyDlpV2RedactImageResponse": { "description": "Results of redacting an image.", "properties": { "extractedText": { "type": "string", "description": "If an image was being inspected and the InspectConfig's include_quote was set to true, then this field will include all text, if any, that was found in the image." }, "redactedImage": { "description": "The redacted image. The type will be the same as the original image.", "format": "byte", "type": "string" }, "inspectResult": { "description": "The findings. Populated when include_findings in the request is true.", "$ref": "GooglePrivacyDlpV2InspectResult" } }, "id": "GooglePrivacyDlpV2RedactImageResponse", "type": "object" }, "GooglePrivacyDlpV2PubSubExpressions": { "description": "An expression, consisting of an operator and conditions.", "id": "GooglePrivacyDlpV2PubSubExpressions", "properties": { "logicalOperator": { "description": "The operator to apply to the collection of conditions.", "enumDescriptions": [ "Unused.", "Conditional OR.", "Conditional AND." ], "enum": [ "LOGICAL_OPERATOR_UNSPECIFIED", "OR", "AND" ], "type": "string" }, "conditions": { "items": { "$ref": "GooglePrivacyDlpV2PubSubCondition" }, "type": "array", "description": "Conditions to apply to the expression." } }, "type": "object" }, "GooglePrivacyDlpV2Condition": { "id": "GooglePrivacyDlpV2Condition", "description": "The field type of `value` and `field` do not need to match to be considered equal, but not all comparisons are possible. EQUAL_TO and NOT_EQUAL_TO attempt to compare even with incompatible types, but all other comparisons are invalid with incompatible types. A `value` of type: - `string` can be compared against all other types - `boolean` can only be compared against other booleans - `integer` can be compared against doubles or a string if the string value can be parsed as an integer. - `double` can be compared against integers or a string if the string can be parsed as a double. - `Timestamp` can be compared against strings in RFC 3339 date string format. - `TimeOfDay` can be compared against timestamps and strings in the format of 'HH:mm:ss'. If we fail to compare do to type mismatch, a warning will be given and the condition will evaluate to false.", "properties": { "value": { "description": "Value to compare against. [Mandatory, except for `EXISTS` tests.]", "$ref": "GooglePrivacyDlpV2Value" }, "operator": { "enum": [ "RELATIONAL_OPERATOR_UNSPECIFIED", "EQUAL_TO", "NOT_EQUAL_TO", "GREATER_THAN", "LESS_THAN", "GREATER_THAN_OR_EQUALS", "LESS_THAN_OR_EQUALS", "EXISTS" ], "description": "Required. Operator used to compare the field or infoType to the value.", "type": "string", "enumDescriptions": [ "Unused", "Equal. Attempts to match even with incompatible types.", "Not equal to. Attempts to match even with incompatible types.", "Greater than.", "Less than.", "Greater than or equals.", "Less than or equals.", "Exists" ] }, "field": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Required. Field within the record this condition is evaluated against." } }, "type": "object" }, "GooglePrivacyDlpV2PrimitiveTransformation": { "properties": { "dateShiftConfig": { "description": "Date Shift", "$ref": "GooglePrivacyDlpV2DateShiftConfig" }, "replaceDictionaryConfig": { "description": "Replace with a value randomly drawn (with replacement) from a dictionary.", "$ref": "GooglePrivacyDlpV2ReplaceDictionaryConfig" }, "fixedSizeBucketingConfig": { "description": "Fixed size bucketing", "$ref": "GooglePrivacyDlpV2FixedSizeBucketingConfig" }, "cryptoDeterministicConfig": { "description": "Deterministic Crypto", "$ref": "GooglePrivacyDlpV2CryptoDeterministicConfig" }, "replaceConfig": { "description": "Replace with a specified value.", "$ref": "GooglePrivacyDlpV2ReplaceValueConfig" }, "characterMaskConfig": { "description": "Mask", "$ref": "GooglePrivacyDlpV2CharacterMaskConfig" }, "replaceWithInfoTypeConfig": { "description": "Replace with infotype", "$ref": "GooglePrivacyDlpV2ReplaceWithInfoTypeConfig" }, "bucketingConfig": { "description": "Bucketing", "$ref": "GooglePrivacyDlpV2BucketingConfig" }, "cryptoReplaceFfxFpeConfig": { "description": "Ffx-Fpe", "$ref": "GooglePrivacyDlpV2CryptoReplaceFfxFpeConfig" }, "timePartConfig": { "description": "Time extraction", "$ref": "GooglePrivacyDlpV2TimePartConfig" }, "cryptoHashConfig": { "$ref": "GooglePrivacyDlpV2CryptoHashConfig", "description": "Crypto" }, "redactConfig": { "description": "Redact", "$ref": "GooglePrivacyDlpV2RedactConfig" } }, "description": "A rule for transforming a value.", "type": "object", "id": "GooglePrivacyDlpV2PrimitiveTransformation" }, "GooglePrivacyDlpV2DlpJob": { "type": "object", "properties": { "state": { "description": "State of a job.", "enum": [ "JOB_STATE_UNSPECIFIED", "PENDING", "RUNNING", "DONE", "CANCELED", "FAILED", "ACTIVE" ], "enumDescriptions": [ "Unused.", "The job has not yet started.", "The job is currently running. Once a job has finished it will transition to FAILED or DONE.", "The job is no longer running.", "The job was canceled before it could complete.", "The job had an error and did not complete.", "The job is currently accepting findings via hybridInspect. A hybrid job in ACTIVE state may continue to have findings added to it through calling of hybridInspect. After the job has finished no more calls to hybridInspect may be made. ACTIVE jobs can transition to DONE." ], "type": "string" }, "jobTriggerName": { "type": "string", "description": "If created by a job trigger, the resource name of the trigger that instantiated the job." }, "type": { "description": "The type of job.", "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ], "type": "string", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ] }, "createTime": { "type": "string", "format": "google-datetime", "description": "Time when the job was created." }, "riskDetails": { "$ref": "GooglePrivacyDlpV2AnalyzeDataSourceRiskDetails", "description": "Results from analyzing risk of a data source." }, "name": { "type": "string", "description": "The server-assigned name." }, "errors": { "items": { "$ref": "GooglePrivacyDlpV2Error" }, "type": "array", "description": "A stream of errors encountered running the job." }, "inspectDetails": { "$ref": "GooglePrivacyDlpV2InspectDataSourceDetails", "description": "Results from inspecting a data source." }, "endTime": { "format": "google-datetime", "description": "Time when the job finished.", "type": "string" }, "startTime": { "format": "google-datetime", "description": "Time when the job started.", "type": "string" } }, "id": "GooglePrivacyDlpV2DlpJob", "description": "Combines all of the information about a DLP job." }, "GooglePrivacyDlpV2TransformationOverview": { "properties": { "transformationSummaries": { "type": "array", "description": "Transformations applied to the dataset.", "items": { "$ref": "GooglePrivacyDlpV2TransformationSummary" } }, "transformedBytes": { "format": "int64", "description": "Total size in bytes that were transformed in some way.", "type": "string" } }, "id": "GooglePrivacyDlpV2TransformationOverview", "type": "object", "description": "Overview of the modifications that occurred." }, "GooglePrivacyDlpV2MetadataLocation": { "description": "Metadata Location", "id": "GooglePrivacyDlpV2MetadataLocation", "type": "object", "properties": { "type": { "description": "Type of metadata containing the finding.", "enum": [ "METADATATYPE_UNSPECIFIED", "STORAGE_METADATA" ], "type": "string", "enumDescriptions": [ "Unused", "General file metadata provided by Cloud Storage." ] }, "storageLabel": { "description": "Storage metadata.", "$ref": "GooglePrivacyDlpV2StorageMetadataLabel" } } }, "GooglePrivacyDlpV2JobNotificationEmails": { "description": "Enable email notification to project owners and editors on jobs's completion/failure.", "properties": {}, "id": "GooglePrivacyDlpV2JobNotificationEmails", "type": "object" }, "GooglePrivacyDlpV2Dictionary": { "type": "object", "description": "Custom information type based on a dictionary of words or phrases. This can be used to match sensitive information specific to the data, such as a list of employee IDs or job titles. Dictionary words are case-insensitive and all characters other than letters and digits in the unicode [Basic Multilingual Plane](https://en.wikipedia.org/wiki/Plane_%28Unicode%29#Basic_Multilingual_Plane) will be replaced with whitespace when scanning for matches, so the dictionary phrase \"Sam Johnson\" will match all three phrases \"sam johnson\", \"Sam, Johnson\", and \"Sam (Johnson)\". Additionally, the characters surrounding any match must be of a different type than the adjacent characters within the word, so letters must be next to non-letters and digits next to non-digits. For example, the dictionary word \"jen\" will match the first three letters of the text \"jen123\" but will return no matches for \"jennifer\". Dictionary words containing a large number of characters that are not letters or digits may result in unexpected findings because such characters are treated as whitespace. The [limits](https://cloud.google.com/dlp/limits) page contains details about the size limits of dictionaries. For dictionaries that do not fit within these constraints, consider using `LargeCustomDictionaryConfig` in the `StoredInfoType` API.", "properties": { "cloudStoragePath": { "description": "Newline-delimited file of words in Cloud Storage. Only a single file is accepted.", "$ref": "GooglePrivacyDlpV2CloudStoragePath" }, "wordList": { "description": "List of words or phrases to search for.", "$ref": "GooglePrivacyDlpV2WordList" } }, "id": "GooglePrivacyDlpV2Dictionary" }, "GooglePrivacyDlpV2LargeCustomDictionaryConfig": { "description": "Configuration for a custom dictionary created from a data source of any size up to the maximum size defined in the [limits](https://cloud.google.com/dlp/limits) page. The artifacts of dictionary creation are stored in the specified Google Cloud Storage location. Consider using `CustomInfoType.Dictionary` for smaller dictionaries that satisfy the size requirements.", "properties": { "cloudStorageFileSet": { "description": "Set of files containing newline-delimited lists of dictionary phrases.", "$ref": "GooglePrivacyDlpV2CloudStorageFileSet" }, "bigQueryField": { "$ref": "GooglePrivacyDlpV2BigQueryField", "description": "Field in a BigQuery table where each cell represents a dictionary phrase." }, "outputPath": { "$ref": "GooglePrivacyDlpV2CloudStoragePath", "description": "Location to store dictionary artifacts in Google Cloud Storage. These files will only be accessible by project owners and the DLP API. If any of these artifacts are modified, the dictionary is considered invalid and can no longer be used." } }, "id": "GooglePrivacyDlpV2LargeCustomDictionaryConfig", "type": "object" }, "GooglePrivacyDlpV2StoredInfoTypeConfig": { "id": "GooglePrivacyDlpV2StoredInfoTypeConfig", "properties": { "displayName": { "description": "Display name of the StoredInfoType (max 256 characters).", "type": "string" }, "dictionary": { "$ref": "GooglePrivacyDlpV2Dictionary", "description": "Store dictionary-based CustomInfoType." }, "description": { "type": "string", "description": "Description of the StoredInfoType (max 256 characters)." }, "regex": { "description": "Store regular expression-based StoredInfoType.", "$ref": "GooglePrivacyDlpV2Regex" }, "largeCustomDictionary": { "$ref": "GooglePrivacyDlpV2LargeCustomDictionaryConfig", "description": "StoredInfoType where findings are defined by a dictionary of phrases." } }, "type": "object", "description": "Configuration for stored infoTypes. All fields and subfield are provided by the user. For more information, see https://cloud.google.com/dlp/docs/creating-custom-infotypes." }, "GooglePrivacyDlpV2CharacterMaskConfig": { "description": "Partially mask a string by replacing a given number of characters with a fixed character. Masking can start from the beginning or end of the string. This can be used on data of any type (numbers, longs, and so on) and when de-identifying structured data we'll attempt to preserve the original data's type. (This allows you to take a long like 123 and modify it to a string like **3.", "properties": { "numberToMask": { "description": "Number of characters to mask. If not set, all matching chars will be masked. Skipped characters do not count towards this tally. If `number_to_mask` is negative, this denotes inverse masking. Cloud DLP masks all but a number of characters. For example, suppose you have the following values: - `masking_character` is `*` - `number_to_mask` is `-4` - `reverse_order` is `false` - `CharsToIgnore` includes `-` - Input string is `1234-5678-9012-3456` The resulting de-identified string is `****-****-****-3456`. Cloud DLP masks all but the last four characters. If `reverse_order` is `true`, all but the first four characters are masked as `1234-****-****-****`.", "type": "integer", "format": "int32" }, "maskingCharacter": { "type": "string", "description": "Character to use to mask the sensitive values—for example, `*` for an alphabetic string such as a name, or `0` for a numeric string such as ZIP code or credit card number. This string must have a length of 1. If not supplied, this value defaults to `*` for strings, and `0` for digits." }, "reverseOrder": { "description": "Mask characters in reverse order. For example, if `masking_character` is `0`, `number_to_mask` is `14`, and `reverse_order` is `false`, then the input string `1234-5678-9012-3456` is masked as `00000000000000-3456`. If `masking_character` is `*`, `number_to_mask` is `3`, and `reverse_order` is `true`, then the string `12345` is masked as `12***`.", "type": "boolean" }, "charactersToIgnore": { "description": "When masking a string, items in this list will be skipped when replacing characters. For example, if the input string is `555-555-5555` and you instruct Cloud DLP to skip `-` and mask 5 characters with `*`, Cloud DLP returns `***-**5-5555`.", "items": { "$ref": "GooglePrivacyDlpV2CharsToIgnore" }, "type": "array" } }, "id": "GooglePrivacyDlpV2CharacterMaskConfig", "type": "object" }, "GooglePrivacyDlpV2StoredInfoTypeStats": { "type": "object", "id": "GooglePrivacyDlpV2StoredInfoTypeStats", "description": "Statistics for a StoredInfoType.", "properties": { "largeCustomDictionary": { "description": "StoredInfoType where findings are defined by a dictionary of phrases.", "$ref": "GooglePrivacyDlpV2LargeCustomDictionaryStats" } } }, "GooglePrivacyDlpV2InfoTypeLimit": { "type": "object", "id": "GooglePrivacyDlpV2InfoTypeLimit", "properties": { "infoType": { "description": "Type of information the findings limit applies to. Only one limit per info_type should be provided. If InfoTypeLimit does not have an info_type, the DLP API applies the limit against all info_types that are found but not specified in another InfoTypeLimit.", "$ref": "GooglePrivacyDlpV2InfoType" }, "maxFindings": { "format": "int32", "type": "integer", "description": "Max findings limit for the given infoType." } }, "description": "Max findings configuration per infoType, per content item or long running DlpJob." }, "GooglePrivacyDlpV2DeltaPresenceEstimationConfig": { "properties": { "regionCode": { "type": "string", "description": "ISO 3166-1 alpha-2 region code to use in the statistical modeling. Set if no column is tagged with a region-specific InfoType (like US_ZIP_5) or a region code." }, "quasiIds": { "items": { "$ref": "GooglePrivacyDlpV2QuasiId" }, "type": "array", "description": "Required. Fields considered to be quasi-identifiers. No two fields can have the same tag." }, "auxiliaryTables": { "type": "array", "description": "Several auxiliary tables can be used in the analysis. Each custom_tag used to tag a quasi-identifiers field must appear in exactly one field of one auxiliary table.", "items": { "$ref": "GooglePrivacyDlpV2StatisticalTable" } } }, "description": "δ-presence metric, used to estimate how likely it is for an attacker to figure out that one given individual appears in a de-identified dataset. Similarly to the k-map metric, we cannot compute δ-presence exactly without knowing the attack dataset, so we use a statistical model instead.", "type": "object", "id": "GooglePrivacyDlpV2DeltaPresenceEstimationConfig" }, "GooglePrivacyDlpV2TaggedField": { "id": "GooglePrivacyDlpV2TaggedField", "description": "A column with a semantic tag attached.", "properties": { "field": { "description": "Required. Identifies the column.", "$ref": "GooglePrivacyDlpV2FieldId" }, "customTag": { "description": "A column can be tagged with a custom tag. In this case, the user must indicate an auxiliary table that contains statistical information on the possible values of this column (below).", "type": "string" }, "inferred": { "$ref": "GoogleProtobufEmpty", "description": "If no semantic tag is indicated, we infer the statistical model from the distribution of values in the input data" }, "infoType": { "$ref": "GooglePrivacyDlpV2InfoType", "description": "A column can be tagged with a InfoType to use the relevant public dataset as a statistical model of population, if available. We currently support US ZIP codes, region codes, ages and genders. To programmatically obtain the list of supported InfoTypes, use ListInfoTypes with the supported_by=RISK_ANALYSIS filter." } }, "type": "object" }, "GooglePrivacyDlpV2PublishToStackdriver": { "type": "object", "id": "GooglePrivacyDlpV2PublishToStackdriver", "description": "Enable Stackdriver metric dlp.googleapis.com/finding_count. This will publish a metric to stack driver on each infotype requested and how many findings were found for it. CustomDetectors will be bucketed as 'Custom' under the Stackdriver label 'info_type'.", "properties": {} }, "GooglePrivacyDlpV2CategoricalStatsResult": { "properties": { "valueFrequencyHistogramBuckets": { "description": "Histogram of value frequencies in the column.", "type": "array", "items": { "$ref": "GooglePrivacyDlpV2CategoricalStatsHistogramBucket" } } }, "type": "object", "description": "Result of the categorical stats computation.", "id": "GooglePrivacyDlpV2CategoricalStatsResult" }, "GooglePrivacyDlpV2TimePartConfig": { "properties": { "partToExtract": { "enum": [ "TIME_PART_UNSPECIFIED", "YEAR", "MONTH", "DAY_OF_MONTH", "DAY_OF_WEEK", "WEEK_OF_YEAR", "HOUR_OF_DAY" ], "enumDescriptions": [ "Unused", "[0-9999]", "[1-12]", "[1-31]", "[1-7]", "[1-53]", "[0-23]" ], "type": "string", "description": "The part of the time to keep." } }, "type": "object", "id": "GooglePrivacyDlpV2TimePartConfig", "description": "For use with `Date`, `Timestamp`, and `TimeOfDay`, extract or preserve a portion of the value." }, "GooglePrivacyDlpV2LargeCustomDictionaryStats": { "id": "GooglePrivacyDlpV2LargeCustomDictionaryStats", "type": "object", "description": "Summary statistics of a custom dictionary.", "properties": { "approxNumPhrases": { "type": "string", "description": "Approximate number of distinct phrases in the dictionary.", "format": "int64" } } }, "GooglePrivacyDlpV2Location": { "description": "Specifies the location of the finding.", "id": "GooglePrivacyDlpV2Location", "properties": { "byteRange": { "description": "Zero-based byte offsets delimiting the finding. These are relative to the finding's containing element. Note that when the content is not textual, this references the UTF-8 encoded textual representation of the content. Omitted if content is an image.", "$ref": "GooglePrivacyDlpV2Range" }, "contentLocations": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2ContentLocation" }, "description": "List of nested objects pointing to the precise location of the finding within the file or record." }, "codepointRange": { "description": "Unicode character offsets delimiting the finding. These are relative to the finding's containing element. Provided when the content is text.", "$ref": "GooglePrivacyDlpV2Range" }, "container": { "$ref": "GooglePrivacyDlpV2Container", "description": "Information about the container where this finding occurred, if available." } }, "type": "object" }, "GooglePrivacyDlpV2InfoTypeStats": { "id": "GooglePrivacyDlpV2InfoTypeStats", "properties": { "infoType": { "description": "The type of finding this stat is for.", "$ref": "GooglePrivacyDlpV2InfoType" }, "count": { "format": "int64", "description": "Number of findings for this infoType.", "type": "string" } }, "description": "Statistics regarding a specific InfoType.", "type": "object" }, "GooglePrivacyDlpV2RecordSuppression": { "description": "Configuration to suppress records whose suppression conditions evaluate to true.", "type": "object", "properties": { "condition": { "description": "A condition that when it evaluates to true will result in the record being evaluated to be suppressed from the transformed content.", "$ref": "GooglePrivacyDlpV2RecordCondition" } }, "id": "GooglePrivacyDlpV2RecordSuppression" }, "GooglePrivacyDlpV2InspectContentRequest": { "type": "object", "properties": { "item": { "description": "The item to inspect.", "$ref": "GooglePrivacyDlpV2ContentItem" }, "inspectConfig": { "$ref": "GooglePrivacyDlpV2InspectConfig", "description": "Configuration for the inspector. What specified here will override the template referenced by the inspect_template_name argument." }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string" }, "inspectTemplateName": { "type": "string", "description": "Template to use. Any configuration directly specified in inspect_config will override those set in the template. Singular fields that are set in this request will replace their corresponding fields in the template. Repeated fields are appended. Singular sub-messages and groups are recursively merged." } }, "id": "GooglePrivacyDlpV2InspectContentRequest", "description": "Request to search for potentially sensitive info in a ContentItem." }, "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse": { "properties": { "deidentifyTemplates": { "items": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "type": "array", "description": "List of deidentify templates, up to page_size in ListDeidentifyTemplatesRequest." }, "nextPageToken": { "type": "string", "description": "If the next page is available then the next page token to be used in following ListDeidentifyTemplates request." } }, "id": "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse", "type": "object", "description": "Response message for ListDeidentifyTemplates." }, "GooglePrivacyDlpV2ReplaceDictionaryConfig": { "id": "GooglePrivacyDlpV2ReplaceDictionaryConfig", "description": "Replace each input value with a value randomly selected from the dictionary.", "type": "object", "properties": { "wordList": { "$ref": "GooglePrivacyDlpV2WordList", "description": "A list of words to select from for random replacement. The [limits](https://cloud.google.com/dlp/limits) page contains details about the size limits of dictionaries." } } }, "GooglePrivacyDlpV2Action": { "type": "object", "properties": { "publishFindingsToCloudDataCatalog": { "$ref": "GooglePrivacyDlpV2PublishFindingsToCloudDataCatalog", "description": "Publish findings to Cloud Datahub." }, "publishToStackdriver": { "$ref": "GooglePrivacyDlpV2PublishToStackdriver", "description": "Enable Stackdriver metric dlp.googleapis.com/finding_count." }, "pubSub": { "$ref": "GooglePrivacyDlpV2PublishToPubSub", "description": "Publish a notification to a pubsub topic." }, "publishSummaryToCscc": { "$ref": "GooglePrivacyDlpV2PublishSummaryToCscc", "description": "Publish summary to Cloud Security Command Center (Alpha)." }, "jobNotificationEmails": { "$ref": "GooglePrivacyDlpV2JobNotificationEmails", "description": "Enable email notification for project owners and editors on job's completion/failure." }, "saveFindings": { "description": "Save resulting findings in a provided location.", "$ref": "GooglePrivacyDlpV2SaveFindings" } }, "description": "A task to execute on the completion of a job. See https://cloud.google.com/dlp/docs/concepts-actions to learn more.", "id": "GooglePrivacyDlpV2Action" }, "GooglePrivacyDlpV2PubSubCondition": { "type": "object", "properties": { "minimumRiskScore": { "type": "string", "enum": [ "PROFILE_SCORE_BUCKET_UNSPECIFIED", "HIGH", "MEDIUM_OR_HIGH" ], "description": "The minimum data risk score that triggers the condition.", "enumDescriptions": [ "Unused.", "High risk/sensitivity detected.", "Medium or high risk/sensitivity detected." ] }, "minimumSensitivityScore": { "type": "string", "enum": [ "PROFILE_SCORE_BUCKET_UNSPECIFIED", "HIGH", "MEDIUM_OR_HIGH" ], "enumDescriptions": [ "Unused.", "High risk/sensitivity detected.", "Medium or high risk/sensitivity detected." ], "description": "The minimum sensitivity level that triggers the condition." } }, "description": "A condition consisting of a value.", "id": "GooglePrivacyDlpV2PubSubCondition" }, "GooglePrivacyDlpV2StorageMetadataLabel": { "properties": { "key": { "type": "string" } }, "description": "Storage metadata label to indicate which metadata entry contains findings.", "type": "object", "id": "GooglePrivacyDlpV2StorageMetadataLabel" }, "GooglePrivacyDlpV2ByteContentItem": { "properties": { "type": { "enumDescriptions": [ "Unused", "Any image type.", "jpeg", "bmp", "png", "svg", "plain text", "docx, docm, dotx, dotm", "pdf", "pptx, pptm, potx, potm, pot", "xlsx, xlsm, xltx, xltm", "avro", "csv", "tsv" ], "description": "The type of data stored in the bytes string. Default will be TEXT_UTF8.", "type": "string", "enum": [ "BYTES_TYPE_UNSPECIFIED", "IMAGE", "IMAGE_JPEG", "IMAGE_BMP", "IMAGE_PNG", "IMAGE_SVG", "TEXT_UTF8", "WORD_DOCUMENT", "PDF", "POWERPOINT_DOCUMENT", "EXCEL_DOCUMENT", "AVRO", "CSV", "TSV" ] }, "data": { "format": "byte", "type": "string", "description": "Content data to inspect or redact." } }, "id": "GooglePrivacyDlpV2ByteContentItem", "description": "Container for bytes to inspect or redact.", "type": "object" }, "GooglePrivacyDlpV2DetectionRule": { "properties": { "hotwordRule": { "description": "Hotword-based detection rule.", "$ref": "GooglePrivacyDlpV2HotwordRule" } }, "description": "Deprecated; use `InspectionRuleSet` instead. Rule for modifying a `CustomInfoType` to alter behavior under certain circumstances, depending on the specific details of the rule. Not supported for the `surrogate_type` custom infoType.", "id": "GooglePrivacyDlpV2DetectionRule", "type": "object" }, "GooglePrivacyDlpV2TimespanConfig": { "description": "Configuration of the timespan of the items to include in scanning. Currently only supported when inspecting Google Cloud Storage and BigQuery.", "type": "object", "id": "GooglePrivacyDlpV2TimespanConfig", "properties": { "timestampField": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Specification of the field containing the timestamp of scanned items. Used for data sources like Datastore and BigQuery. For BigQuery: If this value is not specified and the table was modified between the given start and end times, the entire table will be scanned. If this value is specified, then rows are filtered based on the given start and end times. Rows with a `NULL` value in the provided BigQuery column are skipped. Valid data types of the provided BigQuery column are: `INTEGER`, `DATE`, `TIMESTAMP`, and `DATETIME`. For Datastore: If this value is specified, then entities are filtered based on the given start and end times. If an entity does not contain the provided timestamp property or contains empty or invalid values, then it is included. Valid data types of the provided timestamp property are: `TIMESTAMP`." }, "startTime": { "type": "string", "description": "Exclude files, tables, or rows older than this value. If not set, no lower time limit is applied.", "format": "google-datetime" }, "enableAutoPopulationOfTimespanConfig": { "type": "boolean", "description": "When the job is started by a JobTrigger we will automatically figure out a valid start_time to avoid scanning files that have not been modified since the last time the JobTrigger executed. This will be based on the time of the execution of the last run of the JobTrigger." }, "endTime": { "description": "Exclude files, tables, or rows newer than this value. If not set, no upper time limit is applied.", "type": "string", "format": "google-datetime" } } }, "GooglePrivacyDlpV2ReidentifyContentResponse": { "type": "object", "properties": { "item": { "$ref": "GooglePrivacyDlpV2ContentItem", "description": "The re-identified item." }, "overview": { "description": "An overview of the changes that were made to the `item`.", "$ref": "GooglePrivacyDlpV2TransformationOverview" } }, "description": "Results of re-identifying a item.", "id": "GooglePrivacyDlpV2ReidentifyContentResponse" }, "GooglePrivacyDlpV2BigQueryTable": { "id": "GooglePrivacyDlpV2BigQueryTable", "properties": { "projectId": { "description": "The Google Cloud Platform project ID of the project containing the table. If omitted, project ID is inferred from the API call.", "type": "string" }, "tableId": { "description": "Name of the table.", "type": "string" }, "datasetId": { "description": "Dataset ID of the table.", "type": "string" } }, "description": "Message defining the location of a BigQuery table. A table is uniquely identified by its project_id, dataset_id, and table_name. Within a query a table is often referenced with a string in the format of: `:.` or `..`.", "type": "object" }, "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest": { "type": "object", "description": "Request message for CreateDeidentifyTemplate.", "id": "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest", "properties": { "locationId": { "type": "string", "description": "Deprecated. This field has no effect." }, "deidentifyTemplate": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate", "description": "Required. The DeidentifyTemplate to create." }, "templateId": { "type": "string", "description": "The template id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one." } } }, "GooglePrivacyDlpV2CancelDlpJobRequest": { "type": "object", "properties": {}, "description": "The request message for canceling a DLP job.", "id": "GooglePrivacyDlpV2CancelDlpJobRequest" }, "GooglePrivacyDlpV2Manual": { "properties": {}, "type": "object", "description": "Job trigger option for hybrid jobs. Jobs must be manually created and finished.", "id": "GooglePrivacyDlpV2Manual" }, "GooglePrivacyDlpV2CreateJobTriggerRequest": { "type": "object", "id": "GooglePrivacyDlpV2CreateJobTriggerRequest", "properties": { "jobTrigger": { "$ref": "GooglePrivacyDlpV2JobTrigger", "description": "Required. The JobTrigger to create." }, "locationId": { "type": "string", "description": "Deprecated. This field has no effect." }, "triggerId": { "description": "The trigger id can contain uppercase and lowercase letters, numbers, and hyphens; that is, it must match the regular expression: `[a-zA-Z\\d-_]+`. The maximum length is 100 characters. Can be empty to allow the system to generate one.", "type": "string" } }, "description": "Request message for CreateJobTrigger." }, "GooglePrivacyDlpV2BoundingBox": { "type": "object", "id": "GooglePrivacyDlpV2BoundingBox", "properties": { "top": { "type": "integer", "description": "Top coordinate of the bounding box. (0,0) is upper left.", "format": "int32" }, "width": { "description": "Width of the bounding box in pixels.", "format": "int32", "type": "integer" }, "height": { "format": "int32", "description": "Height of the bounding box in pixels.", "type": "integer" }, "left": { "format": "int32", "type": "integer", "description": "Left coordinate of the bounding box. (0,0) is upper left." } }, "description": "Bounding box encompassing detected text within an image." }, "GooglePrivacyDlpV2PrivacyMetric": { "description": "Privacy metric to compute for reidentification risk analysis.", "id": "GooglePrivacyDlpV2PrivacyMetric", "type": "object", "properties": { "lDiversityConfig": { "$ref": "GooglePrivacyDlpV2LDiversityConfig", "description": "l-diversity" }, "categoricalStatsConfig": { "description": "Categorical stats", "$ref": "GooglePrivacyDlpV2CategoricalStatsConfig" }, "deltaPresenceEstimationConfig": { "description": "delta-presence", "$ref": "GooglePrivacyDlpV2DeltaPresenceEstimationConfig" }, "numericalStatsConfig": { "$ref": "GooglePrivacyDlpV2NumericalStatsConfig", "description": "Numerical stats" }, "kAnonymityConfig": { "description": "K-anonymity", "$ref": "GooglePrivacyDlpV2KAnonymityConfig" }, "kMapEstimationConfig": { "description": "k-map", "$ref": "GooglePrivacyDlpV2KMapEstimationConfig" } } }, "GooglePrivacyDlpV2InfoTypeTransformations": { "type": "object", "id": "GooglePrivacyDlpV2InfoTypeTransformations", "properties": { "transformations": { "items": { "$ref": "GooglePrivacyDlpV2InfoTypeTransformation" }, "type": "array", "description": "Required. Transformation for each infoType. Cannot specify more than one for a given infoType." } }, "description": "A type of transformation that will scan unstructured text and apply various `PrimitiveTransformation`s to each finding, where the transformation is applied to only values that were identified as a specific info_type." }, "GooglePrivacyDlpV2Expressions": { "type": "object", "description": "An expression, consisting or an operator and conditions.", "properties": { "conditions": { "$ref": "GooglePrivacyDlpV2Conditions", "description": "Conditions to apply to the expression." }, "logicalOperator": { "enumDescriptions": [ "Unused", "Conditional AND" ], "description": "The operator to apply to the result of conditions. Default and currently only supported value is `AND`.", "enum": [ "LOGICAL_OPERATOR_UNSPECIFIED", "AND" ], "type": "string" } }, "id": "GooglePrivacyDlpV2Expressions" }, "GooglePrivacyDlpV2Value": { "type": "object", "id": "GooglePrivacyDlpV2Value", "description": "Set of primitive values supported by the system. Note that for the purposes of inspection or transformation, the number of bytes considered to comprise a 'Value' is based on its representation as a UTF-8 encoded string. For example, if 'integer_value' is set to 123456789, the number of bytes would be counted as 9, even though an int64 only holds up to 8 bytes of data.", "properties": { "dateValue": { "description": "date", "$ref": "GoogleTypeDate" }, "integerValue": { "type": "string", "description": "integer", "format": "int64" }, "booleanValue": { "description": "boolean", "type": "boolean" }, "stringValue": { "type": "string", "description": "string" }, "timeValue": { "description": "time of day", "$ref": "GoogleTypeTimeOfDay" }, "floatValue": { "description": "float", "type": "number", "format": "double" }, "timestampValue": { "type": "string", "format": "google-datetime", "description": "timestamp" }, "dayOfWeekValue": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "description": "day of week", "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] } } }, "GooglePrivacyDlpV2ThrowError": { "id": "GooglePrivacyDlpV2ThrowError", "properties": {}, "description": "Throw an error and fail the request when a transformation error occurs.", "type": "object" }, "GooglePrivacyDlpV2EntityId": { "id": "GooglePrivacyDlpV2EntityId", "properties": { "field": { "description": "Composite key indicating which field contains the entity identifier.", "$ref": "GooglePrivacyDlpV2FieldId" } }, "description": "An entity in a dataset is a field or set of fields that correspond to a single person. For example, in medical records the `EntityId` might be a patient identifier, or for financial records it might be an account identifier. This message is used when generalizations or analysis must take into account that multiple rows correspond to the same entity.", "type": "object" }, "GooglePrivacyDlpV2OutputStorageConfig": { "description": "Cloud repository for storing output.", "type": "object", "properties": { "table": { "description": "Store findings in an existing table or a new table in an existing dataset. If table_id is not set a new one will be generated for you with the following format: dlp_googleapis_yyyy_mm_dd_[dlp_job_id]. Pacific timezone will be used for generating the date details. For Inspect, each column in an existing output table must have the same name, type, and mode of a field in the `Finding` object. For Risk, an existing output table should be the output of a previous Risk analysis job run on the same source table, with the same privacy metric and quasi-identifiers. Risk jobs that analyze the same table but compute a different privacy metric, or use different sets of quasi-identifiers, cannot store their results in the same table.", "$ref": "GooglePrivacyDlpV2BigQueryTable" }, "outputSchema": { "enumDescriptions": [ "Unused.", "Basic schema including only `info_type`, `quote`, `certainty`, and `timestamp`.", "Schema tailored to findings from scanning Google Cloud Storage.", "Schema tailored to findings from scanning Google Datastore.", "Schema tailored to findings from scanning Google BigQuery.", "Schema containing all columns." ], "description": "Schema used for writing the findings for Inspect jobs. This field is only used for Inspect and must be unspecified for Risk jobs. Columns are derived from the `Finding` object. If appending to an existing table, any columns from the predefined schema that are missing will be added. No columns in the existing table will be deleted. If unspecified, then all available columns will be used for a new table or an (existing) table with no schema, and no changes will be made to an existing table that has a schema. Only for use with external storage.", "enum": [ "OUTPUT_SCHEMA_UNSPECIFIED", "BASIC_COLUMNS", "GCS_COLUMNS", "DATASTORE_COLUMNS", "BIG_QUERY_COLUMNS", "ALL_COLUMNS" ], "type": "string" } }, "id": "GooglePrivacyDlpV2OutputStorageConfig" }, "GooglePrivacyDlpV2Schedule": { "description": "Schedule for inspect job triggers.", "properties": { "recurrencePeriodDuration": { "description": "With this option a job is started a regular periodic basis. For example: every day (86400 seconds). A scheduled start time will be skipped if the previous execution has not ended when its scheduled time occurs. This value must be set to a time duration greater than or equal to 1 day and can be no longer than 60 days.", "type": "string", "format": "google-duration" } }, "id": "GooglePrivacyDlpV2Schedule", "type": "object" }, "GooglePrivacyDlpV2CloudStorageOptions": { "description": "Options defining a file or a set of files within a Google Cloud Storage bucket.", "properties": { "bytesLimitPerFile": { "type": "string", "description": "Max number of bytes to scan from a file. If a scanned file's size is bigger than this value then the rest of the bytes are omitted. Only one of bytes_limit_per_file and bytes_limit_per_file_percent can be specified. Cannot be set if de-identification is requested.", "format": "int64" }, "fileTypes": { "items": { "type": "string", "enumDescriptions": [ "Includes all files.", "Includes all file extensions not covered by another entry. Binary scanning attempts to convert the content of the file to utf_8 to scan the file. If you wish to avoid this fall back, specify one or more of the other FileType's in your storage scan.", "Included file extensions: asc,asp, aspx, brf, c, cc,cfm, cgi, cpp, csv, cxx, c++, cs, css, dart, dat, dot, eml,, epbub, ged, go, h, hh, hpp, hxx, h++, hs, html, htm, mkd, markdown, m, ml, mli, perl, pl, plist, pm, php, phtml, pht, properties, py, pyw, rb, rbw, rs, rss, rc, scala, sh, sql, swift, tex, shtml, shtm, xhtml, lhs, ics, ini, java, js, json, kix, kml, ocaml, md, txt, text, tsv, vb, vcard, vcs, wml, xcodeproj, xml, xsl, xsd, yml, yaml.", "Included file extensions: bmp, gif, jpg, jpeg, jpe, png. bytes_limit_per_file has no effect on image files. Image inspection is restricted to 'global', 'us', 'asia', and 'europe'.", "Word files \u003e30 MB will be scanned as binary files. Included file extensions: docx, dotx, docm, dotm", "PDF files \u003e30 MB will be scanned as binary files. Included file extensions: pdf", "Included file extensions: avro", "Included file extensions: csv", "Included file extensions: tsv", "Powerpoint files \u003e30 MB will be scanned as binary files. Included file extensions: pptx, pptm, potx, potm, pot", "Excel files \u003e30 MB will be scanned as binary files. Included file extensions: xlsx, xlsm, xltx, xltm" ], "enum": [ "FILE_TYPE_UNSPECIFIED", "BINARY_FILE", "TEXT_FILE", "IMAGE", "WORD", "PDF", "AVRO", "CSV", "TSV", "POWERPOINT", "EXCEL" ] }, "description": "List of file type groups to include in the scan. If empty, all files are scanned and available data format processors are applied. In addition, the binary content of the selected files is always scanned as well. Images are scanned only as binary if the specified region does not support image inspection and no file_types were specified. Image inspection is restricted to 'global', 'us', 'asia', and 'europe'.", "type": "array" }, "bytesLimitPerFilePercent": { "type": "integer", "description": "Max percentage of bytes to scan from a file. The rest are omitted. The number of bytes scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0. Only one of bytes_limit_per_file and bytes_limit_per_file_percent can be specified. Cannot be set if de-identification is requested.", "format": "int32" }, "sampleMethod": { "enum": [ "SAMPLE_METHOD_UNSPECIFIED", "TOP", "RANDOM_START" ], "type": "string", "enumDescriptions": [ "", "Scan from the top (default).", "For each file larger than bytes_limit_per_file, randomly pick the offset to start scanning. The scanned bytes are contiguous." ] }, "filesLimitPercent": { "type": "integer", "description": "Limits the number of files to scan to this percentage of the input FileSet. Number of files scanned is rounded down. Must be between 0 and 100, inclusively. Both 0 and 100 means no limit. Defaults to 0.", "format": "int32" }, "fileSet": { "description": "The set of one or more files to scan.", "$ref": "GooglePrivacyDlpV2FileSet" } }, "type": "object", "id": "GooglePrivacyDlpV2CloudStorageOptions" }, "GooglePrivacyDlpV2HotwordRule": { "description": "The rule that adjusts the likelihood of findings within a certain proximity of hotwords.", "properties": { "proximity": { "description": "Proximity of the finding within which the entire hotword must reside. The total length of the window cannot exceed 1000 characters. Note that the finding itself will be included in the window, so that hotwords may be used to match substrings of the finding itself. For example, the certainty of a phone number regex \"\\(\\d{3}\\) \\d{3}-\\d{4}\" could be adjusted upwards if the area code is known to be the local area code of a company office using the hotword regex \"\\(xxx\\)\", where \"xxx\" is the area code in question.", "$ref": "GooglePrivacyDlpV2Proximity" }, "likelihoodAdjustment": { "description": "Likelihood adjustment to apply to all matching findings.", "$ref": "GooglePrivacyDlpV2LikelihoodAdjustment" }, "hotwordRegex": { "$ref": "GooglePrivacyDlpV2Regex", "description": "Regular expression pattern defining what qualifies as a hotword." } }, "type": "object", "id": "GooglePrivacyDlpV2HotwordRule" }, "GooglePrivacyDlpV2LeaveUntransformed": { "id": "GooglePrivacyDlpV2LeaveUntransformed", "properties": {}, "description": "Skips the data without modifying it if the requested transformation would cause an error. For example, if a `DateShift` transformation were applied an an IP address, this mode would leave the IP address unchanged in the response.", "type": "object" }, "GooglePrivacyDlpV2TransformationSummary": { "description": "Summary of a single transformation. Only one of 'transformation', 'field_transformation', or 'record_suppress' will be set.", "properties": { "transformedBytes": { "description": "Total size in bytes that were transformed in some way.", "type": "string", "format": "int64" }, "field": { "$ref": "GooglePrivacyDlpV2FieldId", "description": "Set if the transformation was limited to a specific FieldId." }, "recordSuppress": { "description": "The specific suppression option these stats apply to.", "$ref": "GooglePrivacyDlpV2RecordSuppression" }, "infoType": { "$ref": "GooglePrivacyDlpV2InfoType", "description": "Set if the transformation was limited to a specific InfoType." }, "results": { "type": "array", "description": "Collection of all transformations that took place or had an error.", "items": { "$ref": "GooglePrivacyDlpV2SummaryResult" } }, "fieldTransformations": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2FieldTransformation" }, "description": "The field transformation that was applied. If multiple field transformations are requested for a single field, this list will contain all of them; otherwise, only one is supplied." }, "transformation": { "$ref": "GooglePrivacyDlpV2PrimitiveTransformation", "description": "The specific transformation these stats apply to." } }, "type": "object", "id": "GooglePrivacyDlpV2TransformationSummary" }, "GooglePrivacyDlpV2NumericalStatsResult": { "description": "Result of the numerical stats computation.", "id": "GooglePrivacyDlpV2NumericalStatsResult", "properties": { "minValue": { "description": "Minimum value appearing in the column.", "$ref": "GooglePrivacyDlpV2Value" }, "quantileValues": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2Value" }, "description": "List of 99 values that partition the set of field values into 100 equal sized buckets." }, "maxValue": { "$ref": "GooglePrivacyDlpV2Value", "description": "Maximum value appearing in the column." } }, "type": "object" }, "GooglePrivacyDlpV2RedactConfig": { "id": "GooglePrivacyDlpV2RedactConfig", "type": "object", "description": "Redact a given value. For example, if used with an `InfoTypeTransformation` transforming PHONE_NUMBER, and input 'My phone number is 206-555-0123', the output would be 'My phone number is '.", "properties": {} }, "GooglePrivacyDlpV2DataProfileConfigSnapshot": { "type": "object", "description": "Snapshot of the configurations used to generate the profile.", "id": "GooglePrivacyDlpV2DataProfileConfigSnapshot", "properties": { "dataProfileJob": { "description": "A copy of the configuration used to generate this profile.", "$ref": "GooglePrivacyDlpV2DataProfileJobConfig" }, "inspectConfig": { "$ref": "GooglePrivacyDlpV2InspectConfig", "description": "A copy of the inspection config used to generate this profile. This is a copy of the inspect_template specified in `DataProfileJobConfig`." } } }, "GooglePrivacyDlpV2Export": { "properties": { "profileTable": { "description": "Store all table and column profiles in an existing table or a new table in an existing dataset. Each re-generation will result in a new row in BigQuery.", "$ref": "GooglePrivacyDlpV2BigQueryTable" } }, "description": "If set, the detailed data profiles will be persisted to the location of your choice whenever updated.", "type": "object", "id": "GooglePrivacyDlpV2Export" }, "GooglePrivacyDlpV2FixedSizeBucketingConfig": { "description": "Buckets values based on fixed size ranges. The Bucketing transformation can provide all of this functionality, but requires more configuration. This message is provided as a convenience to the user for simple bucketing strategies. The transformed value will be a hyphenated string of {lower_bound}-{upper_bound}. For example, if lower_bound = 10 and upper_bound = 20, all values that are within this bucket will be replaced with \"10-20\". This can be used on data of type: double, long. If the bound Value type differs from the type of data being transformed, we will first attempt converting the type of the data to be transformed to match the type of the bound before comparing. See https://cloud.google.com/dlp/docs/concepts-bucketing to learn more.", "properties": { "bucketSize": { "description": "Required. Size of each bucket (except for minimum and maximum buckets). So if `lower_bound` = 10, `upper_bound` = 89, and `bucket_size` = 10, then the following buckets would be used: -10, 10-20, 20-30, 30-40, 40-50, 50-60, 60-70, 70-80, 80-89, 89+. Precision up to 2 decimals works.", "type": "number", "format": "double" }, "upperBound": { "$ref": "GooglePrivacyDlpV2Value", "description": "Required. Upper bound value of buckets. All values greater than upper_bound are grouped together into a single bucket; for example if `upper_bound` = 89, then all values greater than 89 are replaced with the value \"89+\"." }, "lowerBound": { "description": "Required. Lower bound value of buckets. All values less than `lower_bound` are grouped together into a single bucket; for example if `lower_bound` = 10, then all values less than 10 are replaced with the value \"-10\".", "$ref": "GooglePrivacyDlpV2Value" } }, "type": "object", "id": "GooglePrivacyDlpV2FixedSizeBucketingConfig" }, "GooglePrivacyDlpV2OtherInfoTypeSummary": { "id": "GooglePrivacyDlpV2OtherInfoTypeSummary", "description": "Infotype details for other infoTypes found within a column.", "properties": { "estimatedPrevalence": { "type": "integer", "format": "int32", "description": "Approximate percentage of non-null rows that contained data detected by this infotype." }, "infoType": { "$ref": "GooglePrivacyDlpV2InfoType", "description": "The other infoType." } }, "type": "object" }, "GooglePrivacyDlpV2CryptoDeterministicConfig": { "description": "Pseudonymization method that generates deterministic encryption for the given input. Outputs a base64 encoded representation of the encrypted output. Uses AES-SIV based on the RFC https://tools.ietf.org/html/rfc5297.", "type": "object", "id": "GooglePrivacyDlpV2CryptoDeterministicConfig", "properties": { "cryptoKey": { "$ref": "GooglePrivacyDlpV2CryptoKey", "description": "The key used by the encryption function. For deterministic encryption using AES-SIV, the provided key is internally expanded to 64 bytes prior to use." }, "surrogateInfoType": { "description": "The custom info type to annotate the surrogate with. This annotation will be applied to the surrogate by prefixing it with the name of the custom info type followed by the number of characters comprising the surrogate. The following scheme defines the format: {info type name}({surrogate character count}):{surrogate} For example, if the name of custom info type is 'MY_TOKEN_INFO_TYPE' and the surrogate is 'abc', the full replacement value will be: 'MY_TOKEN_INFO_TYPE(3):abc' This annotation identifies the surrogate when inspecting content using the custom info type 'Surrogate'. This facilitates reversal of the surrogate when it occurs in free text. Note: For record transformations where the entire cell in a table is being transformed, surrogates are not mandatory. Surrogates are used to denote the location of the token and are necessary for re-identification in free form text. In order for inspection to work properly, the name of this info type must not occur naturally anywhere in your data; otherwise, inspection may either - reverse a surrogate that does not correspond to an actual identifier - be unable to parse the surrogate and result in an error Therefore, choose your custom info type name carefully after considering what your data looks like. One way to select a name that has a high chance of yielding reliable detection is to include one or more unicode characters that are highly improbable to exist in your data. For example, assuming your data is entered from a regular ASCII keyboard, the symbol with the hex code point 29DD might be used like so: ⧝MY_TOKEN_TYPE.", "$ref": "GooglePrivacyDlpV2InfoType" }, "context": { "description": "A context may be used for higher security and maintaining referential integrity such that the same identifier in two different contexts will be given a distinct surrogate. The context is appended to plaintext value being encrypted. On decryption the provided context is validated against the value used during encryption. If a context was provided during encryption, same context must be provided during decryption as well. If the context is not set, plaintext would be used as is for encryption. If the context is set but: 1. there is no record present when transforming a given value or 2. the field is not present when transforming a given value, plaintext would be used as is for encryption. Note that case (1) is expected when an `InfoTypeTransformation` is applied to both structured and non-structured `ContentItem`s.", "$ref": "GooglePrivacyDlpV2FieldId" } } }, "GooglePrivacyDlpV2BigQueryField": { "description": "Message defining a field of a BigQuery table.", "properties": { "table": { "description": "Source table of the field.", "$ref": "GooglePrivacyDlpV2BigQueryTable" }, "field": { "description": "Designated field in the BigQuery table.", "$ref": "GooglePrivacyDlpV2FieldId" } }, "id": "GooglePrivacyDlpV2BigQueryField", "type": "object" }, "GooglePrivacyDlpV2FindingLimits": { "description": "Configuration to control the number of findings returned for inspection. This is not used for de-identification or data profiling.", "properties": { "maxFindingsPerRequest": { "type": "integer", "format": "int32", "description": "Max number of findings that will be returned per request/job. When set within `InspectContentRequest`, the maximum returned is 2000 regardless if this is set higher." }, "maxFindingsPerItem": { "format": "int32", "type": "integer", "description": "Max number of findings that will be returned for each item scanned. When set within `InspectJobConfig`, the maximum returned is 2000 regardless if this is set higher. When set within `InspectContentRequest`, this field is ignored." }, "maxFindingsPerInfoType": { "type": "array", "description": "Configuration of findings limit given for specified infoTypes.", "items": { "$ref": "GooglePrivacyDlpV2InfoTypeLimit" } } }, "type": "object", "id": "GooglePrivacyDlpV2FindingLimits" }, "GooglePrivacyDlpV2Conditions": { "properties": { "conditions": { "description": "A collection of conditions.", "items": { "$ref": "GooglePrivacyDlpV2Condition" }, "type": "array" } }, "description": "A collection of conditions.", "type": "object", "id": "GooglePrivacyDlpV2Conditions" }, "GooglePrivacyDlpV2FieldTransformation": { "id": "GooglePrivacyDlpV2FieldTransformation", "properties": { "primitiveTransformation": { "$ref": "GooglePrivacyDlpV2PrimitiveTransformation", "description": "Apply the transformation to the entire field." }, "infoTypeTransformations": { "description": "Treat the contents of the field as free text, and selectively transform content that matches an `InfoType`.", "$ref": "GooglePrivacyDlpV2InfoTypeTransformations" }, "condition": { "description": "Only apply the transformation if the condition evaluates to true for the given `RecordCondition`. The conditions are allowed to reference fields that are not used in the actual transformation. Example Use Cases: - Apply a different bucket transformation to an age column if the zip code column for the same record is within a specific range. - Redact a field if the date of birth field is greater than 85.", "$ref": "GooglePrivacyDlpV2RecordCondition" }, "fields": { "description": "Required. Input field(s) to apply the transformation to. When you have columns that reference their position within a list, omit the index from the FieldId. FieldId name matching ignores the index. For example, instead of \"contact.nums[0].type\", use \"contact.nums.type\".", "items": { "$ref": "GooglePrivacyDlpV2FieldId" }, "type": "array" } }, "type": "object", "description": "The transformation to apply to the field." }, "GooglePrivacyDlpV2HybridFindingDetails": { "properties": { "rowOffset": { "description": "Offset of the row for tables. Populate if the row(s) being scanned are part of a bigger dataset and you want to keep track of their absolute position.", "type": "string", "format": "int64" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to represent user provided metadata about the data being inspected. If configured by the job, some key values may be required. The labels associated with `Finding`'s produced by hybrid inspection. Label keys must be between 1 and 63 characters long and must conform to the following regular expression: `[a-z]([-a-z0-9]*[a-z0-9])?`. Label values must be between 0 and 63 characters long and must conform to the regular expression `([a-z]([-a-z0-9]*[a-z0-9])?)?`. No more than 10 labels can be associated with a given finding. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"environment\" : \"production\"` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `\"pipeline\" : \"etl\"`" }, "containerDetails": { "$ref": "GooglePrivacyDlpV2Container", "description": "Details about the container where the content being inspected is from." }, "fileOffset": { "type": "string", "format": "int64", "description": "Offset in bytes of the line, from the beginning of the file, where the finding is located. Populate if the item being scanned is only part of a bigger item, such as a shard of a file and you want to track the absolute position of the finding." }, "tableOptions": { "description": "If the container is a table, additional information to make findings meaningful such as the columns that are primary keys. If not known ahead of time, can also be set within each inspect hybrid call and the two will be merged. Note that identifying_fields will only be stored to BigQuery, and only if the BigQuery action has been included.", "$ref": "GooglePrivacyDlpV2TableOptions" } }, "description": "Populate to associate additional data with each finding.", "id": "GooglePrivacyDlpV2HybridFindingDetails", "type": "object" }, "GooglePrivacyDlpV2RecordTransformations": { "description": "A type of transformation that is applied over structured data such as a table.", "id": "GooglePrivacyDlpV2RecordTransformations", "type": "object", "properties": { "fieldTransformations": { "type": "array", "description": "Transform the record by applying various field transformations.", "items": { "$ref": "GooglePrivacyDlpV2FieldTransformation" } }, "recordSuppressions": { "type": "array", "items": { "$ref": "GooglePrivacyDlpV2RecordSuppression" }, "description": "Configuration defining which records get suppressed entirely. Records that match any suppression rule are omitted from the output." } } }, "GooglePrivacyDlpV2LDiversityResult": { "description": "Result of the l-diversity computation.", "id": "GooglePrivacyDlpV2LDiversityResult", "properties": { "sensitiveValueFrequencyHistogramBuckets": { "type": "array", "description": "Histogram of l-diversity equivalence class sensitive value frequencies.", "items": { "$ref": "GooglePrivacyDlpV2LDiversityHistogramBucket" } } }, "type": "object" } }, "description": "Provides methods for detection, risk analysis, and de-identification of privacy-sensitive fragments in text, images, and Google Cloud Platform storage repositories.", "baseUrl": "https://dlp.googleapis.com/", "basePath": "", "protocol": "rest", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "dlp:v2", "resources": { "projects": { "resources": { "content": { "methods": { "reidentify": { "description": "Re-identifies content that has been de-identified. See https://cloud.google.com/dlp/docs/pseudonymization#re-identification_in_free_text_code_example to learn more.", "flatPath": "v2/projects/{projectsId}/content:reidentify", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2ReidentifyContentRequest" }, "path": "v2/{+parent}/content:reidentify", "parameters": { "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST", "id": "dlp.projects.content.reidentify", "response": { "$ref": "GooglePrivacyDlpV2ReidentifyContentResponse" } }, "deidentify": { "response": { "$ref": "GooglePrivacyDlpV2DeidentifyContentResponse" }, "path": "v2/{+parent}/content:deidentify", "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/content:deidentify", "id": "dlp.projects.content.deidentify", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "required": true } }, "parameterOrder": [ "parent" ], "description": "De-identifies potentially sensitive info from a ContentItem. This method has limits on input size and output size. See https://cloud.google.com/dlp/docs/deidentify-sensitive-data to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2DeidentifyContentRequest" } }, "inspect": { "flatPath": "v2/projects/{projectsId}/content:inspect", "request": { "$ref": "GooglePrivacyDlpV2InspectContentRequest" }, "description": "Finds potentially sensitive info in content. This method has limits on input size, processing time, and output size. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated. For how to guides, see https://cloud.google.com/dlp/docs/inspecting-images and https://cloud.google.com/dlp/docs/inspecting-text,", "response": { "$ref": "GooglePrivacyDlpV2InspectContentResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.projects.content.inspect", "httpMethod": "POST", "parameters": { "parent": { "required": true, "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "pattern": "^projects/[^/]+$", "type": "string" } }, "parameterOrder": [ "parent" ], "path": "v2/{+parent}/content:inspect" } } }, "inspectTemplates": { "methods": { "get": { "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/inspectTemplates/[^/]+$", "type": "string", "location": "path", "description": "Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342." } }, "id": "dlp.projects.inspectTemplates.get", "parameterOrder": [ "name" ], "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/inspectTemplates/{inspectTemplatesId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more." }, "delete": { "id": "dlp.projects.inspectTemplates.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "pattern": "^projects/[^/]+/inspectTemplates/[^/]+$", "location": "path" } }, "flatPath": "v2/projects/{projectsId}/inspectTemplates/{inspectTemplatesId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "id": "dlp.projects.inspectTemplates.patch", "description": "Updates the InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "flatPath": "v2/projects/{projectsId}/inspectTemplates/{inspectTemplatesId}", "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/inspectTemplates/[^/]+$", "description": "Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342." } }, "httpMethod": "PATCH", "request": { "$ref": "GooglePrivacyDlpV2UpdateInspectTemplateRequest" } }, "create": { "path": "v2/{+parent}/inspectTemplates", "id": "dlp.projects.inspectTemplates.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/inspectTemplates", "request": { "$ref": "GooglePrivacyDlpV2CreateInspectTemplateRequest" }, "httpMethod": "POST", "description": "Creates an InspectTemplate for re-using frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "parameters": { "parent": { "required": true, "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "pattern": "^projects/[^/]+$" } }, "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "parameterOrder": [ "parent" ] }, "list": { "description": "Lists InspectTemplates. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "id": "dlp.projects.inspectTemplates.list", "response": { "$ref": "GooglePrivacyDlpV2ListInspectTemplatesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/inspectTemplates", "parameterOrder": [ "parent" ], "path": "v2/{+parent}/inspectTemplates", "parameters": { "locationId": { "description": "Deprecated. This field has no effect.", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+$", "location": "path", "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" }, "pageSize": { "location": "query", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "format": "int32", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Page token to continue retrieval. Comes from previous call to `ListInspectTemplates`." }, "orderBy": { "type": "string", "location": "query", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name." } } } } }, "dlpJobs": { "methods": { "cancel": { "parameters": { "name": { "required": true, "description": "Required. The name of the DlpJob resource to be cancelled.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/dlpJobs/[^/]+$" } }, "httpMethod": "POST", "id": "dlp.projects.dlpJobs.cancel", "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/dlpJobs/{dlpJobsId}:cancel", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Starts asynchronous cancellation on a long-running DlpJob. The server makes a best effort to cancel the DlpJob, but success is not guaranteed. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2CancelDlpJobRequest" }, "path": "v2/{+name}:cancel" }, "list": { "path": "v2/{+parent}/dlpJobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "location": "query", "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The resource name of the trigger that created job. - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=`. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND state = done LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = done OR state = canceled) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh end_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.", "type": "string" }, "type": { "location": "query", "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ], "description": "The type of job. Defaults to `DlpJobType.INSPECT`", "type": "string", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ] }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" }, "orderBy": { "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to time the job was created. - `end_time`: corresponds to time the job ended. - `name`: corresponds to job's name. - `state`: corresponds to `state`", "location": "query", "type": "string" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "description": "Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "parameterOrder": [ "parent" ], "id": "dlp.projects.dlpJobs.list", "httpMethod": "GET", "response": { "$ref": "GooglePrivacyDlpV2ListDlpJobsResponse" }, "flatPath": "v2/projects/{projectsId}/dlpJobs" }, "create": { "description": "Creates a new job to inspect storage or calculate risk metrics. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more. When no InfoTypes or CustomInfoTypes are specified in inspect jobs, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "path": "v2/{+parent}/dlpJobs", "request": { "$ref": "GooglePrivacyDlpV2CreateDlpJobRequest" }, "parameters": { "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string" } }, "id": "dlp.projects.dlpJobs.create", "flatPath": "v2/projects/{projectsId}/dlpJobs", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "GooglePrivacyDlpV2DlpJob" } }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/dlpJobs/[^/]+$", "description": "Required. The name of the DlpJob resource to be deleted.", "type": "string", "required": true, "location": "path" } }, "id": "dlp.projects.dlpJobs.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v2/projects/{projectsId}/dlpJobs/{dlpJobsId}", "path": "v2/{+name}", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a long-running DlpJob. This method indicates that the client is no longer interested in the DlpJob result. The job will be cancelled if possible. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more." }, "get": { "response": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "id": "dlp.projects.dlpJobs.get", "description": "Gets the latest state of a long-running DlpJob. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The name of the DlpJob resource.", "type": "string", "pattern": "^projects/[^/]+/dlpJobs/[^/]+$", "required": true } }, "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/dlpJobs/{dlpJobsId}" } } }, "storedInfoTypes": { "methods": { "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v2/{+name}", "parameters": { "name": { "description": "Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "pattern": "^projects/[^/]+/storedInfoTypes/[^/]+$", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/storedInfoTypes/{storedInfoTypesId}", "id": "dlp.projects.storedInfoTypes.delete", "description": "Deletes a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more." }, "get": { "description": "Gets a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "httpMethod": "GET", "path": "v2/{+name}", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "id": "dlp.projects.storedInfoTypes.get", "flatPath": "v2/projects/{projectsId}/storedInfoTypes/{storedInfoTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/storedInfoTypes/[^/]+$", "description": "Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "required": true, "type": "string" } } }, "list": { "id": "dlp.projects.storedInfoTypes.list", "flatPath": "v2/projects/{projectsId}/storedInfoTypes", "parameters": { "orderBy": { "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.", "location": "query", "type": "string" }, "locationId": { "type": "string", "location": "query", "description": "Deprecated. This field has no effect." }, "parent": { "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^projects/[^/]+$", "type": "string", "required": true }, "pageSize": { "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Page token to continue retrieval. Comes from previous call to `ListStoredInfoTypes`." } }, "httpMethod": "GET", "description": "Lists stored infoTypes. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListStoredInfoTypesResponse" }, "parameterOrder": [ "parent" ], "path": "v2/{+parent}/storedInfoTypes" }, "create": { "parameters": { "parent": { "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "pattern": "^projects/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "httpMethod": "POST", "path": "v2/{+parent}/storedInfoTypes", "id": "dlp.projects.storedInfoTypes.create", "description": "Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "flatPath": "v2/projects/{projectsId}/storedInfoTypes", "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2CreateStoredInfoTypeRequest" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest" }, "flatPath": "v2/projects/{projectsId}/storedInfoTypes/{storedInfoTypesId}", "parameterOrder": [ "name" ], "description": "Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "httpMethod": "PATCH", "path": "v2/{+name}", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "parameters": { "name": { "description": "Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "required": true, "location": "path", "pattern": "^projects/[^/]+/storedInfoTypes/[^/]+$", "type": "string" } }, "id": "dlp.projects.storedInfoTypes.patch" } } }, "image": { "methods": { "redact": { "description": "Redacts potentially sensitive info from an image. This method has limits on input size, processing time, and output size. See https://cloud.google.com/dlp/docs/redacting-sensitive-data-images to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "response": { "$ref": "GooglePrivacyDlpV2RedactImageResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/image:redact", "request": { "$ref": "GooglePrivacyDlpV2RedactImageRequest" }, "path": "v2/{+parent}/image:redact", "id": "dlp.projects.image.redact", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "type": "string", "location": "path", "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true } }, "httpMethod": "POST", "parameterOrder": [ "parent" ] } } }, "jobTriggers": { "methods": { "activate": { "response": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "httpMethod": "POST", "flatPath": "v2/projects/{projectsId}/jobTriggers/{jobTriggersId}:activate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/jobTriggers/[^/]+$", "description": "Required. Resource name of the trigger to activate, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string" } }, "id": "dlp.projects.jobTriggers.activate", "request": { "$ref": "GooglePrivacyDlpV2ActivateJobTriggerRequest" }, "path": "v2/{+name}:activate", "description": "Activate a job trigger. Causes the immediate execute of a trigger instead of waiting on the trigger event to occur.", "parameterOrder": [ "name" ] }, "list": { "response": { "$ref": "GooglePrivacyDlpV2ListJobTriggersResponse" }, "id": "dlp.projects.jobTriggers.list", "path": "v2/{+parent}/jobTriggers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=` for status and inspected_storage. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND status = HEALTHY LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh last_run_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "location": "path" }, "locationId": { "location": "query", "type": "string", "description": "Deprecated. This field has no effect." }, "pageSize": { "type": "integer", "location": "query", "description": "Size of the page, can be limited by a server.", "format": "int32" }, "orderBy": { "type": "string", "description": "Comma separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the JobTrigger was created. - `update_time`: corresponds to time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to JobTrigger's name. - `display_name`: corresponds to JobTrigger's display name. - `status`: corresponds to JobTrigger's status.", "location": "query" }, "pageToken": { "description": "Page token to continue retrieval. Comes from previous call to ListJobTriggers. `order_by` field must not change for subsequent calls.", "type": "string", "location": "query" }, "type": { "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ], "location": "query", "description": "The type of jobs. Will use `DlpJobType.INSPECT` if not set.", "type": "string", "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ] } }, "description": "Lists job triggers. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "flatPath": "v2/projects/{projectsId}/jobTriggers", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "get": { "description": "Gets a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "httpMethod": "GET", "flatPath": "v2/projects/{projectsId}/jobTriggers/{jobTriggersId}", "parameters": { "name": { "required": true, "location": "path", "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "pattern": "^projects/[^/]+/jobTriggers/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "id": "dlp.projects.jobTriggers.get" }, "patch": { "id": "dlp.projects.jobTriggers.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/jobTriggers/[^/]+$", "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/jobTriggers/{jobTriggersId}", "request": { "$ref": "GooglePrivacyDlpV2UpdateJobTriggerRequest" }, "httpMethod": "PATCH", "path": "v2/{+name}" }, "create": { "parameterOrder": [ "parent" ], "flatPath": "v2/projects/{projectsId}/jobTriggers", "description": "Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "request": { "$ref": "GooglePrivacyDlpV2CreateJobTriggerRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/jobTriggers", "httpMethod": "POST", "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "parameters": { "parent": { "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "required": true, "pattern": "^projects/[^/]+$" } }, "id": "dlp.projects.jobTriggers.create" }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/jobTriggers/[^/]+$", "location": "path", "required": true, "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string" } }, "id": "dlp.projects.jobTriggers.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/jobTriggers/{jobTriggersId}", "path": "v2/{+name}", "description": "Deletes a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "response": { "$ref": "GoogleProtobufEmpty" } } } }, "deidentifyTemplates": { "methods": { "delete": { "id": "dlp.projects.deidentifyTemplates.delete", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "required": true, "pattern": "^projects/[^/]+/deidentifyTemplates/[^/]+$" } }, "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/projects/{projectsId}/deidentifyTemplates/{deidentifyTemplatesId}" }, "patch": { "parameters": { "name": { "location": "path", "description": "Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "type": "string", "required": true, "pattern": "^projects/[^/]+/deidentifyTemplates/[^/]+$" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.projects.deidentifyTemplates.patch", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "flatPath": "v2/projects/{projectsId}/deidentifyTemplates/{deidentifyTemplatesId}", "path": "v2/{+name}", "description": "Updates the DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "request": { "$ref": "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest" }, "httpMethod": "PATCH" }, "list": { "path": "v2/{+parent}/deidentifyTemplates", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true }, "pageToken": { "location": "query", "description": "Page token to continue retrieval. Comes from previous call to `ListDeidentifyTemplates`.", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name." }, "pageSize": { "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "type": "integer", "location": "query", "format": "int32" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" } }, "flatPath": "v2/projects/{projectsId}/deidentifyTemplates", "id": "dlp.projects.deidentifyTemplates.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse" }, "description": "Lists DeidentifyTemplates. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more." }, "get": { "parameters": { "name": { "required": true, "description": "Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "pattern": "^projects/[^/]+/deidentifyTemplates/[^/]+$", "location": "path", "type": "string" } }, "httpMethod": "GET", "path": "v2/{+name}", "description": "Gets a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/deidentifyTemplates/{deidentifyTemplatesId}", "parameterOrder": [ "name" ], "id": "dlp.projects.deidentifyTemplates.get", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" } }, "create": { "path": "v2/{+parent}/deidentifyTemplates", "request": { "$ref": "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest" }, "httpMethod": "POST", "description": "Creates a DeidentifyTemplate for re-using frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "id": "dlp.projects.deidentifyTemplates.create", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "flatPath": "v2/projects/{projectsId}/deidentifyTemplates" } } }, "locations": { "resources": { "jobTriggers": { "methods": { "create": { "id": "dlp.projects.locations.jobTriggers.create", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers", "parameterOrder": [ "parent" ], "httpMethod": "POST", "parameters": { "parent": { "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2CreateJobTriggerRequest" }, "path": "v2/{+parent}/jobTriggers", "description": "Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" } }, "list": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers", "httpMethod": "GET", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Size of the page, can be limited by a server." }, "orderBy": { "description": "Comma separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the JobTrigger was created. - `update_time`: corresponds to time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to JobTrigger's name. - `display_name`: corresponds to JobTrigger's display name. - `status`: corresponds to JobTrigger's status.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Page token to continue retrieval. Comes from previous call to ListJobTriggers. `order_by` field must not change for subsequent calls." }, "locationId": { "description": "Deprecated. This field has no effect.", "location": "query", "type": "string" }, "parent": { "required": true, "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "type": { "type": "string", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ], "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ], "location": "query", "description": "The type of jobs. Will use `DlpJobType.INSPECT` if not set." }, "filter": { "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=` for status and inspected_storage. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND status = HEALTHY LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh last_run_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters.", "type": "string", "location": "query" } }, "response": { "$ref": "GooglePrivacyDlpV2ListJobTriggersResponse" }, "id": "dlp.projects.locations.jobTriggers.list", "description": "Lists job triggers. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/jobTriggers", "parameterOrder": [ "parent" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v2/{+name}", "id": "dlp.projects.locations.jobTriggers.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "required": true } } }, "activate": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "description": "Required. Resource name of the trigger to activate, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Activate a job trigger. Causes the immediate execute of a trigger instead of waiting on the trigger event to occur.", "id": "dlp.projects.locations.jobTriggers.activate", "httpMethod": "POST", "request": { "$ref": "GooglePrivacyDlpV2ActivateJobTriggerRequest" }, "response": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "parameterOrder": [ "name" ], "path": "v2/{+name}:activate", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}:activate" }, "patch": { "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "location": "path" } }, "request": { "$ref": "GooglePrivacyDlpV2UpdateJobTriggerRequest" }, "httpMethod": "PATCH", "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "parameterOrder": [ "name" ], "id": "dlp.projects.locations.jobTriggers.patch", "description": "Updates a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more." }, "hybridInspect": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "description": "Required. Resource name of the trigger to execute a hybrid inspect on, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string", "location": "path" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}:hybridInspect", "description": "Inspect hybrid content and store findings to a trigger. The inspection will be processed asynchronously. To review the findings monitor the jobs within the trigger.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "dlp.projects.locations.jobTriggers.hybridInspect", "response": { "$ref": "GooglePrivacyDlpV2HybridInspectResponse" }, "path": "v2/{+name}:hybridInspect", "request": { "$ref": "GooglePrivacyDlpV2HybridInspectJobTriggerRequest" }, "parameterOrder": [ "name" ] }, "get": { "description": "Gets a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "required": true, "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`." } }, "id": "dlp.projects.locations.jobTriggers.get", "path": "v2/{+name}", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "httpMethod": "GET" } } }, "content": { "methods": { "reidentify": { "request": { "$ref": "GooglePrivacyDlpV2ReidentifyContentRequest" }, "parameters": { "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ReidentifyContentResponse" }, "httpMethod": "POST", "path": "v2/{+parent}/content:reidentify", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/content:reidentify", "id": "dlp.projects.locations.content.reidentify", "parameterOrder": [ "parent" ], "description": "Re-identifies content that has been de-identified. See https://cloud.google.com/dlp/docs/pseudonymization#re-identification_in_free_text_code_example to learn more." }, "inspect": { "request": { "$ref": "GooglePrivacyDlpV2InspectContentRequest" }, "id": "dlp.projects.locations.content.inspect", "path": "v2/{+parent}/content:inspect", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/content:inspect", "httpMethod": "POST", "response": { "$ref": "GooglePrivacyDlpV2InspectContentResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string" } }, "parameterOrder": [ "parent" ], "description": "Finds potentially sensitive info in content. This method has limits on input size, processing time, and output size. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated. For how to guides, see https://cloud.google.com/dlp/docs/inspecting-images and https://cloud.google.com/dlp/docs/inspecting-text," }, "deidentify": { "request": { "$ref": "GooglePrivacyDlpV2DeidentifyContentRequest" }, "path": "v2/{+parent}/content:deidentify", "parameters": { "parent": { "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "description": "De-identifies potentially sensitive info from a ContentItem. This method has limits on input size and output size. See https://cloud.google.com/dlp/docs/deidentify-sensitive-data to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/content:deidentify", "httpMethod": "POST", "id": "dlp.projects.locations.content.deidentify", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2DeidentifyContentResponse" } } } }, "storedInfoTypes": { "methods": { "get": { "httpMethod": "GET", "description": "Gets a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "id": "dlp.projects.locations.storedInfoTypes.get", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$" } } }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "parameters": { "name": { "type": "string", "description": "Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$" } }, "description": "Deletes a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "id": "dlp.projects.locations.storedInfoTypes.delete", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "id": "dlp.projects.locations.storedInfoTypes.list", "httpMethod": "GET", "parameters": { "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.", "location": "query" }, "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" }, "pageSize": { "location": "query", "type": "integer", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "format": "int32" }, "pageToken": { "type": "string", "description": "Page token to continue retrieval. Comes from previous call to `ListStoredInfoTypes`.", "location": "query" }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string", "location": "query" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/storedInfoTypes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Lists stored infoTypes. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "response": { "$ref": "GooglePrivacyDlpV2ListStoredInfoTypesResponse" }, "path": "v2/{+parent}/storedInfoTypes" }, "create": { "path": "v2/{+parent}/storedInfoTypes", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "description": "Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/storedInfoTypes", "id": "dlp.projects.locations.storedInfoTypes.create", "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2CreateStoredInfoTypeRequest" } }, "patch": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest" }, "parameterOrder": [ "name" ], "description": "Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "path": "v2/{+name}", "httpMethod": "PATCH", "id": "dlp.projects.locations.storedInfoTypes.patch", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$", "description": "Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342." } } } } }, "deidentifyTemplates": { "methods": { "list": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/deidentifyTemplates", "httpMethod": "GET", "path": "v2/{+parent}/deidentifyTemplates", "response": { "$ref": "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse" }, "id": "dlp.projects.locations.deidentifyTemplates.list", "parameters": { "parent": { "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "location": "query" }, "pageSize": { "format": "int32", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "type": "integer", "location": "query" }, "locationId": { "location": "query", "type": "string", "description": "Deprecated. This field has no effect." }, "pageToken": { "type": "string", "location": "query", "description": "Page token to continue retrieval. Comes from previous call to `ListDeidentifyTemplates`." } }, "description": "Lists DeidentifyTemplates. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "id": "dlp.projects.locations.deidentifyTemplates.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$", "description": "Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "type": "string" } }, "description": "Gets a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "httpMethod": "GET", "path": "v2/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" } }, "patch": { "description": "Updates the DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "parameterOrder": [ "name" ], "path": "v2/{+name}", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$", "description": "Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "id": "dlp.projects.locations.deidentifyTemplates.patch", "httpMethod": "PATCH", "request": { "$ref": "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest" } }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "httpMethod": "DELETE", "path": "v2/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.projects.locations.deidentifyTemplates.delete", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$", "description": "Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "type": "string", "required": true, "location": "path" } } }, "create": { "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "description": "Creates a DeidentifyTemplate for re-using frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "request": { "$ref": "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/deidentifyTemplates", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "id": "dlp.projects.locations.deidentifyTemplates.create", "path": "v2/{+parent}/deidentifyTemplates" } } }, "inspectTemplates": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$", "required": true } }, "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "description": "Updates the InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "httpMethod": "PATCH", "path": "v2/{+name}", "id": "dlp.projects.locations.inspectTemplates.patch", "request": { "$ref": "GooglePrivacyDlpV2UpdateInspectTemplateRequest" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "parameterOrder": [ "name" ] }, "delete": { "httpMethod": "DELETE", "description": "Deletes an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$", "description": "Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "location": "path" } }, "id": "dlp.projects.locations.inspectTemplates.delete", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "create": { "description": "Creates an InspectTemplate for re-using frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "request": { "$ref": "GooglePrivacyDlpV2CreateInspectTemplateRequest" }, "path": "v2/{+parent}/inspectTemplates", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/inspectTemplates", "httpMethod": "POST", "id": "dlp.projects.locations.inspectTemplates.create", "parameters": { "parent": { "location": "path", "type": "string", "required": true, "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^projects/[^/]+/locations/[^/]+$" } } }, "get": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "path": "v2/{+name}", "id": "dlp.projects.locations.inspectTemplates.get", "parameters": { "name": { "type": "string", "description": "Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$" } }, "description": "Gets an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "httpMethod": "GET" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists InspectTemplates. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "response": { "$ref": "GooglePrivacyDlpV2ListInspectTemplatesResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/inspectTemplates", "httpMethod": "GET", "id": "dlp.projects.locations.inspectTemplates.list", "path": "v2/{+parent}/inspectTemplates", "parameters": { "pageToken": { "type": "string", "description": "Page token to continue retrieval. Comes from previous call to `ListInspectTemplates`.", "location": "query" }, "parent": { "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "location": "query" } } } } }, "image": { "methods": { "redact": { "id": "dlp.projects.locations.image.redact", "response": { "$ref": "GooglePrivacyDlpV2RedactImageResponse" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2RedactImageRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Redacts potentially sensitive info from an image. This method has limits on input size, processing time, and output size. See https://cloud.google.com/dlp/docs/redacting-sensitive-data-images to learn more. When no InfoTypes or CustomInfoTypes are specified in this request, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "path": "v2/{+parent}/image:redact", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/image:redact" } } }, "dlpJobs": { "methods": { "get": { "httpMethod": "GET", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the DlpJob resource.", "pattern": "^projects/[^/]+/locations/[^/]+/dlpJobs/[^/]+$", "type": "string" } }, "path": "v2/{+name}", "id": "dlp.projects.locations.dlpJobs.get", "description": "Gets the latest state of a long-running DlpJob. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs/{dlpJobsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "path": "v2/{+parent}/dlpJobs", "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "The standard list page size.", "location": "query" }, "orderBy": { "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to time the job was created. - `end_time`: corresponds to time the job ended. - `name`: corresponds to job's name. - `state`: corresponds to `state`", "type": "string", "location": "query" }, "type": { "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ], "description": "The type of job. Defaults to `DlpJobType.INSPECT`", "location": "query", "type": "string", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ] }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "filter": { "location": "query", "type": "string", "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The resource name of the trigger that created job. - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=`. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND state = done LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = done OR state = canceled) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh end_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters." }, "locationId": { "description": "Deprecated. This field has no effect.", "location": "query", "type": "string" }, "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "dlp.projects.locations.dlpJobs.list", "response": { "$ref": "GooglePrivacyDlpV2ListDlpJobsResponse" }, "httpMethod": "GET", "description": "Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more." }, "finish": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GooglePrivacyDlpV2FinishDlpJobRequest" }, "id": "dlp.projects.locations.dlpJobs.finish", "parameters": { "name": { "required": true, "description": "Required. The name of the DlpJob resource to be cancelled.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/dlpJobs/[^/]+$" } }, "httpMethod": "POST", "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2/{+name}:finish", "description": "Finish a running hybrid DlpJob. Triggers the finalization steps and running of any enabled actions that have not yet run.", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs/{dlpJobsId}:finish" }, "hybridInspect": { "request": { "$ref": "GooglePrivacyDlpV2HybridInspectDlpJobRequest" }, "parameterOrder": [ "name" ], "id": "dlp.projects.locations.dlpJobs.hybridInspect", "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs/{dlpJobsId}:hybridInspect", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Inspect hybrid content and store findings to a job. To review the findings, inspect the job. Inspection will occur asynchronously.", "httpMethod": "POST", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the job to execute a hybrid inspect on, for example `projects/dlp-test-project/dlpJob/53234423`.", "pattern": "^projects/[^/]+/locations/[^/]+/dlpJobs/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "GooglePrivacyDlpV2HybridInspectResponse" }, "path": "v2/{+name}:hybridInspect" }, "cancel": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs/{dlpJobsId}:cancel", "description": "Starts asynchronous cancellation on a long-running DlpJob. The server makes a best effort to cancel the DlpJob, but success is not guaranteed. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "path": "v2/{+name}:cancel", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/dlpJobs/[^/]+$", "required": true, "description": "Required. The name of the DlpJob resource to be cancelled." } }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "request": { "$ref": "GooglePrivacyDlpV2CancelDlpJobRequest" }, "id": "dlp.projects.locations.dlpJobs.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "create": { "request": { "$ref": "GooglePrivacyDlpV2CreateDlpJobRequest" }, "httpMethod": "POST", "id": "dlp.projects.locations.dlpJobs.create", "parameterOrder": [ "parent" ], "path": "v2/{+parent}/dlpJobs", "response": { "$ref": "GooglePrivacyDlpV2DlpJob" }, "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs", "description": "Creates a new job to inspect storage or calculate risk metrics. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more. When no InfoTypes or CustomInfoTypes are specified in inspect jobs, the system will automatically choose what detectors to run. By default this may be all types, but may change over time as detectors are updated.", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "flatPath": "v2/projects/{projectsId}/locations/{locationsId}/dlpJobs/{dlpJobsId}", "parameters": { "name": { "description": "Required. The name of the DlpJob resource to be deleted.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/dlpJobs/[^/]+$", "location": "path", "type": "string" } }, "id": "dlp.projects.locations.dlpJobs.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a long-running DlpJob. This method indicates that the client is no longer interested in the DlpJob result. The job will be cancelled if possible. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "path": "v2/{+name}", "httpMethod": "DELETE" } } } } } } }, "locations": { "resources": { "infoTypes": { "methods": { "list": { "response": { "$ref": "GooglePrivacyDlpV2ListInfoTypesResponse" }, "description": "Returns a list of the sensitive information types that the DLP API supports. See https://cloud.google.com/dlp/docs/infotypes-reference to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/infoTypes", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^locations/[^/]+$", "type": "string", "description": "The parent resource name. The format of this value is as follows: locations/ LOCATION_ID", "location": "path", "required": true }, "filter": { "type": "string", "description": "filter to only return infoTypes supported by certain parts of the API. Defaults to supported_by=INSPECT.", "location": "query" }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string", "location": "query" }, "languageCode": { "type": "string", "location": "query", "description": "BCP-47 language code for localized infoType friendly names. If omitted, or if localized strings are not available, en-US strings will be returned." } }, "flatPath": "v2/locations/{locationsId}/infoTypes", "id": "dlp.locations.infoTypes.list" } } } } }, "organizations": { "resources": { "storedInfoTypes": { "methods": { "get": { "httpMethod": "GET", "id": "dlp.organizations.storedInfoTypes.get", "parameters": { "name": { "location": "path", "pattern": "^organizations/[^/]+/storedInfoTypes/[^/]+$", "description": "Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "type": "string", "required": true } }, "path": "v2/{+name}", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/organizations/{organizationsId}/storedInfoTypes/{storedInfoTypesId}", "parameterOrder": [ "name" ], "description": "Gets a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more." }, "patch": { "path": "v2/{+name}", "description": "Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "httpMethod": "PATCH", "id": "dlp.organizations.storedInfoTypes.patch", "flatPath": "v2/organizations/{organizationsId}/storedInfoTypes/{storedInfoTypesId}", "request": { "$ref": "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest" }, "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "parameters": { "name": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/storedInfoTypes/[^/]+$", "required": true, "description": "Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342." } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "parameters": { "parent": { "required": true, "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^organizations/[^/]+$", "type": "string" }, "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.", "location": "query" }, "locationId": { "location": "query", "type": "string", "description": "Deprecated. This field has no effect." }, "pageToken": { "description": "Page token to continue retrieval. Comes from previous call to `ListStoredInfoTypes`.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "location": "query", "format": "int32" } }, "flatPath": "v2/organizations/{organizationsId}/storedInfoTypes", "path": "v2/{+parent}/storedInfoTypes", "parameterOrder": [ "parent" ], "description": "Lists stored infoTypes. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListStoredInfoTypesResponse" }, "id": "dlp.organizations.storedInfoTypes.list", "httpMethod": "GET" }, "delete": { "parameters": { "name": { "description": "Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "pattern": "^organizations/[^/]+/storedInfoTypes/[^/]+$", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.storedInfoTypes.delete", "description": "Deletes a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v2/{+name}", "flatPath": "v2/organizations/{organizationsId}/storedInfoTypes/{storedInfoTypesId}" }, "create": { "flatPath": "v2/organizations/{organizationsId}/storedInfoTypes", "description": "Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2CreateStoredInfoTypeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.storedInfoTypes.create", "parameters": { "parent": { "type": "string", "pattern": "^organizations/[^/]+$", "location": "path", "required": true, "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" } }, "path": "v2/{+parent}/storedInfoTypes", "httpMethod": "POST" } } }, "locations": { "resources": { "dlpJobs": { "methods": { "list": { "id": "dlp.organizations.locations.dlpJobs.list", "parameters": { "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, end_time asc, create_time desc` Supported fields are: - `create_time`: corresponds to time the job was created. - `end_time`: corresponds to time the job ended. - `name`: corresponds to job's name. - `state`: corresponds to `state`", "location": "query" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect jobs: - `state` - PENDING|RUNNING|CANCELED|FINISHED|FAILED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - `trigger_name` - The resource name of the trigger that created job. - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields for risk analysis jobs: - `state` - RUNNING|CANCELED|FINISHED|FAILED - 'end_time` - Corresponds to time the job finished. - 'start_time` - Corresponds to time the job finished. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=`. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND state = done LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = done OR state = canceled) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh end_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters." }, "type": { "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ], "type": "string", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ], "description": "The type of job. Defaults to `DlpJobType.INSPECT`", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string", "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+$", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/dlpJobs", "path": "v2/{+parent}/dlpJobs", "description": "Lists DlpJobs that match the specified filter in the request. See https://cloud.google.com/dlp/docs/inspecting-storage and https://cloud.google.com/dlp/docs/compute-risk-analysis to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListDlpJobsResponse" } } } }, "deidentifyTemplates": { "methods": { "get": { "parameterOrder": [ "name" ], "id": "dlp.organizations.locations.deidentifyTemplates.get", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$", "type": "string" } }, "httpMethod": "GET", "description": "Gets a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "path": "v2/{+name}" }, "list": { "response": { "$ref": "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists DeidentifyTemplates. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "path": "v2/{+parent}/deidentifyTemplates", "parameters": { "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "location": "query" }, "parent": { "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+$", "required": true, "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string" }, "pageSize": { "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "format": "int32", "type": "integer", "location": "query" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "pageToken": { "type": "string", "description": "Page token to continue retrieval. Comes from previous call to `ListDeidentifyTemplates`.", "location": "query" } }, "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/deidentifyTemplates", "id": "dlp.organizations.locations.deidentifyTemplates.list", "httpMethod": "GET" }, "patch": { "description": "Updates the DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "parameterOrder": [ "name" ], "id": "dlp.organizations.locations.deidentifyTemplates.patch", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "request": { "$ref": "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest" }, "parameters": { "name": { "description": "Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "location": "path", "required": true, "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$" } }, "httpMethod": "PATCH" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "description": "Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "pattern": "^organizations/[^/]+/locations/[^/]+/deidentifyTemplates/[^/]+$", "location": "path", "type": "string", "required": true } }, "path": "v2/{+name}", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "dlp.organizations.locations.deidentifyTemplates.delete" }, "create": { "id": "dlp.organizations.locations.deidentifyTemplates.create", "path": "v2/{+parent}/deidentifyTemplates", "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/deidentifyTemplates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a DeidentifyTemplate for re-using frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+$", "required": true, "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" } }, "request": { "$ref": "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest" } } } }, "storedInfoTypes": { "methods": { "list": { "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/storedInfoTypes", "description": "Lists stored infoTypes. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "response": { "$ref": "GooglePrivacyDlpV2ListStoredInfoTypesResponse" }, "id": "dlp.organizations.locations.storedInfoTypes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "type": "integer" }, "locationId": { "description": "Deprecated. This field has no effect.", "type": "string", "location": "query" }, "parent": { "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+$" }, "orderBy": { "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc, display_name, create_time desc` Supported fields are: - `create_time`: corresponds to time the most recent version of the resource was created. - `state`: corresponds to the state of the resource. - `name`: corresponds to resource name. - `display_name`: corresponds to info type's display name.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Page token to continue retrieval. Comes from previous call to `ListStoredInfoTypes`.", "type": "string" } }, "path": "v2/{+parent}/storedInfoTypes", "httpMethod": "GET", "parameterOrder": [ "parent" ] }, "patch": { "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "parameterOrder": [ "name" ], "path": "v2/{+name}", "parameters": { "name": { "description": "Required. Resource name of organization and storedInfoType to be updated, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "pattern": "^organizations/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$", "type": "string", "location": "path", "required": true } }, "request": { "$ref": "GooglePrivacyDlpV2UpdateStoredInfoTypeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.locations.storedInfoTypes.patch", "httpMethod": "PATCH", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "description": "Updates the stored infoType by creating a new version. The existing version will continue to be used until the new version is ready. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more." }, "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^organizations/[^/]+/locations/[^/]+$", "type": "string", "required": true } }, "description": "Creates a pre-built stored infoType to be used for inspection. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/storedInfoTypes", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/storedInfoTypes", "id": "dlp.organizations.locations.storedInfoTypes.create", "request": { "$ref": "GooglePrivacyDlpV2CreateStoredInfoTypeRequest" } }, "delete": { "id": "dlp.organizations.locations.storedInfoTypes.delete", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$", "description": "Required. Resource name of the organization and storedInfoType to be deleted, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "httpMethod": "DELETE", "path": "v2/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "get": { "response": { "$ref": "GooglePrivacyDlpV2StoredInfoType" }, "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/storedInfoTypes/{storedInfoTypesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.locations.storedInfoTypes.get", "path": "v2/{+name}", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the organization and storedInfoType to be read, for example `organizations/433245324/storedInfoTypes/432452342` or projects/project-id/storedInfoTypes/432452342.", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/storedInfoTypes/[^/]+$", "required": true } }, "description": "Gets a stored infoType. See https://cloud.google.com/dlp/docs/creating-stored-infotypes to learn more.", "parameterOrder": [ "name" ], "httpMethod": "GET" } } }, "jobTriggers": { "methods": { "create": { "parameters": { "parent": { "type": "string", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path" } }, "request": { "$ref": "GooglePrivacyDlpV2CreateJobTriggerRequest" }, "id": "dlp.organizations.locations.jobTriggers.create", "parameterOrder": [ "parent" ], "description": "Creates a job trigger to run DLP actions such as scanning storage for sensitive information on a set schedule. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/jobTriggers", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "path": "v2/{+parent}/jobTriggers", "httpMethod": "POST" }, "delete": { "httpMethod": "DELETE", "parameters": { "name": { "required": true, "location": "path", "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/jobTriggers/[^/]+$" } }, "description": "Deletes a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "parameterOrder": [ "name" ], "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.locations.jobTriggers.delete" }, "list": { "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/jobTriggers", "httpMethod": "GET", "response": { "$ref": "GooglePrivacyDlpV2ListJobTriggersResponse" }, "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Page token to continue retrieval. Comes from previous call to ListJobTriggers. `order_by` field must not change for subsequent calls." }, "pageSize": { "type": "integer", "description": "Size of the page, can be limited by a server.", "format": "int32", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Allows filtering. Supported syntax: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Filter expressions are made up of one or more restrictions. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A restriction has the form of `{field} {operator} {value}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported fields/values for inspect triggers: - `status` - HEALTHY|PAUSED|CANCELLED - `inspected_storage` - DATASTORE|CLOUD_STORAGE|BIGQUERY - 'last_run_time` - RFC 3339 formatted timestamp, surrounded by quotation marks. Nanoseconds are ignored. - 'error_count' - Number of errors that have occurred while running. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The operator must be `=` or `!=` for status and inspected_storage. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND status = HEALTHY LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage OR inspected_storage = bigquery LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh inspected_storage = cloud_storage AND (state = PAUSED OR state = HEALTHY) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh last_run_time \u003e \\\"2017-12-12T00:00:00+00:00\\\" The length of this field should be no more than 500 characters." }, "locationId": { "type": "string", "location": "query", "description": "Deprecated. This field has no effect." }, "orderBy": { "description": "Comma separated list of triggeredJob fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the JobTrigger was created. - `update_time`: corresponds to time the JobTrigger was last updated. - `last_run_time`: corresponds to the last time the JobTrigger ran. - `name`: corresponds to JobTrigger's name. - `display_name`: corresponds to JobTrigger's display name. - `status`: corresponds to JobTrigger's status.", "type": "string", "location": "query" }, "parent": { "description": "Required. Parent resource name. The format of this value varies depending on whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "pattern": "^organizations/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true }, "type": { "type": "string", "location": "query", "description": "The type of jobs. Will use `DlpJobType.INSPECT` if not set.", "enum": [ "DLP_JOB_TYPE_UNSPECIFIED", "INSPECT_JOB", "RISK_ANALYSIS_JOB" ], "enumDescriptions": [ "Defaults to INSPECT_JOB.", "The job inspected Google Cloud for sensitive data.", "The job executed a Risk Analysis computation." ] } }, "parameterOrder": [ "parent" ], "description": "Lists job triggers. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/jobTriggers", "id": "dlp.organizations.locations.jobTriggers.list" }, "patch": { "id": "dlp.organizations.locations.jobTriggers.patch", "description": "Updates a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "path": "v2/{+name}", "parameters": { "name": { "required": true, "type": "string", "pattern": "^organizations/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "location": "path" } }, "request": { "$ref": "GooglePrivacyDlpV2UpdateJobTriggerRequest" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "get": { "description": "Gets a job trigger. See https://cloud.google.com/dlp/docs/creating-job-triggers to learn more.", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "dlp.organizations.locations.jobTriggers.get", "parameters": { "name": { "pattern": "^organizations/[^/]+/locations/[^/]+/jobTriggers/[^/]+$", "required": true, "description": "Required. Resource name of the project and the triggeredJob, for example `projects/dlp-test-project/jobTriggers/53234423`.", "location": "path", "type": "string" } }, "response": { "$ref": "GooglePrivacyDlpV2JobTrigger" }, "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/jobTriggers/{jobTriggersId}", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "inspectTemplates": { "methods": { "get": { "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "dlp.organizations.locations.inspectTemplates.get", "description": "Gets an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "httpMethod": "GET", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$", "type": "string", "description": "Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "location": "path" } }, "parameterOrder": [ "name" ], "path": "v2/{+name}" }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "dlp.organizations.locations.inspectTemplates.delete", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "parameters": { "name": { "location": "path", "description": "Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "description": "Deletes an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more." }, "patch": { "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/inspectTemplates/{inspectTemplatesId}", "parameterOrder": [ "name" ], "path": "v2/{+name}", "id": "dlp.organizations.locations.inspectTemplates.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+/inspectTemplates/[^/]+$" } }, "request": { "$ref": "GooglePrivacyDlpV2UpdateInspectTemplateRequest" }, "description": "Updates the InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more." }, "create": { "parameters": { "parent": { "pattern": "^organizations/[^/]+/locations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "location": "path", "type": "string", "required": true } }, "request": { "$ref": "GooglePrivacyDlpV2CreateInspectTemplateRequest" }, "httpMethod": "POST", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/inspectTemplates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/inspectTemplates", "parameterOrder": [ "parent" ], "id": "dlp.organizations.locations.inspectTemplates.create", "description": "Creates an InspectTemplate for re-using frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" } }, "list": { "parameters": { "parent": { "location": "path", "pattern": "^organizations/[^/]+/locations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Page token to continue retrieval. Comes from previous call to `ListInspectTemplates`." }, "pageSize": { "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "type": "integer", "location": "query", "format": "int32" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "orderBy": { "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "path": "v2/{+parent}/inspectTemplates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListInspectTemplatesResponse" }, "description": "Lists InspectTemplates. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "flatPath": "v2/organizations/{organizationsId}/locations/{locationsId}/inspectTemplates", "httpMethod": "GET", "id": "dlp.organizations.locations.inspectTemplates.list" } } } } }, "deidentifyTemplates": { "methods": { "create": { "httpMethod": "POST", "id": "dlp.organizations.deidentifyTemplates.create", "parameterOrder": [ "parent" ], "flatPath": "v2/organizations/{organizationsId}/deidentifyTemplates", "description": "Creates a DeidentifyTemplate for re-using frequently used configuration for de-identifying content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "request": { "$ref": "GooglePrivacyDlpV2CreateDeidentifyTemplateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/deidentifyTemplates" }, "get": { "httpMethod": "GET", "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "parameters": { "name": { "description": "Required. Resource name of the organization and deidentify template to be read, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "pattern": "^organizations/[^/]+/deidentifyTemplates/[^/]+$", "type": "string", "required": true, "location": "path" } }, "flatPath": "v2/organizations/{organizationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "id": "dlp.organizations.deidentifyTemplates.get", "path": "v2/{+name}", "description": "Gets a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "patch": { "path": "v2/{+name}", "description": "Updates the DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "id": "dlp.organizations.deidentifyTemplates.patch", "parameters": { "name": { "type": "string", "description": "Required. Resource name of organization and deidentify template to be updated, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "location": "path", "required": true, "pattern": "^organizations/[^/]+/deidentifyTemplates/[^/]+$" } }, "response": { "$ref": "GooglePrivacyDlpV2DeidentifyTemplate" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v2/organizations/{organizationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "httpMethod": "PATCH", "request": { "$ref": "GooglePrivacyDlpV2UpdateDeidentifyTemplateRequest" } }, "delete": { "path": "v2/{+name}", "id": "dlp.organizations.deidentifyTemplates.delete", "parameters": { "name": { "description": "Required. Resource name of the organization and deidentify template to be deleted, for example `organizations/433245324/deidentifyTemplates/432452342` or projects/project-id/deidentifyTemplates/432452342.", "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/deidentifyTemplates/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/organizations/{organizationsId}/deidentifyTemplates/{deidentifyTemplatesId}", "description": "Deletes a DeidentifyTemplate. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE" }, "list": { "flatPath": "v2/organizations/{organizationsId}/deidentifyTemplates", "description": "Lists DeidentifyTemplates. See https://cloud.google.com/dlp/docs/creating-templates-deid to learn more.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "location": "query" }, "parent": { "pattern": "^organizations/[^/]+$", "required": true, "location": "path", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "Page token to continue retrieval. Comes from previous call to `ListDeidentifyTemplates`." }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "pageSize": { "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100.", "format": "int32", "type": "integer", "location": "query" } }, "response": { "$ref": "GooglePrivacyDlpV2ListDeidentifyTemplatesResponse" }, "path": "v2/{+parent}/deidentifyTemplates", "id": "dlp.organizations.deidentifyTemplates.list", "httpMethod": "GET" } } }, "inspectTemplates": { "methods": { "get": { "parameterOrder": [ "name" ], "path": "v2/{+name}", "flatPath": "v2/organizations/{organizationsId}/inspectTemplates/{inspectTemplatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "httpMethod": "GET", "description": "Gets an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "parameters": { "name": { "pattern": "^organizations/[^/]+/inspectTemplates/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. Resource name of the organization and inspectTemplate to be read, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342." } }, "id": "dlp.organizations.inspectTemplates.get" }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "httpMethod": "DELETE", "id": "dlp.organizations.inspectTemplates.delete", "parameterOrder": [ "name" ], "flatPath": "v2/organizations/{organizationsId}/inspectTemplates/{inspectTemplatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+/inspectTemplates/[^/]+$", "description": "Required. Resource name of the organization and inspectTemplate to be deleted, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342." } }, "description": "Deletes an InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "path": "v2/{+name}" }, "list": { "id": "dlp.organizations.inspectTemplates.list", "description": "Lists InspectTemplates. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "response": { "$ref": "GooglePrivacyDlpV2ListInspectTemplatesResponse" }, "path": "v2/{+parent}/inspectTemplates", "httpMethod": "GET", "flatPath": "v2/organizations/{organizationsId}/inspectTemplates", "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" }, "orderBy": { "type": "string", "description": "Comma separated list of fields to order by, followed by `asc` or `desc` postfix. This list is case-insensitive, default sorting order is ascending, redundant space characters are insignificant. Example: `name asc,update_time, create_time desc` Supported fields are: - `create_time`: corresponds to time the template was created. - `update_time`: corresponds to time the template was last updated. - `name`: corresponds to template's name. - `display_name`: corresponds to template's display name.", "location": "query" }, "locationId": { "location": "query", "description": "Deprecated. This field has no effect.", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Size of the page, can be limited by server. If zero server returns a page of max size 100." }, "pageToken": { "description": "Page token to continue retrieval. Comes from previous call to `ListInspectTemplates`.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "parameterOrder": [ "parent" ], "request": { "$ref": "GooglePrivacyDlpV2CreateInspectTemplateRequest" }, "path": "v2/{+parent}/inspectTemplates", "flatPath": "v2/organizations/{organizationsId}/inspectTemplates", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "description": "Creates an InspectTemplate for re-using frequently used configuration for inspecting content, images, and storage. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^organizations/[^/]+$", "description": "Required. Parent resource name. The format of this value varies depending on the scope of the request (project or organization) and whether you have [specified a processing location](https://cloud.google.com/dlp/docs/specifying-location): + Projects scope, location specified: `projects/`PROJECT_ID`/locations/`LOCATION_ID + Projects scope, no location specified (defaults to global): `projects/`PROJECT_ID + Organizations scope, location specified: `organizations/`ORG_ID`/locations/`LOCATION_ID + Organizations scope, no location specified (defaults to global): `organizations/`ORG_ID The following example `parent` string specifies a parent project with the identifier `example-project`, and specifies the `europe-west3` location for processing data: parent=projects/example-project/locations/europe-west3" } }, "id": "dlp.organizations.inspectTemplates.create" }, "patch": { "description": "Updates the InspectTemplate. See https://cloud.google.com/dlp/docs/creating-templates to learn more.", "httpMethod": "PATCH", "parameters": { "name": { "required": true, "description": "Required. Resource name of organization and inspectTemplate to be updated, for example `organizations/433245324/inspectTemplates/432452342` or projects/project-id/inspectTemplates/432452342.", "type": "string", "pattern": "^organizations/[^/]+/inspectTemplates/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+name}", "response": { "$ref": "GooglePrivacyDlpV2InspectTemplate" }, "flatPath": "v2/organizations/{organizationsId}/inspectTemplates/{inspectTemplatesId}", "request": { "$ref": "GooglePrivacyDlpV2UpdateInspectTemplateRequest" }, "parameterOrder": [ "name" ], "id": "dlp.organizations.inspectTemplates.patch" } } } } }, "infoTypes": { "methods": { "list": { "path": "v2/infoTypes", "description": "Returns a list of the sensitive information types that the DLP API supports. See https://cloud.google.com/dlp/docs/infotypes-reference to learn more.", "httpMethod": "GET", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GooglePrivacyDlpV2ListInfoTypesResponse" }, "id": "dlp.infoTypes.list", "flatPath": "v2/infoTypes", "parameters": { "filter": { "type": "string", "description": "filter to only return infoTypes supported by certain parts of the API. Defaults to supported_by=INSPECT.", "location": "query" }, "languageCode": { "location": "query", "type": "string", "description": "BCP-47 language code for localized infoType friendly names. If omitted, or if localized strings are not available, en-US strings will be returned." }, "locationId": { "type": "string", "location": "query", "description": "Deprecated. This field has no effect." }, "parent": { "type": "string", "description": "The parent resource name. The format of this value is as follows: locations/ LOCATION_ID", "location": "query" } } } } } }, "ownerName": "Google", "kind": "discovery#restDescription", "name": "dlp", "title": "Cloud Data Loss Prevention (DLP) API", "version": "v2", "servicePath": "", "fullyEncodeReservedExpansion": true, "canonicalName": "DLP", "rootUrl": "https://dlp.googleapis.com/", "version_module": true, "discoveryVersion": "v1" }
]===]))
