local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220706", "documentationLink": "https://cloud.google.com/dns/docs", "fullyEncodeReservedExpansion": true, "discoveryVersion": "v1", "servicePath": "", "rootUrl": "https://dns.googleapis.com/", "parameters": { "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/ndev.clouddns.readonly": { "description": "View your DNS records hosted by Google Cloud DNS" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/ndev.clouddns.readwrite": { "description": "View and manage your DNS records hosted by Google Cloud DNS" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "canonicalName": "Dns", "protocol": "rest", "name": "dns", "description": "", "version": "v1", "resources": { "responsePolicyRules": { "methods": { "delete": { "id": "dns.responsePolicyRules.delete", "parameterOrder": [ "project", "responsePolicy", "responsePolicyRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameters": { "responsePolicyRule": { "description": "User assigned name of the Response Policy Rule addressed by this request.", "required": true, "type": "string", "location": "path" }, "responsePolicy": { "required": true, "location": "path", "type": "string", "description": "User assigned name of the Response Policy containing the Response Policy Rule." }, "project": { "required": true, "location": "path", "description": "Identifies the project addressed by this request.", "type": "string" }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string", "location": "query" } }, "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "httpMethod": "DELETE", "description": "Deletes a previously created Response Policy Rule." }, "update": { "description": "Updates an existing Response Policy Rule.", "httpMethod": "PUT", "response": { "$ref": "ResponsePolicyRulesUpdateResponse" }, "parameters": { "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "responsePolicy": { "description": "User assigned name of the Response Policy containing the Response Policy Rule.", "required": true, "type": "string", "location": "path" }, "responsePolicyRule": { "type": "string", "description": "User assigned name of the Response Policy Rule addressed by this request.", "location": "path", "required": true }, "project": { "description": "Identifies the project addressed by this request.", "location": "path", "type": "string", "required": true } }, "request": { "$ref": "ResponsePolicyRule" }, "parameterOrder": [ "project", "responsePolicy", "responsePolicyRule" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "id": "dns.responsePolicyRules.update", "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}" }, "list": { "parameters": { "project": { "description": "Identifies the project addressed by this request.", "required": true, "type": "string", "location": "path" }, "maxResults": { "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "format": "int32", "location": "query", "type": "integer" }, "responsePolicy": { "description": "User assigned name of the Response Policy to list.", "location": "path", "type": "string", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request." } }, "description": "Enumerates all Response Policy Rules associated with a project.", "id": "dns.responsePolicyRules.list", "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules", "parameterOrder": [ "project", "responsePolicy" ], "response": { "$ref": "ResponsePolicyRulesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules", "httpMethod": "GET" }, "get": { "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "parameterOrder": [ "project", "responsePolicy", "responsePolicyRule" ], "response": { "$ref": "ResponsePolicyRule" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameters": { "clientOperationId": { "location": "query", "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "responsePolicy": { "location": "path", "required": true, "type": "string", "description": "User assigned name of the Response Policy containing the Response Policy Rule." }, "project": { "location": "path", "type": "string", "required": true, "description": "Identifies the project addressed by this request." }, "responsePolicyRule": { "type": "string", "description": "User assigned name of the Response Policy Rule addressed by this request.", "required": true, "location": "path" } }, "description": "Fetches the representation of an existing Response Policy Rule.", "id": "dns.responsePolicyRules.get", "httpMethod": "GET" }, "create": { "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "id": "dns.responsePolicyRules.create", "request": { "$ref": "ResponsePolicyRule" }, "response": { "$ref": "ResponsePolicyRule" }, "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules", "httpMethod": "POST", "description": "Creates a new Response Policy Rule.", "parameters": { "project": { "type": "string", "required": true, "location": "path", "description": "Identifies the project addressed by this request." }, "responsePolicy": { "required": true, "location": "path", "description": "User assigned name of the Response Policy containing the Response Policy Rule.", "type": "string" }, "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." } }, "parameterOrder": [ "project", "responsePolicy" ] }, "patch": { "parameterOrder": [ "project", "responsePolicy", "responsePolicyRule" ], "response": { "$ref": "ResponsePolicyRulesPatchResponse" }, "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "request": { "$ref": "ResponsePolicyRule" }, "parameters": { "project": { "type": "string", "description": "Identifies the project addressed by this request.", "location": "path", "required": true }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "responsePolicy": { "required": true, "description": "User assigned name of the Response Policy containing the Response Policy Rule.", "location": "path", "type": "string" }, "responsePolicyRule": { "type": "string", "location": "path", "required": true, "description": "User assigned name of the Response Policy Rule addressed by this request." } }, "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}/rules/{responsePolicyRule}", "httpMethod": "PATCH", "description": "Applies a partial update to an existing Response Policy Rule.", "id": "dns.responsePolicyRules.patch" } } }, "policies": { "methods": { "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "path": "dns/v1/projects/{project}/policies/{policy}", "flatPath": "dns/v1/projects/{project}/policies/{policy}", "parameterOrder": [ "project", "policy" ], "parameters": { "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "project": { "description": "Identifies the project addressed by this request.", "required": true, "type": "string", "location": "path" }, "policy": { "location": "path", "type": "string", "description": "User given friendly name of the policy addressed by this request.", "required": true } }, "id": "dns.policies.update", "response": { "$ref": "PoliciesUpdateResponse" }, "description": "Updates an existing Policy.", "request": { "$ref": "Policy" }, "httpMethod": "PUT" }, "delete": { "parameters": { "policy": { "description": "User given friendly name of the policy addressed by this request.", "location": "path", "required": true, "type": "string" }, "project": { "location": "path", "type": "string", "required": true, "description": "Identifies the project addressed by this request." }, "clientOperationId": { "location": "query", "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "description": "Deletes a previously created Policy. Fails if the policy is still being referenced by a network.", "id": "dns.policies.delete", "parameterOrder": [ "project", "policy" ], "path": "dns/v1/projects/{project}/policies/{policy}", "flatPath": "dns/v1/projects/{project}/policies/{policy}", "httpMethod": "DELETE" }, "list": { "parameters": { "maxResults": { "format": "int32", "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "location": "query", "type": "integer" }, "project": { "description": "Identifies the project addressed by this request.", "location": "path", "required": true, "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request." } }, "id": "dns.policies.list", "description": "Enumerates all Policies associated with a project.", "parameterOrder": [ "project" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "PoliciesListResponse" }, "path": "dns/v1/projects/{project}/policies", "flatPath": "dns/v1/projects/{project}/policies", "httpMethod": "GET" }, "get": { "parameters": { "policy": { "description": "User given friendly name of the policy addressed by this request.", "type": "string", "required": true, "location": "path" }, "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Identifies the project addressed by this request." } }, "flatPath": "dns/v1/projects/{project}/policies/{policy}", "parameterOrder": [ "project", "policy" ], "path": "dns/v1/projects/{project}/policies/{policy}", "response": { "$ref": "Policy" }, "httpMethod": "GET", "id": "dns.policies.get", "description": "Fetches the representation of an existing Policy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] }, "create": { "parameterOrder": [ "project" ], "description": "Creates a new Policy.", "response": { "$ref": "Policy" }, "httpMethod": "POST", "id": "dns.policies.create", "request": { "$ref": "Policy" }, "parameters": { "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string", "location": "query" }, "project": { "required": true, "location": "path", "description": "Identifies the project addressed by this request.", "type": "string" } }, "flatPath": "dns/v1/projects/{project}/policies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "path": "dns/v1/projects/{project}/policies" }, "patch": { "response": { "$ref": "PoliciesPatchResponse" }, "flatPath": "dns/v1/projects/{project}/policies/{policy}", "id": "dns.policies.patch", "parameterOrder": [ "project", "policy" ], "path": "dns/v1/projects/{project}/policies/{policy}", "httpMethod": "PATCH", "request": { "$ref": "Policy" }, "description": "Applies a partial update to an existing Policy.", "parameters": { "project": { "location": "path", "type": "string", "required": true, "description": "Identifies the project addressed by this request." }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "policy": { "location": "path", "required": true, "description": "User given friendly name of the policy addressed by this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] } } }, "managedZoneOperations": { "methods": { "get": { "description": "Fetches the representation of an existing Operation.", "httpMethod": "GET", "parameters": { "project": { "location": "path", "description": "Identifies the project addressed by this request.", "required": true, "type": "string" }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "operation": { "type": "string", "location": "path", "description": "Identifies the operation addressed by this request (ID of the operation).", "required": true }, "managedZone": { "location": "path", "description": "Identifies the managed zone addressed by this request.", "required": true, "type": "string" } }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/operations/{operation}", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/operations/{operation}", "id": "dns.managedZoneOperations.get", "parameterOrder": [ "project", "managedZone", "operation" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "Operation" } }, "list": { "description": "Enumerates Operations for the given ManagedZone.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request." }, "sortBy": { "default": "startTime", "location": "query", "description": "Sorting criterion. The only supported values are START_TIME and ID.", "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "startTime", "id" ] }, "managedZone": { "description": "Identifies the managed zone addressed by this request.", "type": "string", "required": true, "location": "path" }, "project": { "required": true, "type": "string", "description": "Identifies the project addressed by this request.", "location": "path" }, "maxResults": { "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "type": "integer", "format": "int32", "location": "query" } }, "id": "dns.managedZoneOperations.list", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/operations", "parameterOrder": [ "project", "managedZone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "ManagedZoneOperationsListResponse" }, "httpMethod": "GET", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/operations" } } }, "changes": { "methods": { "get": { "parameters": { "managedZone": { "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "type": "string", "location": "path", "required": true }, "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "changeId": { "description": "The identifier of the requested change, from a previous ResourceRecordSetsChangeResponse.", "required": true, "location": "path", "type": "string" }, "project": { "required": true, "description": "Identifies the project addressed by this request.", "location": "path", "type": "string" } }, "httpMethod": "GET", "id": "dns.changes.get", "parameterOrder": [ "project", "managedZone", "changeId" ], "path": "dns/v1/projects/{project}/managedZones/{managedZone}/changes/{changeId}", "response": { "$ref": "Change" }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/changes/{changeId}", "description": "Fetches the representation of an existing Change.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] }, "list": { "parameters": { "managedZone": { "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "type": "string", "location": "path", "required": true }, "sortBy": { "type": "string", "description": "Sorting criterion. The only supported value is change sequence.", "enum": [ "changeSequence" ], "location": "query", "enumDescriptions": [ "" ], "default": "changeSequence" }, "pageToken": { "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "required": true, "description": "Identifies the project addressed by this request." }, "maxResults": { "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "location": "query", "type": "integer", "format": "int32" }, "sortOrder": { "description": "Sorting order direction: 'ascending' or 'descending'.", "location": "query", "type": "string" } }, "parameterOrder": [ "project", "managedZone" ], "httpMethod": "GET", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/changes", "description": "Enumerates Changes to a ResourceRecordSet collection.", "id": "dns.changes.list", "response": { "$ref": "ChangesListResponse" }, "path": "dns/v1/projects/{project}/managedZones/{managedZone}/changes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] }, "create": { "request": { "$ref": "Change" }, "response": { "$ref": "Change" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameterOrder": [ "project", "managedZone" ], "httpMethod": "POST", "description": "Atomically updates the ResourceRecordSet collection.", "id": "dns.changes.create", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/changes", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/changes", "parameters": { "managedZone": { "required": true, "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path", "type": "string" }, "project": { "required": true, "location": "path", "type": "string", "description": "Identifies the project addressed by this request." }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" } } } } }, "managedZones": { "methods": { "patch": { "path": "dns/v1/projects/{project}/managedZones/{managedZone}", "id": "dns.managedZones.patch", "parameterOrder": [ "project", "managedZone" ], "description": "Applies a partial update to an existing ManagedZone.", "httpMethod": "PATCH", "parameters": { "project": { "required": true, "location": "path", "type": "string", "description": "Identifies the project addressed by this request." }, "clientOperationId": { "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string" }, "managedZone": { "type": "string", "location": "path", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "required": true } }, "request": { "$ref": "ManagedZone" }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] }, "get": { "parameterOrder": [ "project", "managedZone" ], "description": "Fetches the representation of an existing ManagedZone.", "parameters": { "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "managedZone": { "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path", "required": true, "type": "string" }, "clientOperationId": { "location": "query", "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." } }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}", "id": "dns.managedZones.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "path": "dns/v1/projects/{project}/managedZones/{managedZone}", "response": { "$ref": "ManagedZone" }, "httpMethod": "GET" }, "list": { "flatPath": "dns/v1/projects/{project}/managedZones", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "ManagedZonesListResponse" }, "path": "dns/v1/projects/{project}/managedZones", "description": "Enumerates ManagedZones that have been created but not yet deleted.", "parameters": { "dnsName": { "type": "string", "description": "Restricts the list to return only zones with this domain name.", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Identifies the project addressed by this request.", "required": true }, "maxResults": { "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "location": "query", "format": "int32", "type": "integer" } }, "parameterOrder": [ "project" ], "httpMethod": "GET", "id": "dns.managedZones.list" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "flatPath": "dns/v1/projects/{projectsId}/managedZones/{managedZonesId}:setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "dns.managedZones.setIamPolicy", "path": "dns/v1/{+resource}:setIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/managedZones/[^/]+$", "location": "path", "required": true } }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" } }, "getIamPolicy": { "response": { "$ref": "GoogleIamV1Policy" }, "httpMethod": "POST", "flatPath": "dns/v1/projects/{projectsId}/managedZones/{managedZonesId}:getIamPolicy", "path": "dns/v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "request": { "$ref": "GoogleIamV1GetIamPolicyRequest" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "pattern": "^projects/[^/]+/managedZones/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "id": "dns.managedZones.getIamPolicy" }, "delete": { "description": "Deletes a previously created ManagedZone.", "httpMethod": "DELETE", "parameters": { "project": { "type": "string", "required": true, "description": "Identifies the project addressed by this request.", "location": "path" }, "managedZone": { "location": "path", "required": true, "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "type": "string" }, "clientOperationId": { "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string" } }, "parameterOrder": [ "project", "managedZone" ], "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "id": "dns.managedZones.delete", "path": "dns/v1/projects/{project}/managedZones/{managedZone}" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "dns/v1/{+resource}:testIamPermissions", "id": "dns.managedZones.testIamPermissions", "httpMethod": "POST", "flatPath": "dns/v1/projects/{projectsId}/managedZones/{managedZonesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "type": "string", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/managedZones/[^/]+$" } }, "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" } }, "create": { "httpMethod": "POST", "response": { "$ref": "ManagedZone" }, "parameterOrder": [ "project" ], "flatPath": "dns/v1/projects/{project}/managedZones", "path": "dns/v1/projects/{project}/managedZones", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "id": "dns.managedZones.create", "description": "Creates a new ManagedZone.", "request": { "$ref": "ManagedZone" }, "parameters": { "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string", "location": "query" }, "project": { "location": "path", "type": "string", "required": true, "description": "Identifies the project addressed by this request." } } }, "update": { "response": { "$ref": "Operation" }, "parameters": { "project": { "description": "Identifies the project addressed by this request.", "location": "path", "required": true, "type": "string" }, "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "managedZone": { "type": "string", "required": true, "location": "path", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID." } }, "httpMethod": "PUT", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}", "path": "dns/v1/projects/{project}/managedZones/{managedZone}", "parameterOrder": [ "project", "managedZone" ], "id": "dns.managedZones.update", "description": "Updates an existing ManagedZone.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "request": { "$ref": "ManagedZone" } } } }, "projects": { "methods": { "get": { "httpMethod": "GET", "description": "Fetches the representation of an existing Project.", "response": { "$ref": "Project" }, "id": "dns.projects.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameters": { "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "project": { "type": "string", "location": "path", "description": "Identifies the project addressed by this request.", "required": true } }, "parameterOrder": [ "project" ], "path": "dns/v1/projects/{project}", "flatPath": "dns/v1/projects/{project}" } } }, "dnsKeys": { "methods": { "get": { "parameterOrder": [ "project", "managedZone", "dnsKeyId" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "httpMethod": "GET", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/dnsKeys/{dnsKeyId}", "description": "Fetches the representation of an existing DnsKey.", "id": "dns.dnsKeys.get", "parameters": { "managedZone": { "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path", "required": true }, "digestType": { "type": "string", "location": "query", "description": "An optional comma-separated list of digest types to compute and display for key signing keys. If omitted, the recommended digest type is computed and displayed." }, "project": { "description": "Identifies the project addressed by this request.", "required": true, "type": "string", "location": "path" }, "dnsKeyId": { "required": true, "description": "The identifier of the requested DnsKey.", "location": "path", "type": "string" }, "clientOperationId": { "location": "query", "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." } }, "path": "dns/v1/projects/{project}/managedZones/{managedZone}/dnsKeys/{dnsKeyId}", "response": { "$ref": "DnsKey" } }, "list": { "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request." }, "digestType": { "description": "An optional comma-separated list of digest types to compute and display for key signing keys. If omitted, the recommended digest type is computed and displayed.", "type": "string", "location": "query" }, "project": { "description": "Identifies the project addressed by this request.", "required": true, "location": "path", "type": "string" }, "maxResults": { "format": "int32", "location": "query", "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "type": "integer" }, "managedZone": { "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "required": true, "type": "string", "location": "path" } }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/dnsKeys", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "description": "Enumerates DnsKeys to a ResourceRecordSet collection.", "response": { "$ref": "DnsKeysListResponse" }, "id": "dns.dnsKeys.list", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/dnsKeys", "parameterOrder": [ "project", "managedZone" ] } } }, "resourceRecordSets": { "methods": { "patch": { "description": "Applies a partial update to an existing ResourceRecordSet.", "request": { "$ref": "ResourceRecordSet" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "parameters": { "type": { "location": "path", "description": "RRSet type.", "required": true, "type": "string" }, "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "name": { "type": "string", "description": "Fully qualified domain name.", "location": "path", "required": true }, "managedZone": { "type": "string", "required": true, "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path" }, "project": { "type": "string", "location": "path", "description": "Identifies the project addressed by this request.", "required": true } }, "parameterOrder": [ "project", "managedZone", "name", "type" ], "httpMethod": "PATCH", "response": { "$ref": "ResourceRecordSet" }, "id": "dns.resourceRecordSets.patch" }, "list": { "httpMethod": "GET", "description": "Enumerates ResourceRecordSets that you have created but not yet deleted.", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets", "id": "dns.resourceRecordSets.list", "parameters": { "managedZone": { "required": true, "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path" }, "pageToken": { "location": "query", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "type": "string" }, "name": { "location": "query", "description": "Restricts the list to return only records with this fully qualified domain name.", "type": "string" }, "project": { "location": "path", "required": true, "description": "Identifies the project addressed by this request.", "type": "string" }, "type": { "location": "query", "description": "Restricts the list to return only records of this type. If present, the \"name\" parameter must also be present.", "type": "string" }, "maxResults": { "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return.", "type": "integer", "format": "int32", "location": "query" } }, "parameterOrder": [ "project", "managedZone" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "ResourceRecordSetsListResponse" }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets" }, "get": { "id": "dns.resourceRecordSets.get", "parameterOrder": [ "project", "managedZone", "name", "type" ], "response": { "$ref": "ResourceRecordSet" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "path": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "parameters": { "managedZone": { "required": true, "type": "string", "location": "path", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID." }, "name": { "location": "path", "type": "string", "description": "Fully qualified domain name.", "required": true }, "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "type": { "description": "RRSet type.", "required": true, "location": "path", "type": "string" }, "project": { "location": "path", "required": true, "type": "string", "description": "Identifies the project addressed by this request." } }, "httpMethod": "GET", "description": "Fetches the representation of an existing ResourceRecordSet." }, "create": { "description": "Creates a new ResourceRecordSet.", "parameters": { "clientOperationId": { "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "type": "string" }, "managedZone": { "required": true, "location": "path", "type": "string", "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID." }, "project": { "type": "string", "required": true, "description": "Identifies the project addressed by this request.", "location": "path" } }, "response": { "$ref": "ResourceRecordSet" }, "path": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "request": { "$ref": "ResourceRecordSet" }, "id": "dns.resourceRecordSets.create", "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets", "parameterOrder": [ "project", "managedZone" ] }, "delete": { "path": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "response": { "$ref": "ResourceRecordSetsDeleteResponse" }, "httpMethod": "DELETE", "description": "Deletes a previously created ResourceRecordSet.", "id": "dns.resourceRecordSets.delete", "parameters": { "type": { "location": "path", "required": true, "type": "string", "description": "RRSet type." }, "managedZone": { "description": "Identifies the managed zone addressed by this request. Can be the managed zone name or ID.", "location": "path", "type": "string", "required": true }, "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "name": { "description": "Fully qualified domain name.", "required": true, "type": "string", "location": "path" }, "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" } }, "flatPath": "dns/v1/projects/{project}/managedZones/{managedZone}/rrsets/{name}/{type}", "parameterOrder": [ "project", "managedZone", "name", "type" ] } } }, "responsePolicies": { "methods": { "get": { "parameters": { "responsePolicy": { "required": true, "location": "path", "type": "string", "description": "User assigned name of the Response Policy addressed by this request." }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "project": { "required": true, "location": "path", "description": "Identifies the project addressed by this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "id": "dns.responsePolicies.get", "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "parameterOrder": [ "project", "responsePolicy" ], "httpMethod": "GET", "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "description": "Fetches the representation of an existing Response Policy.", "response": { "$ref": "ResponsePolicy" } }, "patch": { "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "description": "Applies a partial update to an existing Response Policy.", "id": "dns.responsePolicies.patch", "parameters": { "clientOperationId": { "type": "string", "location": "query", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "responsePolicy": { "required": true, "location": "path", "description": "User assigned name of the Respones Policy addressed by this request.", "type": "string" }, "project": { "location": "path", "required": true, "description": "Identifies the project addressed by this request.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "httpMethod": "PATCH", "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "response": { "$ref": "ResponsePoliciesPatchResponse" }, "parameterOrder": [ "project", "responsePolicy" ], "request": { "$ref": "ResponsePolicy" } }, "create": { "path": "dns/v1/projects/{project}/responsePolicies", "request": { "$ref": "ResponsePolicy" }, "response": { "$ref": "ResponsePolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "httpMethod": "POST", "flatPath": "dns/v1/projects/{project}/responsePolicies", "parameterOrder": [ "project" ], "parameters": { "clientOperationId": { "location": "query", "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection." }, "project": { "location": "path", "description": "Identifies the project addressed by this request.", "required": true, "type": "string" } }, "id": "dns.responsePolicies.create", "description": "Creates a new Response Policy" }, "update": { "request": { "$ref": "ResponsePolicy" }, "description": "Updates an existing Response Policy.", "parameterOrder": [ "project", "responsePolicy" ], "parameters": { "clientOperationId": { "type": "string", "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query" }, "project": { "location": "path", "required": true, "type": "string", "description": "Identifies the project addressed by this request." }, "responsePolicy": { "description": "User assigned name of the Response Policy addressed by this request.", "location": "path", "required": true, "type": "string" } }, "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "id": "dns.responsePolicies.update", "response": { "$ref": "ResponsePoliciesUpdateResponse" }, "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ] }, "list": { "id": "dns.responsePolicies.list", "description": "Enumerates all Response Policies associated with a project.", "httpMethod": "GET", "response": { "$ref": "ResponsePoliciesListResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/ndev.clouddns.readonly", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "parameters": { "project": { "type": "string", "description": "Identifies the project addressed by this request.", "required": true, "location": "path" }, "maxResults": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. Maximum number of results to be returned. If unspecified, the server decides how many results to return." }, "pageToken": { "type": "string", "description": "Optional. A tag returned by a previous list request that was truncated. Use this parameter to continue a previous list request.", "location": "query" } }, "parameterOrder": [ "project" ], "flatPath": "dns/v1/projects/{project}/responsePolicies", "path": "dns/v1/projects/{project}/responsePolicies" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/ndev.clouddns.readwrite" ], "path": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "httpMethod": "DELETE", "flatPath": "dns/v1/projects/{project}/responsePolicies/{responsePolicy}", "description": "Deletes a previously created Response Policy. Fails if the response policy is non-empty or still being referenced by a network.", "parameters": { "project": { "required": true, "type": "string", "description": "Identifies the project addressed by this request.", "location": "path" }, "clientOperationId": { "description": "For mutating operation requests only. An optional identifier specified by the client. Must be unique for operation resources in the Operations collection.", "location": "query", "type": "string" }, "responsePolicy": { "required": true, "type": "string", "location": "path", "description": "User assigned name of the Response Policy addressed by this request." } }, "parameterOrder": [ "project", "responsePolicy" ], "id": "dns.responsePolicies.delete" } } } }, "baseUrl": "https://dns.googleapis.com/", "batchPath": "batch", "mtlsRootUrl": "https://dns.mtls.googleapis.com/", "title": "Cloud DNS API", "ownerDomain": "google.com", "schemas": { "ResponsePolicyRulesPatchResponse": { "type": "object", "properties": { "header": { "$ref": "ResponseHeader" }, "responsePolicyRule": { "$ref": "ResponsePolicyRule" } }, "id": "ResponsePolicyRulesPatchResponse" }, "ResponsePolicyNetwork": { "properties": { "kind": { "default": "dns#responsePolicyNetwork", "type": "string" }, "networkUrl": { "description": "The fully qualified URL of the VPC network to bind to. This should be formatted like https://www.googleapis.com/compute/v1/projects/{project}/global/networks/{network}", "type": "string" } }, "type": "object", "id": "ResponsePolicyNetwork" }, "ManagedZoneServiceDirectoryConfig": { "type": "object", "description": "Contains information about Service Directory-backed zones.", "properties": { "namespace": { "$ref": "ManagedZoneServiceDirectoryConfigNamespace", "description": "Contains information about the namespace associated with the zone." }, "kind": { "default": "dns#managedZoneServiceDirectoryConfig", "type": "string" } }, "id": "ManagedZoneServiceDirectoryConfig" }, "GoogleIamV1AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "GoogleIamV1AuditConfig", "type": "object", "properties": { "auditLogConfigs": { "items": { "$ref": "GoogleIamV1AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } } }, "GoogleIamV1GetIamPolicyRequest": { "properties": { "options": { "description": "OPTIONAL: A `GetPolicyOptions` object for specifying options to `GetIamPolicy`.", "$ref": "GoogleIamV1GetPolicyOptions" } }, "type": "object", "id": "GoogleIamV1GetIamPolicyRequest", "description": "Request message for `GetIamPolicy` method." }, "GoogleIamV1Policy": { "properties": { "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "GoogleIamV1AuditConfig" }, "type": "array" }, "bindings": { "items": { "$ref": "GoogleIamV1Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "type": "object", "id": "GoogleIamV1Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "PoliciesUpdateResponse": { "type": "object", "id": "PoliciesUpdateResponse", "properties": { "policy": { "$ref": "Policy" }, "header": { "$ref": "ResponseHeader" } } }, "RRSetRoutingPolicyWrrPolicy": { "type": "object", "id": "RRSetRoutingPolicyWrrPolicy", "description": "Configures a RRSetRoutingPolicy that routes in a weighted round robin fashion.", "properties": { "kind": { "default": "dns#rRSetRoutingPolicyWrrPolicy", "type": "string" }, "items": { "type": "array", "items": { "$ref": "RRSetRoutingPolicyWrrPolicyWrrPolicyItem" } } } }, "ManagedZoneCloudLoggingConfig": { "description": "Cloud Logging configurations for publicly visible zones.", "properties": { "kind": { "default": "dns#managedZoneCloudLoggingConfig", "type": "string" }, "enableLogging": { "type": "boolean", "description": "If set, enable query logging for this ManagedZone. False by default, making logging opt-in." } }, "id": "ManagedZoneCloudLoggingConfig", "type": "object" }, "GoogleIamV1GetPolicyOptions": { "description": "Encapsulates settings provided to GetIamPolicy.", "id": "GoogleIamV1GetPolicyOptions", "type": "object", "properties": { "requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } } }, "GoogleIamV1TestIamPermissionsRequest": { "type": "object", "description": "Request message for `TestIamPermissions` method.", "id": "GoogleIamV1TestIamPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } } }, "OperationDnsKeyContext": { "type": "object", "id": "OperationDnsKeyContext", "properties": { "newValue": { "description": "The post-operation DnsKey resource.", "$ref": "DnsKey" }, "oldValue": { "description": "The pre-operation DnsKey resource.", "$ref": "DnsKey" } } }, "ResponsePolicyRule": { "type": "object", "id": "ResponsePolicyRule", "description": "A Response Policy Rule is a selector that applies its behavior to queries that match the selector. Selectors are DNS names, which may be wildcards or exact matches. Each DNS query subject to a Response Policy matches at most one ResponsePolicyRule, as identified by the dns_name field with the longest matching suffix.", "properties": { "behavior": { "enum": [ "behaviorUnspecified", "bypassResponsePolicy" ], "type": "string", "description": "Answer this query with a behavior rather than DNS data.", "enumDescriptions": [ "", "Skip a less-specific ResponsePolicyRule and continue normal query logic. This can be used with a less-specific wildcard selector to exempt a subset of the wildcard ResponsePolicyRule from the ResponsePolicy behavior and query the public Internet instead. For instance, if these rules exist: *.example.com -\u003e LocalData 1.2.3.4 foo.example.com -\u003e Behavior 'bypassResponsePolicy' Then a query for 'foo.example.com' skips the wildcard. This additionally functions to facilitate the allowlist feature. RPZs can be applied to multiple levels in the (eventually org, folder, project, network) hierarchy. If a rule is applied at a higher level of the hierarchy, adding a passthru rule at a lower level will supersede that, and a query from an affected vm to that domain will be exempt from the RPZ and proceed to normal resolution behavior." ] }, "kind": { "default": "dns#responsePolicyRule", "type": "string" }, "dnsName": { "description": "The DNS name (wildcard or exact) to apply this rule to. Must be unique within the Response Policy Rule.", "type": "string" }, "ruleName": { "description": "An identifier for this rule. Must be unique with the ResponsePolicy.", "type": "string" }, "localData": { "description": "Answer this query directly with DNS data. These ResourceRecordSets override any other DNS behavior for the matched name; in particular they override private zones, the public internet, and GCP internal DNS. No SOA nor NS types are allowed.", "$ref": "ResponsePolicyRuleLocalData" } } }, "DnsKey": { "id": "DnsKey", "type": "object", "properties": { "id": { "type": "string", "description": "Unique identifier for the resource; defined by the server (output only)." }, "publicKey": { "type": "string", "description": "Base64 encoded public half of this key. Output only." }, "keyLength": { "type": "integer", "format": "uint32", "description": "Length of the key in bits. Specified at creation time, and then immutable." }, "description": { "type": "string", "description": "A mutable string of at most 1024 characters associated with this resource for the user's convenience. Has no effect on the resource's function." }, "kind": { "type": "string", "default": "dns#dnsKey" }, "isActive": { "description": "Active keys are used to sign subsequent changes to the ManagedZone. Inactive keys are still present as DNSKEY Resource Records for the use of resolvers validating existing signatures.", "type": "boolean" }, "keyTag": { "type": "integer", "format": "int32", "description": "The key tag is a non-cryptographic hash of the a DNSKEY resource record associated with this DnsKey. The key tag can be used to identify a DNSKEY more quickly (but it is not a unique identifier). In particular, the key tag is used in a parent zone's DS record to point at the DNSKEY in this child ManagedZone. The key tag is a number in the range [0, 65535] and the algorithm to calculate it is specified in RFC4034 Appendix B. Output only." }, "type": { "description": "One of \"KEY_SIGNING\" or \"ZONE_SIGNING\". Keys of type KEY_SIGNING have the Secure Entry Point flag set and, when active, are used to sign only resource record sets of type DNSKEY. Otherwise, the Secure Entry Point flag is cleared, and this key is used to sign only resource record sets of other types. Immutable after creation time.", "enumDescriptions": [ "", "" ], "type": "string", "enum": [ "keySigning", "zoneSigning" ] }, "digests": { "items": { "$ref": "DnsKeyDigest" }, "description": "Cryptographic hashes of the DNSKEY resource record associated with this DnsKey. These digests are needed to construct a DS record that points at this DNS key. Output only.", "type": "array" }, "creationTime": { "type": "string", "description": "The time that this resource was created in the control plane. This is in RFC3339 text format. Output only." }, "algorithm": { "description": "String mnemonic specifying the DNSSEC algorithm of this key. Immutable after creation time.", "enum": [ "rsasha1", "rsasha256", "rsasha512", "ecdsap256sha256", "ecdsap384sha384" ], "type": "string", "enumDescriptions": [ "", "", "", "", "" ] } }, "description": "A DNSSEC key pair." }, "ManagedZoneServiceDirectoryConfigNamespace": { "type": "object", "id": "ManagedZoneServiceDirectoryConfigNamespace", "properties": { "kind": { "default": "dns#managedZoneServiceDirectoryConfigNamespace", "type": "string" }, "deletionTime": { "type": "string", "description": "The time that the namespace backing this zone was deleted; an empty string if it still exists. This is in RFC3339 text format. Output only." }, "namespaceUrl": { "type": "string", "description": "The fully qualified URL of the namespace associated with the zone. Format must be https://servicedirectory.googleapis.com/v1/projects/{project}/locations/{location}/namespaces/{namespace}" } } }, "RRSetRoutingPolicyGeoPolicy": { "description": "Configures a RRSetRoutingPolicy that routes based on the geo location of the querying user.", "type": "object", "id": "RRSetRoutingPolicyGeoPolicy", "properties": { "items": { "description": "The primary geo routing configuration. If there are multiple items with the same location, an error is returned instead.", "items": { "$ref": "RRSetRoutingPolicyGeoPolicyGeoPolicyItem" }, "type": "array" }, "kind": { "type": "string", "default": "dns#rRSetRoutingPolicyGeoPolicy" } } }, "DnsKeysListResponse": { "type": "object", "description": "The response to a request to enumerate DnsKeys in a ManagedZone.", "properties": { "header": { "$ref": "ResponseHeader" }, "dnsKeys": { "items": { "$ref": "DnsKey" }, "type": "array", "description": "The requested resources." }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token. In this way you can retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. There is no way to retrieve a \"snapshot\" of collections larger than the maximum page size." }, "kind": { "default": "dns#dnsKeysListResponse", "type": "string", "description": "Type of resource." } }, "id": "DnsKeysListResponse" }, "OperationManagedZoneContext": { "id": "OperationManagedZoneContext", "properties": { "newValue": { "$ref": "ManagedZone", "description": "The post-operation ManagedZone resource." }, "oldValue": { "description": "The pre-operation ManagedZone resource.", "$ref": "ManagedZone" } }, "type": "object" }, "Change": { "properties": { "kind": { "type": "string", "default": "dns#change" }, "startTime": { "type": "string", "description": "The time that this operation was started by the server (output only). This is in RFC3339 text format." }, "additions": { "items": { "$ref": "ResourceRecordSet" }, "type": "array", "description": "Which ResourceRecordSets to add?" }, "status": { "description": "Status of the operation (output only). A status of \"done\" means that the request to update the authoritative servers has been sent, but the servers might not be updated yet.", "enum": [ "pending", "done" ], "type": "string", "enumDescriptions": [ "", "" ] }, "deletions": { "description": "Which ResourceRecordSets to remove? Must match existing data exactly.", "type": "array", "items": { "$ref": "ResourceRecordSet" } }, "id": { "description": "Unique identifier for the resource; defined by the server (output only).", "type": "string" }, "isServing": { "type": "boolean", "description": "If the DNS queries for the zone will be served." } }, "description": "A Change represents a set of ResourceRecordSet additions and deletions applied atomically to a ManagedZone. ResourceRecordSets within a ManagedZone are modified by creating a new Change element in the Changes collection. In turn the Changes collection also records the past modifications to the ResourceRecordSets in a ManagedZone. The current state of the ManagedZone is the sum effect of applying all Change elements in the Changes collection in sequence.", "id": "Change", "type": "object" }, "ResponsePolicy": { "description": "A Response Policy is a collection of selectors that apply to queries made against one or more Virtual Private Cloud networks.", "properties": { "networks": { "type": "array", "description": "List of network names specifying networks to which this policy is applied.", "items": { "$ref": "ResponsePolicyNetwork" } }, "description": { "description": "User-provided description for this Response Policy.", "type": "string" }, "id": { "type": "string", "format": "int64", "description": "Unique identifier for the resource; defined by the server (output only)." }, "kind": { "type": "string", "default": "dns#responsePolicy" }, "responsePolicyName": { "description": "User assigned name for this Response Policy.", "type": "string" } }, "id": "ResponsePolicy", "type": "object" }, "ResponsePolicyRulesUpdateResponse": { "id": "ResponsePolicyRulesUpdateResponse", "type": "object", "properties": { "header": { "$ref": "ResponseHeader" }, "responsePolicyRule": { "$ref": "ResponsePolicyRule" } } }, "ChangesListResponse": { "properties": { "changes": { "items": { "$ref": "Change" }, "description": "The requested changes.", "type": "array" }, "header": { "$ref": "ResponseHeader" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token. This lets you retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a \"snapshot\" of collections larger than the maximum page size." }, "kind": { "type": "string", "default": "dns#changesListResponse", "description": "Type of resource." } }, "type": "object", "description": "The response to a request to enumerate Changes to a ResourceRecordSets collection.", "id": "ChangesListResponse" }, "ResponsePoliciesPatchResponse": { "type": "object", "properties": { "responsePolicy": { "$ref": "ResponsePolicy" }, "header": { "$ref": "ResponseHeader" } }, "id": "ResponsePoliciesPatchResponse" }, "ManagedZoneForwardingConfigNameServerTarget": { "properties": { "ipv4Address": { "type": "string", "description": "IPv4 address of a target name server." }, "forwardingPath": { "description": "Forwarding path for this NameServerTarget. If unset or set to DEFAULT, Cloud DNS makes forwarding decisions based on IP address ranges; that is, RFC1918 addresses go to the VPC network, non-RFC1918 addresses go to the internet. When set to PRIVATE, Cloud DNS always sends queries through the VPC network for this target.", "enum": [ "default", "private" ], "type": "string", "enumDescriptions": [ "Cloud DNS makes forwarding decisions based on address ranges; that is, RFC1918 addresses forward to the target through the VPC and non-RFC1918 addresses forward to the target through the internet", "Cloud DNS always forwards to this target through the VPC." ] }, "kind": { "default": "dns#managedZoneForwardingConfigNameServerTarget", "type": "string" } }, "id": "ManagedZoneForwardingConfigNameServerTarget", "type": "object" }, "PolicyNetwork": { "id": "PolicyNetwork", "properties": { "kind": { "default": "dns#policyNetwork", "type": "string" }, "networkUrl": { "type": "string", "description": "The fully qualified URL of the VPC network to bind to. This should be formatted like https://www.googleapis.com/compute/v1/projects/{project}/global/networks/{network}" } }, "type": "object" }, "ResourceRecordSet": { "type": "object", "properties": { "ttl": { "format": "int32", "description": "Number of seconds that this ResourceRecordSet can be cached by resolvers.", "type": "integer" }, "kind": { "type": "string", "default": "dns#resourceRecordSet" }, "rrdatas": { "description": "As defined in RFC 1035 (section 5) and RFC 1034 (section 3.6.1) -- see examples.", "items": { "type": "string" }, "type": "array" }, "routingPolicy": { "$ref": "RRSetRoutingPolicy", "description": "Configures dynamic query responses based on geo location of querying user or a weighted round robin based routing policy. A ResourceRecordSet should only have either rrdata (static) or routing_policy (dynamic). An error is returned otherwise." }, "type": { "type": "string", "description": "The identifier of a supported record type. See the list of Supported DNS record types." }, "name": { "type": "string", "description": "For example, www.example.com." }, "signatureRrdatas": { "description": "As defined in RFC 4034 (section 3.2).", "type": "array", "items": { "type": "string" } } }, "description": "A unit of data that is returned by the DNS servers.", "id": "ResourceRecordSet" }, "ManagedZonePrivateVisibilityConfigNetwork": { "id": "ManagedZonePrivateVisibilityConfigNetwork", "type": "object", "properties": { "networkUrl": { "description": "The fully qualified URL of the VPC network to bind to. Format this URL like https://www.googleapis.com/compute/v1/projects/{project}/global/networks/{network}", "type": "string" }, "kind": { "default": "dns#managedZonePrivateVisibilityConfigNetwork", "type": "string" } } }, "GoogleIamV1TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "GoogleIamV1TestIamPermissionsResponse", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "type": "object" }, "PolicyAlternativeNameServerConfigTargetNameServer": { "properties": { "kind": { "default": "dns#policyAlternativeNameServerConfigTargetNameServer", "type": "string" }, "forwardingPath": { "enum": [ "default", "private" ], "description": "Forwarding path for this TargetNameServer. If unset or set to DEFAULT, Cloud DNS makes forwarding decisions based on address ranges; that is, RFC1918 addresses go to the VPC network, non-RFC1918 addresses go to the internet. When set to PRIVATE, Cloud DNS always sends queries through the VPC network for this target.", "enumDescriptions": [ "Cloud DNS makes forwarding decision based on IP address ranges; that is, RFC1918 addresses forward to the target through the VPC and non-RFC1918 addresses forward to the target through the internet", "Cloud DNS always forwards to this target through the VPC." ], "type": "string" }, "ipv4Address": { "description": "IPv4 address to forward to.", "type": "string" } }, "type": "object", "id": "PolicyAlternativeNameServerConfigTargetNameServer" }, "ManagedZoneOperationsListResponse": { "properties": { "kind": { "type": "string", "default": "dns#managedZoneOperationsListResponse", "description": "Type of resource." }, "header": { "$ref": "ResponseHeader" }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token. This lets you retrieve the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size." }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "The operation resources." } }, "id": "ManagedZoneOperationsListResponse", "type": "object" }, "ManagedZone": { "id": "ManagedZone", "type": "object", "properties": { "serviceDirectoryConfig": { "$ref": "ManagedZoneServiceDirectoryConfig", "description": "This field links to the associated service directory namespace. Do not set this field for public zones or forwarding zones." }, "dnsName": { "type": "string", "description": "The DNS name of this managed zone, for instance \"example.com.\"." }, "name": { "type": "string", "description": "User assigned name for this resource. Must be unique within the project. The name must be 1-63 characters long, must begin with a letter, end with a letter or digit, and only contain lowercase letters, digits or dashes." }, "peeringConfig": { "description": "The presence of this field indicates that DNS Peering is enabled for this zone. The value of this field contains the network to peer with.", "$ref": "ManagedZonePeeringConfig" }, "dnssecConfig": { "$ref": "ManagedZoneDnsSecConfig", "description": "DNSSEC configuration." }, "privateVisibilityConfig": { "description": "For privately visible zones, the set of Virtual Private Cloud resources that the zone is visible from.", "$ref": "ManagedZonePrivateVisibilityConfig" }, "visibility": { "type": "string", "enumDescriptions": [ "", "" ], "description": "The zone's visibility: public zones are exposed to the Internet, while private zones are visible only to Virtual Private Cloud resources.", "enum": [ "public", "private" ] }, "nameServers": { "items": { "type": "string" }, "type": "array", "description": "Delegate your managed_zone to these virtual name servers; defined by the server (output only)" }, "kind": { "default": "dns#managedZone", "type": "string" }, "reverseLookupConfig": { "$ref": "ManagedZoneReverseLookupConfig", "description": "The presence of this field indicates that this is a managed reverse lookup zone and Cloud DNS resolves reverse lookup queries using automatically configured records for VPC resources. This only applies to networks listed under private_visibility_config." }, "nameServerSet": { "type": "string", "description": "Optionally specifies the NameServerSet for this ManagedZone. A NameServerSet is a set of DNS name servers that all host the same ManagedZones. Most users leave this field unset. If you need to use this field, contact your account team." }, "description": { "description": "A mutable string of at most 1024 characters associated with this resource for the user's convenience. Has no effect on the managed zone's function.", "type": "string" }, "labels": { "type": "object", "description": "User labels.", "additionalProperties": { "type": "string" } }, "cloudLoggingConfig": { "$ref": "ManagedZoneCloudLoggingConfig" }, "forwardingConfig": { "description": "The presence for this field indicates that outbound forwarding is enabled for this zone. The value of this field contains the set of destinations to forward to.", "$ref": "ManagedZoneForwardingConfig" }, "creationTime": { "type": "string", "description": "The time that this resource was created on the server. This is in RFC3339 text format. Output only." }, "id": { "type": "string", "description": "Unique identifier for the resource; defined by the server (output only)", "format": "uint64" } }, "description": "A zone is a subtree of the DNS namespace under one administrative responsibility. A ManagedZone is a resource that represents a DNS zone hosted by the Cloud DNS service." }, "PoliciesPatchResponse": { "properties": { "header": { "$ref": "ResponseHeader" }, "policy": { "$ref": "Policy" } }, "type": "object", "id": "PoliciesPatchResponse" }, "GoogleIamV1AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "GoogleIamV1AuditLogConfig", "properties": { "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables." }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } } } }, "Quota": { "description": "Limits associated with a Project.", "properties": { "kind": { "type": "string", "default": "dns#quota" }, "policies": { "description": "Maximum allowed number of policies per project.", "type": "integer", "format": "int32" }, "itemsPerRoutingPolicy": { "format": "int32", "description": "Maximum allowed number of items per routing policy.", "type": "integer" }, "gkeClustersPerPolicy": { "format": "int32", "type": "integer", "description": "Maximum allowed number of GKE clusters per policy." }, "targetNameServersPerManagedZone": { "type": "integer", "description": "Maximum allowed number of target name servers per managed forwarding zone.", "format": "int32" }, "responsePolicies": { "type": "integer", "description": "Maximum allowed number of response policies per project.", "format": "int32" }, "totalRrdataSizePerChange": { "description": "Maximum allowed size for total rrdata in one ChangesCreateRequest in bytes.", "type": "integer", "format": "int32" }, "rrsetsPerManagedZone": { "description": "Maximum allowed number of ResourceRecordSets per zone in the project.", "type": "integer", "format": "int32" }, "whitelistedKeySpecs": { "description": "DNSSEC algorithm and key length types that can be used for DnsKeys.", "type": "array", "items": { "$ref": "DnsKeySpec" } }, "gkeClustersPerManagedZone": { "format": "int32", "description": "Maximum allowed number of GKE clusters to which a privately scoped zone can be attached.", "type": "integer" }, "dnsKeysPerManagedZone": { "format": "int32", "type": "integer", "description": "Maximum allowed number of DnsKeys per ManagedZone." }, "networksPerPolicy": { "type": "integer", "format": "int32", "description": "Maximum allowed number of networks per policy." }, "networksPerResponsePolicy": { "description": "Maximum allowed number of networks per response policy.", "format": "int32", "type": "integer" }, "gkeClustersPerResponsePolicy": { "description": "Maximum allowed number of GKE clusters per response policy.", "type": "integer", "format": "int32" }, "managedZones": { "description": "Maximum allowed number of managed zones in the project.", "type": "integer", "format": "int32" }, "managedZonesPerNetwork": { "format": "int32", "description": "Maximum allowed number of managed zones which can be attached to a network.", "type": "integer" }, "resourceRecordsPerRrset": { "description": "Maximum allowed number of ResourceRecords per ResourceRecordSet.", "type": "integer", "format": "int32" }, "peeringZonesPerTargetNetwork": { "type": "integer", "description": "Maximum allowed number of consumer peering zones per target network owned by this producer project", "format": "int32" }, "networksPerManagedZone": { "type": "integer", "description": "Maximum allowed number of networks to which a privately scoped zone can be attached.", "format": "int32" }, "rrsetAdditionsPerChange": { "type": "integer", "description": "Maximum allowed number of ResourceRecordSets to add per ChangesCreateRequest.", "format": "int32" }, "rrsetDeletionsPerChange": { "type": "integer", "format": "int32", "description": "Maximum allowed number of ResourceRecordSets to delete per ChangesCreateRequest." }, "targetNameServersPerPolicy": { "description": "Maximum allowed number of alternative target name servers per policy.", "type": "integer", "format": "int32" }, "managedZonesPerGkeCluster": { "type": "integer", "description": "Maximum allowed number of managed zones which can be attached to a GKE cluster.", "format": "int32" }, "responsePolicyRulesPerResponsePolicy": { "description": "Maximum allowed number of rules per response policy.", "type": "integer", "format": "int32" } }, "type": "object", "id": "Quota" }, "PolicyAlternativeNameServerConfig": { "id": "PolicyAlternativeNameServerConfig", "type": "object", "properties": { "kind": { "default": "dns#policyAlternativeNameServerConfig", "type": "string" }, "targetNameServers": { "items": { "$ref": "PolicyAlternativeNameServerConfigTargetNameServer" }, "description": "Sets an alternative name server for the associated networks. When specified, all DNS queries are forwarded to a name server that you choose. Names such as .internal are not available when an alternative name server is specified.", "type": "array" } } }, "ManagedZonesListResponse": { "properties": { "header": { "$ref": "ResponseHeader" }, "managedZones": { "description": "The managed zone resources.", "type": "array", "items": { "$ref": "ManagedZone" } }, "nextPageToken": { "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token. This lets you the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size.", "type": "string" }, "kind": { "default": "dns#managedZonesListResponse", "type": "string", "description": "Type of resource." } }, "id": "ManagedZonesListResponse", "type": "object" }, "RRSetRoutingPolicyGeoPolicyGeoPolicyItem": { "properties": { "signatureRrdatas": { "items": { "type": "string" }, "description": "DNSSEC generated signatures for all the rrdata within this item. Note that if health checked targets are provided for DNSSEC enabled zones, there's a restriction of 1 ip per item. .", "type": "array" }, "kind": { "type": "string", "default": "dns#rRSetRoutingPolicyGeoPolicyGeoPolicyItem" }, "rrdatas": { "type": "array", "items": { "type": "string" } }, "location": { "type": "string", "description": "The geo-location granularity is a GCP region. This location string should correspond to a GCP region. e.g. \"us-east1\", \"southamerica-east1\", \"asia-east1\", etc." } }, "type": "object", "id": "RRSetRoutingPolicyGeoPolicyGeoPolicyItem", "description": "ResourceRecordSet data for one geo location." }, "ResponsePoliciesUpdateResponse": { "type": "object", "id": "ResponsePoliciesUpdateResponse", "properties": { "header": { "$ref": "ResponseHeader" }, "responsePolicy": { "$ref": "ResponsePolicy" } } }, "ResponseHeader": { "description": "Elements common to every response.", "properties": { "operationId": { "description": "For mutating operation requests that completed successfully. This is the client_operation_id if the client specified it, otherwise it is generated by the server (output only).", "type": "string" } }, "id": "ResponseHeader", "type": "object" }, "ResponsePolicyRuleLocalData": { "type": "object", "properties": { "localDatas": { "description": "All resource record sets for this selector, one per resource record type. The name must match the dns_name.", "type": "array", "items": { "$ref": "ResourceRecordSet" } } }, "id": "ResponsePolicyRuleLocalData" }, "DnsKeyDigest": { "properties": { "type": { "type": "string", "description": "Specifies the algorithm used to calculate this digest.", "enum": [ "sha1", "sha256", "sha384" ], "enumDescriptions": [ "", "", "" ] }, "digest": { "type": "string", "description": "The base-16 encoded bytes of this digest. Suitable for use in a DS resource record." } }, "id": "DnsKeyDigest", "type": "object" }, "RRSetRoutingPolicyWrrPolicyWrrPolicyItem": { "properties": { "signatureRrdatas": { "items": { "type": "string" }, "type": "array", "description": "DNSSEC generated signatures for all the rrdata within this item. Note that if health checked targets are provided for DNSSEC enabled zones, there's a restriction of 1 ip per item. ." }, "kind": { "type": "string", "default": "dns#rRSetRoutingPolicyWrrPolicyWrrPolicyItem" }, "weight": { "format": "double", "type": "number", "description": "The weight corresponding to this subset of rrdata. When multiple WeightedRoundRobinPolicyItems are configured, the probability of returning an rrset is proportional to its weight relative to the sum of weights configured for all items. This weight should be non-negative." }, "rrdatas": { "type": "array", "items": { "type": "string" } } }, "description": "A routing block which contains the routing information for one WRR item.", "id": "RRSetRoutingPolicyWrrPolicyWrrPolicyItem", "type": "object" }, "ResponsePolicyRulesListResponse": { "id": "ResponsePolicyRulesListResponse", "properties": { "nextPageToken": { "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token. This lets you the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size.", "type": "string" }, "responsePolicyRules": { "type": "array", "items": { "$ref": "ResponsePolicyRule" }, "description": "The Response Policy Rule resources." }, "header": { "$ref": "ResponseHeader" } }, "type": "object" }, "ManagedZoneDnsSecConfig": { "id": "ManagedZoneDnsSecConfig", "type": "object", "properties": { "kind": { "default": "dns#managedZoneDnsSecConfig", "type": "string" }, "defaultKeySpecs": { "description": "Specifies parameters for generating initial DnsKeys for this ManagedZone. Can only be changed while the state is OFF.", "type": "array", "items": { "$ref": "DnsKeySpec" } }, "state": { "description": "Specifies whether DNSSEC is enabled, and what mode it is in.", "type": "string", "enumDescriptions": [ "DNSSEC is disabled; the zone is not signed.", "DNSSEC is enabled; the zone is signed and fully managed.", "DNSSEC is enabled, but in a \"transfer\" mode." ], "enum": [ "off", "on", "transfer" ] }, "nonExistence": { "type": "string", "enumDescriptions": [ "", "" ], "enum": [ "nsec", "nsec3" ], "description": "Specifies the mechanism for authenticated denial-of-existence responses. Can only be changed while the state is OFF." } } }, "Expr": { "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "ManagedZoneReverseLookupConfig": { "type": "object", "id": "ManagedZoneReverseLookupConfig", "properties": { "kind": { "type": "string", "default": "dns#managedZoneReverseLookupConfig" } } }, "PoliciesListResponse": { "id": "PoliciesListResponse", "type": "object", "properties": { "nextPageToken": { "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token. This lets you the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size.", "type": "string" }, "header": { "$ref": "ResponseHeader" }, "kind": { "default": "dns#policiesListResponse", "description": "Type of resource.", "type": "string" }, "policies": { "type": "array", "description": "The policy resources.", "items": { "$ref": "Policy" } } } }, "ManagedZonePeeringConfigTargetNetwork": { "type": "object", "properties": { "networkUrl": { "type": "string", "description": "The fully qualified URL of the VPC network to forward queries to. This should be formatted like https://www.googleapis.com/compute/v1/projects/{project}/global/networks/{network}" }, "kind": { "default": "dns#managedZonePeeringConfigTargetNetwork", "type": "string" }, "deactivateTime": { "type": "string", "description": "The time at which the zone was deactivated, in RFC 3339 date-time format. An empty string indicates that the peering connection is active. The producer network can deactivate a zone. The zone is automatically deactivated if the producer network that the zone targeted is deleted. Output only." } }, "id": "ManagedZonePeeringConfigTargetNetwork" }, "Operation": { "type": "object", "properties": { "id": { "description": "Unique identifier for the resource. This is the client_operation_id if the client specified it when the mutation was initiated, otherwise, it is generated by the server. The name must be 1-63 characters long and match the regular expression [-a-z0-9]? (output only)", "type": "string" }, "zoneContext": { "$ref": "OperationManagedZoneContext", "description": "Only populated if the operation targeted a ManagedZone (output only)." }, "user": { "description": "User who requested the operation, for example: user@example.com. cloud-dns-system for operations automatically done by the system. (output only)", "type": "string" }, "type": { "type": "string", "description": "Type of the operation. Operations include insert, update, and delete (output only)." }, "dnsKeyContext": { "$ref": "OperationDnsKeyContext", "description": "Only populated if the operation targeted a DnsKey (output only)." }, "startTime": { "description": "The time that this operation was started by the server. This is in RFC3339 text format (output only).", "type": "string" }, "status": { "description": "Status of the operation. Can be one of the following: \"PENDING\" or \"DONE\" (output only). A status of \"DONE\" means that the request to update the authoritative servers has been sent, but the servers might not be updated yet.", "enum": [ "pending", "done" ], "type": "string", "enumDescriptions": [ "", "" ] }, "kind": { "type": "string", "default": "dns#operation" } }, "id": "Operation", "description": "An operation represents a successful mutation performed on a Cloud DNS resource. Operations provide: - An audit log of server resource mutations. - A way to recover/retry API calls in the case where the response is never received by the caller. Use the caller specified client_operation_id." }, "Policy": { "type": "object", "id": "Policy", "properties": { "kind": { "default": "dns#policy", "type": "string" }, "enableInboundForwarding": { "type": "boolean", "description": "Allows networks bound to this policy to receive DNS queries sent by VMs or applications over VPN connections. When enabled, a virtual IP address is allocated from each of the subnetworks that are bound to this policy." }, "description": { "type": "string", "description": "A mutable string of at most 1024 characters associated with this resource for the user's convenience. Has no effect on the policy's function." }, "name": { "description": "User-assigned name for this policy.", "type": "string" }, "alternativeNameServerConfig": { "$ref": "PolicyAlternativeNameServerConfig", "description": "Sets an alternative name server for the associated networks. When specified, all DNS queries are forwarded to a name server that you choose. Names such as .internal are not available when an alternative name server is specified." }, "networks": { "description": "List of network names specifying networks to which this policy is applied.", "items": { "$ref": "PolicyNetwork" }, "type": "array" }, "id": { "type": "string", "format": "uint64", "description": "Unique identifier for the resource; defined by the server (output only)." }, "enableLogging": { "type": "boolean", "description": "Controls whether logging is enabled for the networks bound to this policy. Defaults to no logging if not set." } }, "description": "A policy is a collection of DNS rules applied to one or more Virtual Private Cloud resources." }, "ResponsePoliciesListResponse": { "type": "object", "id": "ResponsePoliciesListResponse", "properties": { "header": { "$ref": "ResponseHeader" }, "responsePolicies": { "type": "array", "items": { "$ref": "ResponsePolicy" }, "description": "The Response Policy resources." }, "nextPageToken": { "type": "string", "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your page token. This lets you the complete contents of even very large collections one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of all elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size." } } }, "ManagedZoneForwardingConfig": { "type": "object", "id": "ManagedZoneForwardingConfig", "properties": { "kind": { "default": "dns#managedZoneForwardingConfig", "type": "string" }, "targetNameServers": { "type": "array", "description": "List of target name servers to forward to. Cloud DNS selects the best available name server if more than one target is given.", "items": { "$ref": "ManagedZoneForwardingConfigNameServerTarget" } } } }, "DnsKeySpec": { "id": "DnsKeySpec", "description": "Parameters for DnsKey key generation. Used for generating initial keys for a new ManagedZone and as default when adding a new DnsKey.", "properties": { "kind": { "type": "string", "default": "dns#dnsKeySpec" }, "keyType": { "enumDescriptions": [ "", "" ], "enum": [ "keySigning", "zoneSigning" ], "description": "Specifies whether this is a key signing key (KSK) or a zone signing key (ZSK). Key signing keys have the Secure Entry Point flag set and, when active, are only used to sign resource record sets of type DNSKEY. Zone signing keys do not have the Secure Entry Point flag set and are used to sign all other types of resource record sets.", "type": "string" }, "keyLength": { "description": "Length of the keys in bits.", "type": "integer", "format": "uint32" }, "algorithm": { "type": "string", "description": "String mnemonic specifying the DNSSEC algorithm of this key.", "enum": [ "rsasha1", "rsasha256", "rsasha512", "ecdsap256sha256", "ecdsap384sha384" ], "enumDescriptions": [ "", "", "", "", "" ] } }, "type": "object" }, "RRSetRoutingPolicy": { "id": "RRSetRoutingPolicy", "description": "A RRSetRoutingPolicy represents ResourceRecordSet data that is returned dynamically with the response varying based on configured properties such as geolocation or by weighted random selection.", "type": "object", "properties": { "wrr": { "$ref": "RRSetRoutingPolicyWrrPolicy" }, "geo": { "$ref": "RRSetRoutingPolicyGeoPolicy" }, "kind": { "type": "string", "default": "dns#rRSetRoutingPolicy" } } }, "ResourceRecordSetsDeleteResponse": { "id": "ResourceRecordSetsDeleteResponse", "type": "object", "properties": {} }, "ManagedZonePrivateVisibilityConfig": { "id": "ManagedZonePrivateVisibilityConfig", "properties": { "kind": { "default": "dns#managedZonePrivateVisibilityConfig", "type": "string" }, "networks": { "items": { "$ref": "ManagedZonePrivateVisibilityConfigNetwork" }, "type": "array", "description": "The list of VPC networks that can see this zone." } }, "type": "object" }, "GoogleIamV1Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array", "items": { "type": "string" } }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } }, "id": "GoogleIamV1Binding" }, "Project": { "id": "Project", "description": "A project resource. The project is a top level container for resources including Cloud DNS ManagedZones. Projects can be created only in the APIs console. Next tag: 7.", "type": "object", "properties": { "id": { "type": "string", "description": "User assigned unique identifier for the resource (output only)." }, "kind": { "type": "string", "default": "dns#project" }, "quota": { "description": "Quotas assigned to this project (output only).", "$ref": "Quota" }, "number": { "format": "uint64", "description": "Unique numeric identifier for the resource; defined by the server (output only).", "type": "string" } } }, "GoogleIamV1SetIamPolicyRequest": { "type": "object", "properties": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "GoogleIamV1Policy" } }, "id": "GoogleIamV1SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "ResourceRecordSetsListResponse": { "id": "ResourceRecordSetsListResponse", "type": "object", "properties": { "nextPageToken": { "description": "The presence of this field indicates that there exist more results following your last page of results in pagination order. To fetch them, make another list request using this value as your pagination token. This lets you retrieve complete contents of even larger collections, one page at a time. However, if the contents of the collection change between the first and last paginated list request, the set of elements returned are an inconsistent view of the collection. You cannot retrieve a consistent snapshot of a collection larger than the maximum page size.", "type": "string" }, "kind": { "description": "Type of resource.", "default": "dns#resourceRecordSetsListResponse", "type": "string" }, "header": { "$ref": "ResponseHeader" }, "rrsets": { "description": "The resource record set resources.", "type": "array", "items": { "$ref": "ResourceRecordSet" } } } }, "ManagedZonePeeringConfig": { "id": "ManagedZonePeeringConfig", "type": "object", "properties": { "targetNetwork": { "description": "The network with which to peer.", "$ref": "ManagedZonePeeringConfigTargetNetwork" }, "kind": { "default": "dns#managedZonePeeringConfig", "type": "string" } } } }, "basePath": "", "ownerName": "Google", "kind": "discovery#restDescription", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "id": "dns:v1" }
]===]))
