local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "name": "docs", "protocol": "rest", "canonicalName": "Docs", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/drive.readonly": { "description": "See and download all your Google Drive files" }, "https://www.googleapis.com/auth/documents.readonly": { "description": "See all your Google Docs documents" }, "https://www.googleapis.com/auth/documents": { "description": "See, edit, create, and delete all your Google Docs documents" }, "https://www.googleapis.com/auth/drive": { "description": "See, edit, create, and delete all of your Google Drive files" }, "https://www.googleapis.com/auth/drive.file": { "description": "See, edit, create, and delete only the specific Google Drive files you use with this app" } } } }, "discoveryVersion": "v1", "batchPath": "batch", "rootUrl": "https://docs.googleapis.com/", "servicePath": "", "version": "v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "ownerDomain": "google.com", "schemas": { "InsertInlineImageResponse": { "description": "The result of inserting an inline image.", "id": "InsertInlineImageResponse", "type": "object", "properties": { "objectId": { "description": "The ID of the created InlineObject.", "type": "string" } } }, "TextRun": { "properties": { "content": { "type": "string", "description": "The text of this run. Any non-text elements in the run are replaced with the Unicode character U+E907." }, "suggestedInsertionIds": { "description": "The suggested insertion IDs. A TextRun may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "type": "array", "items": { "type": "string" } }, "suggestedTextStyleChanges": { "additionalProperties": { "$ref": "SuggestedTextStyle" }, "description": "The suggested text style changes to this run, keyed by suggestion ID.", "type": "object" }, "suggestedDeletionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." }, "textStyle": { "description": "The text style of this run.", "$ref": "TextStyle" } }, "description": "A ParagraphElement that represents a run of text that all has the same styling.", "id": "TextRun", "type": "object" }, "StructuralElement": { "properties": { "startIndex": { "format": "int32", "type": "integer", "description": "The zero-based start index of this structural element, in UTF-16 code units." }, "table": { "description": "A table type of structural element.", "$ref": "Table" }, "sectionBreak": { "description": "A section break type of structural element.", "$ref": "SectionBreak" }, "paragraph": { "$ref": "Paragraph", "description": "A paragraph type of structural element." }, "endIndex": { "format": "int32", "type": "integer", "description": "The zero-based end index of this structural element, exclusive, in UTF-16 code units." }, "tableOfContents": { "$ref": "TableOfContents", "description": "A table of contents type of structural element." } }, "id": "StructuralElement", "description": "A StructuralElement describes content that provides structure to the document.", "type": "object" }, "ReplaceNamedRangeContentRequest": { "description": "Replaces the contents of the specified NamedRange or NamedRanges with the given replacement content. Note that an individual NamedRange may consist of multiple discontinuous ranges. In this case, only the content in the first range will be replaced. The other ranges and their content will be deleted. In cases where replacing or deleting any ranges would result in an invalid document structure, a 400 bad request error is returned.", "type": "object", "id": "ReplaceNamedRangeContentRequest", "properties": { "text": { "description": "Replaces the content of the specified named range(s) with the given text.", "type": "string" }, "namedRangeId": { "type": "string", "description": "The ID of the named range whose content will be replaced. If there is no named range with the given ID a 400 bad request error is returned." }, "namedRangeName": { "type": "string", "description": "The name of the NamedRanges whose content will be replaced. If there are multiple named ranges with the given name, then the content of each one will be replaced. If there are no named ranges with the given name, then the request will be a no-op." } } }, "ListProperties": { "id": "ListProperties", "description": "The properties of a list which describe the look and feel of bullets belonging to paragraphs associated with a list.", "type": "object", "properties": { "nestingLevels": { "items": { "$ref": "NestingLevel" }, "description": "Describes the properties of the bullets at the associated level. A list has at most nine levels of nesting with nesting level 0 corresponding to the top-most level and nesting level 8 corresponding to the most nested level. The nesting levels are returned in ascending order with the least nested returned first.", "type": "array" } } }, "SuggestedPositionedObjectProperties": { "properties": { "positionedObjectProperties": { "$ref": "PositionedObjectProperties", "description": "A PositionedObjectProperties that only includes the changes made in this suggestion. This can be used along with the positioned_object_properties_suggestion_state to see which fields have changed and their new values." }, "positionedObjectPropertiesSuggestionState": { "description": "A mask that indicates which of the fields on the base PositionedObjectProperties have been changed in this suggestion.", "$ref": "PositionedObjectPropertiesSuggestionState" } }, "id": "SuggestedPositionedObjectProperties", "description": "A suggested change to PositionedObjectProperties.", "type": "object" }, "CreateFooterResponse": { "id": "CreateFooterResponse", "properties": { "footerId": { "description": "The ID of the created footer.", "type": "string" } }, "type": "object", "description": "The result of creating a footer." }, "BackgroundSuggestionState": { "description": "A mask that indicates which of the fields on the base Background have been changed in this suggestion. For any field set to true, the Backgound has a new suggested value.", "properties": { "backgroundColorSuggested": { "type": "boolean", "description": "Indicates whether the current background color has been modified in this suggestion." } }, "type": "object", "id": "BackgroundSuggestionState" }, "TableCell": { "id": "TableCell", "description": "The contents and style of a cell in a Table.", "properties": { "tableCellStyle": { "description": "The style of the cell.", "$ref": "TableCellStyle" }, "content": { "description": "The content of the cell.", "type": "array", "items": { "$ref": "StructuralElement" } }, "startIndex": { "format": "int32", "type": "integer", "description": "The zero-based start index of this cell, in UTF-16 code units." }, "endIndex": { "type": "integer", "description": "The zero-based end index of this cell, exclusive, in UTF-16 code units.", "format": "int32" }, "suggestedInsertionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested insertion IDs. A TableCell may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion." }, "suggestedTableCellStyleChanges": { "description": "The suggested changes to the table cell style, keyed by suggestion ID.", "type": "object", "additionalProperties": { "$ref": "SuggestedTableCellStyle" } }, "suggestedDeletionIds": { "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "ShadingSuggestionState": { "type": "object", "description": "A mask that indicates which of the fields on the base Shading have been changed in this suggested change. For any field set to true, there is a new suggested value.", "properties": { "backgroundColorSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to the Shading." } }, "id": "ShadingSuggestionState" }, "SuggestedParagraphStyle": { "id": "SuggestedParagraphStyle", "type": "object", "properties": { "paragraphStyleSuggestionState": { "$ref": "ParagraphStyleSuggestionState", "description": "A mask that indicates which of the fields on the base ParagraphStyle have been changed in this suggestion." }, "paragraphStyle": { "description": "A ParagraphStyle that only includes the changes made in this suggestion. This can be used along with the paragraph_style_suggestion_state to see which fields have changed and their new values.", "$ref": "ParagraphStyle" } }, "description": "A suggested change to a ParagraphStyle." }, "WeightedFontFamily": { "description": "Represents a font family and weight of text.", "type": "object", "id": "WeightedFontFamily", "properties": { "fontFamily": { "description": "The font family of the text. The font family can be any font from the Font menu in Docs or from [Google Fonts] (https://fonts.google.com/). If the font name is unrecognized, the text is rendered in `Arial`.", "type": "string" }, "weight": { "description": "The weight of the font. This field can have any value that is a multiple of `100` between `100` and `900`, inclusive. This range corresponds to the numerical values described in the CSS 2.1 Specification, [section 15.6](https://www.w3.org/TR/CSS21/fonts.html#font-boldness), with non-numerical values disallowed. The default value is `400` (\"normal\"). The font weight makes up just one component of the rendered font weight. The rendered weight is determined by a combination of the `weight` and the text style's resolved `bold` value, after accounting for inheritance: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the text is bold and the weight is less than `400`, the rendered weight is 400. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the text is bold and the weight is greater than or equal to `400` but is less than `700`, the rendered weight is `700`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the weight is greater than or equal to `700`, the rendered weight is equal to the weight. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If the text is not bold, the rendered weight is equal to the weight.", "type": "integer", "format": "int32" } } }, "InlineObjectPropertiesSuggestionState": { "type": "object", "description": "A mask that indicates which of the fields on the base InlineObjectProperties have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": { "embeddedObjectSuggestionState": { "$ref": "EmbeddedObjectSuggestionState", "description": "A mask that indicates which of the fields in embedded_object have been changed in this suggestion." } }, "id": "InlineObjectPropertiesSuggestionState" }, "SubstringMatchCriteria": { "description": "A criteria that matches a specific string of text in the document.", "id": "SubstringMatchCriteria", "type": "object", "properties": { "matchCase": { "type": "boolean", "description": "Indicates whether the search should respect case: - `True`: the search is case sensitive. - `False`: the search is case insensitive." }, "text": { "type": "string", "description": "The text to search for in the document." } } }, "UpdateTextStyleRequest": { "description": "Update the styling of text.", "properties": { "range": { "description": "The range of text to style. The range may be extended to include adjacent newlines. If the range fully contains a paragraph belonging to a list, the paragraph's bullet is also updated with the matching text style. Ranges cannot be inserted inside a relative UpdateTextStyleRequest.", "$ref": "Range" }, "fields": { "format": "google-fieldmask", "description": "The fields that should be updated. At least one field must be specified. The root `text_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the text style to bold, set `fields` to `\"bold\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset.", "type": "string" }, "textStyle": { "$ref": "TextStyle", "description": "The styles to set on the text. If the value for a particular style matches that of the parent, that style will be set to inherit. Certain text style changes may cause other changes in order to to mirror the behavior of the Docs editor. See the documentation of TextStyle for more information." } }, "id": "UpdateTextStyleRequest", "type": "object" }, "PageBreak": { "id": "PageBreak", "description": "A ParagraphElement representing a page break. A page break makes the subsequent text start at the top of the next page.", "type": "object", "properties": { "suggestedDeletionIds": { "items": { "type": "string" }, "type": "array", "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." }, "suggestedInsertionIds": { "description": "The suggested insertion IDs. A PageBreak may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "items": { "type": "string" }, "type": "array" }, "suggestedTextStyleChanges": { "description": "The suggested text style changes to this PageBreak, keyed by suggestion ID.", "type": "object", "additionalProperties": { "$ref": "SuggestedTextStyle" } }, "textStyle": { "description": "The text style of this PageBreak. Similar to text content, like text runs and footnote references, the text style of a page break can affect content layout as well as the styling of text inserted adjacent to it.", "$ref": "TextStyle" } } }, "SuggestedTextStyle": { "properties": { "textStyle": { "$ref": "TextStyle", "description": "A TextStyle that only includes the changes made in this suggestion. This can be used along with the text_style_suggestion_state to see which fields have changed and their new values." }, "textStyleSuggestionState": { "$ref": "TextStyleSuggestionState", "description": "A mask that indicates which of the fields on the base TextStyle have been changed in this suggestion." } }, "id": "SuggestedTextStyle", "type": "object", "description": "A suggested change to a TextStyle." }, "TableOfContents": { "description": "A StructuralElement representing a table of contents.", "type": "object", "id": "TableOfContents", "properties": { "suggestedDeletionIds": { "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "type": "array", "items": { "type": "string" } }, "content": { "items": { "$ref": "StructuralElement" }, "description": "The content of the table of contents.", "type": "array" }, "suggestedInsertionIds": { "type": "array", "description": "The suggested insertion IDs. A TableOfContents may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "items": { "type": "string" } } } }, "NamedStyles": { "description": "The named styles. Paragraphs in the document can inherit their TextStyle and ParagraphStyle from these named styles.", "properties": { "styles": { "type": "array", "description": "The named styles. There is an entry for each of the possible named style types.", "items": { "$ref": "NamedStyle" } } }, "id": "NamedStyles", "type": "object" }, "DocumentStyle": { "description": "The style of the document.", "properties": { "firstPageFooterId": { "type": "string", "description": "The ID of the footer used only for the first page. If not set then a unique footer for the first page does not exist. The value of use_first_page_header_footer determines whether to use the default_footer_id or this value for the footer on the first page. If not set, there is no first page footer. This property is read-only." }, "evenPageHeaderId": { "description": "The ID of the header used only for even pages. The value of use_even_page_header_footer determines whether to use the default_header_id or this value for the header on even pages. If not set, there is no even page header. This property is read-only.", "type": "string" }, "evenPageFooterId": { "description": "The ID of the footer used only for even pages. The value of use_even_page_header_footer determines whether to use the default_footer_id or this value for the footer on even pages. If not set, there is no even page footer. This property is read-only.", "type": "string" }, "marginHeader": { "description": "The amount of space between the top of the page and the contents of the header.", "$ref": "Dimension" }, "defaultHeaderId": { "description": "The ID of the default header. If not set, there is no default header. This property is read-only.", "type": "string" }, "useEvenPageHeaderFooter": { "type": "boolean", "description": "Indicates whether to use the even page header / footer IDs for the even pages." }, "useFirstPageHeaderFooter": { "type": "boolean", "description": "Indicates whether to use the first page header / footer IDs for the first page." }, "pageSize": { "$ref": "Size", "description": "The size of a page in the document." }, "pageNumberStart": { "type": "integer", "format": "int32", "description": "The page number from which to start counting the number of pages." }, "marginRight": { "$ref": "Dimension", "description": "The right page margin. Updating the right page margin on the document style clears the right page margin on all section styles. It may also cause columns to resize in all sections." }, "marginLeft": { "description": "The left page margin. Updating the left page margin on the document style clears the left page margin on all section styles. It may also cause columns to resize in all sections.", "$ref": "Dimension" }, "marginTop": { "description": "The top page margin. Updating the top page margin on the document style clears the top page margin on all section styles.", "$ref": "Dimension" }, "background": { "$ref": "Background", "description": "The background of the document. Documents cannot have a transparent background color." }, "marginBottom": { "description": "The bottom page margin. Updating the bottom page margin on the document style clears the bottom page margin on all section styles.", "$ref": "Dimension" }, "marginFooter": { "$ref": "Dimension", "description": "The amount of space between the bottom of the page and the contents of the footer." }, "defaultFooterId": { "type": "string", "description": "The ID of the default footer. If not set, there is no default footer. This property is read-only." }, "useCustomHeaderFooterMargins": { "description": "Indicates whether DocumentStyle margin_header, SectionStyle margin_header and DocumentStyle margin_footer, SectionStyle margin_footer are respected. When false, the default values in the Docs editor for header and footer margin are used. This property is read-only.", "type": "boolean" }, "firstPageHeaderId": { "type": "string", "description": "The ID of the header used only for the first page. If not set then a unique header for the first page does not exist. The value of use_first_page_header_footer determines whether to use the default_header_id or this value for the header on the first page. If not set, there is no first page header. This property is read-only." } }, "id": "DocumentStyle", "type": "object" }, "SuggestedTableCellStyle": { "id": "SuggestedTableCellStyle", "type": "object", "description": "A suggested change to a TableCellStyle.", "properties": { "tableCellStyleSuggestionState": { "$ref": "TableCellStyleSuggestionState", "description": "A mask that indicates which of the fields on the base TableCellStyle have been changed in this suggestion." }, "tableCellStyle": { "description": "A TableCellStyle that only includes the changes made in this suggestion. This can be used along with the table_cell_style_suggestion_state to see which fields have changed and their new values.", "$ref": "TableCellStyle" } } }, "EmbeddedObject": { "properties": { "marginTop": { "$ref": "Dimension", "description": "The top margin of the embedded object." }, "marginBottom": { "description": "The bottom margin of the embedded object.", "$ref": "Dimension" }, "title": { "description": "The title of the embedded object. The `title` and `description` are both combined to display alt text.", "type": "string" }, "marginRight": { "$ref": "Dimension", "description": "The right margin of the embedded object." }, "linkedContentReference": { "description": "A reference to the external linked source content. For example, it contains a reference to the source Sheets chart when the embedded object is a linked chart. If unset, then the embedded object is not linked.", "$ref": "LinkedContentReference" }, "embeddedDrawingProperties": { "$ref": "EmbeddedDrawingProperties", "description": "The properties of an embedded drawing." }, "imageProperties": { "$ref": "ImageProperties", "description": "The properties of an image." }, "description": { "type": "string", "description": "The description of the embedded object. The `title` and `description` are both combined to display alt text." }, "size": { "$ref": "Size", "description": "The visible size of the image after cropping." }, "marginLeft": { "$ref": "Dimension", "description": "The left margin of the embedded object." }, "embeddedObjectBorder": { "$ref": "EmbeddedObjectBorder", "description": "The border of the embedded object." } }, "description": "An embedded object in the document.", "type": "object", "id": "EmbeddedObject" }, "InlineObjectProperties": { "properties": { "embeddedObject": { "description": "The embedded object of this inline object.", "$ref": "EmbeddedObject" } }, "description": "Properties of an InlineObject.", "id": "InlineObjectProperties", "type": "object" }, "HorizontalRule": { "description": "A ParagraphElement representing a horizontal line.", "id": "HorizontalRule", "properties": { "suggestedTextStyleChanges": { "additionalProperties": { "$ref": "SuggestedTextStyle" }, "description": "The suggested text style changes to this HorizontalRule, keyed by suggestion ID.", "type": "object" }, "suggestedInsertionIds": { "items": { "type": "string" }, "description": "The suggested insertion IDs. A HorizontalRule may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "type": "array" }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this HorizontalRule. Similar to text content, like text runs and footnote references, the text style of a horizontal rule can affect content layout as well as the styling of text inserted adjacent to it." }, "suggestedDeletionIds": { "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "type": "array" } }, "type": "object" }, "UpdateTableRowStyleRequest": { "description": "Updates the TableRowStyle of rows in a table.", "type": "object", "id": "UpdateTableRowStyleRequest", "properties": { "fields": { "description": "The fields that should be updated. At least one field must be specified. The root `tableRowStyle` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the minimum row height, set `fields` to `\"min_row_height\"`.", "format": "google-fieldmask", "type": "string" }, "tableStartLocation": { "$ref": "Location", "description": "The location where the table starts in the document." }, "tableRowStyle": { "$ref": "TableRowStyle", "description": "The styles to be set on the rows." }, "rowIndices": { "items": { "format": "int32", "type": "integer" }, "type": "array", "description": "The list of zero-based row indices whose style should be updated. If no indices are specified, all rows will be updated." } } }, "RgbColor": { "properties": { "green": { "type": "number", "description": "The green component of the color, from 0.0 to 1.0.", "format": "float" }, "red": { "description": "The red component of the color, from 0.0 to 1.0.", "type": "number", "format": "float" }, "blue": { "description": "The blue component of the color, from 0.0 to 1.0.", "format": "float", "type": "number" } }, "id": "RgbColor", "description": "An RGB color.", "type": "object" }, "CreateHeaderResponse": { "type": "object", "description": "The result of creating a header.", "properties": { "headerId": { "description": "The ID of the created header.", "type": "string" } }, "id": "CreateHeaderResponse" }, "DeleteContentRangeRequest": { "properties": { "range": { "description": "The range of content to delete. Deleting text that crosses a paragraph boundary may result in changes to paragraph styles, lists, positioned objects and bookmarks as the two paragraphs are merged. Attempting to delete certain ranges can result in an invalid document structure in which case a 400 bad request error is returned. Some examples of invalid delete requests include: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting one code unit of a surrogate pair. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting the last newline character of a Body, Header, Footer, Footnote, TableCell or TableOfContents. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting the start or end of a Table, TableOfContents or Equation without deleting the entire element. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting the newline character before a Table, TableOfContents or SectionBreak without deleting the element. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Deleting individual rows or cells of a table. Deleting the content within a table cell is allowed.", "$ref": "Range" } }, "type": "object", "description": "Deletes content from the document.", "id": "DeleteContentRangeRequest" }, "ObjectReferences": { "properties": { "objectIds": { "items": { "type": "string" }, "description": "The object IDs.", "type": "array" } }, "type": "object", "id": "ObjectReferences", "description": "A collection of object IDs." }, "TableRowStyle": { "properties": { "minRowHeight": { "description": "The minimum height of the row. The row will be rendered in the Docs editor at a height equal to or greater than this value in order to show all the content in the row's cells.", "$ref": "Dimension" }, "preventOverflow": { "type": "boolean", "description": "Whether the row cannot overflow across page or column boundaries." }, "tableHeader": { "description": "Whether the row is a table header.", "type": "boolean" } }, "type": "object", "description": "Styles that apply to a table row.", "id": "TableRowStyle" }, "BatchUpdateDocumentRequest": { "type": "object", "properties": { "requests": { "description": "A list of updates to apply to the document.", "items": { "$ref": "Request" }, "type": "array" }, "writeControl": { "description": "Provides control over how write requests are executed.", "$ref": "WriteControl" } }, "description": "Request message for BatchUpdateDocument.", "id": "BatchUpdateDocumentRequest" }, "UpdateSectionStyleRequest": { "properties": { "fields": { "format": "google-fieldmask", "type": "string", "description": "The fields that should be updated. At least one field must be specified. The root `section_style` is implied and must not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the left margin, set `fields` to `\"margin_left\"`." }, "range": { "$ref": "Range", "description": "The range overlapping the sections to style. Because section breaks can only be inserted inside the body, the segment ID field must be empty." }, "sectionStyle": { "description": "The styles to be set on the section. Certain section style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of SectionStyle for more information.", "$ref": "SectionStyle" } }, "description": "Updates the SectionStyle.", "type": "object", "id": "UpdateSectionStyleRequest" }, "NestingLevel": { "description": "Contains properties describing the look and feel of a list bullet at a given level of nesting.", "id": "NestingLevel", "properties": { "indentStart": { "$ref": "Dimension", "description": "The amount of indentation for paragraphs at this level of nesting. Applied to the side that corresponds to the start of the text, based on the paragraph's content direction." }, "bulletAlignment": { "description": "The alignment of the bullet within the space allotted for rendering the bullet.", "enumDescriptions": [ "The bullet alignment is unspecified.", "The bullet is aligned to the start of the space allotted for rendering the bullet. Left-aligned for LTR text, right-aligned otherwise.", "The bullet is aligned to the center of the space allotted for rendering the bullet.", "The bullet is aligned to the end of the space allotted for rendering the bullet. Right-aligned for LTR text, left-aligned otherwise." ], "type": "string", "enum": [ "BULLET_ALIGNMENT_UNSPECIFIED", "START", "CENTER", "END" ] }, "glyphFormat": { "type": "string", "description": "The format string used by bullets at this level of nesting. The glyph format contains one or more placeholders, and these placeholder are replaced with the appropriate values depending on the glyph_type or glyph_symbol. The placeholders follow the pattern `%[nesting_level]`. Furthermore, placeholders can have prefixes and suffixes. Thus, the glyph format follows the pattern `%[nesting_level]`. Note that the prefix and suffix are optional and can be arbitrary strings. For example, the glyph format `%0.` indicates that the rendered glyph will replace the placeholder with the corresponding glyph for nesting level 0 followed by a period as the suffix. So a list with a glyph type of UPPER_ALPHA and glyph format `%0.` at nesting level 0 will result in a list with rendered glyphs `A.` `B.` `C.` The glyph format can contain placeholders for the current nesting level as well as placeholders for parent nesting levels. For example, a list can have a glyph format of `%0.` at nesting level 0 and a glyph format of `%0.%1.` at nesting level 1. Assuming both nesting levels have DECIMAL glyph types, this would result in a list with rendered glyphs `1.` `2.` ` 2.1.` ` 2.2.` `3.` For nesting levels that are ordered, the string that replaces a placeholder in the glyph format for a particular paragraph depends on the paragraph's order within the list." }, "indentFirstLine": { "description": "The amount of indentation for the first line of paragraphs at this level of nesting.", "$ref": "Dimension" }, "startNumber": { "description": "The number of the first list item at this nesting level. A value of 0 is treated as a value of 1 for lettered lists and roman numeraled lists, i.e. for values of both 0 and 1, lettered and roman numeraled lists will begin at `a` and `i` respectively. This value is ignored for nesting levels with unordered glyphs.", "format": "int32", "type": "integer" }, "textStyle": { "description": "The text style of bullets at this level of nesting.", "$ref": "TextStyle" }, "glyphSymbol": { "type": "string", "description": "A custom glyph symbol used by bullets when paragraphs at this level of nesting are unordered. The glyph symbol replaces placeholders within the glyph_format. For example, if the glyph_symbol is the solid circle corresponding to Unicode U+25cf code point and the glyph_format is `%0`, the rendered glyph would be the solid circle." }, "glyphType": { "enumDescriptions": [ "The glyph type is unspecified or unsupported.", "An empty string.", "A number, like `1`, `2`, or `3`.", "A number where single digit numbers are prefixed with a zero, like `01`, `02`, or `03`. Numbers with more than one digit are not prefixed with a zero.", "An uppercase letter, like `A`, `B`, or `C`.", "A lowercase letter, like `a`, `b`, or `c`.", "An uppercase Roman numeral, like `I`, `II`, or `III`.", "A lowercase Roman numeral, like `i`, `ii`, or `iii`." ], "type": "string", "enum": [ "GLYPH_TYPE_UNSPECIFIED", "NONE", "DECIMAL", "ZERO_DECIMAL", "UPPER_ALPHA", "ALPHA", "UPPER_ROMAN", "ROMAN" ], "description": "The type of glyph used by bullets when paragraphs at this level of nesting are ordered. The glyph type determines the type of glyph used to replace placeholders within the glyph_format when paragraphs at this level of nesting are ordered. For example, if the nesting level is 0, the glyph_format is `%0.` and the glyph type is DECIMAL, then the rendered glyph would replace the placeholder `%0` in the glyph format with a number corresponding to list item's order within the list." } }, "type": "object" }, "InsertTextRequest": { "id": "InsertTextRequest", "properties": { "text": { "type": "string", "description": "The text to be inserted. Inserting a newline character will implicitly create a new Paragraph at that index. The paragraph style of the new paragraph will be copied from the paragraph at the current insertion index, including lists and bullets. Text styles for inserted text will be determined automatically, generally preserving the styling of neighboring text. In most cases, the text style for the inserted text will match the text immediately before the insertion index. Some control characters (U+0000-U+0008, U+000C-U+001F) and characters from the Unicode Basic Multilingual Plane Private Use Area (U+E000-U+F8FF) will be stripped out of the inserted text." }, "location": { "description": "Inserts the text at a specific index in the document. Text must be inserted inside the bounds of an existing Paragraph. For instance, text cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). The text must be inserted in the preceding paragraph.", "$ref": "Location" }, "endOfSegmentLocation": { "description": "Inserts the text at the end of a header, footer, footnote or the document body.", "$ref": "EndOfSegmentLocation" } }, "type": "object", "description": "Inserts text at the specified location." }, "BulletSuggestionState": { "description": "A mask that indicates which of the fields on the base Bullet have been changed in this suggestion. For any field set to true, there is a new suggested value.", "type": "object", "properties": { "listIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to the list_id." }, "nestingLevelSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to the nesting_level." }, "textStyleSuggestionState": { "$ref": "TextStyleSuggestionState", "description": "A mask that indicates which of the fields in text style have been changed in this suggestion." } }, "id": "BulletSuggestionState" }, "List": { "type": "object", "description": "A List represents the list attributes for a group of paragraphs that all belong to the same list. A paragraph that is part of a list has a reference to the list's ID in its bullet.", "id": "List", "properties": { "suggestedDeletionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this list." }, "listProperties": { "description": "The properties of the list.", "$ref": "ListProperties" }, "suggestedInsertionId": { "description": "The suggested insertion ID. If empty, then this is not a suggested insertion.", "type": "string" }, "suggestedListPropertiesChanges": { "type": "object", "description": "The suggested changes to the list properties, keyed by suggestion ID.", "additionalProperties": { "$ref": "SuggestedListProperties" } } } }, "InsertPageBreakRequest": { "properties": { "endOfSegmentLocation": { "description": "Inserts the page break at the end of the document body. Page breaks cannot be inserted inside a footnote, header or footer. Since page breaks can only be inserted inside the body, the segment ID field must be empty.", "$ref": "EndOfSegmentLocation" }, "location": { "description": "Inserts the page break at a specific index in the document. The page break must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Page breaks cannot be inserted inside a table, equation, footnote, header or footer. Since page breaks can only be inserted inside the body, the segment ID field must be empty.", "$ref": "Location" } }, "id": "InsertPageBreakRequest", "description": "Inserts a page break followed by a newline at the specified location.", "type": "object" }, "TableCellStyle": { "id": "TableCellStyle", "properties": { "paddingBottom": { "description": "The bottom padding of the cell.", "$ref": "Dimension" }, "paddingTop": { "$ref": "Dimension", "description": "The top padding of the cell." }, "borderRight": { "$ref": "TableCellBorder", "description": "The right border of the cell." }, "borderTop": { "$ref": "TableCellBorder", "description": "The top border of the cell." }, "rowSpan": { "description": "The row span of the cell. This property is read-only.", "format": "int32", "type": "integer" }, "borderLeft": { "$ref": "TableCellBorder", "description": "The left border of the cell." }, "columnSpan": { "type": "integer", "format": "int32", "description": "The column span of the cell. This property is read-only." }, "contentAlignment": { "description": "The alignment of the content in the table cell. The default alignment matches the alignment for newly created table cells in the Docs editor.", "type": "string", "enumDescriptions": [ "An unspecified content alignment. The content alignment is inherited from the parent if one exists.", "An unsupported content alignment.", "An alignment that aligns the content to the top of the content holder. Corresponds to ECMA-376 ST_TextAnchoringType 't'.", "An alignment that aligns the content to the middle of the content holder. Corresponds to ECMA-376 ST_TextAnchoringType 'ctr'.", "An alignment that aligns the content to the bottom of the content holder. Corresponds to ECMA-376 ST_TextAnchoringType 'b'." ], "enum": [ "CONTENT_ALIGNMENT_UNSPECIFIED", "CONTENT_ALIGNMENT_UNSUPPORTED", "TOP", "MIDDLE", "BOTTOM" ] }, "borderBottom": { "$ref": "TableCellBorder", "description": "The bottom border of the cell." }, "paddingLeft": { "$ref": "Dimension", "description": "The left padding of the cell." }, "backgroundColor": { "description": "The background color of the cell.", "$ref": "OptionalColor" }, "paddingRight": { "description": "The right padding of the cell.", "$ref": "Dimension" } }, "description": "The style of a TableCell. Inherited table cell styles are represented as unset fields in this message. A table cell style can inherit from the table's style.", "type": "object" }, "PositionedObjectProperties": { "type": "object", "id": "PositionedObjectProperties", "description": "Properties of a PositionedObject.", "properties": { "positioning": { "description": "The positioning of this positioned object relative to the newline of the Paragraph that references this positioned object.", "$ref": "PositionedObjectPositioning" }, "embeddedObject": { "$ref": "EmbeddedObject", "description": "The embedded object of this positioned object." } } }, "EmbeddedObjectBorderSuggestionState": { "type": "object", "description": "A mask that indicates which of the fields on the base EmbeddedObjectBorder have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": { "widthSuggested": { "description": "Indicates if there was a suggested change to width.", "type": "boolean" }, "dashStyleSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to dash_style." }, "colorSuggested": { "description": "Indicates if there was a suggested change to color.", "type": "boolean" }, "propertyStateSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to property_state." } }, "id": "EmbeddedObjectBorderSuggestionState" }, "ParagraphStyle": { "description": "Styles that apply to a whole paragraph. Inherited paragraph styles are represented as unset fields in this message. A paragraph style's parent depends on where the paragraph style is defined: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The ParagraphStyle on a Paragraph inherits from the paragraph's corresponding named style type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The ParagraphStyle on a named style inherits from the normal text named style. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The ParagraphStyle of the normal text named style inherits from the default paragraph style in the Docs editor. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The ParagraphStyle on a Paragraph element that is contained in a table may inherit its paragraph style from the table style. If the paragraph style does not inherit from a parent, unsetting fields will revert the style to a value matching the defaults in the Docs editor.", "properties": { "avoidWidowAndOrphan": { "type": "boolean", "description": "Whether to avoid widows and orphans for the paragraph. If unset, the value is inherited from the parent." }, "shading": { "description": "The shading of the paragraph. If unset, the value is inherited from the parent.", "$ref": "Shading" }, "indentFirstLine": { "$ref": "Dimension", "description": "The amount of indentation for the first line of the paragraph. If unset, the value is inherited from the parent." }, "keepLinesTogether": { "type": "boolean", "description": "Whether all lines of the paragraph should be laid out on the same page or column if possible. If unset, the value is inherited from the parent." }, "tabStops": { "type": "array", "items": { "$ref": "TabStop" }, "description": "A list of the tab stops for this paragraph. The list of tab stops is not inherited. This property is read-only." }, "spaceAbove": { "$ref": "Dimension", "description": "The amount of extra space above the paragraph. If unset, the value is inherited from the parent." }, "borderRight": { "$ref": "ParagraphBorder", "description": "The border to the right of this paragraph. If unset, the value is inherited from the parent. Paragraph borders cannot be partially updated. When making changes to a paragraph border the new border must be specified in its entirety." }, "spaceBelow": { "$ref": "Dimension", "description": "The amount of extra space below the paragraph. If unset, the value is inherited from the parent." }, "direction": { "enum": [ "CONTENT_DIRECTION_UNSPECIFIED", "LEFT_TO_RIGHT", "RIGHT_TO_LEFT" ], "type": "string", "description": "The text direction of this paragraph. If unset, the value defaults to LEFT_TO_RIGHT since paragraph direction is not inherited.", "enumDescriptions": [ "The content direction is unspecified.", "The content goes from left to right.", "The content goes from right to left." ] }, "spacingMode": { "description": "The spacing mode for the paragraph.", "enum": [ "SPACING_MODE_UNSPECIFIED", "NEVER_COLLAPSE", "COLLAPSE_LISTS" ], "enumDescriptions": [ "The spacing mode is inherited from the parent.", "Paragraph spacing is always rendered.", "Paragraph spacing is skipped between list elements." ], "type": "string" }, "namedStyleType": { "enumDescriptions": [ "The type of named style is unspecified.", "Normal text.", "Title.", "Subtitle.", "Heading 1.", "Heading 2.", "Heading 3.", "Heading 4.", "Heading 5.", "Heading 6." ], "enum": [ "NAMED_STYLE_TYPE_UNSPECIFIED", "NORMAL_TEXT", "TITLE", "SUBTITLE", "HEADING_1", "HEADING_2", "HEADING_3", "HEADING_4", "HEADING_5", "HEADING_6" ], "type": "string", "description": "The named style type of the paragraph. Since updating the named style type affects other properties within ParagraphStyle, the named style type is applied before the other properties are updated." }, "borderLeft": { "description": "The border to the left of this paragraph. If unset, the value is inherited from the parent. Paragraph borders cannot be partially updated. When making changes to a paragraph border the new border must be specified in its entirety.", "$ref": "ParagraphBorder" }, "borderBottom": { "description": "The border at the bottom of this paragraph. If unset, the value is inherited from the parent. The bottom border is rendered when the paragraph below has different border and indent properties. Paragraph borders cannot be partially updated. When making changes to a paragraph border the new border must be specified in its entirety.", "$ref": "ParagraphBorder" }, "lineSpacing": { "type": "number", "format": "float", "description": "The amount of space between lines, as a percentage of normal, where normal is represented as 100.0. If unset, the value is inherited from the parent." }, "borderTop": { "$ref": "ParagraphBorder", "description": "The border at the top of this paragraph. If unset, the value is inherited from the parent. The top border is rendered when the paragraph above has different border and indent properties. Paragraph borders cannot be partially updated. When making changes to a paragraph border the new border must be specified in its entirety." }, "indentStart": { "description": "The amount of indentation for the paragraph on the side that corresponds to the start of the text, based on the current paragraph direction. If unset, the value is inherited from the parent.", "$ref": "Dimension" }, "alignment": { "enum": [ "ALIGNMENT_UNSPECIFIED", "START", "CENTER", "END", "JUSTIFIED" ], "type": "string", "description": "The text alignment for this paragraph.", "enumDescriptions": [ "The paragraph alignment is inherited from the parent.", "The paragraph is aligned to the start of the line. Left-aligned for LTR text, right-aligned otherwise.", "The paragraph is centered.", "The paragraph is aligned to the end of the line. Right-aligned for LTR text, left-aligned otherwise.", "The paragraph is justified." ] }, "pageBreakBefore": { "type": "boolean", "description": "Whether the current paragraph should always start at the beginning of a page. If unset, the value is inherited from the parent. Attempting to update page_break_before for paragraphs in unsupported regions, including Table, Header, Footer and Footnote, can result in an invalid document state which returns a 400 bad request error." }, "borderBetween": { "$ref": "ParagraphBorder", "description": "The border between this paragraph and the next and previous paragraphs. If unset, the value is inherited from the parent. The between border is rendered when the adjacent paragraph has the same border and indent properties. Paragraph borders cannot be partially updated. When making changes to a paragraph border the new border must be specified in its entirety." }, "headingId": { "description": "The heading ID of the paragraph. If empty, then this paragraph is not a heading. This property is read-only.", "type": "string" }, "keepWithNext": { "type": "boolean", "description": "Whether at least a part of this paragraph should be laid out on the same page or column as the next paragraph if possible. If unset, the value is inherited from the parent." }, "indentEnd": { "$ref": "Dimension", "description": "The amount of indentation for the paragraph on the side that corresponds to the end of the text, based on the current paragraph direction. If unset, the value is inherited from the parent." } }, "id": "ParagraphStyle", "type": "object" }, "Equation": { "properties": { "suggestedInsertionIds": { "items": { "type": "string" }, "type": "array", "description": "The suggested insertion IDs. A Equation may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion." }, "suggestedDeletionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." } }, "type": "object", "id": "Equation", "description": "A ParagraphElement representing an equation." }, "DeleteNamedRangeRequest": { "id": "DeleteNamedRangeRequest", "description": "Deletes a NamedRange.", "type": "object", "properties": { "name": { "type": "string", "description": "The name of the range(s) to delete. All named ranges with the given name will be deleted." }, "namedRangeId": { "description": "The ID of the named range to delete.", "type": "string" } } }, "ParagraphBorder": { "id": "ParagraphBorder", "type": "object", "description": "A border around a paragraph.", "properties": { "padding": { "description": "The padding of the border.", "$ref": "Dimension" }, "dashStyle": { "enumDescriptions": [ "Unspecified dash style.", "Solid line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'solid'. This is the default dash style.", "Dotted line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dot'.", "Dashed line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dash'." ], "type": "string", "description": "The dash style of the border.", "enum": [ "DASH_STYLE_UNSPECIFIED", "SOLID", "DOT", "DASH" ] }, "width": { "description": "The width of the border.", "$ref": "Dimension" }, "color": { "$ref": "OptionalColor", "description": "The color of the border." } } }, "RichLink": { "type": "object", "id": "RichLink", "description": "A link to a Google resource (e.g., a file in Drive, a YouTube video, a Calendar event, etc.).", "properties": { "richLinkId": { "readOnly": true, "description": "Output only. The ID of this link.", "type": "string" }, "richLinkProperties": { "$ref": "RichLinkProperties", "readOnly": true, "description": "Output only. The properties of this RichLink. This field is always present." }, "suggestedDeletionIds": { "type": "array", "description": "IDs for suggestions that remove this link from the document. A RichLink might have multiple deletion IDs if, for example, multiple users suggest to delete it. If empty, then this person link isn't suggested for deletion.", "items": { "type": "string" } }, "suggestedTextStyleChanges": { "additionalProperties": { "$ref": "SuggestedTextStyle" }, "type": "object", "description": "The suggested text style changes to this RichLink, keyed by suggestion ID." }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this RichLink." }, "suggestedInsertionIds": { "description": "IDs for suggestions that insert this link into the document. A RichLink might have multiple insertion IDs if it is a nested suggested change (a suggestion within a suggestion made by a different user, for example). If empty, then this person link isn't a suggested insertion.", "items": { "type": "string" }, "type": "array" } } }, "TableCellStyleSuggestionState": { "properties": { "paddingBottomSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to padding_bottom." }, "columnSpanSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to column_span." }, "borderTopSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to border_top." }, "paddingRightSuggested": { "description": "Indicates if there was a suggested change to padding_right.", "type": "boolean" }, "contentAlignmentSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to content_alignment." }, "paddingTopSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to padding_top." }, "backgroundColorSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to background_color." }, "borderBottomSuggested": { "description": "Indicates if there was a suggested change to border_bottom.", "type": "boolean" }, "borderRightSuggested": { "description": "Indicates if there was a suggested change to border_right.", "type": "boolean" }, "paddingLeftSuggested": { "description": "Indicates if there was a suggested change to padding_left.", "type": "boolean" }, "rowSpanSuggested": { "description": "Indicates if there was a suggested change to row_span.", "type": "boolean" }, "borderLeftSuggested": { "description": "Indicates if there was a suggested change to border_left.", "type": "boolean" } }, "type": "object", "description": "A mask that indicates which of the fields on the base TableCellStyle have been changed in this suggestion. For any field set to true, there is a new suggested value.", "id": "TableCellStyleSuggestionState" }, "AutoText": { "type": "object", "properties": { "type": { "type": "string", "enumDescriptions": [ "An unspecified auto text type.", "Type for auto text that represents the current page number.", "Type for auto text that represents the total number of pages in the document." ], "description": "The type of this auto text.", "enum": [ "TYPE_UNSPECIFIED", "PAGE_NUMBER", "PAGE_COUNT" ] }, "suggestedInsertionIds": { "description": "The suggested insertion IDs. An AutoText may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "type": "array", "items": { "type": "string" } }, "suggestedDeletionIds": { "items": { "type": "string" }, "type": "array", "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this AutoText." }, "suggestedTextStyleChanges": { "additionalProperties": { "$ref": "SuggestedTextStyle" }, "type": "object", "description": "The suggested text style changes to this AutoText, keyed by suggestion ID." } }, "id": "AutoText", "description": "A ParagraphElement representing a spot in the text that is dynamically replaced with content that can change over time, like a page number." }, "TextStyleSuggestionState": { "type": "object", "id": "TextStyleSuggestionState", "properties": { "linkSuggested": { "description": "Indicates if there was a suggested change to link.", "type": "boolean" }, "foregroundColorSuggested": { "description": "Indicates if there was a suggested change to foreground_color.", "type": "boolean" }, "boldSuggested": { "description": "Indicates if there was a suggested change to bold.", "type": "boolean" }, "backgroundColorSuggested": { "description": "Indicates if there was a suggested change to background_color.", "type": "boolean" }, "baselineOffsetSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to baseline_offset." }, "underlineSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to underline." }, "fontSizeSuggested": { "description": "Indicates if there was a suggested change to font_size.", "type": "boolean" }, "smallCapsSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to small_caps." }, "italicSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to italic." }, "weightedFontFamilySuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to weighted_font_family." }, "strikethroughSuggested": { "description": "Indicates if there was a suggested change to strikethrough.", "type": "boolean" } }, "description": "A mask that indicates which of the fields on the base TextStyle have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "NamedStyle": { "properties": { "namedStyleType": { "enumDescriptions": [ "The type of named style is unspecified.", "Normal text.", "Title.", "Subtitle.", "Heading 1.", "Heading 2.", "Heading 3.", "Heading 4.", "Heading 5.", "Heading 6." ], "type": "string", "description": "The type of this named style.", "enum": [ "NAMED_STYLE_TYPE_UNSPECIFIED", "NORMAL_TEXT", "TITLE", "SUBTITLE", "HEADING_1", "HEADING_2", "HEADING_3", "HEADING_4", "HEADING_5", "HEADING_6" ] }, "paragraphStyle": { "description": "The paragraph style of this named style.", "$ref": "ParagraphStyle" }, "textStyle": { "description": "The text style of this named style.", "$ref": "TextStyle" } }, "description": "A named style. Paragraphs in the document can inherit their TextStyle and ParagraphStyle from this named style when they have the same named style type.", "type": "object", "id": "NamedStyle" }, "SuggestedNamedStyles": { "description": "A suggested change to the NamedStyles.", "properties": { "namedStylesSuggestionState": { "description": "A mask that indicates which of the fields on the base NamedStyles have been changed in this suggestion.", "$ref": "NamedStylesSuggestionState" }, "namedStyles": { "$ref": "NamedStyles", "description": "A NamedStyles that only includes the changes made in this suggestion. This can be used along with the named_styles_suggestion_state to see which fields have changed and their new values." } }, "id": "SuggestedNamedStyles", "type": "object" }, "OptionalColor": { "properties": { "color": { "description": "If set, this will be used as an opaque color. If unset, this represents a transparent color.", "$ref": "Color" } }, "id": "OptionalColor", "type": "object", "description": "A color that can either be fully opaque or fully transparent." }, "UpdateDocumentStyleRequest": { "properties": { "fields": { "type": "string", "description": "The fields that should be updated. At least one field must be specified. The root `document_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the background, set `fields` to `\"background\"`.", "format": "google-fieldmask" }, "documentStyle": { "$ref": "DocumentStyle", "description": "The styles to set on the document. Certain document style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of DocumentStyle for more information." } }, "description": "Updates the DocumentStyle.", "type": "object", "id": "UpdateDocumentStyleRequest" }, "BatchUpdateDocumentResponse": { "type": "object", "description": "Response message from a BatchUpdateDocument request.", "id": "BatchUpdateDocumentResponse", "properties": { "replies": { "description": "The reply of the updates. This maps 1:1 with the updates, although replies to some requests may be empty.", "type": "array", "items": { "$ref": "Response" } }, "writeControl": { "$ref": "WriteControl", "description": "The updated write control after applying the request." }, "documentId": { "description": "The ID of the document to which the updates were applied to.", "type": "string" } } }, "DeleteHeaderRequest": { "properties": { "headerId": { "type": "string", "description": "The id of the header to delete. If this header is defined on DocumentStyle, the reference to this header is removed, resulting in no header of that type for the first section of the document. If this header is defined on a SectionStyle, the reference to this header is removed and the header of that type is now continued from the previous section." } }, "id": "DeleteHeaderRequest", "type": "object", "description": "Deletes a Header from the document." }, "TabStop": { "type": "object", "description": "A tab stop within a paragraph.", "properties": { "offset": { "$ref": "Dimension", "description": "The offset between this tab stop and the start margin." }, "alignment": { "description": "The alignment of this tab stop. If unset, the value defaults to START.", "enumDescriptions": [ "The tab stop alignment is unspecified.", "The tab stop is aligned to the start of the line. This is the default.", "The tab stop is aligned to the center of the line.", "The tab stop is aligned to the end of the line." ], "type": "string", "enum": [ "TAB_STOP_ALIGNMENT_UNSPECIFIED", "START", "CENTER", "END" ] } }, "id": "TabStop" }, "EmbeddedDrawingPropertiesSuggestionState": { "id": "EmbeddedDrawingPropertiesSuggestionState", "type": "object", "description": "A mask that indicates which of the fields on the base EmbeddedDrawingProperties have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": {} }, "PositionedObjectPositioningSuggestionState": { "properties": { "topOffsetSuggested": { "description": "Indicates if there was a suggested change to top_offset.", "type": "boolean" }, "leftOffsetSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to left_offset." }, "layoutSuggested": { "description": "Indicates if there was a suggested change to layout.", "type": "boolean" } }, "description": "A mask that indicates which of the fields on the base PositionedObjectPositioning have been changed in this suggestion. For any field set to true, there is a new suggested value.", "type": "object", "id": "PositionedObjectPositioningSuggestionState" }, "UpdateTableCellStyleRequest": { "type": "object", "id": "UpdateTableCellStyleRequest", "properties": { "tableRange": { "$ref": "TableRange", "description": "The table range representing the subset of the table to which the updates are applied." }, "tableCellStyle": { "$ref": "TableCellStyle", "description": "The style to set on the table cells. When updating borders, if a cell shares a border with an adjacent cell, the corresponding border property of the adjacent cell is updated as well. Borders that are merged and invisible are not updated. Since updating a border shared by adjacent cells in the same request can cause conflicting border updates, border updates are applied in the following order: - `border_right` - `border_left` - `border_bottom` - `border_top`" }, "tableStartLocation": { "$ref": "Location", "description": "The location where the table starts in the document. When specified, the updates are applied to all the cells in the table." }, "fields": { "type": "string", "format": "google-fieldmask", "description": "The fields that should be updated. At least one field must be specified. The root `tableCellStyle` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the table cell background color, set `fields` to `\"backgroundColor\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset." } }, "description": "Updates the style of a range of table cells." }, "WriteControl": { "description": "Provides control over how write requests are executed.", "type": "object", "id": "WriteControl", "properties": { "targetRevisionId": { "type": "string", "description": "The optional target revision ID of the document the write request is applied to. If collaborator changes have occurred after the document was read using the API, the changes produced by this write request are applied against the collaborator changes. This results in a new revision of the document that incorporates both the collaborator changes and the changes in the request, with the Docs server resolving conflicting changes. When using target revision ID, the API client can be thought of as another collaborator of the document. The target revision ID can only be used to write to recent versions of a document. If the target revision is too far behind the latest revision, the request is not processed and returns a 400 bad request error. The request should be tried again after retrieving the latest version of the document. Usually a revision ID remains valid for use as a target revision for several minutes after it's read, but for frequently edited documents this window might be shorter." }, "requiredRevisionId": { "description": "The optional revision ID of the document the write request is applied to. If this is not the latest revision of the document, the request is not processed and returns a 400 bad request error. When a required revision ID is returned in a response, it indicates the revision ID of the document after the request was applied.", "type": "string" } } }, "TableRowStyleSuggestionState": { "type": "object", "description": "A mask that indicates which of the fields on the base TableRowStyle have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": { "minRowHeightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to min_row_height." } }, "id": "TableRowStyleSuggestionState" }, "EndOfSegmentLocation": { "properties": { "segmentId": { "type": "string", "description": "The ID of the header, footer or footnote the location is in. An empty segment ID signifies the document's body." } }, "description": "Location at the end of a body, header, footer or footnote. The location is immediately before the last newline in the document segment.", "id": "EndOfSegmentLocation", "type": "object" }, "PinTableHeaderRowsRequest": { "description": "Updates the number of pinned table header rows in a table.", "properties": { "pinnedHeaderRowsCount": { "description": "The number of table rows to pin, where 0 implies that all rows are unpinned.", "format": "int32", "type": "integer" }, "tableStartLocation": { "$ref": "Location", "description": "The location where the table starts in the document." } }, "type": "object", "id": "PinTableHeaderRowsRequest" }, "CropProperties": { "properties": { "offsetRight": { "description": "The offset specifies how far inwards the right edge of the crop rectangle is from the right edge of the original content as a fraction of the original content's width.", "type": "number", "format": "float" }, "angle": { "type": "number", "description": "The clockwise rotation angle of the crop rectangle around its center, in radians. Rotation is applied after the offsets.", "format": "float" }, "offsetLeft": { "description": "The offset specifies how far inwards the left edge of the crop rectangle is from the left edge of the original content as a fraction of the original content's width.", "type": "number", "format": "float" }, "offsetTop": { "format": "float", "type": "number", "description": "The offset specifies how far inwards the top edge of the crop rectangle is from the top edge of the original content as a fraction of the original content's height." }, "offsetBottom": { "format": "float", "description": "The offset specifies how far inwards the bottom edge of the crop rectangle is from the bottom edge of the original content as a fraction of the original content's height.", "type": "number" } }, "type": "object", "description": "The crop properties of an image. The crop rectangle is represented using fractional offsets from the original content's four edges. - If the offset is in the interval (0, 1), the corresponding edge of crop rectangle is positioned inside of the image's original bounding rectangle. - If the offset is negative or greater than 1, the corresponding edge of crop rectangle is positioned outside of the image's original bounding rectangle. - If all offsets and rotation angle are 0, the image is not cropped.", "id": "CropProperties" }, "SheetsChartReferenceSuggestionState": { "properties": { "chartIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to chart_id." }, "spreadsheetIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to spreadsheet_id." } }, "description": "A mask that indicates which of the fields on the base SheetsChartReference have been changed in this suggestion. For any field set to true, there is a new suggested value.", "id": "SheetsChartReferenceSuggestionState", "type": "object" }, "NamedStylesSuggestionState": { "properties": { "stylesSuggestionStates": { "description": "A mask that indicates which of the fields on the corresponding NamedStyle in styles have been changed in this suggestion. The order of these named style suggestion states match the order of the corresponding named style within the named styles suggestion.", "type": "array", "items": { "$ref": "NamedStyleSuggestionState" } } }, "description": "The suggestion state of a NamedStyles message.", "id": "NamedStylesSuggestionState", "type": "object" }, "SizeSuggestionState": { "properties": { "heightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to height." }, "widthSuggested": { "description": "Indicates if there was a suggested change to width.", "type": "boolean" } }, "type": "object", "id": "SizeSuggestionState", "description": "A mask that indicates which of the fields on the base Size have been changed in this suggestion. For any field set to true, the Size has a new suggested value." }, "SectionColumnProperties": { "description": "Properties that apply to a section's column.", "type": "object", "id": "SectionColumnProperties", "properties": { "width": { "$ref": "Dimension", "description": "Output only. The width of the column." }, "paddingEnd": { "description": "The padding at the end of the column.", "$ref": "Dimension" } } }, "DeleteTableColumnRequest": { "description": "Deletes a column from a table.", "properties": { "tableCellLocation": { "$ref": "TableCellLocation", "description": "The reference table cell location from which the column will be deleted. The column this cell spans will be deleted. If this is a merged cell that spans multiple columns, all columns that the cell spans will be deleted. If no columns remain in the table after this deletion, the whole table is deleted." } }, "id": "DeleteTableColumnRequest", "type": "object" }, "TableColumnProperties": { "type": "object", "properties": { "widthType": { "type": "string", "enum": [ "WIDTH_TYPE_UNSPECIFIED", "EVENLY_DISTRIBUTED", "FIXED_WIDTH" ], "description": "The width type of the column.", "enumDescriptions": [ "The column width type is unspecified.", "The column width is evenly distributed among the other evenly distrubted columns. The width of the column is automatically determined and will have an equal portion of the width remaining for the table after accounting for all columns with specified widths.", "A fixed column width. The width property contains the column's width." ] }, "width": { "description": "The width of the column. Set when the column's `width_type` is FIXED_WIDTH.", "$ref": "Dimension" } }, "description": "The properties of a column in a table.", "id": "TableColumnProperties" }, "InlineObjectElement": { "id": "InlineObjectElement", "description": "A ParagraphElement that contains an InlineObject.", "properties": { "inlineObjectId": { "description": "The ID of the InlineObject this element contains.", "type": "string" }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this InlineObjectElement. Similar to text content, like text runs and footnote references, the text style of an inline object element can affect content layout as well as the styling of text inserted adjacent to it." }, "suggestedInsertionIds": { "description": "The suggested insertion IDs. An InlineObjectElement may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "type": "array", "items": { "type": "string" } }, "suggestedDeletionIds": { "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "items": { "type": "string" }, "type": "array" }, "suggestedTextStyleChanges": { "type": "object", "description": "The suggested text style changes to this InlineObject, keyed by suggestion ID.", "additionalProperties": { "$ref": "SuggestedTextStyle" } } }, "type": "object" }, "RichLinkProperties": { "type": "object", "properties": { "mimeType": { "description": "Output only. The [MIME type](https://developers.google.com/drive/api/v3/mime-types) of the RichLink, if there is one (i.e., when it is a file in Drive).", "type": "string", "readOnly": true }, "title": { "type": "string", "readOnly": true, "description": "Output only. The title of the RichLink as displayed in the link. This title matches the title of the linked resource at the time of the insertion or last update of the link. This field is always present." }, "uri": { "type": "string", "description": "Output only. The URI to the RichLink. This is always present.", "readOnly": true } }, "description": "Properties specific to a RichLink.", "id": "RichLinkProperties" }, "SuggestedListProperties": { "type": "object", "description": "A suggested change to ListProperties.", "id": "SuggestedListProperties", "properties": { "listPropertiesSuggestionState": { "description": "A mask that indicates which of the fields on the base ListProperties have been changed in this suggestion.", "$ref": "ListPropertiesSuggestionState" }, "listProperties": { "$ref": "ListProperties", "description": "A ListProperties that only includes the changes made in this suggestion. This can be used along with the list_properties_suggestion_state to see which fields have changed and their new values." } } }, "SheetsChartReference": { "description": "A reference to a linked chart embedded from Google Sheets.", "type": "object", "properties": { "chartId": { "type": "integer", "description": "The ID of the specific chart in the Google Sheets spreadsheet that is embedded.", "format": "int32" }, "spreadsheetId": { "description": "The ID of the Google Sheets spreadsheet that contains the source chart.", "type": "string" } }, "id": "SheetsChartReference" }, "ImageProperties": { "properties": { "contrast": { "type": "number", "format": "float", "description": "The contrast effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect." }, "angle": { "description": "The clockwise rotation angle of the image, in radians.", "format": "float", "type": "number" }, "cropProperties": { "description": "The crop properties of the image.", "$ref": "CropProperties" }, "sourceUri": { "description": "The source URI is the URI used to insert the image. The source URI can be empty.", "type": "string" }, "transparency": { "description": "The transparency effect of the image. The value should be in the interval [0.0, 1.0], where 0 means no effect and 1 means completely transparent.", "type": "number", "format": "float" }, "brightness": { "type": "number", "format": "float", "description": "The brightness effect of the image. The value should be in the interval [-1.0, 1.0], where 0 means no effect." }, "contentUri": { "description": "A URI to the image with a default lifetime of 30 minutes. This URI is tagged with the account of the requester. Anyone with the URI effectively accesses the image as the original requester. Access to the image may be lost if the document's sharing settings change.", "type": "string" } }, "description": "The properties of an image.", "type": "object", "id": "ImageProperties" }, "CreateFootnoteRequest": { "description": "Creates a Footnote segment and inserts a new FootnoteReference to it at the given location. The new Footnote segment will contain a space followed by a newline character.", "id": "CreateFootnoteRequest", "properties": { "endOfSegmentLocation": { "$ref": "EndOfSegmentLocation", "description": "Inserts the footnote reference at the end of the document body. Footnote references cannot be inserted inside a header, footer or footnote. Since footnote references can only be inserted in the body, the segment ID field must be empty." }, "location": { "$ref": "Location", "description": "Inserts the footnote reference at a specific index in the document. The footnote reference must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Footnote references cannot be inserted inside an equation, header, footer or footnote. Since footnote references can only be inserted in the body, the segment ID field must be empty." } }, "type": "object" }, "Location": { "id": "Location", "description": "A particular location in the document.", "type": "object", "properties": { "index": { "type": "integer", "description": "The zero-based index, in UTF-16 code units. The index is relative to the beginning of the segment specified by segment_id.", "format": "int32" }, "segmentId": { "description": "The ID of the header, footer or footnote the location is in. An empty segment ID signifies the document's body.", "type": "string" } } }, "Footnote": { "properties": { "footnoteId": { "description": "The ID of the footnote.", "type": "string" }, "content": { "type": "array", "items": { "$ref": "StructuralElement" }, "description": "The contents of the footnote. The indexes for a footnote's content begin at zero." } }, "description": "A document footnote.", "type": "object", "id": "Footnote" }, "Request": { "id": "Request", "properties": { "updateTableCellStyle": { "description": "Updates the style of table cells.", "$ref": "UpdateTableCellStyleRequest" }, "deleteTableColumn": { "description": "Deletes a column from a table.", "$ref": "DeleteTableColumnRequest" }, "updateTableColumnProperties": { "$ref": "UpdateTableColumnPropertiesRequest", "description": "Updates the properties of columns in a table." }, "insertTableColumn": { "description": "Inserts an empty column into a table.", "$ref": "InsertTableColumnRequest" }, "replaceNamedRangeContent": { "$ref": "ReplaceNamedRangeContentRequest", "description": "Replaces the content in a named range." }, "unmergeTableCells": { "description": "Unmerges cells in a table.", "$ref": "UnmergeTableCellsRequest" }, "insertText": { "description": "Inserts text at the specified location.", "$ref": "InsertTextRequest" }, "mergeTableCells": { "$ref": "MergeTableCellsRequest", "description": "Merges cells in a table." }, "deletePositionedObject": { "$ref": "DeletePositionedObjectRequest", "description": "Deletes a positioned object from the document." }, "updateSectionStyle": { "description": "Updates the section style of the specified range.", "$ref": "UpdateSectionStyleRequest" }, "createNamedRange": { "description": "Creates a named range.", "$ref": "CreateNamedRangeRequest" }, "updateTextStyle": { "$ref": "UpdateTextStyleRequest", "description": "Updates the text style at the specified range." }, "deleteHeader": { "description": "Deletes a header from the document.", "$ref": "DeleteHeaderRequest" }, "updateTableRowStyle": { "$ref": "UpdateTableRowStyleRequest", "description": "Updates the row style in a table." }, "createFootnote": { "$ref": "CreateFootnoteRequest", "description": "Creates a footnote." }, "createHeader": { "description": "Creates a header.", "$ref": "CreateHeaderRequest" }, "deleteParagraphBullets": { "description": "Deletes bullets from paragraphs.", "$ref": "DeleteParagraphBulletsRequest" }, "insertTable": { "description": "Inserts a table at the specified location.", "$ref": "InsertTableRequest" }, "updateDocumentStyle": { "description": "Updates the style of the document.", "$ref": "UpdateDocumentStyleRequest" }, "deleteTableRow": { "$ref": "DeleteTableRowRequest", "description": "Deletes a row from a table." }, "updateParagraphStyle": { "description": "Updates the paragraph style at the specified range.", "$ref": "UpdateParagraphStyleRequest" }, "createParagraphBullets": { "$ref": "CreateParagraphBulletsRequest", "description": "Creates bullets for paragraphs." }, "insertTableRow": { "description": "Inserts an empty row into a table.", "$ref": "InsertTableRowRequest" }, "deleteFooter": { "$ref": "DeleteFooterRequest", "description": "Deletes a footer from the document." }, "insertSectionBreak": { "$ref": "InsertSectionBreakRequest", "description": "Inserts a section break at the specified location." }, "deleteContentRange": { "description": "Deletes content from the document.", "$ref": "DeleteContentRangeRequest" }, "insertInlineImage": { "description": "Inserts an inline image at the specified location.", "$ref": "InsertInlineImageRequest" }, "insertPageBreak": { "$ref": "InsertPageBreakRequest", "description": "Inserts a page break at the specified location." }, "createFooter": { "description": "Creates a footer.", "$ref": "CreateFooterRequest" }, "pinTableHeaderRows": { "description": "Updates the number of pinned header rows in a table.", "$ref": "PinTableHeaderRowsRequest" }, "deleteNamedRange": { "description": "Deletes a named range.", "$ref": "DeleteNamedRangeRequest" }, "replaceImage": { "$ref": "ReplaceImageRequest", "description": "Replaces an image in the document." }, "replaceAllText": { "$ref": "ReplaceAllTextRequest", "description": "Replaces all instances of the specified text." } }, "description": "A single update to apply to a document.", "type": "object" }, "DeleteFooterRequest": { "type": "object", "id": "DeleteFooterRequest", "properties": { "footerId": { "type": "string", "description": "The id of the footer to delete. If this footer is defined on DocumentStyle, the reference to this footer is removed, resulting in no footer of that type for the first section of the document. If this footer is defined on a SectionStyle, the reference to this footer is removed and the footer of that type is now continued from the previous section." } }, "description": "Deletes a Footer from the document." }, "Document": { "properties": { "namedStyles": { "description": "Output only. The named styles of the document.", "$ref": "NamedStyles" }, "documentId": { "type": "string", "description": "Output only. The ID of the document." }, "positionedObjects": { "description": "Output only. The positioned objects in the document, keyed by object ID.", "type": "object", "additionalProperties": { "$ref": "PositionedObject" } }, "suggestedDocumentStyleChanges": { "additionalProperties": { "$ref": "SuggestedDocumentStyle" }, "description": "Output only. The suggested changes to the style of the document, keyed by suggestion ID.", "type": "object" }, "namedRanges": { "description": "Output only. The named ranges in the document, keyed by name.", "additionalProperties": { "$ref": "NamedRanges" }, "type": "object" }, "inlineObjects": { "additionalProperties": { "$ref": "InlineObject" }, "description": "Output only. The inline objects in the document, keyed by object ID.", "type": "object" }, "suggestionsViewMode": { "enumDescriptions": [ "The SuggestionsViewMode applied to the returned document depends on the user's current access level. If the user only has view access, PREVIEW_WITHOUT_SUGGESTIONS is applied. Otherwise, SUGGESTIONS_INLINE is applied. This is the default suggestions view mode.", "The returned document has suggestions inline. Suggested changes will be differentiated from base content within the document. Requests to retrieve a document using this mode will return a 403 error if the user does not have permission to view suggested changes.", "The returned document is a preview with all suggested changes accepted. Requests to retrieve a document using this mode will return a 403 error if the user does not have permission to view suggested changes.", "The returned document is a preview with all suggested changes rejected if there are any suggestions in the document." ], "type": "string", "description": "Output only. The suggestions view mode applied to the document. Note: When editing a document, changes must be based on a document with SUGGESTIONS_INLINE.", "enum": [ "DEFAULT_FOR_CURRENT_ACCESS", "SUGGESTIONS_INLINE", "PREVIEW_SUGGESTIONS_ACCEPTED", "PREVIEW_WITHOUT_SUGGESTIONS" ] }, "suggestedNamedStylesChanges": { "type": "object", "additionalProperties": { "$ref": "SuggestedNamedStyles" }, "description": "Output only. The suggested changes to the named styles of the document, keyed by suggestion ID." }, "title": { "description": "The title of the document.", "type": "string" }, "body": { "description": "Output only. The main body of the document.", "$ref": "Body" }, "revisionId": { "description": "Output only. The revision ID of the document. Can be used in update requests to specify which revision of a document to apply updates to and how the request should behave if the document has been edited since that revision. Only populated if the user has edit access to the document. The revision ID is not a sequential number but an opaque string. The format of the revision ID might change over time. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the document has not changed. Conversely, a changed ID (for the same document and user) usually means the document has been updated. However, a changed ID can also be due to internal factors such as ID format changes.", "type": "string" }, "headers": { "type": "object", "description": "Output only. The headers in the document, keyed by header ID.", "additionalProperties": { "$ref": "Header" } }, "lists": { "type": "object", "additionalProperties": { "$ref": "List" }, "description": "Output only. The lists in the document, keyed by list ID." }, "footers": { "type": "object", "description": "Output only. The footers in the document, keyed by footer ID.", "additionalProperties": { "$ref": "Footer" } }, "footnotes": { "description": "Output only. The footnotes in the document, keyed by footnote ID.", "additionalProperties": { "$ref": "Footnote" }, "type": "object" }, "documentStyle": { "description": "Output only. The style of the document.", "$ref": "DocumentStyle" } }, "id": "Document", "description": "A Google Docs document.", "type": "object" }, "SuggestedInlineObjectProperties": { "id": "SuggestedInlineObjectProperties", "description": "A suggested change to InlineObjectProperties.", "properties": { "inlineObjectProperties": { "$ref": "InlineObjectProperties", "description": "An InlineObjectProperties that only includes the changes made in this suggestion. This can be used along with the inline_object_properties_suggestion_state to see which fields have changed and their new values." }, "inlineObjectPropertiesSuggestionState": { "$ref": "InlineObjectPropertiesSuggestionState", "description": "A mask that indicates which of the fields on the base InlineObjectProperties have been changed in this suggestion." } }, "type": "object" }, "Table": { "description": "A StructuralElement representing a table.", "id": "Table", "type": "object", "properties": { "suggestedDeletionIds": { "items": { "type": "string" }, "type": "array", "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." }, "suggestedInsertionIds": { "items": { "type": "string" }, "type": "array", "description": "The suggested insertion IDs. A Table may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion." }, "columns": { "description": "Number of columns in the table. It is possible for a table to be non-rectangular, so some rows may have a different number of cells.", "format": "int32", "type": "integer" }, "tableStyle": { "$ref": "TableStyle", "description": "The style of the table." }, "rows": { "description": "Number of rows in the table.", "type": "integer", "format": "int32" }, "tableRows": { "type": "array", "items": { "$ref": "TableRow" }, "description": "The contents and style of each row." } } }, "CreateHeaderRequest": { "id": "CreateHeaderRequest", "description": "Creates a Header. The new header is applied to the SectionStyle at the location of the SectionBreak if specified, otherwise it is applied to the DocumentStyle. If a header of the specified type already exists, a 400 bad request error is returned.", "properties": { "type": { "enumDescriptions": [ "The header/footer type is unspecified.", "A default header/footer." ], "type": "string", "description": "The type of header to create.", "enum": [ "HEADER_FOOTER_TYPE_UNSPECIFIED", "DEFAULT" ] }, "sectionBreakLocation": { "$ref": "Location", "description": "The location of the SectionBreak which begins the section this header should belong to. If `section_break_location' is unset or if it refers to the first section break in the document body, the header applies to the DocumentStyle" } }, "type": "object" }, "CreateNamedRangeRequest": { "properties": { "name": { "description": "The name of the NamedRange. Names do not need to be unique. Names must be at least 1 character and no more than 256 characters, measured in UTF-16 code units.", "type": "string" }, "range": { "$ref": "Range", "description": "The range to apply the name to." } }, "id": "CreateNamedRangeRequest", "type": "object", "description": "Creates a NamedRange referencing the given range." }, "InsertTableColumnRequest": { "type": "object", "properties": { "insertRight": { "type": "boolean", "description": "Whether to insert new column to the right of the reference cell location. - `True`: insert to the right. - `False`: insert to the left." }, "tableCellLocation": { "$ref": "TableCellLocation", "description": "The reference table cell location from which columns will be inserted. A new column will be inserted to the left (or right) of the column where the reference cell is. If the reference cell is a merged cell, a new column will be inserted to the left (or right) of the merged cell." } }, "description": "Inserts an empty column into a table.", "id": "InsertTableColumnRequest" }, "CreateFootnoteResponse": { "id": "CreateFootnoteResponse", "type": "object", "description": "The result of creating a footnote.", "properties": { "footnoteId": { "description": "The ID of the created footnote.", "type": "string" } } }, "EmbeddedDrawingProperties": { "type": "object", "properties": {}, "id": "EmbeddedDrawingProperties", "description": "The properties of an embedded drawing." }, "Bullet": { "properties": { "textStyle": { "$ref": "TextStyle", "description": "The paragraph specific text style applied to this bullet." }, "nestingLevel": { "format": "int32", "type": "integer", "description": "The nesting level of this paragraph in the list." }, "listId": { "type": "string", "description": "The ID of the list this paragraph belongs to." } }, "description": "Describes the bullet of a paragraph.", "id": "Bullet", "type": "object" }, "UpdateParagraphStyleRequest": { "properties": { "paragraphStyle": { "description": "The styles to set on the paragraphs. Certain paragraph style changes may cause other changes in order to mirror the behavior of the Docs editor. See the documentation of ParagraphStyle for more information.", "$ref": "ParagraphStyle" }, "fields": { "type": "string", "format": "google-fieldmask", "description": "The fields that should be updated. At least one field must be specified. The root `paragraph_style` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example, to update the paragraph style's alignment property, set `fields` to `\"alignment\"`. To reset a property to its default value, include its field name in the field mask but leave the field itself unset." }, "range": { "$ref": "Range", "description": "The range overlapping the paragraphs to style." } }, "id": "UpdateParagraphStyleRequest", "description": "Update the styling of all paragraphs that overlap with the given range.", "type": "object" }, "Dimension": { "id": "Dimension", "description": "A magnitude in a single direction in the specified units.", "properties": { "unit": { "enumDescriptions": [ "The units are unknown.", "A point, 1/72 of an inch." ], "type": "string", "enum": [ "UNIT_UNSPECIFIED", "PT" ], "description": "The units for magnitude." }, "magnitude": { "format": "double", "type": "number", "description": "The magnitude." } }, "type": "object" }, "SuggestedDocumentStyle": { "properties": { "documentStyle": { "$ref": "DocumentStyle", "description": "A DocumentStyle that only includes the changes made in this suggestion. This can be used along with the document_style_suggestion_state to see which fields have changed and their new values." }, "documentStyleSuggestionState": { "description": "A mask that indicates which of the fields on the base DocumentStyle have been changed in this suggestion.", "$ref": "DocumentStyleSuggestionState" } }, "description": "A suggested change to the DocumentStyle.", "id": "SuggestedDocumentStyle", "type": "object" }, "FootnoteReference": { "id": "FootnoteReference", "type": "object", "description": "A ParagraphElement representing a footnote reference. A footnote reference is the inline content rendered with a number and is used to identify the footnote.", "properties": { "suggestedTextStyleChanges": { "description": "The suggested text style changes to this FootnoteReference, keyed by suggestion ID.", "type": "object", "additionalProperties": { "$ref": "SuggestedTextStyle" } }, "suggestedInsertionIds": { "type": "array", "description": "The suggested insertion IDs. A FootnoteReference may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "items": { "type": "string" } }, "suggestedDeletionIds": { "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "type": "array" }, "footnoteId": { "description": "The ID of the footnote that contains the content of this footnote reference.", "type": "string" }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this FootnoteReference." }, "footnoteNumber": { "type": "string", "description": "The rendered number of this footnote." } } }, "Background": { "id": "Background", "properties": { "color": { "$ref": "OptionalColor", "description": "The background color." } }, "description": "Represents the background of a document.", "type": "object" }, "SectionBreak": { "properties": { "sectionStyle": { "$ref": "SectionStyle", "description": "The style of the section after this section break." }, "suggestedInsertionIds": { "description": "The suggested insertion IDs. A SectionBreak may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "items": { "type": "string" }, "type": "array" }, "suggestedDeletionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content." } }, "id": "SectionBreak", "description": "A StructuralElement representing a section break. A section is a range of content which has the same SectionStyle. A section break represents the start of a new section, and the section style applies to the section after the section break. The document body always begins with a section break.", "type": "object" }, "DeleteTableRowRequest": { "properties": { "tableCellLocation": { "description": "The reference table cell location from which the row will be deleted. The row this cell spans will be deleted. If this is a merged cell that spans multiple rows, all rows that the cell spans will be deleted. If no rows remain in the table after this deletion, the whole table is deleted.", "$ref": "TableCellLocation" } }, "type": "object", "description": "Deletes a row from a table.", "id": "DeleteTableRowRequest" }, "Range": { "type": "object", "description": "Specifies a contiguous range of text.", "properties": { "endIndex": { "format": "int32", "description": "The zero-based end index of this range, exclusive, in UTF-16 code units. In all current uses, an end index must be provided. This field is an Int32Value in order to accommodate future use cases with open-ended ranges.", "type": "integer" }, "startIndex": { "type": "integer", "description": "The zero-based start index of this range, in UTF-16 code units. In all current uses, a start index must be provided. This field is an Int32Value in order to accommodate future use cases with open-ended ranges.", "format": "int32" }, "segmentId": { "type": "string", "description": "The ID of the header, footer or footnote that this range is contained in. An empty segment ID signifies the document's body." } }, "id": "Range" }, "TableRow": { "properties": { "tableCells": { "type": "array", "description": "The contents and style of each cell in this row. It is possible for a table to be non-rectangular, so some rows may have a different number of cells than other rows in the same table.", "items": { "$ref": "TableCell" } }, "tableRowStyle": { "description": "The style of the table row.", "$ref": "TableRowStyle" }, "endIndex": { "format": "int32", "description": "The zero-based end index of this row, exclusive, in UTF-16 code units.", "type": "integer" }, "suggestedInsertionIds": { "type": "array", "description": "The suggested insertion IDs. A TableRow may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion.", "items": { "type": "string" } }, "suggestedTableRowStyleChanges": { "description": "The suggested style changes to this row, keyed by suggestion ID.", "additionalProperties": { "$ref": "SuggestedTableRowStyle" }, "type": "object" }, "suggestedDeletionIds": { "type": "array", "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "items": { "type": "string" } }, "startIndex": { "format": "int32", "type": "integer", "description": "The zero-based start index of this row, in UTF-16 code units." } }, "type": "object", "description": "The contents and style of a row in a Table.", "id": "TableRow" }, "InsertTableRequest": { "description": "Inserts a table at the specified location. A newline character will be inserted before the inserted table.", "type": "object", "properties": { "endOfSegmentLocation": { "$ref": "EndOfSegmentLocation", "description": "Inserts the table at the end of the given header, footer or document body. A newline character will be inserted before the inserted table. Tables cannot be inserted inside a footnote." }, "rows": { "description": "The number of rows in the table.", "format": "int32", "type": "integer" }, "columns": { "format": "int32", "type": "integer", "description": "The number of columns in the table." }, "location": { "description": "Inserts the table at a specific model index. A newline character will be inserted before the inserted table, therefore the table start index will be at the specified location index + 1. The table must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between an existing table and its preceding paragraph). Tables cannot be inserted inside a footnote or equation.", "$ref": "Location" } }, "id": "InsertTableRequest" }, "ImagePropertiesSuggestionState": { "properties": { "cropPropertiesSuggestionState": { "description": "A mask that indicates which of the fields in crop_properties have been changed in this suggestion.", "$ref": "CropPropertiesSuggestionState" }, "contrastSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to contrast." }, "angleSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to angle." }, "contentUriSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to content_uri." }, "sourceUriSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to source_uri." }, "brightnessSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to brightness." }, "transparencySuggested": { "description": "Indicates if there was a suggested change to transparency.", "type": "boolean" } }, "type": "object", "id": "ImagePropertiesSuggestionState", "description": "A mask that indicates which of the fields on the base ImageProperties have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "Footer": { "description": "A document footer.", "type": "object", "id": "Footer", "properties": { "footerId": { "type": "string", "description": "The ID of the footer." }, "content": { "type": "array", "description": "The contents of the footer. The indexes for a footer's content begin at zero.", "items": { "$ref": "StructuralElement" } } } }, "Link": { "description": "A reference to another portion of a document or an external URL resource.", "id": "Link", "properties": { "bookmarkId": { "type": "string", "description": "The ID of a bookmark in this document." }, "url": { "description": "An external URL.", "type": "string" }, "headingId": { "description": "The ID of a heading in this document.", "type": "string" } }, "type": "object" }, "TableCellBorder": { "properties": { "dashStyle": { "enumDescriptions": [ "Unspecified dash style.", "Solid line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'solid'. This is the default dash style.", "Dotted line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dot'.", "Dashed line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dash'." ], "enum": [ "DASH_STYLE_UNSPECIFIED", "SOLID", "DOT", "DASH" ], "description": "The dash style of the border.", "type": "string" }, "width": { "$ref": "Dimension", "description": "The width of the border." }, "color": { "$ref": "OptionalColor", "description": "The color of the border. This color cannot be transparent." } }, "type": "object", "id": "TableCellBorder", "description": "A border around a table cell. Table cell borders cannot be transparent. To hide a table cell border, make its width 0." }, "PersonProperties": { "id": "PersonProperties", "properties": { "email": { "readOnly": true, "type": "string", "description": "Output only. The email address linked to this Person. This field is always present." }, "name": { "description": "Output only. The name of the person if it is displayed in the link text instead of the person's email address.", "readOnly": true, "type": "string" } }, "type": "object", "description": "Properties specific to a linked Person." }, "PositionedObject": { "type": "object", "properties": { "suggestedPositionedObjectPropertiesChanges": { "description": "The suggested changes to the positioned object properties, keyed by suggestion ID.", "additionalProperties": { "$ref": "SuggestedPositionedObjectProperties" }, "type": "object" }, "objectId": { "type": "string", "description": "The ID of this positioned object." }, "suggestedInsertionId": { "type": "string", "description": "The suggested insertion ID. If empty, then this is not a suggested insertion." }, "positionedObjectProperties": { "description": "The properties of this positioned object.", "$ref": "PositionedObjectProperties" }, "suggestedDeletionIds": { "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "type": "array", "items": { "type": "string" } } }, "id": "PositionedObject", "description": "An object that is tethered to a Paragraph and positioned relative to the beginning of the paragraph. A PositionedObject contains an EmbeddedObject such as an image." }, "NestingLevelSuggestionState": { "description": "A mask that indicates which of the fields on the base NestingLevel have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": { "indentStartSuggested": { "description": "Indicates if there was a suggested change to indent_start.", "type": "boolean" }, "textStyleSuggestionState": { "description": "A mask that indicates which of the fields in text style have been changed in this suggestion.", "$ref": "TextStyleSuggestionState" }, "glyphSymbolSuggested": { "description": "Indicates if there was a suggested change to glyph_symbol.", "type": "boolean" }, "startNumberSuggested": { "description": "Indicates if there was a suggested change to start_number.", "type": "boolean" }, "glyphFormatSuggested": { "description": "Indicates if there was a suggested change to glyph_format.", "type": "boolean" }, "indentFirstLineSuggested": { "description": "Indicates if there was a suggested change to indent_first_line.", "type": "boolean" }, "bulletAlignmentSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to bullet_alignment." }, "glyphTypeSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to glyph_type." } }, "id": "NestingLevelSuggestionState", "type": "object" }, "Shading": { "type": "object", "id": "Shading", "description": "The shading of a paragraph.", "properties": { "backgroundColor": { "$ref": "OptionalColor", "description": "The background color of this paragraph shading." } } }, "Header": { "properties": { "headerId": { "description": "The ID of the header.", "type": "string" }, "content": { "items": { "$ref": "StructuralElement" }, "description": "The contents of the header. The indexes for a header's content begin at zero.", "type": "array" } }, "type": "object", "id": "Header", "description": "A document header." }, "UnmergeTableCellsRequest": { "description": "Unmerges cells in a Table.", "type": "object", "id": "UnmergeTableCellsRequest", "properties": { "tableRange": { "$ref": "TableRange", "description": "The table range specifying which cells of the table to unmerge. All merged cells in this range will be unmerged, and cells that are already unmerged will not be affected. If the range has no merged cells, the request will do nothing. If there is text in any of the merged cells, the text will remain in the \"head\" cell of the resulting block of unmerged cells. The \"head\" cell is the upper-left cell when the content direction is from left to right, and the upper-right otherwise." } } }, "InsertInlineSheetsChartResponse": { "type": "object", "properties": { "objectId": { "description": "The object ID of the inserted chart.", "type": "string" } }, "description": "The result of inserting an embedded Google Sheets chart.", "id": "InsertInlineSheetsChartResponse" }, "TextStyle": { "description": "Represents the styling that can be applied to text. Inherited text styles are represented as unset fields in this message. A text style's parent depends on where the text style is defined: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The TextStyle of text in a Paragraph inherits from the paragraph's corresponding named style type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The TextStyle on a named style inherits from the normal text named style. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The TextStyle of the normal text named style inherits from the default text style in the Docs editor. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The TextStyle on a Paragraph element that is contained in a table may inherit its text style from the table style. If the text style does not inherit from a parent, unsetting fields will revert the style to a value matching the defaults in the Docs editor.", "type": "object", "properties": { "baselineOffset": { "type": "string", "description": "The text's vertical offset from its normal position. Text with `SUPERSCRIPT` or `SUBSCRIPT` baseline offsets is automatically rendered in a smaller font size, computed based on the `font_size` field. The `font_size` itself is not affected by changes in this field.", "enum": [ "BASELINE_OFFSET_UNSPECIFIED", "NONE", "SUPERSCRIPT", "SUBSCRIPT" ], "enumDescriptions": [ "The text's baseline offset is inherited from the parent.", "The text is not vertically offset.", "The text is vertically offset upwards (superscript).", "The text is vertically offset downwards (subscript)." ] }, "weightedFontFamily": { "$ref": "WeightedFontFamily", "description": "The font family and rendered weight of the text. If an update request specifies values for both `weighted_font_family` and `bold`, the `weighted_font_family` is applied first, then `bold`. If `weighted_font_family#weight` is not set, it defaults to `400`. If `weighted_font_family` is set, then `weighted_font_family#font_family` must also be set with a non-empty value. Otherwise, a 400 bad request error is returned." }, "italic": { "description": "Whether or not the text is italicized.", "type": "boolean" }, "strikethrough": { "description": "Whether or not the text is struck through.", "type": "boolean" }, "bold": { "type": "boolean", "description": "Whether or not the text is rendered as bold." }, "backgroundColor": { "description": "The background color of the text. If set, the color is either an RGB color or transparent, depending on the `color` field.", "$ref": "OptionalColor" }, "fontSize": { "$ref": "Dimension", "description": "The size of the text's font." }, "underline": { "type": "boolean", "description": "Whether or not the text is underlined." }, "smallCaps": { "type": "boolean", "description": "Whether or not the text is in small capital letters." }, "link": { "description": "The hyperlink destination of the text. If unset, there is no link. Links are not inherited from parent text. Changing the link in an update request causes some other changes to the text style of the range: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When setting a link, the text foreground color will be updated to the default link color and the text will be underlined. If these fields are modified in the same request, those values will be used instead of the link defaults. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Setting a link on a text range that overlaps with an existing link will also update the existing link to point to the new URL. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Links are not settable on newline characters. As a result, setting a link on a text range that crosses a paragraph boundary, such as `\"ABC\\n123\"`, will separate the newline character(s) into their own text runs. The link will be applied separately to the runs before and after the newline. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing a link will update the text style of the range to match the style of the preceding text (or the default text styles if the preceding text is another link) unless different styles are being set in the same request.", "$ref": "Link" }, "foregroundColor": { "description": "The foreground color of the text. If set, the color is either an RGB color or transparent, depending on the `color` field.", "$ref": "OptionalColor" } }, "id": "TextStyle" }, "EmbeddedObjectSuggestionState": { "type": "object", "description": "A mask that indicates which of the fields on the base EmbeddedObject have been changed in this suggestion. For any field set to true, there is a new suggested value.", "properties": { "marginTopSuggested": { "description": "Indicates if there was a suggested change to margin_top.", "type": "boolean" }, "marginRightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_right." }, "imagePropertiesSuggestionState": { "description": "A mask that indicates which of the fields in image_properties have been changed in this suggestion.", "$ref": "ImagePropertiesSuggestionState" }, "titleSuggested": { "description": "Indicates if there was a suggested change to title.", "type": "boolean" }, "marginBottomSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_bottom." }, "marginLeftSuggested": { "description": "Indicates if there was a suggested change to margin_left.", "type": "boolean" }, "embeddedObjectBorderSuggestionState": { "$ref": "EmbeddedObjectBorderSuggestionState", "description": "A mask that indicates which of the fields in embedded_object_border have been changed in this suggestion." }, "linkedContentReferenceSuggestionState": { "$ref": "LinkedContentReferenceSuggestionState", "description": "A mask that indicates which of the fields in linked_content_reference have been changed in this suggestion." }, "sizeSuggestionState": { "description": "A mask that indicates which of the fields in size have been changed in this suggestion.", "$ref": "SizeSuggestionState" }, "descriptionSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to description." }, "embeddedDrawingPropertiesSuggestionState": { "description": "A mask that indicates which of the fields in embedded_drawing_properties have been changed in this suggestion.", "$ref": "EmbeddedDrawingPropertiesSuggestionState" } }, "id": "EmbeddedObjectSuggestionState" }, "InlineObject": { "id": "InlineObject", "properties": { "objectId": { "type": "string", "description": "The ID of this inline object. Can be used to update an object’s properties." }, "suggestedInsertionId": { "description": "The suggested insertion ID. If empty, then this is not a suggested insertion.", "type": "string" }, "suggestedDeletionIds": { "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "items": { "type": "string" }, "type": "array" }, "inlineObjectProperties": { "$ref": "InlineObjectProperties", "description": "The properties of this inline object." }, "suggestedInlineObjectPropertiesChanges": { "additionalProperties": { "$ref": "SuggestedInlineObjectProperties" }, "description": "The suggested changes to the inline object properties, keyed by suggestion ID.", "type": "object" } }, "type": "object", "description": "An object that appears inline with text. An InlineObject contains an EmbeddedObject such as an image." }, "Person": { "id": "Person", "description": "A person or email address mentioned in a document. These mentions behave as a single, immutable element containing the person's name or email address.", "type": "object", "properties": { "suggestedInsertionIds": { "description": "IDs for suggestions that insert this person link into the document. A Person might have multiple insertion IDs if it is a nested suggested change (a suggestion within a suggestion made by a different user, for example). If empty, then this person link isn't a suggested insertion.", "items": { "type": "string" }, "type": "array" }, "personId": { "readOnly": true, "description": "Output only. The unique ID of this link.", "type": "string" }, "suggestedDeletionIds": { "items": { "type": "string" }, "type": "array", "description": "IDs for suggestions that remove this person link from the document. A Person might have multiple deletion IDs if, for example, multiple users suggest to delete it. If empty, then this person link isn't suggested for deletion." }, "textStyle": { "$ref": "TextStyle", "description": "The text style of this Person." }, "suggestedTextStyleChanges": { "description": "The suggested text style changes to this Person, keyed by suggestion ID.", "type": "object", "additionalProperties": { "$ref": "SuggestedTextStyle" } }, "personProperties": { "readOnly": true, "$ref": "PersonProperties", "description": "Output only. The properties of this Person. This field is always present." } } }, "Color": { "properties": { "rgbColor": { "description": "The RGB color value.", "$ref": "RgbColor" } }, "type": "object", "id": "Color", "description": "A solid color." }, "CropPropertiesSuggestionState": { "type": "object", "properties": { "offsetTopSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to offset_top." }, "offsetRightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to offset_right." }, "angleSuggested": { "description": "Indicates if there was a suggested change to angle.", "type": "boolean" }, "offsetBottomSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to offset_bottom." }, "offsetLeftSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to offset_left." } }, "id": "CropPropertiesSuggestionState", "description": "A mask that indicates which of the fields on the base CropProperties have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "Body": { "description": "The document body. The body typically contains the full document contents except for headers, footers and footnotes.", "id": "Body", "properties": { "content": { "type": "array", "items": { "$ref": "StructuralElement" }, "description": "The contents of the body. The indexes for the body's content begin at zero." } }, "type": "object" }, "TableCellLocation": { "type": "object", "id": "TableCellLocation", "description": "Location of a single cell within a table.", "properties": { "tableStartLocation": { "description": "The location where the table starts in the document.", "$ref": "Location" }, "columnIndex": { "description": "The zero-based column index. For example, the second column in the table has a column index of 1.", "format": "int32", "type": "integer" }, "rowIndex": { "format": "int32", "description": "The zero-based row index. For example, the second row in the table has a row index of 1.", "type": "integer" } } }, "NamedRanges": { "id": "NamedRanges", "properties": { "namedRanges": { "type": "array", "items": { "$ref": "NamedRange" }, "description": "The NamedRanges that share the same name." }, "name": { "type": "string", "description": "The name that all the named ranges share." } }, "description": "A collection of all the NamedRanges in the document that share a given name.", "type": "object" }, "NamedRange": { "description": "A collection of Ranges with the same named range ID. Named ranges allow developers to associate parts of a document with an arbitrary user-defined label so their contents can be programmatically read or edited at a later time. A document can contain multiple named ranges with the same name, but every named range has a unique ID. A named range is created with a single Range, and content inserted inside a named range generally expands that range. However, certain document changes can cause the range to be split into multiple ranges. Named ranges are not private. All applications and collaborators that have access to the document can see its named ranges.", "id": "NamedRange", "type": "object", "properties": { "namedRangeId": { "description": "The ID of the named range.", "type": "string" }, "ranges": { "items": { "$ref": "Range" }, "type": "array", "description": "The ranges that belong to this named range." }, "name": { "description": "The name of the named range.", "type": "string" } } }, "SectionStyle": { "description": "The styling that applies to a section.", "id": "SectionStyle", "properties": { "firstPageHeaderId": { "type": "string", "description": "The ID of the header used only for the first page of the section. If use_first_page_header_footer is true, this value is used for the header on the first page of the section. If it is false, the header on the first page of the section uses the default_header_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's first_page_header_id. This property is read-only." }, "useFirstPageHeaderFooter": { "type": "boolean", "description": "Indicates whether to use the first page header / footer IDs for the first page of the section. If unset, it inherits from DocumentStyle's use_first_page_header_footer for the first section. If the value is unset for subsequent sectors, it should be interpreted as false. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error." }, "marginLeft": { "$ref": "Dimension", "description": "The left page margin of the section. If unset, uses margin_left from DocumentStyle. Updating left margin causes columns in this section to resize. Since the margin affects column width, it is applied before column properties. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error." }, "firstPageFooterId": { "description": "The ID of the footer used only for the first page of the section. If use_first_page_header_footer is true, this value is used for the footer on the first page of the section. If it is false, the footer on the first page of the section uses the default_footer_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's first_page_footer_id. This property is read-only.", "type": "string" }, "marginTop": { "$ref": "Dimension", "description": "The top page margin of the section. If unset, uses margin_top from DocumentStyle. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error." }, "marginHeader": { "description": "The header margin of the section. If unset, uses margin_header from DocumentStyle. If updated, use_custom_header_footer_margins is set to true on DocumentStyle. The value of use_custom_header_footer_margins on DocumentStyle indicates if a header margin is being respected for this section. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "$ref": "Dimension" }, "contentDirection": { "type": "string", "description": "The content direction of this section. If unset, the value defaults to LEFT_TO_RIGHT. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "enumDescriptions": [ "The content direction is unspecified.", "The content goes from left to right.", "The content goes from right to left." ], "enum": [ "CONTENT_DIRECTION_UNSPECIFIED", "LEFT_TO_RIGHT", "RIGHT_TO_LEFT" ] }, "marginBottom": { "description": "The bottom page margin of the section. If unset, uses margin_bottom from DocumentStyle. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "$ref": "Dimension" }, "evenPageFooterId": { "type": "string", "description": "The ID of the footer used only for even pages. If the value of DocumentStyle's use_even_page_header_footer is true, this value is used for the footers on even pages in the section. If it is false, the footers on even pages uses the default_footer_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's even_page_footer_id. This property is read-only." }, "sectionType": { "enum": [ "SECTION_TYPE_UNSPECIFIED", "CONTINUOUS", "NEXT_PAGE" ], "type": "string", "enumDescriptions": [ "The section type is unspecified.", "The section starts immediately after the last paragraph of the previous section.", "The section starts on the next page." ], "description": "Output only. The type of section." }, "evenPageHeaderId": { "description": "The ID of the header used only for even pages. If the value of DocumentStyle's use_even_page_header_footer is true, this value is used for the headers on even pages in the section. If it is false, the headers on even pages uses the default_header_id. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's even_page_header_id. This property is read-only.", "type": "string" }, "defaultHeaderId": { "type": "string", "description": "The ID of the default header. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's default_header_id. This property is read-only." }, "columnSeparatorStyle": { "description": "The style of column separators. This style can be set even when there is one column in the section. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "type": "string", "enum": [ "COLUMN_SEPARATOR_STYLE_UNSPECIFIED", "NONE", "BETWEEN_EACH_COLUMN" ], "enumDescriptions": [ "An unspecified column separator style.", "No column separator lines between columns.", "Renders a column separator line between each column." ] }, "pageNumberStart": { "type": "integer", "description": "The page number from which to start counting the number of pages for this section. If unset, page numbering continues from the previous section. If the value is unset in the first SectionBreak, refer to DocumentStyle's page_number_start. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "format": "int32" }, "marginFooter": { "description": "The footer margin of the section. If unset, uses margin_footer from DocumentStyle. If updated, use_custom_header_footer_margins is set to true on DocumentStyle. The value of use_custom_header_footer_margins on DocumentStyle indicates if a footer margin is being respected for this section When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "$ref": "Dimension" }, "marginRight": { "description": "The right page margin of the section. If unset, uses margin_right from DocumentStyle. Updating right margin causes columns in this section to resize. Since the margin affects column width, it is applied before column properties. When updating this property, setting a concrete value is required. Unsetting this property results in a 400 bad request error.", "$ref": "Dimension" }, "columnProperties": { "type": "array", "items": { "$ref": "SectionColumnProperties" }, "description": "The section's columns properties. If empty, the section contains one column with the default properties in the Docs editor. A section can be updated to have no more than three columns. When updating this property, setting a concrete value is required. Unsetting this property will result in a 400 bad request error." }, "defaultFooterId": { "type": "string", "description": "The ID of the default footer. If unset, the value inherits from the previous SectionBreak's SectionStyle. If the value is unset in the first SectionBreak, it inherits from DocumentStyle's default_footer_id. This property is read-only." } }, "type": "object" }, "SuggestedBullet": { "description": "A suggested change to a Bullet.", "type": "object", "properties": { "bullet": { "description": "A Bullet that only includes the changes made in this suggestion. This can be used along with the bullet_suggestion_state to see which fields have changed and their new values.", "$ref": "Bullet" }, "bulletSuggestionState": { "$ref": "BulletSuggestionState", "description": "A mask that indicates which of the fields on the base Bullet have been changed in this suggestion." } }, "id": "SuggestedBullet" }, "ListPropertiesSuggestionState": { "id": "ListPropertiesSuggestionState", "description": "A mask that indicates which of the fields on the base ListProperties have been changed in this suggestion. For any field set to true, there is a new suggested value.", "type": "object", "properties": { "nestingLevelsSuggestionStates": { "items": { "$ref": "NestingLevelSuggestionState" }, "description": "A mask that indicates which of the fields on the corresponding NestingLevel in nesting_levels have been changed in this suggestion. The nesting level suggestion states are returned in ascending order of the nesting level with the least nested returned first.", "type": "array" } } }, "UpdateTableColumnPropertiesRequest": { "description": "Updates the TableColumnProperties of columns in a table.", "properties": { "fields": { "description": "The fields that should be updated. At least one field must be specified. The root `tableColumnProperties` is implied and should not be specified. A single `\"*\"` can be used as short-hand for listing every field. For example to update the column width, set `fields` to `\"width\"`.", "type": "string", "format": "google-fieldmask" }, "tableStartLocation": { "$ref": "Location", "description": "The location where the table starts in the document." }, "columnIndices": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "The list of zero-based column indices whose property should be updated. If no indices are specified, all columns will be updated." }, "tableColumnProperties": { "$ref": "TableColumnProperties", "description": "The table column properties to update. If the value of `table_column_properties#width` is less than 5 points (5/72 inch), a 400 bad request error is returned." } }, "id": "UpdateTableColumnPropertiesRequest", "type": "object" }, "Response": { "id": "Response", "properties": { "createFootnote": { "$ref": "CreateFootnoteResponse", "description": "The result of creating a footnote." }, "createFooter": { "$ref": "CreateFooterResponse", "description": "The result of creating a footer." }, "createHeader": { "$ref": "CreateHeaderResponse", "description": "The result of creating a header." }, "createNamedRange": { "description": "The result of creating a named range.", "$ref": "CreateNamedRangeResponse" }, "replaceAllText": { "description": "The result of replacing text.", "$ref": "ReplaceAllTextResponse" }, "insertInlineSheetsChart": { "description": "The result of inserting an inline Google Sheets chart.", "$ref": "InsertInlineSheetsChartResponse" }, "insertInlineImage": { "description": "The result of inserting an inline image.", "$ref": "InsertInlineImageResponse" } }, "type": "object", "description": "A single response from an update." }, "SuggestedTableRowStyle": { "properties": { "tableRowStyleSuggestionState": { "description": "A mask that indicates which of the fields on the base TableRowStyle have been changed in this suggestion.", "$ref": "TableRowStyleSuggestionState" }, "tableRowStyle": { "description": "A TableRowStyle that only includes the changes made in this suggestion. This can be used along with the table_row_style_suggestion_state to see which fields have changed and their new values.", "$ref": "TableRowStyle" } }, "id": "SuggestedTableRowStyle", "description": "A suggested change to a TableRowStyle.", "type": "object" }, "InsertTableRowRequest": { "id": "InsertTableRowRequest", "type": "object", "description": "Inserts an empty row into a table.", "properties": { "tableCellLocation": { "description": "The reference table cell location from which rows will be inserted. A new row will be inserted above (or below) the row where the reference cell is. If the reference cell is a merged cell, a new row will be inserted above (or below) the merged cell.", "$ref": "TableCellLocation" }, "insertBelow": { "type": "boolean", "description": "Whether to insert new row below the reference cell location. - `True`: insert below the cell. - `False`: insert above the cell." } } }, "ReplaceAllTextResponse": { "type": "object", "id": "ReplaceAllTextResponse", "description": "The result of replacing text.", "properties": { "occurrencesChanged": { "description": "The number of occurrences changed by replacing all text.", "type": "integer", "format": "int32" } } }, "ReplaceAllTextRequest": { "type": "object", "id": "ReplaceAllTextRequest", "properties": { "containsText": { "description": "Finds text in the document matching this substring.", "$ref": "SubstringMatchCriteria" }, "replaceText": { "type": "string", "description": "The text that will replace the matched text." } }, "description": "Replaces all instances of text matching a criteria with replace text." }, "NamedStyleSuggestionState": { "id": "NamedStyleSuggestionState", "description": "A suggestion state of a NamedStyle message.", "properties": { "paragraphStyleSuggestionState": { "$ref": "ParagraphStyleSuggestionState", "description": "A mask that indicates which of the fields in paragraph style have been changed in this suggestion." }, "namedStyleType": { "enumDescriptions": [ "The type of named style is unspecified.", "Normal text.", "Title.", "Subtitle.", "Heading 1.", "Heading 2.", "Heading 3.", "Heading 4.", "Heading 5.", "Heading 6." ], "enum": [ "NAMED_STYLE_TYPE_UNSPECIFIED", "NORMAL_TEXT", "TITLE", "SUBTITLE", "HEADING_1", "HEADING_2", "HEADING_3", "HEADING_4", "HEADING_5", "HEADING_6" ], "type": "string", "description": "The named style type that this suggestion state corresponds to. This field is provided as a convenience for matching the NamedStyleSuggestionState with its corresponding NamedStyle." }, "textStyleSuggestionState": { "description": "A mask that indicates which of the fields in text style have been changed in this suggestion.", "$ref": "TextStyleSuggestionState" } }, "type": "object" }, "CreateNamedRangeResponse": { "description": "The result of creating a named range.", "properties": { "namedRangeId": { "type": "string", "description": "The ID of the created named range." } }, "type": "object", "id": "CreateNamedRangeResponse" }, "LinkedContentReference": { "type": "object", "id": "LinkedContentReference", "description": "A reference to the external linked source content.", "properties": { "sheetsChartReference": { "$ref": "SheetsChartReference", "description": "A reference to the linked chart." } } }, "PositionedObjectPropertiesSuggestionState": { "type": "object", "properties": { "embeddedObjectSuggestionState": { "description": "A mask that indicates which of the fields in embedded_object have been changed in this suggestion.", "$ref": "EmbeddedObjectSuggestionState" }, "positioningSuggestionState": { "description": "A mask that indicates which of the fields in positioning have been changed in this suggestion.", "$ref": "PositionedObjectPositioningSuggestionState" } }, "id": "PositionedObjectPropertiesSuggestionState", "description": "A mask that indicates which of the fields on the base PositionedObjectProperties have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "CreateFooterRequest": { "id": "CreateFooterRequest", "type": "object", "properties": { "sectionBreakLocation": { "description": "The location of the SectionBreak immediately preceding the section whose SectionStyle this footer should belong to. If this is unset or refers to the first section break in the document, the footer applies to the document style.", "$ref": "Location" }, "type": { "description": "The type of footer to create.", "type": "string", "enumDescriptions": [ "The header/footer type is unspecified.", "A default header/footer." ], "enum": [ "HEADER_FOOTER_TYPE_UNSPECIFIED", "DEFAULT" ] } }, "description": "Creates a Footer. The new footer is applied to the SectionStyle at the location of the SectionBreak if specified, otherwise it is applied to the DocumentStyle. If a footer of the specified type already exists, a 400 bad request error is returned." }, "EmbeddedObjectBorder": { "type": "object", "description": "A border around an EmbeddedObject.", "id": "EmbeddedObjectBorder", "properties": { "dashStyle": { "enum": [ "DASH_STYLE_UNSPECIFIED", "SOLID", "DOT", "DASH" ], "description": "The dash style of the border.", "enumDescriptions": [ "Unspecified dash style.", "Solid line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'solid'. This is the default dash style.", "Dotted line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dot'.", "Dashed line. Corresponds to ECMA-376 ST_PresetLineDashVal value 'dash'." ], "type": "string" }, "propertyState": { "enum": [ "RENDERED", "NOT_RENDERED" ], "description": "The property state of the border property.", "type": "string", "enumDescriptions": [ "If a property's state is RENDERED, then the element has the corresponding property when rendered in the document. This is the default value.", "If a property's state is NOT_RENDERED, then the element does not have the corresponding property when rendered in the document." ] }, "width": { "$ref": "Dimension", "description": "The width of the border." }, "color": { "$ref": "OptionalColor", "description": "The color of the border." } } }, "PositionedObjectPositioning": { "description": "The positioning of a PositionedObject. The positioned object is positioned relative to the beginning of the Paragraph it is tethered to.", "id": "PositionedObjectPositioning", "properties": { "topOffset": { "description": "The offset of the top edge of the positioned object relative to the beginning of the Paragraph it is tethered to. The exact positioning of the object can depend on other content in the document and the document's styling.", "$ref": "Dimension" }, "layout": { "description": "The layout of this positioned object.", "enum": [ "POSITIONED_OBJECT_LAYOUT_UNSPECIFIED", "WRAP_TEXT", "BREAK_LEFT", "BREAK_RIGHT", "BREAK_LEFT_RIGHT", "IN_FRONT_OF_TEXT", "BEHIND_TEXT" ], "type": "string", "enumDescriptions": [ "The layout is unspecified.", "The text wraps around the positioned object.", "Breaks text such that the positioned object is on the left and text is on the right.", "Breaks text such that the positioned object is on the right and text is on the left.", "Breaks text such that there is no text on the left or right of the positioned object.", "The positioned object is in front of the text.", "The positioned object is behind the text." ] }, "leftOffset": { "$ref": "Dimension", "description": "The offset of the left edge of the positioned object relative to the beginning of the Paragraph it is tethered to. The exact positioning of the object can depend on other content in the document and the document's styling." } }, "type": "object" }, "DeletePositionedObjectRequest": { "description": "Deletes a PositionedObject from the document.", "properties": { "objectId": { "description": "The ID of the positioned object to delete.", "type": "string" } }, "id": "DeletePositionedObjectRequest", "type": "object" }, "ParagraphStyleSuggestionState": { "id": "ParagraphStyleSuggestionState", "properties": { "borderRightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to border_right." }, "alignmentSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to alignment." }, "spaceBelowSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to space_below." }, "directionSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to direction." }, "spaceAboveSuggested": { "description": "Indicates if there was a suggested change to space_above.", "type": "boolean" }, "lineSpacingSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to line_spacing." }, "keepWithNextSuggested": { "description": "Indicates if there was a suggested change to keep_with_next.", "type": "boolean" }, "borderLeftSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to border_left." }, "borderBottomSuggested": { "description": "Indicates if there was a suggested change to border_bottom.", "type": "boolean" }, "keepLinesTogetherSuggested": { "description": "Indicates if there was a suggested change to keep_lines_together.", "type": "boolean" }, "indentFirstLineSuggested": { "description": "Indicates if there was a suggested change to indent_first_line.", "type": "boolean" }, "indentStartSuggested": { "description": "Indicates if there was a suggested change to indent_start.", "type": "boolean" }, "borderBetweenSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to border_between." }, "namedStyleTypeSuggested": { "description": "Indicates if there was a suggested change to named_style_type.", "type": "boolean" }, "spacingModeSuggested": { "description": "Indicates if there was a suggested change to spacing_mode.", "type": "boolean" }, "shadingSuggestionState": { "description": "A mask that indicates which of the fields in shading have been changed in this suggestion.", "$ref": "ShadingSuggestionState" }, "avoidWidowAndOrphanSuggested": { "description": "Indicates if there was a suggested change to avoid_widow_and_orphan.", "type": "boolean" }, "headingIdSuggested": { "description": "Indicates if there was a suggested change to heading_id.", "type": "boolean" }, "pageBreakBeforeSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to page_break_before." }, "indentEndSuggested": { "description": "Indicates if there was a suggested change to indent_end.", "type": "boolean" }, "borderTopSuggested": { "description": "Indicates if there was a suggested change to border_top.", "type": "boolean" } }, "type": "object", "description": "A mask that indicates which of the fields on the base ParagraphStyle have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "ColumnBreak": { "description": "A ParagraphElement representing a column break. A column break makes the subsequent text start at the top of the next column.", "type": "object", "properties": { "textStyle": { "description": "The text style of this ColumnBreak. Similar to text content, like text runs and footnote references, the text style of a column break can affect content layout as well as the styling of text inserted adjacent to it.", "$ref": "TextStyle" }, "suggestedInsertionIds": { "type": "array", "items": { "type": "string" }, "description": "The suggested insertion IDs. A ColumnBreak may have multiple insertion IDs if it is a nested suggested change. If empty, then this is not a suggested insertion." }, "suggestedDeletionIds": { "type": "array", "description": "The suggested deletion IDs. If empty, then there are no suggested deletions of this content.", "items": { "type": "string" } }, "suggestedTextStyleChanges": { "additionalProperties": { "$ref": "SuggestedTextStyle" }, "type": "object", "description": "The suggested text style changes to this ColumnBreak, keyed by suggestion ID." } }, "id": "ColumnBreak" }, "DocumentStyleSuggestionState": { "properties": { "marginFooterSuggested": { "description": "Indicates if there was a suggested change to margin_footer.", "type": "boolean" }, "firstPageFooterIdSuggested": { "description": "Indicates if there was a suggested change to first_page_footer_id.", "type": "boolean" }, "useCustomHeaderFooterMarginsSuggested": { "description": "Indicates if there was a suggested change to use_custom_header_footer_margins.", "type": "boolean" }, "marginRightSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_right." }, "marginTopSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_top." }, "marginBottomSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_bottom." }, "evenPageHeaderIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to even_page_header_id." }, "firstPageHeaderIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to first_page_header_id." }, "useEvenPageHeaderFooterSuggested": { "description": "Indicates if there was a suggested change to use_even_page_header_footer.", "type": "boolean" }, "useFirstPageHeaderFooterSuggested": { "description": "Indicates if there was a suggested change to use_first_page_header_footer.", "type": "boolean" }, "pageNumberStartSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to page_number_start." }, "defaultFooterIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to default_footer_id." }, "marginLeftSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_left." }, "backgroundSuggestionState": { "description": "A mask that indicates which of the fields in background have been changed in this suggestion.", "$ref": "BackgroundSuggestionState" }, "marginHeaderSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to margin_header." }, "defaultHeaderIdSuggested": { "type": "boolean", "description": "Indicates if there was a suggested change to default_header_id." }, "evenPageFooterIdSuggested": { "description": "Indicates if there was a suggested change to even_page_footer_id.", "type": "boolean" }, "pageSizeSuggestionState": { "$ref": "SizeSuggestionState", "description": "A mask that indicates which of the fields in size have been changed in this suggestion." } }, "id": "DocumentStyleSuggestionState", "type": "object", "description": "A mask that indicates which of the fields on the base DocumentStyle have been changed in this suggestion. For any field set to true, there is a new suggested value." }, "Paragraph": { "properties": { "bullet": { "$ref": "Bullet", "description": "The bullet for this paragraph. If not present, the paragraph does not belong to a list." }, "positionedObjectIds": { "items": { "type": "string" }, "description": "The IDs of the positioned objects tethered to this paragraph.", "type": "array" }, "suggestedParagraphStyleChanges": { "type": "object", "description": "The suggested paragraph style changes to this paragraph, keyed by suggestion ID.", "additionalProperties": { "$ref": "SuggestedParagraphStyle" } }, "paragraphStyle": { "description": "The style of this paragraph.", "$ref": "ParagraphStyle" }, "elements": { "description": "The content of the paragraph broken down into its component parts.", "type": "array", "items": { "$ref": "ParagraphElement" } }, "suggestedBulletChanges": { "additionalProperties": { "$ref": "SuggestedBullet" }, "type": "object", "description": "The suggested changes to this paragraph's bullet." }, "suggestedPositionedObjectIds": { "description": "The IDs of the positioned objects that are suggested to be attached to this paragraph, keyed by suggestion ID.", "type": "object", "additionalProperties": { "$ref": "ObjectReferences" } } }, "type": "object", "description": "A StructuralElement representing a paragraph. A paragraph is a range of content that is terminated with a newline character.", "id": "Paragraph" }, "InsertInlineImageRequest": { "id": "InsertInlineImageRequest", "type": "object", "properties": { "uri": { "type": "string", "description": "The image URI. The image is fetched once at insertion time and a copy is stored for display inside the document. Images must be less than 50MB in size, cannot exceed 25 megapixels, and must be in one of PNG, JPEG, or GIF format. The provided URI can be at most 2 kB in length. The URI itself is saved with the image, and exposed via the ImageProperties.content_uri field." }, "endOfSegmentLocation": { "$ref": "EndOfSegmentLocation", "description": "Inserts the text at the end of a header, footer or the document body. Inline images cannot be inserted inside a footnote." }, "location": { "$ref": "Location", "description": "Inserts the image at a specific index in the document. The image must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Inline images cannot be inserted inside a footnote or equation." }, "objectSize": { "$ref": "Size", "description": "The size that the image should appear as in the document. This property is optional and the final size of the image in the document is determined by the following rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If neither width nor height is specified, then a default size of the image is calculated based on its resolution. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If one dimension is specified then the other dimension is calculated to preserve the aspect ratio of the image. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If both width and height are specified, the image is scaled to fit within the provided dimensions while maintaining its aspect ratio." } }, "description": "Inserts an InlineObject containing an image at the given location." }, "Size": { "type": "object", "description": "A width and height.", "properties": { "height": { "$ref": "Dimension", "description": "The height of the object." }, "width": { "description": "The width of the object.", "$ref": "Dimension" } }, "id": "Size" }, "ReplaceImageRequest": { "type": "object", "properties": { "uri": { "type": "string", "description": "The URI of the new image. The image is fetched once at insertion time and a copy is stored for display inside the document. Images must be less than 50MB, cannot exceed 25 megapixels, and must be in PNG, JPEG, or GIF format. The provided URI can't surpass 2 KB in length. The URI is saved with the image, and exposed through the ImageProperties.source_uri field." }, "imageObjectId": { "description": "The ID of the existing image that will be replaced. The ID can be retrieved from the response of a get request.", "type": "string" }, "imageReplaceMethod": { "type": "string", "enum": [ "IMAGE_REPLACE_METHOD_UNSPECIFIED", "CENTER_CROP" ], "description": "The replacement method.", "enumDescriptions": [ "Unspecified image replace method. This value must not be used.", "Scales and centers the image to fill the bounds of the original image. The image may be cropped in order to fill the original image's bounds. The rendered size of the image will be the same as the original image." ] } }, "description": "Replaces an existing image with a new image. Replacing an image removes some image effects from the existing image in order to mirror the behavior of the Docs editor.", "id": "ReplaceImageRequest" }, "CreateParagraphBulletsRequest": { "type": "object", "properties": { "bulletPreset": { "type": "string", "enumDescriptions": [ "The bullet glyph preset is unspecified.", "A bulleted list with a `DISC`, `CIRCLE` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `DIAMONDX`, `ARROW3D` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A bulleted list with `CHECKBOX` bullet glyphs for all list nesting levels.", "A bulleted list with a `ARROW`, `DIAMOND` and `DISC` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `STAR`, `CIRCLE` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `ARROW3D`, `CIRCLE` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `LEFTTRIANGLE`, `DIAMOND` and `DISC` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `DIAMONDX`, `HOLLOWDIAMOND` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A bulleted list with a `DIAMOND`, `CIRCLE` and `SQUARE` bullet glyph for the first 3 list nesting levels.", "A numbered list with `DECIMAL`, `ALPHA` and `ROMAN` numeric glyphs for the first 3 list nesting levels, followed by periods.", "A numbered list with `DECIMAL`, `ALPHA` and `ROMAN` numeric glyphs for the first 3 list nesting levels, followed by parenthesis.", "A numbered list with `DECIMAL` numeric glyphs separated by periods, where each nesting level uses the previous nesting level's glyph as a prefix. For example: '1.', '1.1.', '2.', '2.2.'.", "A numbered list with `UPPERALPHA`, `ALPHA` and `ROMAN` numeric glyphs for the first 3 list nesting levels, followed by periods.", "A numbered list with `UPPERROMAN`, `UPPERALPHA` and `DECIMAL` numeric glyphs for the first 3 list nesting levels, followed by periods.", "A numbered list with `ZERODECIMAL`, `ALPHA` and `ROMAN` numeric glyphs for the first 3 list nesting levels, followed by periods." ], "enum": [ "BULLET_GLYPH_PRESET_UNSPECIFIED", "BULLET_DISC_CIRCLE_SQUARE", "BULLET_DIAMONDX_ARROW3D_SQUARE", "BULLET_CHECKBOX", "BULLET_ARROW_DIAMOND_DISC", "BULLET_STAR_CIRCLE_SQUARE", "BULLET_ARROW3D_CIRCLE_SQUARE", "BULLET_LEFTTRIANGLE_DIAMOND_DISC", "BULLET_DIAMONDX_HOLLOWDIAMOND_SQUARE", "BULLET_DIAMOND_CIRCLE_SQUARE", "NUMBERED_DECIMAL_ALPHA_ROMAN", "NUMBERED_DECIMAL_ALPHA_ROMAN_PARENS", "NUMBERED_DECIMAL_NESTED", "NUMBERED_UPPERALPHA_ALPHA_ROMAN", "NUMBERED_UPPERROMAN_UPPERALPHA_DECIMAL", "NUMBERED_ZERODECIMAL_ALPHA_ROMAN" ], "description": "The kinds of bullet glyphs to be used." }, "range": { "$ref": "Range", "description": "The range to apply the bullet preset to." } }, "description": "Creates bullets for all of the paragraphs that overlap with the given range. The nesting level of each paragraph will be determined by counting leading tabs in front of each paragraph. To avoid excess space between the bullet and the corresponding paragraph, these leading tabs are removed by this request. This may change the indices of parts of the text. If the paragraph immediately before paragraphs being updated is in a list with a matching preset, the paragraphs being updated are added to that preceding list.", "id": "CreateParagraphBulletsRequest" }, "InsertSectionBreakRequest": { "type": "object", "properties": { "location": { "description": "Inserts a newline and a section break at a specific index in the document. The section break must be inserted inside the bounds of an existing Paragraph. For instance, it cannot be inserted at a table's start index (i.e. between the table and its preceding paragraph). Section breaks cannot be inserted inside a table, equation, footnote, header, or footer. Since section breaks can only be inserted inside the body, the segment ID field must be empty.", "$ref": "Location" }, "sectionType": { "description": "The type of section to insert.", "enum": [ "SECTION_TYPE_UNSPECIFIED", "CONTINUOUS", "NEXT_PAGE" ], "enumDescriptions": [ "The section type is unspecified.", "The section starts immediately after the last paragraph of the previous section.", "The section starts on the next page." ], "type": "string" }, "endOfSegmentLocation": { "$ref": "EndOfSegmentLocation", "description": "Inserts a newline and a section break at the end of the document body. Section breaks cannot be inserted inside a footnote, header or footer. Because section breaks can only be inserted inside the body, the segment ID field must be empty." } }, "id": "InsertSectionBreakRequest", "description": "Inserts a section break at the given location. A newline character will be inserted before the section break." }, "DeleteParagraphBulletsRequest": { "type": "object", "description": "Deletes bullets from all of the paragraphs that overlap with the given range. The nesting level of each paragraph will be visually preserved by adding indent to the start of the corresponding paragraph.", "id": "DeleteParagraphBulletsRequest", "properties": { "range": { "description": "The range to delete bullets from.", "$ref": "Range" } } }, "ParagraphElement": { "type": "object", "id": "ParagraphElement", "properties": { "inlineObjectElement": { "description": "An inline object paragraph element.", "$ref": "InlineObjectElement" }, "richLink": { "$ref": "RichLink", "description": "A paragraph element that links to a Google resource (such as a file in Drive, a Youtube video, a Calendar event, etc.)" }, "columnBreak": { "$ref": "ColumnBreak", "description": "A column break paragraph element." }, "person": { "$ref": "Person", "description": "A paragraph element that links to a person or email address." }, "horizontalRule": { "$ref": "HorizontalRule", "description": "A horizontal rule paragraph element." }, "equation": { "description": "An equation paragraph element.", "$ref": "Equation" }, "autoText": { "description": "An auto text paragraph element.", "$ref": "AutoText" }, "footnoteReference": { "description": "A footnote reference paragraph element.", "$ref": "FootnoteReference" }, "endIndex": { "description": "The zero-base end index of this paragraph element, exclusive, in UTF-16 code units.", "format": "int32", "type": "integer" }, "textRun": { "$ref": "TextRun", "description": "A text run paragraph element." }, "startIndex": { "type": "integer", "description": "The zero-based start index of this paragraph element, in UTF-16 code units.", "format": "int32" }, "pageBreak": { "description": "A page break paragraph element.", "$ref": "PageBreak" } }, "description": "A ParagraphElement describes content within a Paragraph." }, "LinkedContentReferenceSuggestionState": { "id": "LinkedContentReferenceSuggestionState", "properties": { "sheetsChartReferenceSuggestionState": { "$ref": "SheetsChartReferenceSuggestionState", "description": "A mask that indicates which of the fields in sheets_chart_reference have been changed in this suggestion." } }, "description": "A mask that indicates which of the fields on the base LinkedContentReference have been changed in this suggestion. For any field set to true, there is a new suggested value.", "type": "object" }, "MergeTableCellsRequest": { "id": "MergeTableCellsRequest", "type": "object", "description": "Merges cells in a Table.", "properties": { "tableRange": { "$ref": "TableRange", "description": "The table range specifying which cells of the table to merge. Any text in the cells being merged will be concatenated and stored in the \"head\" cell of the range. This is the upper-left cell of the range when the content direction is left to right, and the upper-right cell of the range otherwise. If the range is non-rectangular (which can occur in some cases where the range covers cells that are already merged or where the table is non-rectangular), a 400 bad request error is returned." } } }, "TableStyle": { "description": "Styles that apply to a table.", "type": "object", "id": "TableStyle", "properties": { "tableColumnProperties": { "type": "array", "items": { "$ref": "TableColumnProperties" }, "description": "The properties of each column. Note that in Docs, tables contain rows and rows contain cells, similar to HTML. So the properties for a row can be found on the row's table_row_style." } } }, "TableRange": { "type": "object", "description": "A table range represents a reference to a subset of a table. It's important to note that the cells specified by a table range do not necessarily form a rectangle. For example, let's say we have a 3 x 3 table where all the cells of the last row are merged together. The table looks like this: [ ] A table range with table cell location = (table_start_location, row = 0, column = 0), row span = 3 and column span = 2 specifies the following cells: x x [ x x x ]", "properties": { "tableCellLocation": { "$ref": "TableCellLocation", "description": "The cell location where the table range starts." }, "columnSpan": { "description": "The column span of the table range.", "type": "integer", "format": "int32" }, "rowSpan": { "description": "The row span of the table range.", "type": "integer", "format": "int32" } }, "id": "TableRange" } }, "documentationLink": "https://developers.google.com/docs/", "mtlsRootUrl": "https://docs.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "title": "Google Docs API", "kind": "discovery#restDescription", "baseUrl": "https://docs.googleapis.com/", "revision": "20220708", "id": "docs:v1", "description": "Reads and writes Google Docs documents.", "resources": { "documents": { "methods": { "create": { "request": { "$ref": "Document" }, "parameterOrder": [], "flatPath": "v1/documents", "response": { "$ref": "Document" }, "id": "docs.documents.create", "httpMethod": "POST", "path": "v1/documents", "scopes": [ "https://www.googleapis.com/auth/documents", "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file" ], "parameters": {}, "description": "Creates a blank document using the title given in the request. Other fields in the request, including any provided content, are ignored. Returns the created document." }, "batchUpdate": { "request": { "$ref": "BatchUpdateDocumentRequest" }, "path": "v1/documents/{documentId}:batchUpdate", "httpMethod": "POST", "description": "Applies one or more updates to the document. Each request is validated before being applied. If any request is not valid, then the entire request will fail and nothing will be applied. Some requests have replies to give you some information about how they are applied. Other requests do not need to return information; these each return an empty reply. The order of replies matches that of the requests. For example, suppose you call batchUpdate with four updates, and only the third one returns information. The response would have two empty replies, the reply to the third request, and another empty reply, in that order. Because other users may be editing the document, the document might not exactly reflect your changes: your changes may be altered with respect to collaborator changes. If there are no collaborators, the document should reflect your changes. In any case, the updates in your request are guaranteed to be applied together atomically.", "flatPath": "v1/documents/{documentId}:batchUpdate", "parameters": { "documentId": { "required": true, "type": "string", "description": "The ID of the document to update.", "location": "path" } }, "parameterOrder": [ "documentId" ], "id": "docs.documents.batchUpdate", "scopes": [ "https://www.googleapis.com/auth/documents", "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file" ], "response": { "$ref": "BatchUpdateDocumentResponse" } }, "get": { "path": "v1/documents/{documentId}", "httpMethod": "GET", "flatPath": "v1/documents/{documentId}", "response": { "$ref": "Document" }, "parameters": { "suggestionsViewMode": { "location": "query", "enum": [ "DEFAULT_FOR_CURRENT_ACCESS", "SUGGESTIONS_INLINE", "PREVIEW_SUGGESTIONS_ACCEPTED", "PREVIEW_WITHOUT_SUGGESTIONS" ], "enumDescriptions": [ "The SuggestionsViewMode applied to the returned document depends on the user's current access level. If the user only has view access, PREVIEW_WITHOUT_SUGGESTIONS is applied. Otherwise, SUGGESTIONS_INLINE is applied. This is the default suggestions view mode.", "The returned document has suggestions inline. Suggested changes will be differentiated from base content within the document. Requests to retrieve a document using this mode will return a 403 error if the user does not have permission to view suggested changes.", "The returned document is a preview with all suggested changes accepted. Requests to retrieve a document using this mode will return a 403 error if the user does not have permission to view suggested changes.", "The returned document is a preview with all suggested changes rejected if there are any suggestions in the document." ], "type": "string", "description": "The suggestions view mode to apply to the document. This allows viewing the document with all suggestions inline, accepted or rejected. If one is not specified, DEFAULT_FOR_CURRENT_ACCESS is used." }, "documentId": { "description": "The ID of the document to retrieve.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/documents", "https://www.googleapis.com/auth/documents.readonly", "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly" ], "parameterOrder": [ "documentId" ], "description": "Gets the latest version of the specified document.", "id": "docs.documents.get" } } } }, "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "alt": { "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean" } } }
]===]))
