local decode = require("cjson").new().decode
return assert(decode([===[
{ "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "baseUrl": "https://documentai.googleapis.com/", "title": "Cloud Document AI API", "version_module": true, "servicePath": "", "fullyEncodeReservedExpansion": true, "protocol": "rest", "mtlsRootUrl": "https://documentai.mtls.googleapis.com/", "batchPath": "batch", "id": "documentai:v1beta2", "version": "v1beta2", "ownerName": "Google", "ownerDomain": "google.com", "revision": "20220621", "documentationLink": "https://cloud.google.com/document-ai/docs/", "kind": "discovery#restDescription", "name": "documentai", "discoveryVersion": "v1", "basePath": "", "schemas": { "GoogleCloudDocumentaiV1beta2DocumentLabel": { "id": "GoogleCloudDocumentaiV1beta2DocumentLabel", "properties": { "name": { "description": "Name of the label. When the label is generated from AutoML Text Classification model, this field represents the name of the category.", "type": "string" }, "automlModel": { "description": "Label is generated AutoML model. This field stores the full resource name of the AutoML model. Format: `projects/{project-id}/locations/{location-id}/models/{model-id}`", "type": "string" }, "confidence": { "format": "float", "type": "number", "description": "Confidence score between 0 and 1 for label assignment." } }, "type": "object", "description": "Label attaches schema information and/or other metadata to segments within a Document. Multiple Labels on a single field can denote either different labels, different instances of the same label created at different times, or some combination of both." }, "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef": { "properties": { "confidence": { "type": "number", "format": "float", "description": "Optional. Confidence of detected page element, if applicable. Range [0, 1]." }, "layoutId": { "type": "string", "description": "Optional. Deprecated. Use PageRef.bounding_poly instead." }, "page": { "format": "int64", "type": "string", "description": "Required. Index into the Document.pages element, for example using Document.pages to locate the related page element. This field is skipped when its value is the default 0. See https://developers.google.com/protocol-buffers/docs/proto3#json." }, "layoutType": { "enum": [ "LAYOUT_TYPE_UNSPECIFIED", "BLOCK", "PARAGRAPH", "LINE", "TOKEN", "VISUAL_ELEMENT", "TABLE", "FORM_FIELD" ], "enumDescriptions": [ "Layout Unspecified.", "References a Page.blocks element.", "References a Page.paragraphs element.", "References a Page.lines element.", "References a Page.tokens element.", "References a Page.visual_elements element.", "Refrrences a Page.tables element.", "References a Page.form_fields element." ], "type": "string", "description": "Optional. The type of the layout element that is being referenced if any." }, "boundingPoly": { "$ref": "GoogleCloudDocumentaiV1beta2BoundingPoly", "description": "Optional. Identifies the bounding polygon of a layout element on the page." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef", "description": "Represents a weak reference to a page element within a document." }, "GoogleCloudDocumentaiV1beta2OutputConfig": { "id": "GoogleCloudDocumentaiV1beta2OutputConfig", "properties": { "pagesPerShard": { "description": "The max number of pages to include into each output Document shard JSON on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 parsed pages will be produced. If `pages_per_shard` = 20, then 5 Document shard JSON files each containing 20 parsed pages will be written under the prefix OutputConfig.gcs_destination.uri and suffix pages-x-to-y.json where x and y are 1-indexed page numbers. Example GCS outputs with 157 pages and pages_per_shard = 50: pages-001-to-050.json pages-051-to-100.json pages-101-to-150.json pages-151-to-157.json", "format": "int32", "type": "integer" }, "gcsDestination": { "description": "The Google Cloud Storage location to write the output to.", "$ref": "GoogleCloudDocumentaiV1beta2GcsDestination" } }, "description": "The desired output location and metadata.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentStyle": { "properties": { "fontWeight": { "description": "Font weight. Possible values are normal, bold, bolder, and lighter. https://www.w3schools.com/cssref/pr_font_weight.asp", "type": "string" }, "fontSize": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize", "description": "Font size." }, "textStyle": { "description": "Text style. Possible values are normal, italic, and oblique. https://www.w3schools.com/cssref/pr_font_font-style.asp", "type": "string" }, "textDecoration": { "description": "Text decoration. Follows CSS standard. https://www.w3schools.com/cssref/pr_text_text-decoration.asp", "type": "string" }, "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "backgroundColor": { "description": "Text background color.", "$ref": "GoogleTypeColor" }, "color": { "description": "Text color.", "$ref": "GoogleTypeColor" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentStyle", "description": "Annotation for common text style attributes. This adheres to CSS conventions as much as possible.", "type": "object" }, "GoogleCloudDocumentaiV1beta2Document": { "type": "object", "id": "GoogleCloudDocumentaiV1beta2Document", "description": "Document represents the canonical document resource in Document AI. It is an interchange format that provides insights into documents and allows for collaboration between users and Document AI to iterate and optimize for quality.", "properties": { "pages": { "description": "Visual page layout for the Document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPage" }, "type": "array" }, "revisions": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentRevision" }, "description": "Placeholder. Revision history of this document.", "type": "array" }, "mimeType": { "type": "string", "description": "An IANA published MIME type (also referred to as media type). For more information, see https://www.iana.org/assignments/media-types/media-types.xhtml." }, "text": { "type": "string", "description": "Optional. UTF-8 encoded text in reading order from the document." }, "uri": { "description": "Optional. Currently supports Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info.", "type": "string" }, "entityRelations": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntityRelation" }, "description": "Placeholder. Relationship among Document.entities." }, "shardInfo": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentShardInfo", "description": "Information about the sharding if this document is sharded part of a larger document. If the document is not sharded, this message is not specified." }, "labels": { "type": "array", "description": "Labels for this document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentLabel" } }, "textStyles": { "type": "array", "description": "Placeholder. Styles for the Document.text.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentStyle" } }, "content": { "type": "string", "description": "Optional. Inline document content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64.", "format": "byte" }, "error": { "$ref": "GoogleRpcStatus", "description": "Any error that occurred while processing this document." }, "textChanges": { "description": "Placeholder. A list of text corrections made to [Document.text]. This is usually used for annotating corrections to OCR mistakes. Text changes for a given revision may not overlap with each other.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextChange" }, "type": "array" }, "entities": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntity" }, "description": "A list of entities detected on Document.text. For document shards, entities in this list may cross shard boundaries." } } }, "GoogleCloudDocumentaiV1beta2DocumentPageDimension": { "description": "Dimension for the page.", "properties": { "height": { "description": "Page height.", "type": "number", "format": "float" }, "unit": { "description": "Dimension unit.", "type": "string" }, "width": { "format": "float", "description": "Page width.", "type": "number" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageDimension", "type": "object" }, "GoogleCloudDocumentaiV1beta2OperationMetadata": { "description": "Contains metadata for the BatchProcessDocuments operation.", "type": "object", "properties": { "updateTime": { "description": "The last update time of the operation.", "type": "string", "format": "google-datetime" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "state": { "description": "The state of the current batch processing.", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request is received.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was cancelled.", "The batch processing has failed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACCEPTED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLED", "FAILED" ] }, "createTime": { "description": "The creation time of the operation.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudDocumentaiV1beta2OperationMetadata" }, "GoogleCloudDocumentaiV1beta1OperationMetadata": { "properties": { "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "createTime": { "description": "The creation time of the operation.", "type": "string", "format": "google-datetime" }, "updateTime": { "format": "google-datetime", "description": "The last update time of the operation.", "type": "string" }, "state": { "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request is received.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was cancelled.", "The batch processing has failed." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACCEPTED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLED", "FAILED" ], "description": "The state of the current batch processing." } }, "id": "GoogleCloudDocumentaiV1beta1OperationMetadata", "type": "object", "description": "Contains metadata for the BatchProcessDocuments operation." }, "GoogleCloudDocumentaiV1beta2InputConfig": { "description": "The desired input location and metadata.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2InputConfig", "properties": { "gcsSource": { "$ref": "GoogleCloudDocumentaiV1beta2GcsSource", "description": "The Google Cloud Storage location to read the input from. This must be a single file." }, "mimeType": { "type": "string", "description": "Required. Mimetype of the input. Current supported mimetypes are application/pdf, image/tiff, and image/gif. In addition, application/json type is supported for requests with ProcessDocumentRequest.automl_params field set. The JSON file needs to be in Document format." }, "contents": { "type": "string", "description": "Content in bytes, represented as a stream of bytes. Note: As with all `bytes` fields, proto buffer messages use a pure binary representation, whereas JSON representations use base64. This field only works for synchronous ProcessDocument method.", "format": "byte" } } }, "GoogleCloudDocumentaiV1HumanReviewStatus": { "type": "object", "description": "The status of human review on a processed document.", "id": "GoogleCloudDocumentaiV1HumanReviewStatus", "properties": { "state": { "enumDescriptions": [ "Human review state is unspecified. Most likely due to an internal error.", "Human review is skipped for the document. This can happen because human review is not enabled on the processor or the processing request has been set to skip this document.", "Human review validation is triggered and passed, so no review is needed.", "Human review validation is triggered and the document is under review.", "Some error happened during triggering human review, see the [state_message] for details." ], "enum": [ "STATE_UNSPECIFIED", "SKIPPED", "VALIDATION_PASSED", "IN_PROGRESS", "ERROR" ], "description": "The state of human review on the processing request.", "type": "string" }, "humanReviewOperation": { "type": "string", "description": "The name of the operation triggered by the processed document. This field is populated only when the [state] is [HUMAN_REVIEW_IN_PROGRESS]. It has the same response type and metadata as the long running operation returned by [ReviewDocument] method." }, "stateMessage": { "type": "string", "description": "A message providing more details about the human review state." } } }, "GoogleTypePostalAddress": { "description": "Represents a postal address, e.g. for postal delivery or payments addresses. Given a postal address, a postal service can deliver items to a premise, P.O. Box or similar. It is not intended to model geographical locations (roads, towns, mountains). In typical usage an address would be created via user input or from importing existing data, depending on the type of process. Advice on address input / editing: - Use an i18n-ready address widget such as https://github.com/google/libaddressinput) - Users should not be presented with UI elements for input or editing of fields outside countries where that field is used. For more guidance on how to use this schema, please see: https://support.google.com/business/answer/6397478", "type": "object", "properties": { "administrativeArea": { "type": "string", "description": "Optional. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. \"Barcelona\" and not \"Catalonia\"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated." }, "organization": { "type": "string", "description": "Optional. The name of the organization at the address." }, "revision": { "format": "int32", "type": "integer", "description": "The schema revision of the `PostalAddress`. This must be set to 0, which is the latest revision. All new revisions **must** be backward compatible with old revisions." }, "regionCode": { "type": "string", "description": "Required. CLDR region code of the country/region of the address. This is never inferred and it is up to the user to ensure the value is correct. See https://cldr.unicode.org/ and https://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland." }, "sortingCode": { "type": "string", "description": "Optional. Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like \"CEDEX\", optionally followed by a number (e.g. \"CEDEX 7\"), or just a number alone, representing the \"sector code\" (Jamaica), \"delivery area indicator\" (Malawi) or \"post office indicator\" (e.g. Côte d'Ivoire)." }, "languageCode": { "description": "Optional. BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. If this value is not known, it should be omitted (rather than specifying a possibly incorrect default). Examples: \"zh-Hant\", \"ja\", \"ja-Latn\", \"en\".", "type": "string" }, "recipients": { "type": "array", "description": "Optional. The recipient at the address. This field may, under certain circumstances, contain multiline information. For example, it might contain \"care of\" information.", "items": { "type": "string" } }, "postalCode": { "type": "string", "description": "Optional. Postal code of the address. Not all countries use or require postal codes to be present, but where they are used, they may trigger additional validation with other parts of the address (e.g. state/zip validation in the U.S.A.)." }, "addressLines": { "items": { "type": "string" }, "type": "array", "description": "Unstructured address lines describing the lower levels of an address. Because values in address_lines do not have type information and may sometimes contain multiple values in a single field (e.g. \"Austin, TX\"), it is important that the line order is clear. The order of address lines should be \"envelope order\" for the country/region of the address. In places where this can vary (e.g. Japan), address_language is used to make it explicit (e.g. \"ja\" for large-to-small ordering and \"ja-Latn\" or \"en\" for small-to-large). This way, the most specific line of an address can be selected based on the language. The minimum permitted structural representation of an address consists of a region_code with all remaining information placed in the address_lines. It would be possible to format such an address very approximately without geocoding, but no semantic reasoning could be made about any of the address components until it was at least partially resolved. Creating an address only containing a region_code and address_lines, and then geocoding is the recommended way to handle completely unstructured addresses (as opposed to guessing which parts of the address should be localities or administrative areas)." }, "sublocality": { "description": "Optional. Sublocality of the address. For example, this can be neighborhoods, boroughs, districts.", "type": "string" }, "locality": { "type": "string", "description": "Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines." } }, "id": "GoogleTypePostalAddress" }, "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue": { "properties": { "moneyValue": { "description": "Money value. See also: https://github.com/googleapis/googleapis/blob/master/google/type/money.proto", "$ref": "GoogleTypeMoney" }, "datetimeValue": { "description": "DateTime value. Includes date, time, and timezone. See also: https://github.com/googleapis/googleapis/blob/master/google/type/datetime.proto", "$ref": "GoogleTypeDateTime" }, "floatValue": { "description": "Float value.", "type": "number", "format": "float" }, "integerValue": { "description": "Integer value.", "type": "integer", "format": "int32" }, "addressValue": { "description": "Postal address. See also: https://github.com/googleapis/googleapis/blob/master/google/type/postal_address.proto", "$ref": "GoogleTypePostalAddress" }, "dateValue": { "description": "Date value. Includes year, month, day. See also: https://github.com/googleapis/googleapis/blob/master/google/type/date.proto", "$ref": "GoogleTypeDate" }, "booleanValue": { "type": "boolean", "description": "Boolean value. Can be used for entities with binary values, or for checkboxes." }, "text": { "description": "Optional. An optional field to store a normalized string. For some entity types, one of respective `structured_value` fields may also be populated. Also not all the types of `structured_value` will be normalized. For example, some processors may not generate float or int normalized text by default. Below are sample formats mapped to structured values. - Money/Currency type (`money_value`) is in the ISO 4217 text format. - Date type (`date_value`) is in the ISO 8601 text format. - Datetime type (`datetime_value`) is in the ISO 8601 text format.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue", "description": "Parsed and normalized entity value.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageLine": { "properties": { "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for Line." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." } }, "description": "A collection of tokens that a human would perceive as a line. Does not cross column boundaries, can be horizontal, vertical, etc.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageLine" }, "GoogleCloudDocumentaiV1beta3ReviewDocumentResponse": { "description": "Response message for review document method.", "properties": { "rejectionReason": { "type": "string", "description": "The reason why the review is rejected by reviewer." }, "state": { "enum": [ "STATE_UNSPECIFIED", "REJECTED", "SUCCEEDED" ], "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "The review operation is rejected by the reviewer.", "The review operation is succeeded." ], "type": "string", "description": "The state of the review operation." }, "gcsDestination": { "type": "string", "description": "The Cloud Storage uri for the human reviewed document if the review is succeeded." } }, "id": "GoogleCloudDocumentaiV1beta3ReviewDocumentResponse", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "description": "The long running operation metadata for set default processor version method.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionMetadata" }, "GoogleCloudDocumentaiV1beta3DeployProcessorVersionMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionMetadata", "description": "The long running operation metadata for deploy processor version method." }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadata": { "properties": { "destDatasetType": { "description": "The destination dataset split type.", "type": "string", "enumDescriptions": [ "Default value if the enum is not set. go/protodosdonts#do-include-an-unspecified-value-in-an-enum", "Identifies the train documents.", "Identifies the test documents.", "Identifies the unassigned documents." ], "enum": [ "DATASET_SPLIT_TYPE_UNSPECIFIED", "DATASET_SPLIT_TRAIN", "DATASET_SPLIT_TEST", "DATASET_SPLIT_UNASSIGNED" ] }, "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "individualBatchMoveStatuses": { "description": "The list of response details of each document.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus" } }, "destSplitType": { "enum": [ "DATASET_SPLIT_TYPE_UNSPECIFIED", "DATASET_SPLIT_TRAIN", "DATASET_SPLIT_TEST", "DATASET_SPLIT_UNASSIGNED" ], "enumDescriptions": [ "Default value if the enum is not set. go/protodosdonts#do-include-an-unspecified-value-in-an-enum", "Identifies the train documents.", "Identifies the test documents.", "Identifies the unassigned documents." ], "description": "The destination dataset split type.", "type": "string" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadata" }, "GoogleCloudDocumentaiV1EnableProcessorMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1EnableProcessorMetadata", "description": "The long running operation metadata for enable processor method.", "type": "object" }, "GoogleCloudDocumentaiV1DeployProcessorVersionResponse": { "id": "GoogleCloudDocumentaiV1DeployProcessorVersionResponse", "description": "Response message for the deploy processor version method.", "properties": {}, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentRevision": { "properties": { "processor": { "type": "string", "description": "If the annotation was made by processor identify the processor by its resource name." }, "id": { "type": "string", "description": "Id of the revision. Unique within the context of the document." }, "humanReview": { "description": "Human Review information of this revision.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview" }, "parentIds": { "type": "array", "description": "The revisions that this revision is based on. Must include all the ids that have anything to do with this revision - eg. there are `provenance.parent.revision` fields that index into this field.", "items": { "type": "string" } }, "agent": { "description": "If the change was made by a person specify the name or id of that person.", "type": "string" }, "parent": { "type": "array", "description": "The revisions that this revision is based on. This can include one or more parent (when documents are merged.) This field represents the index into the `revisions` field.", "items": { "type": "integer", "format": "int32" } }, "createTime": { "description": "The time that the revision was created.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentRevision", "description": "Contains past or forward revisions of this document." }, "GoogleCloudDocumentaiV1beta3BatchProcessResponse": { "properties": {}, "id": "GoogleCloudDocumentaiV1beta3BatchProcessResponse", "type": "object", "description": "Response message for batch process document method." }, "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionMetadata", "description": "The long running operation metadata for the undeploy processor version method.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus": { "properties": { "status": { "description": "The status of moving the document.", "$ref": "GoogleRpcStatus" }, "documentId": { "description": "The document id of the document.", "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentId" } }, "description": "The status of each individual document in the batch move process.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus" }, "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef", "description": "Represents a weak reference to a page element within a document.", "properties": { "confidence": { "type": "number", "description": "Optional. Confidence of detected page element, if applicable. Range [0, 1].", "format": "float" }, "layoutType": { "enumDescriptions": [ "Layout Unspecified.", "References a Page.blocks element.", "References a Page.paragraphs element.", "References a Page.lines element.", "References a Page.tokens element.", "References a Page.visual_elements element.", "Refrrences a Page.tables element.", "References a Page.form_fields element." ], "type": "string", "description": "Optional. The type of the layout element that is being referenced if any.", "enum": [ "LAYOUT_TYPE_UNSPECIFIED", "BLOCK", "PARAGRAPH", "LINE", "TOKEN", "VISUAL_ELEMENT", "TABLE", "FORM_FIELD" ] }, "layoutId": { "type": "string", "description": "Optional. Deprecated. Use PageRef.bounding_poly instead." }, "page": { "description": "Required. Index into the Document.pages element, for example using Document.pages to locate the related page element. This field is skipped when its value is the default 0. See https://developers.google.com/protocol-buffers/docs/proto3#json.", "type": "string", "format": "int64" }, "boundingPoly": { "description": "Optional. Identifies the bounding polygon of a layout element on the page.", "$ref": "GoogleCloudDocumentaiV1beta1BoundingPoly" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta2KeyValuePairHint": { "id": "GoogleCloudDocumentaiV1beta2KeyValuePairHint", "properties": { "valueTypes": { "description": "Type of the value. This is case-insensitive, and could be one of: ADDRESS, LOCATION, ORGANIZATION, PERSON, PHONE_NUMBER, ID, NUMBER, EMAIL, PRICE, TERMS, DATE, NAME. Types not in this list will be ignored.", "type": "array", "items": { "type": "string" } }, "key": { "type": "string", "description": "The key text for the hint." } }, "description": "Reserved for future use.", "type": "object" }, "GoogleCloudDocumentaiV1SetDefaultProcessorVersionMetadata": { "description": "The long running operation metadata for set default processor version method.", "id": "GoogleCloudDocumentaiV1SetDefaultProcessorVersionMetadata", "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1DeleteProcessorMetadata": { "id": "GoogleCloudDocumentaiV1DeleteProcessorMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } }, "description": "The long running operation metadata for delete processor method.", "type": "object" }, "GoogleLongrunningOperation": { "id": "GoogleLongrunningOperation", "properties": { "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageToken": { "type": "object", "properties": { "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Token." }, "detectedBreak": { "description": "Detected break at the end of a Token.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageToken", "description": "A detected token." }, "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionResponse": { "properties": {}, "type": "object", "description": "Response message for set default processor version method.", "id": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionResponse" }, "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent": { "id": "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent", "properties": { "index": { "format": "int32", "type": "integer", "description": "The index of the parent item in the corresponding item list (eg. list of entities, properties within entities, etc.) in the parent revision." }, "revision": { "format": "int32", "type": "integer", "description": "The index of the index into current revision's parent_ids list." }, "id": { "type": "integer", "format": "int32", "description": "The id of the parent provenance." } }, "description": "The parent element the current element is based on. Used for referencing/aligning, removal and replacement operations.", "type": "object" }, "GoogleCloudDocumentaiV1beta2TableBoundHint": { "properties": { "boundingBox": { "description": "Bounding box hint for a table on this page. The coordinates must be normalized to [0,1] and the bounding box must be an axis-aligned rectangle.", "$ref": "GoogleCloudDocumentaiV1beta2BoundingPoly" }, "pageNumber": { "description": "Optional. Page number for multi-paged inputs this hint applies to. If not provided, this hint will apply to all pages by default. This value is 1-based.", "type": "integer", "format": "int32" } }, "id": "GoogleCloudDocumentaiV1beta2TableBoundHint", "description": "A hint for a table bounding box on the page for table parsing.", "type": "object" }, "GoogleCloudDocumentaiV1beta1GcsSource": { "type": "object", "description": "The Google Cloud Storage location where the input file will be read from.", "id": "GoogleCloudDocumentaiV1beta1GcsSource", "properties": { "uri": { "type": "string" } } }, "GoogleCloudDocumentaiV1beta1DocumentProvenance": { "type": "object", "description": "Structure to identify provenance relationships between annotations in different revisions.", "properties": { "id": { "type": "integer", "format": "int32", "description": "The Id of this operation. Needs to be unique within the scope of the revision." }, "parents": { "description": "References to the original elements that are replaced.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent" } }, "revision": { "type": "integer", "description": "The index of the revision that produced this element.", "format": "int32" }, "type": { "type": "string", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "ADD", "REMOVE", "REPLACE", "EVAL_REQUESTED", "EVAL_APPROVED", "EVAL_SKIPPED" ], "description": "The type of provenance operation.", "enumDescriptions": [ "Operation type unspecified. If no operation is specified a provenance entry is simply used to match against a `parent`.", "Add an element.", "Remove an element identified by `parent`.", "Replace an element identified by `parent`.", "Request human review for the element identified by `parent`.", "Element is reviewed and approved at human review, confidence will be set to 1.0.", "Element is skipped in the validation process." ] } }, "id": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "GoogleCloudDocumentaiV1beta1DocumentPageMatrix": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageMatrix", "properties": { "data": { "format": "byte", "type": "string", "description": "The matrix data." }, "rows": { "description": "Number of rows in the matrix.", "format": "int32", "type": "integer" }, "type": { "format": "int32", "description": "This encodes information about what data type the matrix uses. For example, 0 (CV_8U) is an unsigned 8-bit image. For the full list of OpenCV primitive data types, please refer to https://docs.opencv.org/4.3.0/d1/d1b/group__core__hal__interface.html", "type": "integer" }, "cols": { "format": "int32", "description": "Number of columns in the matrix.", "type": "integer" } }, "description": "Representation for transformation matrix, intended to be compatible and used with OpenCV format for image manipulation.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageLayout": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "properties": { "orientation": { "type": "string", "description": "Detected orientation for the Layout.", "enumDescriptions": [ "Unspecified orientation.", "Orientation is aligned with page up.", "Orientation is aligned with page right. Turn the head 90 degrees clockwise from upright to read.", "Orientation is aligned with page down. Turn the head 180 degrees from upright to read.", "Orientation is aligned with page left. Turn the head 90 degrees counterclockwise from upright to read." ], "enum": [ "ORIENTATION_UNSPECIFIED", "PAGE_UP", "PAGE_RIGHT", "PAGE_DOWN", "PAGE_LEFT" ] }, "boundingPoly": { "description": "The bounding polygon for the Layout.", "$ref": "GoogleCloudDocumentaiV1beta2BoundingPoly" }, "confidence": { "description": "Confidence of the current Layout within context of the object this layout is for. e.g. confidence can be for a single token, a table, a visual element, etc. depending on context. Range [0, 1].", "type": "number", "format": "float" }, "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" } }, "description": "Visual element describing a layout unit on a page.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionMetadata": { "type": "object", "description": "Metadata message associated with the ExportProcessorVersion operation.", "id": "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionMetadata", "properties": { "commonMetadata": { "description": "The common metadata about the operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1alpha1AnalyzeHitlDataMetadata": { "id": "GoogleCloudDocumentaiV1alpha1AnalyzeHitlDataMetadata", "type": "object", "description": "The long running operation metadata for AnalyzeHitlData.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta3DisableProcessorMetadata": { "id": "GoogleCloudDocumentaiV1beta3DisableProcessorMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } }, "type": "object", "description": "The long running operation metadata for disable processor method." }, "GoogleCloudDocumentaiV1BatchProcessMetadata": { "properties": { "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed." }, "updateTime": { "description": "The last update time of the operation.", "type": "string", "format": "google-datetime" }, "state": { "enum": [ "STATE_UNSPECIFIED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLING", "CANCELLED", "FAILED" ], "description": "The state of the current batch processing.", "type": "string", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was being cancelled.", "The batch processing was cancelled.", "The batch processing has failed." ] }, "individualProcessStatuses": { "description": "The list of response details of each document.", "items": { "$ref": "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus" }, "type": "array" }, "createTime": { "type": "string", "description": "The creation time of the operation.", "format": "google-datetime" } }, "id": "GoogleCloudDocumentaiV1BatchProcessMetadata", "description": "The long running operation metadata for batch process method.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadata": { "type": "object", "description": "Metadata of the import document operation.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "individualImportStatuses": { "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus" }, "type": "array", "description": "The list of response details of each document." } }, "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadata" }, "GoogleCloudDocumentaiUiv1beta3UpdateLabelerPoolOperationMetadata": { "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "description": "The long running operation metadata for UpdateLabelerPool.", "id": "GoogleCloudDocumentaiUiv1beta3UpdateLabelerPoolOperationMetadata" }, "GoogleCloudDocumentaiV1beta2ProcessDocumentRequest": { "description": "Request to process one document.", "id": "GoogleCloudDocumentaiV1beta2ProcessDocumentRequest", "type": "object", "properties": { "formExtractionParams": { "description": "Controls form extraction behavior. If not specified, the system will decide reasonable defaults.", "$ref": "GoogleCloudDocumentaiV1beta2FormExtractionParams" }, "ocrParams": { "description": "Controls OCR behavior. If not specified, the system will decide reasonable defaults.", "$ref": "GoogleCloudDocumentaiV1beta2OcrParams" }, "automlParams": { "description": "Controls AutoML model prediction behavior. AutoMlParams cannot be used together with other Params.", "$ref": "GoogleCloudDocumentaiV1beta2AutoMlParams" }, "documentType": { "type": "string", "description": "Specifies a known document type for deeper structure detection. Valid values are currently \"general\" and \"invoice\". If not provided, \"general\"\\ is used as default. If any other value is given, the request is rejected." }, "tableExtractionParams": { "$ref": "GoogleCloudDocumentaiV1beta2TableExtractionParams", "description": "Controls table extraction behavior. If not specified, the system will decide reasonable defaults." }, "parent": { "description": "Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no location is specified, a region will be chosen automatically. This field is only populated when used in ProcessDocument method.", "type": "string" }, "inputConfig": { "$ref": "GoogleCloudDocumentaiV1beta2InputConfig", "description": "Required. Information about the input file." }, "entityExtractionParams": { "description": "Controls entity extraction behavior. If not specified, the system will decide reasonable defaults.", "$ref": "GoogleCloudDocumentaiV1beta2EntityExtractionParams" }, "outputConfig": { "description": "The desired output location. This field is only needed in BatchProcessDocumentsRequest.", "$ref": "GoogleCloudDocumentaiV1beta2OutputConfig" } } }, "GoogleCloudDocumentaiV1beta1GcsDestination": { "type": "object", "description": "The Google Cloud Storage location where the output file will be written to.", "properties": { "uri": { "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1GcsDestination" }, "GoogleCloudDocumentaiV1beta2DocumentTextAnchor": { "id": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor", "type": "object", "properties": { "content": { "type": "string", "description": "Contains the content of the text span so that users do not have to look it up in the text_segments. It is always populated for formFields." }, "textSegments": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment" }, "description": "The text segments from the Document.text." } }, "description": "Text reference indexing into the Document.text." }, "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement": { "description": "Detected non-text visual elements e.g. checkbox, signature etc. on the page.", "properties": { "type": { "type": "string", "description": "Type of the VisualElement." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for VisualElement." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement", "type": "object" }, "GoogleCloudDocumentaiV1beta2TableExtractionParams": { "description": "Parameters to control table extraction behavior.", "properties": { "modelVersion": { "type": "string", "description": "Model version of the table extraction system. Default is \"builtin/stable\". Specify \"builtin/latest\" for the latest model." }, "enabled": { "description": "Whether to enable table extraction.", "type": "boolean" }, "headerHints": { "items": { "type": "string" }, "type": "array", "description": "Optional. Reserved for future use." }, "tableBoundHints": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2TableBoundHint" }, "description": "Optional. Table bounding box hints that can be provided to complex cases which our algorithm cannot locate the table(s) in.", "type": "array" } }, "id": "GoogleCloudDocumentaiV1beta2TableExtractionParams", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview": { "id": "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview", "properties": { "stateMessage": { "description": "A message providing more details about the current state of processing. For example, the rejection reason when the state is `rejected`.", "type": "string" }, "state": { "type": "string", "description": "Human review state. e.g. `requested`, `succeeded`, `rejected`." } }, "type": "object", "description": "Human Review information of the document." }, "GoogleCloudDocumentaiV1beta2DocumentPage": { "properties": { "tables": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTable" }, "description": "A list of visually detected tables on the page.", "type": "array" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "dimension": { "description": "Physical dimension of the page.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDimension" }, "visualElements": { "type": "array", "description": "A list of detected non-text visual elements e.g. checkbox, signature etc. on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement" } }, "provenance": { "description": "The history of this page.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "transforms": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageMatrix" }, "description": "Transformation matrices that were applied to the original document image to produce Page.image.", "type": "array" }, "paragraphs": { "description": "A list of visually detected text paragraphs on the page. A collection of lines that a human would perceive as a paragraph.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageParagraph" } }, "image": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageImage", "description": "Rendered image for this page. This image is preprocessed to remove any skew, rotation, and distortions such that the annotation bounding boxes can be upright and axis-aligned." }, "symbols": { "type": "array", "description": "A list of visually detected symbols on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageSymbol" } }, "tokens": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageToken" }, "description": "A list of visually detected tokens on the page.", "type": "array" }, "formFields": { "type": "array", "description": "A list of visually detected form fields on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageFormField" } }, "blocks": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageBlock" }, "description": "A list of visually detected text blocks on the page. A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "type": "array" }, "lines": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLine" }, "description": "A list of visually detected text lines on the page. A collection of tokens that a human would perceive as a line.", "type": "array" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for the page." }, "pageNumber": { "description": "1-based index for current Page in a parent Document. Useful when a page is taken out of a Document for individual processing.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPage", "type": "object", "description": "A page in a Document." }, "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow": { "properties": { "cells": { "type": "array", "description": "Cells that make up this row.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell" } } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow", "description": "A row of table cells.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak", "type": "object", "description": "Detected break at the end of a Token.", "properties": { "type": { "type": "string", "enumDescriptions": [ "Unspecified break type.", "A single whitespace.", "A wider whitespace.", "A hyphen that indicates that a token has been split across lines." ], "enum": [ "TYPE_UNSPECIFIED", "SPACE", "WIDE_SPACE", "HYPHEN" ], "description": "Detected break type." } } }, "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionResponse": { "type": "object", "properties": {}, "description": "Response message for the deploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionResponse" }, "GoogleCloudDocumentaiUiv1beta3UpdateDatasetOperationMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3UpdateDatasetOperationMetadata" }, "GoogleCloudDocumentaiV1beta1DocumentPageLayout": { "type": "object", "description": "Visual element describing a layout unit on a page.", "properties": { "orientation": { "description": "Detected orientation for the Layout.", "enum": [ "ORIENTATION_UNSPECIFIED", "PAGE_UP", "PAGE_RIGHT", "PAGE_DOWN", "PAGE_LEFT" ], "enumDescriptions": [ "Unspecified orientation.", "Orientation is aligned with page up.", "Orientation is aligned with page right. Turn the head 90 degrees clockwise from upright to read.", "Orientation is aligned with page down. Turn the head 180 degrees from upright to read.", "Orientation is aligned with page left. Turn the head 90 degrees counterclockwise from upright to read." ], "type": "string" }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Text anchor indexing into the Document.text." }, "boundingPoly": { "description": "The bounding polygon for the Layout.", "$ref": "GoogleCloudDocumentaiV1beta1BoundingPoly" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the current Layout within context of the object this layout is for. e.g. confidence can be for a single token, a table, a visual element, etc. depending on context. Range [0, 1]." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus": { "properties": { "outputGcsDestination": { "type": "string", "description": "The output_gcs_destination of the processed document if it was successful, otherwise empty." }, "status": { "$ref": "GoogleRpcStatus", "description": "The status of the importing of the document." }, "inputGcsSource": { "description": "The source Cloud Storage URI of the document.", "type": "string" } }, "type": "object", "description": "The status of each individual document in the import process.", "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus" }, "GoogleCloudDocumentaiV1beta2Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "properties": { "y": { "description": "Y coordinate (starts from the top of the image).", "format": "int32", "type": "integer" }, "x": { "description": "X coordinate.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2Vertex", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3RevisionReference": { "description": "The revision reference specifies which revision on the document to read.", "type": "object", "properties": { "latestProcessorVersion": { "type": "string", "description": "Read the revision generated by the processor version, returns error if it does not exist." }, "revisionId": { "type": "string", "description": "Read the revision given by the id, returns error if it does not exist." }, "revisionCase": { "enum": [ "REVISION_CASE_UNSPECIFIED", "LATEST_HUMAN_REVIEW", "LATEST_TIMESTAMP" ], "description": "Read the revision by the predefined case.", "type": "string", "enumDescriptions": [ "Unspecified case, fallback to read the first (OCR) revision.", "The latest revision made by a human.", "The latest revision based on timestamp." ] } }, "id": "GoogleCloudDocumentaiUiv1beta3RevisionReference" }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsResponse": { "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsResponse", "properties": {}, "description": "Response of the import document operation.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageTable": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageTable", "properties": { "layout": { "description": "Layout for Table.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "headerRows": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow" }, "type": "array", "description": "Header rows of the table." }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } }, "bodyRows": { "description": "Body rows of the table.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow" } } }, "description": "A table representation similar to HTML table structure." }, "GoogleCloudDocumentaiV1beta2DocumentProvenance": { "properties": { "type": { "enumDescriptions": [ "Operation type unspecified. If no operation is specified a provenance entry is simply used to match against a `parent`.", "Add an element.", "Remove an element identified by `parent`.", "Replace an element identified by `parent`.", "Request human review for the element identified by `parent`.", "Element is reviewed and approved at human review, confidence will be set to 1.0.", "Element is skipped in the validation process." ], "type": "string", "description": "The type of provenance operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "ADD", "REMOVE", "REPLACE", "EVAL_REQUESTED", "EVAL_APPROVED", "EVAL_SKIPPED" ] }, "parents": { "description": "References to the original elements that are replaced.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent" } }, "id": { "format": "int32", "type": "integer", "description": "The Id of this operation. Needs to be unique within the scope of the revision." }, "revision": { "description": "The index of the revision that produced this element.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "type": "object", "description": "Structure to identify provenance relationships between annotations in different revisions." }, "GoogleCloudDocumentaiV1beta2BoundingPoly": { "properties": { "normalizedVertices": { "type": "array", "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2NormalizedVertex" } }, "vertices": { "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2Vertex" }, "type": "array" } }, "description": "A bounding polygon for the detected image annotation.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2BoundingPoly" }, "GoogleCloudDocumentaiV1beta1DocumentPageDimension": { "properties": { "height": { "format": "float", "type": "number", "description": "Page height." }, "width": { "description": "Page width.", "type": "number", "format": "float" }, "unit": { "description": "Dimension unit.", "type": "string" } }, "description": "Dimension for the page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageDimension" }, "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue": { "properties": { "text": { "type": "string", "description": "Optional. An optional field to store a normalized string. For some entity types, one of respective `structured_value` fields may also be populated. Also not all the types of `structured_value` will be normalized. For example, some processors may not generate float or int normalized text by default. Below are sample formats mapped to structured values. - Money/Currency type (`money_value`) is in the ISO 4217 text format. - Date type (`date_value`) is in the ISO 8601 text format. - Datetime type (`datetime_value`) is in the ISO 8601 text format." }, "booleanValue": { "description": "Boolean value. Can be used for entities with binary values, or for checkboxes.", "type": "boolean" }, "floatValue": { "description": "Float value.", "type": "number", "format": "float" }, "moneyValue": { "description": "Money value. See also: https://github.com/googleapis/googleapis/blob/master/google/type/money.proto", "$ref": "GoogleTypeMoney" }, "addressValue": { "$ref": "GoogleTypePostalAddress", "description": "Postal address. See also: https://github.com/googleapis/googleapis/blob/master/google/type/postal_address.proto" }, "integerValue": { "format": "int32", "type": "integer", "description": "Integer value." }, "dateValue": { "description": "Date value. Includes year, month, day. See also: https://github.com/googleapis/googleapis/blob/master/google/type/date.proto", "$ref": "GoogleTypeDate" }, "datetimeValue": { "$ref": "GoogleTypeDateTime", "description": "DateTime value. Includes date, time, and timezone. See also: https://github.com/googleapis/googleapis/blob/master/google/type/datetime.proto" } }, "type": "object", "description": "Parsed and normalized entity value.", "id": "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue" }, "GoogleCloudDocumentaiV1beta2FormExtractionParams": { "description": "Parameters to control form extraction behavior.", "id": "GoogleCloudDocumentaiV1beta2FormExtractionParams", "properties": { "modelVersion": { "type": "string", "description": "Model version of the form extraction system. Default is \"builtin/stable\". Specify \"builtin/latest\" for the latest model. For custom form models, specify: \"custom/{model_name}\". Model name format is \"bucket_name/path/to/modeldir\" corresponding to \"gs://bucket_name/path/to/modeldir\" where annotated examples are stored." }, "keyValuePairHints": { "description": "Reserved for future use.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2KeyValuePairHint" } }, "enabled": { "description": "Whether to enable form extraction.", "type": "boolean" } }, "type": "object" }, "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "description": "Metadata of the EvaluateProcessorVersion method.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionMetadata" }, "GoogleCloudDocumentaiV1beta2DocumentPageParagraph": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageParagraph", "description": "A collection of lines that a human would perceive as a paragraph.", "properties": { "layout": { "description": "Layout for Paragraph.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." } }, "type": "object" }, "GoogleCloudDocumentaiV1DeployProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiV1DeployProcessorVersionMetadata", "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } }, "description": "The long running operation metadata for deploy processor version method." }, "GoogleCloudDocumentaiV1beta3EnableProcessorResponse": { "properties": {}, "type": "object", "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future.", "id": "GoogleCloudDocumentaiV1beta3EnableProcessorResponse" }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument": { "description": "The proto for updated document in resync pipeline.", "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument", "properties": { "destinationPrefix": { "description": "The prefix of cloud storage, identifies the destination document which should be updated by resync pipeline.", "type": "string" }, "status": { "description": "The final status of the documents which should be updated by resync pipeline.", "$ref": "GoogleRpcStatus" }, "sourcePrefix": { "description": "The prefix of cloud storage, identifies the original document which should be updated by resync pipeline.", "type": "string" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageAnchor": { "description": "Referencing the visual context of the entity in the Document.pages. Page anchors can be cross-page, consist of multiple bounding polygons and optionally reference specific layout element types.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageAnchor", "properties": { "pageRefs": { "description": "One or more references to visual page elements", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef" } } }, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment": { "properties": { "endIndex": { "description": "TextSegment half open end UTF-8 char index in the Document.text.", "format": "int64", "type": "string" }, "startIndex": { "type": "string", "format": "int64", "description": "TextSegment start UTF-8 char index in the Document.text." } }, "type": "object", "description": "A text segment in the Document.text. The indices may be out of bounds which indicate that the text extends into another document shard for large sharded documents. See ShardInfo.text_offset", "id": "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment" }, "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview": { "description": "Human Review information of the document.", "type": "object", "properties": { "state": { "type": "string", "description": "Human review state. e.g. `requested`, `succeeded`, `rejected`." }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the rejection reason when the state is `rejected`." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview" }, "GoogleCloudDocumentaiV1beta2DocumentTextChange": { "id": "GoogleCloudDocumentaiV1beta2DocumentTextChange", "properties": { "textAnchor": { "description": "Provenance of the correction. Text anchor indexing into the Document.text. There can only be a single `TextAnchor.text_segments` element. If the start and end index of the text segment are the same, the text change is inserted before that index.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "changedText": { "type": "string", "description": "The text that replaces the text identified in the `text_anchor`." }, "provenance": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "type": "array", "description": "The history of this annotation." } }, "description": "This message is used for text changes aka. OCR corrections.", "type": "object" }, "GoogleTypeMoney": { "properties": { "units": { "type": "string", "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "format": "int64" }, "nanos": { "format": "int32", "type": "integer", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000." }, "currencyCode": { "type": "string", "description": "The three-letter currency code defined in ISO 4217." } }, "id": "GoogleTypeMoney", "description": "Represents an amount of money with its currency type.", "type": "object" }, "GoogleCloudDocumentaiV1DeleteProcessorVersionMetadata": { "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } }, "id": "GoogleCloudDocumentaiV1DeleteProcessorVersionMetadata", "description": "The long running operation metadata for delete processor version method." }, "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionResponse": { "description": "Response message for the undeploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionResponse", "properties": {}, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageParagraph": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageParagraph", "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array" }, "layout": { "description": "Layout for Paragraph.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." } }, "description": "A collection of lines that a human would perceive as a paragraph." }, "GoogleCloudDocumentaiV1beta1OutputConfig": { "type": "object", "properties": { "gcsDestination": { "description": "The Google Cloud Storage location to write the output to.", "$ref": "GoogleCloudDocumentaiV1beta1GcsDestination" }, "pagesPerShard": { "format": "int32", "description": "The max number of pages to include into each output Document shard JSON on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 parsed pages will be produced. If `pages_per_shard` = 20, then 5 Document shard JSON files each containing 20 parsed pages will be written under the prefix OutputConfig.gcs_destination.uri and suffix pages-x-to-y.json where x and y are 1-indexed page numbers. Example GCS outputs with 157 pages and pages_per_shard = 50: pages-001-to-050.json pages-051-to-100.json pages-101-to-150.json pages-151-to-157.json", "type": "integer" } }, "description": "The desired output location and metadata.", "id": "GoogleCloudDocumentaiV1beta1OutputConfig" }, "GoogleCloudDocumentaiV1beta3DeleteProcessorMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1beta3DeleteProcessorMetadata", "description": "The long running operation metadata for delete processor method.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentTextAnchor": { "properties": { "textSegments": { "description": "The text segments from the Document.text.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment" } }, "content": { "description": "Contains the content of the text span so that users do not have to look it up in the text_segments. It is always populated for formFields.", "type": "string" } }, "description": "Text reference indexing into the Document.text.", "id": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3CreateLabelerPoolOperationMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3CreateLabelerPoolOperationMetadata", "description": "The long running operation metadata for CreateLabelerPool.", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta1DocumentPageLine": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageLine", "properties": { "layout": { "description": "Layout for Line.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } } }, "type": "object", "description": "A collection of tokens that a human would perceive as a line. Does not cross column boundaries, can be horizontal, vertical, etc." }, "GoogleCloudDocumentaiV1beta2DocumentShardInfo": { "type": "object", "properties": { "shardIndex": { "type": "string", "description": "The 0-based index of this shard.", "format": "int64" }, "shardCount": { "description": "Total number of shards.", "format": "int64", "type": "string" }, "textOffset": { "format": "int64", "description": "The index of the first character in Document.text in the overall document global text.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentShardInfo", "description": "For a large document, sharding may be performed to produce several document shards. Each document shard contains this field to detail which shard it is." }, "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow", "type": "object", "description": "A row of table cells.", "properties": { "cells": { "description": "Cells that make up this row.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell" } } } }, "GoogleCloudDocumentaiV1beta2DocumentPageMatrix": { "description": "Representation for transformation matrix, intended to be compatible and used with OpenCV format for image manipulation.", "type": "object", "properties": { "cols": { "type": "integer", "format": "int32", "description": "Number of columns in the matrix." }, "type": { "type": "integer", "format": "int32", "description": "This encodes information about what data type the matrix uses. For example, 0 (CV_8U) is an unsigned 8-bit image. For the full list of OpenCV primitive data types, please refer to https://docs.opencv.org/4.3.0/d1/d1b/group__core__hal__interface.html" }, "rows": { "description": "Number of rows in the matrix.", "format": "int32", "type": "integer" }, "data": { "type": "string", "description": "The matrix data.", "format": "byte" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageMatrix" }, "GoogleCloudDocumentaiV1beta1DocumentPageImage": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageImage", "description": "Rendered image contents for this page.", "type": "object", "properties": { "content": { "type": "string", "format": "byte", "description": "Raw byte content of the image." }, "mimeType": { "description": "Encoding mime type for the image.", "type": "string" }, "width": { "type": "integer", "format": "int32", "description": "Width of the image in pixels." }, "height": { "description": "Height of the image in pixels.", "type": "integer", "format": "int32" } } }, "GoogleCloudDocumentaiV1beta2DocumentPageFormField": { "description": "A form field detected on the page.", "properties": { "fieldName": { "description": "Layout for the FormField name. e.g. `Address`, `Email`, `Grand total`, `Phone number`, etc.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "valueDetectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages for value together with confidence.", "type": "array" }, "correctedValueText": { "type": "string", "description": "Created for Labeling UI to export value text. If corrections were made to the text identified by the `field_value.text_anchor`, this field will contain the correction." }, "fieldValue": { "description": "Layout for the FormField value.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "nameDetectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages for name together with confidence." }, "correctedKeyText": { "description": "Created for Labeling UI to export key text. If corrections were made to the text identified by the `field_name.text_anchor`, this field will contain the correction.", "type": "string" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." }, "valueType": { "description": "If the value is non-textual, this field represents the type. Current valid values are: - blank (this indicates the field_value is normal text) - \"unfilled_checkbox\" - \"filled_checkbox\"", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageFormField", "type": "object" }, "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse": { "id": "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse", "properties": { "outputConfig": { "$ref": "GoogleCloudDocumentaiV1beta2OutputConfig", "description": "The output location of the parsed responses. The responses are written to this location as JSON-serialized `Document` objects." }, "inputConfig": { "$ref": "GoogleCloudDocumentaiV1beta2InputConfig", "description": "Information about the input file. This is the same as the corresponding input config in the request." } }, "description": "Response to a single document processing request.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageSymbol": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageSymbol", "properties": { "layout": { "description": "Layout for Symbol.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." } }, "description": "A detected symbol." }, "GoogleCloudDocumentaiV1SetDefaultProcessorVersionResponse": { "description": "Response message for set default processor version method.", "type": "object", "properties": {}, "id": "GoogleCloudDocumentaiV1SetDefaultProcessorVersionResponse" }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus": { "properties": { "documentId": { "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentId", "description": "The document id of the document." }, "status": { "description": "The status of deleting the document.", "$ref": "GoogleRpcStatus" } }, "description": "The status of each individual document in the batch delete process.", "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3DisableProcessorResponse": { "type": "object", "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future.", "properties": {}, "id": "GoogleCloudDocumentaiUiv1beta3DisableProcessorResponse" }, "GoogleCloudDocumentaiV1EnableProcessorResponse": { "type": "object", "properties": {}, "id": "GoogleCloudDocumentaiV1EnableProcessorResponse", "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future." }, "GoogleCloudDocumentaiV1beta2DocumentPageImage": { "description": "Rendered image contents for this page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageImage", "properties": { "width": { "format": "int32", "description": "Width of the image in pixels.", "type": "integer" }, "height": { "type": "integer", "format": "int32", "description": "Height of the image in pixels." }, "mimeType": { "description": "Encoding mime type for the image.", "type": "string" }, "content": { "type": "string", "description": "Raw byte content of the image.", "format": "byte" } } }, "GoogleCloudDocumentaiV1beta1DocumentPage": { "id": "GoogleCloudDocumentaiV1beta1DocumentPage", "description": "A page in a Document.", "type": "object", "properties": { "transforms": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageMatrix" }, "type": "array", "description": "Transformation matrices that were applied to the original document image to produce Page.image." }, "tables": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTable" }, "type": "array", "description": "A list of visually detected tables on the page." }, "formFields": { "description": "A list of visually detected form fields on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageFormField" } }, "lines": { "type": "array", "description": "A list of visually detected text lines on the page. A collection of tokens that a human would perceive as a line.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLine" } }, "blocks": { "type": "array", "description": "A list of visually detected text blocks on the page. A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageBlock" } }, "paragraphs": { "description": "A list of visually detected text paragraphs on the page. A collection of lines that a human would perceive as a paragraph.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageParagraph" }, "type": "array" }, "dimension": { "description": "Physical dimension of the page.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDimension" }, "image": { "description": "Rendered image for this page. This image is preprocessed to remove any skew, rotation, and distortions such that the annotation bounding boxes can be upright and axis-aligned.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageImage" }, "provenance": { "description": "The history of this page.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "tokens": { "description": "A list of visually detected tokens on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageToken" }, "type": "array" }, "symbols": { "type": "array", "description": "A list of visually detected symbols on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageSymbol" } }, "pageNumber": { "type": "integer", "description": "1-based index for current Page in a parent Document. Useful when a page is taken out of a Document for individual processing.", "format": "int32" }, "visualElements": { "type": "array", "description": "A list of detected non-text visual elements e.g. checkbox, signature etc. on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement" } }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array" }, "layout": { "description": "Layout for the page.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" } } }, "GoogleCloudDocumentaiV1DisableProcessorMetadata": { "description": "The long running operation metadata for disable processor method.", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1DisableProcessorMetadata" }, "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionResponse": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionResponse", "description": "Response message for the undeploy processor version method.", "properties": {} }, "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionMetadata": { "description": "The long running operation metadata for deploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionMetadata", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta2DocumentPageToken": { "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageToken", "properties": { "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "layout": { "description": "Layout for Token.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." }, "detectedBreak": { "description": "Detected break at the end of a Token.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak" } }, "description": "A detected token." }, "GoogleCloudDocumentaiV1beta2DocumentPageSymbol": { "description": "A detected symbol.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageSymbol", "type": "object", "properties": { "layout": { "description": "Layout for Symbol.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } } } }, "GoogleCloudDocumentaiV1beta2DocumentPageBlock": { "description": "A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageBlock", "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "layout": { "description": "Layout for Block.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3HumanReviewStatus": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3HumanReviewStatus", "description": "The status of human review on a processed document.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "SKIPPED", "VALIDATION_PASSED", "IN_PROGRESS", "ERROR" ], "type": "string", "description": "The state of human review on the processing request.", "enumDescriptions": [ "Human review state is unspecified. Most likely due to an internal error.", "Human review is skipped for the document. This can happen because human review is not enabled on the processor or the processing request has been set to skip this document.", "Human review validation is triggered and passed, so no review is needed.", "Human review validation is triggered and the document is under review.", "Some error happened during triggering human review, see the [state_message] for details." ] }, "stateMessage": { "type": "string", "description": "A message providing more details about the human review state." }, "humanReviewOperation": { "type": "string", "description": "The name of the operation triggered by the processed document. This field is populated only when the [state] is [HUMAN_REVIEW_IN_PROGRESS]. It has the same response type and metadata as the long running operation returned by [ReviewDocument] method." } } }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsResponse": { "description": "Response of the delete documents operation.", "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsResponse", "properties": {}, "type": "object" }, "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionResponse": { "type": "object", "description": "Response message for set default processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionResponse", "properties": {} }, "GoogleCloudDocumentaiV1beta2GcsDestination": { "properties": { "uri": { "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2GcsDestination", "description": "The Google Cloud Storage location where the output file will be written to.", "type": "object" }, "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus", "properties": { "humanReviewStatus": { "$ref": "GoogleCloudDocumentaiV1beta3HumanReviewStatus", "description": "The status of human review on the processed document." }, "status": { "$ref": "GoogleRpcStatus", "description": "The status of the processing of the document." }, "outputGcsDestination": { "description": "The output_gcs_destination (in the request as `output_gcs_destination`) of the processed document if it was successful, otherwise empty.", "type": "string" }, "humanReviewOperation": { "description": "The name of the operation triggered by the processed document. If the human review process is not triggered, this field will be empty. It has the same response type and metadata as the long running operation returned by ReviewDocument method.", "type": "string" }, "inputGcsSource": { "type": "string", "description": "The source of the document, same as the [input_gcs_source] field in the request when the batch process started. The batch process is started by take snapshot of that document, since a user can move or change that document during the process." } }, "description": "The status of a each individual document in the batch process." }, "GoogleCloudDocumentaiV1beta1DocumentTextChange": { "description": "This message is used for text changes aka. OCR corrections.", "properties": { "provenance": { "description": "The history of this annotation.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" } }, "changedText": { "type": "string", "description": "The text that replaces the text identified in the `text_anchor`." }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Provenance of the correction. Text anchor indexing into the Document.text. There can only be a single `TextAnchor.text_segments` element. If the start and end index of the text segment are the same, the text change is inserted before that index." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentTextChange" }, "GoogleCloudDocumentaiUiv1beta3EnableProcessorMetadata": { "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3EnableProcessorMetadata", "description": "The long running operation metadata for enable processor method.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement": { "properties": { "type": { "description": "Type of the VisualElement.", "type": "string" }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for VisualElement." } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement", "type": "object", "description": "Detected non-text visual elements e.g. checkbox, signature etc. on the page." }, "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize": { "type": "object", "properties": { "size": { "format": "float", "type": "number", "description": "Font size for the text." }, "unit": { "type": "string", "description": "Unit for the font size. Follows CSS naming (in, px, pt, etc.)." } }, "description": "Font size with unit.", "id": "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize" }, "GoogleCloudDocumentaiV1BatchProcessResponse": { "id": "GoogleCloudDocumentaiV1BatchProcessResponse", "properties": {}, "type": "object", "description": "Response message for batch process document method." }, "GoogleCloudDocumentaiV1beta2OcrParams": { "description": "Parameters to control Optical Character Recognition (OCR) behavior.", "id": "GoogleCloudDocumentaiV1beta2OcrParams", "type": "object", "properties": { "languageHints": { "items": { "type": "string" }, "type": "array", "description": "List of languages to use for OCR. In most cases, an empty value yields the best results since it enables automatic language detection. For languages based on the Latin alphabet, setting `language_hints` is not needed. In rare cases, when the language of the text in the image is known, setting a hint will help get better results (although it will be a significant hindrance if the hint is wrong). Document processing returns an error if one or more of the specified languages is not one of the supported languages." } } }, "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionMetadata", "description": "The long running operation metadata for the undeploy processor version method.", "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } } }, "GoogleTypeTimeZone": { "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "properties": { "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." }, "id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" } }, "id": "GoogleTypeTimeZone", "type": "object" }, "GoogleCloudDocumentaiV1beta1Document": { "id": "GoogleCloudDocumentaiV1beta1Document", "properties": { "error": { "description": "Any error that occurred while processing this document.", "$ref": "GoogleRpcStatus" }, "content": { "type": "string", "description": "Optional. Inline document content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64.", "format": "byte" }, "revisions": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentRevision" }, "type": "array", "description": "Placeholder. Revision history of this document." }, "uri": { "type": "string", "description": "Optional. Currently supports Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info." }, "textStyles": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentStyle" }, "description": "Placeholder. Styles for the Document.text." }, "entityRelations": { "description": "Placeholder. Relationship among Document.entities.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntityRelation" } }, "entities": { "type": "array", "description": "A list of entities detected on Document.text. For document shards, entities in this list may cross shard boundaries.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntity" } }, "mimeType": { "type": "string", "description": "An IANA published MIME type (also referred to as media type). For more information, see https://www.iana.org/assignments/media-types/media-types.xhtml." }, "pages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPage" }, "description": "Visual page layout for the Document.", "type": "array" }, "text": { "type": "string", "description": "Optional. UTF-8 encoded text in reading order from the document." }, "shardInfo": { "description": "Information about the sharding if this document is sharded part of a larger document. If the document is not sharded, this message is not specified.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentShardInfo" }, "textChanges": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextChange" }, "description": "Placeholder. A list of text corrections made to [Document.text]. This is usually used for annotating corrections to OCR mistakes. Text changes for a given revision may not overlap with each other.", "type": "array" } }, "type": "object", "description": "Document represents the canonical document resource in Document AI. It is an interchange format that provides insights into documents and allows for collaboration between users and Document AI to iterate and optimize for quality." }, "GoogleCloudDocumentaiV1beta1Vertex": { "id": "GoogleCloudDocumentaiV1beta1Vertex", "properties": { "y": { "description": "Y coordinate (starts from the top of the image).", "format": "int32", "type": "integer" }, "x": { "type": "integer", "description": "X coordinate.", "format": "int32" } }, "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageBlock": { "properties": { "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Block." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." } }, "description": "A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageBlock", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell": { "properties": { "colSpan": { "description": "How many columns this cell spans.", "format": "int32", "type": "integer" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for TableCell." }, "rowSpan": { "format": "int32", "description": "How many rows this cell spans.", "type": "integer" }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell", "description": "A cell representation inside the table." }, "GoogleCloudDocumentaiUiv1beta3DeleteProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiUiv1beta3DeleteProcessorVersionMetadata", "description": "The long running operation metadata for delete processor version method.", "type": "object" }, "GoogleCloudDocumentaiV1UndeployProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiV1UndeployProcessorVersionMetadata", "type": "object", "description": "The long running operation metadata for the undeploy processor version method.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta2DocumentEntity": { "id": "GoogleCloudDocumentaiV1beta2DocumentEntity", "properties": { "textAnchor": { "description": "Optional. Provenance of the entity. Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "nonPresent": { "description": "Optional. This attribute indicates that the processing didn't actually identify this entity, but a confidence score was assigned that represent the potential that this could be a false negative. A non-present entity should have an empty mention_text and text_anchor.", "type": "boolean" }, "mentionId": { "description": "Optional. Deprecated. Use `id` field instead.", "type": "string" }, "redacted": { "type": "boolean", "description": "Optional. Whether the entity will be redacted for de-identification purposes." }, "confidence": { "format": "float", "description": "Optional. Confidence of detected Schema entity. Range [0, 1].", "type": "number" }, "properties": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntity" }, "description": "Optional. Entities can be nested to form a hierarchical data structure representing the content in the document.", "type": "array" }, "id": { "description": "Optional. Canonical id. This will be a unique value in the entity list for this document.", "type": "string" }, "pageAnchor": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageAnchor", "description": "Optional. Represents the provenance of this entity wrt. the location on the page where it was found." }, "provenance": { "description": "Optional. The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "mentionText": { "description": "Optional. Text value in the document e.g. `1600 Amphitheatre Pkwy`. If the entity is not present in the document, this field will be empty.", "type": "string" }, "normalizedValue": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue", "description": "Optional. Normalized entity value. Absent if the extracted value could not be converted or the type (e.g. address) is not supported for certain parsers. This field is also only populated for certain supported document types." }, "type": { "description": "Required. Entity type from a schema e.g. `Address`.", "type": "string" } }, "description": "An entity that could be a phrase in the text or a property that belongs to the document. It is a known entity type, such as a person, an organization, or location.", "type": "object" }, "GoogleCloudDocumentaiV1DisableProcessorResponse": { "properties": {}, "id": "GoogleCloudDocumentaiV1DisableProcessorResponse", "type": "object", "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future." }, "GoogleCloudDocumentaiV1beta1InputConfig": { "properties": { "mimeType": { "type": "string", "description": "Required. Mimetype of the input. Current supported mimetypes are application/pdf, image/tiff, and image/gif. In addition, application/json type is supported for requests with ProcessDocumentRequest.automl_params field set. The JSON file needs to be in Document format." }, "gcsSource": { "$ref": "GoogleCloudDocumentaiV1beta1GcsSource", "description": "The Google Cloud Storage location to read the input from. This must be a single file." } }, "description": "The desired input location and metadata.", "id": "GoogleCloudDocumentaiV1beta1InputConfig", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentEntityRelation": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentEntityRelation", "description": "Relationship between Entities.", "properties": { "relation": { "description": "Relationship description.", "type": "string" }, "subjectId": { "type": "string", "description": "Subject entity id." }, "objectId": { "type": "string", "description": "Object entity id." } } }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionResponse": { "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionResponse", "properties": { "processorVersion": { "type": "string", "description": "The resource name of the processor version produced by training." } }, "description": "The response for the TrainProcessorVersion method.", "type": "object" }, "GoogleCloudDocumentaiV1beta3BatchProcessMetadata": { "id": "GoogleCloudDocumentaiV1beta3BatchProcessMetadata", "properties": { "state": { "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was being cancelled.", "The batch processing was cancelled.", "The batch processing has failed." ], "description": "The state of the current batch processing.", "enum": [ "STATE_UNSPECIFIED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLING", "CANCELLED", "FAILED" ], "type": "string" }, "updateTime": { "description": "The last update time of the operation.", "format": "google-datetime", "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed." }, "createTime": { "format": "google-datetime", "description": "The creation time of the operation.", "type": "string" }, "individualProcessStatuses": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus" }, "description": "The list of response details of each document." } }, "type": "object", "description": "The long running operation metadata for batch process method." }, "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage": { "description": "Detected language for a structural component.", "properties": { "confidence": { "description": "Confidence of detected language. Range [0, 1].", "type": "number", "format": "float" }, "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage", "type": "object" }, "GoogleCloudDocumentaiV1beta2AutoMlParams": { "id": "GoogleCloudDocumentaiV1beta2AutoMlParams", "type": "object", "description": "Parameters to control AutoML model prediction behavior.", "properties": { "model": { "description": "Resource name of the AutoML model. Format: `projects/{project-id}/locations/{location-id}/models/{model-id}`.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment": { "properties": { "startIndex": { "description": "TextSegment start UTF-8 char index in the Document.text.", "format": "int64", "type": "string" }, "endIndex": { "format": "int64", "type": "string", "description": "TextSegment half open end UTF-8 char index in the Document.text." } }, "type": "object", "description": "A text segment in the Document.text. The indices may be out of bounds which indicate that the text extends into another document shard for large sharded documents. See ShardInfo.text_offset", "id": "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment" }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadata", "type": "object", "description": "The metadata that represents a processor version being created.", "properties": { "testDatasetValidation": { "$ref": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation", "description": "The test dataset validation information." }, "trainingDatasetValidation": { "description": "The training dataset validation information.", "$ref": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation" }, "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiUiv1beta3DocumentId": { "description": "Document Identifier.", "id": "GoogleCloudDocumentaiUiv1beta3DocumentId", "type": "object", "properties": { "gcsManagedDocId": { "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId" }, "revisionReference": { "$ref": "GoogleCloudDocumentaiUiv1beta3RevisionReference", "description": "Points to a specific revision of the document if set." } } }, "GoogleRpcStatus": { "type": "object", "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } } }, "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionMetadata": { "description": "The long running operation metadata for set default processor version method.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionMetadata" }, "GoogleCloudDocumentaiV1UndeployProcessorVersionResponse": { "id": "GoogleCloudDocumentaiV1UndeployProcessorVersionResponse", "properties": {}, "type": "object", "description": "Response message for the undeploy processor version method." }, "GoogleCloudDocumentaiUiv1beta3UpdateHumanReviewConfigMetadata": { "description": "The long running operation metadata for updating the human review configuration.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3UpdateHumanReviewConfigMetadata" }, "GoogleCloudDocumentaiV1beta3DeleteProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiV1beta3DeleteProcessorVersionMetadata", "description": "The long running operation metadata for delete processor version method.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object" }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "individualBatchDeleteStatuses": { "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus" }, "type": "array", "description": "The list of response details of each document." } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadata" }, "GoogleCloudDocumentaiV1beta2DocumentEntityRelation": { "id": "GoogleCloudDocumentaiV1beta2DocumentEntityRelation", "properties": { "subjectId": { "description": "Subject entity id.", "type": "string" }, "relation": { "type": "string", "description": "Relationship description." }, "objectId": { "type": "string", "description": "Object entity id." } }, "description": "Relationship between Entities.", "type": "object" }, "GoogleTypeColor": { "type": "object", "properties": { "red": { "type": "number", "format": "float", "description": "The amount of red in the color as a value in the interval [0, 1]." }, "blue": { "format": "float", "description": "The amount of blue in the color as a value in the interval [0, 1].", "type": "number" }, "alpha": { "type": "number", "format": "float", "description": "The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (this color) + (1.0 - alpha) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0)." }, "green": { "type": "number", "description": "The amount of green in the color as a value in the interval [0, 1].", "format": "float" } }, "description": "Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most 1e-5. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha \u003c= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var green = Math.floor(greenFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var blue = Math.floor(blueFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red \u003c\u003c 16) | (green \u003c\u003c 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i \u003c missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ...", "id": "GoogleTypeColor" }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsResponse": { "description": "Response of the batch move documents operation.", "type": "object", "properties": {}, "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsResponse" }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetResponse": { "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetResponse", "type": "object", "properties": {}, "description": "The response proto of ResyncDataset method." }, "GoogleCloudDocumentaiV1ReviewDocumentResponse": { "id": "GoogleCloudDocumentaiV1ReviewDocumentResponse", "properties": { "rejectionReason": { "type": "string", "description": "The reason why the review is rejected by reviewer." }, "state": { "description": "The state of the review operation.", "enum": [ "STATE_UNSPECIFIED", "REJECTED", "SUCCEEDED" ], "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "The review operation is rejected by the reviewer.", "The review operation is succeeded." ], "type": "string" }, "gcsDestination": { "type": "string", "description": "The Cloud Storage uri for the human reviewed document if the review is succeeded." } }, "description": "Response message for review document method.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionResponse": { "properties": { "gcsUri": { "type": "string", "description": "The Cloud Storage URI containing the output artifacts." } }, "description": "Response message associated with the ExportProcessorVersion operation.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionResponse" }, "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "type": "object", "properties": { "resource": { "description": "A related resource to this operation.", "type": "string" }, "state": { "type": "string", "description": "The state of the operation.", "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ] }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The last update time of the operation." }, "createTime": { "description": "The creation time of the operation.", "format": "google-datetime", "type": "string" } }, "description": "The common metadata for long running operations." }, "GoogleCloudDocumentaiV1beta1DocumentEntity": { "type": "object", "properties": { "mentionText": { "description": "Optional. Text value in the document e.g. `1600 Amphitheatre Pkwy`. If the entity is not present in the document, this field will be empty.", "type": "string" }, "mentionId": { "type": "string", "description": "Optional. Deprecated. Use `id` field instead." }, "redacted": { "type": "boolean", "description": "Optional. Whether the entity will be redacted for de-identification purposes." }, "id": { "type": "string", "description": "Optional. Canonical id. This will be a unique value in the entity list for this document." }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Optional. Provenance of the entity. Text anchor indexing into the Document.text." }, "properties": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntity" }, "type": "array", "description": "Optional. Entities can be nested to form a hierarchical data structure representing the content in the document." }, "type": { "description": "Required. Entity type from a schema e.g. `Address`.", "type": "string" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "Optional. The history of this annotation." }, "normalizedValue": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue", "description": "Optional. Normalized entity value. Absent if the extracted value could not be converted or the type (e.g. address) is not supported for certain parsers. This field is also only populated for certain supported document types." }, "nonPresent": { "description": "Optional. This attribute indicates that the processing didn't actually identify this entity, but a confidence score was assigned that represent the potential that this could be a false negative. A non-present entity should have an empty mention_text and text_anchor.", "type": "boolean" }, "confidence": { "type": "number", "format": "float", "description": "Optional. Confidence of detected Schema entity. Range [0, 1]." }, "pageAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageAnchor", "description": "Optional. Represents the provenance of this entity wrt. the location on the page where it was found." } }, "description": "An entity that could be a phrase in the text or a property that belongs to the document. It is a known entity type, such as a person, an organization, or location.", "id": "GoogleCloudDocumentaiV1beta1DocumentEntity" }, "GoogleCloudDocumentaiV1beta2GcsSource": { "properties": { "uri": { "type": "string" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2GcsSource", "description": "The Google Cloud Storage location where the input file will be read from." }, "GoogleCloudDocumentaiV1beta3DeployProcessorVersionResponse": { "properties": {}, "description": "Response message for the deploy processor version method.", "id": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionResponse", "type": "object" }, "GoogleTypeDate": { "id": "GoogleTypeDate", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" }, "year": { "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentShardInfo": { "id": "GoogleCloudDocumentaiV1beta1DocumentShardInfo", "type": "object", "properties": { "shardCount": { "description": "Total number of shards.", "type": "string", "format": "int64" }, "textOffset": { "format": "int64", "type": "string", "description": "The index of the first character in Document.text in the overall document global text." }, "shardIndex": { "format": "int64", "description": "The 0-based index of this shard.", "type": "string" } }, "description": "For a large document, sharding may be performed to produce several document shards. Each document shard contains this field to detail which shard it is." }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadata": { "description": "The metadata proto of ResyncDataset method.", "properties": { "newlyAddedDocuments": { "type": "array", "description": "Returns the newly added document Cloud Storage prefix if the documents are founded in Cloud Storage while not in Document Service storage.", "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument" } }, "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadata", "type": "object" }, "GoogleCloudDocumentaiV1beta1NormalizedVertex": { "id": "GoogleCloudDocumentaiV1beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "format": "float", "type": "number", "description": "Y coordinate (starts from the top of the image)." }, "x": { "format": "float", "description": "X coordinate.", "type": "number" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3EnableProcessorMetadata": { "description": "The long running operation metadata for enable processor method.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3EnableProcessorMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } } }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation": { "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation", "type": "object", "description": "The dataset validation information. This includes any and all errors with documents and the dataset.", "properties": { "datasetErrorCount": { "type": "integer", "description": "The total number of dataset errors.", "format": "int32" }, "documentErrors": { "items": { "$ref": "GoogleRpcStatus" }, "type": "array", "description": "Error information pertaining to specific documents. A maximum of 10 document errors will be returned. Any document with errors will not be used throughout training." }, "documentErrorCount": { "description": "The total number of document errors.", "format": "int32", "type": "integer" }, "datasetErrors": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Error information for the dataset as a whole. A maximum of 10 dataset errors will be returned. A single dataset error is terminal for training." } } }, "GoogleCloudDocumentaiV1beta2NormalizedVertex": { "properties": { "x": { "format": "float", "type": "number", "description": "X coordinate." }, "y": { "description": "Y coordinate (starts from the top of the image).", "type": "number", "format": "float" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1." }, "GoogleCloudDocumentaiV1beta2DocumentPageAnchor": { "properties": { "pageRefs": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef" }, "description": "One or more references to visual page elements" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageAnchor", "description": "Referencing the visual context of the entity in the Document.pages. Page anchors can be cross-page, consist of multiple bounding polygons and optionally reference specific layout element types." }, "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent": { "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent", "description": "The parent element the current element is based on. Used for referencing/aligning, removal and replacement operations.", "properties": { "id": { "description": "The id of the parent provenance.", "format": "int32", "type": "integer" }, "revision": { "description": "The index of the index into current revision's parent_ids list.", "format": "int32", "type": "integer" }, "index": { "description": "The index of the parent item in the corresponding item list (eg. list of entities, properties within entities, etc.) in the parent revision.", "type": "integer", "format": "int32" } } }, "GoogleCloudDocumentaiV1beta2DocumentRevision": { "id": "GoogleCloudDocumentaiV1beta2DocumentRevision", "type": "object", "description": "Contains past or forward revisions of this document.", "properties": { "id": { "type": "string", "description": "Id of the revision. Unique within the context of the document." }, "processor": { "description": "If the annotation was made by processor identify the processor by its resource name.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time that the revision was created." }, "parentIds": { "type": "array", "description": "The revisions that this revision is based on. Must include all the ids that have anything to do with this revision - eg. there are `provenance.parent.revision` fields that index into this field.", "items": { "type": "string" } }, "humanReview": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview", "description": "Human Review information of this revision." }, "agent": { "type": "string", "description": "If the change was made by a person specify the name or id of that person." }, "parent": { "description": "The revisions that this revision is based on. This can include one or more parent (when documents are merged.) This field represents the index into the `revisions` field.", "items": { "format": "int32", "type": "integer" }, "type": "array" } } }, "GoogleCloudDocumentaiV1ReviewDocumentOperationMetadata": { "description": "The long running operation metadata for review document method.", "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" }, "questionId": { "description": "The Crowd Compute question ID.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1ReviewDocumentOperationMetadata" }, "GoogleCloudDocumentaiV1beta1BatchProcessDocumentsResponse": { "id": "GoogleCloudDocumentaiV1beta1BatchProcessDocumentsResponse", "type": "object", "description": "Response to an batch document processing request. This is returned in the LRO Operation after the operation is complete.", "properties": { "responses": { "description": "Responses for each individual document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse" }, "type": "array" } } }, "GoogleCloudDocumentaiV1beta3CommonOperationMetadata": { "type": "object", "properties": { "state": { "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "type": "string", "description": "The state of the operation." }, "resource": { "description": "A related resource to this operation.", "type": "string" }, "updateTime": { "description": "The last update time of the operation.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "The creation time of the operation.", "format": "google-datetime" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." } }, "id": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The common metadata for long running operations." }, "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsRequest": { "properties": { "requests": { "type": "array", "description": "Required. Individual requests for each document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2ProcessDocumentRequest" } } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsRequest", "description": "Request to batch process documents as an asynchronous operation. The output is written to Cloud Storage as JSON in the [Document] format." }, "GoogleCloudDocumentaiV1beta3DisableProcessorResponse": { "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future.", "id": "GoogleCloudDocumentaiV1beta3DisableProcessorResponse", "type": "object", "properties": {} }, "GoogleCloudDocumentaiV1beta2DocumentPageTable": { "description": "A table representation similar to HTML table structure.", "type": "object", "properties": { "bodyRows": { "type": "array", "description": "Body rows of the table.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow" } }, "headerRows": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow" }, "description": "Header rows of the table." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "layout": { "description": "Layout for Table.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageTable" }, "GoogleCloudDocumentaiV1CommonOperationMetadata": { "type": "object", "properties": { "createTime": { "type": "string", "description": "The creation time of the operation.", "format": "google-datetime" }, "state": { "description": "The state of the operation.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ] }, "updateTime": { "format": "google-datetime", "description": "The last update time of the operation.", "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "resource": { "description": "A related resource to this operation.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The common metadata for long running operations." }, "GoogleProtobufEmpty": { "type": "object", "id": "GoogleProtobufEmpty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "GoogleCloudDocumentaiUiv1beta3EnableProcessorResponse": { "type": "object", "properties": {}, "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future.", "id": "GoogleCloudDocumentaiUiv1beta3EnableProcessorResponse" }, "GoogleCloudDocumentaiV1beta2EntityExtractionParams": { "id": "GoogleCloudDocumentaiV1beta2EntityExtractionParams", "properties": { "modelVersion": { "type": "string", "description": "Model version of the entity extraction. Default is \"builtin/stable\". Specify \"builtin/latest\" for the latest model." }, "enabled": { "type": "boolean", "description": "Whether to enable entity extraction." } }, "type": "object", "description": "Parameters to control entity extraction behavior." }, "GoogleCloudDocumentaiV1beta1DocumentPageFormField": { "type": "object", "properties": { "valueType": { "type": "string", "description": "If the value is non-textual, this field represents the type. Current valid values are: - blank (this indicates the field_value is normal text) - \"unfilled_checkbox\" - \"filled_checkbox\"" }, "valueDetectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages for value together with confidence." }, "fieldName": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for the FormField name. e.g. `Address`, `Email`, `Grand total`, `Phone number`, etc." }, "nameDetectedLanguages": { "description": "A list of detected languages for name together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "type": "array" }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "correctedKeyText": { "description": "Created for Labeling UI to export key text. If corrections were made to the text identified by the `field_name.text_anchor`, this field will contain the correction.", "type": "string" }, "fieldValue": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for the FormField value." }, "correctedValueText": { "type": "string", "description": "Created for Labeling UI to export value text. If corrections were made to the text identified by the `field_value.text_anchor`, this field will contain the correction." } }, "description": "A form field detected on the page.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageFormField" }, "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage": { "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage", "properties": { "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier." }, "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." } }, "description": "Detected language for a structural component." }, "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token.", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "SPACE", "WIDE_SPACE", "HYPHEN" ], "description": "Detected break type.", "type": "string", "enumDescriptions": [ "Unspecified break type.", "A single whitespace.", "A wider whitespace.", "A hyphen that indicates that a token has been split across lines." ] } } }, "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize": { "description": "Font size with unit.", "id": "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize", "properties": { "unit": { "description": "Unit for the font size. Follows CSS naming (in, px, pt, etc.).", "type": "string" }, "size": { "type": "number", "description": "Font size for the text.", "format": "float" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell": { "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for TableCell." }, "colSpan": { "type": "integer", "format": "int32", "description": "How many columns this cell spans." }, "rowSpan": { "description": "How many rows this cell spans.", "type": "integer", "format": "int32" }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." } }, "description": "A cell representation inside the table.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell" }, "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionResponse": { "description": "Metadata of the EvaluateProcessorVersion method.", "id": "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionResponse", "type": "object", "properties": { "evaluation": { "description": "The resource name of the created evaluation.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta1DocumentStyle": { "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentStyle", "properties": { "backgroundColor": { "description": "Text background color.", "$ref": "GoogleTypeColor" }, "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor" }, "textStyle": { "description": "Text style. Possible values are normal, italic, and oblique. https://www.w3schools.com/cssref/pr_font_font-style.asp", "type": "string" }, "textDecoration": { "description": "Text decoration. Follows CSS standard. https://www.w3schools.com/cssref/pr_text_text-decoration.asp", "type": "string" }, "color": { "$ref": "GoogleTypeColor", "description": "Text color." }, "fontSize": { "description": "Font size.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize" }, "fontWeight": { "type": "string", "description": "Font weight. Possible values are normal, bold, bolder, and lighter. https://www.w3schools.com/cssref/pr_font_weight.asp" } }, "description": "Annotation for common text style attributes. This adheres to CSS conventions as much as possible." }, "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId": { "description": "Identifies a document uniquely within the scope of a dataset in the GCS-based option.", "id": "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId", "properties": { "gcsUri": { "type": "string", "description": "Required. The Cloud Storage uri where the actual document is stored." }, "cwDocId": { "type": "string", "description": "Optional. Id of the document (indexed) managed by Content Warehouse." } }, "type": "object" }, "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata": { "description": "The common metadata for long running operations.", "properties": { "createTime": { "description": "The creation time of the operation.", "format": "google-datetime", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The last update time of the operation." }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "resource": { "type": "string", "description": "A related resource to this operation." }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "description": "The state of the operation." } }, "id": "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata", "type": "object" }, "GoogleCloudDocumentaiV1beta3ReviewDocumentOperationMetadata": { "description": "The long running operation metadata for review document method.", "id": "GoogleCloudDocumentaiV1beta3ReviewDocumentOperationMetadata", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "questionId": { "description": "The Crowd Compute question ID.", "type": "string" }, "stateMessage": { "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed.", "type": "string" }, "createTime": { "format": "google-datetime", "description": "The creation time of the operation.", "type": "string" }, "updateTime": { "description": "The last update time of the operation.", "type": "string", "format": "google-datetime" }, "state": { "description": "Used only when Operation.done is false.", "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ] } }, "type": "object" }, "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus": { "description": "The status of a each individual document in the batch process.", "id": "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus", "type": "object", "properties": { "status": { "description": "The status of the processing of the document.", "$ref": "GoogleRpcStatus" }, "humanReviewStatus": { "$ref": "GoogleCloudDocumentaiV1HumanReviewStatus", "description": "The status of human review on the processed document." }, "outputGcsDestination": { "description": "The output_gcs_destination (in the request as `output_gcs_destination`) of the processed document if it was successful, otherwise empty.", "type": "string" }, "inputGcsSource": { "type": "string", "description": "The source of the document, same as the [input_gcs_source] field in the request when the batch process started. The batch process is started by take snapshot of that document, since a user can move or change that document during the process." } } }, "GoogleCloudDocumentaiUiv1beta3DeleteDataLabelingJobOperationMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3DeleteDataLabelingJobOperationMetadata", "type": "object", "description": "The long running operation metadata for DeleteDataLabelingJob.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta1BoundingPoly": { "properties": { "normalizedVertices": { "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1NormalizedVertex" }, "type": "array" }, "vertices": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1Vertex" }, "description": "The bounding polygon vertices." } }, "description": "A bounding polygon for the detected image annotation.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1BoundingPoly" }, "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsResponse": { "id": "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsResponse", "type": "object", "properties": { "responses": { "description": "Responses for each individual document.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse" } } }, "description": "Response to an batch document processing request. This is returned in the LRO Operation after the operation is complete." }, "GoogleCloudDocumentaiUiv1beta3DeleteProcessorMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3DeleteProcessorMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "description": "The long running operation metadata for delete processor method." }, "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse": { "type": "object", "properties": { "inputConfig": { "description": "Information about the input file. This is the same as the corresponding input config in the request.", "$ref": "GoogleCloudDocumentaiV1beta1InputConfig" }, "outputConfig": { "description": "The output location of the parsed responses. The responses are written to this location as JSON-serialized `Document` objects.", "$ref": "GoogleCloudDocumentaiV1beta1OutputConfig" } }, "description": "Response to a single document processing request.", "id": "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse" }, "GoogleTypeDateTime": { "properties": { "seconds": { "type": "integer", "format": "int32", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "month": { "format": "int32", "description": "Required. Month of year. Must be from 1 to 12.", "type": "integer" }, "utcOffset": { "type": "string", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "format": "google-duration" }, "day": { "format": "int32", "type": "integer", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month." }, "hours": { "type": "integer", "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32" }, "nanos": { "type": "integer", "format": "int32", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." }, "year": { "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "format": "int32", "type": "integer" }, "minutes": { "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "type": "integer", "format": "int32" }, "timeZone": { "$ref": "GoogleTypeTimeZone", "description": "Time zone." } }, "description": "Represents civil time (or occasionally physical time). This type can represent a civil time in one of a few possible ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When utc_offset is set and time_zone is unset: a civil time on a calendar day with a particular offset from UTC. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When time_zone is set and utc_offset is unset: a civil time on a calendar day in a particular time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When neither time_zone nor utc_offset is set: a civil time on a calendar day in local time. The date is relative to the Proleptic Gregorian Calendar. If year is 0, the DateTime is considered not to have a specific year. month and day must have valid, non-zero values. This type may also be used to represent a physical time if all the date and time fields are set and either case of the `time_offset` oneof is set. Consider using `Timestamp` message for physical time instead. If your use case also would like to store the user's timezone, that can be done in another field. This type is more flexible than some applications may want. Make sure to document and validate your application's limitations.", "type": "object", "id": "GoogleTypeDateTime" }, "GoogleCloudDocumentaiUiv1beta3DisableProcessorMetadata": { "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "id": "GoogleCloudDocumentaiUiv1beta3DisableProcessorMetadata", "description": "The long running operation metadata for disable processor method." }, "GoogleCloudDocumentaiUiv1beta3DeleteLabelerPoolOperationMetadata": { "description": "The long running operation metadata for DeleteLabelerPool.", "id": "GoogleCloudDocumentaiUiv1beta3DeleteLabelerPoolOperationMetadata", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object" } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "parameters": { "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "description": "Data format for response.", "type": "string", "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ] }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "resources": { "projects": { "resources": { "documents": { "methods": { "process": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDocumentaiV1beta2Document" }, "parameters": { "parent": { "pattern": "^projects/[^/]+$", "required": true, "description": "Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no location is specified, a region will be chosen automatically. This field is only populated when used in ProcessDocument method.", "type": "string", "location": "path" } }, "parameterOrder": [ "parent" ], "flatPath": "v1beta2/projects/{projectsId}/documents:process", "id": "documentai.projects.documents.process", "httpMethod": "POST", "path": "v1beta2/{+parent}/documents:process", "request": { "$ref": "GoogleCloudDocumentaiV1beta2ProcessDocumentRequest" }, "description": "Processes a single document." }, "batchProcess": { "parameterOrder": [ "parent" ], "description": "LRO endpoint to batch process many documents. The output is written to Cloud Storage as JSON in the [Document] format.", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "documentai.projects.documents.batchProcess", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+parent}/documents:batchProcess", "parameters": { "parent": { "type": "string", "description": "Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no location is specified, a region will be chosen automatically.", "location": "path", "pattern": "^projects/[^/]+$", "required": true } }, "flatPath": "v1beta2/projects/{projectsId}/documents:batchProcess", "request": { "$ref": "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsRequest" }, "httpMethod": "POST" } } }, "operations": { "methods": { "get": { "flatPath": "v1beta2/projects/{projectsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "documentai.projects.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/operations/[^/]+$" } }, "path": "v1beta2/{+name}" } } }, "locations": { "resources": { "operations": { "methods": { "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "id": "documentai.projects.locations.operations.get", "path": "v1beta2/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET" } } }, "documents": { "methods": { "batchProcess": { "request": { "$ref": "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsRequest" }, "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/documents:batchProcess", "parameterOrder": [ "parent" ], "description": "LRO endpoint to batch process many documents. The output is written to Cloud Storage as JSON in the [Document] format.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+parent}/documents:batchProcess", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no location is specified, a region will be chosen automatically." } }, "id": "documentai.projects.locations.documents.batchProcess", "httpMethod": "POST" }, "process": { "id": "documentai.projects.locations.documents.process", "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Processes a single document.", "response": { "$ref": "GoogleCloudDocumentaiV1beta2Document" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/documents:process", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Target project and location to make a call. Format: `projects/{project-id}/locations/{location-id}`. If no location is specified, a region will be chosen automatically. This field is only populated when used in ProcessDocument method." } }, "request": { "$ref": "GoogleCloudDocumentaiV1beta2ProcessDocumentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+parent}/documents:process" } } } } } } } }, "canonicalName": "Document", "description": "Service to parse structured information from unstructured or semi-structured documents using state-of-the-art Google AI such as natural language, computer vision, translation, and AutoML.", "rootUrl": "https://documentai.googleapis.com/" }
]===]))
