local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionResponse": { "properties": {}, "description": "Response message for the undeploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionResponse", "type": "object" }, "GoogleCloudDocumentaiV1beta3CommonOperationMetadata": { "type": "object", "properties": { "state": { "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "type": "string", "description": "The state of the operation." }, "stateMessage": { "description": "A message providing more details about the current state of processing.", "type": "string" }, "createTime": { "description": "The creation time of the operation.", "type": "string", "format": "google-datetime" }, "resource": { "type": "string", "description": "A related resource to this operation." }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The last update time of the operation." } }, "id": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The common metadata for long running operations." }, "GoogleCloudDocumentaiV1beta3ProcessorType": { "id": "GoogleCloudDocumentaiV1beta3ProcessorType", "description": "A processor type is responsible for performing a certain document understanding task on a certain type of document.", "type": "object", "properties": { "availableLocations": { "description": "The locations in which this processor is available.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessorTypeLocationInfo" }, "type": "array" }, "allowCreation": { "type": "boolean", "description": "Whether the processor type allows creation. If true, users can create a processor of this processor type. Otherwise, users need to request access." }, "name": { "description": "The resource name of the processor type. Format: projects/{project}/processorTypes/{processor_type}", "type": "string" }, "type": { "description": "The type of the processor, e.g., \"invoice_parsing\".", "type": "string" }, "category": { "description": "The processor category, used by UI to group processor types.", "type": "string" }, "launchStage": { "enumDescriptions": [ "Do not use this default value.", "The feature is not yet implemented. Users can not use it.", "Prelaunch features are hidden from users and are only visible internally.", "Early Access features are limited to a closed group of testers. To use these features, you must sign up in advance and sign a Trusted Tester agreement (which includes confidentiality provisions). These features may be unstable, changed in backward-incompatible ways, and are not guaranteed to be released.", "Alpha is a limited availability test for releases before they are cleared for widespread use. By Alpha, all significant design issues are resolved and we are in the process of verifying functionality. Alpha customers need to apply for access, agree to applicable terms, and have their projects allowlisted. Alpha releases don't have to be feature complete, no SLAs are provided, and there are no technical support obligations, but they will be far enough along that customers can actually use them in test environments or for limited-use tests -- just like they would in normal production cases.", "Beta is the point at which we are ready to open a release for any customer to use. There are no SLA or technical support obligations in a Beta release. Products will be complete from a feature perspective, but may have some open outstanding issues. Beta releases are suitable for limited production use cases.", "GA features are open to all developers and are considered stable and fully qualified for production use.", "Deprecated features are scheduled to be shut down and removed. For more information, see the \"Deprecation Policy\" section of our [Terms of Service](https://cloud.google.com/terms/) and the [Google Cloud Platform Subject to the Deprecation Policy](https://cloud.google.com/terms/deprecation) documentation." ], "type": "string", "enum": [ "LAUNCH_STAGE_UNSPECIFIED", "UNIMPLEMENTED", "PRELAUNCH", "EARLY_ACCESS", "ALPHA", "BETA", "GA", "DEPRECATED" ], "description": "Launch stage of the processor type" } } }, "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef": { "properties": { "page": { "format": "int64", "type": "string", "description": "Required. Index into the Document.pages element, for example using Document.pages to locate the related page element. This field is skipped when its value is the default 0. See https://developers.google.com/protocol-buffers/docs/proto3#json." }, "boundingPoly": { "description": "Optional. Identifies the bounding polygon of a layout element on the page.", "$ref": "GoogleCloudDocumentaiV1beta2BoundingPoly" }, "confidence": { "format": "float", "description": "Optional. Confidence of detected page element, if applicable. Range [0, 1].", "type": "number" }, "layoutType": { "type": "string", "enum": [ "LAYOUT_TYPE_UNSPECIFIED", "BLOCK", "PARAGRAPH", "LINE", "TOKEN", "VISUAL_ELEMENT", "TABLE", "FORM_FIELD" ], "enumDescriptions": [ "Layout Unspecified.", "References a Page.blocks element.", "References a Page.paragraphs element.", "References a Page.lines element.", "References a Page.tokens element.", "References a Page.visual_elements element.", "Refrrences a Page.tables element.", "References a Page.form_fields element." ], "description": "Optional. The type of the layout element that is being referenced if any." }, "layoutId": { "description": "Optional. Deprecated. Use PageRef.bounding_poly instead.", "type": "string" } }, "description": "Represents a weak reference to a page element within a document.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionMetadata": { "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "description": "The long running operation metadata for the undeploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3UndeployProcessorVersionMetadata" }, "GoogleCloudDocumentaiV1beta2DocumentTextAnchor": { "description": "Text reference indexing into the Document.text.", "properties": { "content": { "description": "Contains the content of the text span so that users do not have to look it up in the text_segments. It is always populated for formFields.", "type": "string" }, "textSegments": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment" }, "description": "The text segments from the Document.text.", "type": "array" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } }, "id": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionMetadata", "type": "object", "description": "The long running operation metadata for set default processor version method." }, "GoogleTypeColor": { "type": "object", "id": "GoogleTypeColor", "description": "Represents a color in the RGBA color space. This representation is designed for simplicity of conversion to/from color representations in various languages over compactness. For example, the fields of this representation can be trivially provided to the constructor of `java.awt.Color` in Java; it can also be trivially provided to UIColor's `+colorWithRed:green:blue:alpha` method in iOS; and, with just a little work, it can be easily formatted into a CSS `rgba()` string in JavaScript. This reference page doesn't carry information about the absolute color space that should be used to interpret the RGB value (e.g. sRGB, Adobe RGB, DCI-P3, BT.2020, etc.). By default, applications should assume the sRGB color space. When color equality needs to be decided, implementations, unless documented otherwise, treat two colors as equal if all their red, green, blue, and alpha values each differ by at most 1e-5. Example (Java): import com.google.type.Color; // ... public static java.awt.Color fromProto(Color protocolor) { float alpha = protocolor.hasAlpha() ? protocolor.getAlpha().getValue() : 1.0; return new java.awt.Color( protocolor.getRed(), protocolor.getGreen(), protocolor.getBlue(), alpha); } public static Color toProto(java.awt.Color color) { float red = (float) color.getRed(); float green = (float) color.getGreen(); float blue = (float) color.getBlue(); float denominator = 255.0; Color.Builder resultBuilder = Color .newBuilder() .setRed(red / denominator) .setGreen(green / denominator) .setBlue(blue / denominator); int alpha = color.getAlpha(); if (alpha != 255) { result.setAlpha( FloatValue .newBuilder() .setValue(((float) alpha) / denominator) .build()); } return resultBuilder.build(); } // ... Example (iOS / Obj-C): // ... static UIColor* fromProto(Color* protocolor) { float red = [protocolor red]; float green = [protocolor green]; float blue = [protocolor blue]; FloatValue* alpha_wrapper = [protocolor alpha]; float alpha = 1.0; if (alpha_wrapper != nil) { alpha = [alpha_wrapper value]; } return [UIColor colorWithRed:red green:green blue:blue alpha:alpha]; } static Color* toProto(UIColor* color) { CGFloat red, green, blue, alpha; if (![color getRed:&red green:&green blue:&blue alpha:&alpha]) { return nil; } Color* result = [[Color alloc] init]; [result setRed:red]; [result setGreen:green]; [result setBlue:blue]; if (alpha \u003c= 0.9999) { [result setAlpha:floatWrapperWithValue(alpha)]; } [result autorelease]; return result; } // ... Example (JavaScript): // ... var protoToCssColor = function(rgb_color) { var redFrac = rgb_color.red || 0.0; var greenFrac = rgb_color.green || 0.0; var blueFrac = rgb_color.blue || 0.0; var red = Math.floor(redFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var green = Math.floor(greenFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); var blue = Math.floor(blueFrac LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh 255); if (!('alpha' in rgb_color)) { return rgbToCssColor(red, green, blue); } var alphaFrac = rgb_color.alpha.value || 0.0; var rgbParams = [red, green, blue].join(','); return ['rgba(', rgbParams, ',', alphaFrac, ')'].join(''); }; var rgbToCssColor = function(red, green, blue) { var rgbNumber = new Number((red \u003c\u003c 16) | (green \u003c\u003c 8) | blue); var hexString = rgbNumber.toString(16); var missingZeros = 6 - hexString.length; var resultBuilder = ['#']; for (var i = 0; i \u003c missingZeros; i++) { resultBuilder.push('0'); } resultBuilder.push(hexString); return resultBuilder.join(''); }; // ...", "properties": { "red": { "description": "The amount of red in the color as a value in the interval [0, 1].", "format": "float", "type": "number" }, "green": { "type": "number", "format": "float", "description": "The amount of green in the color as a value in the interval [0, 1]." }, "blue": { "description": "The amount of blue in the color as a value in the interval [0, 1].", "format": "float", "type": "number" }, "alpha": { "description": "The fraction of this color that should be applied to the pixel. That is, the final pixel color is defined by the equation: `pixel color = alpha LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (this color) + (1.0 - alpha) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (background color)` This means that a value of 1.0 corresponds to a solid color, whereas a value of 0.0 corresponds to a completely transparent color. This uses a wrapper message rather than a simple float scalar so that it is possible to distinguish between a default value and the value being unset. If omitted, this color object is rendered as a solid color (as if the alpha value had been explicitly given a value of 1.0).", "type": "number", "format": "float" } } }, "GoogleCloudDocumentaiV1beta2DocumentPageBlock": { "properties": { "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for Block." } }, "description": "A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageBlock", "type": "object" }, "GoogleCloudDocumentaiV1DisableProcessorResponse": { "properties": {}, "type": "object", "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future.", "id": "GoogleCloudDocumentaiV1DisableProcessorResponse" }, "GoogleCloudDocumentaiV1beta3DocumentPageToken": { "description": "A detected token.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentPageToken", "properties": { "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for Token." }, "detectedBreak": { "description": "Detected break at the end of a Token.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageTokenDetectedBreak" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance", "description": "The history of this annotation." } } }, "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue": { "id": "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue", "type": "object", "properties": { "booleanValue": { "description": "Boolean value. Can be used for entities with binary values, or for checkboxes.", "type": "boolean" }, "moneyValue": { "$ref": "GoogleTypeMoney", "description": "Money value. See also: https://github.com/googleapis/googleapis/blob/master/google/type/money.proto" }, "integerValue": { "type": "integer", "description": "Integer value.", "format": "int32" }, "datetimeValue": { "description": "DateTime value. Includes date, time, and timezone. See also: https://github.com/googleapis/googleapis/blob/master/google/type/datetime.proto", "$ref": "GoogleTypeDateTime" }, "floatValue": { "description": "Float value.", "type": "number", "format": "float" }, "addressValue": { "$ref": "GoogleTypePostalAddress", "description": "Postal address. See also: https://github.com/googleapis/googleapis/blob/master/google/type/postal_address.proto" }, "dateValue": { "description": "Date value. Includes year, month, day. See also: https://github.com/googleapis/googleapis/blob/master/google/type/date.proto", "$ref": "GoogleTypeDate" }, "text": { "type": "string", "description": "Optional. An optional field to store a normalized string. For some entity types, one of respective `structured_value` fields may also be populated. Also not all the types of `structured_value` will be normalized. For example, some processors may not generate float or int normalized text by default. Below are sample formats mapped to structured values. - Money/Currency type (`money_value`) is in the ISO 4217 text format. - Date type (`date_value`) is in the ISO 8601 text format. - Datetime type (`datetime_value`) is in the ISO 8601 text format." } }, "description": "Parsed and normalized entity value." }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" }, "individualImportStatuses": { "description": "The list of response details of each document.", "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus" }, "type": "array" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadata", "description": "Metadata of the import document operation." }, "GoogleCloudDocumentaiV1DeployProcessorVersionMetadata": { "type": "object", "id": "GoogleCloudDocumentaiV1DeployProcessorVersionMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } }, "description": "The long running operation metadata for deploy processor version method." }, "GoogleCloudDocumentaiUiv1beta3DeleteDataLabelingJobOperationMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3DeleteDataLabelingJobOperationMetadata", "description": "The long running operation metadata for DeleteDataLabelingJob." }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus": { "properties": { "documentId": { "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentId", "description": "The document id of the document." }, "status": { "description": "The status of deleting the document.", "$ref": "GoogleRpcStatus" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus", "description": "The status of each individual document in the batch delete process." }, "GoogleCloudDocumentaiV1beta3BatchProcessRequest": { "type": "object", "description": "Request message for batch process document method.", "properties": { "documentOutputConfig": { "description": "The overall output config for batch process.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentOutputConfig" }, "inputConfigs": { "description": "The input config for each single document in the batch process.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchInputConfig" }, "type": "array" }, "outputConfig": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchOutputConfig", "description": "The overall output config for batch process." }, "inputDocuments": { "description": "The input documents for batch process.", "$ref": "GoogleCloudDocumentaiV1beta3BatchDocumentsInputConfig" }, "skipHumanReview": { "type": "boolean", "description": "Whether Human Review feature should be skipped for this request. Default to false." } }, "id": "GoogleCloudDocumentaiV1beta3BatchProcessRequest" }, "GoogleTypePostalAddress": { "properties": { "regionCode": { "description": "Required. CLDR region code of the country/region of the address. This is never inferred and it is up to the user to ensure the value is correct. See https://cldr.unicode.org/ and https://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland.", "type": "string" }, "locality": { "description": "Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines.", "type": "string" }, "administrativeArea": { "type": "string", "description": "Optional. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. \"Barcelona\" and not \"Catalonia\"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated." }, "sortingCode": { "description": "Optional. Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like \"CEDEX\", optionally followed by a number (e.g. \"CEDEX 7\"), or just a number alone, representing the \"sector code\" (Jamaica), \"delivery area indicator\" (Malawi) or \"post office indicator\" (e.g. Côte d'Ivoire).", "type": "string" }, "languageCode": { "type": "string", "description": "Optional. BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. If this value is not known, it should be omitted (rather than specifying a possibly incorrect default). Examples: \"zh-Hant\", \"ja\", \"ja-Latn\", \"en\"." }, "revision": { "description": "The schema revision of the `PostalAddress`. This must be set to 0, which is the latest revision. All new revisions **must** be backward compatible with old revisions.", "type": "integer", "format": "int32" }, "organization": { "type": "string", "description": "Optional. The name of the organization at the address." }, "postalCode": { "description": "Optional. Postal code of the address. Not all countries use or require postal codes to be present, but where they are used, they may trigger additional validation with other parts of the address (e.g. state/zip validation in the U.S.A.).", "type": "string" }, "recipients": { "type": "array", "items": { "type": "string" }, "description": "Optional. The recipient at the address. This field may, under certain circumstances, contain multiline information. For example, it might contain \"care of\" information." }, "sublocality": { "type": "string", "description": "Optional. Sublocality of the address. For example, this can be neighborhoods, boroughs, districts." }, "addressLines": { "description": "Unstructured address lines describing the lower levels of an address. Because values in address_lines do not have type information and may sometimes contain multiple values in a single field (e.g. \"Austin, TX\"), it is important that the line order is clear. The order of address lines should be \"envelope order\" for the country/region of the address. In places where this can vary (e.g. Japan), address_language is used to make it explicit (e.g. \"ja\" for large-to-small ordering and \"ja-Latn\" or \"en\" for small-to-large). This way, the most specific line of an address can be selected based on the language. The minimum permitted structural representation of an address consists of a region_code with all remaining information placed in the address_lines. It would be possible to format such an address very approximately without geocoding, but no semantic reasoning could be made about any of the address components until it was at least partially resolved. Creating an address only containing a region_code and address_lines, and then geocoding is the recommended way to handle completely unstructured addresses (as opposed to guessing which parts of the address should be localities or administrative areas).", "items": { "type": "string" }, "type": "array" } }, "description": "Represents a postal address, e.g. for postal delivery or payments addresses. Given a postal address, a postal service can deliver items to a premise, P.O. Box or similar. It is not intended to model geographical locations (roads, towns, mountains). In typical usage an address would be created via user input or from importing existing data, depending on the type of process. Advice on address input / editing: - Use an i18n-ready address widget such as https://github.com/google/libaddressinput) - Users should not be presented with UI elements for input or editing of fields outside countries where that field is used. For more guidance on how to use this schema, please see: https://support.google.com/business/answer/6397478", "type": "object", "id": "GoogleTypePostalAddress" }, "GoogleCloudDocumentaiV1beta1DocumentPageDimension": { "properties": { "height": { "type": "number", "format": "float", "description": "Page height." }, "unit": { "description": "Dimension unit.", "type": "string" }, "width": { "type": "number", "format": "float", "description": "Page width." } }, "description": "Dimension for the page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageDimension" }, "GoogleCloudDocumentaiV1DeployProcessorVersionResponse": { "id": "GoogleCloudDocumentaiV1DeployProcessorVersionResponse", "properties": {}, "description": "Response message for the deploy processor version method.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageImage": { "properties": { "height": { "format": "int32", "description": "Height of the image in pixels.", "type": "integer" }, "mimeType": { "type": "string", "description": "Encoding mime type for the image." }, "content": { "type": "string", "description": "Raw byte content of the image.", "format": "byte" }, "width": { "format": "int32", "description": "Width of the image in pixels.", "type": "integer" } }, "description": "Rendered image contents for this page.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageImage", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeProperty": { "id": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeProperty", "description": "Defines properties that can be part of the entity type.", "properties": { "name": { "description": "The name of the property. Follows the same guidelines as the EntityType name.", "type": "string" }, "occurrenceType": { "description": "Occurrence type limits the number of instances an entity type appears in the document.", "enumDescriptions": [ "Unspecified occurrence type.", "There will be zero or one instance of this entity type.", "The entity type will appear zero or multiple times.", "The entity type will only appear exactly once.", "The entity type will appear once or more times." ], "type": "string", "enum": [ "OCCURRENCE_TYPE_UNSPECIFIED", "OPTIONAL_ONCE", "OPTIONAL_MULTIPLE", "REQUIRED_ONCE", "REQUIRED_MULTIPLE" ] }, "valueType": { "type": "string", "description": "A reference to the value type of the property. This type is subject to the same conventions as the `Entity.base_types` field." } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3DeployProcessorVersionResponse": { "properties": {}, "description": "Response message for the deploy processor version method.", "id": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionResponse", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadata": { "properties": { "individualBatchDeleteStatuses": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadataIndividualBatchDeleteStatus" }, "description": "The list of response details of each document." }, "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsMetadata" }, "GoogleCloudDocumentaiV1beta3GcsDocuments": { "id": "GoogleCloudDocumentaiV1beta3GcsDocuments", "description": "Specifies a set of documents on Cloud Storage.", "properties": { "documents": { "type": "array", "description": "The list of documents.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3GcsDocument" } } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionRequest": { "properties": {}, "description": "Request message for the undeploy processor version method.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionRequest" }, "GoogleCloudDocumentaiV1HumanReviewStatus": { "description": "The status of human review on a processed document.", "properties": { "state": { "enumDescriptions": [ "Human review state is unspecified. Most likely due to an internal error.", "Human review is skipped for the document. This can happen because human review is not enabled on the processor or the processing request has been set to skip this document.", "Human review validation is triggered and passed, so no review is needed.", "Human review validation is triggered and the document is under review.", "Some error happened during triggering human review, see the [state_message] for details." ], "description": "The state of human review on the processing request.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "SKIPPED", "VALIDATION_PASSED", "IN_PROGRESS", "ERROR" ] }, "stateMessage": { "description": "A message providing more details about the human review state.", "type": "string" }, "humanReviewOperation": { "description": "The name of the operation triggered by the processed document. This field is populated only when the [state] is [HUMAN_REVIEW_IN_PROGRESS]. It has the same response type and metadata as the long running operation returned by [ReviewDocument] method.", "type": "string" } }, "type": "object", "id": "GoogleCloudDocumentaiV1HumanReviewStatus" }, "GoogleCloudDocumentaiV1beta2OperationMetadata": { "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "ACCEPTED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLED", "FAILED" ], "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request is received.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was cancelled.", "The batch processing has failed." ], "description": "The state of the current batch processing.", "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "createTime": { "type": "string", "format": "google-datetime", "description": "The creation time of the operation." }, "updateTime": { "format": "google-datetime", "description": "The last update time of the operation.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2OperationMetadata", "type": "object", "description": "Contains metadata for the BatchProcessDocuments operation." }, "GoogleCloudDocumentaiV1beta3EnableProcessorMetadata": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3EnableProcessorMetadata", "description": "The long running operation metadata for enable processor method.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsResponse": { "type": "object", "properties": {}, "description": "Response of the import document operation.", "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsResponse" }, "GoogleCloudDocumentaiV1EnableProcessorResponse": { "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future.", "properties": {}, "id": "GoogleCloudDocumentaiV1EnableProcessorResponse", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentShardInfo": { "id": "GoogleCloudDocumentaiV1beta2DocumentShardInfo", "properties": { "textOffset": { "type": "string", "format": "int64", "description": "The index of the first character in Document.text in the overall document global text." }, "shardCount": { "type": "string", "format": "int64", "description": "Total number of shards." }, "shardIndex": { "type": "string", "description": "The 0-based index of this shard.", "format": "int64" } }, "description": "For a large document, sharding may be performed to produce several document shards. Each document shard contains this field to detail which shard it is.", "type": "object" }, "GoogleCloudDocumentaiV1beta3DisableProcessorMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "description": "The long running operation metadata for disable processor method.", "id": "GoogleCloudDocumentaiV1beta3DisableProcessorMetadata", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionMetadata", "type": "object", "description": "The long running operation metadata for set default processor version method." }, "GoogleCloudDocumentaiV1beta2GcsSource": { "properties": { "uri": { "type": "string" } }, "type": "object", "description": "The Google Cloud Storage location where the input file will be read from.", "id": "GoogleCloudDocumentaiV1beta2GcsSource" }, "GoogleCloudDocumentaiV1beta2Document": { "type": "object", "properties": { "mimeType": { "type": "string", "description": "An IANA published MIME type (also referred to as media type). For more information, see https://www.iana.org/assignments/media-types/media-types.xhtml." }, "entities": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntity" }, "description": "A list of entities detected on Document.text. For document shards, entities in this list may cross shard boundaries.", "type": "array" }, "pages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPage" }, "description": "Visual page layout for the Document." }, "revisions": { "description": "Placeholder. Revision history of this document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentRevision" }, "type": "array" }, "entityRelations": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntityRelation" }, "description": "Placeholder. Relationship among Document.entities.", "type": "array" }, "text": { "description": "Optional. UTF-8 encoded text in reading order from the document.", "type": "string" }, "textStyles": { "type": "array", "description": "Placeholder. Styles for the Document.text.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentStyle" } }, "labels": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentLabel" }, "type": "array", "description": "Labels for this document." }, "shardInfo": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentShardInfo", "description": "Information about the sharding if this document is sharded part of a larger document. If the document is not sharded, this message is not specified." }, "textChanges": { "description": "Placeholder. A list of text corrections made to [Document.text]. This is usually used for annotating corrections to OCR mistakes. Text changes for a given revision may not overlap with each other.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextChange" }, "type": "array" }, "error": { "description": "Any error that occurred while processing this document.", "$ref": "GoogleRpcStatus" }, "content": { "format": "byte", "type": "string", "description": "Optional. Inline document content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64." }, "uri": { "type": "string", "description": "Optional. Currently supports Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info." } }, "description": "Document represents the canonical document resource in Document AI. It is an interchange format that provides insights into documents and allows for collaboration between users and Document AI to iterate and optimize for quality.", "id": "GoogleCloudDocumentaiV1beta2Document" }, "GoogleCloudDocumentaiV1beta3DocumentPageLine": { "description": "A collection of tokens that a human would perceive as a line. Does not cross column boundaries, can be horizontal, vertical, etc.", "type": "object", "properties": { "provenance": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance", "description": "The history of this annotation." }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" } }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for Line." } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageLine" }, "GoogleTypeTimeZone": { "properties": { "id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" }, "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." } }, "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "type": "object", "id": "GoogleTypeTimeZone" }, "GoogleCloudDocumentaiV1beta3EnableProcessorResponse": { "id": "GoogleCloudDocumentaiV1beta3EnableProcessorResponse", "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future.", "type": "object", "properties": {} }, "GoogleCloudDocumentaiV1beta3HumanReviewStatus": { "properties": { "humanReviewOperation": { "description": "The name of the operation triggered by the processed document. This field is populated only when the [state] is [HUMAN_REVIEW_IN_PROGRESS]. It has the same response type and metadata as the long running operation returned by [ReviewDocument] method.", "type": "string" }, "state": { "description": "The state of human review on the processing request.", "enum": [ "STATE_UNSPECIFIED", "SKIPPED", "VALIDATION_PASSED", "IN_PROGRESS", "ERROR" ], "enumDescriptions": [ "Human review state is unspecified. Most likely due to an internal error.", "Human review is skipped for the document. This can happen because human review is not enabled on the processor or the processing request has been set to skip this document.", "Human review validation is triggered and passed, so no review is needed.", "Human review validation is triggered and the document is under review.", "Some error happened during triggering human review, see the [state_message] for details." ], "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the human review state." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3HumanReviewStatus", "description": "The status of human review on a processed document." }, "GoogleCloudDocumentaiV1beta2DocumentEntityRelation": { "properties": { "objectId": { "type": "string", "description": "Object entity id." }, "subjectId": { "type": "string", "description": "Subject entity id." }, "relation": { "description": "Relationship description.", "type": "string" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentEntityRelation", "description": "Relationship between Entities." }, "GoogleCloudDocumentaiV1beta3BoundingPoly": { "id": "GoogleCloudDocumentaiV1beta3BoundingPoly", "type": "object", "description": "A bounding polygon for the detected image annotation.", "properties": { "normalizedVertices": { "type": "array", "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3NormalizedVertex" } }, "vertices": { "type": "array", "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3Vertex" } } } }, "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionMetadata": { "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "description": "The long running operation metadata for deploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionMetadata" }, "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak": { "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token.", "properties": { "type": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "SPACE", "WIDE_SPACE", "HYPHEN" ], "enumDescriptions": [ "Unspecified break type.", "A single whitespace.", "A wider whitespace.", "A hyphen that indicates that a token has been split across lines." ], "description": "Detected break type." } } }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse", "type": "object", "properties": { "operations": { "type": "array", "items": { "$ref": "GoogleLongrunningOperation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "GoogleLongrunningOperation": { "id": "GoogleLongrunningOperation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } } }, "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement", "type": "object", "description": "Detected non-text visual elements e.g. checkbox, signature etc. on the page.", "properties": { "type": { "description": "Type of the VisualElement.", "type": "string" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for VisualElement." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages together with confidence." } } }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadata", "type": "object", "properties": { "destDatasetType": { "enum": [ "DATASET_SPLIT_TYPE_UNSPECIFIED", "DATASET_SPLIT_TRAIN", "DATASET_SPLIT_TEST", "DATASET_SPLIT_UNASSIGNED" ], "description": "The destination dataset split type.", "type": "string", "enumDescriptions": [ "Default value if the enum is not set. go/protodosdonts#do-include-an-unspecified-value-in-an-enum", "Identifies the train documents.", "Identifies the test documents.", "Identifies the unassigned documents." ] }, "individualBatchMoveStatuses": { "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus" }, "type": "array", "description": "The list of response details of each document." }, "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "destSplitType": { "enum": [ "DATASET_SPLIT_TYPE_UNSPECIFIED", "DATASET_SPLIT_TRAIN", "DATASET_SPLIT_TEST", "DATASET_SPLIT_UNASSIGNED" ], "type": "string", "description": "The destination dataset split type.", "enumDescriptions": [ "Default value if the enum is not set. go/protodosdonts#do-include-an-unspecified-value-in-an-enum", "Identifies the train documents.", "Identifies the test documents.", "Identifies the unassigned documents." ] } } }, "GoogleCloudDocumentaiV1beta3DocumentPageSymbol": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentPageSymbol", "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for Symbol." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." } }, "description": "A detected symbol." }, "GoogleCloudDocumentaiV1beta3DocumentProvenance": { "description": "Structure to identify provenance relationships between annotations in different revisions.", "properties": { "parents": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenanceParent" }, "description": "References to the original elements that are replaced." }, "revision": { "description": "The index of the revision that produced this element.", "format": "int32", "type": "integer" }, "type": { "type": "string", "description": "The type of provenance operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "ADD", "REMOVE", "REPLACE", "EVAL_REQUESTED", "EVAL_APPROVED", "EVAL_SKIPPED" ], "enumDescriptions": [ "Operation type unspecified. If no operation is specified a provenance entry is simply used to match against a `parent`.", "Add an element.", "Remove an element identified by `parent`.", "Replace an element identified by `parent`.", "Request human review for the element identified by `parent`.", "Element is reviewed and approved at human review, confidence will be set to 1.0.", "Element is skipped in the validation process." ] }, "id": { "type": "integer", "format": "int32", "description": "The Id of this operation. Needs to be unique within the scope of the revision." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentProvenance" }, "GoogleCloudDocumentaiV1beta3ProcessorTypeLocationInfo": { "type": "object", "properties": { "locationId": { "type": "string", "description": "The location id, currently must be one of [us, eu]." } }, "id": "GoogleCloudDocumentaiV1beta3ProcessorTypeLocationInfo", "description": "The location information about where the processor is available." }, "GoogleCloudDocumentaiV1beta3DeployProcessorVersionMetadata": { "description": "The long running operation metadata for deploy processor version method.", "id": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionMetadata", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object" }, "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse": { "properties": { "outputConfig": { "description": "The output location of the parsed responses. The responses are written to this location as JSON-serialized `Document` objects.", "$ref": "GoogleCloudDocumentaiV1beta2OutputConfig" }, "inputConfig": { "description": "Information about the input file. This is the same as the corresponding input config in the request.", "$ref": "GoogleCloudDocumentaiV1beta2InputConfig" } }, "description": "Response to a single document processing request.", "id": "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse", "type": "object" }, "GoogleCloudDocumentaiV1beta3ReviewDocumentResponse": { "properties": { "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "REJECTED", "SUCCEEDED" ], "description": "The state of the review operation.", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "The review operation is rejected by the reviewer.", "The review operation is succeeded." ] }, "gcsDestination": { "type": "string", "description": "The Cloud Storage uri for the human reviewed document if the review is succeeded." }, "rejectionReason": { "type": "string", "description": "The reason why the review is rejected by reviewer." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3ReviewDocumentResponse", "description": "Response message for review document method." }, "GoogleCloudDocumentaiV1beta1DocumentPageTable": { "properties": { "headerRows": { "description": "Header rows of the table.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow" }, "type": "array" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Table." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "bodyRows": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow" }, "description": "Body rows of the table." } }, "description": "A table representation similar to HTML table structure.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageTable" }, "GoogleCloudDocumentaiV1beta3DocumentPage": { "description": "A page in a Document.", "type": "object", "properties": { "pageNumber": { "format": "int32", "type": "integer", "description": "1-based index for current Page in a parent Document. Useful when a page is taken out of a Document for individual processing." }, "blocks": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageBlock" }, "description": "A list of visually detected text blocks on the page. A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "type": "array" }, "transforms": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageMatrix" }, "type": "array", "description": "Transformation matrices that were applied to the original document image to produce Page.image." }, "provenance": { "description": "The history of this page.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance" }, "dimension": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDimension", "description": "Physical dimension of the page." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for the page." }, "formFields": { "description": "A list of visually detected form fields on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageFormField" } }, "paragraphs": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageParagraph" }, "type": "array", "description": "A list of visually detected text paragraphs on the page. A collection of lines that a human would perceive as a paragraph." }, "image": { "description": "Rendered image for this page. This image is preprocessed to remove any skew, rotation, and distortions such that the annotation bounding boxes can be upright and axis-aligned.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageImage" }, "lines": { "description": "A list of visually detected text lines on the page. A collection of tokens that a human would perceive as a line.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLine" }, "type": "array" }, "visualElements": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageVisualElement" }, "description": "A list of detected non-text visual elements e.g. checkbox, signature etc. on the page." }, "tables": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageTable" }, "description": "A list of visually detected tables on the page." }, "symbols": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageSymbol" }, "description": "A list of visually detected symbols on the page." }, "tokens": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageToken" }, "description": "A list of visually detected tokens on the page.", "type": "array" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPage" }, "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage", "properties": { "confidence": { "description": "Confidence of detected language. Range [0, 1].", "format": "float", "type": "number" }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } }, "type": "object", "description": "Detected language for a structural component." }, "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage": { "properties": { "languageCode": { "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" }, "confidence": { "type": "number", "description": "Confidence of detected language. Range [0, 1].", "format": "float" } }, "type": "object", "description": "Detected language for a structural component.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "GoogleCloudDocumentaiV1DisableProcessorMetadata": { "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "description": "The long running operation metadata for disable processor method.", "id": "GoogleCloudDocumentaiV1DisableProcessorMetadata" }, "GoogleCloudDocumentaiV1beta3ReviewDocumentRequest": { "type": "object", "description": "Request message for review document method.", "id": "GoogleCloudDocumentaiV1beta3ReviewDocumentRequest", "properties": { "priority": { "enum": [ "DEFAULT", "URGENT" ], "type": "string", "enumDescriptions": [ "The default priority level.", "The urgent priority level. The labeling manager should allocate labeler resource to the urgent task queue to respect this priority level." ], "description": "The priority of the human review task." }, "inlineDocument": { "description": "An inline document proto.", "$ref": "GoogleCloudDocumentaiV1beta3Document" }, "documentSchema": { "description": "The document schema of the human review task.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentSchema" }, "enableSchemaValidation": { "description": "Whether the validation should be performed on the ad-hoc review request.", "type": "boolean" }, "document": { "description": "The document that needs human review.", "$ref": "GoogleCloudDocumentaiV1beta3Document" } } }, "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsResponse": { "properties": { "responses": { "type": "array", "description": "Responses for each individual document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2ProcessDocumentResponse" } } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2BatchProcessDocumentsResponse", "description": "Response to an batch document processing request. This is returned in the LRO Operation after the operation is complete." }, "GoogleCloudDocumentaiV1beta1DocumentTextChange": { "type": "object", "properties": { "provenance": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "description": "The history of this annotation.", "type": "array" }, "textAnchor": { "description": "Provenance of the correction. Text anchor indexing into the Document.text. There can only be a single `TextAnchor.text_segments` element. If the start and end index of the text segment are the same, the text change is inserted before that index.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor" }, "changedText": { "type": "string", "description": "The text that replaces the text identified in the `text_anchor`." } }, "description": "This message is used for text changes aka. OCR corrections.", "id": "GoogleCloudDocumentaiV1beta1DocumentTextChange" }, "GoogleCloudDocumentaiV1beta3ListProcessorsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Points to the next processor, otherwise empty." }, "processors": { "description": "The list of processors.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3Processor" } } }, "type": "object", "description": "Response message for list processors.", "id": "GoogleCloudDocumentaiV1beta3ListProcessorsResponse" }, "GoogleCloudDocumentaiV1beta3Vertex": { "type": "object", "properties": { "y": { "description": "Y coordinate (starts from the top of the image).", "type": "integer", "format": "int32" }, "x": { "format": "int32", "type": "integer", "description": "X coordinate." } }, "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "id": "GoogleCloudDocumentaiV1beta3Vertex" }, "GoogleCloudDocumentaiV1beta2GcsDestination": { "properties": { "uri": { "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta2GcsDestination", "description": "The Google Cloud Storage location where the output file will be written to.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionMetadata", "type": "object", "description": "Metadata message associated with the ExportProcessorVersion operation.", "properties": { "commonMetadata": { "description": "The common metadata about the operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableRow", "type": "object", "description": "A row of table cells.", "properties": { "cells": { "type": "array", "description": "Cells that make up this row.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell" } } } }, "GoogleCloudDocumentaiV1beta1DocumentPageImage": { "properties": { "height": { "format": "int32", "type": "integer", "description": "Height of the image in pixels." }, "mimeType": { "description": "Encoding mime type for the image.", "type": "string" }, "width": { "format": "int32", "description": "Width of the image in pixels.", "type": "integer" }, "content": { "description": "Raw byte content of the image.", "type": "string", "format": "byte" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageImage", "type": "object", "description": "Rendered image contents for this page." }, "GoogleCloudDocumentaiV1beta1DocumentStyle": { "description": "Annotation for common text style attributes. This adheres to CSS conventions as much as possible.", "id": "GoogleCloudDocumentaiV1beta1DocumentStyle", "type": "object", "properties": { "backgroundColor": { "description": "Text background color.", "$ref": "GoogleTypeColor" }, "fontWeight": { "description": "Font weight. Possible values are normal, bold, bolder, and lighter. https://www.w3schools.com/cssref/pr_font_weight.asp", "type": "string" }, "textDecoration": { "description": "Text decoration. Follows CSS standard. https://www.w3schools.com/cssref/pr_text_text-decoration.asp", "type": "string" }, "color": { "description": "Text color.", "$ref": "GoogleTypeColor" }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Text anchor indexing into the Document.text." }, "fontSize": { "description": "Font size.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize" }, "textStyle": { "type": "string", "description": "Text style. Possible values are normal, italic, and oblique. https://www.w3schools.com/cssref/pr_font_font-style.asp" } } }, "GoogleCloudDocumentaiV1beta1OperationMetadata": { "id": "GoogleCloudDocumentaiV1beta1OperationMetadata", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "ACCEPTED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLED", "FAILED" ], "description": "The state of the current batch processing.", "type": "string", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request is received.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was cancelled.", "The batch processing has failed." ] }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "createTime": { "format": "google-datetime", "description": "The creation time of the operation.", "type": "string" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The last update time of the operation." } }, "type": "object", "description": "Contains metadata for the BatchProcessDocuments operation." }, "GoogleCloudDocumentaiV1beta1DocumentPageAnchor": { "description": "Referencing the visual context of the entity in the Document.pages. Page anchors can be cross-page, consist of multiple bounding polygons and optionally reference specific layout element types.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageAnchor", "properties": { "pageRefs": { "type": "array", "description": "One or more references to visual page elements", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef" } } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentPageDimension": { "description": "Dimension for the page.", "type": "object", "properties": { "width": { "description": "Page width.", "type": "number", "format": "float" }, "height": { "type": "number", "format": "float", "description": "Page height." }, "unit": { "type": "string", "description": "Dimension unit." } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageDimension" }, "GoogleCloudDocumentaiV1beta3DisableProcessorResponse": { "id": "GoogleCloudDocumentaiV1beta3DisableProcessorResponse", "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future.", "type": "object", "properties": {} }, "GoogleCloudDocumentaiV1beta1DocumentPage": { "id": "GoogleCloudDocumentaiV1beta1DocumentPage", "type": "object", "properties": { "blocks": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageBlock" }, "type": "array", "description": "A list of visually detected text blocks on the page. A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation." }, "symbols": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageSymbol" }, "description": "A list of visually detected symbols on the page.", "type": "array" }, "provenance": { "description": "The history of this page.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "image": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageImage", "description": "Rendered image for this page. This image is preprocessed to remove any skew, rotation, and distortions such that the annotation bounding boxes can be upright and axis-aligned." }, "paragraphs": { "type": "array", "description": "A list of visually detected text paragraphs on the page. A collection of lines that a human would perceive as a paragraph.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageParagraph" } }, "transforms": { "description": "Transformation matrices that were applied to the original document image to produce Page.image.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageMatrix" } }, "lines": { "type": "array", "description": "A list of visually detected text lines on the page. A collection of tokens that a human would perceive as a line.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLine" } }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for the page." }, "dimension": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDimension", "description": "Physical dimension of the page." }, "visualElements": { "description": "A list of detected non-text visual elements e.g. checkbox, signature etc. on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement" } }, "tokens": { "description": "A list of visually detected tokens on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageToken" } }, "pageNumber": { "description": "1-based index for current Page in a parent Document. Useful when a page is taken out of a Document for individual processing.", "format": "int32", "type": "integer" }, "formFields": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageFormField" }, "type": "array", "description": "A list of visually detected form fields on the page." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "tables": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTable" }, "description": "A list of visually detected tables on the page." } }, "description": "A page in a Document." }, "GoogleCloudDocumentaiV1beta3DocumentPageTableTableCell": { "properties": { "layout": { "description": "Layout for TableCell.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout" }, "colSpan": { "description": "How many columns this cell spans.", "format": "int32", "type": "integer" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "type": "array" }, "rowSpan": { "format": "int32", "type": "integer", "description": "How many rows this cell spans." } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageTableTableCell", "type": "object", "description": "A cell representation inside the table." }, "GoogleCloudDocumentaiV1CommonOperationMetadata": { "description": "The common metadata for long running operations.", "properties": { "state": { "type": "string", "description": "The state of the operation.", "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ] }, "updateTime": { "description": "The last update time of the operation.", "format": "google-datetime", "type": "string" }, "stateMessage": { "description": "A message providing more details about the current state of processing.", "type": "string" }, "createTime": { "description": "The creation time of the operation.", "type": "string", "format": "google-datetime" }, "resource": { "description": "A related resource to this operation.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1CommonOperationMetadata", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentShardInfo": { "description": "For a large document, sharding may be performed to produce several document shards. Each document shard contains this field to detail which shard it is.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentShardInfo", "properties": { "shardCount": { "format": "int64", "type": "string", "description": "Total number of shards." }, "textOffset": { "type": "string", "format": "int64", "description": "The index of the first character in Document.text in the overall document global text." }, "shardIndex": { "format": "int64", "description": "The 0-based index of this shard.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta3GcsPrefix": { "properties": { "gcsUriPrefix": { "type": "string", "description": "The URI prefix." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3GcsPrefix", "description": "Specifies all documents on Cloud Storage with a common prefix." }, "GoogleCloudDocumentaiV1beta1DocumentEntityRelation": { "type": "object", "properties": { "objectId": { "type": "string", "description": "Object entity id." }, "subjectId": { "type": "string", "description": "Subject entity id." }, "relation": { "type": "string", "description": "Relationship description." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentEntityRelation", "description": "Relationship between Entities." }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus": { "properties": { "documentId": { "description": "The document id of the document.", "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentId" }, "status": { "description": "The status of moving the document.", "$ref": "GoogleRpcStatus" } }, "description": "The status of each individual document in the batch move process.", "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsMetadataIndividualBatchMoveStatus", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell": { "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } }, "rowSpan": { "format": "int32", "type": "integer", "description": "How many rows this cell spans." }, "layout": { "description": "Layout for TableCell.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "colSpan": { "format": "int32", "description": "How many columns this cell spans.", "type": "integer" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageTableTableCell", "description": "A cell representation inside the table." }, "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview": { "id": "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview", "type": "object", "properties": { "state": { "type": "string", "description": "Human review state. e.g. `requested`, `succeeded`, `rejected`." }, "stateMessage": { "description": "A message providing more details about the current state of processing. For example, the rejection reason when the state is `rejected`.", "type": "string" } }, "description": "Human Review information of the document." }, "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef": { "properties": { "layoutId": { "type": "string", "description": "Optional. Deprecated. Use PageRef.bounding_poly instead." }, "page": { "format": "int64", "type": "string", "description": "Required. Index into the Document.pages element, for example using Document.pages to locate the related page element. This field is skipped when its value is the default 0. See https://developers.google.com/protocol-buffers/docs/proto3#json." }, "layoutType": { "enumDescriptions": [ "Layout Unspecified.", "References a Page.blocks element.", "References a Page.paragraphs element.", "References a Page.lines element.", "References a Page.tokens element.", "References a Page.visual_elements element.", "Refrrences a Page.tables element.", "References a Page.form_fields element." ], "enum": [ "LAYOUT_TYPE_UNSPECIFIED", "BLOCK", "PARAGRAPH", "LINE", "TOKEN", "VISUAL_ELEMENT", "TABLE", "FORM_FIELD" ], "description": "Optional. The type of the layout element that is being referenced if any.", "type": "string" }, "boundingPoly": { "$ref": "GoogleCloudDocumentaiV1beta1BoundingPoly", "description": "Optional. Identifies the bounding polygon of a layout element on the page." }, "confidence": { "description": "Optional. Confidence of detected page element, if applicable. Range [0, 1].", "type": "number", "format": "float" } }, "description": "Represents a weak reference to a page element within a document.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageAnchorPageRef" }, "GoogleCloudDocumentaiV1beta1DocumentRevision": { "id": "GoogleCloudDocumentaiV1beta1DocumentRevision", "type": "object", "properties": { "parent": { "items": { "format": "int32", "type": "integer" }, "type": "array", "description": "The revisions that this revision is based on. This can include one or more parent (when documents are merged.) This field represents the index into the `revisions` field." }, "id": { "type": "string", "description": "Id of the revision. Unique within the context of the document." }, "processor": { "description": "If the annotation was made by processor identify the processor by its resource name.", "type": "string" }, "agent": { "description": "If the change was made by a person specify the name or id of that person.", "type": "string" }, "humanReview": { "description": "Human Review information of this revision.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview" }, "createTime": { "type": "string", "description": "The time that the revision was created.", "format": "google-datetime" }, "parentIds": { "type": "array", "items": { "type": "string" }, "description": "The revisions that this revision is based on. Must include all the ids that have anything to do with this revision - eg. there are `provenance.parent.revision` fields that index into this field." } }, "description": "Contains past or forward revisions of this document." }, "GoogleCloudDocumentaiV1beta1DocumentPageMatrix": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageMatrix", "description": "Representation for transformation matrix, intended to be compatible and used with OpenCV format for image manipulation.", "type": "object", "properties": { "type": { "description": "This encodes information about what data type the matrix uses. For example, 0 (CV_8U) is an unsigned 8-bit image. For the full list of OpenCV primitive data types, please refer to https://docs.opencv.org/4.3.0/d1/d1b/group__core__hal__interface.html", "type": "integer", "format": "int32" }, "rows": { "format": "int32", "type": "integer", "description": "Number of rows in the matrix." }, "data": { "type": "string", "description": "The matrix data.", "format": "byte" }, "cols": { "format": "int32", "description": "Number of columns in the matrix.", "type": "integer" } } }, "GoogleCloudDocumentaiUiv1beta3DocumentId": { "properties": { "gcsManagedDocId": { "$ref": "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId" }, "revisionReference": { "$ref": "GoogleCloudDocumentaiUiv1beta3RevisionReference", "description": "Points to a specific revision of the document if set." } }, "id": "GoogleCloudDocumentaiUiv1beta3DocumentId", "description": "Document Identifier.", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3DisableProcessorResponse": { "description": "Response message for the disable processor method. Intentionally empty proto for adding fields in future.", "properties": {}, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3DisableProcessorResponse" }, "GoogleCloudDocumentaiUiv1beta3DeleteProcessorMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3DeleteProcessorMetadata", "description": "The long running operation metadata for delete processor method.", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta2DocumentTextChange": { "properties": { "changedText": { "description": "The text that replaces the text identified in the `text_anchor`.", "type": "string" }, "textAnchor": { "description": "Provenance of the correction. Text anchor indexing into the Document.text. There can only be a single `TextAnchor.text_segments` element. If the start and end index of the text segment are the same, the text change is inserted before that index.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "provenance": { "description": "The history of this annotation.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "type": "array" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentTextChange", "type": "object", "description": "This message is used for text changes aka. OCR corrections." }, "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse": { "description": "Response to a single document processing request.", "properties": { "outputConfig": { "description": "The output location of the parsed responses. The responses are written to this location as JSON-serialized `Document` objects.", "$ref": "GoogleCloudDocumentaiV1beta1OutputConfig" }, "inputConfig": { "$ref": "GoogleCloudDocumentaiV1beta1InputConfig", "description": "Information about the input file. This is the same as the corresponding input config in the request." } }, "id": "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse", "type": "object" }, "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus": { "type": "object", "properties": { "inputGcsSource": { "type": "string", "description": "The source of the document, same as the [input_gcs_source] field in the request when the batch process started. The batch process is started by take snapshot of that document, since a user can move or change that document during the process." }, "status": { "description": "The status of the processing of the document.", "$ref": "GoogleRpcStatus" }, "outputGcsDestination": { "type": "string", "description": "The output_gcs_destination (in the request as `output_gcs_destination`) of the processed document if it was successful, otherwise empty." }, "humanReviewStatus": { "description": "The status of human review on the processed document.", "$ref": "GoogleCloudDocumentaiV1HumanReviewStatus" } }, "description": "The status of a each individual document in the batch process.", "id": "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus" }, "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage": { "description": "Detected language for a structural component.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage", "properties": { "confidence": { "format": "float", "type": "number", "description": "Confidence of detected language. Range [0, 1]." }, "languageCode": { "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier." } } }, "GoogleCloudDocumentaiV1beta3DocumentPageTableTableRow": { "description": "A row of table cells.", "properties": { "cells": { "type": "array", "description": "Cells that make up this row.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageTableTableCell" } } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageTableTableRow", "type": "object" }, "GoogleCloudDocumentaiUiv1beta3EnableProcessorResponse": { "id": "GoogleCloudDocumentaiUiv1beta3EnableProcessorResponse", "type": "object", "properties": {}, "description": "Response message for the enable processor method. Intentionally empty proto for adding fields in future." }, "GoogleCloudDocumentaiV1beta2DocumentPageToken": { "description": "A detected token.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageToken", "type": "object", "properties": { "detectedBreak": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for Token." }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" } } }, "GoogleCloudLocationLocation": { "type": "object", "description": "A resource that represents Google Cloud Platform location.", "id": "GoogleCloudLocationLocation", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionResponse": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionResponse", "properties": {}, "description": "Response message for set default processor version method." }, "GoogleCloudDocumentaiV1beta3DocumentEntityRelation": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentEntityRelation", "properties": { "objectId": { "description": "Object entity id.", "type": "string" }, "relation": { "type": "string", "description": "Relationship description." }, "subjectId": { "description": "Subject entity id.", "type": "string" } }, "description": "Relationship between Entities." }, "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize": { "type": "object", "description": "Font size with unit.", "id": "GoogleCloudDocumentaiV1beta1DocumentStyleFontSize", "properties": { "size": { "type": "number", "description": "Font size for the text.", "format": "float" }, "unit": { "type": "string", "description": "Unit for the font size. Follows CSS naming (in, px, pt, etc.)." } } }, "GoogleCloudDocumentaiV1beta1DocumentPageToken": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageToken", "type": "object", "properties": { "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." }, "detectedBreak": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Token." } }, "description": "A detected token." }, "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeEnumValues": { "description": "Defines the a list of enum values.", "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeEnumValues", "properties": { "values": { "items": { "type": "string" }, "type": "array", "description": "The individual values that this enum values type can include." } } }, "GoogleCloudDocumentaiV1beta1DocumentShardInfo": { "description": "For a large document, sharding may be performed to produce several document shards. Each document shard contains this field to detail which shard it is.", "properties": { "shardIndex": { "description": "The 0-based index of this shard.", "format": "int64", "type": "string" }, "shardCount": { "description": "Total number of shards.", "format": "int64", "type": "string" }, "textOffset": { "format": "int64", "type": "string", "description": "The index of the first character in Document.text in the overall document global text." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentShardInfo", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentPageBlock": { "properties": { "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" } }, "layout": { "description": "Layout for Block.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout" } }, "type": "object", "description": "A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "id": "GoogleCloudDocumentaiV1beta3DocumentPageBlock" }, "GoogleCloudDocumentaiV1beta2DocumentLabel": { "id": "GoogleCloudDocumentaiV1beta2DocumentLabel", "description": "Label attaches schema information and/or other metadata to segments within a Document. Multiple Labels on a single field can denote either different labels, different instances of the same label created at different times, or some combination of both.", "properties": { "confidence": { "type": "number", "description": "Confidence score between 0 and 1 for label assignment.", "format": "float" }, "name": { "description": "Name of the label. When the label is generated from AutoML Text Classification model, this field represents the name of the category.", "type": "string" }, "automlModel": { "type": "string", "description": "Label is generated AutoML model. This field stores the full resource name of the AutoML model. Format: `projects/{project-id}/locations/{location-id}/models/{model-id}`" } }, "type": "object" }, "GoogleCloudDocumentaiV1EnableProcessorMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1EnableProcessorMetadata", "description": "The long running operation metadata for enable processor method.", "type": "object" }, "GoogleCloudDocumentaiV1beta3Processor": { "id": "GoogleCloudDocumentaiV1beta3Processor", "description": "The first-class citizen for Document AI. Each processor defines how to extract structural information from a document.", "properties": { "name": { "description": "Output only. Immutable. The resource name of the processor. Format: `projects/{project}/locations/{location}/processors/{processor}`", "type": "string", "readOnly": true }, "processEndpoint": { "description": "Output only. Immutable. The http endpoint that can be called to invoke processing.", "readOnly": true, "type": "string" }, "defaultProcessorVersion": { "description": "The default processor version.", "type": "string" }, "displayName": { "description": "The display name of the processor.", "type": "string" }, "createTime": { "type": "string", "description": "The time the processor was created.", "format": "google-datetime" }, "state": { "readOnly": true, "type": "string", "enumDescriptions": [ "The processor is in an unspecified state.", "The processor is enabled, i.e., has an enabled version which can currently serve processing requests and all the feature dependencies have been successfully initialized.", "The processor is disabled.", "The processor is being enabled, will become ENABLED if successful.", "The processor is being disabled, will become DISABLED if successful.", "The processor is being created, will become either ENABLED (for successful creation) or FAILED (for failed ones). Once a processor is in this state, it can then be used for document processing, but the feature dependencies of the processor might not be fully created yet.", "The processor failed during creation or initialization of feature dependencies. The user should delete the processor and recreate one as all the functionalities of the processor are disabled.", "The processor is being deleted, will be removed if successful." ], "description": "Output only. The state of the processor.", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DISABLED", "ENABLING", "DISABLING", "CREATING", "FAILED", "DELETING" ] }, "kmsKeyName": { "description": "The KMS key used for encryption/decryption in CMEK scenarios. See https://cloud.google.com/security-key-management.", "type": "string" }, "type": { "description": "The processor type, e.g., OCR_PROCESSOR, INVOICE_PROCESSOR, etc. To get a list of processors types, see FetchProcessorTypes.", "type": "string" } }, "type": "object" }, "GoogleCloudDocumentaiV1SetDefaultProcessorVersionResponse": { "properties": {}, "id": "GoogleCloudDocumentaiV1SetDefaultProcessorVersionResponse", "type": "object", "description": "Response message for set default processor version method." }, "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement": { "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for VisualElement." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "type": { "type": "string", "description": "Type of the VisualElement." } }, "description": "Detected non-text visual elements e.g. checkbox, signature etc. on the page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageVisualElement" }, "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" } }, "description": "The long running operation metadata for the undeploy processor version method.", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentPageSymbol": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageSymbol", "type": "object", "description": "A detected symbol.", "properties": { "layout": { "description": "Layout for Symbol.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "type": "array" } } }, "GoogleCloudDocumentaiV1beta3BatchProcessMetadata": { "properties": { "createTime": { "format": "google-datetime", "description": "The creation time of the operation.", "type": "string" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLING", "CANCELLED", "FAILED" ], "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was being cancelled.", "The batch processing was cancelled.", "The batch processing has failed." ], "description": "The state of the current batch processing." }, "updateTime": { "description": "The last update time of the operation.", "format": "google-datetime", "type": "string" }, "stateMessage": { "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed.", "type": "string" }, "individualProcessStatuses": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus" }, "description": "The list of response details of each document." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3BatchProcessMetadata", "description": "The long running operation metadata for batch process method." }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } } }, "GoogleCloudDocumentaiV1BatchProcessMetadata": { "type": "object", "properties": { "individualProcessStatuses": { "items": { "$ref": "GoogleCloudDocumentaiV1BatchProcessMetadataIndividualProcessStatus" }, "description": "The list of response details of each document.", "type": "array" }, "updateTime": { "description": "The last update time of the operation.", "format": "google-datetime", "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed." }, "state": { "description": "The state of the current batch processing.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "WAITING", "RUNNING", "SUCCEEDED", "CANCELLING", "CANCELLED", "FAILED" ], "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Request operation is waiting for scheduling.", "Request is being processed.", "The batch processing completed successfully.", "The batch processing was being cancelled.", "The batch processing was cancelled.", "The batch processing has failed." ] }, "createTime": { "description": "The creation time of the operation.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudDocumentaiV1BatchProcessMetadata", "description": "The long running operation metadata for batch process method." }, "GoogleCloudDocumentaiV1beta1DocumentTextAnchor": { "id": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Text reference indexing into the Document.text.", "type": "object", "properties": { "content": { "description": "Contains the content of the text span so that users do not have to look it up in the text_segments. It is always populated for formFields.", "type": "string" }, "textSegments": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment" }, "description": "The text segments from the Document.text." } } }, "GoogleCloudDocumentaiV1beta2DocumentEntity": { "properties": { "mentionId": { "description": "Optional. Deprecated. Use `id` field instead.", "type": "string" }, "nonPresent": { "description": "Optional. This attribute indicates that the processing didn't actually identify this entity, but a confidence score was assigned that represent the potential that this could be a false negative. A non-present entity should have an empty mention_text and text_anchor.", "type": "boolean" }, "properties": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntity" }, "description": "Optional. Entities can be nested to form a hierarchical data structure representing the content in the document." }, "provenance": { "description": "Optional. The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" }, "confidence": { "format": "float", "type": "number", "description": "Optional. Confidence of detected Schema entity. Range [0, 1]." }, "mentionText": { "description": "Optional. Text value in the document e.g. `1600 Amphitheatre Pkwy`. If the entity is not present in the document, this field will be empty.", "type": "string" }, "redacted": { "description": "Optional. Whether the entity will be redacted for de-identification purposes.", "type": "boolean" }, "id": { "type": "string", "description": "Optional. Canonical id. This will be a unique value in the entity list for this document." }, "type": { "type": "string", "description": "Required. Entity type from a schema e.g. `Address`." }, "pageAnchor": { "description": "Optional. Represents the provenance of this entity wrt. the location on the page where it was found.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageAnchor" }, "normalizedValue": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentEntityNormalizedValue", "description": "Optional. Normalized entity value. Absent if the extracted value could not be converted or the type (e.g. address) is not supported for certain parsers. This field is also only populated for certain supported document types." }, "textAnchor": { "description": "Optional. Provenance of the entity. Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" } }, "description": "An entity that could be a phrase in the text or a property that belongs to the document. It is a known entity type, such as a person, an organization, or location.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentEntity" }, "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "description": "Metadata of the EvaluateProcessorVersion method." }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadata": { "properties": { "testDatasetValidation": { "$ref": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation", "description": "The test dataset validation information." }, "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "trainingDatasetValidation": { "$ref": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation", "description": "The training dataset validation information." } }, "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadata", "type": "object", "description": "The metadata that represents a processor version being created." }, "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionResponse": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionResponse", "description": "Response message for the undeploy processor version method.", "properties": {} }, "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview": { "type": "object", "description": "Human Review information of the document.", "properties": { "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the rejection reason when the state is `rejected`." }, "state": { "description": "Human review state. e.g. `requested`, `succeeded`, `rejected`.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentRevisionHumanReview" }, "GoogleCloudDocumentaiV1beta3ProcessorVersionDeprecationInfo": { "id": "GoogleCloudDocumentaiV1beta3ProcessorVersionDeprecationInfo", "properties": { "replacementProcessorVersion": { "description": "If set, the processor version that will be used as a replacement.", "type": "string" }, "deprecationTime": { "description": "The time at which this processor version will be deprecated.", "type": "string", "format": "google-datetime" } }, "type": "object", "description": "Information about the upcoming deprecation of this processor version." }, "GoogleCloudDocumentaiUiv1beta3CreateLabelerPoolOperationMetadata": { "id": "GoogleCloudDocumentaiUiv1beta3CreateLabelerPoolOperationMetadata", "type": "object", "description": "The long running operation metadata for CreateLabelerPool.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue": { "properties": { "booleanValue": { "description": "Boolean value. Can be used for entities with binary values, or for checkboxes.", "type": "boolean" }, "moneyValue": { "$ref": "GoogleTypeMoney", "description": "Money value. See also: https://github.com/googleapis/googleapis/blob/master/google/type/money.proto" }, "datetimeValue": { "description": "DateTime value. Includes date, time, and timezone. See also: https://github.com/googleapis/googleapis/blob/master/google/type/datetime.proto", "$ref": "GoogleTypeDateTime" }, "dateValue": { "description": "Date value. Includes year, month, day. See also: https://github.com/googleapis/googleapis/blob/master/google/type/date.proto", "$ref": "GoogleTypeDate" }, "integerValue": { "type": "integer", "format": "int32", "description": "Integer value." }, "text": { "type": "string", "description": "Optional. An optional field to store a normalized string. For some entity types, one of respective `structured_value` fields may also be populated. Also not all the types of `structured_value` will be normalized. For example, some processors may not generate float or int normalized text by default. Below are sample formats mapped to structured values. - Money/Currency type (`money_value`) is in the ISO 4217 text format. - Date type (`date_value`) is in the ISO 8601 text format. - Datetime type (`datetime_value`) is in the ISO 8601 text format." }, "addressValue": { "$ref": "GoogleTypePostalAddress", "description": "Postal address. See also: https://github.com/googleapis/googleapis/blob/master/google/type/postal_address.proto" }, "floatValue": { "format": "float", "description": "Float value.", "type": "number" } }, "description": "Parsed and normalized entity value.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue" }, "GoogleCloudDocumentaiV1beta2NormalizedVertex": { "type": "object", "properties": { "x": { "type": "number", "description": "X coordinate.", "format": "float" }, "y": { "type": "number", "format": "float", "description": "Y coordinate (starts from the top of the image)." } }, "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "id": "GoogleCloudDocumentaiV1beta2NormalizedVertex" }, "GoogleCloudDocumentaiV1beta1DocumentPageLayout": { "properties": { "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor" }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the current Layout within context of the object this layout is for. e.g. confidence can be for a single token, a table, a visual element, etc. depending on context. Range [0, 1]." }, "orientation": { "enum": [ "ORIENTATION_UNSPECIFIED", "PAGE_UP", "PAGE_RIGHT", "PAGE_DOWN", "PAGE_LEFT" ], "enumDescriptions": [ "Unspecified orientation.", "Orientation is aligned with page up.", "Orientation is aligned with page right. Turn the head 90 degrees clockwise from upright to read.", "Orientation is aligned with page down. Turn the head 180 degrees from upright to read.", "Orientation is aligned with page left. Turn the head 90 degrees counterclockwise from upright to read." ], "description": "Detected orientation for the Layout.", "type": "string" }, "boundingPoly": { "description": "The bounding polygon for the Layout.", "$ref": "GoogleCloudDocumentaiV1beta1BoundingPoly" } }, "description": "Visual element describing a layout unit on a page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus": { "type": "object", "properties": { "status": { "description": "The status of the importing of the document.", "$ref": "GoogleRpcStatus" }, "inputGcsSource": { "type": "string", "description": "The source Cloud Storage URI of the document." }, "outputGcsDestination": { "type": "string", "description": "The output_gcs_destination of the processed document if it was successful, otherwise empty." } }, "description": "The status of each individual document in the import process.", "id": "GoogleCloudDocumentaiUiv1beta3ImportDocumentsMetadataIndividualImportStatus" }, "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment": { "id": "GoogleCloudDocumentaiV1beta2DocumentTextAnchorTextSegment", "description": "A text segment in the Document.text. The indices may be out of bounds which indicate that the text extends into another document shard for large sharded documents. See ShardInfo.text_offset", "type": "object", "properties": { "startIndex": { "format": "int64", "description": "TextSegment start UTF-8 char index in the Document.text.", "type": "string" }, "endIndex": { "description": "TextSegment half open end UTF-8 char index in the Document.text.", "type": "string", "format": "int64" } } }, "GoogleCloudDocumentaiV1beta2DocumentStyle": { "id": "GoogleCloudDocumentaiV1beta2DocumentStyle", "description": "Annotation for common text style attributes. This adheres to CSS conventions as much as possible.", "type": "object", "properties": { "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" }, "fontWeight": { "type": "string", "description": "Font weight. Possible values are normal, bold, bolder, and lighter. https://www.w3schools.com/cssref/pr_font_weight.asp" }, "textDecoration": { "type": "string", "description": "Text decoration. Follows CSS standard. https://www.w3schools.com/cssref/pr_text_text-decoration.asp" }, "fontSize": { "description": "Font size.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize" }, "textStyle": { "type": "string", "description": "Text style. Possible values are normal, italic, and oblique. https://www.w3schools.com/cssref/pr_font_font-style.asp" }, "backgroundColor": { "description": "Text background color.", "$ref": "GoogleTypeColor" }, "color": { "$ref": "GoogleTypeColor", "description": "Text color." } } }, "GoogleCloudDocumentaiV1beta3DocumentOutputConfigGcsOutputConfig": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentOutputConfigGcsOutputConfig", "properties": { "gcsUri": { "type": "string", "description": "The Cloud Storage uri (a directory) of the output." } }, "description": "The configuration used when outputting documents." }, "GoogleCloudDocumentaiV1beta3ReviewDocumentOperationMetadata": { "id": "GoogleCloudDocumentaiV1beta3ReviewDocumentOperationMetadata", "properties": { "questionId": { "description": "The Crowd Compute question ID.", "type": "string" }, "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata" }, "createTime": { "format": "google-datetime", "type": "string", "description": "The creation time of the operation." }, "state": { "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "type": "string", "description": "Used only when Operation.done is false." }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the error message if the operation is failed." }, "updateTime": { "description": "The last update time of the operation.", "type": "string", "format": "google-datetime" } }, "description": "The long running operation metadata for review document method.", "type": "object" }, "GoogleCloudDocumentaiV1BatchProcessResponse": { "description": "Response message for batch process document method.", "properties": {}, "type": "object", "id": "GoogleCloudDocumentaiV1BatchProcessResponse" }, "GoogleCloudDocumentaiUiv1beta3UpdateHumanReviewConfigMetadata": { "description": "The long running operation metadata for updating the human review configuration.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3UpdateHumanReviewConfigMetadata" }, "GoogleCloudDocumentaiV1beta3NormalizedVertex": { "id": "GoogleCloudDocumentaiV1beta3NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "y": { "description": "Y coordinate (starts from the top of the image).", "type": "number", "format": "float" }, "x": { "description": "X coordinate.", "format": "float", "type": "number" } }, "type": "object" }, "GoogleTypeMoney": { "properties": { "nanos": { "type": "integer", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "format": "int32" }, "units": { "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.", "type": "string", "format": "int64" }, "currencyCode": { "description": "The three-letter currency code defined in ISO 4217.", "type": "string" } }, "description": "Represents an amount of money with its currency type.", "type": "object", "id": "GoogleTypeMoney" }, "GoogleCloudDocumentaiV1beta3DocumentPageParagraph": { "type": "object", "description": "A collection of lines that a human would perceive as a paragraph.", "properties": { "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "layout": { "description": "Layout for Paragraph.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance", "description": "The history of this annotation." } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageParagraph" }, "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityType": { "description": "EntityType is the wrapper of a label of the corresponding model with detailed attributes and limitations for entity-based processors. Multiple types can also compose a dependency tree to represent nested types.", "id": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityType", "type": "object", "properties": { "displayName": { "description": "User defined name for the type.", "type": "string" }, "baseTypes": { "type": "array", "items": { "type": "string" }, "description": "The entity type that this type is derived from. For now, one and only one should be set." }, "properties": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeProperty" }, "description": "Describing the nested structure, or composition of an entity." }, "enumValues": { "description": "If specified, lists all the possible values for this entity. This should not be more than a handful of values. If the number of values is \u003e10 or could change frequently use the `EntityType.value_ontology` field and specify a list of all possible values in a value ontology file.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityTypeEnumValues" }, "name": { "description": "Name of the type. It must be unique within the schema file and cannot be a 'Common Type'. Besides that we use the following naming conventions: - *use snake_casing* - name matching is case-insensitive - Maximum 64 characters. - Must start with a letter. - Allowed characters: ASCII letters [a-z0-9_-]. (For backward compatibility internal infrastructure and tooling can handle any ascii character) - The '/' is sometimes used to denote a property of a type. For example line_item/amount. This convention is deprecated, but will still be honored for backward compatibility.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta3DocumentTextChange": { "properties": { "provenance": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance" }, "description": "The history of this annotation.", "type": "array" }, "changedText": { "type": "string", "description": "The text that replaces the text identified in the `text_anchor`." }, "textAnchor": { "description": "Provenance of the correction. Text anchor indexing into the Document.text. There can only be a single `TextAnchor.text_segments` element. If the start and end index of the text segment are the same, the text change is inserted before that index.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextAnchor" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentTextChange", "type": "object", "description": "This message is used for text changes aka. OCR corrections." }, "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchInputConfig": { "description": "The message for input config in batch process.", "properties": { "mimeType": { "description": "Mimetype of the input. If the input is a raw document, the supported mimetypes are application/pdf, image/tiff, and image/gif. If the input is a [Document] proto, the type should be application/json.", "type": "string" }, "gcsSource": { "description": "The Cloud Storage location as the source of the document.", "type": "string" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchInputConfig" }, "GoogleCloudDocumentaiV1beta3DocumentSchemaMetadata": { "id": "GoogleCloudDocumentaiV1beta3DocumentSchemaMetadata", "type": "object", "properties": { "documentSplitter": { "description": "If true, a `document` entity type can be applied to subdocument ( splitting). Otherwise, it can only be applied to the entire document (classification).", "type": "boolean" }, "documentAllowMultipleLabels": { "type": "boolean", "description": "If true, on a given page, there can be multiple `document` annotations covering it." } }, "description": "Metadata for global schema behavior." }, "GoogleCloudDocumentaiV1beta2DocumentPageLine": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageLine", "description": "A collection of tokens that a human would perceive as a line. Does not cross column boundaries, can be horizontal, vertical, etc.", "type": "object", "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for Line." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." } } }, "GoogleCloudDocumentaiUiv1beta3UpdateLabelerPoolOperationMetadata": { "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3UpdateLabelerPoolOperationMetadata", "description": "The long running operation metadata for UpdateLabelerPool.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta3EnableProcessorRequest": { "type": "object", "description": "Request message for the enable processor method.", "properties": {}, "id": "GoogleCloudDocumentaiV1beta3EnableProcessorRequest" }, "GoogleCloudDocumentaiV1beta3DeployProcessorVersionRequest": { "type": "object", "description": "Request message for the deploy processor version method.", "properties": {}, "id": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionRequest" }, "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata": { "description": "The common metadata for long running operations.", "id": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "type": "object", "properties": { "resource": { "description": "A related resource to this operation.", "type": "string" }, "stateMessage": { "description": "A message providing more details about the current state of processing.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "type": "string", "description": "The state of the operation." }, "createTime": { "format": "google-datetime", "description": "The creation time of the operation.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "The last update time of the operation.", "type": "string" } } }, "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionResponse": { "type": "object", "properties": {}, "description": "Response message for the deploy processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3DeployProcessorVersionResponse" }, "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment": { "type": "object", "description": "A text segment in the Document.text. The indices may be out of bounds which indicate that the text extends into another document shard for large sharded documents. See ShardInfo.text_offset", "properties": { "startIndex": { "format": "int64", "type": "string", "description": "TextSegment start UTF-8 char index in the Document.text." }, "endIndex": { "description": "TextSegment half open end UTF-8 char index in the Document.text.", "format": "int64", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentTextAnchorTextSegment" }, "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId": { "description": "Identifies a document uniquely within the scope of a dataset in the GCS-based option.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3DocumentIdGCSManagedDocumentId", "properties": { "cwDocId": { "description": "Optional. Id of the document (indexed) managed by Content Warehouse.", "type": "string" }, "gcsUri": { "type": "string", "description": "Required. The Cloud Storage uri where the actual document is stored." } } }, "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus": { "id": "GoogleCloudDocumentaiV1beta3BatchProcessMetadataIndividualProcessStatus", "description": "The status of a each individual document in the batch process.", "properties": { "inputGcsSource": { "description": "The source of the document, same as the [input_gcs_source] field in the request when the batch process started. The batch process is started by take snapshot of that document, since a user can move or change that document during the process.", "type": "string" }, "humanReviewStatus": { "description": "The status of human review on the processed document.", "$ref": "GoogleCloudDocumentaiV1beta3HumanReviewStatus" }, "humanReviewOperation": { "type": "string", "description": "The name of the operation triggered by the processed document. If the human review process is not triggered, this field will be empty. It has the same response type and metadata as the long running operation returned by ReviewDocument method." }, "status": { "$ref": "GoogleRpcStatus", "description": "The status of the processing of the document." }, "outputGcsDestination": { "type": "string", "description": "The output_gcs_destination (in the request as `output_gcs_destination`) of the processed document if it was successful, otherwise empty." } }, "type": "object" }, "GoogleCloudDocumentaiV1beta1InputConfig": { "id": "GoogleCloudDocumentaiV1beta1InputConfig", "type": "object", "description": "The desired input location and metadata.", "properties": { "gcsSource": { "description": "The Google Cloud Storage location to read the input from. This must be a single file.", "$ref": "GoogleCloudDocumentaiV1beta1GcsSource" }, "mimeType": { "description": "Required. Mimetype of the input. Current supported mimetypes are application/pdf, image/tiff, and image/gif. In addition, application/json type is supported for requests with ProcessDocumentRequest.automl_params field set. The JSON file needs to be in Document format.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta2DocumentPageLayout": { "properties": { "orientation": { "description": "Detected orientation for the Layout.", "type": "string", "enum": [ "ORIENTATION_UNSPECIFIED", "PAGE_UP", "PAGE_RIGHT", "PAGE_DOWN", "PAGE_LEFT" ], "enumDescriptions": [ "Unspecified orientation.", "Orientation is aligned with page up.", "Orientation is aligned with page right. Turn the head 90 degrees clockwise from upright to read.", "Orientation is aligned with page down. Turn the head 180 degrees from upright to read.", "Orientation is aligned with page left. Turn the head 90 degrees counterclockwise from upright to read." ] }, "boundingPoly": { "$ref": "GoogleCloudDocumentaiV1beta2BoundingPoly", "description": "The bounding polygon for the Layout." }, "confidence": { "type": "number", "format": "float", "description": "Confidence of the current Layout within context of the object this layout is for. e.g. confidence can be for a single token, a table, a visual element, etc. depending on context. Range [0, 1]." }, "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentTextAnchor" } }, "description": "Visual element describing a layout unit on a page.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent": { "properties": { "index": { "type": "integer", "format": "int32", "description": "The index of the parent item in the corresponding item list (eg. list of entities, properties within entities, etc.) in the parent revision." }, "revision": { "description": "The index of the index into current revision's parent_ids list.", "format": "int32", "type": "integer" }, "id": { "description": "The id of the parent provenance.", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent", "type": "object", "description": "The parent element the current element is based on. Used for referencing/aligning, removal and replacement operations." }, "GoogleCloudDocumentaiUiv1beta3DeleteProcessorVersionMetadata": { "description": "The long running operation metadata for delete processor version method.", "id": "GoogleCloudDocumentaiUiv1beta3DeleteProcessorVersionMetadata", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentPageFormField": { "type": "object", "description": "A form field detected on the page.", "properties": { "provenance": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance", "description": "The history of this annotation." }, "correctedValueText": { "description": "Created for Labeling UI to export value text. If corrections were made to the text identified by the `field_value.text_anchor`, this field will contain the correction.", "type": "string" }, "valueType": { "type": "string", "description": "If the value is non-textual, this field represents the type. Current valid values are: - blank (this indicates the field_value is normal text) - \"unfilled_checkbox\" - \"filled_checkbox\"" }, "correctedKeyText": { "type": "string", "description": "Created for Labeling UI to export key text. If corrections were made to the text identified by the `field_name.text_anchor`, this field will contain the correction." }, "fieldValue": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for the FormField value." }, "fieldName": { "description": "Layout for the FormField name. e.g. `Address`, `Email`, `Grand total`, `Phone number`, etc.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout" }, "nameDetectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "description": "A list of detected languages for name together with confidence." }, "valueDetectedLanguages": { "type": "array", "description": "A list of detected languages for value together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" } } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageFormField" }, "GoogleCloudDocumentaiV1beta1Document": { "description": "Document represents the canonical document resource in Document AI. It is an interchange format that provides insights into documents and allows for collaboration between users and Document AI to iterate and optimize for quality.", "id": "GoogleCloudDocumentaiV1beta1Document", "type": "object", "properties": { "text": { "description": "Optional. UTF-8 encoded text in reading order from the document.", "type": "string" }, "textStyles": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentStyle" }, "description": "Placeholder. Styles for the Document.text." }, "pages": { "type": "array", "description": "Visual page layout for the Document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPage" } }, "uri": { "type": "string", "description": "Optional. Currently supports Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info." }, "revisions": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentRevision" }, "description": "Placeholder. Revision history of this document." }, "entities": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntity" }, "type": "array", "description": "A list of entities detected on Document.text. For document shards, entities in this list may cross shard boundaries." }, "textChanges": { "description": "Placeholder. A list of text corrections made to [Document.text]. This is usually used for annotating corrections to OCR mistakes. Text changes for a given revision may not overlap with each other.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextChange" } }, "mimeType": { "description": "An IANA published MIME type (also referred to as media type). For more information, see https://www.iana.org/assignments/media-types/media-types.xhtml.", "type": "string" }, "entityRelations": { "description": "Placeholder. Relationship among Document.entities.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntityRelation" } }, "error": { "$ref": "GoogleRpcStatus", "description": "Any error that occurred while processing this document." }, "shardInfo": { "description": "Information about the sharding if this document is sharded part of a larger document. If the document is not sharded, this message is not specified.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentShardInfo" }, "content": { "description": "Optional. Inline document content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64.", "type": "string", "format": "byte" } } }, "GoogleCloudDocumentaiV1beta2InputConfig": { "properties": { "mimeType": { "type": "string", "description": "Required. Mimetype of the input. Current supported mimetypes are application/pdf, image/tiff, and image/gif. In addition, application/json type is supported for requests with ProcessDocumentRequest.automl_params field set. The JSON file needs to be in Document format." }, "contents": { "type": "string", "format": "byte", "description": "Content in bytes, represented as a stream of bytes. Note: As with all `bytes` fields, proto buffer messages use a pure binary representation, whereas JSON representations use base64. This field only works for synchronous ProcessDocument method." }, "gcsSource": { "$ref": "GoogleCloudDocumentaiV1beta2GcsSource", "description": "The Google Cloud Storage location to read the input from. This must be a single file." } }, "type": "object", "description": "The desired input location and metadata.", "id": "GoogleCloudDocumentaiV1beta2InputConfig" }, "GoogleTypeDateTime": { "type": "object", "description": "Represents civil time (or occasionally physical time). This type can represent a civil time in one of a few possible ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When utc_offset is set and time_zone is unset: a civil time on a calendar day with a particular offset from UTC. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When time_zone is set and utc_offset is unset: a civil time on a calendar day in a particular time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When neither time_zone nor utc_offset is set: a civil time on a calendar day in local time. The date is relative to the Proleptic Gregorian Calendar. If year is 0, the DateTime is considered not to have a specific year. month and day must have valid, non-zero values. This type may also be used to represent a physical time if all the date and time fields are set and either case of the `time_offset` oneof is set. Consider using `Timestamp` message for physical time instead. If your use case also would like to store the user's timezone, that can be done in another field. This type is more flexible than some applications may want. Make sure to document and validate your application's limitations.", "properties": { "timeZone": { "$ref": "GoogleTypeTimeZone", "description": "Time zone." }, "hours": { "format": "int32", "type": "integer", "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time." }, "nanos": { "format": "int32", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer" }, "day": { "format": "int32", "type": "integer", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month." }, "month": { "type": "integer", "description": "Required. Month of year. Must be from 1 to 12.", "format": "int32" }, "seconds": { "type": "integer", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "format": "int32" }, "minutes": { "format": "int32", "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "type": "integer" }, "year": { "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "type": "integer", "format": "int32" }, "utcOffset": { "format": "google-duration", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "type": "string" } }, "id": "GoogleTypeDateTime" }, "GoogleCloudDocumentaiV1beta2DocumentPageParagraph": { "description": "A collection of lines that a human would perceive as a paragraph.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageParagraph", "properties": { "layout": { "description": "Layout for Paragraph.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "detectedLanguages": { "type": "array", "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3RawDocument": { "properties": { "mimeType": { "description": "An IANA MIME type (RFC6838) indicating the nature and format of the [content].", "type": "string" }, "content": { "format": "byte", "type": "string", "description": "Inline document content." } }, "id": "GoogleCloudDocumentaiV1beta3RawDocument", "description": "Payload message of raw document content (bytes).", "type": "object" }, "GoogleCloudDocumentaiV1ReviewDocumentResponse": { "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "REJECTED", "SUCCEEDED" ], "description": "The state of the review operation.", "type": "string", "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "The review operation is rejected by the reviewer.", "The review operation is succeeded." ] }, "gcsDestination": { "description": "The Cloud Storage uri for the human reviewed document if the review is succeeded.", "type": "string" }, "rejectionReason": { "type": "string", "description": "The reason why the review is rejected by reviewer." } }, "type": "object", "id": "GoogleCloudDocumentaiV1ReviewDocumentResponse", "description": "Response message for review document method." }, "GoogleCloudDocumentaiV1beta3ProcessResponse": { "type": "object", "id": "GoogleCloudDocumentaiV1beta3ProcessResponse", "description": "Response message for the process document method.", "properties": { "document": { "$ref": "GoogleCloudDocumentaiV1beta3Document", "description": "The document payload, will populate fields based on the processor's behavior." }, "humanReviewOperation": { "type": "string", "description": "The name of the operation triggered by the processed document. If the human review process is not triggered, this field will be empty. It has the same response type and metadata as the long running operation returned by ReviewDocument method." }, "humanReviewStatus": { "$ref": "GoogleCloudDocumentaiV1beta3HumanReviewStatus", "description": "The status of human review on the processed document." } } }, "GoogleCloudDocumentaiV1beta1DocumentPageParagraph": { "type": "object", "description": "A collection of lines that a human would perceive as a paragraph.", "id": "GoogleCloudDocumentaiV1beta1DocumentPageParagraph", "properties": { "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Paragraph." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." } } }, "GoogleCloudDocumentaiV1beta3DocumentEntity": { "id": "GoogleCloudDocumentaiV1beta3DocumentEntity", "properties": { "pageAnchor": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageAnchor", "description": "Optional. Represents the provenance of this entity wrt. the location on the page where it was found." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentProvenance", "description": "Optional. The history of this annotation." }, "nonPresent": { "type": "boolean", "description": "Optional. This attribute indicates that the processing didn't actually identify this entity, but a confidence score was assigned that represent the potential that this could be a false negative. A non-present entity should have an empty mention_text and text_anchor." }, "normalizedValue": { "description": "Optional. Normalized entity value. Absent if the extracted value could not be converted or the type (e.g. address) is not supported for certain parsers. This field is also only populated for certain supported document types.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentEntityNormalizedValue" }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextAnchor", "description": "Optional. Provenance of the entity. Text anchor indexing into the Document.text." }, "type": { "description": "Required. Entity type from a schema e.g. `Address`.", "type": "string" }, "id": { "description": "Optional. Canonical id. This will be a unique value in the entity list for this document.", "type": "string" }, "properties": { "description": "Optional. Entities can be nested to form a hierarchical data structure representing the content in the document.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentEntity" } }, "mentionId": { "description": "Optional. Deprecated. Use `id` field instead.", "type": "string" }, "confidence": { "type": "number", "description": "Optional. Confidence of detected Schema entity. Range [0, 1].", "format": "float" }, "mentionText": { "description": "Optional. Text value in the document e.g. `1600 Amphitheatre Pkwy`. If the entity is not present in the document, this field will be empty.", "type": "string" }, "redacted": { "description": "Optional. Whether the entity will be redacted for de-identification purposes.", "type": "boolean" } }, "type": "object", "description": "An entity that could be a phrase in the text or a property that belongs to the document. It is a known entity type, such as a person, an organization, or location." }, "GoogleCloudDocumentaiUiv1beta3RevisionReference": { "description": "The revision reference specifies which revision on the document to read.", "properties": { "revisionCase": { "enum": [ "REVISION_CASE_UNSPECIFIED", "LATEST_HUMAN_REVIEW", "LATEST_TIMESTAMP" ], "enumDescriptions": [ "Unspecified case, fallback to read the first (OCR) revision.", "The latest revision made by a human.", "The latest revision based on timestamp." ], "type": "string", "description": "Read the revision by the predefined case." }, "latestProcessorVersion": { "description": "Read the revision generated by the processor version, returns error if it does not exist.", "type": "string" }, "revisionId": { "description": "Read the revision given by the id, returns error if it does not exist.", "type": "string" } }, "id": "GoogleCloudDocumentaiUiv1beta3RevisionReference", "type": "object" }, "GoogleCloudDocumentaiV1beta2DocumentProvenance": { "properties": { "parents": { "type": "array", "description": "References to the original elements that are replaced.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenanceParent" } }, "revision": { "type": "integer", "description": "The index of the revision that produced this element.", "format": "int32" }, "type": { "description": "The type of provenance operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "ADD", "REMOVE", "REPLACE", "EVAL_REQUESTED", "EVAL_APPROVED", "EVAL_SKIPPED" ], "enumDescriptions": [ "Operation type unspecified. If no operation is specified a provenance entry is simply used to match against a `parent`.", "Add an element.", "Remove an element identified by `parent`.", "Replace an element identified by `parent`.", "Request human review for the element identified by `parent`.", "Element is reviewed and approved at human review, confidence will be set to 1.0.", "Element is skipped in the validation process." ], "type": "string" }, "id": { "format": "int32", "type": "integer", "description": "The Id of this operation. Needs to be unique within the scope of the revision." } }, "id": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "Structure to identify provenance relationships between annotations in different revisions.", "type": "object" }, "GoogleCloudDocumentaiV1beta2OutputConfig": { "description": "The desired output location and metadata.", "properties": { "gcsDestination": { "description": "The Google Cloud Storage location to write the output to.", "$ref": "GoogleCloudDocumentaiV1beta2GcsDestination" }, "pagesPerShard": { "type": "integer", "description": "The max number of pages to include into each output Document shard JSON on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 parsed pages will be produced. If `pages_per_shard` = 20, then 5 Document shard JSON files each containing 20 parsed pages will be written under the prefix OutputConfig.gcs_destination.uri and suffix pages-x-to-y.json where x and y are 1-indexed page numbers. Example GCS outputs with 157 pages and pages_per_shard = 50: pages-001-to-050.json pages-051-to-100.json pages-101-to-150.json pages-151-to-157.json", "format": "int32" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2OutputConfig" }, "GoogleCloudDocumentaiV1SetDefaultProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1SetDefaultProcessorVersionMetadata", "description": "The long running operation metadata for set default processor version method.", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentRevisionHumanReview": { "properties": { "state": { "description": "Human review state. e.g. `requested`, `succeeded`, `rejected`.", "type": "string" }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing. For example, the rejection reason when the state is `rejected`." } }, "type": "object", "description": "Human Review information of the document.", "id": "GoogleCloudDocumentaiV1beta3DocumentRevisionHumanReview" }, "GoogleCloudDocumentaiV1beta3DocumentPageTokenDetectedBreak": { "type": "object", "properties": { "type": { "enumDescriptions": [ "Unspecified break type.", "A single whitespace.", "A wider whitespace.", "A hyphen that indicates that a token has been split across lines." ], "enum": [ "TYPE_UNSPECIFIED", "SPACE", "WIDE_SPACE", "HYPHEN" ], "description": "Detected break type.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token." }, "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata": { "type": "object", "description": "The common metadata for long running operations.", "id": "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata", "properties": { "createTime": { "description": "The creation time of the operation.", "format": "google-datetime", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified state.", "Operation is still running.", "Operation is being cancelled.", "Operation succeeded.", "Operation failed.", "Operation is cancelled." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "RUNNING", "CANCELLING", "SUCCEEDED", "FAILED", "CANCELLED" ], "description": "The state of the operation." }, "stateMessage": { "type": "string", "description": "A message providing more details about the current state of processing." }, "resource": { "type": "string", "description": "A related resource to this operation." }, "updateTime": { "format": "google-datetime", "description": "The last update time of the operation.", "type": "string" } } }, "GoogleCloudDocumentaiV1beta3DocumentPageVisualElement": { "id": "GoogleCloudDocumentaiV1beta3DocumentPageVisualElement", "description": "Detected non-text visual elements e.g. checkbox, signature etc. on the page.", "type": "object", "properties": { "detectedLanguages": { "description": "A list of detected languages together with confidence.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "type": "array" }, "type": { "description": "Type of the VisualElement.", "type": "string" }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "description": "Layout for VisualElement." } } }, "GoogleCloudDocumentaiV1beta3DocumentStyleFontSize": { "type": "object", "properties": { "unit": { "type": "string", "description": "Unit for the font size. Follows CSS naming (in, px, pt, etc.)." }, "size": { "type": "number", "description": "Font size for the text.", "format": "float" } }, "description": "Font size with unit.", "id": "GoogleCloudDocumentaiV1beta3DocumentStyleFontSize" }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetResponse": { "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetResponse", "description": "The response proto of ResyncDataset method.", "properties": {}, "type": "object" }, "GoogleCloudDocumentaiV1beta3DeleteProcessorMetadata": { "description": "The long running operation metadata for delete processor method.", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1beta3DeleteProcessorMetadata" }, "GoogleCloudDocumentaiV1beta1DocumentPageSymbol": { "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Symbol." }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageSymbol", "type": "object", "description": "A detected symbol." }, "GoogleCloudDocumentaiV1beta1Vertex": { "properties": { "x": { "format": "int32", "type": "integer", "description": "X coordinate." }, "y": { "type": "integer", "format": "int32", "description": "Y coordinate (starts from the top of the image)." } }, "id": "GoogleCloudDocumentaiV1beta1Vertex", "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object" }, "GoogleCloudDocumentaiV1beta3BatchProcessResponse": { "id": "GoogleCloudDocumentaiV1beta3BatchProcessResponse", "description": "Response message for batch process document method.", "type": "object", "properties": {} }, "GoogleCloudDocumentaiV1beta3GcsDocument": { "properties": { "gcsUri": { "description": "The Cloud Storage object uri.", "type": "string" }, "mimeType": { "type": "string", "description": "An IANA MIME type (RFC6838) of the content." } }, "description": "Specifies a document stored on Cloud Storage.", "id": "GoogleCloudDocumentaiV1beta3GcsDocument", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentSchema": { "id": "GoogleCloudDocumentaiV1beta3DocumentSchema", "description": "The schema defines the output of the processed document by a processor.", "properties": { "description": { "description": "Description of the schema.", "type": "string" }, "metadata": { "description": "Metadata of the schema.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentSchemaMetadata" }, "entityTypes": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentSchemaEntityType" }, "description": "Entity types of the schema." }, "displayName": { "type": "string", "description": "Display name to show to users." } }, "type": "object" }, "GoogleCloudDocumentaiV1DeleteProcessorMetadata": { "id": "GoogleCloudDocumentaiV1DeleteProcessorMetadata", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } }, "type": "object", "description": "The long running operation metadata for delete processor method." }, "GoogleCloudDocumentaiV1beta2DocumentPageTable": { "description": "A table representation similar to HTML table structure.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageTable", "type": "object", "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for Table." }, "bodyRows": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow" }, "description": "Body rows of the table." }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "headerRows": { "description": "Header rows of the table.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow" }, "type": "array" } } }, "GoogleCloudDocumentaiUiv1beta3DeleteLabelerPoolOperationMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "id": "GoogleCloudDocumentaiUiv1beta3DeleteLabelerPoolOperationMetadata", "description": "The long running operation metadata for DeleteLabelerPool.", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentProvenanceParent": { "type": "object", "description": "The parent element the current element is based on. Used for referencing/aligning, removal and replacement operations.", "id": "GoogleCloudDocumentaiV1beta3DocumentProvenanceParent", "properties": { "revision": { "format": "int32", "type": "integer", "description": "The index of the index into current revision's parent_ids list." }, "index": { "format": "int32", "type": "integer", "description": "The index of the parent item in the corresponding item list (eg. list of entities, properties within entities, etc.) in the parent revision." }, "id": { "description": "The id of the parent provenance.", "format": "int32", "type": "integer" } } }, "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize": { "properties": { "unit": { "description": "Unit for the font size. Follows CSS naming (in, px, pt, etc.).", "type": "string" }, "size": { "type": "number", "format": "float", "description": "Font size for the text." } }, "description": "Font size with unit.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentStyleFontSize" }, "GoogleCloudDocumentaiV1beta3DocumentTextAnchorTextSegment": { "properties": { "startIndex": { "format": "int64", "type": "string", "description": "TextSegment start UTF-8 char index in the Document.text." }, "endIndex": { "type": "string", "format": "int64", "description": "TextSegment half open end UTF-8 char index in the Document.text." } }, "description": "A text segment in the Document.text. The indices may be out of bounds which indicate that the text extends into another document shard for large sharded documents. See ShardInfo.text_offset", "type": "object", "id": "GoogleCloudDocumentaiV1beta3DocumentTextAnchorTextSegment" }, "GoogleCloudDocumentaiV1beta3DocumentPageMatrix": { "description": "Representation for transformation matrix, intended to be compatible and used with OpenCV format for image manipulation.", "id": "GoogleCloudDocumentaiV1beta3DocumentPageMatrix", "type": "object", "properties": { "rows": { "type": "integer", "description": "Number of rows in the matrix.", "format": "int32" }, "cols": { "description": "Number of columns in the matrix.", "format": "int32", "type": "integer" }, "data": { "description": "The matrix data.", "type": "string", "format": "byte" }, "type": { "type": "integer", "description": "This encodes information about what data type the matrix uses. For example, 0 (CV_8U) is an unsigned 8-bit image. For the full list of OpenCV primitive data types, please refer to https://docs.opencv.org/4.3.0/d1/d1b/group__core__hal__interface.html", "format": "int32" } } }, "GoogleCloudDocumentaiV1beta2DocumentPageDimension": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageDimension", "description": "Dimension for the page.", "type": "object", "properties": { "unit": { "type": "string", "description": "Dimension unit." }, "height": { "type": "number", "description": "Page height.", "format": "float" }, "width": { "description": "Page width.", "format": "float", "type": "number" } } }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument": { "type": "object", "properties": { "status": { "description": "The final status of the documents which should be updated by resync pipeline.", "$ref": "GoogleRpcStatus" }, "sourcePrefix": { "description": "The prefix of cloud storage, identifies the original document which should be updated by resync pipeline.", "type": "string" }, "destinationPrefix": { "type": "string", "description": "The prefix of cloud storage, identifies the destination document which should be updated by resync pipeline." } }, "description": "The proto for updated document in resync pipeline.", "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument" }, "GoogleCloudDocumentaiV1beta3ListProcessorVersionsResponse": { "description": "Response message for list processors.", "properties": { "nextPageToken": { "type": "string", "description": "Points to the next processor, otherwise empty." }, "processorVersions": { "type": "array", "description": "The list of processors.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessorVersion" } } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3ListProcessorVersionsResponse" }, "GoogleCloudDocumentaiV1beta1OutputConfig": { "id": "GoogleCloudDocumentaiV1beta1OutputConfig", "type": "object", "description": "The desired output location and metadata.", "properties": { "pagesPerShard": { "format": "int32", "description": "The max number of pages to include into each output Document shard JSON on Google Cloud Storage. The valid range is [1, 100]. If not specified, the default value is 20. For example, for one pdf file with 100 pages, 100 parsed pages will be produced. If `pages_per_shard` = 20, then 5 Document shard JSON files each containing 20 parsed pages will be written under the prefix OutputConfig.gcs_destination.uri and suffix pages-x-to-y.json where x and y are 1-indexed page numbers. Example GCS outputs with 157 pages and pages_per_shard = 50: pages-001-to-050.json pages-051-to-100.json pages-101-to-150.json pages-151-to-157.json", "type": "integer" }, "gcsDestination": { "description": "The Google Cloud Storage location to write the output to.", "$ref": "GoogleCloudDocumentaiV1beta1GcsDestination" } } }, "GoogleCloudDocumentaiV1beta2DocumentRevision": { "properties": { "humanReview": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentRevisionHumanReview", "description": "Human Review information of this revision." }, "id": { "type": "string", "description": "Id of the revision. Unique within the context of the document." }, "parent": { "type": "array", "items": { "format": "int32", "type": "integer" }, "description": "The revisions that this revision is based on. This can include one or more parent (when documents are merged.) This field represents the index into the `revisions` field." }, "createTime": { "format": "google-datetime", "type": "string", "description": "The time that the revision was created." }, "processor": { "type": "string", "description": "If the annotation was made by processor identify the processor by its resource name." }, "agent": { "description": "If the change was made by a person specify the name or id of that person.", "type": "string" }, "parentIds": { "type": "array", "description": "The revisions that this revision is based on. Must include all the ids that have anything to do with this revision - eg. there are `provenance.parent.revision` fields that index into this field.", "items": { "type": "string" } } }, "id": "GoogleCloudDocumentaiV1beta2DocumentRevision", "type": "object", "description": "Contains past or forward revisions of this document." }, "GoogleCloudDocumentaiV1beta3DocumentPageAnchor": { "properties": { "pageRefs": { "description": "One or more references to visual page elements", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageAnchorPageRef" } } }, "type": "object", "description": "Referencing the visual context of the entity in the Document.pages. Page anchors can be cross-page, consist of multiple bounding polygons and optionally reference specific layout element types.", "id": "GoogleCloudDocumentaiV1beta3DocumentPageAnchor" }, "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow": { "id": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableRow", "properties": { "cells": { "type": "array", "description": "Cells that make up this row.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell" } } }, "description": "A row of table cells.", "type": "object" }, "GoogleCloudDocumentaiV1alpha1AnalyzeHitlDataMetadata": { "description": "The long running operation metadata for AnalyzeHitlData.", "id": "GoogleCloudDocumentaiV1alpha1AnalyzeHitlDataMetadata", "type": "object", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1alpha1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchOutputConfig": { "id": "GoogleCloudDocumentaiV1beta3BatchProcessRequestBatchOutputConfig", "description": "The message for output config in batch process.", "properties": { "gcsDestination": { "description": "The output Cloud Storage directory to put the processed documents.", "type": "string" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentRevision": { "properties": { "id": { "type": "string", "description": "Id of the revision. Unique within the context of the document." }, "parentIds": { "type": "array", "description": "The revisions that this revision is based on. Must include all the ids that have anything to do with this revision - eg. there are `provenance.parent.revision` fields that index into this field.", "items": { "type": "string" } }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time that the revision was created." }, "parent": { "type": "array", "description": "The revisions that this revision is based on. This can include one or more parent (when documents are merged.) This field represents the index into the `revisions` field.", "items": { "type": "integer", "format": "int32" } }, "humanReview": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentRevisionHumanReview", "description": "Human Review information of this revision." }, "processor": { "description": "If the annotation was made by processor identify the processor by its resource name.", "type": "string" }, "agent": { "description": "If the change was made by a person specify the name or id of that person.", "type": "string" } }, "type": "object", "description": "Contains past or forward revisions of this document.", "id": "GoogleCloudDocumentaiV1beta3DocumentRevision" }, "GoogleCloudDocumentaiV1beta2Vertex": { "description": "A vertex represents a 2D point in the image. NOTE: the vertex coordinates are in the same scale as the original image.", "type": "object", "properties": { "x": { "description": "X coordinate.", "type": "integer", "format": "int32" }, "y": { "description": "Y coordinate (starts from the top of the image).", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2Vertex" }, "GoogleCloudDocumentaiV1beta3DisableProcessorRequest": { "description": "Request message for the disable processor method.", "id": "GoogleCloudDocumentaiV1beta3DisableProcessorRequest", "type": "object", "properties": {} }, "GoogleTypeDate": { "id": "GoogleTypeDate", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32" }, "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" } }, "type": "object" }, "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "type": "object", "id": "GoogleProtobufEmpty" }, "GoogleCloudDocumentaiV1beta3DocumentOutputConfig": { "id": "GoogleCloudDocumentaiV1beta3DocumentOutputConfig", "description": "Config that controls the output of documents. All documents will be written as a JSON file.", "properties": { "gcsOutputConfig": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentOutputConfigGcsOutputConfig", "description": "Output config to write the results to Cloud Storage." } }, "type": "object" }, "GoogleCloudLocationListLocationsResponse": { "properties": { "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "GoogleCloudLocationLocation" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response message for Locations.ListLocations.", "type": "object", "id": "GoogleCloudLocationListLocationsResponse" }, "GoogleCloudDocumentaiUiv1beta3UpdateDatasetOperationMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3UpdateDatasetOperationMetadata" }, "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionResponse": { "properties": {}, "description": "Response message for set default processor version method.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3SetDefaultProcessorVersionResponse" }, "GoogleCloudDocumentaiV1beta2DocumentPageMatrix": { "type": "object", "description": "Representation for transformation matrix, intended to be compatible and used with OpenCV format for image manipulation.", "properties": { "data": { "format": "byte", "type": "string", "description": "The matrix data." }, "cols": { "description": "Number of columns in the matrix.", "type": "integer", "format": "int32" }, "rows": { "format": "int32", "type": "integer", "description": "Number of rows in the matrix." }, "type": { "description": "This encodes information about what data type the matrix uses. For example, 0 (CV_8U) is an unsigned 8-bit image. For the full list of OpenCV primitive data types, please refer to https://docs.opencv.org/4.3.0/d1/d1b/group__core__hal__interface.html", "format": "int32", "type": "integer" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageMatrix" }, "GoogleCloudDocumentaiV1beta3DocumentPageLayout": { "description": "Visual element describing a layout unit on a page.", "properties": { "orientation": { "type": "string", "enum": [ "ORIENTATION_UNSPECIFIED", "PAGE_UP", "PAGE_RIGHT", "PAGE_DOWN", "PAGE_LEFT" ], "description": "Detected orientation for the Layout.", "enumDescriptions": [ "Unspecified orientation.", "Orientation is aligned with page up.", "Orientation is aligned with page right. Turn the head 90 degrees clockwise from upright to read.", "Orientation is aligned with page down. Turn the head 180 degrees from upright to read.", "Orientation is aligned with page left. Turn the head 90 degrees counterclockwise from upright to read." ] }, "boundingPoly": { "description": "The bounding polygon for the Layout.", "$ref": "GoogleCloudDocumentaiV1beta3BoundingPoly" }, "confidence": { "format": "float", "type": "number", "description": "Confidence of the current Layout within context of the object this layout is for. e.g. confidence can be for a single token, a table, a visual element, etc. depending on context. Range [0, 1]." }, "textAnchor": { "description": "Text anchor indexing into the Document.text.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextAnchor" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageLayout", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentPageTable": { "description": "A table representation similar to HTML table structure.", "id": "GoogleCloudDocumentaiV1beta3DocumentPageTable", "type": "object", "properties": { "layout": { "description": "Layout for Table.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageLayout" }, "bodyRows": { "type": "array", "description": "Body rows of the table.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageTableTableRow" } }, "detectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence.", "type": "array" }, "headerRows": { "type": "array", "description": "Header rows of the table.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPageTableTableRow" } } } }, "GoogleCloudDocumentaiV1beta3ProcessorVersion": { "properties": { "kmsKeyVersionName": { "type": "string", "description": "The KMS key version with which data is encrypted." }, "deprecationInfo": { "description": "If set, information about the eventual deprecation of this version.", "$ref": "GoogleCloudDocumentaiV1beta3ProcessorVersionDeprecationInfo" }, "googleManaged": { "description": "Denotes that this ProcessorVersion is managed by google.", "type": "boolean" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time the processor version was created." }, "displayName": { "description": "The display name of the processor version.", "type": "string" }, "state": { "description": "The state of the processor version.", "type": "string", "enumDescriptions": [ "The processor version is in an unspecified state.", "The processor version is deployed and can be used for processing.", "The processor version is being deployed.", "The processor version is not deployed and cannot be used for processing.", "The processor version is being undeployed.", "The processor version is being created.", "The processor version is being deleted.", "The processor version failed and is in an indeterminate state." ], "enum": [ "STATE_UNSPECIFIED", "DEPLOYED", "DEPLOYING", "UNDEPLOYED", "UNDEPLOYING", "CREATING", "DELETING", "FAILED" ] }, "name": { "description": "The resource name of the processor version. Format: `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processor_version}`", "type": "string" }, "kmsKeyName": { "type": "string", "description": "The KMS key name used for encryption." } }, "description": "A processor version is an implementation of a processor. Each processor can have multiple versions, pre-trained by Google internally or up-trained by the customer. At a time, a processor can only have one default version version. So the processor's behavior (when processing documents) is defined by a default version", "type": "object", "id": "GoogleCloudDocumentaiV1beta3ProcessorVersion" }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation": { "description": "The dataset validation information. This includes any and all errors with documents and the dataset.", "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionMetadataDatasetValidation", "properties": { "datasetErrorCount": { "format": "int32", "type": "integer", "description": "The total number of dataset errors." }, "documentErrors": { "type": "array", "items": { "$ref": "GoogleRpcStatus" }, "description": "Error information pertaining to specific documents. A maximum of 10 document errors will be returned. Any document with errors will not be used throughout training." }, "datasetErrors": { "items": { "$ref": "GoogleRpcStatus" }, "description": "Error information for the dataset as a whole. A maximum of 10 dataset errors will be returned. A single dataset error is terminal for training.", "type": "array" }, "documentErrorCount": { "format": "int32", "type": "integer", "description": "The total number of document errors." } }, "type": "object" }, "GoogleCloudDocumentaiV1beta3FetchProcessorTypesResponse": { "description": "Response message for fetch processor types.", "properties": { "processorTypes": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessorType" }, "description": "The list of processor types.", "type": "array" } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta3FetchProcessorTypesResponse" }, "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsResponse": { "properties": {}, "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3BatchMoveDocumentsResponse", "description": "Response of the batch move documents operation." }, "GoogleCloudDocumentaiV1beta2DocumentPageAnchor": { "description": "Referencing the visual context of the entity in the Document.pages. Page anchors can be cross-page, consist of multiple bounding polygons and optionally reference specific layout element types.", "type": "object", "properties": { "pageRefs": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageAnchorPageRef" }, "type": "array", "description": "One or more references to visual page elements" } }, "id": "GoogleCloudDocumentaiV1beta2DocumentPageAnchor" }, "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionResponse": { "id": "GoogleCloudDocumentaiUiv1beta3ExportProcessorVersionResponse", "type": "object", "properties": { "gcsUri": { "type": "string", "description": "The Cloud Storage URI containing the output artifacts." } }, "description": "Response message associated with the ExportProcessorVersion operation." }, "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent": { "id": "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent", "properties": { "id": { "type": "integer", "format": "int32", "description": "The id of the parent provenance." }, "index": { "format": "int32", "description": "The index of the parent item in the corresponding item list (eg. list of entities, properties within entities, etc.) in the parent revision.", "type": "integer" }, "revision": { "format": "int32", "description": "The index of the index into current revision's parent_ids list.", "type": "integer" } }, "description": "The parent element the current element is based on. Used for referencing/aligning, removal and replacement operations.", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak": { "type": "object", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "SPACE", "WIDE_SPACE", "HYPHEN" ], "description": "Detected break type.", "enumDescriptions": [ "Unspecified break type.", "A single whitespace.", "A wider whitespace.", "A hyphen that indicates that a token has been split across lines." ], "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageTokenDetectedBreak", "description": "Detected break at the end of a Token." }, "GoogleCloudDocumentaiV1beta1DocumentPageFormField": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageFormField", "properties": { "correctedValueText": { "type": "string", "description": "Created for Labeling UI to export value text. If corrections were made to the text identified by the `field_value.text_anchor`, this field will contain the correction." }, "fieldName": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for the FormField name. e.g. `Address`, `Email`, `Grand total`, `Phone number`, etc." }, "fieldValue": { "description": "Layout for the FormField value.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "valueDetectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages for value together with confidence.", "type": "array" }, "nameDetectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" }, "description": "A list of detected languages for name together with confidence." }, "valueType": { "type": "string", "description": "If the value is non-textual, this field represents the type. Current valid values are: - blank (this indicates the field_value is normal text) - \"unfilled_checkbox\" - \"filled_checkbox\"" }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "correctedKeyText": { "description": "Created for Labeling UI to export key text. If corrections were made to the text identified by the `field_name.text_anchor`, this field will contain the correction.", "type": "string" } }, "type": "object", "description": "A form field detected on the page." }, "GoogleCloudDocumentaiV1UndeployProcessorVersionMetadata": { "type": "object", "id": "GoogleCloudDocumentaiV1UndeployProcessorVersionMetadata", "description": "The long running operation metadata for the undeploy processor version method.", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata" } } }, "GoogleCloudDocumentaiV1beta1GcsDestination": { "description": "The Google Cloud Storage location where the output file will be written to.", "type": "object", "properties": { "uri": { "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta1GcsDestination" }, "GoogleCloudDocumentaiV1UndeployProcessorVersionResponse": { "type": "object", "id": "GoogleCloudDocumentaiV1UndeployProcessorVersionResponse", "properties": {}, "description": "Response message for the undeploy processor version method." }, "GoogleCloudDocumentaiUiv1beta3DisableProcessorMetadata": { "type": "object", "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "description": "The long running operation metadata for disable processor method.", "id": "GoogleCloudDocumentaiUiv1beta3DisableProcessorMetadata" }, "GoogleCloudDocumentaiV1beta1GcsSource": { "id": "GoogleCloudDocumentaiV1beta1GcsSource", "description": "The Google Cloud Storage location where the input file will be read from.", "type": "object", "properties": { "uri": { "type": "string" } } }, "GoogleCloudDocumentaiV1beta2DocumentPage": { "description": "A page in a Document.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPage", "properties": { "tokens": { "description": "A list of visually detected tokens on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageToken" } }, "visualElements": { "description": "A list of detected non-text visual elements e.g. checkbox, signature etc. on the page.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageVisualElement" } }, "symbols": { "type": "array", "description": "A list of visually detected symbols on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageSymbol" } }, "lines": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLine" }, "type": "array", "description": "A list of visually detected text lines on the page. A collection of tokens that a human would perceive as a line." }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this page." }, "transforms": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageMatrix" }, "description": "Transformation matrices that were applied to the original document image to produce Page.image." }, "blocks": { "description": "A list of visually detected text blocks on the page. A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageBlock" }, "type": "array" }, "pageNumber": { "format": "int32", "description": "1-based index for current Page in a parent Document. Useful when a page is taken out of a Document for individual processing.", "type": "integer" }, "dimension": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDimension", "description": "Physical dimension of the page." }, "paragraphs": { "type": "array", "description": "A list of visually detected text paragraphs on the page. A collection of lines that a human would perceive as a paragraph.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageParagraph" } }, "tables": { "type": "array", "description": "A list of visually detected tables on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageTable" } }, "image": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageImage", "description": "Rendered image for this page. This image is preprocessed to remove any skew, rotation, and distortions such that the annotation bounding boxes can be upright and axis-aligned." }, "formFields": { "type": "array", "description": "A list of visually detected form fields on the page.", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageFormField" } }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for the page." }, "detectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages together with confidence." } } }, "GoogleCloudDocumentaiV1beta3ProcessRequest": { "type": "object", "description": "Request message for the process document method.", "properties": { "skipHumanReview": { "description": "Whether Human Review feature should be skipped for this request. Default to false.", "type": "boolean" }, "inlineDocument": { "$ref": "GoogleCloudDocumentaiV1beta3Document", "description": "An inline document proto." }, "fieldMask": { "format": "google-fieldmask", "description": "Specifies which fields to include in ProcessResponse's document.", "type": "string" }, "rawDocument": { "$ref": "GoogleCloudDocumentaiV1beta3RawDocument", "description": "A raw document content (bytes)." }, "document": { "$ref": "GoogleCloudDocumentaiV1beta3Document", "description": "The document payload, the [content] and [mime_type] fields must be set." } }, "id": "GoogleCloudDocumentaiV1beta3ProcessRequest" }, "GoogleCloudDocumentaiV1beta1BoundingPoly": { "id": "GoogleCloudDocumentaiV1beta1BoundingPoly", "type": "object", "properties": { "normalizedVertices": { "type": "array", "description": "The bounding polygon normalized vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1NormalizedVertex" } }, "vertices": { "description": "The bounding polygon vertices.", "items": { "$ref": "GoogleCloudDocumentaiV1beta1Vertex" }, "type": "array" } }, "description": "A bounding polygon for the detected image annotation." }, "GoogleCloudDocumentaiV1ReviewDocumentOperationMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." }, "questionId": { "description": "The Crowd Compute question ID.", "type": "string" } }, "id": "GoogleCloudDocumentaiV1ReviewDocumentOperationMetadata", "type": "object", "description": "The long running operation metadata for review document method." }, "GoogleCloudDocumentaiV1beta3BatchDocumentsInputConfig": { "type": "object", "properties": { "gcsPrefix": { "description": "The set of documents that match the specified Cloud Storage [gcs_prefix].", "$ref": "GoogleCloudDocumentaiV1beta3GcsPrefix" }, "gcsDocuments": { "$ref": "GoogleCloudDocumentaiV1beta3GcsDocuments", "description": "The set of documents individually specified on Cloud Storage." } }, "id": "GoogleCloudDocumentaiV1beta3BatchDocumentsInputConfig", "description": "The common config to specify a set of documents used as input." }, "GoogleCloudDocumentaiV1beta3DocumentStyle": { "id": "GoogleCloudDocumentaiV1beta3DocumentStyle", "type": "object", "description": "Annotation for common text style attributes. This adheres to CSS conventions as much as possible.", "properties": { "textDecoration": { "type": "string", "description": "Text decoration. Follows CSS standard. https://www.w3schools.com/cssref/pr_text_text-decoration.asp" }, "color": { "$ref": "GoogleTypeColor", "description": "Text color." }, "backgroundColor": { "$ref": "GoogleTypeColor", "description": "Text background color." }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextAnchor", "description": "Text anchor indexing into the Document.text." }, "fontSize": { "description": "Font size.", "$ref": "GoogleCloudDocumentaiV1beta3DocumentStyleFontSize" }, "fontWeight": { "description": "Font weight. Possible values are normal, bold, bolder, and lighter. https://www.w3schools.com/cssref/pr_font_weight.asp", "type": "string" }, "textStyle": { "description": "Text style. Possible values are normal, italic, and oblique. https://www.w3schools.com/cssref/pr_font_font-style.asp", "type": "string" } } }, "GoogleCloudDocumentaiV1beta3DocumentEntityNormalizedValue": { "properties": { "text": { "description": "Optional. An optional field to store a normalized string. For some entity types, one of respective `structured_value` fields may also be populated. Also not all the types of `structured_value` will be normalized. For example, some processors may not generate float or int normalized text by default. Below are sample formats mapped to structured values. - Money/Currency type (`money_value`) is in the ISO 4217 text format. - Date type (`date_value`) is in the ISO 8601 text format. - Datetime type (`datetime_value`) is in the ISO 8601 text format.", "type": "string" }, "floatValue": { "description": "Float value.", "type": "number", "format": "float" }, "integerValue": { "description": "Integer value.", "type": "integer", "format": "int32" }, "booleanValue": { "description": "Boolean value. Can be used for entities with binary values, or for checkboxes.", "type": "boolean" }, "datetimeValue": { "$ref": "GoogleTypeDateTime", "description": "DateTime value. Includes date, time, and timezone. See also: https://github.com/googleapis/googleapis/blob/master/google/type/datetime.proto" }, "addressValue": { "description": "Postal address. See also: https://github.com/googleapis/googleapis/blob/master/google/type/postal_address.proto", "$ref": "GoogleTypePostalAddress" }, "dateValue": { "description": "Date value. Includes year, month, day. See also: https://github.com/googleapis/googleapis/blob/master/google/type/date.proto", "$ref": "GoogleTypeDate" }, "moneyValue": { "description": "Money value. See also: https://github.com/googleapis/googleapis/blob/master/google/type/money.proto", "$ref": "GoogleTypeMoney" } }, "description": "Parsed and normalized entity value.", "id": "GoogleCloudDocumentaiV1beta3DocumentEntityNormalizedValue", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageBlock": { "description": "A block has a set of lines (collected into paragraphs) that have a common line-spacing and orientation.", "type": "object", "properties": { "layout": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout", "description": "Layout for Block." }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "description": "The history of this annotation." } }, "id": "GoogleCloudDocumentaiV1beta1DocumentPageBlock" }, "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell": { "description": "A cell representation inside the table.", "properties": { "colSpan": { "type": "integer", "format": "int32", "description": "How many columns this cell spans." }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" } }, "rowSpan": { "format": "int32", "type": "integer", "description": "How many rows this cell spans." }, "layout": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for TableCell." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta2DocumentPageTableTableCell" }, "GoogleCloudDocumentaiV1DeleteProcessorVersionMetadata": { "description": "The long running operation metadata for delete processor version method.", "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "type": "object", "id": "GoogleCloudDocumentaiV1DeleteProcessorVersionMetadata" }, "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadata": { "description": "The metadata proto of ResyncDataset method.", "type": "object", "id": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadata", "properties": { "newlyAddedDocuments": { "items": { "$ref": "GoogleCloudDocumentaiUiv1beta3ResyncDatasetMetadataUpdatedDocument" }, "type": "array", "description": "Returns the newly added document Cloud Storage prefix if the documents are founded in Cloud Storage while not in Document Service storage." }, "commonMetadata": { "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } } }, "GoogleCloudDocumentaiV1beta3DocumentTextAnchor": { "id": "GoogleCloudDocumentaiV1beta3DocumentTextAnchor", "description": "Text reference indexing into the Document.text.", "type": "object", "properties": { "textSegments": { "description": "The text segments from the Document.text.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextAnchorTextSegment" }, "type": "array" }, "content": { "description": "Contains the content of the text span so that users do not have to look it up in the text_segments. It is always populated for formFields.", "type": "string" } } }, "GoogleCloudDocumentaiUiv1beta3EnableProcessorMetadata": { "properties": { "commonMetadata": { "description": "The basic metadata of the long running operation.", "$ref": "GoogleCloudDocumentaiUiv1beta3CommonOperationMetadata" } }, "description": "The long running operation metadata for enable processor method.", "id": "GoogleCloudDocumentaiUiv1beta3EnableProcessorMetadata", "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentEntity": { "description": "An entity that could be a phrase in the text or a property that belongs to the document. It is a known entity type, such as a person, an organization, or location.", "properties": { "normalizedValue": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntityNormalizedValue", "description": "Optional. Normalized entity value. Absent if the extracted value could not be converted or the type (e.g. address) is not supported for certain parsers. This field is also only populated for certain supported document types." }, "textAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentTextAnchor", "description": "Optional. Provenance of the entity. Text anchor indexing into the Document.text." }, "nonPresent": { "type": "boolean", "description": "Optional. This attribute indicates that the processing didn't actually identify this entity, but a confidence score was assigned that represent the potential that this could be a false negative. A non-present entity should have an empty mention_text and text_anchor." }, "id": { "description": "Optional. Canonical id. This will be a unique value in the entity list for this document.", "type": "string" }, "confidence": { "description": "Optional. Confidence of detected Schema entity. Range [0, 1].", "type": "number", "format": "float" }, "mentionId": { "description": "Optional. Deprecated. Use `id` field instead.", "type": "string" }, "mentionText": { "description": "Optional. Text value in the document e.g. `1600 Amphitheatre Pkwy`. If the entity is not present in the document, this field will be empty.", "type": "string" }, "provenance": { "description": "Optional. The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" }, "pageAnchor": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageAnchor", "description": "Optional. Represents the provenance of this entity wrt. the location on the page where it was found." }, "redacted": { "description": "Optional. Whether the entity will be redacted for de-identification purposes.", "type": "boolean" }, "type": { "type": "string", "description": "Required. Entity type from a schema e.g. `Address`." }, "properties": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentEntity" }, "type": "array", "description": "Optional. Entities can be nested to form a hierarchical data structure representing the content in the document." } }, "type": "object", "id": "GoogleCloudDocumentaiV1beta1DocumentEntity" }, "GoogleCloudDocumentaiV1beta3DocumentPageAnchorPageRef": { "properties": { "layoutType": { "enumDescriptions": [ "Layout Unspecified.", "References a Page.blocks element.", "References a Page.paragraphs element.", "References a Page.lines element.", "References a Page.tokens element.", "References a Page.visual_elements element.", "Refrrences a Page.tables element.", "References a Page.form_fields element." ], "enum": [ "LAYOUT_TYPE_UNSPECIFIED", "BLOCK", "PARAGRAPH", "LINE", "TOKEN", "VISUAL_ELEMENT", "TABLE", "FORM_FIELD" ], "description": "Optional. The type of the layout element that is being referenced if any.", "type": "string" }, "boundingPoly": { "description": "Optional. Identifies the bounding polygon of a layout element on the page.", "$ref": "GoogleCloudDocumentaiV1beta3BoundingPoly" }, "layoutId": { "description": "Optional. Deprecated. Use PageRef.bounding_poly instead.", "type": "string" }, "page": { "description": "Required. Index into the Document.pages element, for example using Document.pages to locate the related page element. This field is skipped when its value is the default 0. See https://developers.google.com/protocol-buffers/docs/proto3#json.", "type": "string", "format": "int64" }, "confidence": { "description": "Optional. Confidence of detected page element, if applicable. Range [0, 1].", "format": "float", "type": "number" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageAnchorPageRef", "description": "Represents a weak reference to a page element within a document.", "type": "object" }, "GoogleCloudDocumentaiV1beta3Document": { "type": "object", "properties": { "textStyles": { "description": "Placeholder. Styles for the Document.text.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentStyle" } }, "entities": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentEntity" }, "description": "A list of entities detected on Document.text. For document shards, entities in this list may cross shard boundaries." }, "shardInfo": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentShardInfo", "description": "Information about the sharding if this document is sharded part of a larger document. If the document is not sharded, this message is not specified." }, "content": { "description": "Optional. Inline document content, represented as a stream of bytes. Note: As with all `bytes` fields, protobuffers use a pure binary representation, whereas JSON representations use base64.", "type": "string", "format": "byte" }, "entityRelations": { "type": "array", "description": "Placeholder. Relationship among Document.entities.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentEntityRelation" } }, "pages": { "description": "Visual page layout for the Document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentPage" }, "type": "array" }, "revisions": { "description": "Placeholder. Revision history of this document.", "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentRevision" }, "type": "array" }, "text": { "type": "string", "description": "Optional. UTF-8 encoded text in reading order from the document." }, "error": { "$ref": "GoogleRpcStatus", "description": "Any error that occurred while processing this document." }, "mimeType": { "type": "string", "description": "An IANA published MIME type (also referred to as media type). For more information, see https://www.iana.org/assignments/media-types/media-types.xhtml." }, "uri": { "description": "Optional. Currently supports Google Cloud Storage URI of the form `gs://bucket_name/object_name`. Object versioning is not supported. See [Google Cloud Storage Request URIs](https://cloud.google.com/storage/docs/reference-uris) for more info.", "type": "string" }, "textChanges": { "items": { "$ref": "GoogleCloudDocumentaiV1beta3DocumentTextChange" }, "type": "array", "description": "Placeholder. A list of text corrections made to [Document.text]. This is usually used for annotating corrections to OCR mistakes. Text changes for a given revision may not overlap with each other." } }, "description": "Document represents the canonical document resource in Document AI. It is an interchange format that provides insights into documents and allows for collaboration between users and Document AI to iterate and optimize for quality.", "id": "GoogleCloudDocumentaiV1beta3Document" }, "GoogleCloudDocumentaiV1beta2DocumentPageFormField": { "properties": { "nameDetectedLanguages": { "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "description": "A list of detected languages for name together with confidence." }, "correctedValueText": { "type": "string", "description": "Created for Labeling UI to export value text. If corrections were made to the text identified by the `field_value.text_anchor`, this field will contain the correction." }, "correctedKeyText": { "type": "string", "description": "Created for Labeling UI to export key text. If corrections were made to the text identified by the `field_name.text_anchor`, this field will contain the correction." }, "valueDetectedLanguages": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageDetectedLanguage" }, "type": "array", "description": "A list of detected languages for value together with confidence." }, "fieldValue": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout", "description": "Layout for the FormField value." }, "fieldName": { "description": "Layout for the FormField name. e.g. `Address`, `Email`, `Grand total`, `Phone number`, etc.", "$ref": "GoogleCloudDocumentaiV1beta2DocumentPageLayout" }, "valueType": { "type": "string", "description": "If the value is non-textual, this field represents the type. Current valid values are: - blank (this indicates the field_value is normal text) - \"unfilled_checkbox\" - \"filled_checkbox\"" }, "provenance": { "$ref": "GoogleCloudDocumentaiV1beta2DocumentProvenance", "description": "The history of this annotation." } }, "description": "A form field detected on the page.", "id": "GoogleCloudDocumentaiV1beta2DocumentPageFormField", "type": "object" }, "GoogleCloudDocumentaiV1beta3DeleteProcessorVersionMetadata": { "properties": { "commonMetadata": { "$ref": "GoogleCloudDocumentaiV1beta3CommonOperationMetadata", "description": "The basic metadata of the long running operation." } }, "id": "GoogleCloudDocumentaiV1beta3DeleteProcessorVersionMetadata", "type": "object", "description": "The long running operation metadata for delete processor version method." }, "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsResponse": { "properties": {}, "id": "GoogleCloudDocumentaiUiv1beta3BatchDeleteDocumentsResponse", "type": "object", "description": "Response of the delete documents operation." }, "GoogleCloudDocumentaiV1beta1BatchProcessDocumentsResponse": { "description": "Response to an batch document processing request. This is returned in the LRO Operation after the operation is complete.", "id": "GoogleCloudDocumentaiV1beta1BatchProcessDocumentsResponse", "type": "object", "properties": { "responses": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1ProcessDocumentResponse" }, "type": "array", "description": "Responses for each individual document." } } }, "GoogleCloudDocumentaiV1beta2BoundingPoly": { "description": "A bounding polygon for the detected image annotation.", "type": "object", "id": "GoogleCloudDocumentaiV1beta2BoundingPoly", "properties": { "normalizedVertices": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2NormalizedVertex" }, "type": "array", "description": "The bounding polygon normalized vertices." }, "vertices": { "items": { "$ref": "GoogleCloudDocumentaiV1beta2Vertex" }, "type": "array", "description": "The bounding polygon vertices." } } }, "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionResponse": { "type": "object", "description": "Metadata of the EvaluateProcessorVersion method.", "id": "GoogleCloudDocumentaiUiv1beta3EvaluateProcessorVersionResponse", "properties": { "evaluation": { "type": "string", "description": "The resource name of the created evaluation." } } }, "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionResponse": { "type": "object", "description": "The response for the TrainProcessorVersion method.", "properties": { "processorVersion": { "description": "The resource name of the processor version produced by training.", "type": "string" } }, "id": "GoogleCloudDocumentaiUiv1beta3TrainProcessorVersionResponse" }, "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionRequest": { "id": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionRequest", "properties": { "defaultProcessorVersion": { "type": "string", "description": "Required. The resource name of child ProcessorVersion to use as default. Format: `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{version}`" } }, "type": "object", "description": "Request message for the set default processor version method." }, "GoogleCloudDocumentaiV1beta1DocumentProvenance": { "description": "Structure to identify provenance relationships between annotations in different revisions.", "properties": { "id": { "format": "int32", "description": "The Id of this operation. Needs to be unique within the scope of the revision.", "type": "integer" }, "revision": { "format": "int32", "description": "The index of the revision that produced this element.", "type": "integer" }, "parents": { "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenanceParent" }, "description": "References to the original elements that are replaced.", "type": "array" }, "type": { "type": "string", "description": "The type of provenance operation.", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "ADD", "REMOVE", "REPLACE", "EVAL_REQUESTED", "EVAL_APPROVED", "EVAL_SKIPPED" ], "enumDescriptions": [ "Operation type unspecified. If no operation is specified a provenance entry is simply used to match against a `parent`.", "Add an element.", "Remove an element identified by `parent`.", "Replace an element identified by `parent`.", "Request human review for the element identified by `parent`.", "Element is reviewed and approved at human review, confidence will be set to 1.0.", "Element is skipped in the validation process." ] } }, "id": "GoogleCloudDocumentaiV1beta1DocumentProvenance", "type": "object" }, "GoogleCloudDocumentaiV1beta3DocumentPageImage": { "description": "Rendered image contents for this page.", "type": "object", "properties": { "height": { "type": "integer", "format": "int32", "description": "Height of the image in pixels." }, "mimeType": { "description": "Encoding mime type for the image.", "type": "string" }, "width": { "type": "integer", "format": "int32", "description": "Width of the image in pixels." }, "content": { "description": "Raw byte content of the image.", "format": "byte", "type": "string" } }, "id": "GoogleCloudDocumentaiV1beta3DocumentPageImage" }, "GoogleCloudDocumentaiV1beta1NormalizedVertex": { "id": "GoogleCloudDocumentaiV1beta1NormalizedVertex", "description": "A vertex represents a 2D point in the image. NOTE: the normalized vertex coordinates are relative to the original image and range from 0 to 1.", "properties": { "x": { "type": "number", "description": "X coordinate.", "format": "float" }, "y": { "type": "number", "description": "Y coordinate (starts from the top of the image).", "format": "float" } }, "type": "object" }, "GoogleCloudDocumentaiV1beta1DocumentPageLine": { "id": "GoogleCloudDocumentaiV1beta1DocumentPageLine", "description": "A collection of tokens that a human would perceive as a line. Does not cross column boundaries, can be horizontal, vertical, etc.", "type": "object", "properties": { "layout": { "description": "Layout for Line.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageLayout" }, "detectedLanguages": { "description": "A list of detected languages together with confidence.", "type": "array", "items": { "$ref": "GoogleCloudDocumentaiV1beta1DocumentPageDetectedLanguage" } }, "provenance": { "description": "The history of this annotation.", "$ref": "GoogleCloudDocumentaiV1beta1DocumentProvenance" } } } }, "name": "documentai", "kind": "discovery#restDescription", "parameters": { "callback": { "location": "query", "description": "JSONP", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] } }, "ownerName": "Google", "basePath": "", "rootUrl": "https://documentai.googleapis.com/", "title": "Cloud Document AI API", "discoveryVersion": "v1", "protocol": "rest", "resources": { "projects": { "resources": { "locations": { "methods": { "fetchProcessorTypes": { "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "description": "Required. The project of processor type to list. The available processor types may depend on the allow-listing on projects. Format: `projects/{project}/locations/{location}`" } }, "path": "v1beta3/{+parent}:fetchProcessorTypes", "httpMethod": "GET", "description": "Fetches processor types. Note that we do not use ListProcessorTypes here because it is not paginated.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudDocumentaiV1beta3FetchProcessorTypesResponse" }, "id": "documentai.projects.locations.fetchProcessorTypes", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}:fetchProcessorTypes" }, "get": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Resource name for the location." } }, "parameterOrder": [ "name" ], "response": { "$ref": "GoogleCloudLocationLocation" }, "path": "v1beta3/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}", "id": "documentai.projects.locations.get", "description": "Gets information about a location." }, "list": { "parameters": { "name": { "description": "The resource that owns the locations collection, if applicable.", "location": "path", "type": "string", "pattern": "^projects/[^/]+$", "required": true }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "location": "query" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" } }, "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "flatPath": "v1beta3/projects/{projectsId}/locations", "httpMethod": "GET", "id": "documentai.projects.locations.list", "response": { "$ref": "GoogleCloudLocationListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta3/{+name}/locations" } }, "resources": { "operations": { "methods": { "cancel": { "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be cancelled.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta3/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "id": "documentai.projects.locations.operations.cancel" }, "get": { "parameterOrder": [ "name" ], "id": "documentai.projects.locations.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta3/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } } }, "list": { "parameterOrder": [ "name" ], "id": "documentai.projects.locations.operations.list", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/operations", "path": "v1beta3/{+name}", "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "name": { "type": "string", "description": "The name of the operation's parent resource.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations$" }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The standard list page size." } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } }, "processors": { "resources": { "humanReviewConfig": { "methods": { "reviewDocument": { "description": "Send a document for Human Review. The input document should be processed by the specified processor.", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/humanReviewConfig:reviewDocument", "path": "v1beta3/{+humanReviewConfig}:reviewDocument", "request": { "$ref": "GoogleCloudDocumentaiV1beta3ReviewDocumentRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "humanReviewConfig": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/humanReviewConfig$", "location": "path", "required": true, "description": "Required. The resource name of the HumanReviewConfig that the document will be reviewed with." } }, "httpMethod": "POST", "parameterOrder": [ "humanReviewConfig" ], "id": "documentai.projects.locations.processors.humanReviewConfig.reviewDocument", "response": { "$ref": "GoogleLongrunningOperation" } } } }, "processorVersions": { "methods": { "undeploy": { "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}:undeploy", "request": { "$ref": "GoogleCloudDocumentaiV1beta3UndeployProcessorVersionRequest" }, "httpMethod": "POST", "parameters": { "name": { "required": true, "description": "Required. The processor version resource name to be undeployed.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$", "location": "path" } }, "id": "documentai.projects.locations.processors.processorVersions.undeploy", "description": "Undeploys the processor version.", "path": "v1beta3/{+name}:undeploy", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "batchProcess": { "httpMethod": "POST", "id": "documentai.projects.locations.processors.processorVersions.batchProcess", "path": "v1beta3/{+name}:batchProcess", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "description": "LRO endpoint to batch process many documents. The output is written to Cloud Storage as JSON in the [Document] format.", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$", "description": "Required. The resource name of Processor or ProcessorVersion. Format: `projects/{project}/locations/{location}/processors/{processor}`, or `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorVersion}`" } }, "request": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}:batchProcess" }, "process": { "response": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessResponse" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Processes a single document.", "path": "v1beta3/{+name}:process", "id": "documentai.projects.locations.processors.processorVersions.process", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$", "description": "Required. The resource name of the Processor or ProcessorVersion to use for processing. If a Processor is specified, the server will use its default version. Format: `projects/{project}/locations/{location}/processors/{processor}`, or `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorVersion}`", "location": "path" } }, "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}:process", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessRequest" } }, "deploy": { "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}:deploy", "id": "documentai.projects.locations.processors.processorVersions.deploy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deploys the processor version.", "path": "v1beta3/{+name}:deploy", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The processor version resource name to be deployed.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$" } }, "httpMethod": "POST", "request": { "$ref": "GoogleCloudDocumentaiV1beta3DeployProcessorVersionRequest" } }, "list": { "parameters": { "pageToken": { "type": "string", "description": "We will return the processor versions sorted by creation time. The page token will point to the next processor version.", "location": "query" }, "pageSize": { "description": "The maximum number of processor versions to return. If unspecified, at most 10 processor versions will be returned. The maximum value is 20; values above 20 will be coerced to 20.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "description": "Required. The parent (project, location and processor) to list all versions. Format: `projects/{project}/locations/{location}/processors/{processor}`" } }, "path": "v1beta3/{+parent}/processorVersions", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions", "description": "Lists all versions of a processor.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDocumentaiV1beta3ListProcessorVersionsResponse" }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "documentai.projects.locations.processors.processorVersions.list" }, "get": { "response": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessorVersion" }, "parameterOrder": [ "name" ], "path": "v1beta3/{+name}", "httpMethod": "GET", "parameters": { "name": { "required": true, "description": "Required. The processor resource name.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$", "type": "string" } }, "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}", "id": "documentai.projects.locations.processors.processorVersions.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a processor version detail." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "documentai.projects.locations.processors.processorVersions.delete", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+/processorVersions/[^/]+$", "required": true, "description": "Required. The processor version resource name to be deleted.", "type": "string" } }, "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}/processorVersions/{processorVersionsId}", "path": "v1beta3/{+name}", "description": "Deletes the processor version, all artifacts under the processor version will be deleted.", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ] } } } }, "methods": { "setDefaultProcessorVersion": { "id": "documentai.projects.locations.processors.setDefaultProcessorVersion", "request": { "$ref": "GoogleCloudDocumentaiV1beta3SetDefaultProcessorVersionRequest" }, "parameters": { "processor": { "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "location": "path", "type": "string", "description": "Required. The resource name of the Processor to change default version.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}:setDefaultProcessorVersion", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Set the default (active) version of a Processor that will be used in ProcessDocument and BatchProcessDocuments.", "path": "v1beta3/{+processor}:setDefaultProcessorVersion", "parameterOrder": [ "processor" ] }, "get": { "description": "Gets a processor detail.", "response": { "$ref": "GoogleCloudDocumentaiV1beta3Processor" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1beta3/{+name}", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}", "id": "documentai.projects.locations.processors.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "type": "string", "description": "Required. The processor resource name." } } }, "disable": { "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}:disable", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "description": "Required. The processor resource name to be disabled.", "required": true } }, "description": "Disables a processor", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "documentai.projects.locations.processors.disable", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDocumentaiV1beta3DisableProcessorRequest" }, "path": "v1beta3/{+name}:disable" }, "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudDocumentaiV1beta3Processor" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "description": "Required. The parent (project and location) under which to create the processor. Format: `projects/{project}/locations/{location}`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "id": "documentai.projects.locations.processors.create", "response": { "$ref": "GoogleCloudDocumentaiV1beta3Processor" }, "path": "v1beta3/{+parent}/processors", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors", "description": "Creates a processor from the type processor that the user chose. The processor will be at \"ENABLED\" state by default after its creation." }, "delete": { "httpMethod": "DELETE", "description": "Deletes the processor, unloads all deployed model artifacts if it was enabled and then deletes all artifacts associated with this processor.", "path": "v1beta3/{+name}", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}", "parameters": { "name": { "description": "Required. The processor resource name to be deleted.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "location": "path" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "id": "documentai.projects.locations.processors.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "batchProcess": { "description": "LRO endpoint to batch process many documents. The output is written to Cloud Storage as JSON in the [Document] format.", "parameters": { "name": { "description": "Required. The resource name of Processor or ProcessorVersion. Format: `projects/{project}/locations/{location}/processors/{processor}`, or `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorVersion}`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "location": "path" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "GoogleCloudDocumentaiV1beta3BatchProcessRequest" }, "httpMethod": "POST", "path": "v1beta3/{+name}:batchProcess", "id": "documentai.projects.locations.processors.batchProcess", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}:batchProcess", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "enable": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "required": true, "description": "Required. The processor resource name to be enabled." } }, "httpMethod": "POST", "id": "documentai.projects.locations.processors.enable", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta3/{+name}:enable", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}:enable", "request": { "$ref": "GoogleCloudDocumentaiV1beta3EnableProcessorRequest" }, "description": "Enables a processor" }, "process": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Processes a single document.", "id": "documentai.projects.locations.processors.process", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors/{processorsId}:process", "parameters": { "name": { "description": "Required. The resource name of the Processor or ProcessorVersion to use for processing. If a Processor is specified, the server will use its default version. Format: `projects/{project}/locations/{location}/processors/{processor}`, or `projects/{project}/locations/{location}/processors/{processor}/processorVersions/{processorVersion}`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/processors/[^/]+$", "required": true } }, "response": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessResponse" }, "path": "v1beta3/{+name}:process", "httpMethod": "POST", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudDocumentaiV1beta3ProcessRequest" } }, "list": { "path": "v1beta3/{+parent}/processors", "flatPath": "v1beta3/projects/{projectsId}/locations/{locationsId}/processors", "id": "documentai.projects.locations.processors.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists all processors which belong to this project.", "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The parent (project and location) which owns this collection of Processors. Format: `projects/{project}/locations/{location}`" }, "pageToken": { "location": "query", "description": "We will return the processors sorted by creation time. The page token will point to the next processor.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of processors to return. If unspecified, at most 50 processors will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudDocumentaiV1beta3ListProcessorsResponse" } } } } } } } } }, "batchPath": "batch", "baseUrl": "https://documentai.googleapis.com/", "fullyEncodeReservedExpansion": true, "revision": "20220621", "version": "v1beta3", "mtlsRootUrl": "https://documentai.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/document-ai/docs/", "canonicalName": "Document", "servicePath": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "ownerDomain": "google.com", "id": "documentai:v1beta3", "version_module": true, "description": "Service to parse structured information from unstructured or semi-structured documents using state-of-the-art Google AI such as natural language, computer vision, translation, and AutoML.", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
