local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "DoubleClick Bid Manager", "name": "doubleclickbidmanager", "version": "v2", "mtlsRootUrl": "https://doubleclickbidmanager.mtls.googleapis.com/", "batchPath": "batch", "rootUrl": "https://doubleclickbidmanager.googleapis.com/", "protocol": "rest", "kind": "discovery#restDescription", "description": "DoubleClick Bid Manager API allows users to manage and create campaigns and reports.", "servicePath": "v2/", "schemas": { "QuerySchedule": { "properties": { "nextRunTimezoneCode": { "type": "string", "description": "Canonical timezone code for report generation time. Defaults to `America/New_York`." }, "frequency": { "enumDescriptions": [ "Default value when frequency is not specified or is unknown in this version.", "Only once.", "Once a day.", "Once a week.", "Twice a month.", "Once a month.", "Once a quarter", "Once a year." ], "description": "How often the query is run.", "enum": [ "FREQUENCY_UNSPECIFIED", "ONE_TIME", "DAILY", "WEEKLY", "SEMI_MONTHLY", "MONTHLY", "QUARTERLY", "YEARLY" ], "type": "string" }, "startDate": { "description": "When to start running the query. Not applicable to `ONE_TIME` frequency.", "$ref": "Date" }, "endDate": { "$ref": "Date", "description": "Date to periodically run the query until. Not applicable to `ONE_TIME` frequency." } }, "description": "Information on when and how frequently to run a query.", "type": "object", "id": "QuerySchedule" }, "QueryMetadata": { "type": "object", "description": "Query metadata.", "properties": { "dataRange": { "description": "Range of report data. All reports will be based on the same time zone as used by the advertiser.", "$ref": "DataRange" }, "sendNotification": { "description": "Whether to send an email notification when a report is ready. Defaults to false.", "type": "boolean" }, "shareEmailAddress": { "items": { "type": "string" }, "type": "array", "description": "List of email addresses which are sent email notifications when the report is finished. Separate from send_notification." }, "format": { "enumDescriptions": [ "Default value when format is not specified or is unknown in this version.", "CSV.", "Excel." ], "type": "string", "enum": [ "FORMAT_UNSPECIFIED", "CSV", "XLSX" ], "description": "Format of the generated report." }, "title": { "description": "Query title. It is used to name the reports generated from this query.", "type": "string" } }, "id": "QueryMetadata" }, "Query": { "description": "Represents a query.", "properties": { "schedule": { "description": "Information on how often and when to run a query. If `ONE_TIME` is set to the frequency field, the query will only be run at the time of creation.", "$ref": "QuerySchedule" }, "queryId": { "description": "Output only. Query ID.", "readOnly": true, "format": "int64", "type": "string" }, "params": { "$ref": "Parameters", "description": "Query parameters." }, "metadata": { "description": "Query metadata.", "$ref": "QueryMetadata" } }, "type": "object", "id": "Query" }, "ChannelGrouping": { "id": "ChannelGrouping", "properties": { "fallbackName": { "description": "The name to apply to an event that does not match any of the rules in the channel grouping.", "type": "string" }, "rules": { "type": "array", "description": "Rules within Channel Grouping. There is a limit of 100 rules that can be set per channel grouping.", "items": { "$ref": "Rule" } }, "name": { "description": "Channel Grouping name.", "type": "string" } }, "description": "A channel grouping defines a set of rules that can be used to categorize events in a path report.", "type": "object" }, "ReportMetadata": { "id": "ReportMetadata", "type": "object", "description": "Report metadata.", "properties": { "reportDataEndDate": { "description": "The ending time for the data that is shown in the report.", "$ref": "Date" }, "status": { "description": "Report status.", "$ref": "ReportStatus" }, "googleCloudStoragePath": { "description": "Output only. The path to the location in Google Cloud Storage where the report is stored.", "readOnly": true, "type": "string" }, "reportDataStartDate": { "description": "The starting time for the data that is shown in the report.", "$ref": "Date" } } }, "PathQueryOptions": { "properties": { "channelGrouping": { "$ref": "ChannelGrouping", "description": "Custom Channel Groupings." }, "pathFilters": { "type": "array", "items": { "$ref": "PathFilter" }, "description": "Path Filters. There is a limit of 100 path filters that can be set per report." } }, "description": "Path Query Options for Report Options.", "type": "object", "id": "PathQueryOptions" }, "Date": { "id": "Date", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "type": "object", "properties": { "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" }, "month": { "format": "int32", "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." } } }, "ListReportsResponse": { "id": "ListReportsResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token, which can be sent as page_token to retrieve the next page of reports. If this field is omitted, there are no subsequent pages.", "type": "string" }, "reports": { "description": "Retrieved reports.", "type": "array", "items": { "$ref": "Report" } } } }, "EventFilter": { "id": "EventFilter", "description": "Defines the type of filter to be applied to the path, a DV360 event dimension filter.", "properties": { "dimensionFilter": { "description": "Filter on a dimension.", "$ref": "PathQueryOptionsFilter" } }, "type": "object" }, "Report": { "type": "object", "description": "Represents a report.", "id": "Report", "properties": { "key": { "$ref": "ReportKey", "description": "Key used to identify a report." }, "metadata": { "$ref": "ReportMetadata", "description": "Report metadata." }, "params": { "$ref": "Parameters", "description": "Report parameters." } } }, "FilterPair": { "properties": { "value": { "type": "string", "description": "Filter value." }, "type": { "type": "string", "description": "Filter type." } }, "description": "Filter used to match traffic data in your report.", "type": "object", "id": "FilterPair" }, "Parameters": { "properties": { "groupBys": { "description": "Data is grouped by the filters listed in this field.", "type": "array", "items": { "type": "string" } }, "metrics": { "items": { "type": "string" }, "description": "Metrics to include as columns in your report.", "type": "array" }, "filters": { "description": "Filters used to match traffic data in your report.", "items": { "$ref": "FilterPair" }, "type": "array" }, "type": { "enum": [ "REPORT_TYPE_UNSPECIFIED", "STANDARD", "INVENTORY_AVAILABILITY", "AUDIENCE_COMPOSITION", "FLOODLIGHT", "YOUTUBE", "GRP", "YOUTUBE_PROGRAMMATIC_GUARANTEED", "REACH", "UNIQUE_REACH_AUDIENCE", "FULL_PATH", "PATH_ATTRIBUTION" ], "description": "The type of the report. The type of the report will dictate what dimesions, filters, and metrics can be used.", "enumDescriptions": [ "Default value when report type is not specified or is unknown in this version.", "Standard report.", "Inventory Availability report.", "Audience Composition report.", "Floodlight report.", "YouTube report.", "GRP report.", "YouTube Programmatic Guaranteed report.", "Reach report.", "Unique Reach Audience report.", "Full Path report.", "Path Attribution report." ], "type": "string" }, "options": { "description": "Additional query options.", "$ref": "Options" } }, "type": "object", "id": "Parameters", "description": "Parameters of a query or report." }, "PathQueryOptionsFilter": { "id": "PathQueryOptionsFilter", "type": "object", "description": "Dimension filter on path events.", "properties": { "values": { "items": { "type": "string" }, "type": "array", "description": "Values to filter on." }, "filter": { "type": "string", "description": "Dimension the filter is applied to." }, "match": { "type": "string", "enum": [ "UNKNOWN", "EXACT", "PARTIAL", "BEGINS_WITH", "WILDCARD_EXPRESSION" ], "enumDescriptions": [ "Default value when match is not specified or is unknown in this version.", "Matches a value exactly.", "Matches a value partially.", "Begins with a value.", "Matches a value, utilizing wildcard character logic in the value." ], "description": "Match logic of the filter." } } }, "RunQueryRequest": { "description": "Request to run a stored query to generate a report.", "id": "RunQueryRequest", "type": "object", "properties": { "dataRange": { "$ref": "DataRange", "description": "Report data range used to generate the report. If unspecified, the original parent query's data range is used." } } }, "Rule": { "description": "A Rule defines a name, and a boolean expression in [conjunctive normal form] (http://mathworld.wolfram.com/ConjunctiveNormalForm.html){.external} that can be applied to a path event to determine if that name should be applied.", "id": "Rule", "properties": { "name": { "description": "Rule name.", "type": "string" }, "disjunctiveMatchStatements": { "description": "DisjunctiveMatchStatements within a Rule. DisjunctiveMatchStatement OR's all contained filters.", "items": { "$ref": "DisjunctiveMatchStatement" }, "type": "array" } }, "type": "object" }, "DataRange": { "properties": { "customEndDate": { "description": "The ending date for the data that is shown in the report. Note, `customEndDate` is required if `range` is `CUSTOM_DATES` and ignored otherwise.", "$ref": "Date" }, "range": { "description": "Report data range used to generate the report.", "type": "string", "enumDescriptions": [ "Default value when range is not specified or is unknown in this version.", "Custom range specified by custom_start_date and custom_end_date fields.", "Current day.", "Previous day.", "All days, including the current day, since the most recent Sunday.", "All days, including the current day, since the start of the current month.", "All days, including the current day, since the start of the current quarter.", "All days, including the current day, since the start of the current calendar year.", "The previous completed week, beginning from Sunday.", "The previous completed calendar month.", "The previous completed quarter.", "The previous completed calendar year.", "The previous 7 days, excluding the current day.", "The previous 30 days, excluding the current day.", "The previous 90 days, excluding the current day.", "The previous 365 days, excluding the current day.", "All time for which data is available, excluding the current day.", "The previous 14 days, excluding the current day.", "The previous 60 days, excluding the current day." ], "enum": [ "RANGE_UNSPECIFIED", "CUSTOM_DATES", "CURRENT_DAY", "PREVIOUS_DAY", "WEEK_TO_DATE", "MONTH_TO_DATE", "QUARTER_TO_DATE", "YEAR_TO_DATE", "PREVIOUS_WEEK", "PREVIOUS_MONTH", "PREVIOUS_QUARTER", "PREVIOUS_YEAR", "LAST_7_DAYS", "LAST_30_DAYS", "LAST_90_DAYS", "LAST_365_DAYS", "ALL_TIME", "LAST_14_DAYS", "LAST_60_DAYS" ] }, "customStartDate": { "$ref": "Date", "description": "The starting data for the data that is shown in the report. Note, `customStartDate` is required if `range` is `CUSTOM_DATES` and ignored otherwise." } }, "id": "DataRange", "description": "Report data range.", "type": "object" }, "ReportKey": { "properties": { "queryId": { "format": "int64", "type": "string", "description": "Output only. Query ID.", "readOnly": true }, "reportId": { "type": "string", "format": "int64", "description": "Output only. Report ID.", "readOnly": true } }, "type": "object", "id": "ReportKey", "description": "Key used to identify a report." }, "ReportStatus": { "properties": { "format": { "description": "The file type of the report.", "enum": [ "FORMAT_UNSPECIFIED", "CSV", "XLSX" ], "enumDescriptions": [ "Default value when format is not specified or is unknown in this version.", "CSV.", "Excel." ], "type": "string" }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "QUEUED", "RUNNING", "DONE", "FAILED" ], "type": "string", "description": "Output only. The state of the report.", "enumDescriptions": [ "Default value when state is not specified or is unknown in this version.", "The report is queued to run.", "The report is currently running.", "The report has finished running successfully.", "The report has finished running in failure." ] }, "finishTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time when this report either completed successfully or failed." } }, "description": "Report status.", "id": "ReportStatus", "type": "object" }, "DisjunctiveMatchStatement": { "type": "object", "description": "DisjunctiveMatchStatement that OR's all contained filters.", "id": "DisjunctiveMatchStatement", "properties": { "eventFilters": { "items": { "$ref": "EventFilter" }, "description": "Filters. There is a limit of 100 filters that can be set per disjunctive match statement.", "type": "array" } } }, "Options": { "id": "Options", "description": "Additional query options.", "type": "object", "properties": { "pathQueryOptions": { "$ref": "PathQueryOptions", "description": "Options that contain Path Filters and Custom Channel Groupings." }, "includeOnlyTargetedUserLists": { "type": "boolean", "description": "Set to true and filter your report by `FILTER_INSERTION_ORDER` or `FILTER_LINE_ITEM` to include data for audience lists specifically targeted by those items." } } }, "PathFilter": { "description": "Path filters specify which paths to include in a report. A path is the result of combining DV360 events based on User ID to create a workflow of users' actions. When a path filter is set, the resulting report will only include paths that match the specified event at the specified position. All other paths will be excluded.", "id": "PathFilter", "type": "object", "properties": { "pathMatchPosition": { "description": "The position of the path the filter should match to (first, last, or any event in path).", "enumDescriptions": [ "Default value when path match position is not specified or is unknown in this version.", "Any position in the path.", "The first position in the path.", "The last position in the path." ], "type": "string", "enum": [ "PATH_MATCH_POSITION_UNSPECIFIED", "ANY", "FIRST", "LAST" ] }, "eventFilters": { "description": "Filter on an event to be applied to some part of the path.", "type": "array", "items": { "$ref": "EventFilter" } } } }, "ListQueriesResponse": { "type": "object", "id": "ListQueriesResponse", "properties": { "queries": { "description": "The list of queries.", "items": { "$ref": "Query" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as page_token to retrieve the next page of queries. If this field is omitted, there are no subsequent pages." } } } }, "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/doubleclickbidmanager": { "description": "View and manage your reports in DoubleClick Bid Manager" } } } }, "fullyEncodeReservedExpansion": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "id": "doubleclickbidmanager:v2", "baseUrl": "https://doubleclickbidmanager.googleapis.com/v2/", "documentationLink": "https://developers.google.com/bid-manager/", "resources": { "queries": { "resources": { "reports": { "methods": { "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Maximum number of results per page. Must be between `1` and `100`. Defaults to `100` if unspecified." }, "queryId": { "description": "Required. ID of the query with which the reports are associated.", "format": "int64", "type": "string", "location": "path", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Name of a field used to order results. The default sorting order is ascending. To specify descending order for a field, append a \" desc\" suffix. For example \"key.reportId desc\". Sorting is only supported for the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `key.reportId`" }, "pageToken": { "location": "query", "type": "string", "description": "A page token, received from a previous list call. Provide this to retrieve the subsequent page of reports." } }, "path": "queries/{queryId}/reports", "description": "Lists reports associated with a query.", "parameterOrder": [ "queryId" ], "httpMethod": "GET", "flatPath": "queries/{queryId}/reports", "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "response": { "$ref": "ListReportsResponse" }, "id": "doubleclickbidmanager.queries.reports.list" }, "get": { "id": "doubleclickbidmanager.queries.reports.get", "parameterOrder": [ "queryId", "reportId" ], "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "flatPath": "queries/{queryId}/reports/{reportId}", "description": "Retrieves a report.", "path": "queries/{queryId}/reports/{reportId}", "httpMethod": "GET", "parameters": { "reportId": { "location": "path", "required": true, "format": "int64", "type": "string", "description": "Required. ID of the report to retrieve." }, "queryId": { "format": "int64", "description": "Required. ID of the query the report is associated with.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "Report" } } } } }, "methods": { "create": { "request": { "$ref": "Query" }, "flatPath": "queries", "response": { "$ref": "Query" }, "id": "doubleclickbidmanager.queries.create", "description": "Creates a query.", "path": "queries", "parameterOrder": [], "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "httpMethod": "POST" }, "get": { "parameterOrder": [ "queryId" ], "flatPath": "queries/{queryId}", "description": "Retrieves a query.", "response": { "$ref": "Query" }, "id": "doubleclickbidmanager.queries.get", "httpMethod": "GET", "path": "queries/{queryId}", "parameters": { "queryId": { "location": "path", "required": true, "format": "int64", "description": "Required. ID of query to retrieve.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ] }, "delete": { "httpMethod": "DELETE", "description": "Deletes a query as well as the associated reports.", "path": "queries/{queryId}", "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "parameters": { "queryId": { "required": true, "type": "string", "description": "Required. ID of query to delete.", "location": "path", "format": "int64" } }, "id": "doubleclickbidmanager.queries.delete", "parameterOrder": [ "queryId" ], "flatPath": "queries/{queryId}" }, "run": { "path": "queries/{queryId}:run", "parameters": { "queryId": { "type": "string", "required": true, "description": "Required. ID of query to run.", "format": "int64", "location": "path" }, "synchronous": { "type": "boolean", "location": "query", "description": "Whether the query should be run synchronously. When true, this method will not return until the query has finished running. When false or not specified, this method will return immediately." } }, "response": { "$ref": "Report" }, "httpMethod": "POST", "flatPath": "queries/{queryId}:run", "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "id": "doubleclickbidmanager.queries.run", "parameterOrder": [ "queryId" ], "request": { "$ref": "RunQueryRequest" }, "description": "Runs a stored query to generate a report." }, "list": { "path": "queries", "httpMethod": "GET", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/doubleclickbidmanager" ], "description": "Lists queries created by the current user.", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of results per page. Must be between `1` and `100`. Defaults to `100` if unspecified.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous list call. Provide this to retrieve the subsequent page of queries." }, "orderBy": { "location": "query", "type": "string", "description": "Name of a field used to order results. The default sorting order is ascending. To specify descending order for a field, append a \" desc\" suffix. For example \"metadata.title desc\". Sorting is only supported for the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `queryId` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `metadata.title`" } }, "id": "doubleclickbidmanager.queries.list", "flatPath": "queries", "response": { "$ref": "ListQueriesResponse" } } } } }, "title": "DoubleClick Bid Manager API", "parameters": { "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" } }, "basePath": "/v2/", "ownerName": "Google", "ownerDomain": "google.com", "revision": "20220707" }
]===]))
