local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "fullyEncodeReservedExpansion": true, "revision": "20220711", "id": "essentialcontacts:v1", "canonicalName": "Essentialcontacts", "basePath": "", "version": "v1", "schemas": { "GoogleCloudEssentialcontactsV1Contact": { "type": "object", "description": "A contact that will receive notifications from Google Cloud.", "id": "GoogleCloudEssentialcontactsV1Contact", "properties": { "validateTime": { "description": "The last time the validation_state was updated, either manually or automatically. A contact is considered stale if its validation state was updated more than 1 year ago.", "format": "google-datetime", "type": "string" }, "email": { "type": "string", "description": "Required. The email address to send notifications to. This does not need to be a Google account." }, "name": { "type": "string", "description": "The identifier for the contact. Format: {resource_type}/{resource_id}/contacts/{contact_id}" }, "languageTag": { "type": "string", "description": "The preferred language for notifications, as a ISO 639-1 language code. See [Supported languages](https://cloud.google.com/resource-manager/docs/managing-notification-contacts#supported-languages) for a list of supported languages." }, "validationState": { "type": "string", "enum": [ "VALIDATION_STATE_UNSPECIFIED", "VALID", "INVALID" ], "description": "The validity of the contact. A contact is considered valid if it is the correct recipient for notifications for a particular resource.", "enumDescriptions": [ "The validation state is unknown or unspecified.", "The contact is marked as valid. This is usually done manually by the contact admin. All new contacts begin in the valid state.", "The contact is considered invalid. This may become the state if the contact's email is found to be unreachable." ] }, "notificationCategorySubscriptions": { "description": "The categories of notifications that the contact will receive communications for.", "items": { "enum": [ "NOTIFICATION_CATEGORY_UNSPECIFIED", "ALL", "SUSPENSION", "SECURITY", "TECHNICAL", "BILLING", "LEGAL", "PRODUCT_UPDATES", "TECHNICAL_INCIDENTS" ], "enumDescriptions": [ "Notification category is unrecognized or unspecified.", "All notifications related to the resource, including notifications pertaining to categories added in the future.", "Notifications related to imminent account suspension.", "Notifications related to security/privacy incidents, notifications, and vulnerabilities.", "Notifications related to technical events and issues such as outages, errors, or bugs.", "Notifications related to billing and payments notifications, price updates, errors, or credits.", "Notifications related to enforcement actions, regulatory compliance, or government notices.", "Notifications related to new versions, product terms updates, or deprecations.", "Child category of TECHNICAL. If assigned, technical incident notifications will go to these contacts instead of TECHNICAL." ], "type": "string" }, "type": "array" } } }, "GoogleProtobufEmpty": { "type": "object", "id": "GoogleProtobufEmpty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "GoogleCloudEssentialcontactsV1SendTestMessageRequest": { "description": "Request message for the SendTestMessage method.", "id": "GoogleCloudEssentialcontactsV1SendTestMessageRequest", "type": "object", "properties": { "notificationCategory": { "enum": [ "NOTIFICATION_CATEGORY_UNSPECIFIED", "ALL", "SUSPENSION", "SECURITY", "TECHNICAL", "BILLING", "LEGAL", "PRODUCT_UPDATES", "TECHNICAL_INCIDENTS" ], "enumDescriptions": [ "Notification category is unrecognized or unspecified.", "All notifications related to the resource, including notifications pertaining to categories added in the future.", "Notifications related to imminent account suspension.", "Notifications related to security/privacy incidents, notifications, and vulnerabilities.", "Notifications related to technical events and issues such as outages, errors, or bugs.", "Notifications related to billing and payments notifications, price updates, errors, or credits.", "Notifications related to enforcement actions, regulatory compliance, or government notices.", "Notifications related to new versions, product terms updates, or deprecations.", "Child category of TECHNICAL. If assigned, technical incident notifications will go to these contacts instead of TECHNICAL." ], "description": "Required. The notification category to send the test message for. All contacts must be subscribed to this category.", "type": "string" }, "contacts": { "type": "array", "description": "Required. The list of names of the contacts to send a test message to. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}", "items": { "type": "string" } } } }, "GoogleCloudEssentialcontactsV1ComputeContactsResponse": { "id": "GoogleCloudEssentialcontactsV1ComputeContactsResponse", "type": "object", "description": "Response message for the ComputeContacts method.", "properties": { "nextPageToken": { "type": "string", "description": "If there are more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token` and the rest of the parameters the same as the original request." }, "contacts": { "items": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "description": "All contacts for the resource that are subscribed to the specified notification categories, including contacts inherited from any parent resources.", "type": "array" } } }, "GoogleCloudEssentialcontactsV1ListContactsResponse": { "properties": { "contacts": { "type": "array", "items": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "description": "The contacts for the specified resource." }, "nextPageToken": { "description": "If there are more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token` and the rest of the parameters the same as the original request.", "type": "string" } }, "description": "Response message for the ListContacts method.", "type": "object", "id": "GoogleCloudEssentialcontactsV1ListContactsResponse" } }, "discoveryVersion": "v1", "baseUrl": "https://essentialcontacts.googleapis.com/", "ownerName": "Google", "resources": { "organizations": { "resources": { "contacts": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^organizations/[^/]+/contacts/[^/]+$", "type": "string", "description": "The identifier for the contact. Format: {resource_type}/{resource_id}/contacts/{contact_id}" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Optional. The update mask applied to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask" } }, "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "flatPath": "v1/organizations/{organizationsId}/contacts/{contactsId}", "httpMethod": "PATCH", "id": "essentialcontacts.organizations.contacts.patch", "description": "Updates a contact. Note: A contact's email address cannot be changed.", "path": "v1/{+name}" }, "delete": { "path": "v1/{+name}", "description": "Deletes a contact.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "essentialcontacts.organizations.contacts.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v1/organizations/{organizationsId}/contacts/{contactsId}", "parameters": { "name": { "location": "path", "required": true, "pattern": "^organizations/[^/]+/contacts/[^/]+$", "type": "string", "description": "Required. The name of the contact to delete. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}" } } }, "sendTestMessage": { "path": "v1/{+resource}/contacts:sendTestMessage", "response": { "$ref": "GoogleProtobufEmpty" }, "request": { "$ref": "GoogleCloudEssentialcontactsV1SendTestMessageRequest" }, "id": "essentialcontacts.organizations.contacts.sendTestMessage", "parameters": { "resource": { "description": "Required. The name of the resource to send the test message for. All contacts must either be set directly on this resource or inherited from another resource that is an ancestor of this one. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "type": "string", "required": true, "location": "path", "pattern": "^organizations/[^/]+$" } }, "httpMethod": "POST", "flatPath": "v1/organizations/{organizationsId}/contacts:sendTestMessage", "parameterOrder": [ "resource" ], "description": "Allows a contact admin to send a test message to contact to verify that it has been configured correctly.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "flatPath": "v1/organizations/{organizationsId}/contacts", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "parameters": { "parent": { "pattern": "^organizations/[^/]+$", "description": "Required. The resource to save this contact for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "required": true, "location": "path", "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "description": "Adds a new contact for a resource.", "id": "essentialcontacts.organizations.contacts.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/contacts" }, "get": { "path": "v1/{+name}", "id": "essentialcontacts.organizations.contacts.get", "description": "Gets a single contact.", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^organizations/[^/]+/contacts/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The name of the contact to retrieve. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}" } }, "flatPath": "v1/organizations/{organizationsId}/contacts/{contactsId}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "essentialcontacts.organizations.contacts.list", "description": "Lists the contacts that have been set on a resource.", "flatPath": "v1/organizations/{organizationsId}/contacts", "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/contacts", "response": { "$ref": "GoogleCloudEssentialcontactsV1ListContactsResponse" }, "parameters": { "parent": { "location": "path", "description": "Required. The parent resource name. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "required": true, "pattern": "^organizations/[^/]+$", "type": "string" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call." } } }, "compute": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudEssentialcontactsV1ComputeContactsResponse" }, "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100.", "type": "integer" }, "pageToken": { "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call.", "type": "string" }, "parent": { "pattern": "^organizations/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the resource to compute contacts for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "location": "path" }, "notificationCategories": { "enum": [ "NOTIFICATION_CATEGORY_UNSPECIFIED", "ALL", "SUSPENSION", "SECURITY", "TECHNICAL", "BILLING", "LEGAL", "PRODUCT_UPDATES", "TECHNICAL_INCIDENTS" ], "description": "The categories of notifications to compute contacts for. If ALL is included in this list, contacts subscribed to any notification category will be returned.", "location": "query", "repeated": true, "type": "string", "enumDescriptions": [ "Notification category is unrecognized or unspecified.", "All notifications related to the resource, including notifications pertaining to categories added in the future.", "Notifications related to imminent account suspension.", "Notifications related to security/privacy incidents, notifications, and vulnerabilities.", "Notifications related to technical events and issues such as outages, errors, or bugs.", "Notifications related to billing and payments notifications, price updates, errors, or credits.", "Notifications related to enforcement actions, regulatory compliance, or government notices.", "Notifications related to new versions, product terms updates, or deprecations.", "Child category of TECHNICAL. If assigned, technical incident notifications will go to these contacts instead of TECHNICAL." ] } }, "path": "v1/{+parent}/contacts:compute", "httpMethod": "GET", "description": "Lists all contacts for the resource that are subscribed to the specified notification categories, including contacts inherited from any parent resources.", "id": "essentialcontacts.organizations.contacts.compute", "flatPath": "v1/organizations/{organizationsId}/contacts:compute" } } } } }, "folders": { "resources": { "contacts": { "methods": { "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "essentialcontacts.folders.contacts.create", "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "path": "v1/{+parent}/contacts", "description": "Adds a new contact for a resource.", "parameterOrder": [ "parent" ], "flatPath": "v1/folders/{foldersId}/contacts", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^folders/[^/]+$", "description": "Required. The resource to save this contact for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "location": "path" } } }, "delete": { "id": "essentialcontacts.folders.contacts.delete", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. The name of the contact to delete. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}", "location": "path", "pattern": "^folders/[^/]+/contacts/[^/]+$", "type": "string" } }, "description": "Deletes a contact.", "httpMethod": "DELETE", "flatPath": "v1/folders/{foldersId}/contacts/{contactsId}", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" } }, "patch": { "id": "essentialcontacts.folders.contacts.patch", "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "description": "Updates a contact. Note: A contact's email address cannot be changed.", "httpMethod": "PATCH", "flatPath": "v1/folders/{foldersId}/contacts/{contactsId}", "path": "v1/{+name}", "parameters": { "updateMask": { "type": "string", "location": "query", "description": "Optional. The update mask applied to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask" }, "name": { "required": true, "description": "The identifier for the contact. Format: {resource_type}/{resource_id}/contacts/{contact_id}", "location": "path", "pattern": "^folders/[^/]+/contacts/[^/]+$", "type": "string" } }, "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "response": { "$ref": "GoogleCloudEssentialcontactsV1ListContactsResponse" }, "path": "v1/{+parent}/contacts", "parameters": { "pageToken": { "location": "query", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call.", "type": "string" }, "parent": { "required": true, "location": "path", "pattern": "^folders/[^/]+$", "type": "string", "description": "Required. The parent resource name. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}" }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100.", "type": "integer" } }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "id": "essentialcontacts.folders.contacts.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/folders/{foldersId}/contacts", "description": "Lists the contacts that have been set on a resource." }, "compute": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudEssentialcontactsV1ComputeContactsResponse" }, "parameters": { "notificationCategories": { "type": "string", "description": "The categories of notifications to compute contacts for. If ALL is included in this list, contacts subscribed to any notification category will be returned.", "enumDescriptions": [ "Notification category is unrecognized or unspecified.", "All notifications related to the resource, including notifications pertaining to categories added in the future.", "Notifications related to imminent account suspension.", "Notifications related to security/privacy incidents, notifications, and vulnerabilities.", "Notifications related to technical events and issues such as outages, errors, or bugs.", "Notifications related to billing and payments notifications, price updates, errors, or credits.", "Notifications related to enforcement actions, regulatory compliance, or government notices.", "Notifications related to new versions, product terms updates, or deprecations.", "Child category of TECHNICAL. If assigned, technical incident notifications will go to these contacts instead of TECHNICAL." ], "repeated": true, "enum": [ "NOTIFICATION_CATEGORY_UNSPECIFIED", "ALL", "SUSPENSION", "SECURITY", "TECHNICAL", "BILLING", "LEGAL", "PRODUCT_UPDATES", "TECHNICAL_INCIDENTS" ], "location": "query" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100." }, "parent": { "required": true, "pattern": "^folders/[^/]+$", "location": "path", "type": "string", "description": "Required. The name of the resource to compute contacts for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}" }, "pageToken": { "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call.", "location": "query", "type": "string" } }, "description": "Lists all contacts for the resource that are subscribed to the specified notification categories, including contacts inherited from any parent resources.", "parameterOrder": [ "parent" ], "flatPath": "v1/folders/{foldersId}/contacts:compute", "httpMethod": "GET", "id": "essentialcontacts.folders.contacts.compute", "path": "v1/{+parent}/contacts:compute" }, "sendTestMessage": { "description": "Allows a contact admin to send a test message to contact to verify that it has been configured correctly.", "parameterOrder": [ "resource" ], "path": "v1/{+resource}/contacts:sendTestMessage", "id": "essentialcontacts.folders.contacts.sendTestMessage", "request": { "$ref": "GoogleCloudEssentialcontactsV1SendTestMessageRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "resource": { "description": "Required. The name of the resource to send the test message for. All contacts must either be set directly on this resource or inherited from another resource that is an ancestor of this one. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "pattern": "^folders/[^/]+$", "location": "path", "required": true, "type": "string" } }, "httpMethod": "POST", "flatPath": "v1/folders/{foldersId}/contacts:sendTestMessage" }, "get": { "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "parameterOrder": [ "name" ], "id": "essentialcontacts.folders.contacts.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a single contact.", "parameters": { "name": { "type": "string", "pattern": "^folders/[^/]+/contacts/[^/]+$", "location": "path", "description": "Required. The name of the contact to retrieve. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}", "required": true } }, "httpMethod": "GET", "flatPath": "v1/folders/{foldersId}/contacts/{contactsId}", "path": "v1/{+name}" } } } } }, "projects": { "resources": { "contacts": { "methods": { "patch": { "parameters": { "name": { "type": "string", "description": "The identifier for the contact. Format: {resource_type}/{resource_id}/contacts/{contact_id}", "location": "path", "pattern": "^projects/[^/]+/contacts/[^/]+$", "required": true }, "updateMask": { "location": "query", "type": "string", "description": "Optional. The update mask applied to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask" } }, "flatPath": "v1/projects/{projectsId}/contacts/{contactsId}", "httpMethod": "PATCH", "description": "Updates a contact. Note: A contact's email address cannot be changed.", "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "essentialcontacts.projects.contacts.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" } }, "create": { "path": "v1/{+parent}/contacts", "flatPath": "v1/projects/{projectsId}/contacts", "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "description": "Adds a new contact for a resource.", "request": { "$ref": "GoogleCloudEssentialcontactsV1Contact" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The resource to save this contact for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "pattern": "^projects/[^/]+$" } }, "httpMethod": "POST", "id": "essentialcontacts.projects.contacts.create", "parameterOrder": [ "parent" ] }, "compute": { "flatPath": "v1/projects/{projectsId}/contacts:compute", "response": { "$ref": "GoogleCloudEssentialcontactsV1ComputeContactsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100." }, "notificationCategories": { "enumDescriptions": [ "Notification category is unrecognized or unspecified.", "All notifications related to the resource, including notifications pertaining to categories added in the future.", "Notifications related to imminent account suspension.", "Notifications related to security/privacy incidents, notifications, and vulnerabilities.", "Notifications related to technical events and issues such as outages, errors, or bugs.", "Notifications related to billing and payments notifications, price updates, errors, or credits.", "Notifications related to enforcement actions, regulatory compliance, or government notices.", "Notifications related to new versions, product terms updates, or deprecations.", "Child category of TECHNICAL. If assigned, technical incident notifications will go to these contacts instead of TECHNICAL." ], "repeated": true, "location": "query", "type": "string", "enum": [ "NOTIFICATION_CATEGORY_UNSPECIFIED", "ALL", "SUSPENSION", "SECURITY", "TECHNICAL", "BILLING", "LEGAL", "PRODUCT_UPDATES", "TECHNICAL_INCIDENTS" ], "description": "The categories of notifications to compute contacts for. If ALL is included in this list, contacts subscribed to any notification category will be returned." }, "parent": { "required": true, "pattern": "^projects/[^/]+$", "type": "string", "location": "path", "description": "Required. The name of the resource to compute contacts for. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all contacts for the resource that are subscribed to the specified notification categories, including contacts inherited from any parent resources.", "path": "v1/{+parent}/contacts:compute", "id": "essentialcontacts.projects.contacts.compute", "httpMethod": "GET" }, "list": { "flatPath": "v1/projects/{projectsId}/contacts", "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "Optional. The maximum number of results to return from this request. Non-positive values are ignored. The presence of `next_page_token` in the response indicates that more results might be available. If not specified, the default page_size is 100.", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+$", "description": "Required. The parent resource name. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "type": "string", "location": "path", "required": true }, "pageToken": { "type": "string", "description": "Optional. If present, retrieves the next batch of results from the preceding call to this method. `page_token` must be the value of `next_page_token` from the previous response. The values of other method parameters should be identical to those in the previous call.", "location": "query" } }, "path": "v1/{+parent}/contacts", "response": { "$ref": "GoogleCloudEssentialcontactsV1ListContactsResponse" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "essentialcontacts.projects.contacts.list", "description": "Lists the contacts that have been set on a resource.", "httpMethod": "GET" }, "delete": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "essentialcontacts.projects.contacts.delete", "path": "v1/{+name}", "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/contacts/{contactsId}", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a contact.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/contacts/[^/]+$", "type": "string", "description": "Required. The name of the contact to delete. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}" } } }, "sendTestMessage": { "parameters": { "resource": { "required": true, "location": "path", "type": "string", "description": "Required. The name of the resource to send the test message for. All contacts must either be set directly on this resource or inherited from another resource that is an ancestor of this one. Format: organizations/{organization_id}, folders/{folder_id} or projects/{project_id}", "pattern": "^projects/[^/]+$" } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/contacts:sendTestMessage", "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Allows a contact admin to send a test message to contact to verify that it has been configured correctly.", "request": { "$ref": "GoogleCloudEssentialcontactsV1SendTestMessageRequest" }, "id": "essentialcontacts.projects.contacts.sendTestMessage", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}/contacts:sendTestMessage" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets a single contact.", "flatPath": "v1/projects/{projectsId}/contacts/{contactsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}", "id": "essentialcontacts.projects.contacts.get", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The name of the contact to retrieve. Format: organizations/{organization_id}/contacts/{contact_id}, folders/{folder_id}/contacts/{contact_id} or projects/{project_id}/contacts/{contact_id}", "pattern": "^projects/[^/]+/contacts/[^/]+$", "required": true } }, "response": { "$ref": "GoogleCloudEssentialcontactsV1Contact" } } } } } } }, "ownerDomain": "google.com", "servicePath": "", "parameters": { "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string" }, "prettyPrint": { "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query" }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "type": "string" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "title": "Essential Contacts API", "description": "", "kind": "discovery#restDescription", "protocol": "rest", "version_module": true, "documentationLink": "https://cloud.google.com/essentialcontacts/docs/", "name": "essentialcontacts", "mtlsRootUrl": "https://essentialcontacts.mtls.googleapis.com/", "rootUrl": "https://essentialcontacts.googleapis.com/" }
]===]))
