local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "rootUrl": "https://eventarc.googleapis.com/", "title": "Eventarc API", "parameters": { "callback": { "description": "JSONP", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query", "default": "true" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "default": "json", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "enum": [ "json", "media", "proto" ], "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "basePath": "", "mtlsRootUrl": "https://eventarc.mtls.googleapis.com/", "id": "eventarc:v1", "protocol": "rest", "description": "Build event-driven applications on Google Cloud Platform.", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "locations": { "resources": { "channelConnections": { "methods": { "create": { "id": "eventarc.projects.locations.channelConnections.create", "httpMethod": "POST", "path": "v1/{+parent}/channelConnections", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Create a new ChannelConnection in a particular project and location.", "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent collection in which to add this channel connection.", "type": "string" }, "channelConnectionId": { "description": "Required. The user-provided ID to be assigned to the channel connection.", "location": "query", "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "request": { "$ref": "ChannelConnection" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections", "parameterOrder": [ "parent" ] }, "getIamPolicy": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections/{channelConnectionsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/channelConnections/[^/]+$" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "id": "eventarc.projects.locations.channelConnections.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "setIamPolicy": { "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections/{channelConnectionsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/channelConnections/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "id": "eventarc.projects.locations.channelConnections.setIamPolicy", "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "id": "eventarc.projects.locations.channelConnections.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections/{channelConnectionsId}:testIamPermissions", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/channelConnections/[^/]+$" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ] }, "get": { "path": "v1/{+name}", "id": "eventarc.projects.locations.channelConnections.get", "response": { "$ref": "ChannelConnection" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections/{channelConnectionsId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the channel connection to get.", "pattern": "^projects/[^/]+/locations/[^/]+/channelConnections/[^/]+$", "location": "path", "required": true } }, "description": "Get a single ChannelConnection." }, "delete": { "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Delete a single ChannelConnection.", "httpMethod": "DELETE", "id": "eventarc.projects.locations.channelConnections.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections/{channelConnectionsId}", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The name of the channel connection to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/channelConnections/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}" }, "list": { "description": "List channel connections.", "path": "v1/{+parent}/channelConnections", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channelConnections", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The page token; provide the value from the `next_page_token` field in a previous `ListChannelConnections` call to retrieve the subsequent page. When paginating, all other parameters provided to `ListChannelConnetions` match the call that provided the page token." }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of channel connections to return on each page. Note: The service may send fewer responses.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The parent collection from which to list channel connections." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "eventarc.projects.locations.channelConnections.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListChannelConnectionsResponse" }, "httpMethod": "GET" } } }, "channels": { "methods": { "setIamPolicy": { "id": "eventarc.projects.locations.channels.setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}:setIamPolicy", "parameters": { "resource": { "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } }, "testIamPermissions": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}:testIamPermissions", "id": "eventarc.projects.locations.channels.testIamPermissions", "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$" } }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}", "httpMethod": "GET", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$", "description": "Required. The name of the channel to get.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Channel" }, "description": "Get a single Channel.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "eventarc.projects.locations.channels.get" }, "patch": { "parameters": { "updateMask": { "type": "string", "location": "query", "description": "The fields to be updated; only fields explicitly provided are updated. If no field mask is provided, all provided fields in the request are updated. To update all fields, provide a field mask of \"*\".", "format": "google-fieldmask" }, "validateOnly": { "description": "Required. If set, validate the request and preview the review, but do not post it.", "type": "boolean", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$", "description": "Required. The resource name of the channel. Must be unique within the location on the project and must be in `projects/{project}/locations/{location}/channels/{channel_id}` format.", "type": "string", "location": "path", "required": true } }, "httpMethod": "PATCH", "path": "v1/{+name}", "request": { "$ref": "Channel" }, "description": "Update a single channel.", "id": "eventarc.projects.locations.channels.patch", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}" }, "create": { "httpMethod": "POST", "path": "v1/{+parent}/channels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Create a new channel in a particular project and location.", "parameters": { "channelId": { "location": "query", "description": "Required. The user-provided ID to be assigned to the channel.", "type": "string" }, "validateOnly": { "description": "Required. If set, validate the request and preview the review, but do not post it.", "type": "boolean", "location": "query" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent collection in which to add this channel.", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels", "parameterOrder": [ "parent" ], "request": { "$ref": "Channel" }, "id": "eventarc.projects.locations.channels.create" }, "getIamPolicy": { "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}:getIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" }, "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "eventarc.projects.locations.channels.getIamPolicy" }, "list": { "id": "eventarc.projects.locations.channels.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels", "description": "List channels.", "httpMethod": "GET", "path": "v1/{+parent}/channels", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "type": "string", "location": "query", "description": "The sorting order of the resources returned. Value should be a comma-separated list of fields. The default sorting order is ascending. To specify descending order for a field, append a `desc` suffix; for example: `name desc, channel_id`." }, "parent": { "location": "path", "type": "string", "description": "Required. The parent collection to list channels on.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "The page token; provide the value from the `next_page_token` field in a previous `ListChannels` call to retrieve the subsequent page. When paginating, all other parameters provided to `ListChannels` must match the call that provided the page token." }, "pageSize": { "type": "integer", "description": "The maximum number of channels to return on each page. Note: The service may send fewer.", "location": "query", "format": "int32" } }, "response": { "$ref": "ListChannelsResponse" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Delete a single channel.", "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/channels/{channelsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "eventarc.projects.locations.channels.delete", "parameters": { "validateOnly": { "description": "Required. If set, validate the request and preview the review, but do not post it.", "location": "query", "type": "boolean" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/channels/[^/]+$", "required": true, "location": "path", "description": "Required. The name of the channel to be deleted.", "type": "string" } } } } }, "operations": { "methods": { "cancel": { "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "type": "string" } }, "id": "eventarc.projects.locations.operations.cancel", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v1/{+name}:cancel", "httpMethod": "POST", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" } }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource.", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "eventarc.projects.locations.operations.get", "parameterOrder": [ "name" ], "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "list": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "id": "eventarc.projects.locations.operations.list", "parameters": { "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "pageSize": { "description": "The standard list page size.", "type": "integer", "format": "int32", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "location": "path", "type": "string" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "path": "v1/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "path": "v1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "eventarc.projects.locations.operations.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "The name of the operation resource to be deleted.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" } } }, "providers": { "methods": { "get": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/providers/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the provider to get." } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/providers/{providersId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Get a single Provider.", "id": "eventarc.projects.locations.providers.get", "response": { "$ref": "Provider" }, "path": "v1/{+name}" }, "list": { "parameterOrder": [ "parent" ], "description": "List providers.", "path": "v1/{+parent}/providers", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/providers", "response": { "$ref": "ListProvidersResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "type": "string", "location": "query", "description": "The sorting order of the resources returned. Value should be a comma-separated list of fields. The default sorting oder is ascending. To specify descending order for a field, append a `desc` suffix; for example: `name desc, _id`." }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of providers to return on each page." }, "pageToken": { "location": "query", "type": "string", "description": "The page token; provide the value from the `next_page_token` field in a previous `ListProviders` call to retrieve the subsequent page. When paginating, all other parameters provided to `ListProviders` must match the call that provided the page token." }, "parent": { "location": "path", "type": "string", "description": "Required. The parent of the provider to get.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "filter": { "description": "The filter field that the list request will filter on.", "location": "query", "type": "string" } }, "id": "eventarc.projects.locations.providers.list", "httpMethod": "GET" } } }, "triggers": { "methods": { "getIamPolicy": { "id": "eventarc.projects.locations.triggers.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "required": true, "type": "string", "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:getIamPolicy", "httpMethod": "GET" }, "list": { "description": "List triggers.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListTriggersResponse" }, "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "description": "The maximum number of triggers to return on each page. Note: The service may send fewer.", "type": "integer", "location": "query", "format": "int32" }, "filter": { "type": "string", "location": "query", "description": "Filter field. Used to filter the Triggers to be listed. Possible filters are described in https://google.aip.dev/160. For example, using \"?filter=destination:gke\" would list only Triggers with a gke destination." }, "pageToken": { "location": "query", "type": "string", "description": "The page token; provide the value from the `next_page_token` field in a previous `ListTriggers` call to retrieve the subsequent page. When paginating, all other parameters provided to `ListTriggers` must match the call that provided the page token." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Required. The parent collection to list triggers on." }, "orderBy": { "description": "The sorting order of the resources returned. Value should be a comma-separated list of fields. The default sorting order is ascending. To specify descending order for a field, append a `desc` suffix; for example: `name desc, trigger_id`.", "location": "query", "type": "string" } }, "id": "eventarc.projects.locations.triggers.list", "httpMethod": "GET", "path": "v1/{+parent}/triggers", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers" }, "patch": { "httpMethod": "PATCH", "request": { "$ref": "Trigger" }, "parameters": { "allowMissing": { "location": "query", "description": "If set to true, and the trigger is not found, a new trigger will be created. In this situation, `update_mask` is ignored.", "type": "boolean" }, "name": { "required": true, "description": "Required. The resource name of the trigger. Must be unique within the location of the project and must be in `projects/{project}/locations/{location}/triggers/{trigger}` format.", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "type": "string", "location": "path" }, "updateMask": { "description": "The fields to be updated; only fields explicitly provided are updated. If no field mask is provided, all provided fields in the request are updated. To update all fields, provide a field mask of \"*\".", "format": "google-fieldmask", "location": "query", "type": "string" }, "validateOnly": { "location": "query", "type": "boolean", "description": "Required. If set, validate the request and preview the review, but do not post it." } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "description": "Update a single trigger.", "id": "eventarc.projects.locations.triggers.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "required": true, "description": "Required. The name of the trigger to be deleted." }, "validateOnly": { "location": "query", "type": "boolean", "description": "Required. If set, validate the request and preview the review, but do not post it." }, "allowMissing": { "location": "query", "description": "If set to true, and the trigger is not found, the request will succeed but no action will be taken on the server.", "type": "boolean" }, "etag": { "type": "string", "description": "If provided, the trigger will only be deleted if the etag matches the current etag on the resource.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Delete a single trigger.", "id": "eventarc.projects.locations.triggers.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}" }, "testIamPermissions": { "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "id": "eventarc.projects.locations.triggers.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "path": "v1/{+parent}/triggers", "id": "eventarc.projects.locations.triggers.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Trigger" }, "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Create a new trigger in a particular project and location.", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers", "httpMethod": "POST", "parameters": { "parent": { "location": "path", "description": "Required. The parent collection in which to add this trigger.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true }, "triggerId": { "location": "query", "type": "string", "description": "Required. The user-provided ID to be assigned to the trigger." }, "validateOnly": { "type": "boolean", "location": "query", "description": "Required. If set, validate the request and preview the review, but do not post it." } } }, "setIamPolicy": { "httpMethod": "POST", "id": "eventarc.projects.locations.triggers.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$" } } }, "get": { "response": { "$ref": "Trigger" }, "description": "Get a single trigger.", "parameters": { "name": { "description": "Required. The name of the trigger to get.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "required": true } }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "eventarc.projects.locations.triggers.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "list": { "parameterOrder": [ "name" ], "id": "eventarc.projects.locations.list", "path": "v1/{+name}/locations", "flatPath": "v1/projects/{projectsId}/locations", "httpMethod": "GET", "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "name": { "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "The resource that owns the locations collection, if applicable." }, "pageSize": { "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getGoogleChannelConfig": { "parameterOrder": [ "name" ], "description": "Get a GoogleChannelConfig", "httpMethod": "GET", "response": { "$ref": "GoogleChannelConfig" }, "id": "eventarc.projects.locations.getGoogleChannelConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/googleChannelConfig", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/googleChannelConfig$", "type": "string", "location": "path", "required": true, "description": "Required. The name of the config to get." } }, "path": "v1/{+name}" }, "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "id": "eventarc.projects.locations.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Resource name for the location.", "location": "path", "type": "string" } }, "response": { "$ref": "Location" } }, "updateGoogleChannelConfig": { "description": "Update a single GoogleChannelConfig", "response": { "$ref": "GoogleChannelConfig" }, "httpMethod": "PATCH", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/googleChannelConfig$", "description": "Required. The resource name of the config. Must be in the format of, `projects/{project}/locations/{location}/googleChannelConfig`.", "required": true, "type": "string" }, "updateMask": { "type": "string", "description": "The fields to be updated; only fields explicitly provided are updated. If no field mask is provided, all provided fields in the request are updated. To update all fields, provide a field mask of \"*\".", "format": "google-fieldmask", "location": "query" } }, "id": "eventarc.projects.locations.updateGoogleChannelConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "request": { "$ref": "GoogleChannelConfig" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/googleChannelConfig", "path": "v1/{+name}" } } } } } }, "ownerName": "Google", "schemas": { "EventFilter": { "type": "object", "description": "Filters events based on exact matches on the CloudEvents attributes.", "id": "EventFilter", "properties": { "attribute": { "description": "Required. The name of a CloudEvents attribute. Currently, only a subset of attributes are supported for filtering. All triggers MUST provide a filter for the 'type' attribute.", "type": "string" }, "operator": { "description": "Optional. The operator used for matching the events with the value of the filter. If not specified, only events that have an exact key-value pair specified in the filter are matched. The only allowed value is `match-path-pattern`.", "type": "string" }, "value": { "type": "string", "description": "Required. The value for the attribute." } } }, "Binding": { "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "type": "object" }, "Expr": { "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object" }, "ChannelConnection": { "description": "A representation of the ChannelConnection resource. A ChannelConnection is a resource which event providers create during the activation process to establish a connection between the provider and the subscriber channel.", "properties": { "updateTime": { "format": "google-datetime", "description": "Output only. The last-modified time.", "readOnly": true, "type": "string" }, "channel": { "description": "Required. The name of the connected subscriber Channel. This is a weak reference to avoid cross project and cross accounts references. This must be in `projects/{project}/location/{location}/channels/{channel_id}` format.", "type": "string" }, "name": { "type": "string", "description": "Required. The name of the connection." }, "activationToken": { "description": "Input only. Activation token for the channel. The token will be used during the creation of ChannelConnection to bind the channel with the provider project. This field will not be stored in the provider resource.", "type": "string" }, "uid": { "description": "Output only. Server assigned ID of the resource. The server guarantees uniqueness and immutability until deleted.", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. The creation time.", "readOnly": true, "type": "string", "format": "google-datetime" } }, "type": "object", "id": "ChannelConnection" }, "GoogleChannelConfig": { "id": "GoogleChannelConfig", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The last-modified time.", "readOnly": true }, "cryptoKeyName": { "description": "Optional. Resource name of a KMS crypto key (managed by the user) used to encrypt/decrypt their event data. It must match the pattern `projects/*/locations/*/keyRings/*/cryptoKeys/*`.", "type": "string" }, "name": { "type": "string", "description": "Required. The resource name of the config. Must be in the format of, `projects/{project}/locations/{location}/googleChannelConfig`." } }, "description": "A GoogleChannelConfig is a resource that stores the custom settings respected by Eventarc first-party triggers in the matching region. Once configured, first-party event data will be protected using the specified custom managed encryption key instead of Google-managed encryption keys.", "type": "object" }, "ListProvidersResponse": { "properties": { "providers": { "description": "The requested providers, up to the number specified in `page_size`.", "type": "array", "items": { "$ref": "Provider" } }, "nextPageToken": { "type": "string", "description": "A page token that can be sent to `ListProviders` to request the next page. If this is empty, then there are no more pages." }, "unreachable": { "items": { "type": "string" }, "description": "Unreachable resources, if any.", "type": "array" } }, "description": "The response message for the `ListProviders` method.", "id": "ListProvidersResponse", "type": "object" }, "Provider": { "properties": { "eventTypes": { "readOnly": true, "description": "Output only. Event types for this provider.", "items": { "$ref": "EventType" }, "type": "array" }, "displayName": { "description": "Output only. Human friendly name for the Provider. For example \"Cloud Storage\".", "type": "string", "readOnly": true }, "name": { "readOnly": true, "type": "string", "description": "Output only. In `projects/{project}/locations/{location}/providers/{provider_id}` format." } }, "type": "object", "id": "Provider", "description": "A representation of the Provider resource." }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } } }, "GoogleLongrunningOperation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "GoogleLongrunningOperation", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "StateCondition": { "type": "object", "properties": { "message": { "type": "string", "description": "Human-readable message." }, "code": { "enumDescriptions": [ "Not an error; returned on success HTTP Mapping: 200 OK", "The operation was cancelled, typically by the caller. HTTP Mapping: 499 Client Closed Request", "Unknown error. For example, this error may be returned when a `Status` value received from another address space belongs to an error space that is not known in this address space. Also errors raised by APIs that do not return enough error information may be converted to this error. HTTP Mapping: 500 Internal Server Error", "The client specified an invalid argument. Note that this differs from `FAILED_PRECONDITION`. `INVALID_ARGUMENT` indicates arguments that are problematic regardless of the state of the system (e.g., a malformed file name). HTTP Mapping: 400 Bad Request", "The deadline expired before the operation could complete. For operations that change the state of the system, this error may be returned even if the operation has completed successfully. For example, a successful response from a server could have been delayed long enough for the deadline to expire. HTTP Mapping: 504 Gateway Timeout", "Some requested entity (e.g., file or directory) was not found. Note to server developers: if a request is denied for an entire class of users, such as gradual feature rollout or undocumented allowlist, `NOT_FOUND` may be used. If a request is denied for some users within a class of users, such as user-based access control, `PERMISSION_DENIED` must be used. HTTP Mapping: 404 Not Found", "The entity that a client attempted to create (e.g., file or directory) already exists. HTTP Mapping: 409 Conflict", "The caller does not have permission to execute the specified operation. `PERMISSION_DENIED` must not be used for rejections caused by exhausting some resource (use `RESOURCE_EXHAUSTED` instead for those errors). `PERMISSION_DENIED` must not be used if the caller can not be identified (use `UNAUTHENTICATED` instead for those errors). This error code does not imply the request is valid or the requested entity exists or satisfies other pre-conditions. HTTP Mapping: 403 Forbidden", "The request does not have valid authentication credentials for the operation. HTTP Mapping: 401 Unauthorized", "Some resource has been exhausted, perhaps a per-user quota, or perhaps the entire file system is out of space. HTTP Mapping: 429 Too Many Requests", "The operation was rejected because the system is not in a state required for the operation's execution. For example, the directory to be deleted is non-empty, an rmdir operation is applied to a non-directory, etc. Service implementors can use the following guidelines to decide between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`: (a) Use `UNAVAILABLE` if the client can retry just the failing call. (b) Use `ABORTED` if the client should retry at a higher level. For example, when a client-specified test-and-set fails, indicating the client should restart a read-modify-write sequence. (c) Use `FAILED_PRECONDITION` if the client should not retry until the system state has been explicitly fixed. For example, if an \"rmdir\" fails because the directory is non-empty, `FAILED_PRECONDITION` should be returned since the client should not retry unless the files are deleted from the directory. HTTP Mapping: 400 Bad Request", "The operation was aborted, typically due to a concurrency issue such as a sequencer check failure or transaction abort. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 409 Conflict", "The operation was attempted past the valid range. E.g., seeking or reading past end-of-file. Unlike `INVALID_ARGUMENT`, this error indicates a problem that may be fixed if the system state changes. For example, a 32-bit file system will generate `INVALID_ARGUMENT` if asked to read at an offset that is not in the range [0,2^32-1], but it will generate `OUT_OF_RANGE` if asked to read from an offset past the current file size. There is a fair bit of overlap between `FAILED_PRECONDITION` and `OUT_OF_RANGE`. We recommend using `OUT_OF_RANGE` (the more specific error) when it applies so that callers who are iterating through a space can easily look for an `OUT_OF_RANGE` error to detect when they are done. HTTP Mapping: 400 Bad Request", "The operation is not implemented or is not supported/enabled in this service. HTTP Mapping: 501 Not Implemented", "Internal errors. This means that some invariants expected by the underlying system have been broken. This error code is reserved for serious errors. HTTP Mapping: 500 Internal Server Error", "The service is currently unavailable. This is most likely a transient condition, which can be corrected by retrying with a backoff. Note that it is not always safe to retry non-idempotent operations. See the guidelines above for deciding between `FAILED_PRECONDITION`, `ABORTED`, and `UNAVAILABLE`. HTTP Mapping: 503 Service Unavailable", "Unrecoverable data loss or corruption. HTTP Mapping: 500 Internal Server Error" ], "description": "The canonical code of the condition.", "enum": [ "OK", "CANCELLED", "UNKNOWN", "INVALID_ARGUMENT", "DEADLINE_EXCEEDED", "NOT_FOUND", "ALREADY_EXISTS", "PERMISSION_DENIED", "UNAUTHENTICATED", "RESOURCE_EXHAUSTED", "FAILED_PRECONDITION", "ABORTED", "OUT_OF_RANGE", "UNIMPLEMENTED", "INTERNAL", "UNAVAILABLE", "DATA_LOSS" ], "type": "string" } }, "description": "A condition that is part of the trigger state computation.", "id": "StateCondition" }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "id": "AuditConfig" }, "Trigger": { "id": "Trigger", "description": "A representation of the trigger resource.", "properties": { "serviceAccount": { "type": "string", "description": "Optional. The IAM service account email associated with the trigger. The service account represents the identity of the trigger. The principal who calls this API must have the `iam.serviceAccounts.actAs` permission in the service account. See https://cloud.google.com/iam/docs/understanding-service-accounts?hl=en#sa_common for more information. For Cloud Run destinations, this service account is used to generate identity tokens when invoking the service. See https://cloud.google.com/run/docs/triggering/pubsub-push#create-service-account for information on how to invoke authenticated Cloud Run services. To create Audit Log triggers, the service account should also have the `roles/eventarc.eventReceiver` IAM role." }, "createTime": { "readOnly": true, "description": "Output only. The creation time.", "type": "string", "format": "google-datetime" }, "eventFilters": { "description": "Required. null The list of filters that applies to event attributes. Only events that match all the provided filters are sent to the destination.", "type": "array", "items": { "$ref": "EventFilter" } }, "updateTime": { "type": "string", "description": "Output only. The last-modified time.", "readOnly": true, "format": "google-datetime" }, "transport": { "$ref": "Transport", "description": "Optional. To deliver messages, Eventarc might use other GCP products as a transport intermediary. This field contains a reference to that transport intermediary. This information can be used for debugging purposes." }, "conditions": { "additionalProperties": { "$ref": "StateCondition" }, "readOnly": true, "type": "object", "description": "Output only. The reason(s) why a trigger is in FAILED state." }, "etag": { "type": "string", "readOnly": true, "description": "Output only. This checksum is computed by the server based on the value of other fields, and might be sent only on create requests to ensure that the client has an up-to-date value before proceeding." }, "destination": { "$ref": "Destination", "description": "Required. Destination specifies where the events should be sent to." }, "channel": { "type": "string", "description": "Optional. The name of the channel associated with the trigger in `projects/{project}/locations/{location}/channels/{channel}` format. You must provide a channel to receive events from Eventarc SaaS partners." }, "name": { "description": "Required. The resource name of the trigger. Must be unique within the location of the project and must be in `projects/{project}/locations/{location}/triggers/{trigger}` format.", "type": "string" }, "uid": { "readOnly": true, "type": "string", "description": "Output only. Server-assigned unique identifier for the trigger. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted." }, "labels": { "description": "Optional. User labels attached to the triggers that can be used to group resources.", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object" }, "CloudRun": { "description": "Represents a Cloud Run destination.", "type": "object", "id": "CloudRun", "properties": { "region": { "description": "Required. The region the Cloud Run service is deployed in.", "type": "string" }, "service": { "type": "string", "description": "Required. The name of the Cloud Run service being addressed. See https://cloud.google.com/run/docs/reference/rest/v1/namespaces.services. Only services located in the same project as the trigger object can be addressed." }, "path": { "description": "Optional. The relative path on the Cloud Run service the events should be sent to. The value must conform to the definition of a URI path segment (section 3.3 of RFC2396). Examples: \"/route\", \"route\", \"route/subroute\".", "type": "string" } } }, "OperationMetadata": { "properties": { "createTime": { "type": "string", "description": "Output only. The time the operation was created.", "format": "google-datetime", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "endTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the operation finished running.", "readOnly": true } }, "description": "Represents the metadata of the long-running operation.", "type": "object", "id": "OperationMetadata" }, "ListChannelConnectionsResponse": { "description": "The response message for the `ListChannelConnections` method.", "properties": { "unreachable": { "type": "array", "description": "Unreachable resources, if any.", "items": { "type": "string" } }, "channelConnections": { "type": "array", "description": "The requested channel connections, up to the number specified in `page_size`.", "items": { "$ref": "ChannelConnection" } }, "nextPageToken": { "description": "A page token that can be sent to `ListChannelConnections` to request the next page. If this is empty, then there are no more pages.", "type": "string" } }, "id": "ListChannelConnectionsResponse", "type": "object" }, "ListChannelsResponse": { "id": "ListChannelsResponse", "properties": { "nextPageToken": { "description": "A page token that can be sent to `ListChannels` to request the next page. If this is empty, then there are no more pages.", "type": "string" }, "channels": { "type": "array", "description": "The requested channels, up to the number specified in `page_size`.", "items": { "$ref": "Channel" } }, "unreachable": { "items": { "type": "string" }, "description": "Unreachable resources, if any.", "type": "array" } }, "description": "The response message for the `ListChannels` method.", "type": "object" }, "Channel": { "id": "Channel", "description": "A representation of the Channel resource. A Channel is a resource on which event providers publish their events. The published events are delivered through the transport associated with the channel. Note that a channel is associated with exactly one event provider.", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The creation time.", "readOnly": true }, "activationToken": { "readOnly": true, "description": "Output only. The activation token for the channel. The token must be used by the provider to register the channel for publishing.", "type": "string" }, "updateTime": { "type": "string", "description": "Output only. The last-modified time.", "readOnly": true, "format": "google-datetime" }, "pubsubTopic": { "type": "string", "readOnly": true, "description": "Output only. The name of the Pub/Sub topic created and managed by Eventarc system as a transport for the event delivery. Format: `projects/{project}/topics/{topic_id}`." }, "uid": { "description": "Output only. Server assigned unique identifier for the channel. The value is a UUID4 string and guaranteed to remain unchanged until the resource is deleted.", "readOnly": true, "type": "string" }, "state": { "enumDescriptions": [ "Default value. This value is unused.", "The PENDING state indicates that a Channel has been created successfully and there is a new activation token available for the subscriber to use to convey the Channel to the provider in order to create a Connection.", "The ACTIVE state indicates that a Channel has been successfully connected with the event provider. An ACTIVE Channel is ready to receive and route events from the event provider.", "The INACTIVE state indicates that the Channel cannot receive events permanently. There are two possible cases this state can happen: 1. The SaaS provider disconnected from this Channel. 2. The Channel activation token has expired but the SaaS provider wasn't connected. To re-establish a Connection with a provider, the subscriber should create a new Channel and give it to the provider." ], "description": "Output only. The state of a Channel.", "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "PENDING", "ACTIVE", "INACTIVE" ] }, "name": { "description": "Required. The resource name of the channel. Must be unique within the location on the project and must be in `projects/{project}/locations/{location}/channels/{channel_id}` format.", "type": "string" }, "cryptoKeyName": { "description": "Optional. Resource name of a KMS crypto key (managed by the user) used to encrypt/decrypt their event data. It must match the pattern `projects/*/locations/*/keyRings/*/cryptoKeys/*`.", "type": "string" }, "provider": { "type": "string", "description": "The name of the event provider (e.g. Eventarc SaaS partner) associated with the channel. This provider will be granted permissions to publish events to the channel. Format: `projects/{project}/locations/{location}/providers/{provider_id}`." } }, "type": "object" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" } }, "id": "ListLocationsResponse", "type": "object" }, "Transport": { "type": "object", "id": "Transport", "properties": { "pubsub": { "$ref": "Pubsub", "description": "The Pub/Sub topic and subscription used by Eventarc as a transport intermediary." } }, "description": "Represents the transport intermediaries created for the trigger to deliver events." }, "Destination": { "description": "Represents a target of an invocation over HTTP.", "id": "Destination", "type": "object", "properties": { "cloudFunction": { "type": "string", "description": "The Cloud Function resource name. Only Cloud Functions V2 is supported. Format: `projects/{project}/locations/{location}/functions/{function}`" }, "cloudRun": { "description": "Cloud Run fully-managed resource that receives the events. The resource should be in the same project as the trigger.", "$ref": "CloudRun" }, "gke": { "$ref": "GKE", "description": "A GKE service capable of receiving events. The service should be running in the same project as the trigger." }, "workflow": { "type": "string", "description": "The resource name of the Workflow whose Executions are triggered by the events. The Workflow resource should be deployed in the same project as the trigger. Format: `projects/{project}/locations/{location}/workflows/{workflow}`" } } }, "GoogleRpcStatus": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" } }, "type": "object" }, "AuditLogConfig": { "properties": { "logType": { "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } }, "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "GoogleLongrunningCancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "id": "GoogleLongrunningCancelOperationRequest", "properties": {} }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "type": "object", "properties": { "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "TestIamPermissionsResponse": { "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } }, "type": "object", "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse" }, "GKE": { "id": "GKE", "type": "object", "properties": { "cluster": { "type": "string", "description": "Required. The name of the cluster the GKE service is running in. The cluster must be running in the same project as the trigger being created." }, "path": { "type": "string", "description": "Optional. The relative path on the GKE service the events should be sent to. The value must conform to the definition of a URI path segment (section 3.3 of RFC2396). Examples: \"/route\", \"route\", \"route/subroute\"." }, "namespace": { "description": "Required. The namespace the GKE service is running in.", "type": "string" }, "service": { "type": "string", "description": "Required. Name of the GKE service." }, "location": { "type": "string", "description": "Required. The name of the Google Compute Engine in which the cluster resides, which can either be compute zone (for example, us-central1-a) for the zonal clusters or region (for example, us-central1) for regional clusters." } }, "description": "Represents a GKE destination." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "EventType": { "id": "EventType", "type": "object", "description": "A representation of the event type resource.", "properties": { "filteringAttributes": { "readOnly": true, "items": { "$ref": "FilteringAttribute" }, "type": "array", "description": "Output only. Filtering attributes for the event type." }, "description": { "readOnly": true, "description": "Output only. Human friendly description of what the event type is about. For example \"Bucket created in Cloud Storage\".", "type": "string" }, "type": { "readOnly": true, "type": "string", "description": "Output only. The full name of the event type (for example, \"google.cloud.storage.object.v1.finalized\"). In the form of {provider-specific-prefix}.{resource}.{version}.{verb}. Types MUST be versioned and event schemas are guaranteed to remain backward compatible within one version. Note that event type versions and API versions do not need to match." }, "eventSchemaUri": { "type": "string", "description": "Output only. URI for the event schema. For example \"https://github.com/googleapis/google-cloudevents/blob/master/proto/google/events/cloud/storage/v1/events.proto\"", "readOnly": true } } }, "GoogleLongrunningListOperationsResponse": { "id": "GoogleLongrunningListOperationsResponse", "type": "object", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations." }, "FilteringAttribute": { "id": "FilteringAttribute", "description": "A representation of the FilteringAttribute resource. Filtering attributes are per event type.", "type": "object", "properties": { "pathPatternSupported": { "type": "boolean", "readOnly": true, "description": "Output only. If true, the attribute accepts matching expressions in the Eventarc PathPattern format." }, "description": { "readOnly": true, "type": "string", "description": "Output only. Description of the purpose of the attribute." }, "attribute": { "readOnly": true, "description": "Output only. Attribute used for filtering the event type.", "type": "string" }, "required": { "type": "boolean", "readOnly": true, "description": "Output only. If true, the triggers for this provider should always specify a filter on these attributes. Trigger creation will fail otherwise." } } }, "Location": { "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "id": "TestIamPermissionsRequest", "type": "object" }, "ListTriggersResponse": { "id": "ListTriggersResponse", "properties": { "nextPageToken": { "description": "A page token that can be sent to `ListTriggers` to request the next page. If this is empty, then there are no more pages.", "type": "string" }, "unreachable": { "description": "Unreachable resources, if any.", "items": { "type": "string" }, "type": "array" }, "triggers": { "type": "array", "items": { "$ref": "Trigger" }, "description": "The requested triggers, up to the number specified in `page_size`." } }, "type": "object", "description": "The response message for the `ListTriggers` method." }, "Pubsub": { "description": "Represents a Pub/Sub transport.", "type": "object", "properties": { "subscription": { "description": "Output only. The name of the Pub/Sub subscription created and managed by Eventarc as a transport for the event delivery. Format: `projects/{PROJECT_ID}/subscriptions/{SUBSCRIPTION_NAME}`.", "readOnly": true, "type": "string" }, "topic": { "description": "Optional. The name of the Pub/Sub topic created and managed by Eventarc as a transport for the event delivery. Format: `projects/{PROJECT_ID}/topics/{TOPIC_NAME}`. You can set an existing topic for triggers of the type `google.cloud.pubsub.topic.v1.messagePublished`. The topic you provide here is not deleted by Eventarc at trigger deletion.", "type": "string" } }, "id": "Pubsub" } }, "name": "eventarc", "fullyEncodeReservedExpansion": true, "servicePath": "", "baseUrl": "https://eventarc.googleapis.com/", "documentationLink": "https://cloud.google.com/eventarc", "canonicalName": "Eventarc", "kind": "discovery#restDescription", "discoveryVersion": "v1", "version": "v1", "revision": "20220628", "batchPath": "batch", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
