local decode = require("cjson").new().decode
return assert(decode([===[
{ "documentationLink": "https://cloud.google.com/eventarc", "revision": "20220628", "mtlsRootUrl": "https://eventarc.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version_module": true, "version": "v1beta1", "basePath": "", "name": "eventarc", "ownerName": "Google", "baseUrl": "https://eventarc.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "servicePath": "", "id": "eventarc:v1beta1", "rootUrl": "https://eventarc.googleapis.com/", "protocol": "rest", "parameters": { "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" } }, "discoveryVersion": "v1", "schemas": { "ListLocationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } } }, "type": "object" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "id": "ListOperationsResponse" }, "AuditConfig": { "id": "AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } } }, "Transport": { "id": "Transport", "description": "Represents the transport intermediaries created for the trigger in order to deliver events.", "properties": { "pubsub": { "$ref": "Pubsub", "description": "The Pub/Sub topic and subscription used by Eventarc as delivery intermediary." } }, "type": "object" }, "Binding": { "type": "object", "properties": { "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "description": "Response message for `TestIamPermissions` method." }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "type": "object", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." } }, "id": "Location" }, "ListTriggersResponse": { "description": "The response message for the ListTriggers method.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A page token that can be sent to ListTriggers to request the next page. If this is empty, then there are no more pages." }, "triggers": { "description": "The requested triggers, up to the number specified in `page_size`.", "items": { "$ref": "Trigger" }, "type": "array" }, "unreachable": { "description": "Unreachable resources, if any.", "items": { "type": "string" }, "type": "array" } }, "id": "ListTriggersResponse" }, "Policy": { "properties": { "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" }, "type": "array" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "Expr": { "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } }, "type": "object" }, "CancelOperationRequest": { "properties": {}, "type": "object", "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation." }, "Pubsub": { "description": "Represents a Pub/Sub transport.", "properties": { "subscription": { "type": "string", "readOnly": true, "description": "Output only. The name of the Pub/Sub subscription created and managed by Eventarc system as a transport for the event delivery. Format: `projects/{PROJECT_ID}/subscriptions/{SUBSCRIPTION_NAME}`." }, "topic": { "description": "Optional. The name of the Pub/Sub topic created and managed by Eventarc system as a transport for the event delivery. Format: `projects/{PROJECT_ID}/topics/{TOPIC_NAME}`. You may set an existing topic for triggers of the type `google.cloud.pubsub.topic.v1.messagePublished` only. The topic you provide here will not be deleted by Eventarc at trigger deletion.", "type": "string" } }, "type": "object", "id": "Pubsub" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } } }, "Status": { "id": "Status", "type": "object", "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "CloudRunService": { "type": "object", "id": "CloudRunService", "properties": { "service": { "type": "string", "description": "Required. The name of the Cloud run service being addressed (see https://cloud.google.com/run/docs/reference/rest/v1/namespaces.services). Only services located in the same project of the trigger object can be addressed." }, "region": { "type": "string", "description": "Required. The region the Cloud Run service is deployed in." }, "path": { "type": "string", "description": "Optional. The relative path on the Cloud Run service the events should be sent to. The value must conform to the definition of URI path segment (section 3.3 of RFC2396). Examples: \"/route\", \"route\", \"route/subroute\"." } }, "description": "Represents a Cloud Run service destination." }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "id": "TestIamPermissionsRequest", "type": "object" }, "Operation": { "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } }, "type": "object", "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "OperationMetadata": { "id": "OperationMetadata", "properties": { "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true, "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation was created.", "type": "string" }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." } }, "description": "Represents the metadata of the long-running operation.", "type": "object" }, "Trigger": { "description": "A representation of the trigger resource.", "properties": { "createTime": { "format": "google-datetime", "description": "Output only. The creation time.", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. The last-modified time.", "type": "string", "format": "google-datetime", "readOnly": true }, "transport": { "description": "Output only. In order to deliver messages, Eventarc may use other GCP products as transport intermediary. This field contains a reference to that transport intermediary. This information can be used for debugging purposes.", "readOnly": true, "$ref": "Transport" }, "matchingCriteria": { "items": { "$ref": "MatchingCriteria" }, "description": "Required. null The criteria by which events are filtered. Only events that match with this criteria will be sent to the destination.", "type": "array" }, "etag": { "description": "Output only. This checksum is computed by the server based on the value of other fields, and may be sent only on create requests to ensure the client has an up-to-date value before proceeding.", "type": "string", "readOnly": true }, "serviceAccount": { "description": "Optional. The IAM service account email associated with the trigger. The service account represents the identity of the trigger. The principal who calls this API must have `iam.serviceAccounts.actAs` permission in the service account. See https://cloud.google.com/iam/docs/understanding-service-accounts?hl=en#sa_common for more information. For Cloud Run destinations, this service account is used to generate identity tokens when invoking the service. See https://cloud.google.com/run/docs/triggering/pubsub-push#create-service-account for information on how to invoke authenticated Cloud Run services. In order to create Audit Log triggers, the service account should also have 'eventarc.events.receiveAuditLogV1Written' permission.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. User labels attached to the triggers that can be used to group resources.", "type": "object" }, "destination": { "description": "Required. Destination specifies where the events should be sent to.", "$ref": "Destination" }, "name": { "description": "Required. The resource name of the trigger. Must be unique within the location on the project and must in `projects/{project}/locations/{location}/triggers/{trigger}` format.", "type": "string" } }, "type": "object", "id": "Trigger" }, "Destination": { "properties": { "cloudRunService": { "$ref": "CloudRunService", "description": "Cloud Run fully-managed service that receives the events. The service should be running in the same project as the trigger." } }, "description": "Represents a target of an invocation over HTTP.", "type": "object", "id": "Destination" }, "MatchingCriteria": { "type": "object", "properties": { "value": { "description": "Required. The value for the attribute.", "type": "string" }, "attribute": { "type": "string", "description": "Required. The name of a CloudEvents attribute. Currently, only a subset of attributes can be specified. All triggers MUST provide a matching criteria for the 'type' attribute." } }, "id": "MatchingCriteria", "description": "Matches events based on exact matches on the CloudEvents attributes." } }, "title": "Eventarc API", "description": "Build event-driven applications on Google Cloud Platform.", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "Location" }, "id": "eventarc.projects.locations.get", "description": "Gets information about a location.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "location": "path", "required": true } } }, "list": { "path": "v1beta1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListLocationsResponse" }, "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "The resource that owns the locations collection, if applicable." }, "filter": { "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query" } }, "id": "eventarc.projects.locations.list", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations", "httpMethod": "GET", "description": "Lists information about the supported locations for this service." } }, "resources": { "operations": { "methods": { "delete": { "id": "eventarc.projects.locations.operations.delete", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta1/{+name}", "httpMethod": "DELETE" }, "cancel": { "path": "v1beta1/{+name}:cancel", "response": { "$ref": "Empty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the operation resource to be cancelled." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CancelOperationRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "eventarc.projects.locations.operations.cancel" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1beta1/{+name}/operations", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "eventarc.projects.locations.operations.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The standard list page size." }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "The name of the operation's parent resource." } } }, "get": { "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "required": true } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "Operation" }, "httpMethod": "GET", "id": "eventarc.projects.locations.operations.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}" } } }, "triggers": { "methods": { "setIamPolicy": { "parameterOrder": [ "resource" ], "id": "eventarc.projects.locations.triggers.setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "path": "v1beta1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "patch": { "response": { "$ref": "Operation" }, "request": { "$ref": "Trigger" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "required": true, "description": "Required. The resource name of the trigger. Must be unique within the location on the project and must in `projects/{project}/locations/{location}/triggers/{trigger}` format.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$" }, "validateOnly": { "description": "Required. If set, validate the request and preview the review, but do not actually post it.", "location": "query", "type": "boolean" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "The fields to be updated; only fields explicitly provided will be updated. If no field mask is provided, all provided fields in the request will be updated. To update all fields, provide a field mask of \"*\".", "type": "string" }, "allowMissing": { "location": "query", "description": "If set to true, and the trigger is not found, a new trigger will be created. In this situation, `update_mask` is ignored.", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "eventarc.projects.locations.triggers.patch", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}", "description": "Update a single trigger.", "path": "v1beta1/{+name}" }, "get": { "description": "Get a single trigger.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the trigger to get.", "location": "path" } }, "response": { "$ref": "Trigger" }, "id": "eventarc.projects.locations.triggers.get", "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}", "path": "v1beta1/{+name}" }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}", "description": "Delete a single trigger.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "eventarc.projects.locations.triggers.delete", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "parameters": { "allowMissing": { "description": "If set to true, and the trigger is not found, the request will succeed but no action will be taken on the server.", "location": "query", "type": "boolean" }, "etag": { "description": "If provided, the trigger will only be deleted if the etag matches the current etag on the resource.", "location": "query", "type": "string" }, "name": { "description": "Required. The name of the trigger to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "required": true, "location": "path", "type": "string" }, "validateOnly": { "description": "Required. If set, validate the request and preview the review, but do not actually post it.", "type": "boolean", "location": "query" } } }, "list": { "description": "List triggers.", "parameters": { "orderBy": { "location": "query", "description": "The sorting order of the resources returned. Value should be a comma separated list of fields. The default sorting oder is ascending. To specify descending order for a field, append a ` desc` suffix; for example: `name desc, trigger_id`.", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of triggers to return on each page. Note: The service may send fewer.", "type": "integer", "location": "query" }, "parent": { "location": "path", "description": "Required. The parent collection to list triggers on.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "type": "string", "description": "The page token; provide the value from the `next_page_token` field in a previous `ListTriggers` call to retrieve the subsequent page. When paginating, all other parameters provided to `ListTriggers` must match the call that provided the page token.", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListTriggersResponse" }, "id": "eventarc.projects.locations.triggers.list", "path": "v1beta1/{+parent}/triggers" }, "getIamPolicy": { "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:getIamPolicy", "id": "eventarc.projects.locations.triggers.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers", "id": "eventarc.projects.locations.triggers.create", "parameters": { "validateOnly": { "location": "query", "type": "boolean", "description": "Required. If set, validate the request and preview the review, but do not actually post it." }, "triggerId": { "location": "query", "description": "Required. The user-provided ID to be assigned to the trigger.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Required. The parent collection in which to add this trigger.", "location": "path" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Create a new trigger in a particular project and location.", "request": { "$ref": "Trigger" }, "path": "v1beta1/{+parent}/triggers" }, "testIamPermissions": { "id": "eventarc.projects.locations.triggers.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1beta1/{+resource}:testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/triggers/{triggersId}:testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/triggers/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "TestIamPermissionsRequest" } } } } } } } } }, "batchPath": "batch", "canonicalName": "Eventarc", "ownerDomain": "google.com" }
]===]))
