local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://factchecktools.mtls.googleapis.com/", "servicePath": "", "parameters": { "alt": { "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." } }, "name": "factchecktools", "revision": "20220711", "protocol": "rest", "version": "v1alpha1", "resources": { "pages": { "methods": { "list": { "parameterOrder": [], "id": "factchecktools.pages.list", "parameters": { "offset": { "location": "query", "description": "An integer that specifies the current offset (that is, starting result location) in search results. This field is only considered if `page_token` is unset, and if the request is not for a specific URL. For example, 0 means to return results starting from the first matching result, and 10 means to return from the 11th result.", "format": "int32", "type": "integer" }, "url": { "description": "The URL from which to get `ClaimReview` markup. There will be at most one result. If markup is associated with a more canonical version of the URL provided, we will return that URL instead. Cannot be specified along with an organization.", "type": "string", "location": "query" }, "pageSize": { "description": "The pagination size. We will return up to that many results. Defaults to 10 if not set. Has no effect if a URL is requested.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "description": "The pagination token. You may provide the `next_page_token` returned from a previous List request, if any, in order to get the next page. All other fields must have the same values as in the previous request.", "type": "string", "location": "query" }, "organization": { "type": "string", "location": "query", "description": "The organization for which we want to fetch markups for. For instance, \"site.com\". Cannot be specified along with an URL." } }, "description": "List the `ClaimReview` markup pages for a specific URL or for an organization.", "path": "v1alpha1/pages", "response": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ListClaimReviewMarkupPagesResponse" }, "flatPath": "v1alpha1/pages", "scopes": [ "https://www.googleapis.com/auth/userinfo.email" ], "httpMethod": "GET" }, "delete": { "response": { "$ref": "GoogleProtobufEmpty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "name": { "location": "path", "pattern": "^pages/[^/]+$", "required": true, "type": "string", "description": "The name of the resource to delete, in the form of `pages/{page_id}`." } }, "id": "factchecktools.pages.delete", "httpMethod": "DELETE", "path": "v1alpha1/{+name}", "description": "Delete all `ClaimReview` markup on a page.", "flatPath": "v1alpha1/pages/{pagesId}" }, "update": { "flatPath": "v1alpha1/pages/{pagesId}", "path": "v1alpha1/{+name}", "request": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^pages/[^/]+$", "description": "The name of this `ClaimReview` markup page resource, in the form of `pages/{page_id}`. Except for update requests, this field is output-only and should not be set by the user." } }, "description": "Update for all `ClaimReview` markup on a page Note that this is a full update. To retain the existing `ClaimReview` markup on a page, first perform a Get operation, then modify the returned markup, and finally call Update with the entire `ClaimReview` markup as the body.", "httpMethod": "PUT", "scopes": [ "https://www.googleapis.com/auth/userinfo.email" ], "response": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "parameterOrder": [ "name" ], "id": "factchecktools.pages.update" }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Get all `ClaimReview` markup on a page.", "scopes": [ "https://www.googleapis.com/auth/userinfo.email" ], "parameters": { "name": { "type": "string", "description": "The name of the resource to get, in the form of `pages/{page_id}`.", "pattern": "^pages/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "flatPath": "v1alpha1/pages/{pagesId}", "id": "factchecktools.pages.get", "path": "v1alpha1/{+name}" }, "create": { "parameters": {}, "id": "factchecktools.pages.create", "response": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "path": "v1alpha1/pages", "scopes": [ "https://www.googleapis.com/auth/userinfo.email" ], "parameterOrder": [], "description": "Create `ClaimReview` markup on a page.", "request": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "httpMethod": "POST", "flatPath": "v1alpha1/pages" } } }, "claims": { "methods": { "search": { "parameterOrder": [], "path": "v1alpha1/claims:search", "response": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1FactCheckedClaimSearchResponse" }, "parameters": { "pageSize": { "location": "query", "description": "The pagination size. We will return up to that many results. Defaults to 10 if not set.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "description": "The pagination token. You may provide the `next_page_token` returned from a previous List request, if any, in order to get the next page. All other fields must have the same values as in the previous request.", "location": "query" }, "maxAgeDays": { "description": "The maximum age of the returned search results, in days. Age is determined by either claim date or review date, whichever is newer.", "type": "integer", "format": "int32", "location": "query" }, "offset": { "format": "int32", "location": "query", "description": "An integer that specifies the current offset (that is, starting result location) in search results. This field is only considered if `page_token` is unset. For example, 0 means to return results starting from the first matching result, and 10 means to return from the 11th result.", "type": "integer" }, "query": { "type": "string", "description": "Textual query string. Required unless `review_publisher_site_filter` is specified.", "location": "query" }, "reviewPublisherSiteFilter": { "description": "The review publisher site to filter results by, e.g. nytimes.com.", "type": "string", "location": "query" }, "languageCode": { "location": "query", "type": "string", "description": "The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". Can be used to restrict results by language, though we do not currently consider the region." } }, "id": "factchecktools.claims.search", "description": "Search through fact-checked claims.", "flatPath": "v1alpha1/claims:search", "httpMethod": "GET" } } } }, "schemas": { "GoogleFactcheckingFactchecktoolsV1alpha1ClaimAuthor": { "description": "Information about the claim author.", "properties": { "imageUrl": { "description": "Corresponds to `ClaimReview.itemReviewed.author.image`.", "type": "string" }, "sameAs": { "description": "Corresponds to `ClaimReview.itemReviewed.author.sameAs`.", "type": "string" }, "jobTitle": { "type": "string", "description": "Corresponds to `ClaimReview.itemReviewed.author.jobTitle`." }, "name": { "description": "A person or organization stating the claim. For instance, \"John Doe\". Corresponds to `ClaimReview.itemReviewed.author.name`.", "type": "string" } }, "type": "object", "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimAuthor" }, "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReview": { "description": "Information about a claim review.", "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReview", "properties": { "publisher": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1Publisher", "description": "The publisher of this claim review." }, "reviewDate": { "description": "The date the claim was reviewed.", "type": "string", "format": "google-datetime" }, "textualRating": { "type": "string", "description": "Textual rating. For instance, \"Mostly false\"." }, "languageCode": { "type": "string", "description": "The language this review was written in. For instance, \"en\" or \"de\"." }, "url": { "type": "string", "description": "The URL of this claim review." }, "title": { "description": "The title of this claim review, if it can be determined.", "type": "string" } }, "type": "object" }, "GoogleFactcheckingFactchecktoolsV1alpha1FactCheckedClaimSearchResponse": { "description": "Response from searching fact-checked claims.", "type": "object", "properties": { "nextPageToken": { "description": "The next pagination token in the Search response. It should be used as the `page_token` for the following request. An empty value means no more results.", "type": "string" }, "claims": { "description": "The list of claims and all of their associated information.", "type": "array", "items": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1Claim" } } }, "id": "GoogleFactcheckingFactchecktoolsV1alpha1FactCheckedClaimSearchResponse" }, "GoogleFactcheckingFactchecktoolsV1alpha1Claim": { "properties": { "text": { "description": "The claim text. For instance, \"Crime has doubled in the last 2 years.\"", "type": "string" }, "claimDate": { "format": "google-datetime", "type": "string", "description": "The date that the claim was made." }, "claimant": { "description": "A person or organization stating the claim. For instance, \"John Doe\".", "type": "string" }, "claimReview": { "items": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReview" }, "description": "One or more reviews of this claim (namely, a fact-checking article).", "type": "array" } }, "type": "object", "id": "GoogleFactcheckingFactchecktoolsV1alpha1Claim", "description": "Information about the claim." }, "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewAuthor": { "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewAuthor", "description": "Information about the claim review author.", "properties": { "imageUrl": { "description": "Corresponds to `ClaimReview.author.image`.", "type": "string" }, "name": { "description": "Name of the organization that is publishing the fact check. Corresponds to `ClaimReview.author.name`.", "type": "string" } }, "type": "object" }, "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage": { "description": "Holds one or more instances of `ClaimReview` markup for a webpage.", "type": "object", "properties": { "claimReviewAuthor": { "description": "Info about the author of this claim review. Similar to the above, semantically these are page-level fields, and each `ClaimReview` on this page will contain the same values.", "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewAuthor" }, "claimReviewMarkups": { "description": "A list of individual claim reviews for this page. Each item in the list corresponds to one `ClaimReview` element.", "items": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkup" }, "type": "array" }, "pageUrl": { "description": "The URL of the page associated with this `ClaimReview` markup. While every individual `ClaimReview` has its own URL field, semantically this is a page-level field, and each `ClaimReview` on this page will use this value unless individually overridden. Corresponds to `ClaimReview.url`", "type": "string" }, "name": { "type": "string", "description": "The name of this `ClaimReview` markup page resource, in the form of `pages/{page_id}`. Except for update requests, this field is output-only and should not be set by the user." }, "publishDate": { "description": "The date when the fact check was published. Similar to the URL, semantically this is a page-level field, and each `ClaimReview` on this page will contain the same value. Corresponds to `ClaimReview.datePublished`", "type": "string" }, "versionId": { "description": "The version ID for this markup. Except for update requests, this field is output-only and should not be set by the user.", "type": "string" } }, "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" }, "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkup": { "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkup", "properties": { "claimFirstAppearance": { "description": "A link to a work in which this claim first appears. Corresponds to `ClaimReview.itemReviewed[@type=Claim].firstAppearance.url`.", "type": "string" }, "rating": { "description": "Info about the rating of this claim review.", "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimRating" }, "claimDate": { "description": "The date when the claim was made or entered public discourse. Corresponds to `ClaimReview.itemReviewed.datePublished`.", "type": "string" }, "claimLocation": { "description": "The location where this claim was made. Corresponds to `ClaimReview.itemReviewed.name`.", "type": "string" }, "claimAppearances": { "type": "array", "description": "A list of links to works in which this claim appears, aside from the one specified in `claim_first_appearance`. Corresponds to `ClaimReview.itemReviewed[@type=Claim].appearance.url`.", "items": { "type": "string" } }, "claimAuthor": { "description": "Info about the author of this claim.", "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimAuthor" }, "url": { "type": "string", "description": "This field is optional, and will default to the page URL. We provide this field to allow you the override the default value, but the only permitted override is the page URL plus an optional anchor link (\"page jump\"). Corresponds to `ClaimReview.url`" }, "claimReviewed": { "type": "string", "description": "A short summary of the claim being evaluated. Corresponds to `ClaimReview.claimReviewed`." } }, "type": "object", "description": "Fields for an individual `ClaimReview` element. Except for sub-messages that group fields together, each of these fields correspond those in https://schema.org/ClaimReview. We list the precise mapping for each field." }, "GoogleFactcheckingFactchecktoolsV1alpha1Publisher": { "id": "GoogleFactcheckingFactchecktoolsV1alpha1Publisher", "description": "Information about the publisher.", "type": "object", "properties": { "site": { "type": "string", "description": "Host-level site name, without the protocol or \"www\" prefix. For instance, \"awesomefactchecks.com\". This value of this field is based purely on the claim review URL." }, "name": { "type": "string", "description": "The name of this publisher. For instance, \"Awesome Fact Checks\"." } } }, "GoogleProtobufEmpty": { "type": "object", "properties": {}, "id": "GoogleProtobufEmpty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "GoogleFactcheckingFactchecktoolsV1alpha1ClaimRating": { "type": "object", "properties": { "bestRating": { "type": "integer", "format": "int32", "description": "For numeric ratings, the best value possible in the scale from worst to best. Corresponds to `ClaimReview.reviewRating.bestRating`." }, "imageUrl": { "type": "string", "description": "Corresponds to `ClaimReview.reviewRating.image`." }, "worstRating": { "description": "For numeric ratings, the worst value possible in the scale from worst to best. Corresponds to `ClaimReview.reviewRating.worstRating`.", "type": "integer", "format": "int32" }, "ratingExplanation": { "description": "Corresponds to `ClaimReview.reviewRating.ratingExplanation`.", "type": "string" }, "ratingValue": { "type": "integer", "description": "A numeric rating of this claim, in the range worstRating — bestRating inclusive. Corresponds to `ClaimReview.reviewRating.ratingValue`.", "format": "int32" }, "textualRating": { "description": "The truthfulness rating as a human-readible short word or phrase. Corresponds to `ClaimReview.reviewRating.alternateName`.", "type": "string" } }, "description": "Information about the claim rating.", "id": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimRating" }, "GoogleFactcheckingFactchecktoolsV1alpha1ListClaimReviewMarkupPagesResponse": { "description": "Response from listing `ClaimReview` markup.", "type": "object", "properties": { "claimReviewMarkupPages": { "type": "array", "description": "The result list of pages of `ClaimReview` markup.", "items": { "$ref": "GoogleFactcheckingFactchecktoolsV1alpha1ClaimReviewMarkupPage" } }, "nextPageToken": { "description": "The next pagination token in the Search response. It should be used as the `page_token` for the following request. An empty value means no more results.", "type": "string" } }, "id": "GoogleFactcheckingFactchecktoolsV1alpha1ListClaimReviewMarkupPagesResponse" } }, "basePath": "", "rootUrl": "https://factchecktools.googleapis.com/", "version_module": true, "baseUrl": "https://factchecktools.googleapis.com/", "ownerDomain": "google.com", "title": "Fact Check Tools API", "kind": "discovery#restDescription", "ownerName": "Google", "batchPath": "batch", "description": "", "discoveryVersion": "v1", "id": "factchecktools:v1alpha1", "canonicalName": "Fact Check Tools", "documentationLink": "https://developers.google.com/fact-check/tools/api/", "fullyEncodeReservedExpansion": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/userinfo.email": { "description": "See your primary Google Account email address" } } } } }
]===]))
