local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://fcmdata.googleapis.com/", "version_module": true, "name": "fcmdata", "discoveryVersion": "v1", "title": "Firebase Cloud Messaging Data API", "canonicalName": "Fcmdata", "ownerName": "Google", "description": "Provides additional information about Firebase Cloud Messaging (FCM) message sends and deliveries.", "resources": { "projects": { "resources": { "androidApps": { "resources": { "deliveryData": { "methods": { "list": { "parameterOrder": [ "parent" ], "id": "fcmdata.projects.androidApps.deliveryData.list", "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/deliveryData", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "List aggregate delivery data for the given Android application.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous `ListAndroidDeliveryDataRequest` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListAndroidDeliveryDataRequest` must match the call that provided the page token." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/androidApps/[^/]+$", "type": "string", "description": "Required. The application for which to list delivery data. Format: `projects/{project_id}/androidApps/{app_id}`" }, "pageSize": { "description": "The maximum number of entries to return. The service may return fewer than this value. If unspecified, at most 1,000 entries will be returned. The maximum value is 10,000; values above 10,000 will be capped to 10,000. This default may change over time.", "format": "int32", "location": "query", "type": "integer" } }, "path": "v1beta1/{+parent}/deliveryData", "response": { "$ref": "GoogleFirebaseFcmDataV1beta1ListAndroidDeliveryDataResponse" } } } } } } } } }, "rootUrl": "https://fcmdata.googleapis.com/", "parameters": { "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "alt": { "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." } }, "documentationLink": "https://firebase.google.com/docs/cloud-messaging", "kind": "discovery#restDescription", "protocol": "rest", "version": "v1beta1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "fcmdata:v1beta1", "revision": "20220711", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "batchPath": "batch", "servicePath": "", "basePath": "", "ownerDomain": "google.com", "mtlsRootUrl": "https://fcmdata.mtls.googleapis.com/", "schemas": { "GoogleFirebaseFcmDataV1beta1ListAndroidDeliveryDataResponse": { "id": "GoogleFirebaseFcmDataV1beta1ListAndroidDeliveryDataResponse", "type": "object", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "androidDeliveryData": { "type": "array", "items": { "$ref": "GoogleFirebaseFcmDataV1beta1AndroidDeliveryData" }, "description": "The delivery data for the provided app. There will be one entry per combination of app, date, and analytics label." } }, "description": "Response message for ListAndroidDeliveryData." }, "GoogleFirebaseFcmDataV1beta1MessageOutcomePercents": { "description": "Percentage breakdown of message delivery outcomes. These categories are mutually exclusive. All percentages are calculated with countMessagesAccepted as the denominator. These categories may not account for all message outcomes.", "properties": { "droppedDeviceInactive": { "type": "number", "description": "The percentage of accepted messages that were dropped because the target device is inactive. FCM will drop messages if the target device is deemed inactive by our servers. If a device does reconnect, we call [OnDeletedMessages()](https://firebase.google.com/docs/cloud-messaging/android/receive#override-ondeletedmessages) in our SDK instead of delivering the messages.", "format": "float" }, "droppedAppForceStopped": { "format": "float", "description": "The percentage of accepted messages that were dropped because the application was force stopped on the device at the time of delivery and retries were unsuccessful.", "type": "number" }, "droppedTooManyPendingMessages": { "format": "float", "description": "The percentage of accepted messages that were dropped due to [too many undelivered non-collapsible messages](https://firebase.google.com/docs/cloud-messaging/concept-options#collapsible_and_non-collapsible_messages). Specifically, each app instance can only have 100 pending messages stored on our servers for a device which is disconnected. When that device reconnects, those messages are delivered. When there are more than the maximum pending messages, we call [OnDeletedMessages()](https://firebase.google.com/docs/cloud-messaging/android/receive#override-ondeletedmessages) in our SDK instead of delivering the messages.", "type": "number" }, "delivered": { "type": "number", "description": "The percentage of all accepted messages that were successfully delivered to the device.", "format": "float" }, "pending": { "description": "The percentage of messages accepted on this day that were not dropped and not delivered, due to the device being disconnected (as of the end of the America/Los_Angeles day when the message was sent to FCM). A portion of these messages will be delivered the next day when the device connects but others may be destined to devices that ultimately never reconnect.", "type": "number", "format": "float" } }, "id": "GoogleFirebaseFcmDataV1beta1MessageOutcomePercents", "type": "object" }, "GoogleFirebaseFcmDataV1beta1AndroidDeliveryData": { "id": "GoogleFirebaseFcmDataV1beta1AndroidDeliveryData", "properties": { "appId": { "type": "string", "description": "The app ID to which the messages were sent." }, "data": { "$ref": "GoogleFirebaseFcmDataV1beta1Data", "description": "The data for the specified appId, date, and analyticsLabel." }, "date": { "description": "The date represented by this entry.", "$ref": "GoogleTypeDate" }, "analyticsLabel": { "type": "string", "description": "The analytics label associated with the messages sent. All messages sent without an analytics label will be grouped together in a single entry." } }, "description": "Message delivery data for a given date, app, and analytics label combination.", "type": "object" }, "GoogleTypeDate": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer", "format": "int32" }, "year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32" }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." } }, "id": "GoogleTypeDate", "type": "object" }, "GoogleFirebaseFcmDataV1beta1DeliveryPerformancePercents": { "description": "Overview of delivery performance for messages that were successfully delivered. All percentages are calculated with countMessagesAccepted as the denominator. These categories are not mutually exclusive; a message can be delayed for multiple reasons.", "properties": { "delayedUserStopped": { "description": "The percentage of accepted messages that were delayed because the intended device user-profile was [stopped](https://firebase.google.com/docs/cloud-messaging/android/receive#handling_messages) on the target device at the time of the send. The messages were eventually delivered when the user-profile was started again.", "format": "float", "type": "number" }, "deliveredNoDelay": { "type": "number", "description": "The percentage of accepted messages that were delivered to the device without delay from the FCM system.", "format": "float" }, "delayedDeviceDoze": { "type": "number", "format": "float", "description": "The percentage of accepted messages that were delayed because the device was in doze mode. Only [normal priority messages](https://firebase.google.com/docs/cloud-messaging/concept-options#setting-the-priority-of-a-message) should be delayed due to doze mode." }, "delayedDeviceOffline": { "format": "float", "type": "number", "description": "The percentage of accepted messages that were delayed because the target device was not connected at the time of sending. These messages were eventually delivered when the device reconnected." }, "delayedMessageThrottled": { "format": "float", "type": "number", "description": "The percentage of accepted messages that were delayed due to message throttling, such as [collapsible message throttling](https://firebase.google.com/docs/cloud-messaging/concept-options#collapsible_throttling) or [maximum message rate throttling](https://firebase.google.com/docs/cloud-messaging/concept-options#device_throttling)." } }, "type": "object", "id": "GoogleFirebaseFcmDataV1beta1DeliveryPerformancePercents" }, "GoogleFirebaseFcmDataV1beta1Data": { "type": "object", "id": "GoogleFirebaseFcmDataV1beta1Data", "description": "Data detailing messaging delivery", "properties": { "messageInsightPercents": { "$ref": "GoogleFirebaseFcmDataV1beta1MessageInsightPercents", "description": "Additional general insights about message delivery." }, "messageOutcomePercents": { "$ref": "GoogleFirebaseFcmDataV1beta1MessageOutcomePercents", "description": "Mutually exclusive breakdown of message delivery outcomes." }, "deliveryPerformancePercents": { "description": "Additional information about delivery performance for messages that were successfully delivered.", "$ref": "GoogleFirebaseFcmDataV1beta1DeliveryPerformancePercents" }, "countMessagesAccepted": { "description": "Count of messages accepted by FCM intended to Android devices. The targeted device must have opted in to the collection of usage and diagnostic information.", "type": "string", "format": "int64" } } }, "GoogleFirebaseFcmDataV1beta1MessageInsightPercents": { "properties": { "priorityLowered": { "description": "The percentage of accepted messages that had their priority lowered from high to normal. See [documentation for setting message priority](https://firebase.google.com/docs/cloud-messaging/android/message-priority).", "format": "float", "type": "number" } }, "type": "object", "description": "Additional information about message delivery. All percentages are calculated with countMessagesAccepted as the denominator.", "id": "GoogleFirebaseFcmDataV1beta1MessageInsightPercents" } }, "fullyEncodeReservedExpansion": true }
]===]))
