local decode = require("cjson").new().decode
return assert(decode([===[
{ "baseUrl": "https://file.googleapis.com/", "ownerDomain": "google.com", "revision": "20220602", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "delete": { "path": "v1/{+name}", "id": "file.projects.locations.operations.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource to be deleted.", "required": true } }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "file.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameters": { "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "name": { "description": "The name of the operation's parent resource.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "pageSize": { "description": "The standard list page size.", "location": "query", "type": "integer", "format": "int32" } }, "httpMethod": "GET", "response": { "$ref": "ListOperationsResponse" }, "path": "v1/{+name}/operations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations" }, "cancel": { "response": { "$ref": "Empty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true } }, "id": "file.projects.locations.operations.cancel", "path": "v1/{+name}:cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CancelOperationRequest" }, "httpMethod": "POST" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1/{+name}", "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Operation" }, "id": "file.projects.locations.operations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." } } }, "backups": { "methods": { "get": { "description": "Gets the details of a specific backup.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "response": { "$ref": "Backup" }, "id": "file.projects.locations.backups.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "parameters": { "name": { "description": "Required. The backup resource name, in the format `projects/{project_number}/locations/{location}/backups/{backup_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$", "location": "path", "required": true, "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "name" ] }, "list": { "parameters": { "filter": { "description": "List filter.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of items to return.", "location": "query" }, "orderBy": { "type": "string", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).", "location": "query" }, "parent": { "required": true, "type": "string", "description": "Required. The project and location for which to retrieve backup information, in the format `projects/{project_number}/locations/{location}`. In Cloud Filestore, backup locations map to GCP regions, for example **us-west1**. To retrieve backup information for all locations, use \"-\" for the `{location}` value.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "pageToken": { "location": "query", "description": "The next_page_token value to use if there are additional results to retrieve for this list request.", "type": "string" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all backups in a project for either a specified location or for all locations.", "path": "v1/{+parent}/backups", "id": "file.projects.locations.backups.list", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/backups", "response": { "$ref": "ListBackupsResponse" } }, "delete": { "description": "Deletes a backup.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "Required. The backup resource name, in the format `projects/{project_number}/locations/{location}/backups/{backup_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "parameterOrder": [ "name" ], "id": "file.projects.locations.backups.delete" }, "patch": { "description": "Updates the settings of a specific backup.", "id": "file.projects.locations.backups.patch", "parameters": { "name": { "type": "string", "description": "Output only. The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$" }, "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "request": { "$ref": "Backup" } }, "create": { "parameters": { "parent": { "description": "Required. The backup's project and location, in the format `projects/{project_number}/locations/{location}`. In Cloud Filestore, backup locations map to GCP regions, for example **us-west1**.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path" }, "backupId": { "description": "Required. The ID to use for the backup. The ID must be unique within the specified project and location. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen. Values that do not match this pattern will trigger an INVALID_ARGUMENT error.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/backups", "httpMethod": "POST", "description": "Creates a backup.", "id": "file.projects.locations.backups.create", "request": { "$ref": "Backup" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/backups", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ] } } }, "instances": { "resources": { "snapshots": { "methods": { "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "id": "file.projects.locations.instances.snapshots.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field.", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "required": true, "description": "Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`.", "type": "string", "location": "path" } }, "path": "v1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "description": "Updates the settings of a specific snapshot.", "request": { "$ref": "Snapshot" }, "parameterOrder": [ "name" ] }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "Snapshot" }, "id": "file.projects.locations.instances.snapshots.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "location": "path", "type": "string" } }, "path": "v1/{+name}", "description": "Gets the details of a specific snapshot." }, "list": { "path": "v1/{+parent}/snapshots", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all snapshots in a project for either a specified location or for all locations.", "id": "file.projects.locations.instances.snapshots.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots", "response": { "$ref": "ListSnapshotsResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "filter": { "description": "List filter.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).", "type": "string" }, "parent": { "location": "path", "required": true, "description": "Required. The instance for which to retrieve snapshot information, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return." } } }, "create": { "id": "file.projects.locations.instances.snapshots.create", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The Filestore Instance to create the snapshots of, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string" }, "snapshotId": { "description": "Required. The ID to use for the snapshot. The ID must be unique within the specified instance. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ], "request": { "$ref": "Snapshot" }, "path": "v1/{+parent}/snapshots", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a snapshot." }, "delete": { "parameterOrder": [ "name" ], "id": "file.projects.locations.instances.snapshots.delete", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "httpMethod": "DELETE", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "required": true, "description": "Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`", "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Deletes a snapshot.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "request": { "$ref": "Instance" }, "httpMethod": "PATCH", "description": "Updates the settings of a specific instance.", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"description\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"file_shares\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"labels\"", "format": "google-fieldmask" }, "name": { "type": "string", "description": "Output only. The resource name of the instance, in the format `projects/{project}/locations/{location}/instances/{instance}`.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "file.projects.locations.instances.patch" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "parameterOrder": [ "parent" ], "response": { "$ref": "ListInstancesResponse" }, "description": "Lists all instances in a project for either a specified location or for all locations.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "file.projects.locations.instances.list", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted)." }, "pageSize": { "description": "The maximum number of items to return.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The project and location for which to retrieve instance information, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, locations map to GCP zones, for example **us-west1-b**. To retrieve instance information for all locations, use \"-\" for the `{location}` value." }, "pageToken": { "description": "The next_page_token value to use if there are additional results to retrieve for this list request.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "List filter." } }, "httpMethod": "GET", "path": "v1/{+parent}/instances" }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "response": { "$ref": "Operation" }, "description": "Deletes an instance.", "parameters": { "force": { "description": "If set to true, all snapshots of the instance will also be deleted. (Otherwise, the request will only work if the instance has no snapshots.)", "location": "query", "type": "boolean" }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true } }, "id": "file.projects.locations.instances.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "DELETE" }, "get": { "response": { "$ref": "Instance" }, "httpMethod": "GET", "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Gets the details of a specific instance.", "id": "file.projects.locations.instances.get", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "httpMethod": "POST", "request": { "$ref": "Instance" }, "id": "file.projects.locations.instances.create", "path": "v1/{+parent}/instances", "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The instance's project and location, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, locations map to GCP zones, for example **us-west1-b**." }, "instanceId": { "description": "Required. The name of the instance to create. The name must be unique for the specified project and location.", "type": "string", "location": "query" } }, "description": "Creates an instance. When creating from a backup, the capacity of the new instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } }, "restore": { "path": "v1/{+name}:restore", "response": { "$ref": "Operation" }, "request": { "$ref": "RestoreInstanceRequest" }, "description": "Restores an existing instance's file share from a backup. The capacity of the instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).", "parameterOrder": [ "name" ], "id": "file.projects.locations.instances.restore", "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The resource name of the instance, in the format `projects/{project_number}/locations/{location_id}/instances/{instance_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:restore", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "description": "Resource name for the location.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "httpMethod": "GET", "description": "Gets information about a location.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "response": { "$ref": "Location" }, "id": "file.projects.locations.get" }, "list": { "flatPath": "v1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "id": "file.projects.locations.list", "parameterOrder": [ "name" ], "parameters": { "includeUnrevealedLocations": { "type": "boolean", "location": "query", "description": "If true, the returned list will include locations which are not yet revealed." }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "The resource that owns the locations collection, if applicable." } }, "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "path": "v1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "description": "The Cloud Filestore API is used for creating and managing cloud file servers.", "batchPath": "batch", "rootUrl": "https://file.googleapis.com/", "basePath": "", "fullyEncodeReservedExpansion": true, "canonicalName": "Cloud Filestore", "version_module": true, "schemas": { "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "properties": {}, "id": "CancelOperationRequest" }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule", "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "properties": { "rolloutManagementPolicy": { "type": "string", "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy." }, "endTime": { "format": "google-datetime", "type": "string", "description": "The scheduled end time for the maintenance." }, "startTime": { "type": "string", "format": "google-datetime", "description": "The scheduled start time for the maintenance." }, "canReschedule": { "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.", "type": "boolean" }, "scheduleDeadlineTime": { "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline.", "format": "google-datetime", "type": "string" } } }, "ListSnapshotsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.", "type": "string" }, "snapshots": { "type": "array", "items": { "$ref": "Snapshot" }, "description": "A list of snapshots in the project for the specified instance." } }, "description": "ListSnapshotsResponse is the result of ListSnapshotsRequest.", "id": "ListSnapshotsResponse" }, "Schedule": { "type": "object", "description": "Configure the schedule.", "properties": { "startTime": { "$ref": "TimeOfDay", "description": "Time within the window to start the operations." }, "day": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "type": "string", "description": "Allows to define schedule that runs specified day of the week.", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] }, "duration": { "description": "Output only. Duration of the time window, set by service producer.", "format": "google-duration", "type": "string" } }, "id": "Schedule" }, "Instance": { "properties": { "createTime": { "format": "google-datetime", "description": "Output only. The time when the instance was created.", "readOnly": true, "type": "string" }, "etag": { "type": "string", "description": "Server-specified ETag for the instance resource to prevent simultaneous updates from overwriting each other." }, "tier": { "enum": [ "TIER_UNSPECIFIED", "STANDARD", "PREMIUM", "BASIC_HDD", "BASIC_SSD", "HIGH_SCALE_SSD", "ENTERPRISE" ], "description": "The service tier of the instance.", "enumDescriptions": [ "Not set.", "STANDARD tier. BASIC_HDD is the preferred term for this tier.", "PREMIUM tier. BASIC_SSD is the preferred term for this tier.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD.", "HIGH_SCALE instances offer expanded capacity and performance scaling capabilities.", "ENTERPRISE instances offer the features and availability needed for mission-critical workloads." ], "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Resource labels to represent user provided metadata." }, "networks": { "description": "VPC networks to which the instance is connected. For this version, only a single network is supported.", "items": { "$ref": "NetworkConfig" }, "type": "array" }, "kmsKeyName": { "description": "KMS key name used for data encryption.", "type": "string" }, "satisfiesPzs": { "readOnly": true, "description": "Output only. Reserved for future use.", "type": "boolean" }, "suspensionReasons": { "readOnly": true, "items": { "type": "string", "enumDescriptions": [ "Not set.", "The KMS key used by the instance is either revoked or denied access to." ], "enum": [ "SUSPENSION_REASON_UNSPECIFIED", "KMS_KEY_ISSUE" ] }, "description": "Output only. Field indicates all the reasons the instance is in \"SUSPENDED\" state.", "type": "array" }, "fileShares": { "items": { "$ref": "FileShareConfig" }, "description": "File system shares on the instance. For this version, only a single file share is supported.", "type": "array" }, "state": { "description": "Output only. The instance state.", "enumDescriptions": [ "State not set.", "The instance is being created.", "The instance is available for use.", "Work is being done on the instance. You can get further details from the `statusMessage` field of the `Instance` resource.", "The instance is shutting down.", "The instance is experiencing an issue and might be unusable. You can get further details from the `statusMessage` field of the `Instance` resource.", "The instance is restoring a backup to an existing file share and may be unusable during this time.", "The instance is suspended. You can get further details from the `suspension_reasons` field of the `Instance` resource." ], "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "REPAIRING", "DELETING", "ERROR", "RESTORING", "SUSPENDED" ] }, "description": { "type": "string", "description": "The description of the instance (2048 characters or less)." }, "statusMessage": { "readOnly": true, "description": "Output only. Additional information about the instance state, if available.", "type": "string" }, "name": { "description": "Output only. The resource name of the instance, in the format `projects/{project}/locations/{location}/instances/{instance}`.", "type": "string", "readOnly": true } }, "description": "A Cloud Filestore instance.", "type": "object", "id": "Instance" }, "ListBackupsResponse": { "description": "ListBackupsResponse is the result of ListBackupsRequest.", "id": "ListBackupsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list." }, "backups": { "description": "A list of backups in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of backups from all locations. If any location is unreachable, the response will only return backups in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.", "type": "array", "items": { "$ref": "Backup" } }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } } } }, "Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "id": "Operation" }, "Status": { "type": "object", "properties": { "details": { "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "properties": { "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs." }, "tier": { "type": "string", "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty." }, "nodes": { "type": "array", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch." } }, "type": "object", "description": "SloMetadata contains resources required for proper SLO classification of the instance." }, "DailyCycle": { "type": "object", "id": "DailyCycle", "description": "Time window specified for daily operations.", "properties": { "startTime": { "description": "Time within the day to start the operations.", "$ref": "TimeOfDay" }, "duration": { "format": "google-duration", "type": "string", "description": "Output only. Duration of the time window, set by service producer." } } }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance.", "properties": { "exclude": { "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.", "type": "boolean" }, "isRollback": { "description": "Optional. If the update call is triggered from rollback, set the value as true.", "type": "boolean" }, "maintenancePolicies": { "additionalProperties": { "$ref": "MaintenancePolicy" }, "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed (like in the deprecated Instance.maintenance_policy_names field) then only populate MaintenancePolicy.name.", "type": "object" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "type": "object" }, "OperationMetadata": { "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation.", "properties": { "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "apiVersion": { "readOnly": true, "description": "Output only. API version used to start the operation.", "type": "string" }, "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "format": "google-datetime", "readOnly": true }, "statusDetail": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running." } }, "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "type": "object", "properties": { "reason": { "type": "string", "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed." }, "eligible": { "description": "Whether an instance is eligible or ineligible.", "type": "boolean" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user." }, "provisionedResources": { "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "readOnly": true, "type": "array", "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata." }, "sloMetadata": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "readOnly": true, "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description." }, "updateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Timestamp when the resource was last modified." }, "softwareVersions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services." }, "maintenanceSchedules": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions." }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. Timestamp when the resource was created.", "format": "google-datetime" }, "maintenancePolicyNames": { "description": "Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug.", "type": "object", "additionalProperties": { "type": "string" } }, "instanceType": { "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not.", "type": "string" }, "producerMetadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.", "readOnly": true }, "notificationParameters": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "type": "object", "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose." }, "consumerDefinedName": { "type": "string", "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances." }, "state": { "readOnly": true, "type": "string", "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).", "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ] }, "tenantProjectId": { "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata.", "type": "string", "readOnly": true }, "name": { "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details.", "type": "string" }, "maintenanceSettings": { "description": "Optional. The MaintenanceSettings associated with instance.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings" }, "slmInstanceTemplate": { "type": "string", "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions." } } }, "UpdatePolicy": { "properties": { "window": { "description": "Optional. Maintenance window that is applied to resources covered by this policy.", "$ref": "MaintenanceWindow" }, "channel": { "description": "Optional. Relative scheduling channel applied to resource.", "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ], "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ], "type": "string" }, "denyMaintenancePeriods": { "type": "array", "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one.", "items": { "$ref": "DenyMaintenancePeriod" } } }, "id": "UpdatePolicy", "description": "Maintenance policy applicable to instance updates.", "type": "object" }, "ListLocationsResponse": { "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "type": "object" }, "NetworkConfig": { "properties": { "modes": { "items": { "enum": [ "ADDRESS_MODE_UNSPECIFIED", "MODE_IPV4" ], "enumDescriptions": [ "Internet protocol not set.", "Use the IPv4 internet protocol." ], "type": "string" }, "type": "array", "description": "Internet protocol versions for which the instance has IP addresses assigned. For this version, only MODE_IPV4 is supported." }, "reservedIpRange": { "type": "string", "description": "Optional, reserved_ip_range can have one of the following two types of values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CIDR range value when using DIRECT_PEERING connect mode. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Allocated IP address range](https://cloud.google.com/compute/docs/ip-addresses/reserve-static-internal-ip-address) when using PRIVATE_SERVICE_ACCESS connect mode. When the name of an allocated IP address range is specified, it must be one of the ranges associated with the private service access connection. When specified as a direct CIDR value, it must be a /29 CIDR block for Basic tier or a /24 CIDR block for High Scale or Enterprise tier in one of the [internal IP address ranges](https://www.arin.net/reference/research/statistics/address_filters/) that identifies the range of IP addresses reserved for this instance. For example, 10.0.0.0/29 or 192.168.0.0/24. The range you specify can't overlap with either existing subnets or assigned IP address ranges for other Cloud Filestore instances in the selected VPC network." }, "connectMode": { "description": "The network connect mode of the Filestore instance. If not provided, the connect mode defaults to DIRECT_PEERING.", "enum": [ "CONNECT_MODE_UNSPECIFIED", "DIRECT_PEERING", "PRIVATE_SERVICE_ACCESS" ], "enumDescriptions": [ "Not set.", "Connect via direct peering to the Filestore service.", "Connect to your Filestore instance using Private Service Access. Private services access provides an IP address range for multiple Google Cloud services, including Filestore." ], "type": "string" }, "network": { "description": "The name of the Google Compute Engine [VPC network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected.", "type": "string" }, "ipAddresses": { "type": "array", "items": { "type": "string" }, "readOnly": true, "description": "Output only. IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or IPv6 addresses in the format `{block1}:{block2}:{block3}:{block4}:{block5}:{block6}:{block7}:{block8}`." } }, "type": "object", "description": "Network configuration for the instance.", "id": "NetworkConfig" }, "Date": { "id": "Date", "type": "object", "properties": { "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "Backup": { "properties": { "createTime": { "description": "Output only. The time when the backup was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "sourceInstanceTier": { "type": "string", "description": "Output only. The service tier of the source Cloud Filestore instance that this backup is created from.", "readOnly": true, "enumDescriptions": [ "Not set.", "STANDARD tier. BASIC_HDD is the preferred term for this tier.", "PREMIUM tier. BASIC_SSD is the preferred term for this tier.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD.", "HIGH_SCALE instances offer expanded capacity and performance scaling capabilities.", "ENTERPRISE instances offer the features and availability needed for mission-critical workloads." ], "enum": [ "TIER_UNSPECIFIED", "STANDARD", "PREMIUM", "BASIC_HDD", "BASIC_SSD", "HIGH_SCALE_SSD", "ENTERPRISE" ] }, "capacityGb": { "type": "string", "format": "int64", "description": "Output only. Capacity of the source file share when the backup was created.", "readOnly": true }, "storageBytes": { "format": "int64", "readOnly": true, "description": "Output only. The size of the storage used by the backup. As backups share storage, this number is expected to change with backup creation/deletion.", "type": "string" }, "labels": { "description": "Resource labels to represent user provided metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "readOnly": true, "description": "Output only. The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`.", "type": "string" }, "description": { "type": "string", "description": "A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected." }, "sourceInstance": { "type": "string", "description": "The resource name of the source Cloud Filestore instance, in the format `projects/{project_number}/locations/{location_id}/instances/{instance_id}`, used to create this backup." }, "downloadBytes": { "type": "string", "description": "Output only. Amount of bytes that will be downloaded if the backup is restored. This may be different than storage bytes, since sequential backups of the same disk will share storage.", "readOnly": true, "format": "int64" }, "satisfiesPzs": { "readOnly": true, "type": "boolean", "description": "Output only. Reserved for future use." }, "sourceFileShare": { "description": "Name of the file share in the source Cloud Filestore instance that the backup is created from.", "type": "string" }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "FINALIZING", "READY", "DELETING" ], "description": "Output only. The backup state.", "type": "string", "enumDescriptions": [ "State not set.", "Backup is being created.", "Backup has been taken and the operation is being finalized. At this point, changes to the file share will not be reflected in the backup.", "Backup is available for use.", "Backup is being deleted." ] } }, "id": "Backup", "description": "A Cloud Filestore backup.", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata", "type": "object", "properties": { "location": { "type": "string", "description": "The location of the node, if different from instance location." }, "nodeId": { "type": "string", "description": "The id of the node. This should be equal to SaasInstanceNode.node_id." }, "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs." } } }, "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter", "properties": { "values": { "type": "array", "items": { "type": "string" }, "description": "Optional. Array of string values. e.g. instance's replica information." } }, "type": "object", "description": "Contains notification related data." }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" } }, "type": "object" }, "ListOperationsResponse": { "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "type": "object" }, "DenyMaintenancePeriod": { "properties": { "time": { "$ref": "TimeOfDay", "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC" }, "endDate": { "$ref": "Date", "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end." }, "startDate": { "$ref": "Date", "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start." } }, "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.", "type": "object", "id": "DenyMaintenancePeriod" }, "MaintenanceWindow": { "type": "object", "id": "MaintenanceWindow", "properties": { "dailyCycle": { "description": "Daily cycle.", "$ref": "DailyCycle" }, "weeklyCycle": { "$ref": "WeeklyCycle", "description": "Weekly cycle." } }, "description": "MaintenanceWindow definition." }, "RestoreInstanceRequest": { "id": "RestoreInstanceRequest", "properties": { "fileShare": { "type": "string", "description": "Required. Name of the file share in the Cloud Filestore instance that the backup is being restored to." }, "sourceBackup": { "type": "string", "description": "The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`." } }, "description": "RestoreInstanceRequest restores an existing instance's file share from a backup.", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "properties": { "eligibilities": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" }, "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "type": "object", "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility." }, "NfsExportOptions": { "id": "NfsExportOptions", "properties": { "ipRanges": { "type": "array", "description": "List of either an IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or CIDR ranges in the format `{octet1}.{octet2}.{octet3}.{octet4}/{mask size}` which may mount the file share. Overlapping IP ranges are not allowed, both within and across NfsExportOptions. An error will be returned. The limit is 64 IP ranges/addresses for each FileShareConfig among all NfsExportOptions.", "items": { "type": "string" } }, "squashMode": { "type": "string", "enumDescriptions": [ "SquashMode not set.", "The Root user has root access to the file share (default).", "The Root user has squashed access to the anonymous uid/gid." ], "enum": [ "SQUASH_MODE_UNSPECIFIED", "NO_ROOT_SQUASH", "ROOT_SQUASH" ], "description": "Either NO_ROOT_SQUASH, for allowing root access on the exported directory, or ROOT_SQUASH, for not allowing root access. The default is NO_ROOT_SQUASH." }, "anonUid": { "format": "int64", "description": "An integer representing the anonymous user id with a default value of 65534. Anon_uid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings.", "type": "string" }, "anonGid": { "format": "int64", "type": "string", "description": "An integer representing the anonymous group id with a default value of 65534. Anon_gid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings." }, "accessMode": { "enumDescriptions": [ "AccessMode not set.", "The client can only read the file share.", "The client can read and write the file share (default)." ], "enum": [ "ACCESS_MODE_UNSPECIFIED", "READ_ONLY", "READ_WRITE" ], "description": "Either READ_ONLY, for allowing only read requests on the exported directory, or READ_WRITE, for allowing both read and write requests. The default is READ_WRITE.", "type": "string" } }, "description": "NFS export options specifications.", "type": "object" }, "ListInstancesResponse": { "id": "ListInstancesResponse", "description": "ListInstancesResponse is the result of ListInstancesRequest.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list." }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "instances": { "description": "A list of instances in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of instances from all locations. If any location is unreachable, the response will only return instances in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.", "type": "array", "items": { "$ref": "Instance" } } } }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource", "properties": { "resourceType": { "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'.", "type": "string" }, "resourceUrl": { "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\".", "type": "string" } }, "description": "Describes provisioned dataplane resources." }, "Snapshot": { "properties": { "filesystemUsedBytes": { "type": "string", "description": "Output only. The amount of bytes needed to allocate a full copy of the snapshot content", "format": "int64", "readOnly": true }, "labels": { "type": "object", "description": "Resource labels to represent user provided metadata.", "additionalProperties": { "type": "string" } }, "name": { "readOnly": true, "description": "Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`.", "type": "string" }, "description": { "description": "A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected.", "type": "string" }, "createTime": { "description": "Output only. The time when the snapshot was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING" ], "readOnly": true, "type": "string", "enumDescriptions": [ "State not set.", "Snapshot is being created.", "Snapshot is available for use.", "Snapshot is being deleted." ], "description": "Output only. The snapshot state." } }, "description": "A Filestore snapshot.", "id": "Snapshot", "type": "object" }, "TimeOfDay": { "type": "object", "properties": { "minutes": { "type": "integer", "description": "Minutes of hour of day. Must be from 0 to 59.", "format": "int32" }, "nanos": { "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer", "format": "int32" }, "seconds": { "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "type": "integer", "format": "int32" }, "hours": { "format": "int32", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer" } }, "id": "TimeOfDay", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`." }, "FileShareConfig": { "type": "object", "id": "FileShareConfig", "description": "File share configuration for the instance.", "properties": { "name": { "description": "The name of the file share (must be 16 characters or less).", "type": "string" }, "sourceBackup": { "type": "string", "description": "The resource name of the backup, in the format `projects/{project_number}/locations/{location_id}/backups/{backup_id}`, that this file share has been restored from." }, "nfsExportOptions": { "items": { "$ref": "NfsExportOptions" }, "description": "Nfs Export Options. There is a limit of 10 export options per file share.", "type": "array" }, "capacityGb": { "description": "File share capacity in gigabytes (GB). Cloud Filestore defines 1 GB as 1024^3 bytes.", "type": "string", "format": "int64" } } }, "MaintenancePolicy": { "id": "MaintenancePolicy", "description": "Defines policies to service maintenance events.", "type": "object", "properties": { "updatePolicy": { "description": "Maintenance policy applicable to instance update.", "$ref": "UpdatePolicy" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ], "description": "Optional. The state of the policy.", "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ] }, "description": { "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.", "type": "string" }, "updateTime": { "description": "Output only. The time when the resource was updated.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time when the resource was created.", "format": "google-datetime" }, "name": { "type": "string", "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`." }, "labels": { "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "type": "object", "additionalProperties": { "type": "string" } } } }, "WeeklyCycle": { "properties": { "schedule": { "type": "array", "description": "User can specify multiple windows in a week. Minimum of 1 window.", "items": { "$ref": "Schedule" } } }, "id": "WeeklyCycle", "type": "object", "description": "Time window specified for weekly operations." } }, "kind": "discovery#restDescription", "documentationLink": "https://cloud.google.com/filestore/", "version": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerName": "Google", "parameters": { "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "description": "V1 error format." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "default": "json", "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." } }, "mtlsRootUrl": "https://file.mtls.googleapis.com/", "servicePath": "", "title": "Cloud Filestore API", "name": "file", "discoveryVersion": "v1", "id": "file:v1" }
]===]))
