local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "title": "Cloud Filestore API", "discoveryVersion": "v1", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "schemas": { "MaintenancePolicy": { "properties": { "labels": { "type": "object", "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "additionalProperties": { "type": "string" } }, "description": { "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.", "type": "string" }, "createTime": { "description": "Output only. The time when the resource was created.", "type": "string", "format": "google-datetime" }, "updatePolicy": { "description": "Maintenance policy applicable to instance update.", "$ref": "UpdatePolicy" }, "name": { "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`.", "type": "string" }, "state": { "description": "Optional. The state of the policy.", "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ] }, "updateTime": { "description": "Output only. The time when the resource was updated.", "type": "string", "format": "google-datetime" } }, "type": "object", "description": "Defines policies to service maintenance events.", "id": "MaintenancePolicy" }, "CancelOperationRequest": { "type": "object", "id": "CancelOperationRequest", "properties": {}, "description": "The request message for Operations.CancelOperation." }, "RestoreInstanceRequest": { "description": "RestoreInstanceRequest restores an existing instance's file share from a snapshot or backup.", "id": "RestoreInstanceRequest", "properties": { "fileShare": { "description": "Required. Name of the file share in the Cloud Filestore instance that the snapshot is being restored to.", "type": "string" }, "sourceBackup": { "description": "The resource name of the backup, in the format `projects/{project_id}/locations/{location_id}/backups/{backup_id}`.", "type": "string" }, "sourceSnapshot": { "type": "string", "description": "The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/snapshots/{snapshot_id}`." } }, "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "SloMetadata contains resources required for proper SLO classification of the instance.", "properties": { "tier": { "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty.", "type": "string" }, "nodes": { "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch.", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "type": "array" }, "perSliEligibility": { "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" } }, "type": "object" }, "Instance": { "id": "Instance", "properties": { "fileShares": { "description": "File system shares on the instance. For this version, only a single file share is supported.", "items": { "$ref": "FileShareConfig" }, "type": "array" }, "tier": { "enumDescriptions": [ "Not set.", "STANDARD tier. BASIC_HDD is the preferred term for this tier.", "PREMIUM tier. BASIC_SSD is the preferred term for this tier.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD.", "HIGH_SCALE instances offer expanded capacity and performance scaling capabilities.", "ENTERPRISE instances offer the features and availability needed for mission-critical workloads." ], "enum": [ "TIER_UNSPECIFIED", "STANDARD", "PREMIUM", "BASIC_HDD", "BASIC_SSD", "HIGH_SCALE_SSD", "ENTERPRISE" ], "description": "The service tier of the instance.", "type": "string" }, "statusMessage": { "description": "Output only. Additional information about the instance state, if available.", "readOnly": true, "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Resource labels to represent user provided metadata." }, "capacityGb": { "type": "string", "description": "The storage capacity of the instance in gigabytes (GB = 1024^3 bytes). This capacity can be increased up to `max_capacity_gb` GB in multipliers of `capacity_step_size_gb` GB.", "format": "int64" }, "suspensionReasons": { "description": "Output only. Field indicates all the reasons the instance is in \"SUSPENDED\" state.", "items": { "type": "string", "enumDescriptions": [ "Not set.", "The KMS key used by the instance is either revoked or denied access to." ], "enum": [ "SUSPENSION_REASON_UNSPECIFIED", "KMS_KEY_ISSUE" ] }, "readOnly": true, "type": "array" }, "maxCapacityGb": { "format": "int64", "readOnly": true, "type": "string", "description": "Output only. The max capacity of the instance." }, "state": { "readOnly": true, "description": "Output only. The instance state.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "REPAIRING", "DELETING", "ERROR", "RESTORING", "SUSPENDED", "REVERTING" ], "enumDescriptions": [ "State not set.", "The instance is being created.", "The instance is available for use.", "Work is being done on the instance. You can get further details from the `statusMessage` field of the `Instance` resource.", "The instance is shutting down.", "The instance is experiencing an issue and might be unusable. You can get further details from the `statusMessage` field of the `Instance` resource.", "The instance is restoring a snapshot or backup to an existing file share and may be unusable during this time.", "The instance is suspended. You can get further details from the `suspension_reasons` field of the `Instance` resource.", "The instance is reverting to a snapshot." ] }, "satisfiesPzs": { "readOnly": true, "type": "boolean", "description": "Output only. Reserved for future use." }, "multiShareEnabled": { "type": "boolean", "description": "Indicates whether this instance uses a multi-share configuration with which it can have more than one file-share or none at all. File-shares are added, updated and removed through the separate file-share APIs." }, "name": { "description": "Output only. The resource name of the instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`.", "type": "string", "readOnly": true }, "maxShareCount": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. The max number of shares allowed." }, "capacityStepSizeGb": { "format": "int64", "description": "Output only. The increase/decrease capacity step size.", "type": "string", "readOnly": true }, "networks": { "description": "VPC networks to which the instance is connected. For this version, only a single network is supported.", "type": "array", "items": { "$ref": "NetworkConfig" } }, "description": { "description": "The description of the instance (2048 characters or less).", "type": "string" }, "kmsKeyName": { "type": "string", "description": "KMS key name used for data encryption." }, "createTime": { "description": "Output only. The time when the instance was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "etag": { "description": "Server-specified ETag for the instance resource to prevent simultaneous updates from overwriting each other.", "type": "string" } }, "description": "A Cloud Filestore instance.", "type": "object" }, "MaintenanceWindow": { "type": "object", "description": "MaintenanceWindow definition.", "properties": { "dailyCycle": { "$ref": "DailyCycle", "description": "Daily cycle." }, "weeklyCycle": { "description": "Weekly cycle.", "$ref": "WeeklyCycle" } }, "id": "MaintenanceWindow" }, "Backup": { "description": "A Cloud Filestore backup.", "properties": { "sourceFileShare": { "type": "string", "description": "Name of the file share in the source Cloud Filestore instance that the backup is created from." }, "capacityGb": { "description": "Output only. Capacity of the source file share when the backup was created.", "format": "int64", "type": "string", "readOnly": true }, "satisfiesPzs": { "description": "Output only. Reserved for future use.", "type": "boolean", "readOnly": true }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time when the backup was created." }, "description": { "type": "string", "description": "A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected." }, "storageBytes": { "type": "string", "description": "Output only. The size of the storage used by the backup. As backups share storage, this number is expected to change with backup creation/deletion.", "format": "int64", "readOnly": true }, "name": { "type": "string", "description": "Output only. The resource name of the backup, in the format `projects/{project_id}/locations/{location_id}/backups/{backup_id}`.", "readOnly": true }, "downloadBytes": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. Amount of bytes that will be downloaded if the backup is restored" }, "state": { "description": "Output only. The backup state.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "FINALIZING", "READY", "DELETING" ], "type": "string", "enumDescriptions": [ "State not set.", "Backup is being created.", "Backup has been taken and the operation is being finalized. At this point, changes to the file share will not be reflected in the backup.", "Backup is available for use.", "Backup is being deleted." ] }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Resource labels to represent user provided metadata." }, "kmsKeyName": { "type": "string", "description": "Immutable. KMS key name used for data encryption." }, "sourceInstanceTier": { "readOnly": true, "enum": [ "TIER_UNSPECIFIED", "STANDARD", "PREMIUM", "BASIC_HDD", "BASIC_SSD", "HIGH_SCALE_SSD", "ENTERPRISE" ], "description": "Output only. The service tier of the source Cloud Filestore instance that this backup is created from.", "type": "string", "enumDescriptions": [ "Not set.", "STANDARD tier. BASIC_HDD is the preferred term for this tier.", "PREMIUM tier. BASIC_SSD is the preferred term for this tier.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_HDD is an alias for STANDARD Tier, offering economical performance backed by HDD.", "BASIC instances offer a maximum capacity of 63.9 TB. BASIC_SSD is an alias for PREMIUM Tier, and offers improved performance backed by SSD.", "HIGH_SCALE instances offer expanded capacity and performance scaling capabilities.", "ENTERPRISE instances offer the features and availability needed for mission-critical workloads." ] }, "sourceInstance": { "type": "string", "description": "The resource name of the source Cloud Filestore instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`, used to create this backup." } }, "type": "object", "id": "Backup" }, "UpdatePolicy": { "properties": { "window": { "description": "Optional. Maintenance window that is applied to resources covered by this policy.", "$ref": "MaintenanceWindow" }, "channel": { "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ], "type": "string", "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ], "description": "Optional. Relative scheduling channel applied to resource." }, "denyMaintenancePeriods": { "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one.", "type": "array", "items": { "$ref": "DenyMaintenancePeriod" } } }, "type": "object", "id": "UpdatePolicy", "description": "Maintenance policy applicable to instance updates." }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "id": "ListLocationsResponse", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } } }, "WeeklyCycle": { "description": "Time window specified for weekly operations.", "properties": { "schedule": { "type": "array", "description": "User can specify multiple windows in a week. Minimum of 1 window.", "items": { "$ref": "Schedule" } } }, "id": "WeeklyCycle", "type": "object" }, "NfsExportOptions": { "id": "NfsExportOptions", "type": "object", "properties": { "accessMode": { "enumDescriptions": [ "AccessMode not set.", "The client can only read the file share.", "The client can read and write the file share (default)." ], "description": "Either READ_ONLY, for allowing only read requests on the exported directory, or READ_WRITE, for allowing both read and write requests. The default is READ_WRITE.", "type": "string", "enum": [ "ACCESS_MODE_UNSPECIFIED", "READ_ONLY", "READ_WRITE" ] }, "anonUid": { "type": "string", "description": "An integer representing the anonymous user id with a default value of 65534. Anon_uid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings.", "format": "int64" }, "ipRanges": { "description": "List of either an IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or CIDR ranges in the format `{octet1}.{octet2}.{octet3}.{octet4}/{mask size}` which may mount the file share. Overlapping IP ranges are not allowed, both within and across NfsExportOptions. An error will be returned. The limit is 64 IP ranges/addresses for each FileShareConfig among all NfsExportOptions.", "type": "array", "items": { "type": "string" } }, "squashMode": { "enumDescriptions": [ "SquashMode not set.", "The Root user has root access to the file share (default).", "The Root user has squashed access to the anonymous uid/gid." ], "description": "Either NO_ROOT_SQUASH, for allowing root access on the exported directory, or ROOT_SQUASH, for not allowing root access. The default is NO_ROOT_SQUASH.", "type": "string", "enum": [ "SQUASH_MODE_UNSPECIFIED", "NO_ROOT_SQUASH", "ROOT_SQUASH" ] }, "anonGid": { "description": "An integer representing the anonymous group id with a default value of 65534. Anon_gid may only be set with squash_mode of ROOT_SQUASH. An error will be returned if this field is specified for other squash_mode settings.", "format": "int64", "type": "string" } }, "description": "NFS export options specifications." }, "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "properties": { "values": { "items": { "type": "string" }, "description": "Optional. Array of string values. e.g. instance's replica information.", "type": "array" } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter", "description": "Contains notification related data." }, "ListSnapshotsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list." }, "snapshots": { "description": "A list of snapshots in the project for the specified instance.", "items": { "$ref": "Snapshot" }, "type": "array" } }, "id": "ListSnapshotsResponse", "type": "object", "description": "ListSnapshotsResponse is the result of ListSnapshotsRequest." }, "ListSharesResponse": { "type": "object", "id": "ListSharesResponse", "description": "ListSharesResponse is the result of ListSharesRequest.", "properties": { "nextPageToken": { "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.", "type": "string" }, "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "shares": { "description": "A list of shares in the project for the specified instance.", "type": "array", "items": { "$ref": "Share" } } } }, "Share": { "description": "A Cloud Filestore share.", "properties": { "description": { "type": "string", "description": "A description of the share with 2048 characters or less. Requests with longer descriptions will be rejected." }, "state": { "type": "string", "enumDescriptions": [ "State not set.", "Share is being created.", "Share is ready for use.", "Share is being deleted." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING" ], "readOnly": true, "description": "Output only. The share state." }, "mountName": { "description": "The mount name of the share. Must be 63 characters or less and consist of uppercase or lowercase letters, numbers, and underscores.", "type": "string" }, "capacityGb": { "type": "string", "description": "File share capacity in gigabytes (GB). Cloud Filestore defines 1 GB as 1024^3 bytes. Must be greater than 0.", "format": "int64" }, "name": { "description": "Output only. The resource name of the share, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/shares/{share_id}`.", "type": "string", "readOnly": true }, "nfsExportOptions": { "description": "Nfs Export Options. There is a limit of 10 export options per file share.", "type": "array", "items": { "$ref": "NfsExportOptions" } }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time when the share was created.", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Resource labels to represent user provided metadata." } }, "id": "Share", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "type": "object", "properties": { "isRollback": { "description": "Optional. If the update call is triggered from rollback, set the value as true.", "type": "boolean" }, "exclude": { "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.", "type": "boolean" }, "maintenancePolicies": { "type": "object", "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed (like in the deprecated Instance.maintenance_policy_names field) then only populate MaintenancePolicy.name.", "additionalProperties": { "$ref": "MaintenancePolicy" } } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance." }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "properties": { "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." }, "statusDetail": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "cancelRequested": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation was created." }, "endTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation finished running." } }, "id": "OperationMetadata" }, "Location": { "properties": { "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "properties": { "eligibilities": { "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" } } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility." }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata", "properties": { "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs." }, "nodeId": { "description": "The id of the node. This should be equal to SaasInstanceNode.node_id.", "type": "string" }, "location": { "type": "string", "description": "The location of the node, if different from instance location." } }, "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information." }, "NetworkConfig": { "id": "NetworkConfig", "description": "Network configuration for the instance.", "type": "object", "properties": { "modes": { "items": { "enumDescriptions": [ "Internet protocol not set.", "Use the IPv4 internet protocol." ], "type": "string", "enum": [ "ADDRESS_MODE_UNSPECIFIED", "MODE_IPV4" ] }, "description": "Internet protocol versions for which the instance has IP addresses assigned. For this version, only MODE_IPV4 is supported.", "type": "array" }, "network": { "description": "The name of the Google Compute Engine [VPC network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected.", "type": "string" }, "connectMode": { "type": "string", "enum": [ "CONNECT_MODE_UNSPECIFIED", "DIRECT_PEERING", "PRIVATE_SERVICE_ACCESS" ], "enumDescriptions": [ "ConnectMode not set.", "Connect via direct peering to the Filestore service.", "Connect to your Filestore instance using Private Service Access. Private services access provides an IP address range for multiple Google Cloud services, including Filestore." ], "description": "The network connect mode of the Filestore instance. If not provided, the connect mode defaults to DIRECT_PEERING." }, "ipAddresses": { "type": "array", "description": "Output only. IPv4 addresses in the format `{octet1}.{octet2}.{octet3}.{octet4}` or IPv6 addresses in the format `{block1}:{block2}:{block3}:{block4}:{block5}:{block6}:{block7}:{block8}`.", "items": { "type": "string" }, "readOnly": true }, "reservedIpRange": { "description": "Optional, reserved_ip_range can have one of the following two types of values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CIDR range value when using DIRECT_PEERING connect mode. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [Allocated IP address range](https://cloud.google.com/compute/docs/ip-addresses/reserve-static-internal-ip-address) when using PRIVATE_SERVICE_ACCESS connect mode. When the name of an allocated IP address range is specified, it must be one of the ranges associated with the private service access connection. When specified as a direct CIDR value, it must be a /29 CIDR block for Basic tier or a /24 CIDR block for High Scale or Enterprise tier in one of the [internal IP address ranges](https://www.arin.net/reference/research/statistics/address_filters/) that identifies the range of IP addresses reserved for this instance. For example, 10.0.0.0/29 or 192.168.0.0/24. The range you specify can't overlap with either existing subnets or assigned IP address ranges for other Cloud Filestore instances in the selected VPC network.", "type": "string" } } }, "ListInstancesResponse": { "description": "ListInstancesResponse is the result of ListInstancesRequest.", "properties": { "nextPageToken": { "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.", "type": "string" }, "instances": { "description": "A list of instances in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of instances from all locations. If any location is unreachable, the response will only return instances in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.", "type": "array", "items": { "$ref": "Instance" } }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." } }, "type": "object", "id": "ListInstancesResponse" }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "properties": { "resourceUrl": { "type": "string", "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\"." }, "resourceType": { "type": "string", "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'." } }, "type": "object", "description": "Describes provisioned dataplane resources.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "ListBackupsResponse": { "description": "ListBackupsResponse is the result of ListBackupsRequest.", "id": "ListBackupsResponse", "type": "object", "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "nextPageToken": { "description": "The token you can use to retrieve the next page of results. Not returned if there are no more results in the list.", "type": "string" }, "backups": { "type": "array", "description": "A list of backups in the project for the specified location. If the `{location}` value in the request is \"-\", the response contains a list of backups from all locations. If any location is unreachable, the response will only return backups in reachable locations and the \"unreachable\" field will be populated with a list of unreachable locations.", "items": { "$ref": "Backup" } } } }, "FileShareConfig": { "description": "File share configuration for the instance.", "id": "FileShareConfig", "properties": { "sourceBackup": { "type": "string", "description": "The resource name of the backup, in the format `projects/{project_id}/locations/{location_id}/backups/{backup_id}`, that this file share has been restored from." }, "nfsExportOptions": { "description": "Nfs Export Options. There is a limit of 10 export options per file share.", "items": { "$ref": "NfsExportOptions" }, "type": "array" }, "capacityGb": { "description": "File share capacity in gigabytes (GB). Cloud Filestore defines 1 GB as 1024^3 bytes.", "type": "string", "format": "int64" }, "name": { "type": "string", "description": "The name of the file share (must be 32 characters or less for Enterprise and High Scale SSD tiers and 16 characters or less for all other tiers)." } }, "type": "object" }, "TimeOfDay": { "type": "object", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "id": "TimeOfDay", "properties": { "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "type": "integer", "format": "int32" }, "seconds": { "type": "integer", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "format": "int32" }, "hours": { "format": "int32", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer" }, "nanos": { "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32", "type": "integer" } } }, "RevertInstanceRequest": { "id": "RevertInstanceRequest", "type": "object", "description": "RevertInstanceRequest reverts the given instance's file share to the specified snapshot.", "properties": { "targetSnapshotId": { "type": "string", "description": "Required. The snapshot resource ID, in the format 'my-snapshot', where the specified ID is the {snapshot_id} of the fully qualified name like projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}" } } }, "Date": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date", "properties": { "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer" }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" } }, "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "properties": { "name": { "type": "string", "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details." }, "consumerDefinedName": { "type": "string", "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user." }, "producerMetadata": { "additionalProperties": { "type": "string" }, "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.", "type": "object", "readOnly": true }, "provisionedResources": { "readOnly": true, "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "type": "array", "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata." }, "createTime": { "description": "Output only. Timestamp when the resource was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "notificationParameters": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "type": "object", "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose." }, "tenantProjectId": { "type": "string", "readOnly": true, "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata." }, "maintenanceSchedules": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions." }, "softwareVersions": { "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services.", "additionalProperties": { "type": "string" }, "type": "object" }, "instanceType": { "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not.", "type": "string" }, "slmInstanceTemplate": { "type": "string", "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions." }, "maintenanceSettings": { "description": "Optional. The MaintenanceSettings associated with instance.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. Timestamp when the resource was last modified.", "readOnly": true }, "state": { "readOnly": true, "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).", "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ], "type": "string" }, "sloMetadata": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "readOnly": true, "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description." }, "maintenancePolicyNames": { "type": "object", "description": "Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug.", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance" }, "DailyCycle": { "type": "object", "description": "Time window specified for daily operations.", "properties": { "startTime": { "$ref": "TimeOfDay", "description": "Time within the day to start the operations." }, "duration": { "format": "google-duration", "type": "string", "description": "Output only. Duration of the time window, set by service producer." } }, "id": "DailyCycle" }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "properties": { "rolloutManagementPolicy": { "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy.", "type": "string" }, "canReschedule": { "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.", "type": "boolean" }, "endTime": { "format": "google-datetime", "description": "The scheduled end time for the maintenance.", "type": "string" }, "startTime": { "type": "string", "description": "The scheduled start time for the maintenance.", "format": "google-datetime" }, "scheduleDeadlineTime": { "format": "google-datetime", "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline.", "type": "string" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule", "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } } }, "Snapshot": { "properties": { "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`." }, "labels": { "description": "Resource labels to represent user provided metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "description": { "type": "string", "description": "A description of the snapshot with 2048 characters or less. Requests with longer descriptions will be rejected." }, "filesystemUsedBytes": { "type": "string", "description": "Output only. The amount of bytes needed to allocate a full copy of the snapshot content", "readOnly": true, "format": "int64" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the snapshot was created.", "type": "string" }, "state": { "type": "string", "description": "Output only. The snapshot state.", "enumDescriptions": [ "State not set.", "Snapshot is being created.", "Snapshot is available for use.", "Snapshot is being deleted." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING" ] } }, "description": "A Cloud Filestore snapshot.", "id": "Snapshot", "type": "object" }, "Schedule": { "id": "Schedule", "description": "Configure the schedule.", "type": "object", "properties": { "duration": { "description": "Output only. Duration of the time window, set by service producer.", "type": "string", "format": "google-duration" }, "startTime": { "$ref": "TimeOfDay", "description": "Time within the window to start the operations." }, "day": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "description": "Allows to define schedule that runs specified day of the week.", "type": "string" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "properties": { "eligible": { "type": "boolean", "description": "Whether an instance is eligible or ineligible." }, "reason": { "type": "string", "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed." } }, "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason." }, "DenyMaintenancePeriod": { "id": "DenyMaintenancePeriod", "properties": { "startDate": { "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start.", "$ref": "Date" }, "time": { "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC", "$ref": "TimeOfDay" }, "endDate": { "$ref": "Date", "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end." } }, "type": "object", "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date." } }, "ownerDomain": "google.com", "ownerName": "Google", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string", "default": "json", "description": "Data format for response." }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "resources": { "projects": { "resources": { "locations": { "resources": { "backups": { "methods": { "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "parameters": { "name": { "description": "Required. The backup resource name, in the format `projects/{project_id}/locations/{location}/backups/{backup_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$", "type": "string", "required": true, "location": "path" } }, "path": "v1beta1/{+name}", "httpMethod": "GET", "description": "Gets the details of a specific backup.", "id": "file.projects.locations.backups.get", "response": { "$ref": "Backup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "delete": { "description": "Deletes a backup.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "path": "v1beta1/{+name}", "parameters": { "name": { "required": true, "description": "Required. The backup resource name, in the format `projects/{project_id}/locations/{location}/backups/{backup_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "id": "file.projects.locations.backups.delete", "response": { "$ref": "Operation" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/backups", "parameters": { "backupId": { "type": "string", "description": "Required. The ID to use for the backup. The ID must be unique within the specified project and location. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The backup's project and location, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, backup locations map to GCP regions, for example **us-west1**.", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "description": "Creates a backup.", "id": "file.projects.locations.backups.create", "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/backups", "request": { "$ref": "Backup" } }, "patch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/backups/{backupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "request": { "$ref": "Backup" }, "response": { "$ref": "Operation" }, "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/backups/[^/]+$", "description": "Output only. The resource name of the backup, in the format `projects/{project_id}/locations/{location_id}/backups/{backup_id}`.", "location": "path" }, "updateMask": { "location": "query", "type": "string", "format": "google-fieldmask", "description": "Required. Mask of fields to update. At least one path must be supplied in this field." } }, "id": "file.projects.locations.backups.patch", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "description": "Updates the settings of a specific backup." }, "list": { "httpMethod": "GET", "response": { "$ref": "ListBackupsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists all backups in a project for either a specified location or for all locations.", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/backups", "path": "v1beta1/{+parent}/backups", "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of items to return." }, "parent": { "location": "path", "description": "Required. The project and location for which to retrieve backup information, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, backup locations map to GCP regions, for example **us-west1**. To retrieve backup information for all locations, use \"-\" for the `{location}` value.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true }, "pageToken": { "type": "string", "description": "The next_page_token value to use if there are additional results to retrieve for this list request.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted)." }, "filter": { "location": "query", "type": "string", "description": "List filter." } }, "id": "file.projects.locations.backups.list" } } }, "instances": { "methods": { "delete": { "description": "Deletes an instance.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}", "id": "file.projects.locations.instances.delete", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`" }, "force": { "location": "query", "description": "If set to true, any snapshots of the instance will also be deleted. (Otherwise, the request will only work if the instance has no snapshots.)", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "description": "Required. The instance resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Instance" }, "id": "file.projects.locations.instances.get", "parameterOrder": [ "name" ], "description": "Gets the details of a specific instance." }, "restore": { "path": "v1beta1/{+name}:restore", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Restores an existing instance's file share from a backup. The capacity of the instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "Required. The resource name of the instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`.", "type": "string", "required": true } }, "id": "file.projects.locations.instances.restore", "request": { "$ref": "RestoreInstanceRequest" }, "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:restore" }, "revert": { "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:revert", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:revert", "httpMethod": "POST", "id": "file.projects.locations.instances.revert", "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. projects/{project_id}/locations/{location_id}/instances/{instance_id}. The resource name of the instance, in the format", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "RevertInstanceRequest" }, "description": "Revert an existing instance's file system to a specified snapshot." }, "list": { "description": "Lists all instances in a project for either a specified location or for all locations.", "path": "v1beta1/{+parent}/instances", "parameterOrder": [ "parent" ], "response": { "$ref": "ListInstancesResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "file.projects.locations.instances.list", "parameters": { "pageSize": { "type": "integer", "description": "The maximum number of items to return.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "orderBy": { "type": "string", "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted)." }, "filter": { "description": "List filter.", "type": "string", "location": "query" }, "parent": { "location": "path", "required": true, "description": "Required. The project and location for which to retrieve instance information, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, locations map to GCP zones, for example **us-west1-b**. To retrieve instance information for all locations, use \"-\" for the `{location}` value.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "httpMethod": "GET" }, "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "file.projects.locations.instances.create", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances", "description": "Creates an instance. When creating from a backup, the capacity of the new instance needs to be equal to or larger than the capacity of the backup (and also equal to or larger than the minimum capacity of the tier).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Instance" }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}/instances", "parameters": { "parent": { "description": "Required. The instance's project and location, in the format `projects/{project_id}/locations/{location}`. In Cloud Filestore, locations map to GCP zones, for example **us-west1-b**.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "instanceId": { "type": "string", "description": "Required. The ID of the instance to create. The ID must be unique within the specified project and location. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.", "location": "query" } } }, "patch": { "httpMethod": "PATCH", "description": "Updates the settings of a specific instance.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "id": "file.projects.locations.instances.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "request": { "$ref": "Instance" }, "path": "v1beta1/{+name}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "type": "string", "description": "Output only. The resource name of the instance, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}`." }, "updateMask": { "format": "google-fieldmask", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"description\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"file_shares\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"labels\"", "type": "string", "location": "query" } }, "response": { "$ref": "Operation" } } }, "resources": { "shares": { "methods": { "create": { "parameters": { "shareId": { "type": "string", "location": "query", "description": "Required. The ID to use for the share. The ID must be unique within the specified instance. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "required": true, "description": "Required. The Filestore Instance to create the share for, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a share.", "path": "v1beta1/{+parent}/shares", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/shares", "id": "file.projects.locations.instances.shares.create", "request": { "$ref": "Share" }, "response": { "$ref": "Operation" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/shares/[^/]+$", "description": "Required. The share resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/share/{share_id}`", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/shares/{sharesId}", "id": "file.projects.locations.instances.shares.delete", "path": "v1beta1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "description": "Deletes a share." }, "patch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/shares/{sharesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "file.projects.locations.instances.shares.patch", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "request": { "$ref": "Share" }, "path": "v1beta1/{+name}", "description": "Updates the settings of a specific share.", "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"description\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"capacity_gb\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"labels\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nfs_export_options\"" }, "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/shares/[^/]+$", "location": "path", "required": true, "description": "Output only. The resource name of the share, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/shares/{share_id}`." } }, "response": { "$ref": "Operation" } }, "list": { "path": "v1beta1/{+parent}/shares", "description": "Lists all shares for a specified instance.", "parameters": { "filter": { "type": "string", "location": "query", "description": "List filter." }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value to use if there are additional results to retrieve for this list request." }, "orderBy": { "type": "string", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of items to return.", "location": "query" }, "parent": { "required": true, "description": "Required. The instance for which to retrieve share information, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } }, "id": "file.projects.locations.instances.shares.list", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/shares", "response": { "$ref": "ListSharesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "get": { "description": "Gets the details of a specific share.", "response": { "$ref": "Share" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/shares/[^/]+$", "type": "string", "description": "Required. The share resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/shares/{share_id}`", "location": "path" } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "id": "file.projects.locations.instances.shares.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/shares/{sharesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } }, "snapshots": { "methods": { "create": { "id": "file.projects.locations.instances.snapshots.create", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots", "parameterOrder": [ "parent" ], "description": "Creates a snapshot.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Snapshot" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}/snapshots", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The Filestore Instance to create the snapshots of, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" }, "snapshotId": { "type": "string", "description": "Required. The ID to use for the snapshot. The ID must be unique within the specified instance. This value must start with a lowercase letter followed by up to 62 lowercase letters, numbers, or hyphens, and cannot end with a hyphen.", "location": "query" } } }, "delete": { "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "file.projects.locations.instances.snapshots.delete", "description": "Deletes a snapshot.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "required": true, "type": "string" } } }, "patch": { "httpMethod": "PATCH", "path": "v1beta1/{+name}", "request": { "$ref": "Snapshot" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field.", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "type": "string", "description": "Output only. The resource name of the snapshot, in the format `projects/{project_id}/locations/{location_id}/instances/{instance_id}/snapshots/{snapshot_id}`.", "required": true, "location": "path" } }, "id": "file.projects.locations.instances.snapshots.patch", "description": "Updates the settings of a specific snapshot.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "response": { "$ref": "ListSnapshotsResponse" }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/snapshots", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots", "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value to use if there are additional results to retrieve for this list request.", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of items to return.", "location": "query" }, "filter": { "description": "List filter.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "type": "string", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted)." }, "parent": { "type": "string", "description": "Required. The instance for which to retrieve snapshot information, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "id": "file.projects.locations.instances.snapshots.list", "httpMethod": "GET", "description": "Lists all snapshots in a project for either a specified location or for all locations.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/snapshots/{snapshotsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "file.projects.locations.instances.snapshots.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/snapshots/[^/]+$", "required": true, "type": "string", "description": "Required. The snapshot resource name, in the format `projects/{project_id}/locations/{location}/instances/{instance_id}/snapshots/{snapshot_id}`", "location": "path" } }, "description": "Gets the details of a specific snapshot.", "httpMethod": "GET", "response": { "$ref": "Snapshot" } } } } } }, "operations": { "methods": { "delete": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource to be deleted.", "required": true } }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "file.projects.locations.operations.delete", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "cancel": { "id": "file.projects.locations.operations.cancel", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "httpMethod": "POST", "parameterOrder": [ "name" ], "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the operation resource to be cancelled." } }, "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}:cancel" }, "list": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "httpMethod": "GET", "parameters": { "name": { "required": true, "description": "The name of the operation's parent resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" } }, "path": "v1beta1/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "file.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "get": { "httpMethod": "GET", "path": "v1beta1/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "description": "The name of the operation resource." } }, "response": { "$ref": "Operation" }, "id": "file.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations", "path": "v1beta1/{+name}/locations", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "file.projects.locations.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "includeUnrevealedLocations": { "location": "query", "type": "boolean", "description": "If true, the returned list will include locations which are not yet revealed." }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string" } }, "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "parameterOrder": [ "name" ], "description": "Gets information about a location.", "httpMethod": "GET", "response": { "$ref": "Location" }, "id": "file.projects.locations.get", "parameters": { "name": { "required": true, "location": "path", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "path": "v1beta1/{+name}" } } } } } }, "basePath": "", "rootUrl": "https://file.googleapis.com/", "baseUrl": "https://file.googleapis.com/", "revision": "20220602", "canonicalName": "Cloud Filestore", "version_module": true, "id": "file:v1beta1", "mtlsRootUrl": "https://file.mtls.googleapis.com/", "protocol": "rest", "name": "file", "documentationLink": "https://cloud.google.com/filestore/", "description": "The Cloud Filestore API is used for creating and managing cloud file servers.", "servicePath": "", "version": "v1beta1" }
]===]))
