local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://firebase.mtls.googleapis.com/", "basePath": "", "version": "v1beta1", "canonicalName": "Firebase Management", "schemas": { "RemoveAndroidAppRequest": { "type": "object", "properties": { "etag": { "type": "string", "description": "Checksum provided in the AndroidApp entity, which if provided ensures the client has an up-to-date value before proceeding." }, "allowMissing": { "description": "If set to true, and the App is not found, the request will succeed but no action will be taken on the server.", "type": "boolean" }, "validateOnly": { "description": "If set to true, only validate the request and do not delete the app.", "type": "boolean" } }, "id": "RemoveAndroidAppRequest" }, "AddGoogleAnalyticsRequest": { "type": "object", "properties": { "analyticsPropertyId": { "description": "The ID for the existing Google Analytics property that you want to associate with the `FirebaseProject`.", "type": "string" }, "analyticsAccountId": { "description": "The ID for the existing [Google Analytics account](http://www.google.com/analytics/) that you want to link with the `FirebaseProject`. Specifying this field will provision a new Google Analytics property in your Google Analytics account and associate the new property with the `FirebaseProject`.", "type": "string" } }, "id": "AddGoogleAnalyticsRequest" }, "ListAndroidAppsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListAndroidApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted." }, "apps": { "items": { "$ref": "AndroidApp" }, "description": "List of each `AndroidApp` associated with the specified `FirebaseProject`.", "type": "array" } }, "type": "object", "id": "ListAndroidAppsResponse" }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" } }, "id": "Status" }, "AndroidApp": { "properties": { "name": { "type": "string", "description": "The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id))." }, "projectId": { "type": "string", "description": "Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `AndroidApp`.", "readOnly": true }, "displayName": { "type": "string", "description": "The user-assigned display name for the `AndroidApp`." }, "packageName": { "type": "string", "description": "Immutable. The canonical package name of the Android app as would appear in the Google Play Developer Console." }, "appId": { "type": "string", "description": "Output only. Immutable. The globally unique, Firebase-assigned identifier for the `AndroidApp`. This identifier should be treated as an opaque token, as the data format is not specified.", "readOnly": true }, "state": { "description": "Output only. The lifecycle state of the App.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETED" ], "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The app has been soft deleted." ], "readOnly": true, "type": "string" }, "apiKeyId": { "type": "string", "description": "The key_id of the GCP ApiKey associated with this App. If set must have no restrictions, or only have restrictions that are valid for the associated Firebase App. Cannot be set in create requests, instead an existing valid API Key will be chosen, or if no valid API Keys exist, one will be provisioned for you. Cannot be set to an empty value in update requests." } }, "description": "Details of a Firebase App for Android.", "type": "object", "id": "AndroidApp" }, "StatusProto": { "type": "object", "id": "StatusProto", "properties": { "message": { "type": "string", "description": "Detail message" }, "space": { "type": "string", "description": "The following are usually only present when code != 0 Space to which this status belongs" }, "code": { "description": "Numeric code drawn from the space specified below. Often, this is the canonical error space, and code is drawn from google3/util/task/codes.proto", "format": "int32", "type": "integer" }, "canonicalCode": { "type": "integer", "description": "The canonical error code (see codes.proto) that most closely corresponds to this status. May be missing.", "format": "int32" }, "messageSet": { "description": "message_set associates an arbitrary proto message with the status.", "$ref": "MessageSet" } }, "description": "Wire-format for a Status object" }, "ProjectInfo": { "properties": { "locationId": { "type": "string", "description": "The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). Not all Projects will have this field populated. If it is not populated, it means that the Project does not yet have a default GCP resource location. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project." }, "project": { "description": "The resource name of the GCP `Project` to which Firebase resources can be added, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string" }, "displayName": { "description": "The user-assigned display name of the GCP `Project`, for example: `My App`", "type": "string" } }, "id": "ProjectInfo", "type": "object", "description": "A reference to a Google Cloud Platform (GCP) `Project`." }, "StreamMapping": { "type": "object", "id": "StreamMapping", "description": "A mapping of a Firebase App to a Google Analytics data stream", "properties": { "app": { "description": "The resource name of the Firebase App associated with the Google Analytics data stream, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID or projects/PROJECT_IDENTIFIER/iosApps/APP_ID or projects/PROJECT_IDENTIFIER /webApps/APP_ID Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string" }, "measurementId": { "type": "string", "description": "Applicable for Firebase Web Apps only. The unique Google-assigned identifier of the Google Analytics web stream associated with the Firebase Web App. Firebase SDKs use this ID to interact with Google Analytics APIs. Learn more about this ID and Google Analytics web streams in the [Analytics documentation](https://support.google.com/analytics/answer/9304153)." }, "streamId": { "format": "int64", "type": "string", "description": "The unique Google-assigned identifier of the Google Analytics data stream associated with the Firebase App. Learn more about Google Analytics data streams in the [Analytics documentation](https://support.google.com/analytics/answer/9303323)." } } }, "AndroidAppConfig": { "id": "AndroidAppConfig", "properties": { "configFilename": { "type": "string", "description": "The filename that the configuration artifact for the `AndroidApp` is typically saved as. For example: `google-services.json`" }, "configFileContents": { "format": "byte", "description": "The contents of the JSON configuration file.", "type": "string" } }, "type": "object", "description": "Configuration metadata of a single Firebase App for Android." }, "SearchFirebaseAppsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "If the result list is too large to fit in a single response, then a token is returned. This token can be used in a subsequent calls to `SearchFirebaseApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.", "type": "string" }, "apps": { "type": "array", "items": { "$ref": "FirebaseAppInfo" }, "description": "One page of results from a call to `SearchFirebaseApps`." } }, "id": "SearchFirebaseAppsResponse" }, "AdminSdkConfig": { "properties": { "locationId": { "description": "The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.", "type": "string" }, "projectId": { "type": "string", "description": "Immutable. A user-assigned unique identifier for the `FirebaseProject`. This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project." }, "databaseURL": { "type": "string", "description": "The default Firebase Realtime Database URL." }, "storageBucket": { "description": "The default Cloud Storage for Firebase storage bucket name.", "type": "string" } }, "type": "object", "id": "AdminSdkConfig" }, "AnalyticsDetails": { "properties": { "streamMappings": { "items": { "$ref": "StreamMapping" }, "type": "array", "description": " - For `AndroidApps` and `IosApps`: a map of `app` to `streamId` for each Firebase App in the specified `FirebaseProject`. Each `app` and `streamId` appears only once. - For `WebApps`: a map of `app` to `streamId` and `measurementId` for each `WebApp` in the specified `FirebaseProject`. Each `app`, `streamId`, and `measurementId` appears only once." }, "analyticsProperty": { "$ref": "AnalyticsProperty", "description": "The Analytics Property object associated with the specified `FirebaseProject`. This object contains the details of the Google Analytics property associated with the Project." } }, "type": "object", "id": "AnalyticsDetails" }, "MessageSet": { "description": "This is proto2's version of MessageSet.", "id": "MessageSet", "properties": {}, "type": "object" }, "ListAvailableLocationsResponse": { "id": "ListAvailableLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results and all available locations have been listed. This token can be used in a subsequent call to `ListAvailableLocations` to find more locations. Page tokens are short-lived and should not be persisted." }, "locations": { "description": "One page of results from a call to `ListAvailableLocations`.", "items": { "$ref": "Location" }, "type": "array" } }, "type": "object" }, "RemoveIosAppRequest": { "properties": { "etag": { "type": "string", "description": "Checksum provided in the IosApp entity, which if provided ensures the client has an up-to-date value before proceeding." }, "validateOnly": { "description": "If set to true, only validate the request and do not delete the app.", "type": "boolean" }, "allowMissing": { "description": "If set to true, and the App is not found, the request will succeed but no action will be taken on the server.", "type": "boolean" } }, "id": "RemoveIosAppRequest", "type": "object" }, "Operation": { "id": "Operation", "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "Location": { "description": "A GCP resource location that can be selected for a FirebaseProject.", "id": "Location", "properties": { "locationId": { "description": "The ID of the GCP resource location. It will be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations#types).", "type": "string" }, "type": { "enumDescriptions": [ "Used internally for distinguishing unset values and is not intended for external use.", "The location is a regional location. Data in a regional location is replicated in multiple zones within a region.", "The location is a multi-regional location. Data in a multi-region location is replicated in multiple regions. Within each region, data is replicated in multiple zones." ], "type": "string", "description": "Indicates whether the GCP resource location is a [regional or multi-regional location](https://firebase.google.com/docs/projects/locations#types) for data replication.", "enum": [ "LOCATION_TYPE_UNSPECIFIED", "REGIONAL", "MULTI_REGIONAL" ] }, "features": { "type": "array", "items": { "enum": [ "LOCATION_FEATURE_UNSPECIFIED", "FIRESTORE", "DEFAULT_STORAGE", "FUNCTIONS" ], "enumDescriptions": [ "Used internally for distinguishing unset values and is not intended for external use.", "This location supports Cloud Firestore database instances. App Engine is available in this location, so it can be a Project's [default GCP resource location](//firebase.google.com/docs/projects/locations#default-cloud-location).", "This location supports default Cloud Storage buckets. App Engine is available in this location, so it can be a Project's [default GCP resource location](//firebase.google.com/docs/projects/locations#default-cloud-location).", "Cloud Functions for Firebase is available in this location." ], "type": "string" }, "description": "Products and services that are available in the GCP resource location." } }, "type": "object" }, "FirebaseAppInfo": { "id": "FirebaseAppInfo", "type": "object", "properties": { "name": { "description": "The resource name of the Firebase App, in the format: projects/PROJECT_ID /iosApps/APP_ID or projects/PROJECT_ID/androidApps/APP_ID or projects/ PROJECT_ID/webApps/APP_ID", "type": "string" }, "apiKeyId": { "type": "string", "description": "The key_id of the GCP ApiKey associated with this App. If set must have no restrictions, or only have restrictions that are valid for the associated Firebase App. Cannot be set to an empty value in update requests. If left unset on create requests, an existing valid API Key will be chosen, or if no valid API Keys exist, one will be provisioned for you." }, "displayName": { "type": "string", "description": "The user-assigned display name of the Firebase App." }, "state": { "description": "Output only. The lifecycle state of the App.", "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The app has been soft deleted." ], "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETED" ] }, "platform": { "enum": [ "PLATFORM_UNSPECIFIED", "IOS", "ANDROID", "WEB" ], "enumDescriptions": [ "Unknown state. This is only used for distinguishing unset values.", "The Firebase App is associated with iOS.", "The Firebase App is associated with Android.", "The Firebase App is associated with web." ], "type": "string", "description": "The platform of the Firebase App." }, "appId": { "readOnly": true, "description": "Output only. Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`. This identifier should be treated as an opaque token, as the data format is not specified.", "type": "string" }, "namespace": { "readOnly": true, "description": "Output only. Immutable. The platform-specific identifier of the App. *Note:* For most use cases, use `appId`, which is the canonical, globally unique identifier for referencing an App. This string is derived from a native identifier for each platform: `packageName` for an `AndroidApp`, `bundleId` for an `IosApp`, and `webId` for a `WebApp`. Its contents should be treated as opaque, as the native identifier format may change as platforms evolve. This string is only unique within a `FirebaseProject` and its associated Apps.", "type": "string" } }, "description": "A high-level summary of an App." }, "WebApp": { "type": "object", "description": "Details of a Firebase App for the web.", "properties": { "appId": { "description": "Output only. Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`. This identifier should be treated as an opaque token, as the data format is not specified.", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.webApps#WebApp.FIELDS.app_id))." }, "appUrls": { "description": "The URLs where the `WebApp` is hosted.", "type": "array", "items": { "type": "string" } }, "displayName": { "description": "The user-assigned display name for the `WebApp`.", "type": "string" }, "webId": { "type": "string", "description": "Output only. Immutable. A unique, Firebase-assigned identifier for the `WebApp`. This identifier is only used to populate the `namespace` value for the `WebApp`. For most use cases, use `appId` to identify or reference the App. The `webId` value is only unique within a `FirebaseProject` and its associated Apps.", "readOnly": true }, "projectId": { "type": "string", "readOnly": true, "description": "Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `WebApp`." }, "apiKeyId": { "description": "The key_id of the GCP ApiKey associated with this App. If set must have no restrictions, or only have restrictions that are valid for the associated Firebase App. Cannot be set in create requests, instead an existing valid API Key will be chosen, or if no valid API Keys exist, one will be provisioned for you. Cannot be set to an empty value in update requests.", "type": "string" }, "state": { "readOnly": true, "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The app has been soft deleted." ], "description": "Output only. The lifecycle state of the App.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETED" ] } }, "id": "WebApp" }, "FinalizeDefaultLocationRequest": { "properties": { "locationId": { "description": "The ID of the Project's default GCP resource location. The location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations).", "type": "string" } }, "type": "object", "id": "FinalizeDefaultLocationRequest" }, "ListWebAppsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListWebApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted." }, "apps": { "items": { "$ref": "WebApp" }, "description": "List of each `WebApp` associated with the specified `FirebaseProject`.", "type": "array" } }, "id": "ListWebAppsResponse", "type": "object" }, "DefaultResources": { "description": "The default resources associated with the Project.", "properties": { "storageBucket": { "description": "Output only. The default Cloud Storage for Firebase storage bucket, in the format: PROJECT_ID.appspot.com", "readOnly": true, "type": "string" }, "realtimeDatabaseInstance": { "type": "string", "description": "Output only. The default Firebase Realtime Database instance name, in the format: PROJECT_ID Though rare, your `projectId` might already be used as the name for an existing Realtime Database instance in another project (learn more about [database sharding](https://firebase.google.com/docs/database/usage/sharding)). In these cases, your `projectId` is appended with a hyphen then five alphanumeric characters to create your default Realtime Database instance name. For example, if your `projectId` is `myproject123`, your default database instance name might be: `myproject123-a5c16`", "readOnly": true }, "hostingSite": { "type": "string", "readOnly": true, "description": "Output only. The default Firebase Hosting site name, in the format: PROJECT_ID Though rare, your `projectId` might already be used as the name for an existing Hosting site in another project (learn more about creating non-default, [additional sites](https://firebase.google.com/docs/hosting/multisites)). In these cases, your `projectId` is appended with a hyphen then five alphanumeric characters to create your default Hosting site name. For example, if your `projectId` is `myproject123`, your default Hosting site name might be: `myproject123-a5c16`" }, "locationId": { "description": "Output only. The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.", "readOnly": true, "type": "string" } }, "id": "DefaultResources", "type": "object" }, "ListAvailableProjectsResponse": { "properties": { "projectInfo": { "items": { "$ref": "ProjectInfo" }, "description": "The list of GCP `Projects` which can have Firebase resources added to them.", "type": "array" }, "nextPageToken": { "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to `ListAvailableProjects` to find the next group of Projects. Page tokens are short-lived and should not be persisted.", "type": "string" } }, "id": "ListAvailableProjectsResponse", "type": "object" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" }, "WebAppConfig": { "id": "WebAppConfig", "description": "Configuration metadata of a single Firebase App for the web.", "type": "object", "properties": { "appId": { "type": "string", "description": "Immutable. The globally unique, Firebase-assigned identifier for the `WebApp`." }, "projectId": { "type": "string", "description": "Immutable. A user-assigned unique identifier for the `FirebaseProject`." }, "storageBucket": { "type": "string", "description": "The default Cloud Storage for Firebase storage bucket name." }, "databaseURL": { "description": "The default Firebase Realtime Database URL.", "type": "string" }, "measurementId": { "description": "The unique Google-assigned identifier of the Google Analytics web stream associated with the `WebApp`. Firebase SDKs use this ID to interact with Google Analytics APIs. This field is only present if the `WebApp` is linked to a web stream in a Google Analytics App + Web property. Learn more about this ID and Google Analytics web streams in the [Analytics documentation](https://support.google.com/analytics/answer/9304153). To generate a `measurementId` and link the `WebApp` with a Google Analytics web stream, call [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics). For apps using the Firebase JavaScript SDK v7.20.0 and later, Firebase dynamically fetches the `measurementId` when your app initializes Analytics. Having this ID in your config object is optional, but it does serve as a fallback in the rare case that the dynamic fetch fails.", "type": "string" }, "locationId": { "description": "The ID of the Project's default GCP resource location. The location is one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). This field is omitted if the default GCP resource location has not been finalized yet. To set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the Project.", "type": "string" }, "messagingSenderId": { "description": "The sender ID for use with Firebase Cloud Messaging.", "type": "string" }, "authDomain": { "type": "string", "description": "The domain Firebase Auth configures for OAuth redirects, in the format: PROJECT_ID.firebaseapp.com" }, "apiKey": { "description": "The API key associated with the `WebApp`.", "type": "string" } } }, "FirebaseProject": { "properties": { "state": { "description": "Output only. The lifecycle state of the Project. Updates to the state must be performed via com.google.cloudresourcemanager.v1.Projects.DeleteProject and com.google.cloudresourcemanager.v1.Projects.UndeleteProject", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETED" ], "type": "string", "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The Project has been marked for deletion by the user." ] }, "resources": { "$ref": "DefaultResources", "readOnly": true, "description": "Output only. The default Firebase resources associated with the Project." }, "projectId": { "description": "Output only. A user-assigned unique identifier for the Project. This identifier may appear in URLs or names for some Firebase resources associated with the Project, but it should generally be treated as a convenience alias to reference the Project.", "type": "string", "readOnly": true }, "displayName": { "description": "The user-assigned display name of the Project.", "type": "string" }, "name": { "description": "The resource name of the Project, in the format: projects/PROJECT_IDENTIFIER PROJECT_IDENTIFIER: the Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`.", "type": "string" }, "projectNumber": { "format": "int64", "type": "string", "description": "Output only. The globally unique, Google-assigned canonical identifier for the Project. Use this identifier when configuring integrations and/or making API calls to Firebase or third-party services.", "readOnly": true } }, "id": "FirebaseProject", "type": "object", "description": "A `FirebaseProject` is the top-level Firebase entity. It is the container for Firebase Apps, Firebase Hosting sites, storage systems (Firebase Realtime Database, Cloud Firestore, Cloud Storage buckets), and other Firebase and Google Cloud Platform (GCP) resources. You create a `FirebaseProject` by calling AddFirebase and specifying an *existing* [GCP `Project`](https://cloud.google.com/resource-manager/reference/rest/v1/projects). This adds Firebase resources to the existing GCP `Project`. Since a FirebaseProject is actually also a GCP `Project`, a `FirebaseProject` has the same underlying GCP identifiers (`projectNumber` and `projectId`). This allows for easy interop with Google APIs." }, "ShaCertificate": { "description": "A SHA-1 or SHA-256 certificate associated with the AndroidApp.", "type": "object", "id": "ShaCertificate", "properties": { "certType": { "type": "string", "description": "The type of SHA certificate encoded in the hash.", "enum": [ "SHA_CERTIFICATE_TYPE_UNSPECIFIED", "SHA_1", "SHA_256" ], "enumDescriptions": [ "Unknown state. This is only used for distinguishing unset values.", "Certificate is a SHA-1 type certificate.", "Certificate is a SHA-256 type certificate." ] }, "name": { "type": "string", "description": "The resource name of the ShaCertificate for the AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID/sha/SHA_HASH LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id)). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SHA_HASH: the certificate hash for the App (see [`shaHash`](../projects.androidApps.sha#ShaCertificate.FIELDS.sha_hash))." }, "shaHash": { "description": "The certificate hash for the `AndroidApp`.", "type": "string" } } }, "ListShaCertificatesResponse": { "id": "ListShaCertificatesResponse", "type": "object", "properties": { "certificates": { "type": "array", "description": "The list of each `ShaCertificate` associated with the `AndroidApp`.", "items": { "$ref": "ShaCertificate" } } } }, "AnalyticsProperty": { "type": "object", "properties": { "analyticsAccountId": { "readOnly": true, "description": "Output only. The ID of the [Google Analytics account](https://www.google.com/analytics/) for the Google Analytics property associated with the specified FirebaseProject.", "type": "string" }, "displayName": { "type": "string", "description": "The display name of the Google Analytics property associated with the specified `FirebaseProject`." }, "id": { "description": "The globally unique, Google-assigned identifier of the Google Analytics property associated with the specified `FirebaseProject`. If you called [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics) to link the `FirebaseProject` with a Google Analytics account, the value in this `id` field is the same as the ID of the property either specified or provisioned with that call to `AddGoogleAnalytics`.", "type": "string" } }, "description": "Details of a Google Analytics property", "id": "AnalyticsProperty" }, "IosAppConfig": { "properties": { "configFileContents": { "description": "The content of the XML configuration file.", "format": "byte", "type": "string" }, "configFilename": { "type": "string", "description": "The filename that the configuration artifact for the `IosApp` is typically saved as. For example: `GoogleService-Info.plist`" } }, "id": "IosAppConfig", "type": "object", "description": "Configuration metadata of a single Firebase App for iOS." }, "RemoveAnalyticsRequest": { "type": "object", "id": "RemoveAnalyticsRequest", "properties": { "analyticsPropertyId": { "description": "Optional. The ID of the Google Analytics property associated with the specified `FirebaseProject`. - If not set, then the Google Analytics property that is currently associated with the specified `FirebaseProject` is removed. - If set, and the specified `FirebaseProject` is currently associated with a *different* Google Analytics property, then the response is a `412 Precondition Failed` error. ", "type": "string" } } }, "IosApp": { "id": "IosApp", "properties": { "displayName": { "description": "The user-assigned display name for the `IosApp`.", "type": "string" }, "appStoreId": { "description": "The automatically generated Apple ID assigned to the iOS app by Apple in the iOS App Store.", "type": "string" }, "bundleId": { "description": "Immutable. The canonical bundle ID of the iOS app as it would appear in the iOS AppStore.", "type": "string" }, "appId": { "type": "string", "description": "Output only. Immutable. The globally unique, Firebase-assigned identifier for the `IosApp`. This identifier should be treated as an opaque token, as the data format is not specified.", "readOnly": true }, "teamId": { "description": "The Apple Developer Team ID associated with the App in the App Store.", "type": "string" }, "projectId": { "description": "Output only. Immutable. A user-assigned unique identifier of the parent FirebaseProject for the `IosApp`.", "type": "string", "readOnly": true }, "name": { "type": "string", "description": "The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.iosApps#IosApp.FIELDS.app_id))." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "DELETED" ], "type": "string", "description": "Output only. The lifecycle state of the App.", "enumDescriptions": [ "Unspecified state.", "The normal and active state.", "The app has been soft deleted." ], "readOnly": true }, "apiKeyId": { "description": "The key_id of the GCP ApiKey associated with this App. If set must have no restrictions, or only have restrictions that are valid for the associated Firebase App. Cannot be set in create requests, instead an existing valid API Key will be chosen, or if no valid API Keys exist, one will be provisioned for you. Cannot be set to an empty value in update requests.", "type": "string" } }, "description": "Details of a Firebase App for iOS.", "type": "object" }, "ListIosAppsResponse": { "id": "ListIosAppsResponse", "properties": { "nextPageToken": { "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListIosApps` to find the next group of Apps. Page tokens are short-lived and should not be persisted.", "type": "string" }, "apps": { "items": { "$ref": "IosApp" }, "description": "List of each `IosApp` associated with the specified `FirebaseProject`.", "type": "array" } }, "type": "object" }, "AddFirebaseRequest": { "id": "AddFirebaseRequest", "type": "object", "description": "All fields are required.", "properties": { "locationId": { "description": "Deprecated. Instead, to set a Project's default GCP resource location, call [`FinalizeDefaultLocation`](../projects.defaultLocation/finalize) after you add Firebase resources to the GCP `Project`. The ID of the Project's default GCP resource location. The location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations).", "type": "string" } } }, "RemoveWebAppRequest": { "properties": { "allowMissing": { "description": "If set to true, and the App is not found, the request will succeed but no action will be taken on the server.", "type": "boolean" }, "validateOnly": { "type": "boolean", "description": "If set to true, only validate the request and do not delete the app." }, "etag": { "type": "string", "description": "Checksum provided in the WebApp entity, which if provided ensures the client has an up-to-date value before proceeding." } }, "type": "object", "id": "RemoveWebAppRequest" }, "ListFirebaseProjectsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to `ListFirebaseProjects` to find the next group of Projects. Page tokens are short-lived and should not be persisted." }, "results": { "type": "array", "description": "One page of the list of Projects that are accessible to the caller.", "items": { "$ref": "FirebaseProject" } } }, "id": "ListFirebaseProjectsResponse" } }, "title": "Firebase Management API", "servicePath": "", "fullyEncodeReservedExpansion": true, "discoveryVersion": "v1", "ownerDomain": "google.com", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/firebase.readonly": { "description": "View all your Firebase data and settings" }, "https://www.googleapis.com/auth/firebase": { "description": "View and administer all your Firebase data and settings" } } } }, "version_module": true, "name": "firebase", "protocol": "rest", "id": "firebase:v1beta1", "resources": { "projects": { "resources": { "androidApps": { "methods": { "list": { "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.", "format": "int32" }, "pageToken": { "type": "string", "description": "Token returned from a previous call to `ListAndroidApps` indicating where in the set of Apps to resume listing.", "location": "query" }, "parent": { "location": "path", "type": "string", "description": "The resource name of the parent FirebaseProject for which to list each associated AndroidApp, in the format: projects/PROJECT_IDENTIFIER /androidApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "required": true, "pattern": "^projects/[^/]+$" }, "showDeleted": { "location": "query", "description": "Controls whether Apps in the DELETED state should be returned. Defaults to false.", "type": "boolean" } }, "description": "Lists each AndroidApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.", "id": "firebase.projects.androidApps.list", "path": "v1beta1/{+parent}/androidApps", "response": { "$ref": "ListAndroidAppsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/androidApps" }, "create": { "httpMethod": "POST", "path": "v1beta1/{+parent}/androidApps", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+$", "description": "The resource name of the parent FirebaseProject in which to create an AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/androidApps", "description": "Requests the creation of a new AndroidApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.", "id": "firebase.projects.androidApps.create", "parameterOrder": [ "parent" ], "request": { "$ref": "AndroidApp" } }, "remove": { "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the AndroidApp [name](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/androidApps/[^/]+$", "required": true } }, "id": "firebase.projects.androidApps.remove", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}:remove", "path": "v1beta1/{+name}:remove", "httpMethod": "POST", "request": { "$ref": "RemoveAndroidAppRequest" }, "description": "Removes the specified AndroidApp from the project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Gets the specified AndroidApp.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "id": "firebase.projects.androidApps.get", "parameters": { "name": { "description": "The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "location": "path", "pattern": "^projects/[^/]+/androidApps/[^/]+$", "type": "string", "required": true } }, "response": { "$ref": "AndroidApp" } }, "getConfig": { "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/androidApps/[^/]+/config$", "location": "path", "type": "string", "required": true, "description": "The resource name of the AndroidApp configuration to download, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values." } }, "response": { "$ref": "AndroidAppConfig" }, "description": "Gets the configuration artifact associated with the specified AndroidApp.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}", "id": "firebase.projects.androidApps.getConfig", "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/config" }, "patch": { "parameters": { "updateMask": { "description": "Specifies which fields to update. Note that the fields `name`, `app_id`, `project_id`, `package_name`, and `state` are all immutable.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/androidApps/[^/]+$", "location": "path", "description": "The resource name of the AndroidApp, in the format: projects/ PROJECT_IDENTIFIER/androidApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.androidApps#AndroidApp.FIELDS.app_id))." } }, "request": { "$ref": "AndroidApp" }, "httpMethod": "PATCH", "description": "Updates the attributes of the specified AndroidApp.", "response": { "$ref": "AndroidApp" }, "path": "v1beta1/{+name}", "id": "firebase.projects.androidApps.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}" } }, "resources": { "sha": { "methods": { "create": { "httpMethod": "POST", "description": "Adds a ShaCertificate to the specified AndroidApp.", "id": "firebase.projects.androidApps.sha.create", "response": { "$ref": "ShaCertificate" }, "parameters": { "parent": { "description": "The resource name of the parent AndroidApp to which to add a ShaCertificate, in the format: projects/PROJECT_IDENTIFIER/androidApps/ APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "required": true, "location": "path", "pattern": "^projects/[^/]+/androidApps/[^/]+$", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "ShaCertificate" }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/sha" }, "delete": { "parameters": { "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/androidApps/[^/]+/sha/[^/]+$", "description": "The resource name of the ShaCertificate to remove from the parent AndroidApp, in the format: projects/PROJECT_IDENTIFIER/androidApps/APP_ID /sha/SHA_HASH Refer to the `ShaCertificate` [`name`](../projects.androidApps.sha#ShaCertificate.FIELDS.name) field for details about PROJECT_IDENTIFIER, APP_ID, and SHA_HASH values. You can obtain the full resource name of the `ShaCertificate` from the response of [`ListShaCertificates`](../projects.androidApps.sha/list) or the original [`CreateShaCertificate`](../projects.androidApps.sha/create)." } }, "description": "Removes a ShaCertificate from the specified AndroidApp.", "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha/{shaId}", "id": "firebase.projects.androidApps.sha.delete", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "httpMethod": "DELETE" }, "list": { "description": "Lists the SHA-1 and SHA-256 certificates for the specified AndroidApp.", "response": { "$ref": "ListShaCertificatesResponse" }, "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/androidApps/[^/]+$", "required": true, "description": "The resource name of the parent AndroidApp for which to list each associated ShaCertificate, in the format: projects/PROJECT_IDENTIFIER /androidApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/APP_ID Refer to the `AndroidApp` [`name`](../projects.androidApps#AndroidApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "location": "path" } }, "path": "v1beta1/{+parent}/sha", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "id": "firebase.projects.androidApps.sha.list", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/androidApps/{androidAppsId}/sha", "httpMethod": "GET" } } } } }, "defaultLocation": { "methods": { "finalize": { "request": { "$ref": "FinalizeDefaultLocationRequest" }, "path": "v1beta1/{+parent}/defaultLocation:finalize", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "The resource name of the FirebaseProject for which the default GCP resource location will be set, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "location": "path" } }, "id": "firebase.projects.defaultLocation.finalize", "description": "Sets the default Google Cloud Platform (GCP) resource location for the specified FirebaseProject. This method creates an App Engine application with a [default Cloud Storage bucket](https://cloud.google.com/appengine/docs/standard/python/googlecloudstorageclient/setting-up-cloud-storage#activating_a_cloud_storage_bucket), located in the specified [`locationId`](#body.request_body.FIELDS.location_id). This location must be one of the available [GCP resource locations](https://firebase.google.com/docs/projects/locations). After the default GCP resource location is finalized, or if it was already set, it cannot be changed. The default GCP resource location for the specified `FirebaseProject` might already be set because either the underlying GCP `Project` already has an App Engine application or `FinalizeDefaultLocation` was previously called with a specified `locationId`. Any new calls to `FinalizeDefaultLocation` with a *different* specified `locationId` will return a 409 error. The result of this call is an [`Operation`](../../v1beta1/operations), which can be used to track the provisioning process. The [`response`](../../v1beta1/operations#Operation.FIELDS.response) type of the `Operation` is google.protobuf.Empty. The `Operation` can be polled by its `name` using GetOperation until `done` is true. When `done` is true, the `Operation` has either succeeded or failed. If the `Operation` has succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) will be set to a google.protobuf.Empty; if the `Operation` has failed, its `error` will be set to a google.rpc.Status. The `Operation` is automatically deleted after completion, so there is no need to call DeleteOperation. All fields listed in the [request body](#request-body) are required. To call `FinalizeDefaultLocation`, a member must be an Owner of the Project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "flatPath": "v1beta1/projects/{projectsId}/defaultLocation:finalize" } } }, "iosApps": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "id": "firebase.projects.iosApps.patch", "flatPath": "v1beta1/projects/{projectsId}/iosApps/{iosAppsId}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/iosApps/[^/]+$", "required": true, "description": "The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.iosApps#IosApp.FIELDS.app_id))." }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Specifies which fields to update. Note that the fields `name`, `appId`, `projectId`, `bundleId`, and `state` are all immutable", "location": "query" } }, "request": { "$ref": "IosApp" }, "description": "Updates the attributes of the specified IosApp.", "httpMethod": "PATCH", "response": { "$ref": "IosApp" } }, "getConfig": { "response": { "$ref": "IosAppConfig" }, "id": "firebase.projects.iosApps.getConfig", "httpMethod": "GET", "description": "Gets the configuration artifact associated with the specified IosApp.", "flatPath": "v1beta1/projects/{projectsId}/iosApps/{iosAppsId}/config", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/iosApps/[^/]+/config$", "description": "The resource name of the App configuration to download, in the format: projects/PROJECT_IDENTIFIER/iosApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the `IosApp` [`name`](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "required": true } }, "parameterOrder": [ "name" ] }, "get": { "flatPath": "v1beta1/projects/{projectsId}/iosApps/{iosAppsId}", "httpMethod": "GET", "description": "Gets the specified IosApp.", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "The resource name of the IosApp, in the format: projects/PROJECT_IDENTIFIER /iosApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the `IosApp` [`name`](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "pattern": "^projects/[^/]+/iosApps/[^/]+$" } }, "response": { "$ref": "IosApp" }, "id": "firebase.projects.iosApps.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}" }, "remove": { "request": { "$ref": "RemoveIosAppRequest" }, "description": "Removes the specified IosApp from the project.", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/iosApps/{iosAppsId}:remove", "id": "firebase.projects.iosApps.remove", "parameters": { "name": { "type": "string", "description": "Required. The resource name of the IosApp, in the format: projects/ PROJECT_IDENTIFIER/iosApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/APP_ID Refer to the IosApp [name](../projects.iosApps#IosApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "pattern": "^projects/[^/]+/iosApps/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:remove" }, "list": { "description": "Lists each IosApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.", "id": "firebase.projects.iosApps.list", "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit." }, "showDeleted": { "description": "Controls whether Apps in the DELETED state should be returned. Defaults to false.", "location": "query", "type": "boolean" }, "pageToken": { "description": "Token returned from a previous call to `ListIosApps` indicating where in the set of Apps to resume listing.", "type": "string", "location": "query" }, "parent": { "description": "The resource name of the parent FirebaseProject for which to list each associated IosApp, in the format: projects/PROJECT_IDENTIFIER/iosApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/iosApps", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+parent}/iosApps", "response": { "$ref": "ListIosAppsResponse" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "httpMethod": "POST", "request": { "$ref": "IosApp" }, "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+$", "type": "string", "description": "The resource name of the parent FirebaseProject in which to create an IosApp, in the format: projects/PROJECT_IDENTIFIER/iosApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values." } }, "description": "Requests the creation of a new IosApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.", "flatPath": "v1beta1/projects/{projectsId}/iosApps", "path": "v1beta1/{+parent}/iosApps", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "id": "firebase.projects.iosApps.create" } } }, "webApps": { "methods": { "getConfig": { "flatPath": "v1beta1/projects/{projectsId}/webApps/{webAppsId}/config", "description": "Gets the configuration artifact associated with the specified WebApp.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "WebAppConfig" }, "id": "firebase.projects.webApps.getConfig", "parameters": { "name": { "required": true, "description": "The resource name of the WebApp configuration to download, in the format: projects/PROJECT_IDENTIFIER/webApps/APP_ID/config Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the `WebApp` [`name`](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "type": "string", "pattern": "^projects/[^/]+/webApps/[^/]+/config$", "location": "path" } } }, "list": { "flatPath": "v1beta1/projects/{projectsId}/webApps", "id": "firebase.projects.webApps.list", "response": { "$ref": "ListWebAppsResponse" }, "description": "Lists each WebApp associated with the specified FirebaseProject. The elements are returned in no particular order, but will be a consistent view of the Apps when additional requests are made with a `pageToken`.", "path": "v1beta1/{+parent}/webApps", "parameterOrder": [ "parent" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameters": { "showDeleted": { "description": "Controls whether Apps in the DELETED state should be returned. Defaults to false.", "location": "query", "type": "boolean" }, "parent": { "type": "string", "pattern": "^projects/[^/]+$", "required": true, "description": "The resource name of the parent FirebaseProject for which to list each associated WebApp, in the format: projects/PROJECT_IDENTIFIER/webApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "location": "path" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.", "format": "int32" }, "pageToken": { "type": "string", "description": "Token returned from a previous call to `ListWebApps` indicating where in the set of Apps to resume listing.", "location": "query" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "description": "Gets the specified WebApp.", "httpMethod": "GET", "response": { "$ref": "WebApp" }, "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/webApps/[^/]+$", "location": "path", "description": "The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the `WebApp` [`name`](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values." } }, "flatPath": "v1beta1/projects/{projectsId}/webApps/{webAppsId}", "id": "firebase.projects.webApps.get", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ] }, "remove": { "path": "v1beta1/{+name}:remove", "parameterOrder": [ "name" ], "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The resource name of the WebApp, in the format: projects/ PROJECT_IDENTIFIER/webApps/APP_ID Since an APP_ID is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/APP_ID Refer to the WebApp [name](../projects.webApps#WebApp.FIELDS.name) field for details about PROJECT_IDENTIFIER and APP_ID values.", "pattern": "^projects/[^/]+/webApps/[^/]+$", "location": "path" } }, "request": { "$ref": "RemoveWebAppRequest" }, "id": "firebase.projects.webApps.remove", "flatPath": "v1beta1/projects/{projectsId}/webApps/{webAppsId}:remove", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Removes the specified WebApp from the project." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "flatPath": "v1beta1/projects/{projectsId}/webApps/{webAppsId}", "response": { "$ref": "WebApp" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "pattern": "^projects/[^/]+/webApps/[^/]+$", "type": "string", "required": true, "description": "The resource name of the WebApp, in the format: projects/PROJECT_IDENTIFIER /webApps/APP_ID LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PROJECT_IDENTIFIER: the parent Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APP_ID: the globally unique, Firebase-assigned identifier for the App (see [`appId`](../projects.webApps#WebApp.FIELDS.app_id)).", "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Specifies which fields to update. Note that the fields `name`, `appId`, `projectId` and `state` are all immutable", "type": "string" } }, "id": "firebase.projects.webApps.patch", "request": { "$ref": "WebApp" }, "path": "v1beta1/{+name}", "description": "Updates the attributes of the specified WebApp." }, "create": { "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+$", "description": "The resource name of the parent FirebaseProject in which to create a WebApp, in the format: projects/PROJECT_IDENTIFIER/webApps Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values." } }, "description": "Requests the creation of a new WebApp in the specified FirebaseProject. The result of this call is an `Operation` which can be used to track the provisioning process. The `Operation` is automatically deleted after completion, so there is no need to call `DeleteOperation`.", "parameterOrder": [ "parent" ], "id": "firebase.projects.webApps.create", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/webApps", "request": { "$ref": "WebApp" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+parent}/webApps" } } }, "availableLocations": { "methods": { "list": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "ListAvailableLocationsResponse" }, "description": "Lists the valid Google Cloud Platform (GCP) resource locations for the specified Project (including a FirebaseProject). One of these locations can be selected as the Project's [_default_ GCP resource location](https://firebase.google.com/docs/projects/locations), which is the geographical location where the Project's resources, such as Cloud Firestore, will be provisioned by default. However, if the default GCP resource location has already been set for the Project, then this setting cannot be changed. This call checks for any possible [location restrictions](https://cloud.google.com/resource-manager/docs/organization-policy/defining-locations) for the specified Project and, thus, might return a subset of all possible GCP resource locations. To list all GCP resource locations (regardless of any restrictions), call the endpoint without specifying a unique project identifier (that is, `/v1beta1/{parent=projects/-}/listAvailableLocations`). To call `ListAvailableLocations` with a specified project, a member must be at minimum a Viewer of the Project. Calls without a specified project do not require any specific project permissions.", "path": "v1beta1/{+parent}/availableLocations", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/availableLocations", "parameters": { "pageToken": { "location": "query", "description": "Token returned from a previous call to `ListAvailableLocations` indicating where in the list of locations to resume listing.", "type": "string" }, "parent": { "type": "string", "location": "path", "description": "The FirebaseProject for which to list GCP resource locations, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values. If no unique project identifier is specified (that is, `projects/-`), the returned list does not take into account org-specific or project-specific location restrictions.", "pattern": "^projects/[^/]+$", "required": true }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The maximum number of locations to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative." } }, "id": "firebase.projects.availableLocations.list" } } } }, "methods": { "getAnalyticsDetails": { "parameters": { "name": { "type": "string", "required": true, "description": "The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER/analyticsDetails Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "pattern": "^projects/[^/]+/analyticsDetails$", "location": "path" } }, "id": "firebase.projects.getAnalyticsDetails", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "name" ], "response": { "$ref": "AnalyticsDetails" }, "path": "v1beta1/{+name}", "description": "Gets the Google Analytics details currently associated with the specified FirebaseProject. If the `FirebaseProject` is not yet linked to Google Analytics, then the response to `GetAnalyticsDetails` is `NOT_FOUND`.", "flatPath": "v1beta1/projects/{projectsId}/analyticsDetails", "httpMethod": "GET" }, "list": { "flatPath": "v1beta1/projects", "response": { "$ref": "ListFirebaseProjectsResponse" }, "parameterOrder": [], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Token returned from a previous call to `ListFirebaseProjects` indicating where in the set of Projects to resume listing." }, "pageSize": { "description": "The maximum number of Projects to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative.", "location": "query", "format": "int32", "type": "integer" } }, "description": "Lists each FirebaseProject accessible to the caller. The elements are returned in no particular order, but they will be a consistent view of the Projects when additional requests are made with a `pageToken`. This method is eventually consistent with Project mutations, which means newly provisioned Projects and recent modifications to existing Projects might not be reflected in the set of Projects. The list will include only ACTIVE Projects. Use GetFirebaseProject for consistent reads as well as for additional Project details.", "id": "firebase.projects.list", "path": "v1beta1/projects" }, "addFirebase": { "httpMethod": "POST", "request": { "$ref": "AddFirebaseRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "description": "Adds Firebase resources to the specified existing [Google Cloud Platform (GCP) `Project`] (https://cloud.google.com/resource-manager/reference/rest/v1/projects). Since a FirebaseProject is actually also a GCP `Project`, a `FirebaseProject` has the same underlying GCP identifiers (`projectNumber` and `projectId`). This allows for easy interop with Google APIs. The result of this call is an [`Operation`](../../v1beta1/operations). Poll the `Operation` to track the provisioning process by calling GetOperation until [`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When `done` is `true`, the `Operation` has either succeeded or failed. If the `Operation` succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to a FirebaseProject; if the `Operation` failed, its [`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a google.rpc.Status. The `Operation` is automatically deleted after completion, so there is no need to call DeleteOperation. This method does not modify any billing account information on the underlying GCP `Project`. To call `AddFirebase`, a project member or service account must have the following permissions (the IAM roles of Editor and Owner contain these permissions): `firebase.projects.update`, `resourcemanager.projects.get`, `serviceusage.services.enable`, and `serviceusage.services.get`.", "parameters": { "project": { "location": "path", "required": true, "type": "string", "description": "The resource name of the GCP `Project` to which Firebase resources will be added, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values. After calling `AddFirebase`, the unique Project identifiers ( [`projectNumber`](https://cloud.google.com/resource-manager/reference/rest/v1/projects#Project.FIELDS.project_number) and [`projectId`](https://cloud.google.com/resource-manager/reference/rest/v1/projects#Project.FIELDS.project_id)) of the underlying GCP `Project` are also the identifiers of the FirebaseProject.", "pattern": "^projects/[^/]+$" } }, "path": "v1beta1/{+project}:addFirebase", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}:addFirebase", "id": "firebase.projects.addFirebase", "parameterOrder": [ "project" ] }, "getAdminSdkConfig": { "httpMethod": "GET", "description": "Gets the configuration artifact associated with the specified FirebaseProject, which can be used by servers to simplify initialization. Typically, this configuration is used with the Firebase Admin SDK [initializeApp](https://firebase.google.com/docs/admin/setup#initialize_the_sdk) command.", "flatPath": "v1beta1/projects/{projectsId}/adminSdkConfig", "parameters": { "name": { "required": true, "description": "The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER/adminSdkConfig Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "pattern": "^projects/[^/]+/adminSdkConfig$", "type": "string", "location": "path" } }, "response": { "$ref": "AdminSdkConfig" }, "id": "firebase.projects.getAdminSdkConfig", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameters": { "name": { "description": "The resource name of the FirebaseProject, in the format: projects/ PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "location": "path", "pattern": "^projects/[^/]+$", "required": true, "type": "string" } }, "description": "Gets the specified FirebaseProject.", "id": "firebase.projects.get", "httpMethod": "GET", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}", "response": { "$ref": "FirebaseProject" } }, "searchApps": { "parameterOrder": [ "parent" ], "id": "firebase.projects.searchApps", "response": { "$ref": "SearchFirebaseAppsResponse" }, "path": "v1beta1/{+parent}:searchApps", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}:searchApps", "parameters": { "parent": { "required": true, "location": "path", "description": "The parent FirebaseProject for which to list Apps, in the format: projects/ PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string", "pattern": "^projects/[^/]+$" }, "filter": { "description": "A query string compatible with Google's [AIP-160](https://google.aip.dev/160) standard. Use any of the following fields in a query: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [`app_id`](../projects.apps#FirebaseAppInfo.FIELDS.app_id) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [`namespace`](../projects.apps#FirebaseAppInfo.FIELDS.namespace) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh [`platform`](../projects.apps#FirebaseAppInfo.FIELDS.platform) We also support the following \"virtual\" fields (fields which are not actually part of the returned resource object, but can be queried as if they are pre-populated with specific values): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sha1_hash`: This field is considered to be a repeated `string` field, populated with the list of all SHA-1 certificate fingerprints registered with the app. This list is empty if the app is not an Android app. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sha256_hash`: This field is considered to be a repeated `string` field, populated with the list of all SHA-256 certificate fingerprints registered with the app. This list is empty if the app is not an Android app. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `app_store_id`: This field is considered to be a singular `string` field, populated with the Apple App Store ID registered with the app. This field is empty if the app is not an iOS app. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `team_id`: This field is considered to be a singular `string` field, populated with the Apple team ID registered with the app. This field is empty if the app is not an iOS app.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Token returned from a previous call to `SearchFirebaseApps` indicating where in the set of Apps to resume listing.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative.", "location": "query" }, "showDeleted": { "location": "query", "type": "boolean", "description": "Controls whether Apps in the DELETED state should be returned. Defaults to false." } }, "description": "Lists all available Apps for the specified FirebaseProject. This is a convenience method. Typically, interaction with an App should be done using the platform-specific service, but some tool use-cases require a summary of all known Apps (such as for App selector interfaces).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ] }, "addGoogleAnalytics": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "AddGoogleAnalyticsRequest" }, "id": "firebase.projects.addGoogleAnalytics", "description": "Links the specified FirebaseProject with an existing [Google Analytics account](http://www.google.com/analytics/). Using this call, you can either: - Specify an `analyticsAccountId` to provision a new Google Analytics property within the specified account and associate the new property with the `FirebaseProject`. - Specify an existing `analyticsPropertyId` to associate the property with the `FirebaseProject`. Note that when you call `AddGoogleAnalytics`: 1. The first check determines if any existing data streams in the Google Analytics property correspond to any existing Firebase Apps in the `FirebaseProject` (based on the `packageName` or `bundleId` associated with the data stream). Then, as applicable, the data streams and apps are linked. Note that this auto-linking only applies to `AndroidApps` and `IosApps`. 2. If no corresponding data streams are found for the Firebase Apps, new data streams are provisioned in the Google Analytics property for each of the Firebase Apps. Note that a new data stream is always provisioned for a Web App even if it was previously associated with a data stream in the Analytics property. Learn more about the hierarchy and structure of Google Analytics accounts in the [Analytics documentation](https://support.google.com/analytics/answer/9303323). The result of this call is an [`Operation`](../../v1beta1/operations). Poll the `Operation` to track the provisioning process by calling GetOperation until [`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When `done` is `true`, the `Operation` has either succeeded or failed. If the `Operation` succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to an AnalyticsDetails; if the `Operation` failed, its [`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a google.rpc.Status. To call `AddGoogleAnalytics`, a project member must be an Owner for the existing `FirebaseProject` and have the [`Edit` permission](https://support.google.com/analytics/answer/2884495) for the Google Analytics account. If the `FirebaseProject` already has Google Analytics enabled, and you call `AddGoogleAnalytics` using an `analyticsPropertyId` that's different from the currently associated property, then the call will fail. Analytics may have already been enabled in the Firebase console or by specifying `timeZone` and `regionCode` in the call to [`AddFirebase`](../../v1beta1/projects/addFirebase).", "parameters": { "parent": { "description": "The resource name of the FirebaseProject to link to an existing Google Analytics account, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string", "location": "path", "pattern": "^projects/[^/]+$", "required": true } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}:addGoogleAnalytics", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}:addGoogleAnalytics" }, "patch": { "path": "v1beta1/{+name}", "description": "Updates the attributes of the specified FirebaseProject. All [query parameters](#query-parameters) are required.", "response": { "$ref": "FirebaseProject" }, "parameters": { "name": { "description": "The resource name of the Project, in the format: projects/PROJECT_IDENTIFIER PROJECT_IDENTIFIER: the Project's [`ProjectNumber`](../projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](../projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510). Note that the value for PROJECT_IDENTIFIER in any response body will be the `ProjectId`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+$" }, "updateMask": { "type": "string", "location": "query", "description": "Specifies which fields to update. If this list is empty, then no state will be updated. Note that the fields `name`, `projectId`, and `projectNumber` are all immutable.", "format": "google-fieldmask" } }, "request": { "$ref": "FirebaseProject" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "flatPath": "v1beta1/projects/{projectsId}", "id": "firebase.projects.patch" }, "removeAnalytics": { "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}:removeAnalytics", "response": { "$ref": "Empty" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "location": "path", "description": "The resource name of the FirebaseProject to unlink from its Google Analytics account, in the format: projects/PROJECT_IDENTIFIER Refer to the `FirebaseProject` [`name`](../projects#FirebaseProject.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "pattern": "^projects/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "RemoveAnalyticsRequest" }, "description": "Unlinks the specified FirebaseProject from its Google Analytics account. This call removes the association of the specified `FirebaseProject` with its current Google Analytics property. However, this call does not delete the Google Analytics resources, such as the Google Analytics property or any data streams. These resources may be re-associated later to the `FirebaseProject` by calling [`AddGoogleAnalytics`](../../v1beta1/projects/addGoogleAnalytics) and specifying the same `analyticsPropertyId`. For Android Apps and iOS Apps, this call re-links data streams with their corresponding apps. However, for Web Apps, this call provisions a *new* data stream for each Web App. To call `RemoveAnalytics`, a project member must be an Owner for the `FirebaseProject`.", "id": "firebase.projects.removeAnalytics", "path": "v1beta1/{+parent}:removeAnalytics" } } }, "availableProjects": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "flatPath": "v1beta1/availableProjects", "path": "v1beta1/availableProjects", "response": { "$ref": "ListAvailableProjectsResponse" }, "parameters": { "pageToken": { "location": "query", "description": "Token returned from a previous call to `ListAvailableProjects` indicating where in the set of Projects to resume listing.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of Projects to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative.", "location": "query" } }, "id": "firebase.availableProjects.list", "parameterOrder": [], "description": "Lists each [Google Cloud Platform (GCP) `Project`] (https://cloud.google.com/resource-manager/reference/rest/v1/projects) that can have Firebase resources added to it. A Project will only be listed if: - The caller has sufficient [Google IAM](https://cloud.google.com/iam) permissions to call AddFirebase. - The Project is not already a FirebaseProject. - The Project is not in an Organization which has policies that prevent Firebase resources from being added. ", "httpMethod": "GET" } } }, "operations": { "methods": { "get": { "path": "v1beta1/{+name}", "parameters": { "name": { "location": "path", "description": "The name of the operation resource.", "required": true, "type": "string", "pattern": "^operations/.*$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "Operation" }, "id": "firebase.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1beta1/operations/{operationsId}", "httpMethod": "GET", "parameterOrder": [ "name" ] } } } }, "revision": "20220711", "description": "The Firebase Management API enables programmatic setup and management of Firebase projects, including a project's Firebase resources and Firebase apps.", "documentationLink": "https://firebase.google.com", "parameters": { "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ] }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" } }, "rootUrl": "https://firebase.googleapis.com/", "kind": "discovery#restDescription", "baseUrl": "https://firebase.googleapis.com/", "ownerName": "Google" }
]===]))
