local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "Firebase Realtime Database", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "id": "firebasedatabase:v1beta", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/firebase.readonly": { "description": "View all your Firebase data and settings" }, "https://www.googleapis.com/auth/firebase": { "description": "View and administer all your Firebase data and settings" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" } } } }, "version": "v1beta", "baseUrl": "https://firebasedatabase.googleapis.com/", "rootUrl": "https://firebasedatabase.googleapis.com/", "servicePath": "", "title": "Firebase Realtime Database Management API", "version_module": true, "protocol": "rest", "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ], "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "alt": { "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" } }, "discoveryVersion": "v1", "batchPath": "batch", "kind": "discovery#restDescription", "description": "The Firebase Realtime Database Management API enables programmatic provisioning and management of Realtime Database instances.", "mtlsRootUrl": "https://firebasedatabase.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "resources": { "projects": { "resources": { "locations": { "resources": { "instances": { "methods": { "create": { "request": { "$ref": "DatabaseInstance" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances", "path": "v1beta/{+parent}/instances", "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Requests that a new DatabaseInstance be created. The state of a successfully created DatabaseInstance is ACTIVE. Only available for projects on the Blaze plan. Projects can be upgraded using the Cloud Billing API https://cloud.google.com/billing/reference/rest/v1/projects/updateBillingInfo. Note that it might take a few minutes for billing enablement state to propagate to Firebase systems.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "DatabaseInstance" }, "id": "firebasedatabase.projects.locations.instances.create", "parameters": { "databaseId": { "type": "string", "location": "query", "description": "The globally unique identifier of the database instance." }, "parent": { "required": true, "description": "The parent project for which to create a database instance, in the form: `projects/{project-number}/locations/{location-id}`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" }, "validateOnly": { "description": "When set to true, the request will be validated but not submitted.", "type": "boolean", "location": "query" } } }, "delete": { "path": "v1beta/{+name}", "id": "firebasedatabase.projects.locations.instances.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "description": "Marks a DatabaseInstance to be deleted. The DatabaseInstance will be set to the DELETED state for 20 days, and will be purged within 30 days. The default database cannot be deleted. IDs for deleted database instances may never be recovered or re-used. The Database may only be deleted if it is already in a DISABLED state.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "response": { "$ref": "DatabaseInstance" }, "parameters": { "name": { "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "type": "string", "location": "path" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "ListDatabaseInstancesResponse" }, "httpMethod": "GET", "description": "Lists each DatabaseInstance associated with the specified parent project. The list items are returned in no particular order, but will be a consistent view of the database instances when additional requests are made with a `pageToken`. The resulting list contains instances in any STATE. The list results may be stale by a few seconds. Use GetDatabaseInstance for consistent reads.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of database instances to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit.", "format": "int32" }, "pageToken": { "description": "Token returned from a previous call to `ListDatabaseInstances` indicating where in the set of database instances to resume listing.", "location": "query", "type": "string" }, "parent": { "description": "The parent project for which to list database instances, in the form: `projects/{project-number}/locations/{location-id}` To list across all locations, use a parent in the form: `projects/{project-number}/locations/-`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true }, "showDeleted": { "location": "query", "type": "boolean", "description": "Indicate that DatabaseInstances in the `DELETED` state should also be returned." } }, "path": "v1beta/{+parent}/instances", "id": "firebasedatabase.projects.locations.instances.list", "parameterOrder": [ "parent" ] }, "get": { "path": "v1beta/{+name}", "id": "firebasedatabase.projects.locations.instances.get", "description": "Gets the DatabaseInstance identified by the specified resource name.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`. `database-id` is a globally unique identifier across all parent collections. For convenience, this method allows you to supply `-` as a wildcard character in place of specific collections under `projects` and `locations`. The resulting wildcarding form of the method is: `projects/-/locations/-/instances/{database-id}`.", "required": true } }, "httpMethod": "GET", "response": { "$ref": "DatabaseInstance" } }, "undelete": { "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:undelete", "id": "firebasedatabase.projects.locations.instances.undelete", "path": "v1beta/{+name}:undelete", "description": "Restores a DatabaseInstance that was previously marked to be deleted. After the delete method is used, DatabaseInstances are set to the DELETED state for 20 days, and will be purged within 30 days. Databases in the DELETED state can be undeleted without losing any data. This method may only be used on a DatabaseInstance in the DELETED state. Purged DatabaseInstances may not be recovered.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "DatabaseInstance" }, "request": { "$ref": "UndeleteDatabaseInstanceRequest" } }, "disable": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:disable", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta/{+name}:disable", "id": "firebasedatabase.projects.locations.instances.disable", "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`" } }, "request": { "$ref": "DisableDatabaseInstanceRequest" }, "httpMethod": "POST", "response": { "$ref": "DatabaseInstance" }, "description": "Disables a DatabaseInstance. The database can be re-enabled later using ReenableDatabaseInstance. When a database is disabled, all reads and writes are denied, including view access in the Firebase console." }, "reenable": { "description": "Enables a DatabaseInstance. The database must have been disabled previously using DisableDatabaseInstance. The state of a successfully reenabled DatabaseInstance is ACTIVE.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`", "type": "string" } }, "response": { "$ref": "DatabaseInstance" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "ReenableDatabaseInstanceRequest" }, "id": "firebasedatabase.projects.locations.instances.reenable", "path": "v1beta/{+name}:reenable", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:reenable", "parameterOrder": [ "name" ], "httpMethod": "POST" } } } } } } } }, "basePath": "", "name": "firebasedatabase", "revision": "20220709", "ownerDomain": "google.com", "schemas": { "UndeleteDatabaseInstanceRequest": { "description": "The request sent to UndeleteDatabaseInstance method.", "id": "UndeleteDatabaseInstanceRequest", "type": "object", "properties": {} }, "DisableDatabaseInstanceRequest": { "id": "DisableDatabaseInstanceRequest", "properties": {}, "description": "The request sent to the DisableDatabaseInstance method.", "type": "object" }, "ListDatabaseInstancesResponse": { "description": "The response from the ListDatabaseInstances method.", "properties": { "instances": { "type": "array", "items": { "$ref": "DatabaseInstance" }, "description": "List of each DatabaseInstance that is in the parent Firebase project." }, "nextPageToken": { "type": "string", "description": "If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to `ListDatabaseInstances` to find the next group of database instances. Page tokens are short-lived and should not be persisted." } }, "type": "object", "id": "ListDatabaseInstancesResponse" }, "DatabaseInstance": { "properties": { "type": { "enumDescriptions": [ "Unknown state, likely the result of an error on the backend. This is only used for distinguishing unset values.", "The default database that is provisioned when a project is created.", "A database that the user created." ], "enum": [ "DATABASE_INSTANCE_TYPE_UNSPECIFIED", "DEFAULT_DATABASE", "USER_DATABASE" ], "description": "Immutable. The database instance type. On creation only USER_DATABASE is allowed, which is also the default when omitted.", "type": "string" }, "state": { "readOnly": true, "type": "string", "enumDescriptions": [ "Unspecified state, likely the result of an error on the backend. This is only used for distinguishing unset values.", "The normal and active state.", "The database is in a disabled state. It can be re-enabled later.", "The database is in a deleted state." ], "description": "Output only. The database's lifecycle state. Read-only.", "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "ACTIVE", "DISABLED", "DELETED" ] }, "databaseUrl": { "readOnly": true, "description": "Output only. Output Only. The globally unique hostname of the database.", "type": "string" }, "project": { "type": "string", "readOnly": true, "description": "Output only. The resource name of the project this instance belongs to. For example: `projects/{project-number}`." }, "name": { "type": "string", "description": "The fully qualified resource name of the database instance, in the form: `projects/{project-number}/locations/{location-id}/instances/{database-id}`." } }, "id": "DatabaseInstance", "description": "Representation of a Realtime Database instance. Details on interacting with contents of a DatabaseInstance can be found at: https://firebase.google.com/docs/database/rest/start.", "type": "object" }, "ReenableDatabaseInstanceRequest": { "properties": {}, "description": "The request sent to the ReenableDatabaseInstance method.", "id": "ReenableDatabaseInstanceRequest", "type": "object" } }, "documentationLink": "https://firebase.google.com/docs/reference/rest/database/database-management/rest/", "ownerName": "Google" }
]===]))
