local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://firebasedynamiclinks.mtls.googleapis.com/", "version": "v1", "id": "firebasedynamiclinks:v1", "documentationLink": "https://firebase.google.com/docs/dynamic-links/", "resources": { "shortLinks": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "CreateShortDynamicLinkResponse" }, "flatPath": "v1/shortLinks", "parameters": {}, "request": { "$ref": "CreateShortDynamicLinkRequest" }, "description": "Creates a short Dynamic Link given either a valid long Dynamic Link or details such as Dynamic Link domain, Android and iOS app information. The created short Dynamic Link will not expire. Repeated calls with the same long Dynamic Link or Dynamic Link information will produce the same short Dynamic Link. The Dynamic Link domain in the request must be owned by requester's Firebase project.", "id": "firebasedynamiclinks.shortLinks.create", "path": "v1/shortLinks", "parameterOrder": [], "httpMethod": "POST" } } }, "managedShortLinks": { "methods": { "create": { "request": { "$ref": "CreateManagedShortLinkRequest" }, "path": "v1/managedShortLinks:create", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/firebase" ], "description": "Creates a managed short Dynamic Link given either a valid long Dynamic Link or details such as Dynamic Link domain, Android and iOS app information. The created short Dynamic Link will not expire. This differs from CreateShortDynamicLink in the following ways: - The request will also contain a name for the link (non unique name for the front end). - The response must be authenticated with an auth token (generated with the admin service account). - The link will appear in the FDL list of links in the console front end. The Dynamic Link domain in the request must be owned by requester's Firebase project.", "httpMethod": "POST", "parameterOrder": [], "flatPath": "v1/managedShortLinks:create", "response": { "$ref": "CreateManagedShortLinkResponse" }, "id": "firebasedynamiclinks.managedShortLinks.create" } } }, "v1": { "methods": { "reopenAttribution": { "path": "v1/reopenAttribution", "id": "firebasedynamiclinks.reopenAttribution", "scopes": [ "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "GetIosReopenAttributionRequest" }, "flatPath": "v1/reopenAttribution", "description": "Get iOS reopen attribution for app universal link open deeplinking.", "httpMethod": "POST", "parameters": {}, "parameterOrder": [], "response": { "$ref": "GetIosReopenAttributionResponse" } }, "getLinkStats": { "httpMethod": "GET", "parameterOrder": [ "dynamicLink" ], "flatPath": "v1/{dynamicLink}/linkStats", "parameters": { "sdkVersion": { "description": "Google SDK version. Version takes the form \"$major.$minor.$patch\"", "type": "string", "location": "query" }, "dynamicLink": { "required": true, "description": "Dynamic Link URL. e.g. https://abcd.app.goo.gl/wxyz", "type": "string", "location": "path" }, "durationDays": { "format": "int64", "type": "string", "location": "query", "description": "The span of time requested in days." } }, "scopes": [ "https://www.googleapis.com/auth/firebase" ], "path": "v1/{dynamicLink}/linkStats", "id": "firebasedynamiclinks.getLinkStats", "response": { "$ref": "DynamicLinkStats" }, "description": "Fetches analytics stats of a short Dynamic Link for a given duration. Metrics include number of clicks, redirects, installs, app first opens, and app reopens." }, "installAttribution": { "path": "v1/installAttribution", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [], "description": "Get iOS strong/weak-match info for post-install attribution.", "parameters": {}, "id": "firebasedynamiclinks.installAttribution", "request": { "$ref": "GetIosPostInstallAttributionRequest" }, "flatPath": "v1/installAttribution", "response": { "$ref": "GetIosPostInstallAttributionResponse" } } } } }, "discoveryVersion": "v1", "parameters": { "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "alt": { "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "prettyPrint": { "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" } }, "version_module": true, "ownerName": "Google", "servicePath": "", "rootUrl": "https://firebasedynamiclinks.googleapis.com/", "ownerDomain": "google.com", "title": "Firebase Dynamic Links API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/firebase": { "description": "View and administer all your Firebase data and settings" } } } }, "schemas": { "AnalyticsInfo": { "properties": { "itunesConnectAnalytics": { "description": "iTunes Connect App Analytics.", "$ref": "ITunesConnectAnalytics" }, "googlePlayAnalytics": { "$ref": "GooglePlayAnalytics", "description": "Google Play Campaign Measurements." } }, "description": "Tracking parameters supported by Dynamic Link.", "id": "AnalyticsInfo", "type": "object" }, "DynamicLinkInfo": { "properties": { "dynamicLinkDomain": { "description": "Dynamic Links domain that the project owns, e.g. abcd.app.goo.gl [Learn more](https://firebase.google.com/docs/dynamic-links/android/receive) on how to set up Dynamic Link domain associated with your Firebase project. Required if missing domain_uri_prefix.", "type": "string" }, "domainUriPrefix": { "type": "string", "description": "E.g. https://maps.app.goo.gl, https://maps.page.link, https://g.co/maps More examples can be found in description of getNormalizedUriPrefix in j/c/g/firebase/dynamiclinks/uri/DdlDomain.java Will fallback to dynamic_link_domain is this field is missing" }, "desktopInfo": { "$ref": "DesktopInfo", "description": "Desktop related information. See desktop related parameters in the [documentation](https://firebase.google.com/docs/dynamic-links/create-manually)." }, "androidInfo": { "$ref": "AndroidInfo", "description": "Android related information. See Android related parameters in the [documentation](https://firebase.google.com/docs/dynamic-links/create-manually)." }, "navigationInfo": { "$ref": "NavigationInfo", "description": "Information of navigation behavior of a Firebase Dynamic Links." }, "link": { "type": "string", "description": "The link your app will open, You can specify any URL your app can handle. This link must be a well-formatted URL, be properly URL-encoded, and use the HTTP or HTTPS scheme. See 'link' parameters in the [documentation](https://firebase.google.com/docs/dynamic-links/create-manually). Required." }, "socialMetaTagInfo": { "$ref": "SocialMetaTagInfo", "description": "Parameters for social meta tag params. Used to set meta tag data for link previews on social sites." }, "analyticsInfo": { "$ref": "AnalyticsInfo", "description": "Parameters used for tracking. See all tracking parameters in the [documentation](https://firebase.google.com/docs/dynamic-links/create-manually)." }, "iosInfo": { "$ref": "IosInfo", "description": "iOS related information. See iOS related parameters in the [documentation](https://firebase.google.com/docs/dynamic-links/create-manually)." } }, "description": "Information about a Dynamic Link.", "type": "object", "id": "DynamicLinkInfo" }, "CreateShortDynamicLinkResponse": { "properties": { "warning": { "type": "array", "description": "Information about potential warnings on link creation.", "items": { "$ref": "DynamicLinkWarning" } }, "previewLink": { "description": "Preview link to show the link flow chart. (debug info.)", "type": "string" }, "shortLink": { "description": "Short Dynamic Link value. e.g. https://abcd.app.goo.gl/wxyz", "type": "string" } }, "description": "Response to create a short Dynamic Link.", "id": "CreateShortDynamicLinkResponse", "type": "object" }, "IosInfo": { "type": "object", "properties": { "iosMinimumVersion": { "type": "string", "description": "iOS minimum version." }, "iosIpadFallbackLink": { "description": "If specified, this overrides the ios_fallback_link value on iPads.", "type": "string" }, "iosIpadBundleId": { "type": "string", "description": "iPad bundle ID of the app." }, "iosBundleId": { "description": "iOS bundle ID of the app.", "type": "string" }, "iosAppStoreId": { "type": "string", "description": "iOS App Store ID." }, "iosFallbackLink": { "description": "Link to open on iOS if the app is not installed.", "type": "string" }, "iosCustomScheme": { "description": "Custom (destination) scheme to use for iOS. By default, we’ll use the bundle ID as the custom scheme. Developer can override this behavior using this param.", "type": "string" } }, "description": "iOS related attributes to the Dynamic Link..", "id": "IosInfo" }, "DesktopInfo": { "type": "object", "id": "DesktopInfo", "properties": { "desktopFallbackLink": { "description": "Link to open on desktop.", "type": "string" } }, "description": "Desktop related attributes to the Dynamic Link." }, "DeviceInfo": { "description": "Signals associated with the device making the request.", "type": "object", "properties": { "languageCode": { "description": "Device language code setting.", "type": "string" }, "deviceModelName": { "type": "string", "description": "Device model name." }, "screenResolutionWidth": { "type": "string", "description": "Device display resolution width.", "format": "int64" }, "timezone": { "type": "string", "description": "Device timezone setting." }, "languageCodeFromWebview": { "type": "string", "description": "Device language code setting obtained by executing JavaScript code in WebView." }, "languageCodeRaw": { "type": "string", "description": "Device language code raw setting. iOS does returns language code in different format than iOS WebView. For example WebView returns en_US, but iOS returns en-US. Field below will return raw value returned by iOS." }, "screenResolutionHeight": { "description": "Device display resolution height.", "format": "int64", "type": "string" } }, "id": "DeviceInfo" }, "CreateShortDynamicLinkRequest": { "type": "object", "description": "Request to create a short Dynamic Link.", "properties": { "suffix": { "description": "Short Dynamic Link suffix. Optional.", "$ref": "Suffix" }, "sdkVersion": { "type": "string", "description": "Google SDK version. Version takes the form \"$major.$minor.$patch\"" }, "longDynamicLink": { "type": "string", "description": "Full long Dynamic Link URL with desired query parameters specified. For example, \"https://sample.app.goo.gl/?link=http://www.google.com&apn=com.sample\", [Learn more](https://firebase.google.com/docs/reference/dynamic-links/link-shortener)." }, "dynamicLinkInfo": { "$ref": "DynamicLinkInfo", "description": "Information about the Dynamic Link to be shortened. [Learn more](https://firebase.google.com/docs/reference/dynamic-links/link-shortener)." } }, "id": "CreateShortDynamicLinkRequest" }, "GetIosReopenAttributionRequest": { "type": "object", "properties": { "sdkVersion": { "type": "string", "description": "Google SDK version. Version takes the form \"$major.$minor.$patch\"" }, "bundleId": { "description": "APP bundle ID.", "type": "string" }, "requestedLink": { "type": "string", "description": "FDL link to be verified from an app universal link open. The FDL link can be one of: 1) short FDL. e.g. .page.link/, or 2) long FDL. e.g. .page.link/?{query params}, or 3) Invite FDL. e.g. .page.link/i/" } }, "description": "Request for iSDK to get reopen attribution for app universal link open deeplinking. This endpoint is meant for only iOS requests.", "id": "GetIosReopenAttributionRequest" }, "GetIosPostInstallAttributionRequest": { "id": "GetIosPostInstallAttributionRequest", "type": "object", "description": "Request for iSDK to execute strong match flow for post-install attribution. This is meant for iOS requests only. Requests from other platforms will not be honored.", "properties": { "retrievalMethod": { "type": "string", "description": "App post install attribution retrieval information. Disambiguates mechanism (iSDK or developer invoked) to retrieve payload from clicked link.", "enum": [ "UNKNOWN_PAYLOAD_RETRIEVAL_METHOD", "IMPLICIT_WEAK_MATCH", "EXPLICIT_WEAK_MATCH", "EXPLICIT_STRONG_AFTER_WEAK_MATCH" ], "enumDescriptions": [ "Unknown method.", "iSDK performs a server lookup by device fingerprint in the background when app is first-opened; no API called by developer.", "iSDK performs a server lookup by device fingerprint upon a dev API call.", "iSDK performs a strong match only if weak match is found upon a dev API call." ] }, "device": { "$ref": "DeviceInfo", "description": "Device information." }, "uniqueMatchLinkToCheck": { "type": "string", "description": "Possible unique matched link that server need to check before performing fingerprint match. If passed link is short server need to expand the link. If link is long server need to vslidate the link." }, "appInstallationTime": { "type": "string", "format": "int64", "description": "App installation epoch time (https://en.wikipedia.org/wiki/Unix_time). This is a client signal for a more accurate weak match." }, "sdkVersion": { "type": "string", "description": "Google SDK version. Version takes the form \"$major.$minor.$patch\"" }, "visualStyle": { "enumDescriptions": [ "Unknown style.", "Default style.", "Custom style." ], "enum": [ "UNKNOWN_VISUAL_STYLE", "DEFAULT_STYLE", "CUSTOM_STYLE" ], "type": "string", "description": "Strong match page information. Disambiguates between default UI and custom page to present when strong match succeeds/fails to find cookie." }, "bundleId": { "description": "APP bundle ID.", "type": "string" }, "iosVersion": { "type": "string", "description": "iOS version, ie: 9.3.5. Consider adding \"build\"." } } }, "ITunesConnectAnalytics": { "description": "Parameters for iTunes Connect App Analytics.", "id": "ITunesConnectAnalytics", "type": "object", "properties": { "ct": { "description": "Campaign text that developers can optionally add to any link in order to track sales from a specific marketing campaign.", "type": "string" }, "pt": { "description": "Provider token that enables analytics for Dynamic Links from within iTunes Connect.", "type": "string" }, "mt": { "type": "string", "description": "iTune media types, including music, podcasts, audiobooks and so on." }, "at": { "type": "string", "description": "Affiliate token used to create affiliate-coded links." } } }, "GetIosReopenAttributionResponse": { "type": "object", "description": "Response for iSDK to get reopen attribution for app universal link open deeplinking. This endpoint is meant for only iOS requests.", "id": "GetIosReopenAttributionResponse", "properties": { "deepLink": { "type": "string", "description": "The deep-link attributed the app universal link open. For both regular FDL links and invite FDL links." }, "utmTerm": { "type": "string", "description": "Scion term value to be propagated by iSDK to Scion at app-reopen." }, "utmContent": { "type": "string", "description": "Scion content value to be propagated by iSDK to Scion at app-reopen." }, "utmCampaign": { "description": "Scion campaign value to be propagated by iSDK to Scion at app-reopen.", "type": "string" }, "utmMedium": { "type": "string", "description": "Scion medium value to be propagated by iSDK to Scion at app-reopen." }, "iosMinAppVersion": { "type": "string", "description": "FDL input value of the \"&imv=\" parameter, minimum app version to be returned to Google Firebase SDK running on iOS-9." }, "utmSource": { "type": "string", "description": "Scion source value to be propagated by iSDK to Scion at app-reopen." }, "resolvedLink": { "type": "string", "description": "The entire FDL, expanded from a short link. It is the same as the requested_link, if it is long." }, "invitationId": { "type": "string", "description": "Optional invitation ID, for only invite typed requested FDL links." } } }, "GooglePlayAnalytics": { "id": "GooglePlayAnalytics", "type": "object", "properties": { "utmSource": { "type": "string", "description": "Campaign source; used to identify a search engine, newsletter, or other source." }, "utmTerm": { "description": "Campaign term; used with paid search to supply the keywords for ads.", "type": "string" }, "utmContent": { "description": "Campaign content; used for A/B testing and content-targeted ads to differentiate ads or links that point to the same URL.", "type": "string" }, "utmCampaign": { "type": "string", "description": "Campaign name; used for keyword analysis to identify a specific product promotion or strategic campaign." }, "utmMedium": { "description": "Campaign medium; used to identify a medium such as email or cost-per-click.", "type": "string" }, "gclid": { "type": "string", "description": "Deprecated; FDL SDK does not process nor log it." } }, "description": "Parameters for Google Play Campaign Measurements. [Learn more](https://developers.google.com/analytics/devguides/collection/android/v4/campaigns#campaign-params)" }, "AndroidInfo": { "type": "object", "description": "Android related attributes to the Dynamic Link.", "id": "AndroidInfo", "properties": { "androidFallbackLink": { "description": "Link to open on Android if the app is not installed.", "type": "string" }, "androidMinPackageVersionCode": { "description": "Minimum version code for the Android app. If the installed app’s version code is lower, then the user is taken to the Play Store.", "type": "string" }, "androidLink": { "description": "If specified, this overrides the ‘link’ parameter on Android.", "type": "string" }, "androidPackageName": { "type": "string", "description": "Android package name of the app." } } }, "NavigationInfo": { "id": "NavigationInfo", "type": "object", "properties": { "enableForcedRedirect": { "description": "If this option is on, FDL click will be forced to redirect rather than show an interstitial page.", "type": "boolean" } }, "description": "Information of navigation behavior." }, "Suffix": { "id": "Suffix", "type": "object", "description": "Short Dynamic Link suffix.", "properties": { "customSuffix": { "type": "string", "description": "Only applies to Option.CUSTOM." }, "option": { "enum": [ "OPTION_UNSPECIFIED", "UNGUESSABLE", "SHORT", "CUSTOM" ], "description": "Suffix option.", "type": "string", "enumDescriptions": [ "The suffix option is not specified, performs as UNGUESSABLE .", "Short Dynamic Link suffix is a base62 [0-9A-Za-z] encoded string of a random generated 96 bit random number, which has a length of 17 chars. For example, \"nlAR8U4SlKRZw1cb2\". It prevents other people from guessing and crawling short Dynamic Links that contain personal identifiable information.", "Short Dynamic Link suffix is a base62 [0-9A-Za-z] string starting with a length of 4 chars. the length will increase when all the space is occupied.", "Custom DDL suffix is a client specified string, for example, \"buy2get1free\". NOTE: custom suffix should only be available to managed short link creation" ] } } }, "DynamicLinkStats": { "id": "DynamicLinkStats", "type": "object", "properties": { "linkEventStats": { "items": { "$ref": "DynamicLinkEventStat" }, "description": "Dynamic Link event stats.", "type": "array" } }, "description": "Analytics stats of a Dynamic Link for a given timeframe." }, "SocialMetaTagInfo": { "properties": { "socialTitle": { "description": "Title to be displayed. Optional.", "type": "string" }, "socialImageLink": { "type": "string", "description": "An image url string. Optional." }, "socialDescription": { "type": "string", "description": "A short description of the link. Optional." } }, "description": "Parameters for social meta tag params. Used to set meta tag data for link previews on social sites.", "id": "SocialMetaTagInfo", "type": "object" }, "GetIosPostInstallAttributionResponse": { "properties": { "utmTerm": { "description": "Scion term value to be propagated by iSDK to Scion at app-reopen.", "type": "string" }, "requestedLink": { "description": "Entire FDL (short or long) attributed post-install via one of several techniques (fingerprint, copy unique).", "type": "string" }, "isStrongMatchExecutable": { "type": "boolean", "description": "Instruction for iSDK to attemmpt to perform strong match. For instance, if browser does not support/allow cookie or outside of support browsers, this will be false." }, "attributionConfidence": { "enum": [ "UNKNOWN_ATTRIBUTION_CONFIDENCE", "WEAK", "DEFAULT", "UNIQUE" ], "enumDescriptions": [ "Unset.", "Weak confidence, more than one matching link found or link suspected to be false positive", "Default confidence, match based on fingerprint", "Unique confidence, match based on \"unique match link to check\" or other means" ], "description": "The confidence of the returned attribution.", "type": "string" }, "externalBrowserDestinationLink": { "description": "User-agent specific custom-scheme URIs for iSDK to open. This will be set according to the user-agent tha the click was originally made in. There is no Safari-equivalent custom-scheme open URLs. ie: googlechrome://www.example.com ie: firefox://open-url?url=http://www.example.com ie: opera-http://example.com", "type": "string" }, "fallbackLink": { "type": "string", "description": "The link to navigate to update the app if min version is not met. This is either (in order): 1) fallback link (from ?ifl= parameter, if specified by developer) or 2) AppStore URL (from ?isi= parameter, if specified), or 3) the payload link (from required link= parameter)." }, "invitationId": { "description": "Invitation ID attributed post-install via one of several techniques (fingerprint, copy unique).", "type": "string" }, "resolvedLink": { "type": "string", "description": "The entire FDL, expanded from a short link. It is the same as the requested_link, if it is long. Parameters from this should not be used directly (ie: server can default utm_[campaign|medium|source] to a value when requested_link lack them, server determine the best fallback_link when requested_link specifies \u003e1 fallback links)." }, "utmCampaign": { "type": "string", "description": "Scion campaign value to be propagated by iSDK to Scion at post-install." }, "utmSource": { "type": "string", "description": "Scion source value to be propagated by iSDK to Scion at post-install." }, "utmContent": { "type": "string", "description": "Scion content value to be propagated by iSDK to Scion at app-reopen." }, "utmMedium": { "description": "Scion medium value to be propagated by iSDK to Scion at post-install.", "type": "string" }, "matchMessage": { "type": "string", "description": "Describes why match failed, ie: \"discarded due to low confidence\". This message will be publicly visible." }, "appMinimumVersion": { "type": "string", "description": "The minimum version for app, specified by dev through ?imv= parameter. Return to iSDK to allow app to evaluate if current version meets this." }, "deepLink": { "type": "string", "description": "The deep-link attributed post-install via one of several techniques (fingerprint, copy unique)." }, "requestIpVersion": { "enumDescriptions": [ "Unset.", "Request made from an IPv4 IP address.", "Request made from an IPv6 IP address." ], "description": "Which IP version the request was made from.", "enum": [ "UNKNOWN_IP_VERSION", "IP_V4", "IP_V6" ], "type": "string" } }, "id": "GetIosPostInstallAttributionResponse", "description": "Response for iSDK to execute strong match flow for post-install attribution.", "type": "object" }, "CreateManagedShortLinkRequest": { "id": "CreateManagedShortLinkRequest", "description": "Request to create a managed Short Dynamic Link.", "properties": { "dynamicLinkInfo": { "description": "Information about the Dynamic Link to be shortened. [Learn more](https://firebase.google.com/docs/reference/dynamic-links/link-shortener).", "$ref": "DynamicLinkInfo" }, "suffix": { "$ref": "Suffix", "description": "Short Dynamic Link suffix. Optional." }, "name": { "type": "string", "description": "Link name to associate with the link. It's used for marketer to identify manually-created links in the Firebase console (https://console.firebase.google.com/). Links must be named to be tracked." }, "sdkVersion": { "description": "Google SDK version. Version takes the form \"$major.$minor.$patch\"", "type": "string" }, "longDynamicLink": { "description": "Full long Dynamic Link URL with desired query parameters specified. For example, \"https://sample.app.goo.gl/?link=http://www.google.com&apn=com.sample\", [Learn more](https://firebase.google.com/docs/reference/dynamic-links/link-shortener).", "type": "string" } }, "type": "object" }, "ManagedShortLink": { "type": "object", "id": "ManagedShortLink", "description": "Managed Short Link.", "properties": { "linkName": { "type": "string", "description": "Link name defined by the creator. Required." }, "creationTime": { "description": "Creation timestamp of the short link.", "format": "google-datetime", "type": "string" }, "flaggedAttribute": { "description": "Attributes that have been flagged about this short url.", "items": { "enum": [ "UNSPECIFIED_ATTRIBUTE", "SPAM" ], "type": "string", "enumDescriptions": [ "Indicates that no attributes were found for this short url.", "Indicates that short url has been flagged by AbuseIAm team as spam." ] }, "type": "array" }, "visibility": { "enum": [ "UNSPECIFIED_VISIBILITY", "UNARCHIVED", "ARCHIVED", "NEVER_SHOWN" ], "type": "string", "enumDescriptions": [ "Visibility of the link is not specified.", "Link created in console and should be shown in console.", "Link created in console and should not be shown in console (but can be shown in the console again if it is unarchived).", "Link created outside of console and should never be shown in console." ], "description": "Visibility status of link." }, "link": { "description": "Short durable link url, for example, \"https://sample.app.goo.gl/xyz123\". Required.", "type": "string" }, "info": { "description": "Full Dyamic Link info", "$ref": "DynamicLinkInfo" } } }, "DynamicLinkEventStat": { "id": "DynamicLinkEventStat", "properties": { "event": { "type": "string", "enum": [ "DYNAMIC_LINK_EVENT_UNSPECIFIED", "CLICK", "REDIRECT", "APP_INSTALL", "APP_FIRST_OPEN", "APP_RE_OPEN" ], "enumDescriptions": [ "Unspecified type.", "Indicates that an FDL is clicked by users.", "Indicates that an FDL redirects users to fallback link.", "Indicates that an FDL triggers an app install from Play store, currently it's impossible to get stats from App store.", "Indicates that the app is opened for the first time after an install triggered by FDLs", "Indicates that the app is opened via an FDL for non-first time." ], "description": "Link event." }, "platform": { "type": "string", "enumDescriptions": [ "Unspecified platform.", "Represents Android platform. All apps and browsers on Android are classfied in this category.", "Represents iOS platform. All apps and browsers on iOS are classfied in this category.", "Represents desktop.", "Platforms are not categorized as Android/iOS/Destop fall into here." ], "description": "Requested platform.", "enum": [ "DYNAMIC_LINK_PLATFORM_UNSPECIFIED", "ANDROID", "IOS", "DESKTOP", "OTHER" ] }, "count": { "description": "The number of times this event occurred.", "type": "string", "format": "int64" } }, "type": "object", "description": "Dynamic Link event stat." }, "CreateManagedShortLinkResponse": { "properties": { "warning": { "type": "array", "description": "Information about potential warnings on link creation.", "items": { "$ref": "DynamicLinkWarning" } }, "previewLink": { "description": "Preview link to show the link flow chart. (debug info.)", "type": "string" }, "managedShortLink": { "description": "Short Dynamic Link value. e.g. https://abcd.app.goo.gl/wxyz", "$ref": "ManagedShortLink" } }, "type": "object", "description": "Response to create a short Dynamic Link.", "id": "CreateManagedShortLinkResponse" }, "DynamicLinkWarning": { "type": "object", "id": "DynamicLinkWarning", "description": "Dynamic Links warning messages.", "properties": { "warningDocumentLink": { "type": "string", "description": "The document describing the warning, and helps resolve." }, "warningMessage": { "description": "The warning message to help developers improve their requests.", "type": "string" }, "warningCode": { "type": "string", "enumDescriptions": [ "Unknown code.", "The Android package does not match any in developer's DevConsole project.", "The Android minimum version code has to be a valid integer.", "Android package min version param is not needed, e.g. when 'apn' is missing.", "Android link is not a valid URI.", "Android link param is not needed, e.g. when param 'al' and 'link' have the same value..", "Android fallback link is not a valid URI.", "Android fallback link has an invalid (non http/https) URI scheme.", "The iOS bundle ID does not match any in developer's DevConsole project.", "The iPad bundle ID does not match any in developer's DevConsole project.", "iOS URL scheme is not needed, e.g. when 'ibi' are 'ipbi' are all missing.", "iOS app store ID format is incorrect, e.g. not numeric.", "iOS app store ID is not needed.", "iOS fallback link is not a valid URI.", "iOS fallback link has an invalid (non http/https) URI scheme.", "iPad fallback link is not a valid URI.", "iPad fallback link has an invalid (non http/https) URI scheme.", "Debug param format is incorrect.", "isAd param format is incorrect.", "Indicates a certain param is deprecated.", "Indicates certain paramater is not recognized.", "Indicates certain paramater is too long.", "Social meta tag image link is not a valid URI.", "Social meta tag image link has an invalid (non http/https) URI scheme.", "", "", "Dynamic Link URL length is too long.", "Dynamic Link URL contains fragments.", "The iOS bundle ID does not match with the given iOS store ID." ], "enum": [ "CODE_UNSPECIFIED", "NOT_IN_PROJECT_ANDROID_PACKAGE_NAME", "NOT_INTEGER_ANDROID_PACKAGE_MIN_VERSION", "UNNECESSARY_ANDROID_PACKAGE_MIN_VERSION", "NOT_URI_ANDROID_LINK", "UNNECESSARY_ANDROID_LINK", "NOT_URI_ANDROID_FALLBACK_LINK", "BAD_URI_SCHEME_ANDROID_FALLBACK_LINK", "NOT_IN_PROJECT_IOS_BUNDLE_ID", "NOT_IN_PROJECT_IPAD_BUNDLE_ID", "UNNECESSARY_IOS_URL_SCHEME", "NOT_NUMERIC_IOS_APP_STORE_ID", "UNNECESSARY_IOS_APP_STORE_ID", "NOT_URI_IOS_FALLBACK_LINK", "BAD_URI_SCHEME_IOS_FALLBACK_LINK", "NOT_URI_IPAD_FALLBACK_LINK", "BAD_URI_SCHEME_IPAD_FALLBACK_LINK", "BAD_DEBUG_PARAM", "BAD_AD_PARAM", "DEPRECATED_PARAM", "UNRECOGNIZED_PARAM", "TOO_LONG_PARAM", "NOT_URI_SOCIAL_IMAGE_LINK", "BAD_URI_SCHEME_SOCIAL_IMAGE_LINK", "NOT_URI_SOCIAL_URL", "BAD_URI_SCHEME_SOCIAL_URL", "LINK_LENGTH_TOO_LONG", "LINK_WITH_FRAGMENTS", "NOT_MATCHING_IOS_BUNDLE_ID_AND_STORE_ID" ], "description": "The warning code." } } } }, "name": "firebasedynamiclinks", "kind": "discovery#restDescription", "protocol": "rest", "basePath": "", "description": "Programmatically creates and manages Firebase Dynamic Links.", "baseUrl": "https://firebasedynamiclinks.googleapis.com/", "revision": "20220711", "canonicalName": "Firebase Dynamic Links", "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" } }
]===]))
