local decode = require("cjson").new().decode
return assert(decode([===[
{ "version_module": true, "batchPath": "batch", "canonicalName": "Firebase Hosting", "resources": { "operations": { "methods": { "list": { "path": "v1/{+name}", "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageSize": { "format": "int32", "description": "The standard list page size.", "location": "query", "type": "integer" }, "name": { "pattern": "^operations$", "type": "string", "description": "The name of the operation's parent resource.", "location": "path", "required": true }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" } }, "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "firebasehosting.operations.list" }, "delete": { "parameterOrder": [ "name" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "firebasehosting.operations.delete", "flatPath": "v1/operations/{operationsId}", "response": { "$ref": "Empty" }, "parameters": { "name": { "required": true, "type": "string", "pattern": "^operations/.*$", "description": "The name of the operation resource to be deleted.", "location": "path" } }, "httpMethod": "DELETE", "path": "v1/{+name}" }, "cancel": { "flatPath": "v1/operations/{operationsId}:cancel", "id": "firebasehosting.operations.cancel", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:cancel", "parameters": { "name": { "pattern": "^operations/.*$", "description": "The name of the operation resource to be cancelled.", "type": "string", "required": true, "location": "path" } }, "httpMethod": "POST", "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } } } }, "baseUrl": "https://firebasehosting.googleapis.com/", "description": "The Firebase Hosting REST API enables programmatic and customizable management and deployments to your Firebase-hosted sites. Use this REST API to create and manage channels and sites as well as to deploy new or updated hosting configurations and content files.", "parameters": { "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "location": "query" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." } }, "basePath": "", "rootUrl": "https://firebasehosting.googleapis.com/", "title": "Firebase Hosting API", "fullyEncodeReservedExpansion": true, "documentationLink": "https://firebase.google.com/docs/hosting/", "protocol": "rest", "version": "v1", "servicePath": "", "mtlsRootUrl": "https://firebasehosting.mtls.googleapis.com/", "revision": "20220619", "kind": "discovery#restDescription", "ownerDomain": "google.com", "ownerName": "Google", "discoveryVersion": "v1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "name": "firebasehosting", "id": "firebasehosting:v1", "schemas": { "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "type": "object", "id": "Status" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "id": "Operation" }, "CancelOperationRequest": { "properties": {}, "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation.", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations." } } }
]===]))
