local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "firebasehosting", "ownerName": "Google", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/firebase.readonly": { "description": "View all your Firebase data and settings" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/firebase": { "description": "View and administer all your Firebase data and settings" } } } }, "protocol": "rest", "discoveryVersion": "v1", "resources": { "projects": { "resources": { "operations": { "methods": { "get": { "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/operations/{operationsId}", "id": "firebasehosting.projects.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "httpMethod": "GET", "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource.", "required": true } } } } }, "sites": { "methods": { "list": { "path": "v1beta1/{+parent}/sites", "id": "firebasehosting.projects.sites.list", "flatPath": "v1beta1/projects/{projectsId}/sites", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The Firebase project for which to list sites, in the format: projects/PROJECT_IDENTIFIER Refer to the `Site` [`name`](../projects#Site.FIELDS.name) field for details about PROJECT_IDENTIFIER values." }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A token from a previous call to `ListSites` that tells the server where to resume listing." }, "pageSize": { "description": "Optional. The maximum number of sites to return. The service may return a lower number if fewer sites exist than this maximum number. If unspecified, defaults to 40.", "type": "integer", "location": "query", "format": "int32" } }, "httpMethod": "GET", "description": "Lists each Hosting Site associated with the specified parent Firebase project.", "response": { "$ref": "ListSitesResponse" } }, "get": { "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}", "httpMethod": "GET", "response": { "$ref": "Site" }, "parameters": { "name": { "description": "Required. The fully-qualified resource name for the Hosting site, in the format: projects/PROJECT_IDENTIFIER/sites/SITE_ID Refer to the `Site` [`name`](../projects#Site.FIELDS.name) field for details about PROJECT_IDENTIFIER values. Since a SITE_ID is a globally unique identifier, you can also use the unique sub-collection resource access pattern, in the format: projects/-/sites/SITE_ID", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+$", "type": "string", "location": "path" } }, "id": "firebasehosting.projects.sites.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "name" ], "description": "Gets the specified Hosting Site.", "path": "v1beta1/{+name}" }, "patch": { "id": "firebasehosting.projects.sites.patch", "path": "v1beta1/{+name}", "description": "Updates attributes of the specified Hosting Site.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "httpMethod": "PATCH", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}", "parameters": { "name": { "required": true, "type": "string", "description": "Output only. The fully-qualified resource name of the Hosting site, in the format: projects/PROJECT_IDENTIFIER/sites/SITE_ID PROJECT_IDENTIFIER: the Firebase project's [`ProjectNumber`](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510).", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+$" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "A set of field names from your Site that you want to update." } }, "parameterOrder": [ "name" ], "request": { "$ref": "Site" }, "response": { "$ref": "Site" } }, "create": { "response": { "$ref": "Site" }, "id": "firebasehosting.projects.sites.create", "description": "Creates a new Hosting Site in the specified parent Firebase project. Note that Hosting sites can take several minutes to propagate through Firebase systems.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+parent}/sites", "parameters": { "siteId": { "location": "query", "type": "string", "description": "Required. Immutable. A globally unique identifier for the Hosting site. This identifier is used to construct the Firebase-provisioned subdomains for the site, so it must also be a valid domain name label." }, "parent": { "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "description": "Required. The Firebase project in which to create a Hosting site, in the format: projects/PROJECT_IDENTIFIER Refer to the `Site` [`name`](../projects#Site.FIELDS.name) field for details about PROJECT_IDENTIFIER values." } }, "httpMethod": "POST", "request": { "$ref": "Site" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/sites" }, "getConfig": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "httpMethod": "GET", "parameters": { "name": { "location": "path", "description": "Required. The site for which to get the SiteConfig, in the format: sites/ site-name/config", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/config$", "type": "string" } }, "path": "v1beta1/{+name}", "description": "Gets the Hosting metadata for a specific site.", "response": { "$ref": "SiteConfig" }, "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/config", "id": "firebasehosting.projects.sites.getConfig" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Empty" }, "description": "Deletes the specified Hosting Site from the specified parent Firebase project.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The fully-qualified resource name for the Hosting site, in the format: projects/PROJECT_IDENTIFIER/sites/SITE_ID Refer to the `Site` [`name`](../projects#Site.FIELDS.name) field for details about PROJECT_IDENTIFIER values.", "type": "string", "pattern": "^projects/[^/]+/sites/[^/]+$" } }, "httpMethod": "DELETE", "id": "firebasehosting.projects.sites.delete" }, "updateConfig": { "request": { "$ref": "SiteConfig" }, "response": { "$ref": "SiteConfig" }, "description": "Sets the Hosting metadata for a specific site.", "parameters": { "name": { "description": "Required. The site for which to update the SiteConfig, in the format: sites/ site-name/config", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/config$" }, "updateMask": { "description": "A set of field names from your [site configuration](../sites.SiteConfig) that you want to update. A field will be overwritten if, and only if, it's in the mask. If a mask is not provided then a default mask of only [`max_versions`](../sites.SiteConfig.max_versions) will be used.", "location": "query", "format": "google-fieldmask", "type": "string" } }, "id": "firebasehosting.projects.sites.updateConfig", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/config", "path": "v1beta1/{+name}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ] } }, "resources": { "releases": { "methods": { "list": { "id": "firebasehosting.projects.sites.releases.list", "parameterOrder": [ "parent" ], "description": "Lists the releases that have been created for the specified site or channel. When used to list releases for a site, this list includes releases for both the default `live` channel and any active preview channels for the specified site.", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+$", "required": true, "type": "string", "description": "Required. The site or channel for which to list releases, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID " }, "pageToken": { "type": "string", "description": "A token from a previous call to `releases.list` or `channels.releases.list` that tells the server where to resume listing.", "location": "query" }, "pageSize": { "description": "The maximum number of releases to return. The service may return a lower number if fewer releases exist than this maximum number. If unspecified, defaults to 100.", "location": "query", "format": "int32", "type": "integer" } }, "response": { "$ref": "ListReleasesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+parent}/releases", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/releases", "httpMethod": "GET" }, "create": { "request": { "$ref": "Release" }, "path": "v1beta1/{+parent}/releases", "parameterOrder": [ "parent" ], "id": "firebasehosting.projects.sites.releases.create", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/releases", "parameters": { "versionName": { "description": " The unique identifier for a version, in the format: sites/SITE_ID/versions/ VERSION_ID The SITE_ID in this version identifier must match the SITE_ID in the `parent` parameter. This query parameter must be empty if the `type` field in the request body is `SITE_DISABLE`.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. The site or channel to which the release belongs, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID", "pattern": "^projects/[^/]+/sites/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "POST", "description": "Creates a new release, which makes the content of the specified version actively display on the appropriate URL(s).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Release" } } } }, "channels": { "methods": { "get": { "response": { "$ref": "Channel" }, "id": "firebasehosting.projects.sites.channels.get", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The fully-qualified resource name for the channel, in the format: sites/SITE_ID/channels/CHANNEL_ID", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/channels/[^/]+$" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels/{channelsId}", "description": "Retrieves information for the specified channel of the specified site.", "parameterOrder": [ "name" ] }, "create": { "path": "v1beta1/{+parent}/channels", "request": { "$ref": "Channel" }, "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+$", "description": "Required. The site in which to create this channel, in the format: sites/ SITE_ID", "required": true }, "channelId": { "description": "Required. Immutable. A unique ID within the site that identifies the channel.", "type": "string", "location": "query" } }, "httpMethod": "POST", "description": "Creates a new channel in the specified site.", "id": "firebasehosting.projects.sites.channels.create", "response": { "$ref": "Channel" }, "parameterOrder": [ "parent" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "ListChannelsResponse" }, "parameters": { "pageSize": { "description": "The maximum number of channels to return. The service may return a lower number if fewer channels exist than this maximum number. If unspecified, defaults to 10. The maximum value is 100; values above 100 will be coerced to 100.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "description": "A token from a previous call to `ListChannels` that tells the server where to resume listing.", "type": "string", "location": "query" }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+$", "type": "string", "description": "Required. The site for which to list channels, in the format: sites/SITE_ID" } }, "description": "Lists the channels for the specified site. All sites have a default `live` channel.", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/channels", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels", "id": "firebasehosting.projects.sites.channels.list" }, "delete": { "description": "Deletes the specified channel of the specified site. The `live` channel cannot be deleted.", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels/{channelsId}", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/channels/[^/]+$", "required": true, "description": "Required. The fully-qualified resource name for the channel, in the format: sites/SITE_ID/channels/CHANNEL_ID", "type": "string" } }, "id": "firebasehosting.projects.sites.channels.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+name}", "httpMethod": "DELETE" }, "patch": { "description": "Updates information for the specified channel of the specified site. Implicitly creates the channel if it doesn't already exist.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "httpMethod": "PATCH", "path": "v1beta1/{+name}", "id": "firebasehosting.projects.sites.channels.patch", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels/{channelsId}", "parameters": { "name": { "required": true, "description": "The fully-qualified resource name for the channel, in the format: sites/ SITE_ID/channels/CHANNEL_ID", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/channels/[^/]+$", "type": "string" }, "updateMask": { "format": "google-fieldmask", "description": "A comma-separated list of fields to be updated in this request.", "type": "string", "location": "query" } }, "response": { "$ref": "Channel" }, "request": { "$ref": "Channel" }, "parameterOrder": [ "name" ] } }, "resources": { "releases": { "methods": { "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of releases to return. The service may return a lower number if fewer releases exist than this maximum number. If unspecified, defaults to 100.", "type": "integer" }, "parent": { "description": "Required. The site or channel for which to list releases, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID ", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/channels/[^/]+$" }, "pageToken": { "location": "query", "type": "string", "description": "A token from a previous call to `releases.list` or `channels.releases.list` that tells the server where to resume listing." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels/{channelsId}/releases", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/releases", "response": { "$ref": "ListReleasesResponse" }, "description": "Lists the releases that have been created for the specified site or channel. When used to list releases for a site, this list includes releases for both the default `live` channel and any active preview channels for the specified site.", "id": "firebasehosting.projects.sites.channels.releases.list", "httpMethod": "GET" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/channels/{channelsId}/releases", "httpMethod": "POST", "id": "firebasehosting.projects.sites.channels.releases.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Release" }, "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/channels/[^/]+$", "type": "string", "required": true, "description": "Required. The site or channel to which the release belongs, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID" }, "versionName": { "description": " The unique identifier for a version, in the format: sites/SITE_ID/versions/ VERSION_ID The SITE_ID in this version identifier must match the SITE_ID in the `parent` parameter. This query parameter must be empty if the `type` field in the request body is `SITE_DISABLE`.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "Release" }, "path": "v1beta1/{+parent}/releases", "description": "Creates a new release, which makes the content of the specified version actively display on the appropriate URL(s)." } } } } }, "domains": { "methods": { "update": { "path": "v1beta1/{+name}", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. The name of the domain association to update or create, if an association doesn't already exist.", "pattern": "^projects/[^/]+/sites/[^/]+/domains/[^/]+$" } }, "id": "firebasehosting.projects.sites.domains.update", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/domains/{domainsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Domain" }, "description": "Updates the specified domain mapping, creating the mapping as if it does not exist.", "httpMethod": "PUT", "request": { "$ref": "Domain" } }, "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The page size to return. Defaults to 50." }, "parent": { "description": "Required. The parent for which to list domains, in the format: sites/ site-name", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+$" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token from a previous request, if provided." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "parent" ], "description": "Lists the domains for the specified site.", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/domains", "id": "firebasehosting.projects.sites.domains.list", "path": "v1beta1/{+parent}/domains", "response": { "$ref": "ListDomainsResponse" } }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/domains/{domainsId}", "description": "Deletes the existing domain mapping on the specified site.", "httpMethod": "DELETE", "parameters": { "name": { "pattern": "^projects/[^/]+/sites/[^/]+/domains/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the domain association to delete.", "location": "path" } }, "response": { "$ref": "Empty" }, "id": "firebasehosting.projects.sites.domains.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+name}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [ "parent" ], "id": "firebasehosting.projects.sites.domains.create", "description": "Creates a domain mapping on the specified site.", "parameters": { "parent": { "required": true, "description": "Required. The parent to create the domain association for, in the format: sites/site-name", "location": "path", "type": "string", "pattern": "^projects/[^/]+/sites/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/domains", "httpMethod": "POST", "path": "v1beta1/{+parent}/domains", "request": { "$ref": "Domain" }, "response": { "$ref": "Domain" } }, "get": { "id": "firebasehosting.projects.sites.domains.get", "response": { "$ref": "Domain" }, "parameterOrder": [ "name" ], "description": "Gets a domain mapping on the specified site.", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/domains/{domainsId}", "path": "v1beta1/{+name}", "parameters": { "name": { "description": "Required. The name of the domain configuration to get.", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/domains/[^/]+$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ] } } }, "versions": { "resources": { "files": { "methods": { "list": { "parameterOrder": [ "parent" ], "id": "firebasehosting.projects.sites.versions.files.list", "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+/versions/[^/]+$", "required": true, "description": "Required. The version for which to list files, in the format: sites/SITE_ID /versions/VERSION_ID" }, "status": { "description": " The type of files that should be listed for the specified version.", "enum": [ "STATUS_UNSPECIFIED", "EXPECTED", "ACTIVE" ], "enumDescriptions": [ "The default status; should not be intentionally used.", "The file has been included in the version and is expected to be uploaded in the near future.", "The file has already been uploaded to Firebase Hosting." ], "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "A token from a previous call to `ListVersionFiles` that tells the server where to resume listing.", "type": "string" }, "pageSize": { "description": "The maximum number of version files to return. The service may return a lower number if fewer version files exist than this maximum number. If unspecified, defaults to 1000.", "format": "int32", "location": "query", "type": "integer" } }, "response": { "$ref": "ListVersionFilesResponse" }, "httpMethod": "GET", "path": "v1beta1/{+parent}/files", "description": "Lists the remaining files to be uploaded for the specified version.", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions/{versionsId}/files", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ] } } } }, "methods": { "patch": { "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "firebasehosting.projects.sites.versions.patch", "path": "v1beta1/{+name}", "response": { "$ref": "Version" }, "parameters": { "updateMask": { "description": "A set of field names from your [version](../sites.versions) that you want to update. A field will be overwritten if, and only if, it's in the mask. If a mask is not provided then a default mask of only [`status`](../sites.versions#Version.FIELDS.status) will be used.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "type": "string", "description": "The fully-qualified resource name for the version, in the format: sites/ SITE_ID/versions/VERSION_ID This name is provided in the response body when you call [`CreateVersion`](sites.versions/create).", "location": "path", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/versions/[^/]+$" } }, "request": { "$ref": "Version" }, "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions/{versionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "description": " Updates the specified metadata for the specified version. This method will fail with `FAILED_PRECONDITION` in the event of an invalid state transition. The supported [state](../sites.versions#versionstatus) transitions for a version are from `CREATED` to `FINALIZED`. Use [`DeleteVersion`](delete) to set the status of a version to `DELETED`." }, "delete": { "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/versions/[^/]+$", "type": "string", "description": "Required. The fully-qualified resource name for the version, in the format: sites/SITE_ID/versions/VERSION_ID" } }, "httpMethod": "DELETE", "path": "v1beta1/{+name}", "description": "Deletes the specified version.", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions/{versionsId}", "id": "firebasehosting.projects.sites.versions.delete", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Empty" } }, "clone": { "request": { "$ref": "CloneVersionRequest" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions:clone", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+$", "description": "Required. The target site for the cloned version, in the format: sites/ SITE_ID", "location": "path" } }, "description": "Creates a new version on the specified target site using the content of the specified version.", "path": "v1beta1/{+parent}/versions:clone", "id": "firebasehosting.projects.sites.versions.clone", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ] }, "list": { "path": "v1beta1/{+parent}/versions", "httpMethod": "GET", "description": "Lists the versions that have been created for the specified site. This list includes versions for both the default `live` channel and any active preview channels for the specified site.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/sites/[^/]+$", "type": "string", "required": true, "description": "Required. The site or channel for which to list versions, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID " }, "pageToken": { "description": "A token from a previous call to `ListVersions` that tells the server where to resume listing.", "type": "string", "location": "query" }, "filter": { "description": "A filter string used to return a subset of versions in the response. The currently supported fields for filtering are: `name`, `status`, and `create_time`. Learn more about filtering in Google's [AIP 160 standard](https://google.aip.dev/160).", "location": "query", "type": "string" }, "pageSize": { "description": "The maximum number of versions to return. The service may return a lower number if fewer versions exist than this maximum number. If unspecified, defaults to 25. The maximum value is 100; values above 100 will be coerced to 100.", "type": "integer", "format": "int32", "location": "query" } }, "id": "firebasehosting.projects.sites.versions.list", "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions", "response": { "$ref": "ListVersionsResponse" }, "parameterOrder": [ "parent" ] }, "create": { "response": { "$ref": "Version" }, "description": "Creates a new version for the specified site.", "request": { "$ref": "Version" }, "httpMethod": "POST", "id": "firebasehosting.projects.sites.versions.create", "path": "v1beta1/{+parent}/versions", "parameters": { "sizeBytes": { "format": "int64", "description": "The self-reported size of the version. This value is used for a pre-emptive quota check for legacy version uploads.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/sites/[^/]+$", "description": "Required. The site in which to create the version, in the format: sites/ SITE_ID", "type": "string", "required": true, "location": "path" }, "versionId": { "location": "query", "type": "string", "description": "A unique id for the new version. This is was only specified for legacy version creations, and should be blank." } }, "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ] }, "populateFiles": { "path": "v1beta1/{+parent}:populateFiles", "response": { "$ref": "PopulateVersionFilesResponse" }, "flatPath": "v1beta1/projects/{projectsId}/sites/{sitesId}/versions/{versionsId}:populateFiles", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "PopulateVersionFilesRequest" }, "parameters": { "parent": { "description": "Required. The version to which to add files, in the format: sites/SITE_ID /versions/VERSION_ID", "location": "path", "required": true, "pattern": "^projects/[^/]+/sites/[^/]+/versions/[^/]+$", "type": "string" } }, "id": "firebasehosting.projects.sites.versions.populateFiles", "parameterOrder": [ "parent" ], "description": " Adds content files to the specified version. Each file must be under 2 GB." } } } } } } }, "sites": { "methods": { "updateConfig": { "description": "Sets the Hosting metadata for a specific site.", "id": "firebasehosting.sites.updateConfig", "request": { "$ref": "SiteConfig" }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/sites/{sitesId}/config", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The site for which to update the SiteConfig, in the format: sites/ site-name/config", "pattern": "^sites/[^/]+/config$", "type": "string" }, "updateMask": { "description": "A set of field names from your [site configuration](../sites.SiteConfig) that you want to update. A field will be overwritten if, and only if, it's in the mask. If a mask is not provided then a default mask of only [`max_versions`](../sites.SiteConfig.max_versions) will be used.", "location": "query", "type": "string", "format": "google-fieldmask" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "SiteConfig" } }, "getConfig": { "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^sites/[^/]+/config$", "type": "string", "description": "Required. The site for which to get the SiteConfig, in the format: sites/ site-name/config" } }, "path": "v1beta1/{+name}", "id": "firebasehosting.sites.getConfig", "response": { "$ref": "SiteConfig" }, "flatPath": "v1beta1/sites/{sitesId}/config", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "description": "Gets the Hosting metadata for a specific site." } }, "resources": { "releases": { "methods": { "create": { "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The site or channel to which the release belongs, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID", "pattern": "^sites/[^/]+$", "type": "string" }, "versionName": { "location": "query", "description": " The unique identifier for a version, in the format: sites/SITE_ID/versions/ VERSION_ID The SITE_ID in this version identifier must match the SITE_ID in the `parent` parameter. This query parameter must be empty if the `type` field in the request body is `SITE_DISABLE`.", "type": "string" } }, "flatPath": "v1beta1/sites/{sitesId}/releases", "httpMethod": "POST", "request": { "$ref": "Release" }, "id": "firebasehosting.sites.releases.create", "path": "v1beta1/{+parent}/releases", "parameterOrder": [ "parent" ], "response": { "$ref": "Release" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "description": "Creates a new release, which makes the content of the specified version actively display on the appropriate URL(s)." }, "list": { "path": "v1beta1/{+parent}/releases", "parameters": { "pageToken": { "type": "string", "description": "A token from a previous call to `releases.list` or `channels.releases.list` that tells the server where to resume listing.", "location": "query" }, "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The site or channel for which to list releases, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID ", "pattern": "^sites/[^/]+$" }, "pageSize": { "description": "The maximum number of releases to return. The service may return a lower number if fewer releases exist than this maximum number. If unspecified, defaults to 100.", "format": "int32", "type": "integer", "location": "query" } }, "description": "Lists the releases that have been created for the specified site or channel. When used to list releases for a site, this list includes releases for both the default `live` channel and any active preview channels for the specified site.", "id": "firebasehosting.sites.releases.list", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/sites/{sitesId}/releases", "response": { "$ref": "ListReleasesResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ] } } }, "channels": { "methods": { "patch": { "flatPath": "v1beta1/sites/{sitesId}/channels/{channelsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Channel" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "A comma-separated list of fields to be updated in this request.", "format": "google-fieldmask" }, "name": { "description": "The fully-qualified resource name for the channel, in the format: sites/ SITE_ID/channels/CHANNEL_ID", "pattern": "^sites/[^/]+/channels/[^/]+$", "type": "string", "location": "path", "required": true } }, "path": "v1beta1/{+name}", "description": "Updates information for the specified channel of the specified site. Implicitly creates the channel if it doesn't already exist.", "request": { "$ref": "Channel" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "id": "firebasehosting.sites.channels.patch", "httpMethod": "PATCH" }, "create": { "id": "firebasehosting.sites.channels.create", "description": "Creates a new channel in the specified site.", "flatPath": "v1beta1/sites/{sitesId}/channels", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+parent}/channels", "request": { "$ref": "Channel" }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "channelId": { "location": "query", "description": "Required. Immutable. A unique ID within the site that identifies the channel.", "type": "string" }, "parent": { "required": true, "type": "string", "pattern": "^sites/[^/]+$", "description": "Required. The site in which to create this channel, in the format: sites/ SITE_ID", "location": "path" } }, "response": { "$ref": "Channel" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "flatPath": "v1beta1/sites/{sitesId}/channels/{channelsId}", "id": "firebasehosting.sites.channels.delete", "path": "v1beta1/{+name}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The fully-qualified resource name for the channel, in the format: sites/SITE_ID/channels/CHANNEL_ID", "pattern": "^sites/[^/]+/channels/[^/]+$" } }, "description": "Deletes the specified channel of the specified site. The `live` channel cannot be deleted." }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "ListChannelsResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta1/sites/{sitesId}/channels", "httpMethod": "GET", "path": "v1beta1/{+parent}/channels", "parameters": { "pageToken": { "description": "A token from a previous call to `ListChannels` that tells the server where to resume listing.", "type": "string", "location": "query" }, "parent": { "required": true, "pattern": "^sites/[^/]+$", "location": "path", "type": "string", "description": "Required. The site for which to list channels, in the format: sites/SITE_ID" }, "pageSize": { "description": "The maximum number of channels to return. The service may return a lower number if fewer channels exist than this maximum number. If unspecified, defaults to 10. The maximum value is 100; values above 100 will be coerced to 100.", "format": "int32", "type": "integer", "location": "query" } }, "description": "Lists the channels for the specified site. All sites have a default `live` channel.", "id": "firebasehosting.sites.channels.list" }, "get": { "httpMethod": "GET", "response": { "$ref": "Channel" }, "path": "v1beta1/{+name}", "parameters": { "name": { "required": true, "location": "path", "description": "Required. The fully-qualified resource name for the channel, in the format: sites/SITE_ID/channels/CHANNEL_ID", "pattern": "^sites/[^/]+/channels/[^/]+$", "type": "string" } }, "description": "Retrieves information for the specified channel of the specified site.", "id": "firebasehosting.sites.channels.get", "parameterOrder": [ "name" ], "flatPath": "v1beta1/sites/{sitesId}/channels/{channelsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ] } }, "resources": { "releases": { "methods": { "create": { "path": "v1beta1/{+parent}/releases", "response": { "$ref": "Release" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "description": "Creates a new release, which makes the content of the specified version actively display on the appropriate URL(s).", "parameters": { "versionName": { "description": " The unique identifier for a version, in the format: sites/SITE_ID/versions/ VERSION_ID The SITE_ID in this version identifier must match the SITE_ID in the `parent` parameter. This query parameter must be empty if the `type` field in the request body is `SITE_DISABLE`.", "type": "string", "location": "query" }, "parent": { "pattern": "^sites/[^/]+/channels/[^/]+$", "description": "Required. The site or channel to which the release belongs, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1beta1/sites/{sitesId}/channels/{channelsId}/releases", "httpMethod": "POST", "id": "firebasehosting.sites.channels.releases.create", "request": { "$ref": "Release" }, "parameterOrder": [ "parent" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "description": "Lists the releases that have been created for the specified site or channel. When used to list releases for a site, this list includes releases for both the default `live` channel and any active preview channels for the specified site.", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A token from a previous call to `releases.list` or `channels.releases.list` that tells the server where to resume listing." }, "pageSize": { "description": "The maximum number of releases to return. The service may return a lower number if fewer releases exist than this maximum number. If unspecified, defaults to 100.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "location": "path", "description": "Required. The site or channel for which to list releases, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID ", "pattern": "^sites/[^/]+/channels/[^/]+$", "type": "string", "required": true } }, "flatPath": "v1beta1/sites/{sitesId}/channels/{channelsId}/releases", "httpMethod": "GET", "response": { "$ref": "ListReleasesResponse" }, "path": "v1beta1/{+parent}/releases", "parameterOrder": [ "parent" ], "id": "firebasehosting.sites.channels.releases.list" } } } } }, "domains": { "methods": { "create": { "parameters": { "parent": { "description": "Required. The parent to create the domain association for, in the format: sites/site-name", "pattern": "^sites/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Domain" }, "flatPath": "v1beta1/sites/{sitesId}/domains", "request": { "$ref": "Domain" }, "id": "firebasehosting.sites.domains.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "path": "v1beta1/{+parent}/domains", "description": "Creates a domain mapping on the specified site." }, "update": { "response": { "$ref": "Domain" }, "id": "firebasehosting.sites.domains.update", "description": "Updates the specified domain mapping, creating the mapping as if it does not exist.", "flatPath": "v1beta1/sites/{sitesId}/domains/{domainsId}", "request": { "$ref": "Domain" }, "httpMethod": "PUT", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^sites/[^/]+/domains/[^/]+$", "description": "Required. The name of the domain association to update or create, if an association doesn't already exist.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ] }, "delete": { "httpMethod": "DELETE", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "id": "firebasehosting.sites.domains.delete", "response": { "$ref": "Empty" }, "flatPath": "v1beta1/sites/{sitesId}/domains/{domainsId}", "parameterOrder": [ "name" ], "description": "Deletes the existing domain mapping on the specified site.", "parameters": { "name": { "required": true, "pattern": "^sites/[^/]+/domains/[^/]+$", "description": "Required. The name of the domain association to delete.", "location": "path", "type": "string" } } }, "list": { "response": { "$ref": "ListDomainsResponse" }, "id": "firebasehosting.sites.domains.list", "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The parent for which to list domains, in the format: sites/ site-name", "pattern": "^sites/[^/]+$", "required": true }, "pageSize": { "format": "int32", "location": "query", "description": "The page size to return. Defaults to 50.", "type": "integer" }, "pageToken": { "location": "query", "description": "The next_page_token from a previous request, if provided.", "type": "string" } }, "httpMethod": "GET", "path": "v1beta1/{+parent}/domains", "flatPath": "v1beta1/sites/{sitesId}/domains", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "description": "Lists the domains for the specified site." }, "get": { "httpMethod": "GET", "flatPath": "v1beta1/sites/{sitesId}/domains/{domainsId}", "response": { "$ref": "Domain" }, "description": "Gets a domain mapping on the specified site.", "id": "firebasehosting.sites.domains.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "parameters": { "name": { "pattern": "^sites/[^/]+/domains/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The name of the domain configuration to get." } } } } }, "versions": { "methods": { "populateFiles": { "flatPath": "v1beta1/sites/{sitesId}/versions/{versionsId}:populateFiles", "path": "v1beta1/{+parent}:populateFiles", "id": "firebasehosting.sites.versions.populateFiles", "request": { "$ref": "PopulateVersionFilesRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "response": { "$ref": "PopulateVersionFilesResponse" }, "description": " Adds content files to the specified version. Each file must be under 2 GB.", "parameters": { "parent": { "type": "string", "description": "Required. The version to which to add files, in the format: sites/SITE_ID /versions/VERSION_ID", "required": true, "pattern": "^sites/[^/]+/versions/[^/]+$", "location": "path" } }, "parameterOrder": [ "parent" ] }, "list": { "path": "v1beta1/{+parent}/versions", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/sites/{sitesId}/versions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "response": { "$ref": "ListVersionsResponse" }, "httpMethod": "GET", "description": "Lists the versions that have been created for the specified site. This list includes versions for both the default `live` channel and any active preview channels for the specified site.", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of versions to return. The service may return a lower number if fewer versions exist than this maximum number. If unspecified, defaults to 25. The maximum value is 100; values above 100 will be coerced to 100.", "type": "integer", "location": "query" }, "parent": { "description": "Required. The site or channel for which to list versions, in either of the following formats: - sites/SITE_ID - sites/SITE_ID/channels/CHANNEL_ID ", "pattern": "^sites/[^/]+$", "required": true, "location": "path", "type": "string" }, "filter": { "description": "A filter string used to return a subset of versions in the response. The currently supported fields for filtering are: `name`, `status`, and `create_time`. Learn more about filtering in Google's [AIP 160 standard](https://google.aip.dev/160).", "location": "query", "type": "string" }, "pageToken": { "description": "A token from a previous call to `ListVersions` that tells the server where to resume listing.", "location": "query", "type": "string" } }, "id": "firebasehosting.sites.versions.list" }, "create": { "request": { "$ref": "Version" }, "description": "Creates a new version for the specified site.", "path": "v1beta1/{+parent}/versions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameters": { "parent": { "required": true, "description": "Required. The site in which to create the version, in the format: sites/ SITE_ID", "pattern": "^sites/[^/]+$", "location": "path", "type": "string" }, "sizeBytes": { "location": "query", "format": "int64", "description": "The self-reported size of the version. This value is used for a pre-emptive quota check for legacy version uploads.", "type": "string" }, "versionId": { "location": "query", "type": "string", "description": "A unique id for the new version. This is was only specified for legacy version creations, and should be blank." } }, "flatPath": "v1beta1/sites/{sitesId}/versions", "response": { "$ref": "Version" }, "id": "firebasehosting.sites.versions.create", "parameterOrder": [ "parent" ] }, "clone": { "httpMethod": "POST", "description": "Creates a new version on the specified target site using the content of the specified version.", "response": { "$ref": "Operation" }, "parameters": { "parent": { "type": "string", "location": "path", "description": "Required. The target site for the cloned version, in the format: sites/ SITE_ID", "pattern": "^sites/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "request": { "$ref": "CloneVersionRequest" }, "id": "firebasehosting.sites.versions.clone", "path": "v1beta1/{+parent}/versions:clone", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "flatPath": "v1beta1/sites/{sitesId}/versions:clone" }, "delete": { "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "parameterOrder": [ "name" ], "id": "firebasehosting.sites.versions.delete", "flatPath": "v1beta1/sites/{sitesId}/versions/{versionsId}", "description": "Deletes the specified version.", "parameters": { "name": { "required": true, "description": "Required. The fully-qualified resource name for the version, in the format: sites/SITE_ID/versions/VERSION_ID", "location": "path", "pattern": "^sites/[^/]+/versions/[^/]+$", "type": "string" } } }, "patch": { "httpMethod": "PATCH", "description": " Updates the specified metadata for the specified version. This method will fail with `FAILED_PRECONDITION` in the event of an invalid state transition. The supported [state](../sites.versions#versionstatus) transitions for a version are from `CREATED` to `FINALIZED`. Use [`DeleteVersion`](delete) to set the status of a version to `DELETED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/firebase" ], "request": { "$ref": "Version" }, "flatPath": "v1beta1/sites/{sitesId}/versions/{versionsId}", "parameters": { "updateMask": { "type": "string", "location": "query", "description": "A set of field names from your [version](../sites.versions) that you want to update. A field will be overwritten if, and only if, it's in the mask. If a mask is not provided then a default mask of only [`status`](../sites.versions#Version.FIELDS.status) will be used.", "format": "google-fieldmask" }, "name": { "location": "path", "pattern": "^sites/[^/]+/versions/[^/]+$", "type": "string", "description": "The fully-qualified resource name for the version, in the format: sites/ SITE_ID/versions/VERSION_ID This name is provided in the response body when you call [`CreateVersion`](sites.versions/create).", "required": true } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "response": { "$ref": "Version" }, "id": "firebasehosting.sites.versions.patch" } }, "resources": { "files": { "methods": { "list": { "response": { "$ref": "ListVersionFilesResponse" }, "id": "firebasehosting.sites.versions.files.list", "flatPath": "v1beta1/sites/{sitesId}/versions/{versionsId}/files", "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1beta1/{+parent}/files", "description": "Lists the remaining files to be uploaded for the specified version.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/firebase", "https://www.googleapis.com/auth/firebase.readonly" ], "parameters": { "pageToken": { "description": "A token from a previous call to `ListVersionFiles` that tells the server where to resume listing.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of version files to return. The service may return a lower number if fewer version files exist than this maximum number. If unspecified, defaults to 1000." }, "status": { "enum": [ "STATUS_UNSPECIFIED", "EXPECTED", "ACTIVE" ], "description": " The type of files that should be listed for the specified version.", "enumDescriptions": [ "The default status; should not be intentionally used.", "The file has been included in the version and is expected to be uploaded in the near future.", "The file has already been uploaded to Firebase Hosting." ], "type": "string", "location": "query" }, "parent": { "pattern": "^sites/[^/]+/versions/[^/]+$", "required": true, "location": "path", "description": "Required. The version for which to list files, in the format: sites/SITE_ID /versions/VERSION_ID", "type": "string" } } } } } } } } } }, "fullyEncodeReservedExpansion": true, "basePath": "", "kind": "discovery#restDescription", "rootUrl": "https://firebasehosting.googleapis.com/", "title": "Firebase Hosting API", "servicePath": "", "ownerDomain": "google.com", "id": "firebasehosting:v1beta1", "revision": "20220619", "version_module": true, "parameters": { "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "$.xgafv": { "type": "string", "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." } }, "documentationLink": "https://firebase.google.com/docs/hosting/", "version": "v1beta1", "description": "The Firebase Hosting REST API enables programmatic and customizable management and deployments to your Firebase-hosted sites. Use this REST API to create and manage channels and sites as well as to deploy new or updated hosting configurations and content files.", "schemas": { "PopulateVersionFilesRequest": { "properties": { "files": { "description": "A set of file paths to the hashes corresponding to assets that should be added to the version. A file path to an empty hash will remove the path from the version. Calculate a hash by Gzipping the file then taking the SHA256 hash of the newly compressed file.", "type": "object", "additionalProperties": { "type": "string" } } }, "id": "PopulateVersionFilesRequest", "type": "object" }, "Domain": { "type": "object", "description": "The intended behavior and status information of a domain.", "properties": { "updateTime": { "description": "Output only. The time at which the domain was last updated.", "type": "string", "format": "google-datetime" }, "status": { "enum": [ "DOMAIN_STATUS_UNSPECIFIED", "DOMAIN_CHANGE_PENDING", "DOMAIN_ACTIVE", "DOMAIN_VERIFICATION_REQUIRED", "DOMAIN_VERIFICATION_LOST" ], "enumDescriptions": [ "Unspecified domain association status.", "An external operation is in progress on the domain association and no further operations can be performed until it is complete. Formerly used for metabase updates. Not currently used", "The domain association is active and no additional action is required.", "The domain was previously verified in the legacy system. User must reverify the domain through the ownership service.", "The domain verification has been lost and the domain is in the grace period before being removed from the Firebase Hosting site." ], "type": "string", "description": "Output only. Additional status of the domain association." }, "site": { "description": "Required. The site name of the association.", "type": "string" }, "domainName": { "type": "string", "description": "Required. The domain name of the association." }, "domainRedirect": { "$ref": "DomainRedirect", "description": "If set, the domain should redirect with the provided parameters." }, "provisioning": { "$ref": "DomainProvisioning", "description": "Output only. Information about the provisioning of certificates and the health of the DNS resolution for the domain." } }, "id": "Domain" }, "CertHttpChallenge": { "description": "Represents an HTTP certificate challenge.", "type": "object", "properties": { "path": { "type": "string", "description": "The URL path on which to serve the specified token to satisfy the certificate challenge." }, "token": { "type": "string", "description": "The token to serve at the specified URL path to satisfy the certificate challenge." } }, "id": "CertHttpChallenge" }, "Version": { "id": "Version", "properties": { "fileCount": { "type": "string", "description": "Output only. The total number of files associated with the version. This value is calculated after a version is `FINALIZED`.", "format": "int64" }, "createTime": { "description": "Output only. The time at which the version was created.", "type": "string", "format": "google-datetime" }, "createUser": { "$ref": "ActingUser", "description": "Output only. Identifies the user who created the version." }, "finalizeUser": { "$ref": "ActingUser", "description": "Output only. Identifies the user who `FINALIZED` the version." }, "config": { "$ref": "ServingConfig", "description": "The configuration for the behavior of the site. This configuration exists in the [`firebase.json`](https://firebase.google.com/docs/cli/#the_firebasejson_file) file." }, "deleteTime": { "description": "Output only. The time at which the version was `DELETED`.", "type": "string", "format": "google-datetime" }, "finalizeTime": { "description": "Output only. The time at which the version was `FINALIZED`.", "type": "string", "format": "google-datetime" }, "versionBytes": { "type": "string", "format": "int64", "description": "Output only. The total stored bytesize of the version. This value is calculated after a version is `FINALIZED`." }, "deleteUser": { "$ref": "ActingUser", "description": "Output only. Identifies the user who `DELETED` the version." }, "status": { "enum": [ "VERSION_STATUS_UNSPECIFIED", "CREATED", "FINALIZED", "DELETED", "ABANDONED", "EXPIRED", "CLONING" ], "enumDescriptions": [ "The default status; should not be intentionally used.", "The version has been created, and content is currently being added to the version.", "All content has been added to the version, and the version can no longer be changed.", "The version has been deleted.", "The version was not updated to `FINALIZED` within 12 hours and was automatically deleted.", "The version is outside the site-configured limit for the number of retained versions, so the version's content is scheduled for deletion.", "The version is being cloned from another version. All content is still being copied over." ], "description": "The deploy status of the version. For a successful deploy, call [`CreateVersion`](sites.versions/create) to make a new version (`CREATED` status), [upload all desired files](sites.versions/populateFiles) to the version, then [update](sites.versions/patch) the version to the `FINALIZED` status. Note that if you leave the version in the `CREATED` state for more than 12 hours, the system will automatically mark the version as `ABANDONED`. You can also change the status of a version to `DELETED` by calling [`DeleteVersion`](sites.versions/delete).", "type": "string" }, "name": { "type": "string", "description": "The fully-qualified resource name for the version, in the format: sites/ SITE_ID/versions/VERSION_ID This name is provided in the response body when you call [`CreateVersion`](sites.versions/create)." }, "labels": { "type": "object", "description": "The labels used for extra metadata and/or filtering.", "additionalProperties": { "type": "string" } } }, "type": "object", "description": "A `Version` is a configuration and a collection of static files which determine how a site is displayed." }, "Site": { "description": "A `Site` represents a Firebase Hosting site.", "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The fully-qualified resource name of the Hosting site, in the format: projects/PROJECT_IDENTIFIER/sites/SITE_ID PROJECT_IDENTIFIER: the Firebase project's [`ProjectNumber`](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects#FirebaseProject.FIELDS.project_number) ***(recommended)*** or its [`ProjectId`](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects#FirebaseProject.FIELDS.project_id). Learn more about using project identifiers in Google's [AIP 2510 standard](https://google.aip.dev/cloud/2510).", "readOnly": true }, "labels": { "type": "object", "description": "Optional. User-specified labels for the Hosting site.", "additionalProperties": { "type": "string" } }, "appId": { "description": "Optional. The [ID of a Web App](https://firebase.google.com/docs/projects/api/reference/rest/v1beta1/projects.webApps#WebApp.FIELDS.app_id) associated with the Hosting site.", "type": "string" }, "defaultUrl": { "type": "string", "description": "Output only. The default URL for the Hosting site.", "readOnly": true }, "type": { "readOnly": true, "type": "string", "enumDescriptions": [ "Unknown state, likely the result of an error on the backend.", "The default Hosting site that is provisioned when a Firebase project is created.", "A Hosting site that the user created." ], "description": "Output only. The type of Hosting site. Every Firebase project has a `DEFAULT_SITE`, which is created when Hosting is provisioned for the project. All additional sites are `USER_SITE`.", "enum": [ "TYPE_UNSPECIFIED", "DEFAULT_SITE", "USER_SITE" ] } }, "id": "Site" }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "SiteConfig": { "properties": { "cloudLoggingEnabled": { "type": "boolean", "description": "Whether or not web requests made by site visitors are logged via Cloud Logging." }, "maxVersions": { "type": "string", "format": "int64", "description": "The number of FINALIZED versions that will be held for a site before automatic deletion. When a new version is deployed, content for versions in storage in excess of this number will be deleted, and will no longer be billed for storage usage. Oldest versions will be deleted first; sites are created with an unlimited number of max_versions by default." } }, "description": "A `SiteConfig` contains metadata associated with a specific site that controls Firebase Hosting serving behavior", "type": "object", "id": "SiteConfig" }, "Redirect": { "type": "object", "id": "Redirect", "properties": { "glob": { "description": "The user-supplied [glob](https://firebase.google.com/docs/hosting/full-config#glob_pattern_matching) to match against the request URL path.", "type": "string" }, "statusCode": { "type": "integer", "format": "int32", "description": "Required. The status HTTP code to return in the response. It must be a valid 3xx status code." }, "location": { "description": "Required. The value to put in the HTTP location header of the response. The location can contain capture group values from the pattern using a `:` prefix to identify the segment and an optional `*` to capture the rest of the URL. For example: \"glob\": \"/:capture*\", \"statusCode\": 301, \"location\": \"https://example.com/foo/:capture\"", "type": "string" }, "regex": { "type": "string", "description": "The user-supplied RE2 regular expression to match against the request URL path." } }, "description": "A [`Redirect`](https://firebase.google.com/docs/hosting/full-config#redirects) specifies a URL pattern that, if matched to the request URL path, triggers Hosting to respond with a redirect to the specified destination path." }, "ActingUser": { "properties": { "imageUrl": { "type": "string", "description": "A profile image URL for the user. May not be present if the user has changed their email address or deleted their account." }, "email": { "description": "The email address of the user when the user performed the action.", "type": "string" } }, "id": "ActingUser", "description": "Contains metadata about the user who performed an action, such as creating a release or finalizing a version.", "type": "object" }, "ListDomainsResponse": { "type": "object", "description": "The response to listing Domains.", "properties": { "nextPageToken": { "description": "The pagination token, if more results exist.", "type": "string" }, "domains": { "items": { "$ref": "Domain" }, "type": "array", "description": "The list of domains, if any exist." } }, "id": "ListDomainsResponse" }, "Header": { "id": "Header", "type": "object", "description": "A [`Header`](https://firebase.google.com/docs/hosting/full-config#headers) specifies a URL pattern that, if matched to the request URL path, triggers Hosting to apply the specified custom response headers.", "properties": { "regex": { "description": "The user-supplied RE2 regular expression to match against the request URL path.", "type": "string" }, "headers": { "description": "Required. The additional headers to add to the response.", "type": "object", "additionalProperties": { "type": "string" } }, "glob": { "description": "The user-supplied [glob](https://firebase.google.com/docs/hosting/full-config#glob_pattern_matching) to match against the request URL path.", "type": "string" } } }, "Channel": { "type": "object", "id": "Channel", "properties": { "createTime": { "description": "Output only. The time at which the channel was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "url": { "type": "string", "readOnly": true, "description": "Output only. The URL at which the content of this channel's current release can be viewed. This URL is a Firebase-provided subdomain of `web.app`. The content of this channel's current release can also be viewed at the Firebase-provided subdomain of `firebaseapp.com`. If this channel is the `live` channel for the Hosting site, then the content of this channel's current release can also be viewed at any connected custom domains." }, "retainedReleaseCount": { "type": "integer", "description": "The number of previous releases to retain on the channel for rollback or other purposes. Must be a number between 1-100. Defaults to 10 for new channels.", "format": "int32" }, "release": { "$ref": "Release", "readOnly": true, "description": "Output only. The current release for the channel, if any." }, "updateTime": { "description": "Output only. The time at which the channel was last updated.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "The fully-qualified resource name for the channel, in the format: sites/ SITE_ID/channels/CHANNEL_ID" }, "ttl": { "format": "google-duration", "description": "Input only. A time-to-live for this channel. Sets `expire_time` to the provided duration past the time of the request.", "type": "string" }, "expireTime": { "format": "google-datetime", "type": "string", "description": "The time at which the channel will be automatically deleted. If null, the channel will not be automatically deleted. This field is present in the output whether it's set directly or via the `ttl` field." }, "labels": { "type": "object", "description": "Text labels used for extra metadata and/or filtering.", "additionalProperties": { "type": "string" } } }, "description": "A `Channel` represents a stream of releases for a site. All sites have a default `live` channel that serves content to the Firebase-provided subdomains and any connected custom domains." }, "CertDnsChallenge": { "properties": { "token": { "type": "string", "description": "The value that must be present as a TXT record on the domain name to satisfy the challenge." }, "domainName": { "description": "The domain name upon which the DNS challenge must be satisfied.", "type": "string" } }, "id": "CertDnsChallenge", "type": "object", "description": "Represents a DNS certificate challenge." }, "DomainRedirect": { "properties": { "domainName": { "type": "string", "description": "Required. The domain name to redirect to." }, "type": { "type": "string", "enum": [ "REDIRECT_TYPE_UNSPECIFIED", "MOVED_PERMANENTLY" ], "description": "Required. The redirect status code.", "enumDescriptions": [ "The default redirect type; should not be intentionlly used.", "The redirect will respond with an HTTP status code of `301 Moved Permanently`." ] } }, "description": "Defines the behavior of a domain-level redirect. Domain redirects preserve the path of the redirect but replace the requested domain with the one specified in the redirect configuration.", "type": "object", "id": "DomainRedirect" }, "PopulateVersionFilesResponse": { "properties": { "uploadUrl": { "type": "string", "description": "The URL to which the files should be uploaded, in the format: \"https://upload-firebasehosting.googleapis.com/upload/sites/SITE_ID /versions/VERSION_ID/files\" Perform a multipart `POST` of the Gzipped file contents to the URL using a forward slash and the hash of the file appended to the end." }, "uploadRequiredHashes": { "items": { "type": "string" }, "type": "array", "description": "The content hashes of the specified files that need to be uploaded to the specified URL." } }, "id": "PopulateVersionFilesResponse", "type": "object" }, "PathFilter": { "id": "PathFilter", "type": "object", "description": "A representation of filter path.", "properties": { "regexes": { "type": "array", "description": "An array of RegEx values by which to filter.", "items": { "type": "string" } } } }, "ServingConfig": { "type": "object", "properties": { "headers": { "type": "array", "items": { "$ref": "Header" }, "description": "An array of objects, where each object specifies a URL pattern that, if matched to the request URL path, triggers Hosting to apply the specified custom response headers." }, "i18n": { "description": "Optional. Defines i18n rewrite behavior.", "$ref": "I18nConfig" }, "trailingSlashBehavior": { "description": "Defines how to handle a trailing slash in the URL path.", "enum": [ "TRAILING_SLASH_BEHAVIOR_UNSPECIFIED", "ADD", "REMOVE" ], "enumDescriptions": [ "No behavior is specified. Files are served at their exact location only, and trailing slashes are only added to directory indexes.", "Trailing slashes are _added_ to directory indexes as well as to any URL path not ending in a file extension.", "Trailing slashes are _removed_ from directory indexes as well as from any URL path not ending in a file extension." ], "type": "string" }, "appAssociation": { "description": "How to handle well known App Association files.", "enum": [ "AUTO", "NONE" ], "enumDescriptions": [ "The app association files will be automatically created from the apps that exist in the Firebase project.", "No special handling of the app association files will occur, these paths will result in a 404 unless caught with a Rewrite." ], "type": "string" }, "cleanUrls": { "type": "boolean", "description": "Defines whether to drop the file extension from uploaded files." }, "rewrites": { "description": "An array of objects (called rewrite rules), where each rule specifies a URL pattern that, if matched to the request URL path, triggers Hosting to respond as if the service were given the specified destination URL.", "type": "array", "items": { "$ref": "Rewrite" } }, "redirects": { "type": "array", "items": { "$ref": "Redirect" }, "description": "An array of objects (called redirect rules), where each rule specifies a URL pattern that, if matched to the request URL path, triggers Hosting to respond with a redirect to the specified destination path." } }, "id": "ServingConfig", "description": "The configuration for how incoming requests to a site should be routed and processed before serving content. The URL request paths are matched against the specified URL patterns in the configuration, then Hosting applies the applicable configuration according to a specific [priority order](https://firebase.google.com/docs/hosting/full-config#hosting_priority_order)." }, "CloudRunRewrite": { "id": "CloudRunRewrite", "properties": { "region": { "type": "string", "description": "Optional. User-provided region where the Cloud Run service is hosted. Defaults to `us-central1` if not supplied." }, "serviceId": { "description": "Required. User-defined ID of the Cloud Run service.", "type": "string" } }, "type": "object", "description": "A configured rewrite that directs requests to a Cloud Run service. If the Cloud Run service does not exist when setting or updating your Firebase Hosting configuration, then the request fails. Any errors from the Cloud Run service are passed to the end user (for example, if you delete a service, any requests directed to that service receive a `404` error)." }, "ListSitesResponse": { "properties": { "sites": { "items": { "$ref": "Site" }, "description": "A list of Site objects associated with the specified Firebase project.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The pagination token, if more results exist beyond the ones in this response. Include this token in your next call to `ListSites`. Page tokens are short-lived and should not be stored." } }, "type": "object", "id": "ListSitesResponse" }, "Empty": { "type": "object", "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "DomainProvisioning": { "id": "DomainProvisioning", "properties": { "dnsFetchTime": { "format": "google-datetime", "description": "The time at which the last DNS fetch occurred.", "type": "string" }, "certChallengeDns": { "description": "The DNS challenge for generating a certificate.", "$ref": "CertDnsChallenge" }, "certStatus": { "description": "The certificate provisioning status; updated when Firebase Hosting provisions an SSL certificate for the domain.", "enumDescriptions": [ "Unspecified certificate provisioning status.", "Waiting for certificate challenge to be created.", "Waiting for certificate challenge to be met.", "Certificate challenge met; attempting to acquire/propagate certificate.", "Certificate obtained; propagating to the CDN.", "Certificate provisioned and deployed across the CDN.", "Certificate provisioning failed in a non-recoverable manner." ], "type": "string", "enum": [ "CERT_STATUS_UNSPECIFIED", "CERT_PENDING", "CERT_MISSING", "CERT_PROCESSING", "CERT_PROPAGATING", "CERT_ACTIVE", "CERT_ERROR" ] }, "certChallengeHttp": { "$ref": "CertHttpChallenge", "description": "The HTTP challenge for generating a certificate." }, "discoveredIps": { "items": { "type": "string" }, "description": "The IPs found at the last DNS fetch.", "type": "array" }, "dnsStatus": { "description": "The DNS record match status as of the last DNS fetch.", "type": "string", "enum": [ "DNS_STATUS_UNSPECIFIED", "DNS_PENDING", "DNS_MISSING", "DNS_PARTIAL_MATCH", "DNS_MATCH", "DNS_EXTRANEOUS_MATCH" ], "enumDescriptions": [ "Unspecified DNS status.", "No DNS records have been specified for this domain yet.", "None of the required DNS records have been detected on the domain.", "Some of the required DNS records were detected, but not all of them. No extra (non-required) DNS records were detected.", "All required DNS records were detected. No extra (non-required) DNS records were detected.", "The domain has at least one of the required DNS records, and it has at least one extra (non-required) DNS record." ] }, "certChallengeDiscoveredTxt": { "description": "The TXT records (for the certificate challenge) that were found at the last DNS fetch.", "items": { "type": "string" }, "type": "array" }, "expectedIps": { "description": "The list of IPs to which the domain is expected to resolve.", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "The current certificate provisioning status information for a domain." }, "CloneVersionRequest": { "type": "object", "id": "CloneVersionRequest", "properties": { "include": { "$ref": "PathFilter", "description": "If provided, only paths that match one or more RegEx values in this list will be included in the new version." }, "finalize": { "description": "If true, the call to `CloneVersion` immediately finalizes the version after cloning is complete. If false, the cloned version will have a status of `CREATED`. Use [`UpdateVersion`](patch) to set the status of the version to `FINALIZED`.", "type": "boolean" }, "exclude": { "description": "If provided, only paths that do not match any of the RegEx values in this list will be included in the new version.", "$ref": "PathFilter" }, "sourceVersion": { "description": "Required. The unique identifier for the version to be cloned, in the format: sites/SITE_ID/versions/VERSION_ID", "type": "string" } } }, "ListVersionsResponse": { "id": "ListVersionsResponse", "properties": { "nextPageToken": { "description": "The pagination token, if more results exist beyond the ones in this response. Include this token in your next call to `ListVersions`. Page tokens are short-lived and should not be stored.", "type": "string" }, "versions": { "description": "The list of versions, if any exist.", "type": "array", "items": { "$ref": "Version" } } }, "type": "object" }, "ListChannelsResponse": { "id": "ListChannelsResponse", "properties": { "channels": { "items": { "$ref": "Channel" }, "description": "The list of channels.", "type": "array" }, "nextPageToken": { "description": "The pagination token, if more results exist beyond the ones in this response. Include this token in your next call to `ListChannels`. Page tokens are short-lived and should not be stored.", "type": "string" } }, "type": "object" }, "VersionFile": { "description": "A static content file that is part of a version.", "id": "VersionFile", "type": "object", "properties": { "status": { "type": "string", "description": "Output only. The current status of a particular file in the specified version. The value will be either `pending upload` or `uploaded`.", "enumDescriptions": [ "The default status; should not be intentionally used.", "The file has been included in the version and is expected to be uploaded in the near future.", "The file has already been uploaded to Firebase Hosting." ], "enum": [ "STATUS_UNSPECIFIED", "EXPECTED", "ACTIVE" ] }, "path": { "description": "The URI at which the file's content should display.", "type": "string" }, "hash": { "type": "string", "description": "The SHA256 content hash of the file." } } }, "Rewrite": { "type": "object", "properties": { "regex": { "type": "string", "description": "The user-supplied RE2 regular expression to match against the request URL path." }, "dynamicLinks": { "description": "The request will be forwarded to Firebase Dynamic Links.", "type": "boolean" }, "path": { "description": "The URL path to rewrite the request to.", "type": "string" }, "function": { "type": "string", "description": "The function to proxy requests to. Must match the exported function name exactly." }, "functionRegion": { "type": "string", "description": "Optional. Specify a Cloud region for rewritten Functions invocations. If not provided, defaults to us-central1." }, "run": { "$ref": "CloudRunRewrite", "description": "The request will be forwarded to Cloud Run." }, "glob": { "type": "string", "description": "The user-supplied [glob](https://firebase.google.com/docs/hosting/full-config#glob_pattern_matching) to match against the request URL path." } }, "id": "Rewrite", "description": "A [`Rewrite`](https://firebase.google.com/docs/hosting/full-config#rewrites) specifies a URL pattern that, if matched to the request URL path, triggers Hosting to respond as if the service were given the specified destination URL." }, "I18nConfig": { "description": "If provided, i18n rewrites are enabled.", "type": "object", "id": "I18nConfig", "properties": { "root": { "description": "Required. The user-supplied path where country and language specific content will be looked for within the public directory.", "type": "string" } } }, "Release": { "type": "object", "properties": { "releaseUser": { "$ref": "ActingUser", "description": "Output only. Identifies the user who created the release." }, "type": { "description": "Explains the reason for the release. Specify a value for this field only when creating a `SITE_DISABLE` type release.", "enum": [ "TYPE_UNSPECIFIED", "DEPLOY", "ROLLBACK", "SITE_DISABLE" ], "type": "string", "enumDescriptions": [ "An unspecified type. Indicates that a version was released. This is the default value when no other `type` is explicitly specified.", "A version was uploaded to Firebase Hosting and released.", "The release points back to a previously deployed version.", "The release prevents the site from serving content. Firebase Hosting acts as if the site never existed." ] }, "version": { "$ref": "Version", "description": "Output only. The configuration and content that was released." }, "message": { "type": "string", "description": "The deploy description when the release was created. The value can be up to 512 characters." }, "name": { "type": "string", "description": "Output only. The unique identifier for the release, in either of the following formats: - sites/SITE_ID/releases/RELEASE_ID - sites/SITE_ID/channels/CHANNEL_ID/releases/RELEASE_ID This name is provided in the response body when you call [`releases.create`](sites.releases/create) or [`channels.releases.create`](sites.channels.releases/create)." }, "releaseTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time at which the version is set to be public." } }, "description": " A `Release` is a particular [collection of configurations and files](sites.versions) that is set to be public at a particular time.", "id": "Release" }, "ListVersionFilesResponse": { "id": "ListVersionFilesResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The pagination token, if more results exist beyond the ones in this response. Include this token in your next call to `ListVersionFiles`. Page tokens are short-lived and should not be stored." }, "files": { "type": "array", "description": " The list of paths to the hashes of the files in the specified version.", "items": { "$ref": "VersionFile" } } } }, "Status": { "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" } }, "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ListReleasesResponse": { "id": "ListReleasesResponse", "type": "object", "properties": { "releases": { "type": "array", "description": "The list of hashes of files that still need to be uploaded, if any exist.", "items": { "$ref": "Release" } }, "nextPageToken": { "description": "The pagination token, if more results exist beyond the ones in this response. Include this token in your next call to `ListReleases`. Page tokens are short-lived and should not be stored.", "type": "string" } } } }, "baseUrl": "https://firebasehosting.googleapis.com/", "canonicalName": "Firebase Hosting", "mtlsRootUrl": "https://firebasehosting.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
