local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "title": "Cloud Firestore API", "description": "Accesses the NoSQL document database built for automatic scaling, high performance, and ease of application development. ", "documentationLink": "https://cloud.google.com/firestore", "baseUrl": "https://firestore.googleapis.com/", "version": "v1", "basePath": "", "name": "firestore", "id": "firestore:v1", "discoveryVersion": "v1", "mtlsRootUrl": "https://firestore.mtls.googleapis.com/", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/datastore": { "description": "View and manage your Google Cloud Datastore data" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "protocol": "rest", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "databases": { "methods": { "exportDocuments": { "parameterOrder": [ "name" ], "id": "firestore.projects.databases.exportDocuments", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}:exportDocuments", "request": { "$ref": "GoogleFirestoreAdminV1ExportDocumentsRequest" }, "description": "Exports a copy of all or a subset of documents from Google Cloud Firestore to another storage system, such as Google Cloud Storage. Recent updates to documents may not be reflected in the export. The export occurs in the background and its progress can be monitored and managed via the Operation resource that is created. The output of an export may only be used once the associated operation is done. If an export operation is cancelled before completion it may leave partial data behind in Google Cloud Storage. For more details on export behavior and output format, refer to: https://cloud.google.com/firestore/docs/manage-data/export-import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "path": "v1/{+name}:exportDocuments", "parameters": { "name": { "type": "string", "description": "Required. Database to export. Should be of the form: `projects/{project_id}/databases/{database_id}`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+$" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "POST" }, "list": { "description": "List all the databases in the project.", "parameters": { "parent": { "pattern": "^projects/[^/]+$", "type": "string", "required": true, "description": "Required. A parent name of the form `projects/{project_id}`", "location": "path" } }, "id": "firestore.projects.databases.list", "response": { "$ref": "GoogleFirestoreAdminV1ListDatabasesResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/databases", "path": "v1/{+parent}/databases", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "get": { "flatPath": "v1/projects/{projectsId}/databases/{databasesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+$", "required": true, "description": "Required. A name of the form `projects/{project_id}/databases/{database_id}`", "type": "string", "location": "path" } }, "path": "v1/{+name}", "httpMethod": "GET", "id": "firestore.projects.databases.get", "response": { "$ref": "GoogleFirestoreAdminV1Database" }, "description": "Gets information about a database." }, "importDocuments": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}:importDocuments", "description": "Imports documents into Google Cloud Firestore. Existing documents with the same name are overwritten. The import occurs in the background and its progress can be monitored and managed via the Operation resource that is created. If an ImportDocuments operation is cancelled, it is possible that a subset of the data has already been imported to Cloud Firestore.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/databases/[^/]+$", "location": "path", "type": "string", "description": "Required. Database to import into. Should be of the form: `projects/{project_id}/databases/{database_id}`." } }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.importDocuments", "httpMethod": "POST", "request": { "$ref": "GoogleFirestoreAdminV1ImportDocumentsRequest" }, "path": "v1/{+name}:importDocuments" }, "patch": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "location": "path", "description": "The resource name of the Database. Format: `projects/{project}/databases/{database}`", "required": true, "type": "string", "pattern": "^projects/[^/]+/databases/[^/]+$" }, "updateMask": { "type": "string", "description": "The list of fields to be updated.", "format": "google-fieldmask", "location": "query" } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}", "httpMethod": "PATCH", "id": "firestore.projects.databases.patch", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleFirestoreAdminV1Database" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Updates a database." }, "create": { "id": "firestore.projects.databases.create", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/databases", "parameterOrder": [ "parent" ], "description": "Create a database.", "path": "v1/{+parent}/databases", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "databaseId": { "type": "string", "description": "Required. The ID to use for the database, which will become the final component of the database's resource name. This value should be 4-63 characters. Valid characters are /a-z-/ with first character a letter and the last a letter or a number. Must not be UUID-like /[0-9a-f]{8}(-[0-9a-f]{4}){3}-[0-9a-f]{12}/. \"(default)\" database id is also valid.", "location": "query" }, "parent": { "description": "Required. A parent name of the form `projects/{project_id}`", "required": true, "location": "path", "pattern": "^projects/[^/]+$", "type": "string" } }, "request": { "$ref": "GoogleFirestoreAdminV1Database" }, "response": { "$ref": "GoogleLongrunningOperation" } } }, "resources": { "collectionGroups": { "resources": { "fields": { "methods": { "get": { "parameterOrder": [ "name" ], "description": "Gets the metadata and configuration for a Field.", "response": { "$ref": "GoogleFirestoreAdminV1Field" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/fields/{fieldsId}", "id": "firestore.projects.databases.collectionGroups.fields.get", "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+/fields/[^/]+$", "location": "path", "description": "Required. A name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/fields/{field_id}`", "type": "string", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "list": { "description": "Lists the field configuration and metadata for this database. Currently, FirestoreAdmin.ListFields only supports listing fields that have been explicitly overridden. To issue this query, call FirestoreAdmin.ListFields with the filter set to `indexConfig.usesAncestorConfig:false` .", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "GET", "response": { "$ref": "GoogleFirestoreAdminV1ListFieldsResponse" }, "path": "v1/{+parent}/fields", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/fields", "parameterOrder": [ "parent" ], "parameters": { "filter": { "location": "query", "description": "The filter to apply to list results. Currently, FirestoreAdmin.ListFields only supports listing fields that have been explicitly overridden. To issue this query, call FirestoreAdmin.ListFields with a filter that includes `indexConfig.usesAncestorConfig:false` .", "type": "string" }, "pageToken": { "location": "query", "description": "A page token, returned from a previous call to FirestoreAdmin.ListFields, that may be used to get the next page of results.", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The number of results to return." }, "parent": { "location": "path", "type": "string", "required": true, "description": "Required. A parent name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}`", "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+$" } }, "id": "firestore.projects.databases.collectionGroups.fields.list" }, "patch": { "parameterOrder": [ "name" ], "description": "Updates a field configuration. Currently, field updates apply only to single field index configuration. However, calls to FirestoreAdmin.UpdateField should provide a field mask to avoid changing any configuration that the caller isn't aware of. The field mask should be specified as: `{ paths: \"index_config\" }`. This call returns a google.longrunning.Operation which may be used to track the status of the field update. The metadata for the operation will be the type FieldOperationMetadata. To configure the default field settings for the database, use the special `Field` with resource name: `projects/{project_id}/databases/{database_id}/collectionGroups/__default__/fields/*`.", "request": { "$ref": "GoogleFirestoreAdminV1Field" }, "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/fields/{fieldsId}", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "id": "firestore.projects.databases.collectionGroups.fields.patch", "parameters": { "name": { "description": "Required. A field name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/fields/{field_path}` A field path may be a simple field name, e.g. `address` or a path to fields within map_value , e.g. `address.city`, or a special field path. The only valid special field is `*`, which represents any field. Field paths may be quoted using ` (backtick). The only character that needs to be escaped within a quoted field path is the backtick character itself, escaped using a backslash. Special characters in field paths that must be quoted include: `*`, `.`, ``` (backtick), `[`, `]`, as well as any ascii symbolic characters. Examples: (Note: Comments here are written in markdown syntax, so there is an additional layer of backticks to represent a code block) `\\`address.city\\`` represents a field named `address.city`, not the map key `city` in the field `address`. `\\`*\\`` represents a field named `*`, not any field. A special `Field` contains the default indexing settings for all fields. This field's resource name is: `projects/{project_id}/databases/{database_id}/collectionGroups/__default__/fields/*` Indexes defined on this `Field` will be applied to all fields which do not have their own `Field` index configuration.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+/fields/[^/]+$" }, "updateMask": { "description": "A mask, relative to the field. If specified, only configuration specified by this field_mask will be updated in the field.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] } } }, "indexes": { "methods": { "delete": { "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/indexes/{indexesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Deletes a composite index.", "httpMethod": "DELETE", "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+/indexes/[^/]+$", "description": "Required. A name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/indexes/{index_id}`", "required": true, "type": "string", "location": "path" } }, "id": "firestore.projects.databases.collectionGroups.indexes.delete", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ] }, "list": { "description": "Lists composite indexes.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "path": "v1/{+parent}/indexes", "parameters": { "filter": { "type": "string", "location": "query", "description": "The filter to apply to list results." }, "parent": { "description": "Required. A parent name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}`", "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+$", "type": "string", "required": true, "location": "path" }, "pageToken": { "description": "A page token, returned from a previous call to FirestoreAdmin.ListIndexes, that may be used to get the next page of results.", "location": "query", "type": "string" }, "pageSize": { "description": "The number of results to return.", "location": "query", "format": "int32", "type": "integer" } }, "response": { "$ref": "GoogleFirestoreAdminV1ListIndexesResponse" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/indexes", "httpMethod": "GET", "id": "firestore.projects.databases.collectionGroups.indexes.list", "parameterOrder": [ "parent" ] }, "get": { "httpMethod": "GET", "id": "firestore.projects.databases.collectionGroups.indexes.get", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/indexes/{indexesId}", "response": { "$ref": "GoogleFirestoreAdminV1Index" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. A name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/indexes/{index_id}`", "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+/indexes/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Gets a composite index." }, "create": { "parameters": { "parent": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/databases/[^/]+/collectionGroups/[^/]+$", "description": "Required. A parent name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}`" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "parent" ], "description": "Creates a composite index. This returns a google.longrunning.Operation which may be used to track the status of the creation. The metadata for the operation will be the type IndexOperationMetadata.", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" }, "id": "firestore.projects.databases.collectionGroups.indexes.create", "request": { "$ref": "GoogleFirestoreAdminV1Index" }, "path": "v1/{+parent}/indexes", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/collectionGroups/{collectionGroupsId}/indexes" } } } } }, "documents": { "methods": { "get": { "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}", "parameters": { "name": { "required": true, "description": "Required. The resource name of the Document to get. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "location": "path", "type": "string" }, "transaction": { "description": "Reads the document in a transaction.", "format": "byte", "type": "string", "location": "query" }, "readTime": { "format": "google-datetime", "type": "string", "location": "query", "description": "Reads the version of the document at the given time. This may not be older than 270 seconds." }, "mask.fieldPaths": { "repeated": true, "type": "string", "location": "query", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." } }, "parameterOrder": [ "name" ], "description": "Gets a single document.", "response": { "$ref": "Document" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.documents.get" }, "listCollectionIds": { "path": "v1/{+parent}:listCollectionIds", "response": { "$ref": "ListCollectionIdsResponse" }, "request": { "$ref": "ListCollectionIdsRequest" }, "httpMethod": "POST", "description": "Lists all the collection IDs underneath a document.", "id": "firestore.projects.databases.documents.listCollectionIds", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "parent": { "type": "string", "description": "Required. The parent document. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "required": true, "location": "path" } }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:listCollectionIds" }, "list": { "response": { "$ref": "ListDocumentsResponse" }, "parameterOrder": [ "parent", "collectionId" ], "httpMethod": "GET", "description": "Lists documents.", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}/{collectionId}", "parameters": { "collectionId": { "location": "path", "type": "string", "required": true, "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms` or `messages`." }, "showMissing": { "description": "If the list should show missing documents. A missing document is a document that does not exist but has sub-documents. These documents will be returned with a key but will not have fields, Document.create_time, or Document.update_time set. Requests with `show_missing` may not specify `where` or `order_by`.", "type": "boolean", "location": "query" }, "transaction": { "format": "byte", "description": "Reads documents in a transaction.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The `next_page_token` value returned from a previous List request, if any." }, "orderBy": { "description": "The order to sort results by. For example: `priority desc, name`.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "required": true, "type": "string", "location": "path" }, "readTime": { "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime", "location": "query" }, "pageSize": { "type": "integer", "description": "The maximum number of documents to return.", "location": "query", "format": "int32" }, "mask.fieldPaths": { "type": "string", "location": "query", "repeated": true, "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." } }, "id": "firestore.projects.databases.documents.list", "path": "v1/{+parent}/{collectionId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "listDocuments": { "parameterOrder": [ "parent", "collectionId" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{collectionId}", "description": "Lists documents.", "id": "firestore.projects.databases.documents.listDocuments", "httpMethod": "GET", "response": { "$ref": "ListDocumentsResponse" }, "path": "v1/{+parent}/{collectionId}", "parameters": { "mask.fieldPaths": { "type": "string", "location": "query", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "repeated": true }, "readTime": { "location": "query", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime" }, "orderBy": { "location": "query", "description": "The order to sort results by. For example: `priority desc, name`.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents$", "location": "path", "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "type": "string", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "The `next_page_token` value returned from a previous List request, if any." }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of documents to return.", "format": "int32" }, "collectionId": { "required": true, "type": "string", "location": "path", "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms` or `messages`." }, "transaction": { "location": "query", "type": "string", "format": "byte", "description": "Reads documents in a transaction." }, "showMissing": { "description": "If the list should show missing documents. A missing document is a document that does not exist but has sub-documents. These documents will be returned with a key but will not have fields, Document.create_time, or Document.update_time set. Requests with `show_missing` may not specify `where` or `order_by`.", "location": "query", "type": "boolean" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "batchWrite": { "id": "firestore.projects.databases.documents.batchWrite", "parameterOrder": [ "database" ], "description": "Applies a batch of write operations. The BatchWrite method does not apply the write operations atomically and can apply them out of order. Method does not allow more than one write per document. Each write succeeds or fails independently. See the BatchWriteResponse for the success status of each write. If you require an atomically applied set of writes, use Commit instead.", "request": { "$ref": "BatchWriteRequest" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:batchWrite", "httpMethod": "POST", "response": { "$ref": "BatchWriteResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "database": { "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+$", "location": "path", "type": "string" } }, "path": "v1/{+database}/documents:batchWrite" }, "commit": { "description": "Commits a transaction, while optionally updating documents.", "id": "firestore.projects.databases.documents.commit", "request": { "$ref": "CommitRequest" }, "parameterOrder": [ "database" ], "path": "v1/{+database}/documents:commit", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:commit", "parameters": { "database": { "location": "path", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+$" } }, "response": { "$ref": "CommitResponse" } }, "beginTransaction": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:beginTransaction", "parameters": { "database": { "type": "string", "required": true, "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "pattern": "^projects/[^/]+/databases/[^/]+$", "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "BeginTransactionResponse" }, "description": "Starts a new transaction.", "id": "firestore.projects.databases.documents.beginTransaction", "request": { "$ref": "BeginTransactionRequest" }, "parameterOrder": [ "database" ], "path": "v1/{+database}/documents:beginTransaction" }, "createDocument": { "request": { "$ref": "Document" }, "parameterOrder": [ "parent", "collectionId" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{collectionId}", "parameters": { "documentId": { "type": "string", "location": "query", "description": "The client-assigned document ID to use for this document. Optional. If not specified, an ID will be assigned by the service." }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+/documents/.*$", "description": "Required. The parent resource. For example: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/chatrooms/{chatroom_id}`" }, "mask.fieldPaths": { "type": "string", "repeated": true, "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "location": "query" }, "collectionId": { "type": "string", "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms`.", "location": "path", "required": true } }, "description": "Creates a new document.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "POST", "path": "v1/{+parent}/{collectionId}", "response": { "$ref": "Document" }, "id": "firestore.projects.databases.documents.createDocument" }, "batchGet": { "path": "v1/{+database}/documents:batchGet", "parameters": { "database": { "required": true, "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "POST", "description": "Gets multiple documents. Documents returned by this method are not guaranteed to be returned in the same order that they were requested.", "id": "firestore.projects.databases.documents.batchGet", "request": { "$ref": "BatchGetDocumentsRequest" }, "response": { "$ref": "BatchGetDocumentsResponse" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:batchGet", "parameterOrder": [ "database" ] }, "delete": { "description": "Deletes a document.", "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.documents.delete", "httpMethod": "DELETE", "path": "v1/{+name}", "parameters": { "currentDocument.exists": { "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist.", "type": "boolean", "location": "query" }, "name": { "location": "path", "description": "Required. The resource name of the Document to delete. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "type": "string" }, "currentDocument.updateTime": { "format": "google-datetime", "location": "query", "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned.", "type": "string" } } }, "partitionQuery": { "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:partitionQuery", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents`. Document resource names are not supported; only database resource names can be specified.", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$" } }, "parameterOrder": [ "parent" ], "id": "firestore.projects.databases.documents.partitionQuery", "response": { "$ref": "PartitionQueryResponse" }, "request": { "$ref": "PartitionQueryRequest" }, "path": "v1/{+parent}:partitionQuery", "description": "Partitions a query by returning partition cursors that can be used to run the query in parallel. The returned partition cursors are split points that can be used by RunQuery as starting/end points for the query results." }, "write": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Streams batches of document updates and deletes, in order.", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:write", "response": { "$ref": "WriteResponse" }, "id": "firestore.projects.databases.documents.write", "path": "v1/{+database}/documents:write", "request": { "$ref": "WriteRequest" }, "parameterOrder": [ "database" ], "parameters": { "database": { "pattern": "^projects/[^/]+/databases/[^/]+$", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`. This is only required in the first message.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST" }, "rollback": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "database" ], "request": { "$ref": "RollbackRequest" }, "description": "Rolls back a transaction.", "path": "v1/{+database}/documents:rollback", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:rollback", "id": "firestore.projects.databases.documents.rollback", "response": { "$ref": "Empty" }, "httpMethod": "POST", "parameters": { "database": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+$", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "required": true } } }, "runQuery": { "request": { "$ref": "RunQueryRequest" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:runQuery", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "parent" ], "id": "firestore.projects.databases.documents.runQuery", "description": "Runs a query.", "httpMethod": "POST", "parameters": { "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "type": "string", "required": true, "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "location": "path" } }, "path": "v1/{+parent}:runQuery", "response": { "$ref": "RunQueryResponse" } }, "patch": { "httpMethod": "PATCH", "response": { "$ref": "Document" }, "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}", "path": "v1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "Document" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.documents.patch", "parameters": { "mask.fieldPaths": { "location": "query", "type": "string", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "repeated": true }, "currentDocument.updateTime": { "type": "string", "location": "query", "format": "google-datetime", "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned." }, "updateMask.fieldPaths": { "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "type": "string", "location": "query", "repeated": true }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "description": "The resource name of the document, for example `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "required": true }, "currentDocument.exists": { "location": "query", "type": "boolean", "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist." } }, "description": "Updates or inserts a document." }, "listen": { "description": "Listens to changes.", "httpMethod": "POST", "id": "firestore.projects.databases.documents.listen", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "request": { "$ref": "ListenRequest" }, "path": "v1/{+database}/documents:listen", "parameterOrder": [ "database" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/documents:listen", "response": { "$ref": "ListenResponse" }, "parameters": { "database": { "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "pattern": "^projects/[^/]+/databases/[^/]+$", "required": true, "location": "path", "type": "string" } } } } }, "operations": { "methods": { "list": { "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "The standard list page size.", "format": "int32" }, "name": { "type": "string", "required": true, "description": "The name of the operation's parent resource.", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+$" }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." } }, "httpMethod": "GET", "path": "v1/{+name}/operations", "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "id": "firestore.projects.databases.operations.list", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/operations" }, "cancel": { "id": "firestore.projects.databases.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v1/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/operations/{operationsId}:cancel", "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+/operations/[^/]+$", "required": true, "type": "string", "description": "The name of the operation resource to be cancelled.", "location": "path" } }, "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "parameterOrder": [ "name" ], "response": { "$ref": "Empty" } }, "delete": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/operations/{operationsId}", "id": "firestore.projects.databases.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "type": "string", "required": true, "location": "path" } }, "path": "v1/{+name}", "httpMethod": "DELETE" }, "get": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/databases/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectsId}/databases/{databasesId}/operations/{operationsId}", "id": "firestore.projects.databases.operations.get", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." } } } } }, "locations": { "methods": { "list": { "path": "v1/{+name}/locations", "parameterOrder": [ "name" ], "response": { "$ref": "ListLocationsResponse" }, "id": "firestore.projects.locations.list", "httpMethod": "GET", "parameters": { "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "type": "string", "location": "path", "required": true }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." } }, "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1/projects/{projectsId}/locations" }, "get": { "description": "Gets information about a location.", "path": "v1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.locations.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Location" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}" } } } } } }, "canonicalName": "Firestore", "revision": "20220625", "parameters": { "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "alt": { "description": "Data format for response.", "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" } }, "kind": "discovery#restDescription", "rootUrl": "https://firestore.googleapis.com/", "version_module": true, "schemas": { "CompositeFilter": { "description": "A filter that merges multiple other filters using the given operator.", "id": "CompositeFilter", "properties": { "op": { "type": "string", "description": "The operator for combining multiple filters.", "enumDescriptions": [ "Unspecified. This value must not be used.", "Documents are required to satisfy all of the combined filters." ], "enum": [ "OPERATOR_UNSPECIFIED", "AND" ] }, "filters": { "description": "The list of filters to combine. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At least one filter is present.", "items": { "$ref": "Filter" }, "type": "array" } }, "type": "object" }, "GoogleFirestoreAdminV1ImportDocumentsMetadata": { "type": "object", "description": "Metadata for google.longrunning.Operation results from FirestoreAdmin.ImportDocuments.", "id": "GoogleFirestoreAdminV1ImportDocumentsMetadata", "properties": { "progressDocuments": { "$ref": "GoogleFirestoreAdminV1Progress", "description": "The progress, in documents, of this operation." }, "startTime": { "description": "The time this operation started.", "type": "string", "format": "google-datetime" }, "collectionIds": { "type": "array", "items": { "type": "string" }, "description": "Which collection ids are being imported." }, "inputUriPrefix": { "type": "string", "description": "The location of the documents being imported." }, "progressBytes": { "description": "The progress, in bytes, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" }, "endTime": { "type": "string", "format": "google-datetime", "description": "The time this operation completed. Will be unset if operation still in progress." }, "operationState": { "description": "The state of the import operation.", "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "type": "string", "enum": [ "OPERATION_STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ] } } }, "GoogleFirestoreAdminV1ListDatabasesResponse": { "id": "GoogleFirestoreAdminV1ListDatabasesResponse", "properties": { "databases": { "items": { "$ref": "GoogleFirestoreAdminV1Database" }, "type": "array", "description": "The databases in the project." } }, "description": "The list of databases for a project.", "type": "object" }, "DocumentMask": { "properties": { "fieldPaths": { "items": { "type": "string" }, "type": "array", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." } }, "description": "A set of field paths on a document. Used to restrict a get or update operation on a document to a subset of its fields. This is different from standard field masks, as this is always scoped to a Document, and takes in account the dynamic nature of Value.", "id": "DocumentMask", "type": "object" }, "FieldTransform": { "description": "A transformation of a field of the document.", "properties": { "setToServerValue": { "enum": [ "SERVER_VALUE_UNSPECIFIED", "REQUEST_TIME" ], "enumDescriptions": [ "Unspecified. This value must not be used.", "The time at which the server processed the request, with millisecond precision. If used on multiple fields (same or different documents) in a transaction, all the fields will get the same server timestamp." ], "description": "Sets the field to the given server value.", "type": "string" }, "appendMissingElements": { "$ref": "ArrayValue", "description": "Append the given elements in order if they are not already present in the current field value. If the field is not an array, or if the field does not yet exist, it is first set to the empty array. Equivalent numbers of different types (e.g. 3L and 3.0) are considered equal when checking if a value is missing. NaN is equal to NaN, and Null is equal to Null. If the input contains multiple equivalent values, only the first will be considered. The corresponding transform_result will be the null value." }, "maximum": { "$ref": "Value", "description": "Sets the field to the maximum of its current value and the given value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the given value. If a maximum operation is applied where the field and the input value are of mixed types (that is - one is an integer and one is a double) the field takes on the type of the larger operand. If the operands are equivalent (e.g. 3 and 3.0), the field does not change. 0, 0.0, and -0.0 are all zero. The maximum of a zero stored value and zero input value is always the stored value. The maximum of any numeric value x and NaN is NaN." }, "increment": { "$ref": "Value", "description": "Adds the given value to the field's current value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the given value. If either of the given value or the current field value are doubles, both values will be interpreted as doubles. Double arithmetic and representation of double values follow IEEE 754 semantics. If there is positive/negative integer overflow, the field is resolved to the largest magnitude positive/negative integer." }, "minimum": { "description": "Sets the field to the minimum of its current value and the given value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the input value. If a minimum operation is applied where the field and the input value are of mixed types (that is - one is an integer and one is a double) the field takes on the type of the smaller operand. If the operands are equivalent (e.g. 3 and 3.0), the field does not change. 0, 0.0, and -0.0 are all zero. The minimum of a zero stored value and zero input value is always the stored value. The minimum of any numeric value x and NaN is NaN.", "$ref": "Value" }, "fieldPath": { "type": "string", "description": "The path of the field. See Document.fields for the field path syntax reference." }, "removeAllFromArray": { "$ref": "ArrayValue", "description": "Remove all of the given elements from the array in the field. If the field is not an array, or if the field does not yet exist, it is set to the empty array. Equivalent numbers of the different types (e.g. 3L and 3.0) are considered equal when deciding whether an element should be removed. NaN is equal to NaN, and Null is equal to Null. This will remove all equivalent values if there are duplicates. The corresponding transform_result will be the null value." } }, "id": "FieldTransform", "type": "object" }, "WriteRequest": { "id": "WriteRequest", "properties": { "streamId": { "type": "string", "description": "The ID of the write stream to resume. This may only be set in the first message. When left empty, a new write stream will be created." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels associated with this write request." }, "writes": { "description": "The writes to apply. Always executed atomically and in order. This must be empty on the first request. This may be empty on the last request. This must not be empty on all other requests.", "items": { "$ref": "Write" }, "type": "array" }, "streamToken": { "format": "byte", "type": "string", "description": "A stream token that was previously sent by the server. The client should set this field to the token from the most recent WriteResponse it has received. This acknowledges that the client has received responses up to this token. After sending this token, earlier tokens may not be used anymore. The server may close the stream if there are too many unacknowledged responses. Leave this field unset when creating a new stream. To resume a stream at a specific point, set this field and the `stream_id` field. Leave this field unset when creating a new stream." } }, "type": "object", "description": "The request for Firestore.Write. The first request creates a stream, or resumes an existing one from a token. When creating a new stream, the server replies with a response containing only an ID and a token, to use in the next request. When resuming a stream, the server first streams any responses later than the given token, then a response containing only an up-to-date token, to use in the next request." }, "StructuredQuery": { "id": "StructuredQuery", "description": "A Firestore query.", "type": "object", "properties": { "offset": { "type": "integer", "format": "int32", "description": "The number of results to skip. Applies before limit, but after all other constraints. Must be \u003e= 0 if specified." }, "where": { "$ref": "Filter", "description": "The filter to apply." }, "endAt": { "description": "A end point for the query results.", "$ref": "Cursor" }, "select": { "description": "The projection to return.", "$ref": "Projection" }, "startAt": { "$ref": "Cursor", "description": "A starting point for the query results." }, "orderBy": { "items": { "$ref": "Order" }, "description": "The order to apply to the query results. Firestore guarantees a stable ordering through the following rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Any field required to appear in `order_by`, that is not already specified in `order_by`, is appended to the order in field name order by default. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an order on `__name__` is not specified, it is appended by default. Fields are appended with the same sort direction as the last order specified, or 'ASCENDING' if no order was specified. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A, __name__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A DESC` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A DESC, __name__ DESC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo WHERE A \u003e 1` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo WHERE A \u003e 1 ORDER BY A, __name__`", "type": "array" }, "limit": { "type": "integer", "format": "int32", "description": "The maximum number of results to return. Applies after all other constraints. Must be \u003e= 0 if specified." }, "from": { "type": "array", "description": "The collections to query.", "items": { "$ref": "CollectionSelector" } } } }, "FieldFilter": { "type": "object", "properties": { "value": { "description": "The value to compare to.", "$ref": "Value" }, "field": { "$ref": "FieldReference", "description": "The field to filter by." }, "op": { "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `field` is less than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is less than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is greater than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is greater than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is equal to the given `value`.", "The given `field` is not equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`.", "The given `field` is an array that contains the given `value`.", "The given `field` is equal to at least one value in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `ARRAY_CONTAINS_ANY` or `NOT_IN`.", "The given `field` is an array that contains any of the values in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `ARRAY_CONTAINS_ANY` or `NOT_IN`.", "The value of the `field` is not in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN`, `ARRAY_CONTAINS_ANY`, `NOT_IN`, `NOT_EQUAL`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ], "enum": [ "OPERATOR_UNSPECIFIED", "LESS_THAN", "LESS_THAN_OR_EQUAL", "GREATER_THAN", "GREATER_THAN_OR_EQUAL", "EQUAL", "NOT_EQUAL", "ARRAY_CONTAINS", "IN", "ARRAY_CONTAINS_ANY", "NOT_IN" ], "description": "The operator to filter by.", "type": "string" } }, "description": "A filter on a specific field.", "id": "FieldFilter" }, "WriteResult": { "type": "object", "description": "The result of applying a write.", "id": "WriteResult", "properties": { "transformResults": { "items": { "$ref": "Value" }, "description": "The results of applying each DocumentTransform.FieldTransform, in the same order.", "type": "array" }, "updateTime": { "description": "The last update time of the document after applying the write. Not set after a `delete`. If the write did not actually change the document, this will be the previous update_time.", "format": "google-datetime", "type": "string" } } }, "FieldReference": { "id": "FieldReference", "type": "object", "properties": { "fieldPath": { "type": "string" } }, "description": "A reference to a field, such as `max(messages.time) as max_time`." }, "RollbackRequest": { "description": "The request for Firestore.Rollback.", "type": "object", "properties": { "transaction": { "type": "string", "description": "Required. The transaction to roll back.", "format": "byte" } }, "id": "RollbackRequest" }, "ExistenceFilter": { "description": "A digest of all the documents that match a given target.", "type": "object", "properties": { "count": { "format": "int32", "type": "integer", "description": "The total count of documents that match target_id. If different from the count of documents in the client that match, the client must manually determine which documents no longer match the target." }, "targetId": { "type": "integer", "description": "The target ID to which this filter applies.", "format": "int32" } }, "id": "ExistenceFilter" }, "Order": { "id": "Order", "type": "object", "description": "An order on a field.", "properties": { "direction": { "enum": [ "DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "description": "The direction to order by. Defaults to `ASCENDING`.", "enumDescriptions": [ "Unspecified.", "Ascending.", "Descending." ], "type": "string" }, "field": { "description": "The field to order by.", "$ref": "FieldReference" } } }, "ListLocationsResponse": { "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "type": "object" }, "Write": { "description": "A write on a document.", "properties": { "transform": { "$ref": "DocumentTransform", "description": "Applies a transformation to a document." }, "updateTransforms": { "items": { "$ref": "FieldTransform" }, "description": "The transforms to perform after update. This field can be set only when the operation is `update`. If present, this write is equivalent to performing `update` and `transform` to the same document atomically and in order.", "type": "array" }, "updateMask": { "$ref": "DocumentMask", "description": "The fields to update in this write. This field can be set only when the operation is `update`. If the mask is not set for an `update` and the document exists, any existing data will be overwritten. If the mask is set and the document on the server has fields not covered by the mask, they are left unchanged. Fields referenced in the mask, but not present in the input document, are deleted from the document on the server. The field paths in this mask must not contain a reserved field name." }, "delete": { "type": "string", "description": "A document name to delete. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`." }, "update": { "description": "A document to write.", "$ref": "Document" }, "currentDocument": { "description": "An optional precondition on the document. The write will fail if this is set and not met by the target document.", "$ref": "Precondition" } }, "type": "object", "id": "Write" }, "GoogleFirestoreAdminV1TtlConfig": { "description": "The TTL (time-to-live) configuration for documents that have this `Field` set. Storing a timestamp value into a TTL-enabled field will be treated as the document's absolute expiration time. Using any other data type or leaving the field absent will disable the TTL for the individual document.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "NEEDS_REPAIR" ], "enumDescriptions": [ "The state is unspecified or unknown.", "The TTL is being applied. There is an active long-running operation to track the change. Newly written documents will have TTLs applied as requested. Requested TTLs on existing documents are still being processed. When TTLs on all existing documents have been processed, the state will move to 'ACTIVE'.", "The TTL is active for all documents.", "The TTL configuration could not be enabled for all existing documents. Newly written documents will continue to have their TTL applied. The LRO returned when last attempting to enable TTL for this `Field` has failed, and may have more details." ], "readOnly": true, "description": "Output only. The state of the TTL configuration.", "type": "string" } }, "type": "object", "id": "GoogleFirestoreAdminV1TtlConfig" }, "BatchWriteRequest": { "id": "BatchWriteRequest", "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels associated with this batch write." }, "writes": { "description": "The writes to apply. Method does not apply writes atomically and does not guarantee ordering. Each write succeeds or fails independently. You cannot write to the same document more than once per request.", "items": { "$ref": "Write" }, "type": "array" } }, "description": "The request for Firestore.BatchWrite.", "type": "object" }, "TransactionOptions": { "type": "object", "properties": { "readOnly": { "description": "The transaction can only be used for read operations.", "$ref": "ReadOnly" }, "readWrite": { "$ref": "ReadWrite", "description": "The transaction can be used for both read and write operations." } }, "description": "Options for creating a new transaction.", "id": "TransactionOptions" }, "GoogleFirestoreAdminV1ListFieldsResponse": { "type": "object", "id": "GoogleFirestoreAdminV1ListFieldsResponse", "properties": { "fields": { "items": { "$ref": "GoogleFirestoreAdminV1Field" }, "description": "The requested fields.", "type": "array" }, "nextPageToken": { "description": "A page token that may be used to request another page of results. If blank, this is the last page.", "type": "string" } }, "description": "The response for FirestoreAdmin.ListFields." }, "GoogleFirestoreAdminV1ExportDocumentsMetadata": { "type": "object", "description": "Metadata for google.longrunning.Operation results from FirestoreAdmin.ExportDocuments.", "id": "GoogleFirestoreAdminV1ExportDocumentsMetadata", "properties": { "progressDocuments": { "description": "The progress, in documents, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" }, "collectionIds": { "items": { "type": "string" }, "description": "Which collection ids are being exported.", "type": "array" }, "operationState": { "enum": [ "OPERATION_STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "description": "The state of the export operation.", "type": "string", "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ] }, "outputUriPrefix": { "description": "Where the entities are being exported to.", "type": "string" }, "startTime": { "format": "google-datetime", "type": "string", "description": "The time this operation started." }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time this operation completed. Will be unset if operation still in progress." }, "progressBytes": { "description": "The progress, in bytes, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" } } }, "GoogleFirestoreAdminV1ListIndexesResponse": { "type": "object", "properties": { "indexes": { "type": "array", "description": "The requested indexes.", "items": { "$ref": "GoogleFirestoreAdminV1Index" } }, "nextPageToken": { "description": "A page token that may be used to request another page of results. If blank, this is the last page.", "type": "string" } }, "description": "The response for FirestoreAdmin.ListIndexes.", "id": "GoogleFirestoreAdminV1ListIndexesResponse" }, "TargetChange": { "properties": { "cause": { "$ref": "Status", "description": "The error that resulted in this change, if applicable." }, "resumeToken": { "format": "byte", "type": "string", "description": "A token that can be used to resume the stream for the given `target_ids`, or all targets if `target_ids` is empty. Not set on every target change." }, "targetChangeType": { "type": "string", "description": "The type of change that occurred.", "enum": [ "NO_CHANGE", "ADD", "REMOVE", "CURRENT", "RESET" ], "enumDescriptions": [ "No change has occurred. Used only to send an updated `resume_token`.", "The targets have been added.", "The targets have been removed.", "The targets reflect all changes committed before the targets were added to the stream. This will be sent after or with a `read_time` that is greater than or equal to the time at which the targets were added. Listeners can wait for this change if read-after-write semantics are desired.", "The targets have been reset, and a new initial state for the targets will be returned in subsequent changes. After the initial state is complete, `CURRENT` will be returned even if the target was previously indicated to be `CURRENT`." ] }, "readTime": { "description": "The consistent `read_time` for the given `target_ids` (omitted when the target_ids are not at a consistent snapshot). The stream is guaranteed to send a `read_time` with `target_ids` empty whenever the entire stream reaches a new consistent snapshot. ADD, CURRENT, and RESET messages are guaranteed to (eventually) result in a new consistent snapshot (while NO_CHANGE and REMOVE messages are not). For a given stream, `read_time` is guaranteed to be monotonically increasing.", "type": "string", "format": "google-datetime" }, "targetIds": { "items": { "format": "int32", "type": "integer" }, "description": "The target IDs of targets that have changed. If empty, the change applies to all targets. The order of the target IDs is not defined.", "type": "array" } }, "description": "Targets being watched have changed.", "id": "TargetChange", "type": "object" }, "CommitRequest": { "properties": { "writes": { "description": "The writes to apply. Always executed atomically and in order.", "items": { "$ref": "Write" }, "type": "array" }, "transaction": { "type": "string", "format": "byte", "description": "If set, applies all writes in this transaction, and commits it." } }, "description": "The request for Firestore.Commit.", "id": "CommitRequest", "type": "object" }, "CollectionSelector": { "id": "CollectionSelector", "description": "A selection of a collection, such as `messages as m1`.", "type": "object", "properties": { "allDescendants": { "description": "When false, selects only collections that are immediate children of the `parent` specified in the containing `RunQueryRequest`. When true, selects all descendant collections.", "type": "boolean" }, "collectionId": { "description": "The collection ID. When set, selects only collections with this ID.", "type": "string" } } }, "GoogleFirestoreAdminV1Index": { "id": "GoogleFirestoreAdminV1Index", "properties": { "fields": { "type": "array", "description": "The fields supported by this index. For composite indexes, this is always 2 or more fields. The last field entry is always for the field path `__name__`. If, on creation, `__name__` was not specified as the last field, it will be added automatically with the same direction as that of the last field defined. If the final field in a composite index is not directional, the `__name__` will be ordered ASCENDING (unless explicitly specified). For single field indexes, this will always be exactly one entry with a field path equal to the field path of the associated field.", "items": { "$ref": "GoogleFirestoreAdminV1IndexField" } }, "queryScope": { "description": "Indexes with a collection query scope specified allow queries against a collection that is the child of a specific document, specified at query time, and that has the same collection id. Indexes with a collection group query scope specified allow queries against all collections descended from a specific document, specified at query time, and that have the same collection id as this index.", "enum": [ "QUERY_SCOPE_UNSPECIFIED", "COLLECTION", "COLLECTION_GROUP" ], "enumDescriptions": [ "The query scope is unspecified. Not a valid option.", "Indexes with a collection query scope specified allow queries against a collection that is the child of a specific document, specified at query time, and that has the collection id specified by the index.", "Indexes with a collection group query scope specified allow queries against all collections that has the collection id specified by the index." ], "type": "string" }, "name": { "description": "Output only. A server defined name for this index. The form of this name for composite indexes will be: `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/indexes/{composite_index_id}` For single field indexes, this field will be empty.", "type": "string" }, "state": { "type": "string", "enumDescriptions": [ "The state is unspecified.", "The index is being created. There is an active long-running operation for the index. The index is updated when writing a document. Some index data may exist.", "The index is ready to be used. The index is updated when writing a document. The index is fully populated from all stored documents it applies to.", "The index was being created, but something went wrong. There is no active long-running operation for the index, and the most recently finished long-running operation failed. The index is not updated when writing a document. Some index data may exist. Use the google.longrunning.Operations API to determine why the operation that last attempted to create this index failed, then re-create the index." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "NEEDS_REPAIR" ], "description": "Output only. The serving state of the index." } }, "description": "Cloud Firestore indexes enable simple and complex queries against documents in a database.", "type": "object" }, "Cursor": { "id": "Cursor", "type": "object", "description": "A position in a query result set.", "properties": { "values": { "type": "array", "items": { "$ref": "Value" }, "description": "The values that represent a position, in the order they appear in the order by clause of a query. Can contain fewer values than specified in the order by clause." }, "before": { "description": "If the position is just before or just after the given values, relative to the sort order defined by the query.", "type": "boolean" } } }, "Precondition": { "description": "A precondition on a document, used for conditional operations.", "id": "Precondition", "type": "object", "properties": { "exists": { "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist.", "type": "boolean" }, "updateTime": { "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned.", "type": "string", "format": "google-datetime" } } }, "Filter": { "type": "object", "description": "A filter.", "id": "Filter", "properties": { "fieldFilter": { "description": "A filter on a document field.", "$ref": "FieldFilter" }, "unaryFilter": { "description": "A filter that takes exactly one argument.", "$ref": "UnaryFilter" }, "compositeFilter": { "$ref": "CompositeFilter", "description": "A composite filter." } } }, "GoogleFirestoreAdminV1LocationMetadata": { "properties": {}, "id": "GoogleFirestoreAdminV1LocationMetadata", "description": "The metadata message for google.cloud.location.Location.metadata.", "type": "object" }, "BatchGetDocumentsRequest": { "type": "object", "id": "BatchGetDocumentsRequest", "description": "The request for Firestore.BatchGetDocuments.", "properties": { "newTransaction": { "$ref": "TransactionOptions", "description": "Starts a new transaction and reads the documents. Defaults to a read-only transaction. The new transaction ID will be returned as the first response in the stream." }, "mask": { "description": "The fields to return. If not set, returns all fields. If a document has a field that is not present in this mask, that field will not be returned in the response.", "$ref": "DocumentMask" }, "transaction": { "description": "Reads documents in a transaction.", "type": "string", "format": "byte" }, "documents": { "description": "The names of the documents to retrieve. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. The request will fail if any of the document is not a child resource of the given `database`. Duplicate names will be elided.", "type": "array", "items": { "type": "string" } }, "readTime": { "format": "google-datetime", "type": "string", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds." } } }, "RunQueryResponse": { "type": "object", "description": "The response for Firestore.RunQuery.", "properties": { "document": { "description": "A query result, not set when reporting partial progress.", "$ref": "Document" }, "transaction": { "format": "byte", "type": "string", "description": "The transaction that was started as part of this request. Can only be set in the first response, and only if RunQueryRequest.new_transaction was set in the request. If set, no other fields will be set in this response." }, "readTime": { "description": "The time at which the document was read. This may be monotonically increasing; in this case, the previous documents in the result stream are guaranteed not to have changed between their `read_time` and this one. If the query returns no results, a response with `read_time` and no `document` will be sent, and this represents the time at which the query was run.", "format": "google-datetime", "type": "string" }, "done": { "type": "boolean", "description": "If present, Firestore has completely finished the request and no more documents will be returned." }, "skippedResults": { "type": "integer", "description": "The number of results that have been skipped due to an offset between the last response and the current response.", "format": "int32" } }, "id": "RunQueryResponse" }, "GoogleFirestoreAdminV1TtlConfigDelta": { "properties": { "changeType": { "description": "Specifies how the TTL configuration is changing.", "type": "string", "enum": [ "CHANGE_TYPE_UNSPECIFIED", "ADD", "REMOVE" ], "enumDescriptions": [ "The type of change is not specified or known.", "The TTL config is being added.", "The TTL config is being removed." ] } }, "description": "Information about an TTL configuration change.", "type": "object", "id": "GoogleFirestoreAdminV1TtlConfigDelta" }, "GoogleFirestoreAdminV1IndexField": { "type": "object", "description": "A field in an index. The field_path describes which field is indexed, the value_mode describes how the field value is indexed.", "properties": { "fieldPath": { "description": "Can be __name__. For single field indexes, this must match the name of the field or may be omitted.", "type": "string" }, "order": { "type": "string", "enumDescriptions": [ "The ordering is unspecified. Not a valid option.", "The field is ordered by ascending field value.", "The field is ordered by descending field value." ], "description": "Indicates that this field supports ordering by the specified order or comparing using =, !=, \u003c, \u003c=, \u003e, \u003e=.", "enum": [ "ORDER_UNSPECIFIED", "ASCENDING", "DESCENDING" ] }, "arrayConfig": { "type": "string", "enum": [ "ARRAY_CONFIG_UNSPECIFIED", "CONTAINS" ], "description": "Indicates that this field supports operations on `array_value`s.", "enumDescriptions": [ "The index does not support additional array queries.", "The index supports array containment queries." ] } }, "id": "GoogleFirestoreAdminV1IndexField" }, "GoogleFirestoreAdminV1ImportDocumentsRequest": { "properties": { "collectionIds": { "type": "array", "description": "Which collection ids to import. Unspecified means all collections included in the import.", "items": { "type": "string" } }, "inputUriPrefix": { "type": "string", "description": "Location of the exported files. This must match the output_uri_prefix of an ExportDocumentsResponse from an export that has completed successfully. See: google.firestore.admin.v1.ExportDocumentsResponse.output_uri_prefix." } }, "id": "GoogleFirestoreAdminV1ImportDocumentsRequest", "description": "The request for FirestoreAdmin.ImportDocuments.", "type": "object" }, "GoogleLongrunningCancelOperationRequest": { "id": "GoogleLongrunningCancelOperationRequest", "description": "The request message for Operations.CancelOperation.", "type": "object", "properties": {} }, "ListCollectionIdsRequest": { "properties": { "readTime": { "format": "google-datetime", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string" }, "pageToken": { "description": "A page token. Must be a value from ListCollectionIdsResponse.", "type": "string" }, "pageSize": { "description": "The maximum number of results to return.", "format": "int32", "type": "integer" } }, "id": "ListCollectionIdsRequest", "type": "object", "description": "The request for Firestore.ListCollectionIds." }, "DocumentTransform": { "properties": { "fieldTransforms": { "type": "array", "description": "The list of transformations to apply to the fields of the document, in order. This must not be empty.", "items": { "$ref": "FieldTransform" } }, "document": { "type": "string", "description": "The name of the document to transform." } }, "description": "A transformation of a document.", "type": "object", "id": "DocumentTransform" }, "BeginTransactionRequest": { "properties": { "options": { "$ref": "TransactionOptions", "description": "The options for the transaction. Defaults to a read-write transaction." } }, "type": "object", "description": "The request for Firestore.BeginTransaction.", "id": "BeginTransactionRequest" }, "GoogleFirestoreAdminV1ExportDocumentsResponse": { "type": "object", "id": "GoogleFirestoreAdminV1ExportDocumentsResponse", "description": "Returned in the google.longrunning.Operation response field.", "properties": { "outputUriPrefix": { "type": "string", "description": "Location of the output files. This can be used to begin an import into Cloud Firestore (this project or another project) after the operation completes successfully." } } }, "QueryTarget": { "properties": { "parent": { "type": "string", "description": "The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`" }, "structuredQuery": { "description": "A structured query.", "$ref": "StructuredQuery" } }, "id": "QueryTarget", "type": "object", "description": "A target specified by a query." }, "RunQueryRequest": { "description": "The request for Firestore.RunQuery.", "properties": { "transaction": { "description": "Run the query within an already active transaction. The value here is the opaque transaction ID to execute the query in.", "format": "byte", "type": "string" }, "newTransaction": { "$ref": "TransactionOptions", "description": "Starts a new transaction and reads the documents. Defaults to a read-only transaction. The new transaction ID will be returned as the first response in the stream." }, "readTime": { "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime" }, "structuredQuery": { "description": "A structured query.", "$ref": "StructuredQuery" } }, "type": "object", "id": "RunQueryRequest" }, "WriteResponse": { "id": "WriteResponse", "type": "object", "description": "The response for Firestore.Write.", "properties": { "commitTime": { "type": "string", "description": "The time at which the commit occurred. Any read with an equal or greater `read_time` is guaranteed to see the effects of the write.", "format": "google-datetime" }, "streamId": { "type": "string", "description": "The ID of the stream. Only set on the first message, when a new stream was created." }, "streamToken": { "description": "A token that represents the position of this response in the stream. This can be used by a client to resume the stream at this point. This field is always set.", "format": "byte", "type": "string" }, "writeResults": { "type": "array", "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request.", "items": { "$ref": "WriteResult" } } } }, "DocumentDelete": { "properties": { "document": { "description": "The resource name of the Document that was deleted.", "type": "string" }, "removedTargetIds": { "description": "A set of target IDs for targets that previously matched this entity.", "type": "array", "items": { "format": "int32", "type": "integer" } }, "readTime": { "format": "google-datetime", "description": "The read timestamp at which the delete was observed. Greater or equal to the `commit_time` of the delete.", "type": "string" } }, "type": "object", "description": "A Document has been deleted. May be the result of multiple writes, including updates, the last of which deleted the Document. Multiple DocumentDelete messages may be returned for the same logical delete, if multiple targets are affected.", "id": "DocumentDelete" }, "GoogleFirestoreAdminV1IndexConfigDelta": { "description": "Information about an index configuration change.", "type": "object", "id": "GoogleFirestoreAdminV1IndexConfigDelta", "properties": { "changeType": { "description": "Specifies how the index is changing.", "type": "string", "enumDescriptions": [ "The type of change is not specified or known.", "The single field index is being added.", "The single field index is being removed." ], "enum": [ "CHANGE_TYPE_UNSPECIFIED", "ADD", "REMOVE" ] }, "index": { "description": "The index being changed.", "$ref": "GoogleFirestoreAdminV1Index" } } }, "Value": { "type": "object", "properties": { "geoPointValue": { "description": "A geo point value representing a point on the surface of Earth.", "$ref": "LatLng" }, "bytesValue": { "format": "byte", "description": "A bytes value. Must not exceed 1 MiB - 89 bytes. Only the first 1,500 bytes are considered by queries.", "type": "string" }, "timestampValue": { "description": "A timestamp value. Precise only to microseconds. When stored, any additional precision is rounded down.", "format": "google-datetime", "type": "string" }, "doubleValue": { "format": "double", "type": "number", "description": "A double value." }, "stringValue": { "description": "A string value. The string, represented as UTF-8, must not exceed 1 MiB - 89 bytes. Only the first 1,500 bytes of the UTF-8 representation are considered by queries.", "type": "string" }, "arrayValue": { "description": "An array value. Cannot directly contain another array value, though can contain an map which contains another array.", "$ref": "ArrayValue" }, "nullValue": { "enum": [ "NULL_VALUE" ], "enumDescriptions": [ "Null value." ], "description": "A null value.", "type": "string" }, "integerValue": { "description": "An integer value.", "format": "int64", "type": "string" }, "mapValue": { "$ref": "MapValue", "description": "A map value." }, "referenceValue": { "description": "A reference to a document. For example: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "type": "string" }, "booleanValue": { "description": "A boolean value.", "type": "boolean" } }, "id": "Value", "description": "A message that can hold any of the supported value types." }, "MapValue": { "id": "MapValue", "type": "object", "properties": { "fields": { "type": "object", "description": "The map's fields. The map keys represent field names. Field names matching the regular expression `__.*__` are reserved. Reserved field names are forbidden except in certain documented contexts. The map keys, represented as UTF-8, must not exceed 1,500 bytes and cannot be empty.", "additionalProperties": { "$ref": "Value" } } }, "description": "A map value." }, "LatLng": { "properties": { "latitude": { "type": "number", "format": "double", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0]." }, "longitude": { "type": "number", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0].", "format": "double" } }, "type": "object", "id": "LatLng", "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges." }, "GoogleFirestoreAdminV1Progress": { "properties": { "completedWork": { "type": "string", "format": "int64", "description": "The amount of work completed." }, "estimatedWork": { "type": "string", "description": "The amount of work estimated.", "format": "int64" } }, "type": "object", "description": "Describes the progress of the operation. Unit of work is generic and must be interpreted based on where Progress is used.", "id": "GoogleFirestoreAdminV1Progress" }, "Target": { "description": "A specification of a set of documents to listen to.", "id": "Target", "type": "object", "properties": { "resumeToken": { "description": "A resume token from a prior TargetChange for an identical target. Using a resume token with a different target is unsupported and may fail.", "format": "byte", "type": "string" }, "targetId": { "type": "integer", "description": "The target ID that identifies the target on the stream. Must be a positive number and non-zero.", "format": "int32" }, "query": { "$ref": "QueryTarget", "description": "A target specified by a query." }, "once": { "description": "If the target should be removed once it is current and consistent.", "type": "boolean" }, "readTime": { "description": "Start listening after a specific `read_time`. The client must know the state of matching documents at this time.", "format": "google-datetime", "type": "string" }, "documents": { "$ref": "DocumentsTarget", "description": "A target specified by a set of document names." } } }, "GoogleFirestoreAdminV1Database": { "description": "A Cloud Firestore Database. Currently only one database is allowed per cloud project; this database must have a `database_id` of '(default)'.", "id": "GoogleFirestoreAdminV1Database", "type": "object", "properties": { "concurrencyMode": { "description": "The concurrency control mode to use for this database.", "enumDescriptions": [ "Not used.", "Use optimistic concurrency control by default. This mode is available for Cloud Firestore databases.", "Use pessimistic concurrency control by default. This mode is available for Cloud Firestore databases. This is the default setting for Cloud Firestore.", "Use optimistic concurrency control with entity groups by default. This is the only available mode for Cloud Datastore. This mode is also available for Cloud Firestore with Datastore Mode but is not recommended." ], "type": "string", "enum": [ "CONCURRENCY_MODE_UNSPECIFIED", "OPTIMISTIC", "PESSIMISTIC", "OPTIMISTIC_WITH_ENTITY_GROUPS" ] }, "name": { "description": "The resource name of the Database. Format: `projects/{project}/databases/{database}`", "type": "string" }, "type": { "enum": [ "DATABASE_TYPE_UNSPECIFIED", "FIRESTORE_NATIVE", "DATASTORE_MODE" ], "enumDescriptions": [ "The default value. This value is used if the database type is omitted.", "Firestore Native Mode", "Firestore in Datastore Mode." ], "description": "The type of the database. See https://cloud.google.com/datastore/docs/firestore-or-datastore for information about how to choose.", "type": "string" }, "keyPrefix": { "description": "Output only. The key_prefix for this database. This key_prefix is used, in combination with the project id (\"~\") to construct the application id that is returned from the Cloud Datastore APIs in Google App Engine first generation runtimes. This value may be empty in which case the appid to use for URL-encoded keys is the project_id (eg: foo instead of v~foo).", "type": "string", "readOnly": true }, "appEngineIntegrationMode": { "enumDescriptions": [ "Not used.", "If an App Engine application exists in the same region as this database, App Engine configuration will impact this database. This includes disabling of the application & database, as well as disabling writes to the database.", "Appengine has no affect on the ability of this database to serve requests." ], "description": "The App Engine integration mode to use for this database.", "enum": [ "APP_ENGINE_INTEGRATION_MODE_UNSPECIFIED", "ENABLED", "DISABLED" ], "type": "string" }, "locationId": { "type": "string", "description": "The location of the database. Available databases are listed at https://cloud.google.com/firestore/docs/locations." }, "etag": { "type": "string", "description": "This checksum is computed by the server based on the value of other fields, and may be sent on update and delete requests to ensure the client has an up-to-date value before proceeding." } } }, "Empty": { "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "Projection": { "properties": { "fields": { "description": "The fields to return. If empty, all fields are returned. To only return the name of the document, use `['__name__']`.", "items": { "$ref": "FieldReference" }, "type": "array" } }, "id": "Projection", "description": "The projection of document's fields to return.", "type": "object" }, "DocumentChange": { "id": "DocumentChange", "type": "object", "properties": { "removedTargetIds": { "type": "array", "description": "A set of target IDs for targets that no longer match this document.", "items": { "format": "int32", "type": "integer" } }, "document": { "description": "The new state of the Document. If `mask` is set, contains only fields that were updated or added.", "$ref": "Document" }, "targetIds": { "type": "array", "description": "A set of target IDs of targets that match this document.", "items": { "type": "integer", "format": "int32" } } }, "description": "A Document has changed. May be the result of multiple writes, including deletes, that ultimately resulted in a new value for the Document. Multiple DocumentChange messages may be returned for the same logical change, if multiple targets are affected." }, "BeginTransactionResponse": { "id": "BeginTransactionResponse", "description": "The response for Firestore.BeginTransaction.", "properties": { "transaction": { "description": "The transaction that was started.", "format": "byte", "type": "string" } }, "type": "object" }, "Location": { "id": "Location", "properties": { "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "GoogleLongrunningListOperationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "GoogleLongrunningOperation" } } }, "type": "object", "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse" }, "Status": { "type": "object", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "UnaryFilter": { "id": "UnaryFilter", "description": "A filter with a single operand.", "properties": { "op": { "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `field` is equal to `NaN`.", "The given `field` is equal to `NULL`.", "The given `field` is not equal to `NaN`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`.", "The given `field` is not equal to `NULL`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A single `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ], "description": "The unary operator to apply.", "type": "string", "enum": [ "OPERATOR_UNSPECIFIED", "IS_NAN", "IS_NULL", "IS_NOT_NAN", "IS_NOT_NULL" ] }, "field": { "$ref": "FieldReference", "description": "The field to which to apply the operator." } }, "type": "object" }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "id": "GoogleLongrunningOperation", "type": "object" }, "GoogleFirestoreAdminV1IndexConfig": { "description": "The index configuration for this field.", "type": "object", "properties": { "usesAncestorConfig": { "type": "boolean", "description": "Output only. When true, the `Field`'s index configuration is set from the configuration specified by the `ancestor_field`. When false, the `Field`'s index configuration is defined explicitly." }, "ancestorField": { "description": "Output only. Specifies the resource name of the `Field` from which this field's index configuration is set (when `uses_ancestor_config` is true), or from which it *would* be set if this field had no index configuration (when `uses_ancestor_config` is false).", "type": "string" }, "indexes": { "items": { "$ref": "GoogleFirestoreAdminV1Index" }, "description": "The indexes supported for this field.", "type": "array" }, "reverting": { "type": "boolean", "description": "Output only When true, the `Field`'s index configuration is in the process of being reverted. Once complete, the index config will transition to the same state as the field specified by `ancestor_field`, at which point `uses_ancestor_config` will be `true` and `reverting` will be `false`." } }, "id": "GoogleFirestoreAdminV1IndexConfig" }, "GoogleFirestoreAdminV1UpdateDatabaseMetadata": { "id": "GoogleFirestoreAdminV1UpdateDatabaseMetadata", "properties": {}, "type": "object", "description": "Metadata related to the update database operation." }, "BatchWriteResponse": { "type": "object", "id": "BatchWriteResponse", "properties": { "status": { "type": "array", "items": { "$ref": "Status" }, "description": "The status of applying the writes. This i-th write status corresponds to the i-th write in the request." }, "writeResults": { "type": "array", "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request.", "items": { "$ref": "WriteResult" } } }, "description": "The response from Firestore.BatchWrite." }, "GoogleFirestoreAdminV1IndexOperationMetadata": { "type": "object", "description": "Metadata for google.longrunning.Operation results from FirestoreAdmin.CreateIndex.", "id": "GoogleFirestoreAdminV1IndexOperationMetadata", "properties": { "progressBytes": { "description": "The progress, in bytes, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" }, "index": { "description": "The index resource that this operation is acting on. For example: `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/indexes/{index_id}`", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "description": "The state of the operation.", "enum": [ "OPERATION_STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string" }, "endTime": { "description": "The time this operation completed. Will be unset if operation still in progress.", "type": "string", "format": "google-datetime" }, "startTime": { "description": "The time this operation started.", "format": "google-datetime", "type": "string" }, "progressDocuments": { "description": "The progress, in documents, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" } } }, "ArrayValue": { "id": "ArrayValue", "description": "An array value.", "type": "object", "properties": { "values": { "description": "Values in the array.", "type": "array", "items": { "$ref": "Value" } } } }, "ListCollectionIdsResponse": { "id": "ListCollectionIdsResponse", "description": "The response from Firestore.ListCollectionIds.", "properties": { "collectionIds": { "description": "The collection ids.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "A page token that may be used to continue the list." } }, "type": "object" }, "ListDocumentsResponse": { "id": "ListDocumentsResponse", "type": "object", "description": "The response for Firestore.ListDocuments.", "properties": { "documents": { "items": { "$ref": "Document" }, "type": "array", "description": "The Documents found." }, "nextPageToken": { "type": "string", "description": "The next page token." } } }, "GoogleFirestoreAdminV1FieldOperationMetadata": { "description": "Metadata for google.longrunning.Operation results from FirestoreAdmin.UpdateField.", "type": "object", "id": "GoogleFirestoreAdminV1FieldOperationMetadata", "properties": { "endTime": { "format": "google-datetime", "description": "The time this operation completed. Will be unset if operation still in progress.", "type": "string" }, "progressDocuments": { "description": "The progress, in documents, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" }, "ttlConfigDelta": { "description": "Describes the deltas of TTL configuration.", "$ref": "GoogleFirestoreAdminV1TtlConfigDelta" }, "startTime": { "format": "google-datetime", "type": "string", "description": "The time this operation started." }, "state": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "enum": [ "OPERATION_STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string", "description": "The state of the operation." }, "field": { "description": "The field resource that this operation is acting on. For example: `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/fields/{field_path}`", "type": "string" }, "indexConfigDeltas": { "items": { "$ref": "GoogleFirestoreAdminV1IndexConfigDelta" }, "type": "array", "description": "A list of IndexConfigDelta, which describe the intent of this operation." }, "progressBytes": { "description": "The progress, in bytes, of this operation.", "$ref": "GoogleFirestoreAdminV1Progress" } } }, "GoogleFirestoreAdminV1Field": { "properties": { "name": { "description": "Required. A field name of the form `projects/{project_id}/databases/{database_id}/collectionGroups/{collection_id}/fields/{field_path}` A field path may be a simple field name, e.g. `address` or a path to fields within map_value , e.g. `address.city`, or a special field path. The only valid special field is `*`, which represents any field. Field paths may be quoted using ` (backtick). The only character that needs to be escaped within a quoted field path is the backtick character itself, escaped using a backslash. Special characters in field paths that must be quoted include: `*`, `.`, ``` (backtick), `[`, `]`, as well as any ascii symbolic characters. Examples: (Note: Comments here are written in markdown syntax, so there is an additional layer of backticks to represent a code block) `\\`address.city\\`` represents a field named `address.city`, not the map key `city` in the field `address`. `\\`*\\`` represents a field named `*`, not any field. A special `Field` contains the default indexing settings for all fields. This field's resource name is: `projects/{project_id}/databases/{database_id}/collectionGroups/__default__/fields/*` Indexes defined on this `Field` will be applied to all fields which do not have their own `Field` index configuration.", "type": "string" }, "ttlConfig": { "$ref": "GoogleFirestoreAdminV1TtlConfig", "description": "The TTL configuration for this `Field`. Setting or unsetting this will enable or disable the TTL for documents that have this `Field`." }, "indexConfig": { "description": "The index configuration for this field. If unset, field indexing will revert to the configuration defined by the `ancestor_field`. To explicitly remove all indexes for this field, specify an index config with an empty list of indexes.", "$ref": "GoogleFirestoreAdminV1IndexConfig" } }, "type": "object", "description": "Represents a single field in the database. Fields are grouped by their \"Collection Group\", which represent all collections in the database with the same id.", "id": "GoogleFirestoreAdminV1Field" }, "CommitResponse": { "type": "object", "properties": { "commitTime": { "type": "string", "format": "google-datetime", "description": "The time at which the commit occurred. Any read with an equal or greater `read_time` is guaranteed to see the effects of the commit." }, "writeResults": { "items": { "$ref": "WriteResult" }, "type": "array", "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request." } }, "description": "The response for Firestore.Commit.", "id": "CommitResponse" }, "DocumentsTarget": { "id": "DocumentsTarget", "properties": { "documents": { "items": { "type": "string" }, "type": "array", "description": "The names of the documents to retrieve. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. The request will fail if any of the document is not a child resource of the given `database`. Duplicate names will be elided." } }, "type": "object", "description": "A target specified by a set of documents names." }, "PartitionQueryRequest": { "properties": { "pageSize": { "description": "The maximum number of partitions to return in this call, subject to `partition_count`. For example, if `partition_count` = 10 and `page_size` = 8, the first call to PartitionQuery will return up to 8 partitions and a `next_page_token` if more results exist. A second call to PartitionQuery will return up to 2 partitions, to complete the total of 10 specified in `partition_count`.", "type": "integer", "format": "int32" }, "pageToken": { "description": "The `next_page_token` value returned from a previous call to PartitionQuery that may be used to get an additional set of results. There are no ordering guarantees between sets of results. Thus, using multiple sets of results will require merging the different result sets. For example, two subsequent calls using a page_token may return: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cursor B, cursor M, cursor Q LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cursor A, cursor U, cursor W To obtain a complete result set ordered with respect to the results of the query supplied to PartitionQuery, the results sets should be merged: cursor A, cursor B, cursor M, cursor Q, cursor U, cursor W", "type": "string" }, "structuredQuery": { "$ref": "StructuredQuery", "description": "A structured query. Query must specify collection with all descendants and be ordered by name ascending. Other filters, order bys, limits, offsets, and start/end cursors are not supported." }, "readTime": { "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime" }, "partitionCount": { "description": "The desired maximum number of partition points. The partitions may be returned across multiple pages of results. The number must be positive. The actual number of partitions returned may be fewer. For example, this may be set to one fewer than the number of parallel queries to be run, or in running a data pipeline job, one fewer than the number of workers or compute instances available.", "format": "int64", "type": "string" } }, "id": "PartitionQueryRequest", "description": "The request for Firestore.PartitionQuery.", "type": "object" }, "ListenRequest": { "properties": { "labels": { "type": "object", "description": "Labels associated with this target change.", "additionalProperties": { "type": "string" } }, "addTarget": { "description": "A target to add to this stream.", "$ref": "Target" }, "removeTarget": { "format": "int32", "description": "The ID of a target to remove from this stream.", "type": "integer" } }, "id": "ListenRequest", "type": "object", "description": "A request for Firestore.Listen" }, "BatchGetDocumentsResponse": { "id": "BatchGetDocumentsResponse", "description": "The streamed response for Firestore.BatchGetDocuments.", "type": "object", "properties": { "found": { "description": "A document that was requested.", "$ref": "Document" }, "readTime": { "type": "string", "description": "The time at which the document was read. This may be monotically increasing, in this case the previous documents in the result stream are guaranteed not to have changed between their read_time and this one.", "format": "google-datetime" }, "transaction": { "description": "The transaction that was started as part of this request. Will only be set in the first response, and only if BatchGetDocumentsRequest.new_transaction was set in the request.", "type": "string", "format": "byte" }, "missing": { "type": "string", "description": "A document name that was requested but does not exist. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`." } } }, "ReadWrite": { "type": "object", "properties": { "retryTransaction": { "description": "An optional transaction to retry.", "format": "byte", "type": "string" } }, "description": "Options for a transaction that can be used to read and write documents.", "id": "ReadWrite" }, "ReadOnly": { "properties": { "readTime": { "type": "string", "description": "Reads documents at the given time. This may not be older than 60 seconds.", "format": "google-datetime" } }, "type": "object", "description": "Options for a transaction that can only be used to read documents.", "id": "ReadOnly" }, "GoogleFirestoreAdminV1ExportDocumentsRequest": { "description": "The request for FirestoreAdmin.ExportDocuments.", "id": "GoogleFirestoreAdminV1ExportDocumentsRequest", "type": "object", "properties": { "outputUriPrefix": { "type": "string", "description": "The output URI. Currently only supports Google Cloud Storage URIs of the form: `gs://BUCKET_NAME[/NAMESPACE_PATH]`, where `BUCKET_NAME` is the name of the Google Cloud Storage bucket and `NAMESPACE_PATH` is an optional Google Cloud Storage namespace path. When choosing a name, be sure to consider Google Cloud Storage naming guidelines: https://cloud.google.com/storage/docs/naming. If the URI is a bucket (without a namespace path), a prefix will be generated based on the start time." }, "collectionIds": { "description": "Which collection ids to export. Unspecified means all collections.", "items": { "type": "string" }, "type": "array" } } }, "Document": { "description": "A Firestore document. Must not exceed 1 MiB - 4 bytes.", "properties": { "updateTime": { "description": "Output only. The time at which the document was last changed. This value is initially set to the `create_time` then increases monotonically with each change to the document. It can also be compared to values from other documents and the `read_time` of a query.", "format": "google-datetime", "type": "string" }, "name": { "description": "The resource name of the document, for example `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The time at which the document was created. This value increases monotonically when a document is deleted then recreated. It can also be compared to values from other documents and the `read_time` of a query.", "format": "google-datetime" }, "fields": { "description": "The document's fields. The map keys represent field names. A simple field name contains only characters `a` to `z`, `A` to `Z`, `0` to `9`, or `_`, and must not start with `0` to `9`. For example, `foo_bar_17`. Field names matching the regular expression `__.*__` are reserved. Reserved field names are forbidden except in certain documented contexts. The map keys, represented as UTF-8, must not exceed 1,500 bytes and cannot be empty. Field paths may be used in other contexts to refer to structured fields defined here. For `map_value`, the field path is represented by the simple or quoted field names of the containing fields, delimited by `.`. For example, the structured field `\"foo\" : { map_value: { \"x&y\" : { string_value: \"hello\" }}}` would be represented by the field path `foo.x&y`. Within a field path, a quoted field name starts and ends with `` ` `` and may contain any character. Some characters, including `` ` ``, must be escaped using a `\\`. For example, `` `x&y` `` represents `x&y` and `` `bak\\`tik` `` represents `` bak`tik ``.", "additionalProperties": { "$ref": "Value" }, "type": "object" } }, "id": "Document", "type": "object" }, "DocumentRemove": { "type": "object", "id": "DocumentRemove", "properties": { "document": { "description": "The resource name of the Document that has gone out of view.", "type": "string" }, "removedTargetIds": { "items": { "format": "int32", "type": "integer" }, "description": "A set of target IDs for targets that previously matched this document.", "type": "array" }, "readTime": { "description": "The read timestamp at which the remove was observed. Greater or equal to the `commit_time` of the change/delete/remove.", "format": "google-datetime", "type": "string" } }, "description": "A Document has been removed from the view of the targets. Sent if the document is no longer relevant to a target and is out of view. Can be sent instead of a DocumentDelete or a DocumentChange if the server can not send the new value of the document. Multiple DocumentRemove messages may be returned for the same logical write or delete, if multiple targets are affected." }, "ListenResponse": { "id": "ListenResponse", "type": "object", "properties": { "documentChange": { "description": "A Document has changed.", "$ref": "DocumentChange" }, "filter": { "description": "A filter to apply to the set of documents previously returned for the given target. Returned when documents may have been removed from the given target, but the exact documents are unknown.", "$ref": "ExistenceFilter" }, "targetChange": { "$ref": "TargetChange", "description": "Targets have changed." }, "documentDelete": { "$ref": "DocumentDelete", "description": "A Document has been deleted." }, "documentRemove": { "$ref": "DocumentRemove", "description": "A Document has been removed from a target (because it is no longer relevant to that target)." } }, "description": "The response for Firestore.Listen." }, "PartitionQueryResponse": { "description": "The response for Firestore.PartitionQuery.", "id": "PartitionQueryResponse", "properties": { "partitions": { "items": { "$ref": "Cursor" }, "description": "Partition results. Each partition is a split point that can be used by RunQuery as a starting or end point for the query results. The RunQuery requests must be made with the same query supplied to this PartitionQuery request. The partition cursors will be ordered according to same ordering as the results of the query supplied to PartitionQuery. For example, if a PartitionQuery request returns partition cursors A and B, running the following three queries will return the entire result set of the original query: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, end_at A LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, start_at A, end_at B LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, start_at B An empty result may indicate that the query has too few results to be partitioned.", "type": "array" }, "nextPageToken": { "description": "A page token that may be used to request an additional set of results, up to the number specified by `partition_count` in the PartitionQuery request. If blank, there are no more results.", "type": "string" } }, "type": "object" } }, "ownerName": "Google", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" } }
]===]))
