local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerDomain": "google.com", "version": "v1beta1", "schemas": { "GoogleFirestoreAdminV1beta1IndexOperationMetadata": { "id": "GoogleFirestoreAdminV1beta1IndexOperationMetadata", "type": "object", "properties": { "documentProgress": { "description": "Progress of the existing operation, measured in number of documents.", "$ref": "GoogleFirestoreAdminV1beta1Progress" }, "cancelled": { "type": "boolean", "description": "True if the [google.longrunning.Operation] was cancelled. If the cancellation is in progress, cancelled will be true but google.longrunning.Operation.done will be false." }, "index": { "type": "string", "description": "The index resource that this operation is acting on. For example: `projects/{project_id}/databases/{database_id}/indexes/{index_id}`" }, "startTime": { "description": "The time that work began on the operation.", "format": "google-datetime", "type": "string" }, "operationType": { "description": "The type of index operation.", "enumDescriptions": [ "Unspecified. Never set by server.", "The operation is creating the index. Initiated by a `CreateIndex` call." ], "type": "string", "enum": [ "OPERATION_TYPE_UNSPECIFIED", "CREATING_INDEX" ] }, "endTime": { "format": "google-datetime", "description": "The time the operation ended, either successfully or otherwise. Unset if the operation is still active.", "type": "string" } }, "description": "Metadata for index operations. This metadata populates the metadata field of google.longrunning.Operation." }, "ListCollectionIdsRequest": { "properties": { "pageSize": { "format": "int32", "description": "The maximum number of results to return.", "type": "integer" }, "readTime": { "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime" }, "pageToken": { "type": "string", "description": "A page token. Must be a value from ListCollectionIdsResponse." } }, "description": "The request for Firestore.ListCollectionIds.", "type": "object", "id": "ListCollectionIdsRequest" }, "ReadOnly": { "id": "ReadOnly", "description": "Options for a transaction that can only be used to read documents.", "properties": { "readTime": { "type": "string", "description": "Reads documents at the given time. This may not be older than 60 seconds.", "format": "google-datetime" } }, "type": "object" }, "GoogleFirestoreAdminV1beta1ExportDocumentsResponse": { "description": "Returned in the google.longrunning.Operation response field.", "properties": { "outputUriPrefix": { "type": "string", "description": "Location of the output files. This can be used to begin an import into Cloud Firestore (this project or another project) after the operation completes successfully." } }, "id": "GoogleFirestoreAdminV1beta1ExportDocumentsResponse", "type": "object" }, "Status": { "id": "Status", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "ArrayValue": { "properties": { "values": { "description": "Values in the array.", "items": { "$ref": "Value" }, "type": "array" } }, "type": "object", "id": "ArrayValue", "description": "An array value." }, "MapValue": { "description": "A map value.", "id": "MapValue", "type": "object", "properties": { "fields": { "description": "The map's fields. The map keys represent field names. Field names matching the regular expression `__.*__` are reserved. Reserved field names are forbidden except in certain documented contexts. The map keys, represented as UTF-8, must not exceed 1,500 bytes and cannot be empty.", "additionalProperties": { "$ref": "Value" }, "type": "object" } } }, "BatchGetDocumentsResponse": { "description": "The streamed response for Firestore.BatchGetDocuments.", "id": "BatchGetDocumentsResponse", "type": "object", "properties": { "found": { "description": "A document that was requested.", "$ref": "Document" }, "transaction": { "format": "byte", "type": "string", "description": "The transaction that was started as part of this request. Will only be set in the first response, and only if BatchGetDocumentsRequest.new_transaction was set in the request." }, "missing": { "type": "string", "description": "A document name that was requested but does not exist. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`." }, "readTime": { "type": "string", "format": "google-datetime", "description": "The time at which the document was read. This may be monotically increasing, in this case the previous documents in the result stream are guaranteed not to have changed between their read_time and this one." } } }, "GoogleFirestoreAdminV1beta1Index": { "id": "GoogleFirestoreAdminV1beta1Index", "properties": { "name": { "description": "The resource name of the index. Output only.", "type": "string" }, "fields": { "type": "array", "description": "The fields to index.", "items": { "$ref": "GoogleFirestoreAdminV1beta1IndexField" } }, "state": { "description": "The state of the index. Output only.", "enumDescriptions": [ "The state is unspecified.", "The index is being created. There is an active long-running operation for the index. The index is updated when writing a document. Some index data may exist.", "The index is ready to be used. The index is updated when writing a document. The index is fully populated from all stored documents it applies to.", "The index was being created, but something went wrong. There is no active long-running operation for the index, and the most recently finished long-running operation failed. The index is not updated when writing a document. Some index data may exist." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "ERROR" ] }, "collectionId": { "type": "string", "description": "The collection ID to which this index applies. Required." } }, "type": "object", "description": "An index definition." }, "UnaryFilter": { "properties": { "op": { "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `field` is equal to `NaN`.", "The given `field` is equal to `NULL`.", "The given `field` is not equal to `NaN`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`.", "The given `field` is not equal to `NULL`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A single `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ], "description": "The unary operator to apply.", "type": "string", "enum": [ "OPERATOR_UNSPECIFIED", "IS_NAN", "IS_NULL", "IS_NOT_NAN", "IS_NOT_NULL" ] }, "field": { "$ref": "FieldReference", "description": "The field to which to apply the operator." } }, "id": "UnaryFilter", "description": "A filter with a single operand.", "type": "object" }, "GoogleFirestoreAdminV1UpdateDatabaseMetadata": { "description": "Metadata related to the update database operation.", "properties": {}, "id": "GoogleFirestoreAdminV1UpdateDatabaseMetadata", "type": "object" }, "PartitionQueryResponse": { "properties": { "partitions": { "description": "Partition results. Each partition is a split point that can be used by RunQuery as a starting or end point for the query results. The RunQuery requests must be made with the same query supplied to this PartitionQuery request. The partition cursors will be ordered according to same ordering as the results of the query supplied to PartitionQuery. For example, if a PartitionQuery request returns partition cursors A and B, running the following three queries will return the entire result set of the original query: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, end_at A LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, start_at A, end_at B LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh query, start_at B An empty result may indicate that the query has too few results to be partitioned.", "type": "array", "items": { "$ref": "Cursor" } }, "nextPageToken": { "description": "A page token that may be used to request an additional set of results, up to the number specified by `partition_count` in the PartitionQuery request. If blank, there are no more results.", "type": "string" } }, "type": "object", "description": "The response for Firestore.PartitionQuery.", "id": "PartitionQueryResponse" }, "WriteRequest": { "type": "object", "properties": { "streamId": { "type": "string", "description": "The ID of the write stream to resume. This may only be set in the first message. When left empty, a new write stream will be created." }, "streamToken": { "format": "byte", "type": "string", "description": "A stream token that was previously sent by the server. The client should set this field to the token from the most recent WriteResponse it has received. This acknowledges that the client has received responses up to this token. After sending this token, earlier tokens may not be used anymore. The server may close the stream if there are too many unacknowledged responses. Leave this field unset when creating a new stream. To resume a stream at a specific point, set this field and the `stream_id` field. Leave this field unset when creating a new stream." }, "writes": { "type": "array", "items": { "$ref": "Write" }, "description": "The writes to apply. Always executed atomically and in order. This must be empty on the first request. This may be empty on the last request. This must not be empty on all other requests." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Labels associated with this write request.", "type": "object" } }, "description": "The request for Firestore.Write. The first request creates a stream, or resumes an existing one from a token. When creating a new stream, the server replies with a response containing only an ID and a token, to use in the next request. When resuming a stream, the server first streams any responses later than the given token, then a response containing only an up-to-date token, to use in the next request.", "id": "WriteRequest" }, "GoogleFirestoreAdminV1beta1ExportDocumentsMetadata": { "description": "Metadata for ExportDocuments operations.", "properties": { "collectionIds": { "type": "array", "description": "Which collection ids are being exported.", "items": { "type": "string" } }, "endTime": { "description": "The time the operation ended, either successfully or otherwise. Unset if the operation is still active.", "type": "string", "format": "google-datetime" }, "progressDocuments": { "$ref": "GoogleFirestoreAdminV1beta1Progress", "description": "An estimate of the number of documents processed." }, "outputUriPrefix": { "description": "Where the entities are being exported to.", "type": "string" }, "operationState": { "description": "The state of the export operation.", "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string", "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ] }, "progressBytes": { "description": "An estimate of the number of bytes processed.", "$ref": "GoogleFirestoreAdminV1beta1Progress" }, "startTime": { "type": "string", "format": "google-datetime", "description": "The time that work began on the operation." } }, "id": "GoogleFirestoreAdminV1beta1ExportDocumentsMetadata", "type": "object" }, "ReadWrite": { "type": "object", "description": "Options for a transaction that can be used to read and write documents.", "properties": { "retryTransaction": { "type": "string", "format": "byte", "description": "An optional transaction to retry." } }, "id": "ReadWrite" }, "GoogleFirestoreAdminV1beta1ListIndexesResponse": { "type": "object", "properties": { "indexes": { "type": "array", "description": "The indexes.", "items": { "$ref": "GoogleFirestoreAdminV1beta1Index" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "description": "The response for FirestoreAdmin.ListIndexes.", "id": "GoogleFirestoreAdminV1beta1ListIndexesResponse" }, "BatchWriteResponse": { "id": "BatchWriteResponse", "type": "object", "description": "The response from Firestore.BatchWrite.", "properties": { "status": { "items": { "$ref": "Status" }, "description": "The status of applying the writes. This i-th write status corresponds to the i-th write in the request.", "type": "array" }, "writeResults": { "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request.", "items": { "$ref": "WriteResult" }, "type": "array" } } }, "BatchGetDocumentsRequest": { "description": "The request for Firestore.BatchGetDocuments.", "properties": { "mask": { "description": "The fields to return. If not set, returns all fields. If a document has a field that is not present in this mask, that field will not be returned in the response.", "$ref": "DocumentMask" }, "transaction": { "description": "Reads documents in a transaction.", "format": "byte", "type": "string" }, "readTime": { "type": "string", "format": "google-datetime", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds." }, "documents": { "items": { "type": "string" }, "description": "The names of the documents to retrieve. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. The request will fail if any of the document is not a child resource of the given `database`. Duplicate names will be elided.", "type": "array" }, "newTransaction": { "description": "Starts a new transaction and reads the documents. Defaults to a read-only transaction. The new transaction ID will be returned as the first response in the stream.", "$ref": "TransactionOptions" } }, "type": "object", "id": "BatchGetDocumentsRequest" }, "WriteResult": { "description": "The result of applying a write.", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "The last update time of the document after applying the write. Not set after a `delete`. If the write did not actually change the document, this will be the previous update_time." }, "transformResults": { "items": { "$ref": "Value" }, "description": "The results of applying each DocumentTransform.FieldTransform, in the same order.", "type": "array" } }, "id": "WriteResult", "type": "object" }, "ListenRequest": { "id": "ListenRequest", "type": "object", "properties": { "removeTarget": { "description": "The ID of a target to remove from this stream.", "type": "integer", "format": "int32" }, "labels": { "type": "object", "description": "Labels associated with this target change.", "additionalProperties": { "type": "string" } }, "addTarget": { "description": "A target to add to this stream.", "$ref": "Target" } }, "description": "A request for Firestore.Listen" }, "RunQueryResponse": { "description": "The response for Firestore.RunQuery.", "id": "RunQueryResponse", "type": "object", "properties": { "document": { "description": "A query result, not set when reporting partial progress.", "$ref": "Document" }, "transaction": { "type": "string", "format": "byte", "description": "The transaction that was started as part of this request. Can only be set in the first response, and only if RunQueryRequest.new_transaction was set in the request. If set, no other fields will be set in this response." }, "readTime": { "description": "The time at which the document was read. This may be monotonically increasing; in this case, the previous documents in the result stream are guaranteed not to have changed between their `read_time` and this one. If the query returns no results, a response with `read_time` and no `document` will be sent, and this represents the time at which the query was run.", "type": "string", "format": "google-datetime" }, "skippedResults": { "description": "The number of results that have been skipped due to an offset between the last response and the current response.", "type": "integer", "format": "int32" }, "done": { "description": "If present, Firestore has completely finished the request and no more documents will be returned.", "type": "boolean" } } }, "LatLng": { "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "type": "object", "properties": { "latitude": { "type": "number", "format": "double", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0]." }, "longitude": { "type": "number", "format": "double", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0]." } }, "id": "LatLng" }, "WriteResponse": { "properties": { "streamToken": { "format": "byte", "type": "string", "description": "A token that represents the position of this response in the stream. This can be used by a client to resume the stream at this point. This field is always set." }, "writeResults": { "items": { "$ref": "WriteResult" }, "type": "array", "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request." }, "streamId": { "description": "The ID of the stream. Only set on the first message, when a new stream was created.", "type": "string" }, "commitTime": { "format": "google-datetime", "description": "The time at which the commit occurred. Any read with an equal or greater `read_time` is guaranteed to see the effects of the write.", "type": "string" } }, "description": "The response for Firestore.Write.", "id": "WriteResponse", "type": "object" }, "ListCollectionIdsResponse": { "description": "The response from Firestore.ListCollectionIds.", "properties": { "collectionIds": { "items": { "type": "string" }, "description": "The collection ids.", "type": "array" }, "nextPageToken": { "description": "A page token that may be used to continue the list.", "type": "string" } }, "id": "ListCollectionIdsResponse", "type": "object" }, "DocumentChange": { "description": "A Document has changed. May be the result of multiple writes, including deletes, that ultimately resulted in a new value for the Document. Multiple DocumentChange messages may be returned for the same logical change, if multiple targets are affected.", "id": "DocumentChange", "properties": { "document": { "description": "The new state of the Document. If `mask` is set, contains only fields that were updated or added.", "$ref": "Document" }, "targetIds": { "type": "array", "description": "A set of target IDs of targets that match this document.", "items": { "type": "integer", "format": "int32" } }, "removedTargetIds": { "items": { "type": "integer", "format": "int32" }, "type": "array", "description": "A set of target IDs for targets that no longer match this document." } }, "type": "object" }, "Value": { "properties": { "arrayValue": { "description": "An array value. Cannot directly contain another array value, though can contain an map which contains another array.", "$ref": "ArrayValue" }, "doubleValue": { "format": "double", "type": "number", "description": "A double value." }, "booleanValue": { "type": "boolean", "description": "A boolean value." }, "bytesValue": { "type": "string", "format": "byte", "description": "A bytes value. Must not exceed 1 MiB - 89 bytes. Only the first 1,500 bytes are considered by queries." }, "mapValue": { "description": "A map value.", "$ref": "MapValue" }, "stringValue": { "description": "A string value. The string, represented as UTF-8, must not exceed 1 MiB - 89 bytes. Only the first 1,500 bytes of the UTF-8 representation are considered by queries.", "type": "string" }, "timestampValue": { "format": "google-datetime", "description": "A timestamp value. Precise only to microseconds. When stored, any additional precision is rounded down.", "type": "string" }, "integerValue": { "description": "An integer value.", "type": "string", "format": "int64" }, "geoPointValue": { "$ref": "LatLng", "description": "A geo point value representing a point on the surface of Earth." }, "referenceValue": { "type": "string", "description": "A reference to a document. For example: `projects/{project_id}/databases/{database_id}/documents/{document_path}`." }, "nullValue": { "type": "string", "description": "A null value.", "enumDescriptions": [ "Null value." ], "enum": [ "NULL_VALUE" ] } }, "type": "object", "description": "A message that can hold any of the supported value types.", "id": "Value" }, "Precondition": { "properties": { "updateTime": { "type": "string", "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned.", "format": "google-datetime" }, "exists": { "type": "boolean", "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist." } }, "description": "A precondition on a document, used for conditional operations.", "id": "Precondition", "type": "object" }, "TargetChange": { "description": "Targets being watched have changed.", "id": "TargetChange", "type": "object", "properties": { "targetIds": { "items": { "type": "integer", "format": "int32" }, "description": "The target IDs of targets that have changed. If empty, the change applies to all targets. The order of the target IDs is not defined.", "type": "array" }, "resumeToken": { "format": "byte", "type": "string", "description": "A token that can be used to resume the stream for the given `target_ids`, or all targets if `target_ids` is empty. Not set on every target change." }, "targetChangeType": { "enum": [ "NO_CHANGE", "ADD", "REMOVE", "CURRENT", "RESET" ], "description": "The type of change that occurred.", "type": "string", "enumDescriptions": [ "No change has occurred. Used only to send an updated `resume_token`.", "The targets have been added.", "The targets have been removed.", "The targets reflect all changes committed before the targets were added to the stream. This will be sent after or with a `read_time` that is greater than or equal to the time at which the targets were added. Listeners can wait for this change if read-after-write semantics are desired.", "The targets have been reset, and a new initial state for the targets will be returned in subsequent changes. After the initial state is complete, `CURRENT` will be returned even if the target was previously indicated to be `CURRENT`." ] }, "readTime": { "type": "string", "format": "google-datetime", "description": "The consistent `read_time` for the given `target_ids` (omitted when the target_ids are not at a consistent snapshot). The stream is guaranteed to send a `read_time` with `target_ids` empty whenever the entire stream reaches a new consistent snapshot. ADD, CURRENT, and RESET messages are guaranteed to (eventually) result in a new consistent snapshot (while NO_CHANGE and REMOVE messages are not). For a given stream, `read_time` is guaranteed to be monotonically increasing." }, "cause": { "$ref": "Status", "description": "The error that resulted in this change, if applicable." } } }, "DocumentTransform": { "type": "object", "properties": { "fieldTransforms": { "description": "The list of transformations to apply to the fields of the document, in order. This must not be empty.", "items": { "$ref": "FieldTransform" }, "type": "array" }, "document": { "type": "string", "description": "The name of the document to transform." } }, "description": "A transformation of a document.", "id": "DocumentTransform" }, "BatchWriteRequest": { "id": "BatchWriteRequest", "properties": { "writes": { "type": "array", "description": "The writes to apply. Method does not apply writes atomically and does not guarantee ordering. Each write succeeds or fails independently. You cannot write to the same document more than once per request.", "items": { "$ref": "Write" } }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Labels associated with this batch write." } }, "type": "object", "description": "The request for Firestore.BatchWrite." }, "ListenResponse": { "properties": { "documentChange": { "$ref": "DocumentChange", "description": "A Document has changed." }, "documentDelete": { "$ref": "DocumentDelete", "description": "A Document has been deleted." }, "documentRemove": { "description": "A Document has been removed from a target (because it is no longer relevant to that target).", "$ref": "DocumentRemove" }, "filter": { "$ref": "ExistenceFilter", "description": "A filter to apply to the set of documents previously returned for the given target. Returned when documents may have been removed from the given target, but the exact documents are unknown." }, "targetChange": { "$ref": "TargetChange", "description": "Targets have changed." } }, "id": "ListenResponse", "type": "object", "description": "The response for Firestore.Listen." }, "GoogleFirestoreAdminV1beta1Progress": { "properties": { "workCompleted": { "format": "int64", "type": "string", "description": "An estimate of how much work has been completed. Note that this may be greater than `work_estimated`." }, "workEstimated": { "description": "An estimate of how much work needs to be performed. Zero if the work estimate is unavailable. May change as work progresses.", "format": "int64", "type": "string" } }, "description": "Measures the progress of a particular metric.", "id": "GoogleFirestoreAdminV1beta1Progress", "type": "object" }, "TransactionOptions": { "id": "TransactionOptions", "description": "Options for creating a new transaction.", "type": "object", "properties": { "readWrite": { "$ref": "ReadWrite", "description": "The transaction can be used for both read and write operations." }, "readOnly": { "description": "The transaction can only be used for read operations.", "$ref": "ReadOnly" } } }, "Filter": { "type": "object", "id": "Filter", "properties": { "compositeFilter": { "$ref": "CompositeFilter", "description": "A composite filter." }, "unaryFilter": { "$ref": "UnaryFilter", "description": "A filter that takes exactly one argument." }, "fieldFilter": { "description": "A filter on a document field.", "$ref": "FieldFilter" } }, "description": "A filter." }, "BeginTransactionResponse": { "type": "object", "description": "The response for Firestore.BeginTransaction.", "properties": { "transaction": { "description": "The transaction that was started.", "type": "string", "format": "byte" } }, "id": "BeginTransactionResponse" }, "DocumentDelete": { "type": "object", "description": "A Document has been deleted. May be the result of multiple writes, including updates, the last of which deleted the Document. Multiple DocumentDelete messages may be returned for the same logical delete, if multiple targets are affected.", "properties": { "document": { "type": "string", "description": "The resource name of the Document that was deleted." }, "removedTargetIds": { "description": "A set of target IDs for targets that previously matched this entity.", "items": { "format": "int32", "type": "integer" }, "type": "array" }, "readTime": { "format": "google-datetime", "description": "The read timestamp at which the delete was observed. Greater or equal to the `commit_time` of the delete.", "type": "string" } }, "id": "DocumentDelete" }, "DocumentMask": { "type": "object", "properties": { "fieldPaths": { "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "items": { "type": "string" }, "type": "array" } }, "description": "A set of field paths on a document. Used to restrict a get or update operation on a document to a subset of its fields. This is different from standard field masks, as this is always scoped to a Document, and takes in account the dynamic nature of Value.", "id": "DocumentMask" }, "QueryTarget": { "properties": { "parent": { "description": "The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "type": "string" }, "structuredQuery": { "$ref": "StructuredQuery", "description": "A structured query." } }, "id": "QueryTarget", "description": "A target specified by a query.", "type": "object" }, "CommitResponse": { "id": "CommitResponse", "properties": { "writeResults": { "items": { "$ref": "WriteResult" }, "description": "The result of applying the writes. This i-th write result corresponds to the i-th write in the request.", "type": "array" }, "commitTime": { "type": "string", "format": "google-datetime", "description": "The time at which the commit occurred. Any read with an equal or greater `read_time` is guaranteed to see the effects of the commit." } }, "type": "object", "description": "The response for Firestore.Commit." }, "FieldTransform": { "id": "FieldTransform", "type": "object", "description": "A transformation of a field of the document.", "properties": { "removeAllFromArray": { "description": "Remove all of the given elements from the array in the field. If the field is not an array, or if the field does not yet exist, it is set to the empty array. Equivalent numbers of the different types (e.g. 3L and 3.0) are considered equal when deciding whether an element should be removed. NaN is equal to NaN, and Null is equal to Null. This will remove all equivalent values if there are duplicates. The corresponding transform_result will be the null value.", "$ref": "ArrayValue" }, "maximum": { "description": "Sets the field to the maximum of its current value and the given value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the given value. If a maximum operation is applied where the field and the input value are of mixed types (that is - one is an integer and one is a double) the field takes on the type of the larger operand. If the operands are equivalent (e.g. 3 and 3.0), the field does not change. 0, 0.0, and -0.0 are all zero. The maximum of a zero stored value and zero input value is always the stored value. The maximum of any numeric value x and NaN is NaN.", "$ref": "Value" }, "increment": { "$ref": "Value", "description": "Adds the given value to the field's current value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the given value. If either of the given value or the current field value are doubles, both values will be interpreted as doubles. Double arithmetic and representation of double values follow IEEE 754 semantics. If there is positive/negative integer overflow, the field is resolved to the largest magnitude positive/negative integer." }, "fieldPath": { "type": "string", "description": "The path of the field. See Document.fields for the field path syntax reference." }, "setToServerValue": { "description": "Sets the field to the given server value.", "type": "string", "enum": [ "SERVER_VALUE_UNSPECIFIED", "REQUEST_TIME" ], "enumDescriptions": [ "Unspecified. This value must not be used.", "The time at which the server processed the request, with millisecond precision. If used on multiple fields (same or different documents) in a transaction, all the fields will get the same server timestamp." ] }, "appendMissingElements": { "description": "Append the given elements in order if they are not already present in the current field value. If the field is not an array, or if the field does not yet exist, it is first set to the empty array. Equivalent numbers of different types (e.g. 3L and 3.0) are considered equal when checking if a value is missing. NaN is equal to NaN, and Null is equal to Null. If the input contains multiple equivalent values, only the first will be considered. The corresponding transform_result will be the null value.", "$ref": "ArrayValue" }, "minimum": { "description": "Sets the field to the minimum of its current value and the given value. This must be an integer or a double value. If the field is not an integer or double, or if the field does not yet exist, the transformation will set the field to the input value. If a minimum operation is applied where the field and the input value are of mixed types (that is - one is an integer and one is a double) the field takes on the type of the smaller operand. If the operands are equivalent (e.g. 3 and 3.0), the field does not change. 0, 0.0, and -0.0 are all zero. The minimum of a zero stored value and zero input value is always the stored value. The minimum of any numeric value x and NaN is NaN.", "$ref": "Value" } } }, "RollbackRequest": { "description": "The request for Firestore.Rollback.", "id": "RollbackRequest", "type": "object", "properties": { "transaction": { "format": "byte", "description": "Required. The transaction to roll back.", "type": "string" } } }, "Empty": { "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "ExistenceFilter": { "id": "ExistenceFilter", "type": "object", "description": "A digest of all the documents that match a given target.", "properties": { "targetId": { "format": "int32", "description": "The target ID to which this filter applies.", "type": "integer" }, "count": { "format": "int32", "description": "The total count of documents that match target_id. If different from the count of documents in the client that match, the client must manually determine which documents no longer match the target.", "type": "integer" } } }, "FieldReference": { "description": "A reference to a field, such as `max(messages.time) as max_time`.", "type": "object", "properties": { "fieldPath": { "type": "string" } }, "id": "FieldReference" }, "GoogleFirestoreAdminV1beta1ImportDocumentsRequest": { "id": "GoogleFirestoreAdminV1beta1ImportDocumentsRequest", "properties": { "inputUriPrefix": { "description": "Location of the exported files. This must match the output_uri_prefix of an ExportDocumentsResponse from an export that has completed successfully. See: google.firestore.admin.v1beta1.ExportDocumentsResponse.output_uri_prefix.", "type": "string" }, "collectionIds": { "description": "Which collection ids to import. Unspecified means all collections included in the import.", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "The request for FirestoreAdmin.ImportDocuments." }, "Order": { "id": "Order", "type": "object", "description": "An order on a field.", "properties": { "direction": { "enumDescriptions": [ "Unspecified.", "Ascending.", "Descending." ], "description": "The direction to order by. Defaults to `ASCENDING`.", "enum": [ "DIRECTION_UNSPECIFIED", "ASCENDING", "DESCENDING" ], "type": "string" }, "field": { "$ref": "FieldReference", "description": "The field to order by." } } }, "DocumentsTarget": { "id": "DocumentsTarget", "properties": { "documents": { "items": { "type": "string" }, "type": "array", "description": "The names of the documents to retrieve. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. The request will fail if any of the document is not a child resource of the given `database`. Duplicate names will be elided." } }, "type": "object", "description": "A target specified by a set of documents names." }, "ListDocumentsResponse": { "type": "object", "id": "ListDocumentsResponse", "description": "The response for Firestore.ListDocuments.", "properties": { "nextPageToken": { "type": "string", "description": "The next page token." }, "documents": { "type": "array", "items": { "$ref": "Document" }, "description": "The Documents found." } } }, "Write": { "description": "A write on a document.", "id": "Write", "properties": { "updateTransforms": { "description": "The transforms to perform after update. This field can be set only when the operation is `update`. If present, this write is equivalent to performing `update` and `transform` to the same document atomically and in order.", "type": "array", "items": { "$ref": "FieldTransform" } }, "transform": { "$ref": "DocumentTransform", "description": "Applies a transformation to a document." }, "delete": { "description": "A document name to delete. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "type": "string" }, "updateMask": { "$ref": "DocumentMask", "description": "The fields to update in this write. This field can be set only when the operation is `update`. If the mask is not set for an `update` and the document exists, any existing data will be overwritten. If the mask is set and the document on the server has fields not covered by the mask, they are left unchanged. Fields referenced in the mask, but not present in the input document, are deleted from the document on the server. The field paths in this mask must not contain a reserved field name." }, "currentDocument": { "$ref": "Precondition", "description": "An optional precondition on the document. The write will fail if this is set and not met by the target document." }, "update": { "$ref": "Document", "description": "A document to write." } }, "type": "object" }, "GoogleFirestoreAdminV1beta1ExportDocumentsRequest": { "description": "The request for FirestoreAdmin.ExportDocuments.", "properties": { "collectionIds": { "description": "Which collection ids to export. Unspecified means all collections.", "type": "array", "items": { "type": "string" } }, "outputUriPrefix": { "description": "The output URI. Currently only supports Google Cloud Storage URIs of the form: `gs://BUCKET_NAME[/NAMESPACE_PATH]`, where `BUCKET_NAME` is the name of the Google Cloud Storage bucket and `NAMESPACE_PATH` is an optional Google Cloud Storage namespace path. When choosing a name, be sure to consider Google Cloud Storage naming guidelines: https://cloud.google.com/storage/docs/naming. If the URI is a bucket (without a namespace path), a prefix will be generated based on the start time.", "type": "string" } }, "type": "object", "id": "GoogleFirestoreAdminV1beta1ExportDocumentsRequest" }, "Target": { "id": "Target", "type": "object", "description": "A specification of a set of documents to listen to.", "properties": { "targetId": { "description": "The target ID that identifies the target on the stream. Must be a positive number and non-zero.", "type": "integer", "format": "int32" }, "once": { "description": "If the target should be removed once it is current and consistent.", "type": "boolean" }, "resumeToken": { "type": "string", "format": "byte", "description": "A resume token from a prior TargetChange for an identical target. Using a resume token with a different target is unsupported and may fail." }, "documents": { "description": "A target specified by a set of document names.", "$ref": "DocumentsTarget" }, "readTime": { "description": "Start listening after a specific `read_time`. The client must know the state of matching documents at this time.", "format": "google-datetime", "type": "string" }, "query": { "$ref": "QueryTarget", "description": "A target specified by a query." } } }, "RunQueryRequest": { "description": "The request for Firestore.RunQuery.", "id": "RunQueryRequest", "type": "object", "properties": { "structuredQuery": { "$ref": "StructuredQuery", "description": "A structured query." }, "readTime": { "format": "google-datetime", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string" }, "newTransaction": { "description": "Starts a new transaction and reads the documents. Defaults to a read-only transaction. The new transaction ID will be returned as the first response in the stream.", "$ref": "TransactionOptions" }, "transaction": { "format": "byte", "description": "Run the query within an already active transaction. The value here is the opaque transaction ID to execute the query in.", "type": "string" } } }, "BeginTransactionRequest": { "type": "object", "properties": { "options": { "$ref": "TransactionOptions", "description": "The options for the transaction. Defaults to a read-write transaction." } }, "id": "BeginTransactionRequest", "description": "The request for Firestore.BeginTransaction." }, "PartitionQueryRequest": { "properties": { "readTime": { "type": "string", "format": "google-datetime", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds." }, "pageToken": { "description": "The `next_page_token` value returned from a previous call to PartitionQuery that may be used to get an additional set of results. There are no ordering guarantees between sets of results. Thus, using multiple sets of results will require merging the different result sets. For example, two subsequent calls using a page_token may return: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cursor B, cursor M, cursor Q LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh cursor A, cursor U, cursor W To obtain a complete result set ordered with respect to the results of the query supplied to PartitionQuery, the results sets should be merged: cursor A, cursor B, cursor M, cursor Q, cursor U, cursor W", "type": "string" }, "structuredQuery": { "description": "A structured query. Query must specify collection with all descendants and be ordered by name ascending. Other filters, order bys, limits, offsets, and start/end cursors are not supported.", "$ref": "StructuredQuery" }, "partitionCount": { "format": "int64", "description": "The desired maximum number of partition points. The partitions may be returned across multiple pages of results. The number must be positive. The actual number of partitions returned may be fewer. For example, this may be set to one fewer than the number of parallel queries to be run, or in running a data pipeline job, one fewer than the number of workers or compute instances available.", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of partitions to return in this call, subject to `partition_count`. For example, if `partition_count` = 10 and `page_size` = 8, the first call to PartitionQuery will return up to 8 partitions and a `next_page_token` if more results exist. A second call to PartitionQuery will return up to 2 partitions, to complete the total of 10 specified in `partition_count`.", "type": "integer" } }, "description": "The request for Firestore.PartitionQuery.", "id": "PartitionQueryRequest", "type": "object" }, "Projection": { "description": "The projection of document's fields to return.", "id": "Projection", "properties": { "fields": { "description": "The fields to return. If empty, all fields are returned. To only return the name of the document, use `['__name__']`.", "type": "array", "items": { "$ref": "FieldReference" } } }, "type": "object" }, "GoogleLongrunningOperation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "id": "GoogleLongrunningOperation", "type": "object" }, "Cursor": { "id": "Cursor", "type": "object", "properties": { "values": { "description": "The values that represent a position, in the order they appear in the order by clause of a query. Can contain fewer values than specified in the order by clause.", "items": { "$ref": "Value" }, "type": "array" }, "before": { "description": "If the position is just before or just after the given values, relative to the sort order defined by the query.", "type": "boolean" } }, "description": "A position in a query result set." }, "GoogleFirestoreAdminV1beta1LocationMetadata": { "id": "GoogleFirestoreAdminV1beta1LocationMetadata", "type": "object", "description": "The metadata message for google.cloud.location.Location.metadata.", "properties": {} }, "CommitRequest": { "type": "object", "description": "The request for Firestore.Commit.", "properties": { "transaction": { "format": "byte", "description": "If set, applies all writes in this transaction, and commits it.", "type": "string" }, "writes": { "items": { "$ref": "Write" }, "description": "The writes to apply. Always executed atomically and in order.", "type": "array" } }, "id": "CommitRequest" }, "FieldFilter": { "id": "FieldFilter", "description": "A filter on a specific field.", "type": "object", "properties": { "op": { "type": "string", "enum": [ "OPERATOR_UNSPECIFIED", "LESS_THAN", "LESS_THAN_OR_EQUAL", "GREATER_THAN", "GREATER_THAN_OR_EQUAL", "EQUAL", "NOT_EQUAL", "ARRAY_CONTAINS", "IN", "ARRAY_CONTAINS_ANY", "NOT_IN" ], "description": "The operator to filter by.", "enumDescriptions": [ "Unspecified. This value must not be used.", "The given `field` is less than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is less than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is greater than the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is greater than or equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` come first in `order_by`.", "The given `field` is equal to the given `value`.", "The given `field` is not equal to the given `value`. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `NOT_EQUAL`, `NOT_IN`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`.", "The given `field` is an array that contains the given `value`.", "The given `field` is equal to at least one value in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `ARRAY_CONTAINS_ANY` or `NOT_IN`.", "The given `field` is an array that contains any of the values in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN` or `ARRAY_CONTAINS_ANY` or `NOT_IN`.", "The value of the `field` is not in the given array. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `value` is a non-empty `ArrayValue` with at most 10 values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh No other `IN`, `ARRAY_CONTAINS_ANY`, `NOT_IN`, `NOT_EQUAL`, `IS_NOT_NULL`, or `IS_NOT_NAN`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh That `field` comes first in the `order_by`." ] }, "field": { "$ref": "FieldReference", "description": "The field to filter by." }, "value": { "$ref": "Value", "description": "The value to compare to." } } }, "CollectionSelector": { "id": "CollectionSelector", "type": "object", "properties": { "allDescendants": { "description": "When false, selects only collections that are immediate children of the `parent` specified in the containing `RunQueryRequest`. When true, selects all descendant collections.", "type": "boolean" }, "collectionId": { "description": "The collection ID. When set, selects only collections with this ID.", "type": "string" } }, "description": "A selection of a collection, such as `messages as m1`." }, "CompositeFilter": { "description": "A filter that merges multiple other filters using the given operator.", "properties": { "filters": { "type": "array", "description": "The list of filters to combine. Requires: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh At least one filter is present.", "items": { "$ref": "Filter" } }, "op": { "enumDescriptions": [ "Unspecified. This value must not be used.", "Documents are required to satisfy all of the combined filters." ], "enum": [ "OPERATOR_UNSPECIFIED", "AND" ], "type": "string", "description": "The operator for combining multiple filters." } }, "id": "CompositeFilter", "type": "object" }, "DocumentRemove": { "type": "object", "properties": { "readTime": { "type": "string", "description": "The read timestamp at which the remove was observed. Greater or equal to the `commit_time` of the change/delete/remove.", "format": "google-datetime" }, "removedTargetIds": { "description": "A set of target IDs for targets that previously matched this document.", "type": "array", "items": { "type": "integer", "format": "int32" } }, "document": { "description": "The resource name of the Document that has gone out of view.", "type": "string" } }, "description": "A Document has been removed from the view of the targets. Sent if the document is no longer relevant to a target and is out of view. Can be sent instead of a DocumentDelete or a DocumentChange if the server can not send the new value of the document. Multiple DocumentRemove messages may be returned for the same logical write or delete, if multiple targets are affected.", "id": "DocumentRemove" }, "GoogleFirestoreAdminV1beta1ImportDocumentsMetadata": { "properties": { "startTime": { "type": "string", "description": "The time that work began on the operation.", "format": "google-datetime" }, "collectionIds": { "items": { "type": "string" }, "type": "array", "description": "Which collection ids are being imported." }, "operationState": { "enumDescriptions": [ "Unspecified.", "Request is being prepared for processing.", "Request is actively being processed.", "Request is in the process of being cancelled after user called google.longrunning.Operations.CancelOperation on the operation.", "Request has been processed and is in its finalization stage.", "Request has completed successfully.", "Request has finished being processed, but encountered an error.", "Request has finished being cancelled after user called google.longrunning.Operations.CancelOperation." ], "enum": [ "STATE_UNSPECIFIED", "INITIALIZING", "PROCESSING", "CANCELLING", "FINALIZING", "SUCCESSFUL", "FAILED", "CANCELLED" ], "type": "string", "description": "The state of the import operation." }, "progressDocuments": { "$ref": "GoogleFirestoreAdminV1beta1Progress", "description": "An estimate of the number of documents processed." }, "progressBytes": { "$ref": "GoogleFirestoreAdminV1beta1Progress", "description": "An estimate of the number of bytes processed." }, "endTime": { "type": "string", "description": "The time the operation ended, either successfully or otherwise. Unset if the operation is still active.", "format": "google-datetime" }, "inputUriPrefix": { "type": "string", "description": "The location of the documents being imported." } }, "description": "Metadata for ImportDocuments operations.", "id": "GoogleFirestoreAdminV1beta1ImportDocumentsMetadata", "type": "object" }, "Document": { "type": "object", "id": "Document", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time at which the document was last changed. This value is initially set to the `create_time` then increases monotonically with each change to the document. It can also be compared to values from other documents and the `read_time` of a query." }, "name": { "type": "string", "description": "The resource name of the document, for example `projects/{project_id}/databases/{database_id}/documents/{document_path}`." }, "createTime": { "type": "string", "description": "Output only. The time at which the document was created. This value increases monotonically when a document is deleted then recreated. It can also be compared to values from other documents and the `read_time` of a query.", "format": "google-datetime" }, "fields": { "additionalProperties": { "$ref": "Value" }, "description": "The document's fields. The map keys represent field names. A simple field name contains only characters `a` to `z`, `A` to `Z`, `0` to `9`, or `_`, and must not start with `0` to `9`. For example, `foo_bar_17`. Field names matching the regular expression `__.*__` are reserved. Reserved field names are forbidden except in certain documented contexts. The map keys, represented as UTF-8, must not exceed 1,500 bytes and cannot be empty. Field paths may be used in other contexts to refer to structured fields defined here. For `map_value`, the field path is represented by the simple or quoted field names of the containing fields, delimited by `.`. For example, the structured field `\"foo\" : { map_value: { \"x&y\" : { string_value: \"hello\" }}}` would be represented by the field path `foo.x&y`. Within a field path, a quoted field name starts and ends with `` ` `` and may contain any character. Some characters, including `` ` ``, must be escaped using a `\\`. For example, `` `x&y` `` represents `x&y` and `` `bak\\`tik` `` represents `` bak`tik ``.", "type": "object" } }, "description": "A Firestore document. Must not exceed 1 MiB - 4 bytes." }, "StructuredQuery": { "type": "object", "description": "A Firestore query.", "properties": { "endAt": { "description": "A end point for the query results.", "$ref": "Cursor" }, "offset": { "description": "The number of results to skip. Applies before limit, but after all other constraints. Must be \u003e= 0 if specified.", "format": "int32", "type": "integer" }, "where": { "$ref": "Filter", "description": "The filter to apply." }, "select": { "$ref": "Projection", "description": "The projection to return." }, "limit": { "format": "int32", "type": "integer", "description": "The maximum number of results to return. Applies after all other constraints. Must be \u003e= 0 if specified." }, "startAt": { "description": "A starting point for the query results.", "$ref": "Cursor" }, "orderBy": { "type": "array", "description": "The order to apply to the query results. Firestore guarantees a stable ordering through the following rules: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Any field required to appear in `order_by`, that is not already specified in `order_by`, is appended to the order in field name order by default. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh If an order on `__name__` is not specified, it is appended by default. Fields are appended with the same sort direction as the last order specified, or 'ASCENDING' if no order was specified. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A, __name__` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A DESC` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo ORDER BY A DESC, __name__ DESC` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo WHERE A \u003e 1` becomes `SELECT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FROM Foo WHERE A \u003e 1 ORDER BY A, __name__`", "items": { "$ref": "Order" } }, "from": { "description": "The collections to query.", "type": "array", "items": { "$ref": "CollectionSelector" } } }, "id": "StructuredQuery" }, "GoogleFirestoreAdminV1beta1IndexField": { "properties": { "fieldPath": { "type": "string", "description": "The path of the field. Must match the field path specification described by google.firestore.v1beta1.Document.fields. Special field path `__name__` may be used by itself or at the end of a path. `__type__` may be used only at the end of path." }, "mode": { "type": "string", "enumDescriptions": [ "The mode is unspecified.", "The field's values are indexed so as to support sequencing in ascending order and also query by \u003c, \u003e, \u003c=, \u003e=, and =.", "The field's values are indexed so as to support sequencing in descending order and also query by \u003c, \u003e, \u003c=, \u003e=, and =.", "The field's array values are indexed so as to support membership using ARRAY_CONTAINS queries." ], "description": "The field's mode.", "enum": [ "MODE_UNSPECIFIED", "ASCENDING", "DESCENDING", "ARRAY_CONTAINS" ] } }, "id": "GoogleFirestoreAdminV1beta1IndexField", "type": "object", "description": "A field of an index." } }, "fullyEncodeReservedExpansion": true, "title": "Cloud Firestore API", "protocol": "rest", "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "canonicalName": "Firestore", "rootUrl": "https://firestore.googleapis.com/", "ownerName": "Google", "documentationLink": "https://cloud.google.com/firestore", "id": "firestore:v1beta1", "resources": { "projects": { "resources": { "databases": { "methods": { "exportDocuments": { "request": { "$ref": "GoogleFirestoreAdminV1beta1ExportDocumentsRequest" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}:exportDocuments", "parameterOrder": [ "name" ], "description": "Exports a copy of all or a subset of documents from Google Cloud Firestore to another storage system, such as Google Cloud Storage. Recent updates to documents may not be reflected in the export. The export occurs in the background and its progress can be monitored and managed via the Operation resource that is created. The output of an export may only be used once the associated operation is done. If an export operation is cancelled before completion it may leave partial data behind in Google Cloud Storage.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.exportDocuments", "path": "v1beta1/{+name}:exportDocuments", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Database to export. Should be of the form: `projects/{project_id}/databases/{database_id}`.", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+$" } } }, "importDocuments": { "path": "v1beta1/{+name}:importDocuments", "description": "Imports documents into Google Cloud Firestore. Existing documents with the same name are overwritten. The import occurs in the background and its progress can be monitored and managed via the Operation resource that is created. If an ImportDocuments operation is cancelled, it is possible that a subset of the data has already been imported to Cloud Firestore.", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}:importDocuments", "id": "firestore.projects.databases.importDocuments", "httpMethod": "POST", "request": { "$ref": "GoogleFirestoreAdminV1beta1ImportDocumentsRequest" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/databases/[^/]+$", "required": true, "location": "path", "description": "Database to import into. Should be of the form: `projects/{project_id}/databases/{database_id}`." } }, "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] } }, "resources": { "documents": { "methods": { "listDocuments": { "parameterOrder": [ "parent", "collectionId" ], "httpMethod": "GET", "id": "firestore.projects.databases.documents.listDocuments", "parameters": { "transaction": { "location": "query", "format": "byte", "description": "Reads documents in a transaction.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents$", "location": "path", "type": "string", "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "required": true }, "mask.fieldPaths": { "repeated": true, "type": "string", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "location": "query" }, "showMissing": { "location": "query", "type": "boolean", "description": "If the list should show missing documents. A missing document is a document that does not exist but has sub-documents. These documents will be returned with a key but will not have fields, Document.create_time, or Document.update_time set. Requests with `show_missing` may not specify `where` or `order_by`." }, "pageSize": { "description": "The maximum number of documents to return.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "The `next_page_token` value returned from a previous List request, if any." }, "readTime": { "type": "string", "location": "query", "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "format": "google-datetime" }, "orderBy": { "description": "The order to sort results by. For example: `priority desc, name`.", "type": "string", "location": "query" }, "collectionId": { "location": "path", "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms` or `messages`.", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{collectionId}", "description": "Lists documents.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "response": { "$ref": "ListDocumentsResponse" }, "path": "v1beta1/{+parent}/{collectionId}" }, "batchWrite": { "httpMethod": "POST", "parameterOrder": [ "database" ], "parameters": { "database": { "pattern": "^projects/[^/]+/databases/[^/]+$", "location": "path", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "required": true, "type": "string" } }, "path": "v1beta1/{+database}/documents:batchWrite", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:batchWrite", "id": "firestore.projects.databases.documents.batchWrite", "request": { "$ref": "BatchWriteRequest" }, "description": "Applies a batch of write operations. The BatchWrite method does not apply the write operations atomically and can apply them out of order. Method does not allow more than one write per document. Each write succeeds or fails independently. See the BatchWriteResponse for the success status of each write. If you require an atomically applied set of writes, use Commit instead.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "response": { "$ref": "BatchWriteResponse" } }, "batchGet": { "path": "v1beta1/{+database}/documents:batchGet", "parameters": { "database": { "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+$", "type": "string" } }, "parameterOrder": [ "database" ], "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:batchGet", "httpMethod": "POST", "response": { "$ref": "BatchGetDocumentsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Gets multiple documents. Documents returned by this method are not guaranteed to be returned in the same order that they were requested.", "id": "firestore.projects.databases.documents.batchGet", "request": { "$ref": "BatchGetDocumentsRequest" } }, "listen": { "parameters": { "database": { "pattern": "^projects/[^/]+/databases/[^/]+$", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "location": "path", "required": true, "type": "string" } }, "httpMethod": "POST", "parameterOrder": [ "database" ], "path": "v1beta1/{+database}/documents:listen", "id": "firestore.projects.databases.documents.listen", "request": { "$ref": "ListenRequest" }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:listen", "description": "Listens to changes.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "response": { "$ref": "ListenResponse" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "showMissing": { "location": "query", "type": "boolean", "description": "If the list should show missing documents. A missing document is a document that does not exist but has sub-documents. These documents will be returned with a key but will not have fields, Document.create_time, or Document.update_time set. Requests with `show_missing` may not specify `where` or `order_by`." }, "transaction": { "description": "Reads documents in a transaction.", "location": "query", "format": "byte", "type": "string" }, "collectionId": { "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms` or `messages`.", "location": "path", "type": "string", "required": true }, "pageSize": { "type": "integer", "description": "The maximum number of documents to return.", "location": "query", "format": "int32" }, "mask.fieldPaths": { "location": "query", "repeated": true, "type": "string", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." }, "pageToken": { "description": "The `next_page_token` value returned from a previous List request, if any.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "The order to sort results by. For example: `priority desc, name`." }, "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "type": "string", "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "required": true, "location": "path" }, "readTime": { "description": "Reads documents as they were at the given time. This may not be older than 270 seconds.", "type": "string", "format": "google-datetime", "location": "query" } }, "parameterOrder": [ "parent", "collectionId" ], "path": "v1beta1/{+parent}/{collectionId}", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}/{collectionId}", "id": "firestore.projects.databases.documents.list", "response": { "$ref": "ListDocumentsResponse" }, "description": "Lists documents." }, "partitionQuery": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Partitions a query by returning partition cursors that can be used to run the query in parallel. The returned partition cursors are split points that can be used by RunQuery as starting/end points for the query results.", "request": { "$ref": "PartitionQueryRequest" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents`. Document resource names are not supported; only database resource names can be specified.", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "PartitionQueryResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:partitionQuery", "path": "v1beta1/{+parent}:partitionQuery", "id": "firestore.projects.databases.documents.partitionQuery" }, "delete": { "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "parameters": { "currentDocument.exists": { "type": "boolean", "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist.", "location": "query" }, "name": { "type": "string", "description": "Required. The resource name of the Document to delete. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "location": "path", "required": true }, "currentDocument.updateTime": { "type": "string", "location": "query", "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned.", "format": "google-datetime" } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a document.", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.documents.delete" }, "rollback": { "id": "firestore.projects.databases.documents.rollback", "response": { "$ref": "Empty" }, "path": "v1beta1/{+database}/documents:rollback", "parameterOrder": [ "database" ], "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:rollback", "httpMethod": "POST", "request": { "$ref": "RollbackRequest" }, "parameters": { "database": { "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "pattern": "^projects/[^/]+/databases/[^/]+$", "type": "string", "required": true, "location": "path" } }, "description": "Rolls back a transaction.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "createDocument": { "response": { "$ref": "Document" }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{collectionId}", "parameterOrder": [ "parent", "collectionId" ], "description": "Creates a new document.", "request": { "$ref": "Document" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/{collectionId}", "parameters": { "parent": { "pattern": "^projects/[^/]+/databases/[^/]+/documents/.*$", "description": "Required. The parent resource. For example: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/chatrooms/{chatroom_id}`", "location": "path", "type": "string", "required": true }, "collectionId": { "location": "path", "required": true, "description": "Required. The collection ID, relative to `parent`, to list. For example: `chatrooms`.", "type": "string" }, "mask.fieldPaths": { "type": "string", "repeated": true, "location": "query", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." }, "documentId": { "location": "query", "type": "string", "description": "The client-assigned document ID to use for this document. Optional. If not specified, an ID will be assigned by the service." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.documents.createDocument" }, "listCollectionIds": { "path": "v1beta1/{+parent}:listCollectionIds", "parameterOrder": [ "parent" ], "description": "Lists all the collection IDs underneath a document.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:listCollectionIds", "request": { "$ref": "ListCollectionIdsRequest" }, "id": "firestore.projects.databases.documents.listCollectionIds", "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The parent document. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "location": "path", "type": "string", "required": true } }, "response": { "$ref": "ListCollectionIdsResponse" } }, "commit": { "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:commit", "parameterOrder": [ "database" ], "request": { "$ref": "CommitRequest" }, "parameters": { "database": { "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`.", "pattern": "^projects/[^/]+/databases/[^/]+$", "required": true, "location": "path", "type": "string" } }, "description": "Commits a transaction, while optionally updating documents.", "id": "firestore.projects.databases.documents.commit", "httpMethod": "POST", "path": "v1beta1/{+database}/documents:commit", "response": { "$ref": "CommitResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ] }, "beginTransaction": { "httpMethod": "POST", "response": { "$ref": "BeginTransactionResponse" }, "id": "firestore.projects.databases.documents.beginTransaction", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:beginTransaction", "path": "v1beta1/{+database}/documents:beginTransaction", "parameters": { "database": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+$", "required": true, "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`." } }, "description": "Starts a new transaction.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "database" ], "request": { "$ref": "BeginTransactionRequest" } }, "write": { "parameterOrder": [ "database" ], "request": { "$ref": "WriteRequest" }, "id": "firestore.projects.databases.documents.write", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "database": { "type": "string", "description": "Required. The database name. In the format: `projects/{project_id}/databases/{database_id}`. This is only required in the first message.", "pattern": "^projects/[^/]+/databases/[^/]+$", "location": "path", "required": true } }, "response": { "$ref": "WriteResponse" }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents:write", "description": "Streams batches of document updates and deletes, in order.", "path": "v1beta1/{+database}/documents:write", "httpMethod": "POST" }, "runQuery": { "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}:runQuery", "description": "Runs a query.", "response": { "$ref": "RunQueryResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "POST", "id": "firestore.projects.databases.documents.runQuery", "parameters": { "parent": { "description": "Required. The parent resource name. In the format: `projects/{project_id}/databases/{database_id}/documents` or `projects/{project_id}/databases/{database_id}/documents/{document_path}`. For example: `projects/my-project/databases/my-database/documents` or `projects/my-project/databases/my-database/documents/chatrooms/my-chatroom`", "required": true, "type": "string", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "location": "path" } }, "parameterOrder": [ "parent" ], "request": { "$ref": "RunQueryRequest" }, "path": "v1beta1/{+parent}:runQuery" }, "patch": { "request": { "$ref": "Document" }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "parameters": { "mask.fieldPaths": { "location": "query", "repeated": true, "type": "string", "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." }, "currentDocument.updateTime": { "type": "string", "description": "When set, the target document must exist and have been last updated at that time. Timestamp must be microsecond aligned.", "format": "google-datetime", "location": "query" }, "currentDocument.exists": { "location": "query", "type": "boolean", "description": "When set to `true`, the target document must exist. When set to `false`, the target document must not exist." }, "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "required": true, "description": "The resource name of the document, for example `projects/{project_id}/databases/{database_id}/documents/{document_path}`." }, "updateMask.fieldPaths": { "location": "query", "repeated": true, "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference.", "type": "string" } }, "description": "Updates or inserts a document.", "id": "firestore.projects.databases.documents.patch", "response": { "$ref": "Document" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "PATCH", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/documents/{documentsId}/{documentsId1}", "path": "v1beta1/{+name}", "response": { "$ref": "Document" }, "description": "Gets a single document.", "id": "firestore.projects.databases.documents.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. The resource name of the Document to get. In the format: `projects/{project_id}/databases/{database_id}/documents/{document_path}`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/databases/[^/]+/documents/[^/]+/.*$", "type": "string" }, "readTime": { "format": "google-datetime", "description": "Reads the version of the document at the given time. This may not be older than 270 seconds.", "type": "string", "location": "query" }, "mask.fieldPaths": { "location": "query", "type": "string", "repeated": true, "description": "The list of field paths in the mask. See Document.fields for a field path syntax reference." }, "transaction": { "location": "query", "format": "byte", "description": "Reads the document in a transaction.", "type": "string" } } } } }, "indexes": { "methods": { "list": { "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "The database name. For example: `projects/{project_id}/databases/{database_id}`", "pattern": "^projects/[^/]+/databases/[^/]+$" }, "filter": { "type": "string", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The standard List page size." }, "pageToken": { "location": "query", "description": "The standard List page token.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/indexes", "path": "v1beta1/{+parent}/indexes", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "description": "Lists the indexes that match the specified filters.", "id": "firestore.projects.databases.indexes.list", "response": { "$ref": "GoogleFirestoreAdminV1beta1ListIndexesResponse" }, "httpMethod": "GET" }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/databases/[^/]+/indexes/[^/]+$", "location": "path", "required": true, "description": "The name of the index. For example: `projects/{project_id}/databases/{database_id}/indexes/{index_id}`", "type": "string" } }, "response": { "$ref": "GoogleFirestoreAdminV1beta1Index" }, "httpMethod": "GET", "description": "Gets an index.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/indexes/{indexesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "id": "firestore.projects.databases.indexes.get" }, "delete": { "id": "firestore.projects.databases.indexes.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Deletes an index.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameters": { "name": { "description": "The index name. For example: `projects/{project_id}/databases/{database_id}/indexes/{index_id}`", "required": true, "location": "path", "pattern": "^projects/[^/]+/databases/[^/]+/indexes/[^/]+$", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/indexes/{indexesId}", "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}" }, "create": { "request": { "$ref": "GoogleFirestoreAdminV1beta1Index" }, "id": "firestore.projects.databases.indexes.create", "path": "v1beta1/{+parent}/indexes", "description": "Creates the specified index. A newly created index's initial state is `CREATING`. On completion of the returned google.longrunning.Operation, the state will be `READY`. If the index already exists, the call will return an `ALREADY_EXISTS` status. During creation, the process could result in an error, in which case the index will move to the `ERROR` state. The process can be recovered by fixing the data that caused the error, removing the index with delete, then re-creating the index with create. Indexes with a single field cannot be created.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/datastore" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/databases/[^/]+$", "description": "The name of the database this index will apply to. For example: `projects/{project_id}/databases/{database_id}`", "required": true, "location": "path", "type": "string" } }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/databases/{databasesId}/indexes", "response": { "$ref": "GoogleLongrunningOperation" } } } } } } } } }, "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "alt": { "default": "json", "location": "query", "type": "string", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/datastore": { "description": "View and manage your Google Cloud Datastore data" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "mtlsRootUrl": "https://firestore.mtls.googleapis.com/", "revision": "20220625", "name": "firestore", "batchPath": "batch", "baseUrl": "https://firestore.googleapis.com/", "kind": "discovery#restDescription", "description": "Accesses the NoSQL document database built for automatic scaling, high performance, and ease of application development. " }
]===]))
