local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "forms", "servicePath": "", "discoveryVersion": "v1", "title": "Google Forms API", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "protocol": "rest", "documentationLink": "https://developers.google.com/forms/api", "kind": "discovery#restDescription", "id": "forms:v1", "ownerName": "Google", "revision": "20220703", "version": "v1", "canonicalName": "Forms", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/forms.body.readonly": { "description": "See all your Google Forms forms" }, "https://www.googleapis.com/auth/drive.file": { "description": "See, edit, create, and delete only the specific Google Drive files you use with this app" }, "https://www.googleapis.com/auth/drive": { "description": "See, edit, create, and delete all of your Google Drive files" }, "https://www.googleapis.com/auth/drive.readonly": { "description": "See and download all your Google Drive files" }, "https://www.googleapis.com/auth/forms.responses.readonly": { "description": "See all responses to your Google Forms forms" }, "https://www.googleapis.com/auth/forms.body": { "description": "See, edit, create, and delete all your Google Forms forms" } } } }, "baseUrl": "https://forms.googleapis.com/", "basePath": "", "description": "Reads and writes Google Forms and responses.", "mtlsRootUrl": "https://forms.mtls.googleapis.com/", "batchPath": "batch", "ownerDomain": "google.com", "resources": { "forms": { "methods": { "get": { "parameters": { "formId": { "location": "path", "required": true, "description": "Required. The form ID.", "type": "string" } }, "parameterOrder": [ "formId" ], "flatPath": "v1/forms/{formId}", "response": { "$ref": "Form" }, "id": "forms.forms.get", "path": "v1/forms/{formId}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/forms.body", "https://www.googleapis.com/auth/forms.body.readonly" ], "description": "Get a form." }, "create": { "description": "Create a new form using the title given in the provided form message in the request. *Important:* Only the form.info.title and form.info.document_title fields are copied to the new form. All other fields including the form description, items and settings are disallowed. To create a new form and add items, you must first call forms.create to create an empty form with a title and (optional) document title, and then call forms.update to add the items.", "request": { "$ref": "Form" }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/forms.body" ], "id": "forms.forms.create", "path": "v1/forms", "parameterOrder": [], "flatPath": "v1/forms", "response": { "$ref": "Form" }, "httpMethod": "POST", "parameters": {} }, "batchUpdate": { "description": "Change the form with a batch of updates.", "response": { "$ref": "BatchUpdateFormResponse" }, "parameters": { "formId": { "type": "string", "location": "path", "description": "Required. The form ID.", "required": true } }, "id": "forms.forms.batchUpdate", "path": "v1/forms/{formId}:batchUpdate", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/forms.body" ], "parameterOrder": [ "formId" ], "httpMethod": "POST", "flatPath": "v1/forms/{formId}:batchUpdate", "request": { "$ref": "BatchUpdateFormRequest" } } }, "resources": { "responses": { "methods": { "get": { "parameters": { "responseId": { "required": true, "location": "path", "description": "Required. The response ID within the form.", "type": "string" }, "formId": { "required": true, "location": "path", "description": "Required. The form ID.", "type": "string" } }, "path": "v1/forms/{formId}/responses/{responseId}", "httpMethod": "GET", "description": "Get one response from the form.", "id": "forms.forms.responses.get", "parameterOrder": [ "formId", "responseId" ], "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/forms.responses.readonly" ], "response": { "$ref": "FormResponse" }, "flatPath": "v1/forms/{formId}/responses/{responseId}" }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of responses to return. The service may return fewer than this value. If unspecified or zero, at most 5000 responses are returned." }, "pageToken": { "location": "query", "description": "A page token returned by a previous list response. If this field is set, the form and the values of the filter must be the same as for the original request.", "type": "string" }, "formId": { "location": "path", "required": true, "type": "string", "description": "Required. ID of the Form whose responses to list." }, "filter": { "type": "string", "description": "Which form responses to return. Currently, the only supported filters are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh timestamp \u003e LICENSE which means to get all form responses submitted after (but not at) timestamp *N*. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh timestamp \u003e= LICENSE which means to get all form responses submitted at and after timestamp *N*. For both supported filters, timestamp must be formatted in RFC3339 UTC \"Zulu\" format. Examples: \"2014-10-02T15:01:23Z\" and \"2014-10-02T15:01:23.045123456Z\".", "location": "query" } }, "httpMethod": "GET", "path": "v1/forms/{formId}/responses", "flatPath": "v1/forms/{formId}/responses", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/forms.responses.readonly" ], "response": { "$ref": "ListFormResponsesResponse" }, "description": "List a form's responses.", "id": "forms.forms.responses.list", "parameterOrder": [ "formId" ] } } }, "watches": { "methods": { "delete": { "id": "forms.forms.watches.delete", "httpMethod": "DELETE", "description": "Delete a watch.", "parameterOrder": [ "formId", "watchId" ], "path": "v1/forms/{formId}/watches/{watchId}", "response": { "$ref": "Empty" }, "parameters": { "watchId": { "description": "Required. The ID of the Watch to delete.", "location": "path", "required": true, "type": "string" }, "formId": { "location": "path", "type": "string", "required": true, "description": "Required. The ID of the Form." } }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/forms.body", "https://www.googleapis.com/auth/forms.body.readonly", "https://www.googleapis.com/auth/forms.responses.readonly" ], "flatPath": "v1/forms/{formId}/watches/{watchId}" }, "renew": { "parameterOrder": [ "formId", "watchId" ], "id": "forms.forms.watches.renew", "path": "v1/forms/{formId}/watches/{watchId}:renew", "response": { "$ref": "Watch" }, "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/forms.body", "https://www.googleapis.com/auth/forms.body.readonly", "https://www.googleapis.com/auth/forms.responses.readonly" ], "description": "Renew an existing watch for seven days. The state of the watch after renewal is `ACTIVE`, and the `expire_time` is seven days from the renewal. Renewing a watch in an error state (e.g. `SUSPENDED`) succeeds if the error is no longer present, but fail otherwise. After a watch has expired, RenewWatch returns `NOT_FOUND`.", "parameters": { "watchId": { "required": true, "location": "path", "type": "string", "description": "Required. The ID of the Watch to renew." }, "formId": { "type": "string", "description": "Required. The ID of the Form.", "location": "path", "required": true } }, "httpMethod": "POST", "request": { "$ref": "RenewWatchRequest" }, "flatPath": "v1/forms/{formId}/watches/{watchId}:renew" }, "list": { "path": "v1/forms/{formId}/watches", "flatPath": "v1/forms/{formId}/watches", "description": "Return a list of the watches owned by the invoking project. The maximum number of watches is two: For each invoker, the limit is one for each event type per form.", "response": { "$ref": "ListWatchesResponse" }, "parameterOrder": [ "formId" ], "parameters": { "formId": { "description": "Required. ID of the Form whose watches to list.", "type": "string", "required": true, "location": "path" } }, "id": "forms.forms.watches.list", "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/forms.body", "https://www.googleapis.com/auth/forms.body.readonly", "https://www.googleapis.com/auth/forms.responses.readonly" ], "httpMethod": "GET" }, "create": { "response": { "$ref": "Watch" }, "httpMethod": "POST", "parameters": { "formId": { "location": "path", "required": true, "description": "Required. ID of the Form to watch.", "type": "string" } }, "path": "v1/forms/{formId}/watches", "id": "forms.forms.watches.create", "parameterOrder": [ "formId" ], "scopes": [ "https://www.googleapis.com/auth/drive", "https://www.googleapis.com/auth/drive.file", "https://www.googleapis.com/auth/drive.readonly", "https://www.googleapis.com/auth/forms.body", "https://www.googleapis.com/auth/forms.body.readonly", "https://www.googleapis.com/auth/forms.responses.readonly" ], "description": "Create a new watch. If a watch ID is provided, it must be unused. For each invoking project, the per form limit is one watch per Watch.EventType. A watch expires seven days after it is created (see Watch.expire_time).", "flatPath": "v1/forms/{formId}/watches", "request": { "$ref": "CreateWatchRequest" } } } } } } }, "fullyEncodeReservedExpansion": true, "rootUrl": "https://forms.googleapis.com/", "version_module": true, "schemas": { "Location": { "description": "A specific location in a form.", "type": "object", "id": "Location", "properties": { "index": { "type": "integer", "format": "int32", "description": "The index of an item in the form. This must be in the range [0..*N*), where LICENSE is the number of items in the form." } } }, "Item": { "properties": { "itemId": { "description": "The item ID. On creation, it can be provided but the ID must not be already used in the form. If not provided, a new ID is assigned.", "type": "string" }, "questionGroupItem": { "description": "Poses one or more questions to the user with a single major prompt.", "$ref": "QuestionGroupItem" }, "videoItem": { "$ref": "VideoItem", "description": "Displays a video on the page." }, "questionItem": { "description": "Poses a question to the user.", "$ref": "QuestionItem" }, "pageBreakItem": { "$ref": "PageBreakItem", "description": "Starts a new page with a title." }, "textItem": { "description": "Displays a title and description on the page.", "$ref": "TextItem" }, "title": { "type": "string", "description": "The title of the item." }, "description": { "type": "string", "description": "The description of the item." }, "imageItem": { "description": "Displays an image on the page.", "$ref": "ImageItem" } }, "id": "Item", "type": "object", "description": "A single item of the form. `kind` defines which kind of item it is." }, "Question": { "type": "object", "id": "Question", "properties": { "questionId": { "description": "Read only. The question ID. On creation, it can be provided but the ID must not be already used in the form. If not provided, a new ID is assigned.", "type": "string" }, "timeQuestion": { "description": "A respondent can enter a time.", "$ref": "TimeQuestion" }, "choiceQuestion": { "description": "A respondent can choose from a pre-defined set of options.", "$ref": "ChoiceQuestion" }, "grading": { "description": "Grading setup for the question.", "$ref": "Grading" }, "required": { "description": "Whether the question must be answered in order for a respondent to submit their response.", "type": "boolean" }, "textQuestion": { "description": "A respondent can enter a free text response.", "$ref": "TextQuestion" }, "rowQuestion": { "description": "A row of a QuestionGroupItem.", "$ref": "RowQuestion" }, "fileUploadQuestion": { "description": "A respondent can upload one or more files.", "$ref": "FileUploadQuestion" }, "scaleQuestion": { "$ref": "ScaleQuestion", "description": "A respondent can choose a number from a range." }, "dateQuestion": { "description": "A respondent can enter a date.", "$ref": "DateQuestion" } }, "description": "Any question. The specific type of question is known by its `kind`." }, "CreateItemRequest": { "properties": { "item": { "description": "Required. The item to create.", "$ref": "Item" }, "location": { "$ref": "Location", "description": "Required. Where to place the new item." } }, "description": "Create an item in a form.", "type": "object", "id": "CreateItemRequest" }, "ImageItem": { "type": "object", "properties": { "image": { "description": "Required. The image displayed in the item.", "$ref": "Image" } }, "description": "An item containing an image.", "id": "ImageItem" }, "MoveItemRequest": { "description": "Move an item in a form.", "type": "object", "properties": { "originalLocation": { "description": "Required. The location of the item to move.", "$ref": "Location" }, "newLocation": { "$ref": "Location", "description": "Required. The new location for the item." } }, "id": "MoveItemRequest" }, "FileUploadAnswers": { "id": "FileUploadAnswers", "properties": { "answers": { "type": "array", "description": "Output only. All submitted files for a FileUpload question.", "readOnly": true, "items": { "$ref": "FileUploadAnswer" } } }, "type": "object", "description": "All submitted files for a FileUpload question." }, "Option": { "id": "Option", "properties": { "isOther": { "type": "boolean", "description": "Whether the option is \"other\". Currently only applies to `RADIO` and `CHECKBOX` choice types, but is not allowed in a QuestionGroupItem." }, "goToAction": { "description": "Section navigation type.", "enum": [ "GO_TO_ACTION_UNSPECIFIED", "NEXT_SECTION", "RESTART_FORM", "SUBMIT_FORM" ], "enumDescriptions": [ "Default value. Unused.", "Go to the next section.", "Go back to the beginning of the form.", "Submit form immediately." ], "type": "string" }, "goToSectionId": { "description": "Item ID of section header to go to.", "type": "string" }, "image": { "description": "Display image as an option.", "$ref": "Image" }, "value": { "type": "string", "description": "Required. The choice as presented to the user." } }, "type": "object", "description": "An option for a Choice question." }, "RenewWatchRequest": { "id": "RenewWatchRequest", "properties": {}, "type": "object", "description": "Renew an existing Watch for seven days." }, "Grading": { "type": "object", "properties": { "pointValue": { "description": "Required. The maximum number of points a respondent can automatically get for a correct answer. This must not be negative.", "type": "integer", "format": "int32" }, "correctAnswers": { "$ref": "CorrectAnswers", "description": "Required. The answer key for the question. Responses are automatically graded based on this field." }, "whenWrong": { "$ref": "Feedback", "description": "The feedback displayed for incorrect responses. This feedback can only be set for multiple choice questions that have correct answers provided." }, "whenRight": { "description": "The feedback displayed for correct responses. This feedback can only be set for multiple choice questions that have correct answers provided.", "$ref": "Feedback" }, "generalFeedback": { "$ref": "Feedback", "description": "The feedback displayed for all answers. This is commonly used for short answer questions when a quiz owner wants to quickly give respondents some sense of whether they answered the question correctly before they've had a chance to officially grade the response. General feedback cannot be set for automatically graded multiple choice questions." } }, "description": "Grading for a single question", "id": "Grading" }, "TimeQuestion": { "properties": { "duration": { "description": "`true` if the question is about an elapsed time. Otherwise it is about a time of day.", "type": "boolean" } }, "type": "object", "description": "A time question.", "id": "TimeQuestion" }, "QuizSettings": { "id": "QuizSettings", "description": "Settings related to quiz forms and grading. These must be updated with the UpdateSettingsRequest.", "properties": { "isQuiz": { "type": "boolean", "description": "Whether this form is a quiz or not. When true, responses are graded based on question Grading. Upon setting to false, all question Grading is deleted." } }, "type": "object" }, "CloudPubsubTopic": { "properties": { "topicName": { "description": "Required. A fully qualified Pub/Sub topic name to publish the events to. This topic must be owned by the calling project and already exist in Pub/Sub.", "type": "string" } }, "type": "object", "id": "CloudPubsubTopic", "description": "A Pub/Sub topic." }, "Request": { "type": "object", "description": "The kinds of update requests that can be made.", "id": "Request", "properties": { "moveItem": { "description": "Move an item to a specified location.", "$ref": "MoveItemRequest" }, "deleteItem": { "$ref": "DeleteItemRequest", "description": "Delete an item." }, "updateSettings": { "$ref": "UpdateSettingsRequest", "description": "Updates the Form's settings." }, "createItem": { "description": "Create a new item.", "$ref": "CreateItemRequest" }, "updateFormInfo": { "$ref": "UpdateFormInfoRequest", "description": "Update Form's Info." }, "updateItem": { "description": "Update an item.", "$ref": "UpdateItemRequest" } } }, "ScaleQuestion": { "description": "A scale question. The user has a range of numeric values to choose from.", "properties": { "highLabel": { "type": "string", "description": "The label to display describing the highest point on the scale." }, "high": { "description": "Required. The highest possible value for the scale.", "type": "integer", "format": "int32" }, "low": { "description": "Required. The lowest possible value for the scale.", "format": "int32", "type": "integer" }, "lowLabel": { "type": "string", "description": "The label to display describing the lowest point on the scale." } }, "id": "ScaleQuestion", "type": "object" }, "FileUploadQuestion": { "properties": { "maxFiles": { "type": "integer", "description": "Maximum number of files that can be uploaded for this question in a single response.", "format": "int32" }, "types": { "items": { "enumDescriptions": [ "Default value. Unused.", "No restrictions on type.", "A Google Docs document.", "A Google Slides presentation.", "A Google Sheets spreadsheet.", "A drawing.", "A PDF.", "An image.", "A video.", "An audio file." ], "type": "string", "enum": [ "FILE_TYPE_UNSPECIFIED", "ANY", "DOCUMENT", "PRESENTATION", "SPREADSHEET", "DRAWING", "PDF", "IMAGE", "VIDEO", "AUDIO" ] }, "type": "array", "description": "File types accepted by this question." }, "folderId": { "description": "Required. The ID of the Drive folder where uploaded files are stored.", "type": "string" }, "maxFileSize": { "description": "Maximum number of bytes allowed for any single file uploaded to this question.", "format": "int64", "type": "string" } }, "id": "FileUploadQuestion", "type": "object", "description": "A file upload question. The API currently does not support creating file upload questions." }, "PageBreakItem": { "id": "PageBreakItem", "description": "A page break. The title and description of this item are shown at the top of the new page.", "type": "object", "properties": {} }, "TextItem": { "id": "TextItem", "type": "object", "description": "A text item.", "properties": {} }, "CreateWatchRequest": { "id": "CreateWatchRequest", "properties": { "watch": { "description": "Required. The watch object. No ID should be set on this object; use `watch_id` instead.", "$ref": "Watch" }, "watchId": { "description": "The ID to use for the watch. If specified, the ID must not already be in use. If not specified, an ID is generated. This value should be 4-63 characters, and valid characters are /a-z-/.", "type": "string" } }, "description": "Create a new watch.", "type": "object" }, "DeleteItemRequest": { "id": "DeleteItemRequest", "description": "Delete an item in a form.", "type": "object", "properties": { "location": { "$ref": "Location", "description": "Required. The location of the item to delete." } } }, "FormSettings": { "type": "object", "properties": { "quizSettings": { "description": "Settings related to quiz forms and grading.", "$ref": "QuizSettings" } }, "description": "A form's settings.", "id": "FormSettings" }, "CorrectAnswers": { "type": "object", "properties": { "answers": { "type": "array", "description": "A list of correct answers. A quiz response can be automatically graded based on these answers. For single-valued questions, a response is marked correct if it matches any value in this list (in other words, multiple correct answers are possible). For multiple-valued (`CHECKBOX`) questions, a response is marked correct if it contains exactly the values in this list.", "items": { "$ref": "CorrectAnswer" } } }, "id": "CorrectAnswers", "description": "The answer key for a question." }, "TextAnswers": { "properties": { "answers": { "description": "Output only. Answers to a question. For multiple-value ChoiceQuestions, each answer is a separate value.", "readOnly": true, "type": "array", "items": { "$ref": "TextAnswer" } } }, "type": "object", "id": "TextAnswers", "description": "A question's answers as text." }, "WriteControl": { "id": "WriteControl", "properties": { "requiredRevisionId": { "description": "The revision ID of the form that the write request is applied to. If this is not the latest revision of the form, the request is not processed and returns a 400 bad request error.", "type": "string" }, "targetRevisionId": { "type": "string", "description": "The target revision ID of the form that the write request is applied to. If changes have occurred after this revision, the changes in this update request are transformed against those changes. This results in a new revision of the form that incorporates both the changes in the request and the intervening changes, with the server resolving conflicting changes. The target revision ID may only be used to write to recent versions of a form. If the target revision is too far behind the latest revision, the request is not processed and returns a 400 (Bad Request Error). The request may be retried after reading the latest version of the form. In most cases a target revision ID remains valid for several minutes after it is read, but for frequently-edited forms this window may be shorter." } }, "type": "object", "description": "Provides control over how write requests are executed." }, "RowQuestion": { "type": "object", "properties": { "title": { "description": "Required. The title for the single row in the QuestionGroupItem.", "type": "string" } }, "id": "RowQuestion", "description": "Configuration for a question that is part of a question group." }, "Grade": { "type": "object", "properties": { "correct": { "type": "boolean", "description": "Output only. Whether the question was answered correctly or not. A zero-point score is not enough to infer incorrectness, since a correctly answered question could be worth zero points.", "readOnly": true }, "feedback": { "readOnly": true, "$ref": "Feedback", "description": "Output only. Additional feedback given for an answer." }, "score": { "description": "Output only. The numeric score awarded for the answer.", "format": "double", "type": "number", "readOnly": true } }, "id": "Grade", "description": "Grade information associated with a respondent's answer to a question." }, "TextLink": { "properties": { "displayText": { "description": "Required. Display text for the URI.", "type": "string" }, "uri": { "type": "string", "description": "Required. The URI." } }, "id": "TextLink", "description": "Link for text.", "type": "object" }, "TextQuestion": { "properties": { "paragraph": { "type": "boolean", "description": "Whether the question is a paragraph question or not. If not, the question is a short text question." } }, "description": "A text-based question.", "id": "TextQuestion", "type": "object" }, "BatchUpdateFormResponse": { "type": "object", "properties": { "writeControl": { "$ref": "WriteControl", "description": "The updated write control after applying the request." }, "replies": { "description": "The reply of the updates. This maps 1:1 with the update requests, although replies to some requests may be empty.", "type": "array", "items": { "$ref": "Response" } }, "form": { "$ref": "Form", "description": "Based on the bool request field `include_form_in_response`, a form with all applied mutations/updates is returned or not. This may be later than the revision ID created by these changes." } }, "description": "Response to a BatchUpdateFormRequest.", "id": "BatchUpdateFormResponse" }, "Response": { "properties": { "createItem": { "$ref": "CreateItemResponse", "description": "The result of creating an item." } }, "description": "A single response from an update.", "type": "object", "id": "Response" }, "UpdateSettingsRequest": { "description": "Update Form's FormSettings.", "properties": { "settings": { "$ref": "FormSettings", "description": "Required. The settings to update with." }, "updateMask": { "description": "Required. Only values named in this mask are changed. At least one field must be specified. The root `settings` is implied and should not be specified. A single `\"*\"` can be used as short-hand for updating every field.", "type": "string", "format": "google-fieldmask" } }, "type": "object", "id": "UpdateSettingsRequest" }, "Answer": { "description": "The submitted answer for a question.", "properties": { "fileUploadAnswers": { "readOnly": true, "$ref": "FileUploadAnswers", "description": "Output only. The answers to a file upload question." }, "questionId": { "type": "string", "description": "Output only. The question's ID. See also Question.question_id.", "readOnly": true }, "textAnswers": { "readOnly": true, "$ref": "TextAnswers", "description": "Output only. The specific answers as text." }, "grade": { "readOnly": true, "$ref": "Grade", "description": "Output only. The grade for the answer if the form was a quiz." } }, "id": "Answer", "type": "object" }, "Form": { "properties": { "settings": { "$ref": "FormSettings", "description": "The form's settings. This must be updated with UpdateSettingsRequest; it is ignored during `forms.create` and UpdateFormInfoRequest." }, "revisionId": { "type": "string", "description": "Output only. The revision ID of the form. Used in the WriteControl in update requests to identify the revision on which the changes are based. The format of the revision ID may change over time, so it should be treated opaquely. A returned revision ID is only guaranteed to be valid for 24 hours after it has been returned and cannot be shared across users. If the revision ID is unchanged between calls, then the form has not changed. Conversely, a changed ID (for the same form and user) usually means the form has been updated; however, a changed ID can also be due to internal factors such as ID format changes.", "readOnly": true }, "responderUri": { "type": "string", "description": "Output only. The form URI to share with responders. This opens a page that allows the user to submit responses but not edit the questions.", "readOnly": true }, "formId": { "readOnly": true, "type": "string", "description": "Output only. The form ID." }, "linkedSheetId": { "description": "Output only. The ID of the linked Google Sheet which is accumulating responses from this Form (if such a Sheet exists).", "type": "string", "readOnly": true }, "items": { "items": { "$ref": "Item" }, "description": "Required. A list of the form's items, which can include section headers, questions, embedded media, etc.", "type": "array" }, "info": { "$ref": "Info", "description": "Required. The title and description of the form." } }, "type": "object", "id": "Form", "description": "A Google Forms document. A form is created in Drive, and deleting a form or changing its access protections is done via the [Drive API](https://developers.google.com/drive/api/v3/about-sdk)." }, "TextAnswer": { "properties": { "value": { "type": "string", "readOnly": true, "description": "Output only. The answer value. Formatting used for different kinds of question: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ChoiceQuestion LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `RADIO` or `DROP_DOWN`: A single string corresponding to the option that was selected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `CHECKBOX`: Multiple strings corresponding to each option that was selected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TextQuestion: The text that the user entered. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh ScaleQuestion: A string containing the number that was selected. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DateQuestion LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Without time or year: MM-DD e.g. \"05-19\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh With year: YYYY-MM-DD e.g. \"1986-05-19\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh With time: MM-DD HH:MM e.g. \"05-19 14:51\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh With year and time: YYYY-MM-DD HH:MM e.g. \"1986-05-19 14:51\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh TimeQuestion: String with time or duration in HH:MM format e.g. \"14:51\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh RowQuestion within QuestionGroupItem: The answer for each row of a QuestionGroupItem is represented as a separate Answer. Each will contain one string for `RADIO`-type choices or multiple strings for `CHECKBOX` choices." } }, "type": "object", "description": "An answer to a question represented as text.", "id": "TextAnswer" }, "Watch": { "type": "object", "id": "Watch", "description": "A watch for events for a form. When the designated event happens, a notification will be published to the specified target. The notification's attributes will include a `formId` key that has the ID of the watched form and an `eventType` key that has the string of the type. Messages are sent with at-least-once delivery and are only dropped in extraordinary circumstances. Typically all notifications should be reliably delivered within a few seconds; however, in some situations notifications may be delayed. A watch expires seven days after it is created unless it is renewed with watches.renew", "properties": { "expireTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Timestamp for when this will expire. Each watches.renew call resets this to seven days in the future." }, "eventType": { "type": "string", "description": "Required. Which event type to watch for.", "enum": [ "EVENT_TYPE_UNSPECIFIED", "SCHEMA", "RESPONSES" ], "enumDescriptions": [ "Unspecified event type. This value should not be used.", "The schema event type. A watch with this event type will be notified about changes to form content and settings.", "The responses event type. A watch with this event type will be notified when form responses are submitted." ] }, "createTime": { "description": "Output only. Timestamp of when this was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "errorType": { "enum": [ "ERROR_TYPE_UNSPECIFIED", "PROJECT_NOT_AUTHORIZED", "NO_USER_ACCESS", "OTHER_ERRORS" ], "type": "string", "readOnly": true, "enumDescriptions": [ "Unspecified error type.", "The cloud project does not have access to the form being watched. This occurs if the user has revoked the authorization for your project to access their form(s). Watches with this error will not be retried. To attempt to begin watching the form again a call can be made to watches.renew", "The user that granted access no longer has access to the form being watched. Watches with this error will not be retried. To attempt to begin watching the form again a call can be made to watches.renew", "Another type of error has occurred. Whether notifications will continue depends on the watch state." ], "description": "Output only. The most recent error type for an attempted delivery. To begin watching the form again a call can be made to watches.renew which also clears this error information." }, "id": { "type": "string", "readOnly": true, "description": "Output only. The ID of this watch. See notes on CreateWatchRequest.watch_id." }, "state": { "type": "string", "description": "Output only. The current state of the watch. Additional details about suspended watches can be found by checking the `error_type`.", "enumDescriptions": [ "Unspecified state.", "Watch is active.", "The watch is suspended due to an error that may be resolved. The watch will continue to exist until it expires. To attempt to reactivate the watch a call can be made to watches.renew" ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "SUSPENDED" ] }, "target": { "description": "Required. Where to send the notification.", "$ref": "WatchTarget" } } }, "ListWatchesResponse": { "description": "The response of a ListWatchesRequest.", "id": "ListWatchesResponse", "type": "object", "properties": { "watches": { "type": "array", "description": "The returned watches.", "items": { "$ref": "Watch" } } } }, "DateQuestion": { "type": "object", "properties": { "includeTime": { "type": "boolean", "description": "Whether to include the time as part of the question." }, "includeYear": { "description": "Whether to include the year as part of the question.", "type": "boolean" } }, "id": "DateQuestion", "description": "A date question. Date questions default to just month + day." }, "ListFormResponsesResponse": { "properties": { "responses": { "description": "The returned responses.", "type": "array", "items": { "$ref": "FormResponse" } }, "nextPageToken": { "type": "string", "description": "If set, there are more responses. To get the next page of responses, provide this as `page_token` in a future request." } }, "id": "ListFormResponsesResponse", "description": "Response to a ListFormResponsesRequest.", "type": "object" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object", "properties": {} }, "Feedback": { "properties": { "text": { "description": "Required. The main text of the feedback.", "type": "string" }, "material": { "description": "Additional information provided as part of the feedback, often used to point the respondent to more reading and resources.", "items": { "$ref": "ExtraMaterial" }, "type": "array" } }, "description": "Feedback for a respondent about their response to a question.", "type": "object", "id": "Feedback" }, "Info": { "id": "Info", "description": "The general information for a form.", "type": "object", "properties": { "documentTitle": { "readOnly": true, "type": "string", "description": "Output only. The title of the document which is visible in Drive. If `Info.title` is empty, `document_title` may appear in its place in the Google Forms UI and be visible to responders. `document_title` can be set on create, but cannot be modified by a batchUpdate request. Please use the [Google Drive API](https://developers.google.com/drive/api/v3/reference/files/update) if you need to programmatically update `document_title`." }, "description": { "type": "string", "description": "The description of the form." }, "title": { "description": "Required. The title of the form which is visible to responders.", "type": "string" } } }, "BatchUpdateFormRequest": { "type": "object", "properties": { "includeFormInResponse": { "type": "boolean", "description": "Whether to return an updated version of the model in the response." }, "writeControl": { "$ref": "WriteControl", "description": "Provides control over how write requests are executed." }, "requests": { "items": { "$ref": "Request" }, "description": "Required. The update requests of this batch.", "type": "array" } }, "description": "A batch of updates to perform on a form. All the specified updates are made or none of them are.", "id": "BatchUpdateFormRequest" }, "MediaProperties": { "description": "Properties of the media.", "type": "object", "properties": { "alignment": { "enum": [ "ALIGNMENT_UNSPECIFIED", "LEFT", "RIGHT", "CENTER" ], "description": "Position of the media.", "enumDescriptions": [ "Default value. Unused.", "Left align.", "Right align.", "Center." ], "type": "string" }, "width": { "type": "integer", "format": "int32", "description": "The width of the media in pixels. When the media is displayed, it is scaled to the smaller of this value or the width of the displayed form. The original aspect ratio of the media is preserved. If a width is not specified when the media is added to the form, it is set to the width of the media source. Width must be between 0 and 740, inclusive. Setting width to 0 or unspecified is only permitted when updating the media source." } }, "id": "MediaProperties" }, "CreateItemResponse": { "id": "CreateItemResponse", "type": "object", "properties": { "questionId": { "items": { "type": "string" }, "type": "array", "description": "The ID of the question created as part of this item, for a question group it lists IDs of all the questions created for this item." }, "itemId": { "description": "The ID of the created item.", "type": "string" } }, "description": "The result of creating an item." }, "ChoiceQuestion": { "properties": { "options": { "items": { "$ref": "Option" }, "type": "array", "description": "Required. List of options that a respondent must choose from." }, "shuffle": { "type": "boolean", "description": "Whether the options should be displayed in random order for different instances of the quiz. This is often used to prevent cheating by respondents who might be looking at another respondent's screen, or to address bias in a survey that might be introduced by always putting the same options first or last." }, "type": { "enum": [ "CHOICE_TYPE_UNSPECIFIED", "RADIO", "CHECKBOX", "DROP_DOWN" ], "description": "Required. The type of choice question.", "type": "string", "enumDescriptions": [ "Default value. Unused.", "Radio buttons: All choices are shown to the user, who can only pick one of them.", "Checkboxes: All choices are shown to the user, who can pick any number of them.", "Drop-down menu: The choices are only shown to the user on demand, otherwise only the current choice is shown. Only one option can be chosen." ] } }, "id": "ChoiceQuestion", "type": "object", "description": "A radio/checkbox/dropdown question." }, "QuestionItem": { "id": "QuestionItem", "description": "A form item containing a single question.", "properties": { "question": { "description": "Required. The displayed question.", "$ref": "Question" }, "image": { "description": "The image displayed within the question.", "$ref": "Image" } }, "type": "object" }, "FormResponse": { "properties": { "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Timestamp for the first time the response was submitted." }, "answers": { "type": "object", "readOnly": true, "additionalProperties": { "$ref": "Answer" }, "description": "Output only. The actual answers to the questions, keyed by question_id." }, "lastSubmittedTime": { "description": "Output only. Timestamp for the most recent time the response was submitted. Does not track changes to grades.", "format": "google-datetime", "readOnly": true, "type": "string" }, "responseId": { "type": "string", "readOnly": true, "description": "Output only. The response ID." }, "formId": { "type": "string", "readOnly": true, "description": "Output only. The form ID." }, "respondentEmail": { "description": "Output only. The email address (if collected) for the respondent.", "readOnly": true, "type": "string" }, "totalScore": { "description": "Output only. The total number of points the respondent received for their submission Only set if the form was a quiz and the response was graded. This includes points automatically awarded via autograding adjusted by any manual corrections entered by the form owner.", "type": "number", "readOnly": true, "format": "double" } }, "type": "object", "id": "FormResponse", "description": "A form response." }, "VideoItem": { "description": "An item containing a video.", "id": "VideoItem", "properties": { "video": { "$ref": "Video", "description": "Required. The video displayed in the item." }, "caption": { "type": "string", "description": "The text displayed below the video." } }, "type": "object" }, "UpdateItemRequest": { "properties": { "item": { "$ref": "Item", "description": "Required. New values for the item. Note that item and question IDs are used if they are provided (and are in the field mask). If an ID is blank (and in the field mask) a new ID is generated. This means you can modify an item by getting the form via forms.get, modifying your local copy of that item to be how you want it, and using UpdateItemRequest to write it back, with the IDs being the same (or not in the field mask)." }, "location": { "$ref": "Location", "description": "Required. The location identifying the item to update." }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. Only values named in this mask are changed." } }, "id": "UpdateItemRequest", "type": "object", "description": "Update an item in a form." }, "Image": { "type": "object", "properties": { "sourceUri": { "type": "string", "description": "Input only. The source URI is the URI used to insert the image. The source URI can be empty when fetched." }, "properties": { "$ref": "MediaProperties", "description": "Properties of an image." }, "contentUri": { "type": "string", "readOnly": true, "description": "Output only. A URI from which you can download the image; this is valid only for a limited time." }, "altText": { "description": "A description of the image that is shown on hover and read by screenreaders.", "type": "string" } }, "description": "Data representing an image.", "id": "Image" }, "Video": { "properties": { "properties": { "$ref": "MediaProperties", "description": "Properties of a video." }, "youtubeUri": { "type": "string", "description": "Required. A YouTube URI." } }, "type": "object", "description": "Data representing a video.", "id": "Video" }, "FileUploadAnswer": { "description": "Info for a single file submitted to a file upload question.", "type": "object", "id": "FileUploadAnswer", "properties": { "fileName": { "readOnly": true, "description": "Output only. The file name, as stored in Google Drive on upload.", "type": "string" }, "fileId": { "description": "Output only. The ID of the Google Drive file.", "readOnly": true, "type": "string" }, "mimeType": { "type": "string", "description": "Output only. The MIME type of the file, as stored in Google Drive on upload.", "readOnly": true } } }, "QuestionGroupItem": { "type": "object", "description": "Defines a question that comprises multiple questions grouped together.", "properties": { "image": { "$ref": "Image", "description": "The image displayed within the question group above the specific questions." }, "questions": { "type": "array", "items": { "$ref": "Question" }, "description": "Required. A list of questions that belong in this question group. A question must only belong to one group. The `kind` of the group may affect what types of questions are allowed." }, "grid": { "$ref": "Grid", "description": "The question group is a grid with rows of multiple choice questions that share the same options. When `grid` is set, all questions in the group must be of kind `row`." } }, "id": "QuestionGroupItem" }, "CorrectAnswer": { "id": "CorrectAnswer", "properties": { "value": { "type": "string", "description": "Required. The correct answer value. See the documentation for TextAnswer.value for details on how various value types are formatted." } }, "description": "A single correct answer for a question. For multiple-valued (`CHECKBOX`) questions, several `CorrectAnswer`s may be needed to represent a single correct response option.", "type": "object" }, "ExtraMaterial": { "properties": { "video": { "description": "Video feedback.", "$ref": "VideoLink" }, "link": { "$ref": "TextLink", "description": "Text feedback." } }, "description": "Supplementary material to the feedback.", "id": "ExtraMaterial", "type": "object" }, "WatchTarget": { "description": "The target for notification delivery.", "id": "WatchTarget", "type": "object", "properties": { "topic": { "description": "A Pub/Sub topic. To receive notifications, the topic must grant publish privileges to the Forms service account `serviceAccount:forms-notifications@system.gserviceaccount.com`. Only the project that owns a topic may create a watch with it. Pub/Sub delivery guarantees should be considered.", "$ref": "CloudPubsubTopic" } } }, "VideoLink": { "id": "VideoLink", "description": "Link to a video.", "properties": { "youtubeUri": { "description": "The URI of a YouTube video.", "type": "string" }, "displayText": { "description": "Required. The display text for the link.", "type": "string" } }, "type": "object" }, "UpdateFormInfoRequest": { "properties": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. Only values named in this mask are changed. At least one field must be specified. The root `info` is implied and should not be specified. A single `\"*\"` can be used as short-hand for updating every field." }, "info": { "description": "The info to update.", "$ref": "Info" } }, "description": "Update Form's Info.", "id": "UpdateFormInfoRequest", "type": "object" }, "Grid": { "id": "Grid", "type": "object", "properties": { "columns": { "description": "Required. The choices shared by each question in the grid. In other words, the values of the columns. Only `CHECK_BOX` and `RADIO` choices are allowed.", "$ref": "ChoiceQuestion" }, "shuffleQuestions": { "type": "boolean", "description": "If `true`, the questions are randomly ordered. In other words, the rows appear in a different order for every respondent." } }, "description": "A grid of choices (radio or check boxes) with each row constituting a separate question. Each row has the same choices, which are shown as the columns." } }, "parameters": { "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "description": "Data format for response.", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "default": "true", "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" } } }
]===]))
