local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220629", "ownerDomain": "google.com", "batchPath": "batch", "basePath": "", "mtlsRootUrl": "https://gamesmanagement.mtls.googleapis.com/", "documentationLink": "https://developers.google.com/games/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "parameters": { "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "alt": { "default": "json", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "enum": [ "json", "media", "proto" ] } }, "description": "The Google Play Game Management API allows developers to manage resources from the Google Play Game service.", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/games": { "description": "Create, edit, and delete your Google Play Games activity" } } } }, "rootUrl": "https://gamesmanagement.googleapis.com/", "schemas": { "HiddenPlayerList": { "id": "HiddenPlayerList", "description": "A list of hidden players.", "properties": { "nextPageToken": { "description": "The pagination token for the next page of results.", "type": "string" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#hiddenPlayerList`." }, "items": { "type": "array", "items": { "$ref": "HiddenPlayer" }, "description": "The players." } }, "type": "object" }, "EventsResetMultipleForAllRequest": { "properties": { "event_ids": { "description": "The IDs of events to reset.", "type": "array", "items": { "type": "string" } }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#eventsResetMultipleForAllRequest`." } }, "description": "Multiple events reset all request.", "id": "EventsResetMultipleForAllRequest", "type": "object" }, "AchievementResetResponse": { "description": "An achievement reset response.", "type": "object", "properties": { "updateOccurred": { "description": "Flag to indicate if the requested update actually occurred.", "type": "boolean" }, "definitionId": { "description": "The ID of an achievement for which player state has been updated.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#achievementResetResponse`.", "type": "string" }, "currentState": { "type": "string", "description": "The current state of the achievement. This is the same as the initial state of the achievement. Possible values are: - \"`HIDDEN`\"- Achievement is hidden. - \"`REVEALED`\" - Achievement is revealed. - \"`UNLOCKED`\" - Achievement is unlocked. " } }, "id": "AchievementResetResponse" }, "PlayerScoreResetResponse": { "description": "A list of reset leaderboard entry resources.", "type": "object", "properties": { "resetScoreTimeSpans": { "items": { "type": "string" }, "type": "array", "description": "The time spans of the updated score. Possible values are: - \"`ALL_TIME`\" - The score is an all-time score. - \"`WEEKLY`\" - The score is a weekly score. - \"`DAILY`\" - The score is a daily score. " }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#playerScoreResetResponse`.", "type": "string" }, "definitionId": { "type": "string", "description": "The ID of an leaderboard for which player state has been updated." } }, "id": "PlayerScoreResetResponse" }, "AchievementResetMultipleForAllRequest": { "id": "AchievementResetMultipleForAllRequest", "type": "object", "properties": { "achievement_ids": { "items": { "type": "string" }, "description": "The IDs of achievements to reset.", "type": "array" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#achievementResetMultipleForAllRequest`.", "type": "string" } } }, "GamesPlayerLevelResource": { "id": "GamesPlayerLevelResource", "properties": { "maxExperiencePoints": { "description": "The maximum experience points for this level.", "type": "string", "format": "int64" }, "level": { "format": "int32", "type": "integer", "description": "The level for the user." }, "minExperiencePoints": { "type": "string", "format": "int64", "description": "The minimum experience points for this level." } }, "description": "1P/3P metadata about a user's level.", "type": "object" }, "AchievementResetAllResponse": { "properties": { "results": { "description": "The achievement reset results.", "type": "array", "items": { "$ref": "AchievementResetResponse" } }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#achievementResetAllResponse`.", "type": "string" } }, "description": "Achievement reset all response.", "id": "AchievementResetAllResponse", "type": "object" }, "GamesPlayerExperienceInfoResource": { "id": "GamesPlayerExperienceInfoResource", "type": "object", "properties": { "currentExperiencePoints": { "format": "int64", "description": "The current number of experience points for the player.", "type": "string" }, "lastLevelUpTimestampMillis": { "type": "string", "description": "The timestamp when the player was leveled up, in millis since Unix epoch UTC.", "format": "int64" }, "currentLevel": { "$ref": "GamesPlayerLevelResource", "description": "The current level of the player." }, "nextLevel": { "description": "The next level of the player. If the current level is the maximum level, this should be same as the current level.", "$ref": "GamesPlayerLevelResource" } }, "description": "1P/3P metadata about the player's experience." }, "PlayerScoreResetAllResponse": { "description": "A list of leaderboard reset resources.", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#playerScoreResetAllResponse`.", "type": "string" }, "results": { "description": "The leaderboard reset results.", "type": "array", "items": { "$ref": "PlayerScoreResetResponse" } } }, "id": "PlayerScoreResetAllResponse", "type": "object" }, "HiddenPlayer": { "id": "HiddenPlayer", "description": "The HiddenPlayer resource.", "type": "object", "properties": { "kind": { "readOnly": true, "type": "string", "description": "Output only. Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#hiddenPlayer`." }, "player": { "description": "Output only. The player information.", "$ref": "Player", "readOnly": true }, "hiddenTimeMillis": { "type": "string", "description": "Output only. The time this player was hidden.", "format": "int64", "readOnly": true } } }, "ProfileSettings": { "id": "ProfileSettings", "properties": { "profileVisible": { "type": "boolean" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#profileSettings`.", "type": "string" } }, "type": "object", "description": "Profile settings" }, "ScoresResetMultipleForAllRequest": { "type": "object", "properties": { "leaderboard_ids": { "type": "array", "items": { "type": "string" }, "description": "The IDs of leaderboards to reset." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#scoresResetMultipleForAllRequest`.", "type": "string" } }, "id": "ScoresResetMultipleForAllRequest" }, "Player": { "id": "Player", "type": "object", "properties": { "bannerUrlPortrait": { "description": "The url to the portrait mode player banner image.", "type": "string" }, "profileSettings": { "description": "The player's profile settings. Controls whether or not the player's profile is visible to other players.", "$ref": "ProfileSettings" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `gamesManagement#player`.", "type": "string" }, "experienceInfo": { "description": "An object to represent Play Game experience information for the player.", "$ref": "GamesPlayerExperienceInfoResource" }, "displayName": { "type": "string", "description": "The name to display for the player." }, "avatarImageUrl": { "type": "string", "description": "The base URL for the image that represents the player." }, "name": { "description": "An object representation of the individual components of the player's name. For some players, these fields may not be present.", "type": "object", "properties": { "familyName": { "type": "string", "description": "The family name of this player. In some places, this is known as the last name." }, "givenName": { "description": "The given name of this player. In some places, this is known as the first name.", "type": "string" } } }, "title": { "type": "string", "description": "The player's title rewarded for their game activities." }, "originalPlayerId": { "description": "The player ID that was used for this player the first time they signed into the game in question. This is only populated for calls to player.get for the requesting player, only if the player ID has subsequently changed, and only to clients that support remapping player IDs.", "type": "string" }, "playerId": { "description": "The ID of the player.", "type": "string" }, "bannerUrlLandscape": { "description": "The url to the landscape mode player banner image.", "type": "string" } }, "description": "A Player resource." } }, "ownerName": "Google", "resources": { "players": { "methods": { "hide": { "id": "gamesManagement.players.hide", "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "applicationId", "playerId" ], "path": "games/v1management/applications/{applicationId}/players/hidden/{playerId}", "description": "Hide the given player's leaderboard scores from the given application. This method is only available to user accounts for your developer console.", "flatPath": "games/v1management/applications/{applicationId}/players/hidden/{playerId}", "parameters": { "playerId": { "location": "path", "type": "string", "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID.", "required": true }, "applicationId": { "description": "The application ID from the Google Play developer console.", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST" }, "unhide": { "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "applicationId", "playerId" ], "id": "gamesManagement.players.unhide", "flatPath": "games/v1management/applications/{applicationId}/players/hidden/{playerId}", "parameters": { "applicationId": { "type": "string", "required": true, "description": "The application ID from the Google Play developer console.", "location": "path" }, "playerId": { "type": "string", "location": "path", "required": true, "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID." } }, "description": "Unhide the given player's leaderboard scores from the given application. This method is only available to user accounts for your developer console.", "httpMethod": "DELETE", "path": "games/v1management/applications/{applicationId}/players/hidden/{playerId}" } } }, "applications": { "methods": { "listHidden": { "httpMethod": "GET", "description": "Get the list of players hidden from the given application. This method is only available to user accounts for your developer console.", "parameters": { "applicationId": { "required": true, "location": "path", "description": "The application ID from the Google Play developer console.", "type": "string" }, "maxResults": { "format": "int32", "location": "query", "description": "The maximum number of player resources to return in the response, used for paging. For any response, the actual number of player resources returned may be less than the specified `maxResults`.", "type": "integer" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" } }, "response": { "$ref": "HiddenPlayerList" }, "flatPath": "games/v1management/applications/{applicationId}/players/hidden", "id": "gamesManagement.applications.listHidden", "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1management/applications/{applicationId}/players/hidden", "parameterOrder": [ "applicationId" ] } } }, "achievements": { "methods": { "resetMultipleForAllPlayers": { "id": "gamesManagement.achievements.resetMultipleForAllPlayers", "parameterOrder": [], "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1management/achievements/resetMultipleForAllPlayers", "request": { "$ref": "AchievementResetMultipleForAllRequest" }, "description": "Resets achievements with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft achievements may be reset.", "httpMethod": "POST", "flatPath": "games/v1management/achievements/resetMultipleForAllPlayers" }, "reset": { "id": "gamesManagement.achievements.reset", "parameterOrder": [ "achievementId" ], "response": { "$ref": "AchievementResetResponse" }, "flatPath": "games/v1management/achievements/{achievementId}/reset", "description": "Resets the achievement with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST", "path": "games/v1management/achievements/{achievementId}/reset", "parameters": { "achievementId": { "location": "path", "description": "The ID of the achievement used by this method.", "type": "string", "required": true } } }, "resetAll": { "id": "gamesManagement.achievements.resetAll", "parameters": {}, "parameterOrder": [], "response": { "$ref": "AchievementResetAllResponse" }, "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST", "path": "games/v1management/achievements/reset", "description": "Resets all achievements for the currently authenticated player for your application. This method is only accessible to whitelisted tester accounts for your application.", "flatPath": "games/v1management/achievements/reset" }, "resetAllForAllPlayers": { "id": "gamesManagement.achievements.resetAllForAllPlayers", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST", "parameterOrder": [], "path": "games/v1management/achievements/resetAllForAllPlayers", "parameters": {}, "description": "Resets all draft achievements for all players. This method is only available to user accounts for your developer console.", "flatPath": "games/v1management/achievements/resetAllForAllPlayers" }, "resetForAllPlayers": { "scopes": [ "https://www.googleapis.com/auth/games" ], "description": "Resets the achievement with the given ID for all players. This method is only available to user accounts for your developer console. Only draft achievements can be reset.", "parameters": { "achievementId": { "location": "path", "description": "The ID of the achievement used by this method.", "required": true, "type": "string" } }, "httpMethod": "POST", "id": "gamesManagement.achievements.resetForAllPlayers", "flatPath": "games/v1management/achievements/{achievementId}/resetForAllPlayers", "path": "games/v1management/achievements/{achievementId}/resetForAllPlayers", "parameterOrder": [ "achievementId" ] } } }, "events": { "methods": { "resetForAllPlayers": { "description": "Resets the event with the given ID for all players. This method is only available to user accounts for your developer console. Only draft events can be reset.", "parameterOrder": [ "eventId" ], "id": "gamesManagement.events.resetForAllPlayers", "path": "games/v1management/events/{eventId}/resetForAllPlayers", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/games" ], "flatPath": "games/v1management/events/{eventId}/resetForAllPlayers", "parameters": { "eventId": { "location": "path", "required": true, "type": "string", "description": "The ID of the event." } } }, "reset": { "id": "gamesManagement.events.reset", "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1management/events/{eventId}/reset", "description": "Resets all player progress on the event with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.", "parameters": { "eventId": { "location": "path", "type": "string", "description": "The ID of the event.", "required": true } }, "parameterOrder": [ "eventId" ], "flatPath": "games/v1management/events/{eventId}/reset", "httpMethod": "POST" }, "resetAllForAllPlayers": { "id": "gamesManagement.events.resetAllForAllPlayers", "flatPath": "games/v1management/events/resetAllForAllPlayers", "path": "games/v1management/events/resetAllForAllPlayers", "description": "Resets all draft events for all players. This method is only available to user accounts for your developer console.", "parameters": {}, "parameterOrder": [], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/games" ] }, "resetMultipleForAllPlayers": { "id": "gamesManagement.events.resetMultipleForAllPlayers", "flatPath": "games/v1management/events/resetMultipleForAllPlayers", "parameterOrder": [], "description": "Resets events with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft events may be reset.", "parameters": {}, "httpMethod": "POST", "request": { "$ref": "EventsResetMultipleForAllRequest" }, "path": "games/v1management/events/resetMultipleForAllPlayers", "scopes": [ "https://www.googleapis.com/auth/games" ] }, "resetAll": { "description": "Resets all player progress on all events for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.", "path": "games/v1management/events/reset", "parameterOrder": [], "flatPath": "games/v1management/events/reset", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/games" ], "id": "gamesManagement.events.resetAll", "parameters": {} } } }, "scores": { "methods": { "resetAllForAllPlayers": { "description": "Resets scores for all draft leaderboards for all players. This method is only available to user accounts for your developer console.", "parameters": {}, "path": "games/v1management/scores/resetAllForAllPlayers", "flatPath": "games/v1management/scores/resetAllForAllPlayers", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/games" ], "id": "gamesManagement.scores.resetAllForAllPlayers", "parameterOrder": [] }, "resetAll": { "description": "Resets all scores for all leaderboards for the currently authenticated players. This method is only accessible to whitelisted tester accounts for your application.", "parameterOrder": [], "httpMethod": "POST", "response": { "$ref": "PlayerScoreResetAllResponse" }, "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/games" ], "id": "gamesManagement.scores.resetAll", "path": "games/v1management/scores/reset", "flatPath": "games/v1management/scores/reset" }, "resetMultipleForAllPlayers": { "path": "games/v1management/scores/resetMultipleForAllPlayers", "description": "Resets scores for the leaderboards with the given IDs for all players. This method is only available to user accounts for your developer console. Only draft leaderboards may be reset.", "flatPath": "games/v1management/scores/resetMultipleForAllPlayers", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST", "request": { "$ref": "ScoresResetMultipleForAllRequest" }, "parameters": {}, "parameterOrder": [], "id": "gamesManagement.scores.resetMultipleForAllPlayers" }, "resetForAllPlayers": { "path": "games/v1management/leaderboards/{leaderboardId}/scores/resetForAllPlayers", "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "leaderboardId" ], "description": "Resets scores for the leaderboard with the given ID for all players. This method is only available to user accounts for your developer console. Only draft leaderboards can be reset.", "parameters": { "leaderboardId": { "required": true, "location": "path", "type": "string", "description": "The ID of the leaderboard." } }, "id": "gamesManagement.scores.resetForAllPlayers", "flatPath": "games/v1management/leaderboards/{leaderboardId}/scores/resetForAllPlayers", "httpMethod": "POST" }, "reset": { "flatPath": "games/v1management/leaderboards/{leaderboardId}/scores/reset", "parameters": { "leaderboardId": { "type": "string", "description": "The ID of the leaderboard.", "required": true, "location": "path" } }, "id": "gamesManagement.scores.reset", "description": "Resets scores for the leaderboard with the given ID for the currently authenticated player. This method is only accessible to whitelisted tester accounts for your application.", "response": { "$ref": "PlayerScoreResetResponse" }, "parameterOrder": [ "leaderboardId" ], "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1management/leaderboards/{leaderboardId}/scores/reset", "httpMethod": "POST" } } } }, "baseUrl": "https://gamesmanagement.googleapis.com/", "title": "Google Play Game Management", "protocol": "rest", "id": "gamesManagement:v1management", "name": "gamesManagement", "kind": "discovery#restDescription", "servicePath": "", "canonicalName": "Games Management", "discoveryVersion": "v1", "version": "v1management" }
]===]))
