local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "id": "games:v1", "baseUrl": "https://games.googleapis.com/", "description": "The Google Play games service allows developers to enhance games with social leaderboards, achievements, game state, sign-in with Google, and more.", "parameters": { "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "location": "query", "type": "string", "description": "Data format for response." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" } }, "servicePath": "", "ownerDomain": "google.com", "name": "games", "mtlsRootUrl": "https://games.mtls.googleapis.com/", "rootUrl": "https://games.googleapis.com/", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/games": { "description": "Create, edit, and delete your Google Play Games activity" }, "https://www.googleapis.com/auth/drive.appdata": { "description": "See, create, and delete its own configuration data in your Google Drive" } } } }, "basePath": "", "resources": { "players": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "playerId" ], "parameters": { "playerIdConsistencyToken": { "location": "query", "description": "Consistency token of the player id. The call returns a 'not found' result when the token is present and invalid. Empty value is ignored. See also GlobalPlayerIdConsistencyTokenProto", "type": "string" }, "playerId": { "type": "string", "location": "path", "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID.", "required": true }, "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." } }, "description": "Retrieves the Player resource with the given ID. To retrieve the player for the currently authenticated user, set `playerId` to `me`.", "path": "games/v1/players/{playerId}", "httpMethod": "GET", "flatPath": "games/v1/players/{playerId}", "response": { "$ref": "Player" }, "id": "games.players.get" }, "list": { "id": "games.players.list", "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "PlayerListResponse" }, "parameterOrder": [ "collection" ], "parameters": { "collection": { "location": "path", "required": true, "enum": [ "CONNECTED", "VISIBLE", "FRIENDS_ALL" ], "enumDescriptions": [ "Retrieve a list of players that are also playing this game in reverse chronological order.", "Retrieve a list of players in the user's social graph that are visible to this game.", "Retrieve a list of players who are friends of the user in alphabetical order." ], "type": "string", "description": "Collection of players being retrieved" }, "maxResults": { "location": "query", "format": "int32", "description": "The maximum number of player resources to return in the response, used for paging. For any response, the actual number of player resources returned may be less than the specified `maxResults`.", "type": "integer" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" }, "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" } }, "path": "games/v1/players/me/players/{collection}", "flatPath": "games/v1/players/me/players/{collection}", "httpMethod": "GET", "description": "Get the collection of players for the currently authenticated user." }, "getScopedPlayerIds": { "id": "games.players.getScopedPlayerIds", "parameters": {}, "path": "games/v1/players/me/scopedIds", "parameterOrder": [], "description": "Retrieves scoped player identifiers for currently authenticated user.", "scopes": [ "https://www.googleapis.com/auth/games" ], "flatPath": "games/v1/players/me/scopedIds", "response": { "$ref": "ScopedPlayerIds" }, "httpMethod": "GET" } } }, "leaderboards": { "methods": { "list": { "parameterOrder": [], "parameters": { "maxResults": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of leaderboards to return in the response. For any response, the actual number of leaderboards returned may be less than the specified `maxResults`." }, "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" } }, "path": "games/v1/leaderboards", "response": { "$ref": "LeaderboardListResponse" }, "description": "Lists all the leaderboard metadata for your application.", "id": "games.leaderboards.list", "flatPath": "games/v1/leaderboards", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "GET" }, "get": { "parameters": { "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." }, "leaderboardId": { "description": "The ID of the leaderboard.", "required": true, "type": "string", "location": "path" } }, "path": "games/v1/leaderboards/{leaderboardId}", "id": "games.leaderboards.get", "flatPath": "games/v1/leaderboards/{leaderboardId}", "description": "Retrieves the metadata of the leaderboard with the given ID.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "leaderboardId" ], "response": { "$ref": "Leaderboard" } } } }, "achievements": { "methods": { "increment": { "parameters": { "achievementId": { "type": "string", "location": "path", "required": true, "description": "The ID of the achievement used by this method." }, "stepsToIncrement": { "location": "query", "description": "The number of steps to increment.", "required": true, "type": "integer", "format": "int32" }, "requestId": { "format": "int64", "description": "A randomly generated numeric ID for each request specified by the caller. This number is used at the server to ensure that the request is handled correctly across retries.", "location": "query", "type": "string" } }, "description": "Increments the steps of the achievement with the given ID for the currently authenticated player.", "response": { "$ref": "AchievementIncrementResponse" }, "flatPath": "games/v1/achievements/{achievementId}/increment", "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "achievementId", "stepsToIncrement" ], "path": "games/v1/achievements/{achievementId}/increment", "id": "games.achievements.increment", "httpMethod": "POST" }, "updateMultiple": { "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1/achievements/updateMultiple", "parameterOrder": [], "id": "games.achievements.updateMultiple", "flatPath": "games/v1/achievements/updateMultiple", "request": { "$ref": "AchievementUpdateMultipleRequest" }, "parameters": {}, "httpMethod": "POST", "description": "Updates multiple achievements for the currently authenticated player.", "response": { "$ref": "AchievementUpdateMultipleResponse" } }, "unlock": { "response": { "$ref": "AchievementUnlockResponse" }, "parameterOrder": [ "achievementId" ], "parameters": { "achievementId": { "type": "string", "required": true, "location": "path", "description": "The ID of the achievement used by this method." } }, "description": "Unlocks this achievement for the currently authenticated player.", "path": "games/v1/achievements/{achievementId}/unlock", "id": "games.achievements.unlock", "flatPath": "games/v1/achievements/{achievementId}/unlock", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST" }, "reveal": { "response": { "$ref": "AchievementRevealResponse" }, "description": "Sets the state of the achievement with the given ID to `REVEALED` for the currently authenticated player.", "path": "games/v1/achievements/{achievementId}/reveal", "id": "games.achievements.reveal", "parameterOrder": [ "achievementId" ], "parameters": { "achievementId": { "location": "path", "required": true, "type": "string", "description": "The ID of the achievement used by this method." } }, "scopes": [ "https://www.googleapis.com/auth/games" ], "flatPath": "games/v1/achievements/{achievementId}/reveal", "httpMethod": "POST" }, "setStepsAtLeast": { "parameters": { "achievementId": { "type": "string", "description": "The ID of the achievement used by this method.", "required": true, "location": "path" }, "steps": { "required": true, "location": "query", "format": "int32", "description": "The minimum value to set the steps to.", "type": "integer" } }, "httpMethod": "POST", "id": "games.achievements.setStepsAtLeast", "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "AchievementSetStepsAtLeastResponse" }, "path": "games/v1/achievements/{achievementId}/setStepsAtLeast", "flatPath": "games/v1/achievements/{achievementId}/setStepsAtLeast", "description": "Sets the steps for the currently authenticated player towards unlocking an achievement. If the steps parameter is less than the current number of steps that the player already gained for the achievement, the achievement is not modified.", "parameterOrder": [ "achievementId", "steps" ] }, "list": { "flatPath": "games/v1/players/{playerId}/achievements", "description": "Lists the progress for all your application's achievements for the currently authenticated player.", "httpMethod": "GET", "id": "games.achievements.list", "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "PlayerAchievementListResponse" }, "parameters": { "playerId": { "type": "string", "required": true, "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID.", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "state": { "enumDescriptions": [ "List all achievements. This is the default.", "List only hidden achievements.", "List only revealed achievements.", "List only unlocked achievements." ], "location": "query", "description": "Tells the server to return only achievements with the specified state. If this parameter isn't specified, all achievements are returned.", "type": "string", "enum": [ "ALL", "HIDDEN", "REVEALED", "UNLOCKED" ] }, "maxResults": { "format": "int32", "description": "The maximum number of achievement resources to return in the response, used for paging. For any response, the actual number of achievement resources returned may be less than the specified `maxResults`.", "location": "query", "type": "integer" }, "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" } }, "path": "games/v1/players/{playerId}/achievements", "parameterOrder": [ "playerId" ] } } }, "snapshots": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/drive.appdata", "https://www.googleapis.com/auth/games" ], "response": { "$ref": "SnapshotListResponse" }, "parameters": { "language": { "description": "The preferred language to use for strings returned by this method.", "location": "query", "type": "string" }, "pageToken": { "description": "The token returned by the previous request.", "type": "string", "location": "query" }, "playerId": { "required": true, "type": "string", "location": "path", "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID." }, "maxResults": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of snapshot resources to return in the response, used for paging. For any response, the actual number of snapshot resources returned may be less than the specified `maxResults`." } }, "description": "Retrieves a list of snapshots created by your application for the player corresponding to the player ID.", "id": "games.snapshots.list", "flatPath": "games/v1/players/{playerId}/snapshots", "parameterOrder": [ "playerId" ], "path": "games/v1/players/{playerId}/snapshots", "httpMethod": "GET" }, "get": { "parameters": { "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." }, "snapshotId": { "description": "The ID of the snapshot.", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/drive.appdata", "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "snapshotId" ], "description": "Retrieves the metadata for a given snapshot ID.", "id": "games.snapshots.get", "response": { "$ref": "Snapshot" }, "httpMethod": "GET", "flatPath": "games/v1/snapshots/{snapshotId}", "path": "games/v1/snapshots/{snapshotId}" } } }, "scores": { "methods": { "get": { "parameterOrder": [ "playerId", "leaderboardId", "timeSpan" ], "flatPath": "games/v1/players/{playerId}/leaderboards/{leaderboardId}/scores/{timeSpan}", "parameters": { "playerId": { "required": true, "location": "path", "type": "string", "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID." }, "timeSpan": { "enumDescriptions": [ "Default value. This value is unused.", "Get the high scores for all time spans. If this is used, maxResults values will be ignored.", "Get the all time high score.", "List the top scores for the current day.", "List the top scores for the current week." ], "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL", "ALL_TIME", "WEEKLY", "DAILY" ], "required": true, "description": "The time span for the scores and ranks you're requesting.", "location": "path", "type": "string" }, "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" }, "includeRankType": { "enum": [ "INCLUDE_RANK_TYPE_UNSPECIFIED", "ALL", "PUBLIC", "SOCIAL", "FRIENDS" ], "description": "The types of ranks to return. If the parameter is omitted, no ranks will be returned.", "location": "query", "type": "string", "enumDescriptions": [ "Default value. Should be unused.", "Retrieve all supported ranks. In HTTP, this parameter value can also be specified as `ALL`.", "Retrieve public ranks, if the player is sharing their gameplay activity publicly.", "(Obsolete) Retrieve the social rank.", "Retrieve the rank on the friends collection." ] }, "maxResults": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of leaderboard scores to return in the response. For any response, the actual number of leaderboard scores returned may be less than the specified `maxResults`." }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "leaderboardId": { "location": "path", "required": true, "type": "string", "description": "The ID of the leaderboard. Can be set to 'ALL' to retrieve data for all leaderboards for this application." } }, "response": { "$ref": "PlayerLeaderboardScoreListResponse" }, "path": "games/v1/players/{playerId}/leaderboards/{leaderboardId}/scores/{timeSpan}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/games" ], "id": "games.scores.get", "description": "Get high scores, and optionally ranks, in leaderboards for the currently authenticated player. For a specific time span, `leaderboardId` can be set to `ALL` to retrieve data for all leaderboards in a given time span. `NOTE: You cannot ask for 'ALL' leaderboards and 'ALL' timeSpans in the same request; only one parameter may be set to 'ALL'." }, "listWindow": { "path": "games/v1/leaderboards/{leaderboardId}/window/{collection}", "parameterOrder": [ "leaderboardId", "collection", "timeSpan" ], "id": "games.scores.listWindow", "parameters": { "resultsAbove": { "type": "integer", "location": "query", "format": "int32", "description": "The preferred number of scores to return above the player's score. More scores may be returned if the player is at the bottom of the leaderboard; fewer may be returned if the player is at the top. Must be less than or equal to maxResults." }, "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." }, "collection": { "enumDescriptions": [ "Default value. This value is unused.", "List all scores in the public leaderboard.", "(Obsolete) Legacy G+ social scores.", "List only scores of friends." ], "location": "path", "required": true, "enum": [ "SCORE_COLLECTION_UNSPECIFIED", "PUBLIC", "SOCIAL", "FRIENDS" ], "description": "The collection of scores you're requesting.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." }, "returnTopIfAbsent": { "description": "True if the top scores should be returned when the player is not in the leaderboard. Defaults to true.", "type": "boolean", "location": "query" }, "leaderboardId": { "required": true, "location": "path", "type": "string", "description": "The ID of the leaderboard." }, "maxResults": { "type": "integer", "location": "query", "description": "The maximum number of leaderboard scores to return in the response. For any response, the actual number of leaderboard scores returned may be less than the specified `maxResults`.", "format": "int32" }, "timeSpan": { "description": "The time span for the scores and ranks you're requesting.", "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "required": true, "location": "query", "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ] } }, "description": "Lists the scores in a leaderboard around (and including) a player's score.", "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "LeaderboardScores" }, "httpMethod": "GET", "flatPath": "games/v1/leaderboards/{leaderboardId}/window/{collection}" }, "submitMultiple": { "path": "games/v1/leaderboards/scores", "httpMethod": "POST", "response": { "$ref": "PlayerScoreListResponse" }, "request": { "$ref": "PlayerScoreSubmissionList" }, "parameters": { "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/games" ], "description": "Submits multiple scores to leaderboards.", "id": "games.scores.submitMultiple", "parameterOrder": [], "flatPath": "games/v1/leaderboards/scores" }, "submit": { "response": { "$ref": "PlayerScoreResponse" }, "flatPath": "games/v1/leaderboards/{leaderboardId}/scores", "description": "Submits a score to the specified leaderboard.", "id": "games.scores.submit", "parameterOrder": [ "leaderboardId", "score" ], "path": "games/v1/leaderboards/{leaderboardId}/scores", "parameters": { "scoreTag": { "location": "query", "description": "Additional information about the score you're submitting. Values must contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986.", "pattern": "[a-zA-Z0-9-._~]{0,64}", "type": "string" }, "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" }, "score": { "type": "string", "required": true, "description": "The score you're submitting. The submitted score is ignored if it is worse than a previously submitted score, where worse depends on the leaderboard sort order. The meaning of the score value depends on the leaderboard format type. For fixed-point, the score represents the raw value. For time, the score represents elapsed time in milliseconds. For currency, the score represents a value in micro units.", "format": "int64", "location": "query" }, "leaderboardId": { "type": "string", "description": "The ID of the leaderboard.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST" }, "list": { "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1/leaderboards/{leaderboardId}/scores/{collection}", "parameterOrder": [ "leaderboardId", "collection", "timeSpan" ], "flatPath": "games/v1/leaderboards/{leaderboardId}/scores/{collection}", "id": "games.scores.list", "httpMethod": "GET", "parameters": { "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" }, "collection": { "required": true, "description": "The collection of scores you're requesting.", "enum": [ "SCORE_COLLECTION_UNSPECIFIED", "PUBLIC", "SOCIAL", "FRIENDS" ], "enumDescriptions": [ "Default value. This value is unused.", "List all scores in the public leaderboard.", "(Obsolete) Legacy G+ social scores.", "List only scores of friends." ], "type": "string", "location": "path" }, "leaderboardId": { "required": true, "type": "string", "description": "The ID of the leaderboard.", "location": "path" }, "maxResults": { "location": "query", "format": "int32", "description": "The maximum number of leaderboard scores to return in the response. For any response, the actual number of leaderboard scores returned may be less than the specified `maxResults`.", "type": "integer" }, "timeSpan": { "description": "The time span for the scores and ranks you're requesting.", "required": true, "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ], "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" } }, "response": { "$ref": "LeaderboardScores" }, "description": "Lists the scores in a leaderboard, starting from the top." } } }, "applications": { "methods": { "verify": { "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [ "applicationId" ], "id": "games.applications.verify", "description": "Verifies the auth token provided with this request is for the application with the specified ID, and returns the ID of the player it was granted for.", "response": { "$ref": "ApplicationVerifyResponse" }, "httpMethod": "GET", "flatPath": "games/v1/applications/{applicationId}/verify", "parameters": { "applicationId": { "location": "path", "type": "string", "required": true, "description": "The application ID from the Google Play developer console." } }, "path": "games/v1/applications/{applicationId}/verify" }, "get": { "flatPath": "games/v1/applications/{applicationId}", "httpMethod": "GET", "id": "games.applications.get", "description": "Retrieves the metadata of the application with the given ID. If the requested application is not available for the specified `platformType`, the returned response will not include any instance data.", "path": "games/v1/applications/{applicationId}", "parameterOrder": [ "applicationId" ], "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "Application" }, "parameters": { "applicationId": { "required": true, "type": "string", "location": "path", "description": "The application ID from the Google Play developer console." }, "platformType": { "description": "Restrict application details returned to the specific platform.", "type": "string", "enumDescriptions": [ "Default value, don't use.", "Retrieve applications that can be played on Android.", "Retrieve applications that can be played on iOS.", "Retrieve applications that can be played on desktop web." ], "enum": [ "PLATFORM_TYPE_UNSPECIFIED", "ANDROID", "IOS", "WEB_APP" ], "location": "query" }, "language": { "type": "string", "description": "The preferred language to use for strings returned by this method.", "location": "query" } } }, "played": { "parameterOrder": [], "id": "games.applications.played", "parameters": {}, "description": "Indicate that the currently authenticated user is playing your application.", "flatPath": "games/v1/applications/played", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/games" ], "path": "games/v1/applications/played" }, "getEndPoint": { "path": "games/v1/applications/getEndPoint", "description": "Returns a URL for the requested end point type.", "flatPath": "games/v1/applications/getEndPoint", "parameters": { "applicationId": { "description": "The application ID from the Google Play developer console.", "location": "query", "type": "string" }, "endPointType": { "location": "query", "type": "string", "enum": [ "END_POINT_TYPE_UNSPECIFIED", "PROFILE_CREATION", "PROFILE_SETTINGS" ], "description": "Type of endpoint being requested.", "enumDescriptions": [ "Default value. This value is unused.", "Request a URL to create a new profile.", "Request a URL for the Settings view." ] } }, "id": "games.applications.getEndPoint", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "EndPoint" } } } }, "events": { "methods": { "listDefinitions": { "response": { "$ref": "EventDefinitionListResponse" }, "parameterOrder": [], "id": "games.events.listDefinitions", "flatPath": "games/v1/eventDefinitions", "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "GET", "path": "games/v1/eventDefinitions", "description": "Returns a list of the event definitions in this application.", "parameters": { "maxResults": { "format": "int32", "location": "query", "description": "The maximum number of event definitions to return in the response, used for paging. For any response, the actual number of event definitions to return may be less than the specified `maxResults`.", "type": "integer" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" }, "language": { "description": "The preferred language to use for strings returned by this method.", "location": "query", "type": "string" } } }, "listByPlayer": { "httpMethod": "GET", "parameterOrder": [], "id": "games.events.listByPlayer", "scopes": [ "https://www.googleapis.com/auth/games" ], "description": "Returns a list showing the current progress on events in this application for the currently authenticated user.", "response": { "$ref": "PlayerEventListResponse" }, "path": "games/v1/events", "parameters": { "maxResults": { "type": "integer", "description": "The maximum number of events to return in the response, used for paging. For any response, the actual number of events to return may be less than the specified maxResults.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "The token returned by the previous request.", "location": "query" }, "language": { "description": "The preferred language to use for strings returned by this method.", "type": "string", "location": "query" } }, "flatPath": "games/v1/events" }, "record": { "flatPath": "games/v1/events", "parameters": { "language": { "type": "string", "location": "query", "description": "The preferred language to use for strings returned by this method." } }, "scopes": [ "https://www.googleapis.com/auth/games" ], "request": { "$ref": "EventRecordRequest" }, "id": "games.events.record", "description": "Records a batch of changes to the number of times events have occurred for the currently authenticated user of this application.", "response": { "$ref": "EventUpdateResponse" }, "parameterOrder": [], "httpMethod": "POST", "path": "games/v1/events" } } }, "metagame": { "methods": { "listCategoriesByPlayer": { "path": "games/v1/players/{playerId}/categories/{collection}", "parameterOrder": [ "playerId", "collection" ], "parameters": { "collection": { "location": "path", "enumDescriptions": [ "Default value. This value is unused.", "Retrieve data for all categories. This is the default." ], "description": "The collection of categories for which data will be returned.", "enum": [ "COLLECTION_UNSPECIFIED", "ALL" ], "required": true, "type": "string" }, "playerId": { "location": "path", "description": "A player ID. A value of `me` may be used in place of the authenticated player's ID.", "type": "string", "required": true }, "pageToken": { "location": "query", "description": "The token returned by the previous request.", "type": "string" }, "language": { "type": "string", "description": "The preferred language to use for strings returned by this method.", "location": "query" }, "maxResults": { "format": "int32", "type": "integer", "description": "The maximum number of category resources to return in the response, used for paging. For any response, the actual number of category resources returned may be less than the specified `maxResults`.", "location": "query" } }, "response": { "$ref": "CategoryListResponse" }, "id": "games.metagame.listCategoriesByPlayer", "scopes": [ "https://www.googleapis.com/auth/games" ], "flatPath": "games/v1/players/{playerId}/categories/{collection}", "httpMethod": "GET", "description": "List play data aggregated per category for the player corresponding to `playerId`." }, "getMetagameConfig": { "description": "Return the metagame configuration data for the calling application.", "response": { "$ref": "MetagameConfig" }, "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/games" ], "httpMethod": "GET", "path": "games/v1/metagameConfig", "flatPath": "games/v1/metagameConfig", "parameterOrder": [], "id": "games.metagame.getMetagameConfig" } } }, "revisions": { "methods": { "check": { "scopes": [ "https://www.googleapis.com/auth/games" ], "response": { "$ref": "RevisionCheckResponse" }, "id": "games.revisions.check", "path": "games/v1/revisions/check", "flatPath": "games/v1/revisions/check", "httpMethod": "GET", "parameters": { "clientRevision": { "required": true, "description": "The revision of the client SDK used by your application. Format: `[PLATFORM_TYPE]:[VERSION_NUMBER]`. Possible values of `PLATFORM_TYPE` are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ANDROID` - Client is running the Android SDK. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `IOS` - Client is running the iOS SDK. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `WEB_APP` - Client is running as a Web App.", "location": "query", "type": "string" } }, "description": "Checks whether the games client is out of date.", "parameterOrder": [ "clientRevision" ] } } }, "stats": { "methods": { "get": { "response": { "$ref": "StatsResponse" }, "description": "Returns engagement and spend statistics in this application for the currently authenticated user.", "flatPath": "games/v1/stats", "path": "games/v1/stats", "id": "games.stats.get", "scopes": [ "https://www.googleapis.com/auth/games" ], "parameterOrder": [], "parameters": {}, "httpMethod": "GET" } } }, "achievementDefinitions": { "methods": { "list": { "id": "games.achievementDefinitions.list", "path": "games/v1/achievements", "flatPath": "games/v1/achievements", "description": "Lists all the achievement definitions for your application.", "response": { "$ref": "AchievementDefinitionsListResponse" }, "httpMethod": "GET", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/games" ], "parameters": { "pageToken": { "description": "The token returned by the previous request.", "location": "query", "type": "string" }, "maxResults": { "location": "query", "format": "int32", "description": "The maximum number of achievement resources to return in the response, used for paging. For any response, the actual number of achievement resources returned may be less than the specified `maxResults`.", "type": "integer" }, "language": { "type": "string", "description": "The preferred language to use for strings returned by this method.", "location": "query" } } } } } }, "canonicalName": "Games", "title": "Google Play Game Services", "kind": "discovery#restDescription", "documentationLink": "https://developers.google.com/games/", "revision": "20220629", "ownerName": "Google", "schemas": { "PlayerScoreListResponse": { "type": "object", "description": "A list of score submission statuses.", "id": "PlayerScoreListResponse", "properties": { "submittedScores": { "items": { "$ref": "PlayerScoreResponse" }, "type": "array", "description": "The score submissions statuses." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerScoreListResponse`." } } }, "AchievementDefinition": { "description": "An achievement definition object.", "properties": { "isUnlockedIconUrlDefault": { "type": "boolean", "description": "Indicates whether the unlocked icon image being returned is a default image, or is game-provided." }, "experiencePoints": { "type": "string", "format": "int64", "description": "Experience points which will be earned when unlocking this achievement." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementDefinition`." }, "initialState": { "enum": [ "INITIAL_ACHIEVEMENT_STATE_UNSPECIFIED", "HIDDEN", "REVEALED", "UNLOCKED" ], "type": "string", "enumDescriptions": [ "Safe default, don't use.", "Achievement is hidden.", "Achievement is revealed.", "Achievement is unlocked." ], "description": "The initial state of the achievement." }, "formattedTotalSteps": { "description": "The total steps for an incremental achievement as a string.", "type": "string" }, "description": { "type": "string", "description": "The description of the achievement." }, "totalSteps": { "description": "The total steps for an incremental achievement.", "type": "integer", "format": "int32" }, "unlockedIconUrl": { "type": "string", "description": "The image URL for the unlocked achievement icon." }, "id": { "description": "The ID of the achievement.", "type": "string" }, "revealedIconUrl": { "description": "The image URL for the revealed achievement icon.", "type": "string" }, "name": { "type": "string", "description": "The name of the achievement." }, "isRevealedIconUrlDefault": { "description": "Indicates whether the revealed icon image being returned is a default image, or is provided by the game.", "type": "boolean" }, "achievementType": { "type": "string", "description": "The type of the achievement.", "enumDescriptions": [ "Safe default, don't use.", "Achievement is either locked or unlocked.", "Achievement is incremental." ], "enum": [ "ACHIEVEMENT_TYPE_UNSPECIFIED", "STANDARD", "INCREMENTAL" ] } }, "id": "AchievementDefinition", "type": "object" }, "PlayerAchievement": { "id": "PlayerAchievement", "properties": { "lastUpdatedTimestamp": { "format": "int64", "description": "The timestamp of the last modification to this achievement's state.", "type": "string" }, "id": { "type": "string", "description": "The ID of the achievement." }, "currentSteps": { "type": "integer", "description": "The current steps for an incremental achievement.", "format": "int32" }, "experiencePoints": { "format": "int64", "type": "string", "description": "Experience points earned for the achievement. This field is absent for achievements that have not yet been unlocked and 0 for achievements that have been unlocked by testers but that are unpublished." }, "formattedCurrentStepsString": { "description": "The current steps for an incremental achievement as a string.", "type": "string" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerAchievement`." }, "achievementState": { "enumDescriptions": [ "Default value. This value is unused.", "Achievement is hidden.", "Achievement is revealed.", "Achievement is unlocked." ], "enum": [ "STATE_UNSPECIFIED", "HIDDEN", "REVEALED", "UNLOCKED" ], "description": "The state of the achievement.", "type": "string" } }, "description": "An achievement object.", "type": "object" }, "Player": { "id": "Player", "type": "object", "properties": { "bannerUrlLandscape": { "type": "string", "description": "The url to the landscape mode player banner image." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#player`", "type": "string" }, "playerId": { "description": "The ID of the player.", "type": "string" }, "friendStatus": { "enum": [ "FRIEND_STATUS_UNSPECIFIED", "NO_RELATIONSHIP", "FRIEND" ], "description": "The friend status of the given player, relative to the requester. This is unset if the player is not sharing their friends list with the game.", "enumDescriptions": [ "Default value. This value is unused.", "There is no relationship between the players.", "The player and requester are friends." ], "type": "string" }, "experienceInfo": { "$ref": "PlayerExperienceInfo", "description": "An object to represent Play Game experience information for the player." }, "name": { "description": "A representation of the individual components of the name.", "properties": { "familyName": { "description": "The family name of this player. In some places, this is known as the last name.", "type": "string" }, "givenName": { "type": "string", "description": "The given name of this player. In some places, this is known as the first name." } }, "type": "object" }, "gamePlayerId": { "type": "string", "description": "Per-application unique player identifier." }, "originalPlayerId": { "description": "The player ID that was used for this player the first time they signed into the game in question. This is only populated for calls to player.get for the requesting player, only if the player ID has subsequently changed, and only to clients that support remapping player IDs.", "type": "string" }, "avatarImageUrl": { "type": "string", "description": "The base URL for the image that represents the player." }, "displayName": { "type": "string", "description": "The name to display for the player." }, "profileSettings": { "$ref": "ProfileSettings", "description": "The player's profile settings. Controls whether or not the player's profile is visible to other players." }, "title": { "type": "string", "description": "The player's title rewarded for their game activities." }, "bannerUrlPortrait": { "description": "The url to the portrait mode player banner image.", "type": "string" } }, "description": "A Player resource." }, "PlayerScoreSubmissionList": { "properties": { "scores": { "items": { "$ref": "ScoreSubmission" }, "type": "array", "description": "The score submissions." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerScoreSubmissionList`." } }, "description": "A list of score submission requests.", "type": "object", "id": "PlayerScoreSubmissionList" }, "InstanceWebDetails": { "type": "object", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#instanceWebDetails`.", "type": "string" }, "preferred": { "description": "Indicates that this instance is the default for new installations.", "type": "boolean" }, "launchUrl": { "description": "Launch URL for the game.", "type": "string" } }, "description": "The Web details resource.", "id": "InstanceWebDetails" }, "GamesAchievementSetStepsAtLeast": { "type": "object", "id": "GamesAchievementSetStepsAtLeast", "description": "The payload to request to increment an achievement.", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#GamesAchievementSetStepsAtLeast`.", "type": "string" }, "steps": { "type": "integer", "format": "int32", "description": "The minimum number of steps for the achievement to be set to." } } }, "EventDefinitionListResponse": { "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventDefinitionListResponse`.", "type": "string" }, "items": { "items": { "$ref": "EventDefinition" }, "description": "The event definitions.", "type": "array" }, "nextPageToken": { "description": "The pagination token for the next page of results.", "type": "string" } }, "id": "EventDefinitionListResponse", "type": "object", "description": "A ListDefinitions response." }, "Instance": { "description": "The Instance resource.", "type": "object", "properties": { "androidInstance": { "description": "Platform dependent details for Android.", "$ref": "InstanceAndroidDetails" }, "turnBasedPlay": { "type": "boolean", "description": "Flag to show if this game instance supports turn based play." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#instance`.", "type": "string" }, "realtimePlay": { "description": "Flag to show if this game instance supports realtime play.", "type": "boolean" }, "webInstance": { "$ref": "InstanceWebDetails", "description": "Platform dependent details for Web." }, "acquisitionUri": { "description": "URI which shows where a user can acquire this instance.", "type": "string" }, "iosInstance": { "description": "Platform dependent details for iOS.", "$ref": "InstanceIosDetails" }, "platformType": { "description": "The platform type.", "enumDescriptions": [ "Default value. Should be unused.", "Instance is for Android.", "Instance is for iOS.", "Instance is for Web App." ], "enum": [ "PLATFORM_TYPE_UNSPECIFIED", "ANDROID", "IOS", "WEB_APP" ], "type": "string" }, "name": { "description": "Localized display name.", "type": "string" } }, "id": "Instance" }, "ImageAsset": { "properties": { "height": { "description": "The height of the asset.", "format": "int32", "type": "integer" }, "url": { "description": "The URL of the asset.", "type": "string" }, "name": { "type": "string", "description": "The name of the asset." }, "width": { "format": "int32", "description": "The width of the asset.", "type": "integer" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#imageAsset`.", "type": "string" } }, "description": "An image asset object.", "type": "object", "id": "ImageAsset" }, "EventUpdateResponse": { "description": "An event period update resource.", "id": "EventUpdateResponse", "type": "object", "properties": { "eventFailures": { "description": "Any failures updating a particular event.", "type": "array", "items": { "$ref": "EventRecordFailure" } }, "playerEvents": { "type": "array", "items": { "$ref": "PlayerEvent" }, "description": "The current status of any updated events" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventUpdateResponse`." }, "batchFailures": { "items": { "$ref": "EventBatchRecordFailure" }, "type": "array", "description": "Any batch-wide failures which occurred applying updates." } } }, "PlayerEvent": { "properties": { "numEvents": { "format": "int64", "description": "The current number of times this event has occurred.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerEvent`.", "type": "string" }, "playerId": { "description": "The ID of the player.", "type": "string" }, "definitionId": { "type": "string", "description": "The ID of the event definition." }, "formattedNumEvents": { "type": "string", "description": "The current number of times this event has occurred, as a string. The formatting of this string depends on the configuration of your event in the Play Games Developer Console." } }, "id": "PlayerEvent", "description": "An event status resource.", "type": "object" }, "PlayerLeaderboardScoreListResponse": { "id": "PlayerLeaderboardScoreListResponse", "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerLeaderboardScoreListResponse`." }, "player": { "description": "The Player resources for the owner of this score.", "$ref": "Player" }, "items": { "description": "The leaderboard scores.", "type": "array", "items": { "$ref": "PlayerLeaderboardScore" } }, "nextPageToken": { "description": "The pagination token for the next page of results.", "type": "string" } }, "type": "object", "description": "A list of player leaderboard scores." }, "Leaderboard": { "description": "The Leaderboard resource.", "id": "Leaderboard", "properties": { "iconUrl": { "type": "string", "description": "The icon for the leaderboard." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboard`.", "type": "string" }, "name": { "description": "The name of the leaderboard.", "type": "string" }, "order": { "description": "How scores are ordered.", "enumDescriptions": [ "Default value. This value is unused.", "Larger values are better; scores are sorted in descending order", "Smaller values are better; scores are sorted in ascending order" ], "type": "string", "enum": [ "SCORE_ORDER_UNSPECIFIED", "LARGER_IS_BETTER", "SMALLER_IS_BETTER" ] }, "id": { "description": "The leaderboard ID.", "type": "string" }, "isIconUrlDefault": { "type": "boolean", "description": "Indicates whether the icon image being returned is a default image, or is game-provided." } }, "type": "object" }, "AchievementUpdateMultipleResponse": { "id": "AchievementUpdateMultipleResponse", "type": "object", "description": "Response message for UpdateMultipleAchievements rpc.", "properties": { "updatedAchievements": { "items": { "$ref": "AchievementUpdateResponse" }, "description": "The updated state of the achievements.", "type": "array" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementUpdateMultipleResponse`.", "type": "string" } } }, "LeaderboardEntry": { "description": "The Leaderboard Entry resource.", "properties": { "scoreRank": { "type": "string", "description": "The rank of this score for this leaderboard.", "format": "int64" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboardEntry`.", "type": "string" }, "formattedScore": { "description": "The localized string for the numerical value of this score.", "type": "string" }, "timeSpan": { "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ], "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "type": "string", "description": "The time span of this high score." }, "writeTimestampMillis": { "format": "int64", "type": "string", "description": "The timestamp at which this score was recorded, in milliseconds since the epoch in UTC." }, "scoreTag": { "type": "string", "description": "Additional information about the score. Values must contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986." }, "scoreValue": { "description": "The numerical value of this score.", "type": "string", "format": "int64" }, "formattedScoreRank": { "description": "The localized string for the rank of this score for this leaderboard.", "type": "string" }, "player": { "$ref": "Player", "description": "The player who holds this score." } }, "type": "object", "id": "LeaderboardEntry" }, "PlayerLeaderboardScore": { "description": "A player leaderboard score object.", "properties": { "writeTimestamp": { "format": "int64", "description": "The timestamp at which this score was recorded, in milliseconds since the epoch in UTC.", "type": "string" }, "scoreValue": { "description": "The numerical value of this score.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerLeaderboardScore`." }, "publicRank": { "description": "The public rank of the score in this leaderboard. This object will not be present if the user is not sharing their scores publicly.", "$ref": "LeaderboardScoreRank" }, "timeSpan": { "description": "The time span of this score.", "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ], "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "type": "string" }, "scoreString": { "description": "The formatted value of this score.", "type": "string" }, "leaderboard_id": { "description": "The ID of the leaderboard this score is in.", "type": "string" }, "scoreTag": { "description": "Additional information about the score. Values must contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986.", "type": "string" }, "socialRank": { "$ref": "LeaderboardScoreRank", "description": "The social rank of the score in this leaderboard." }, "friendsRank": { "$ref": "LeaderboardScoreRank", "description": "The rank of the score in the friends collection for this leaderboard." } }, "id": "PlayerLeaderboardScore", "type": "object" }, "EventBatchRecordFailure": { "description": "A batch update failure resource.", "id": "EventBatchRecordFailure", "properties": { "range": { "$ref": "EventPeriodRange", "description": "The time range which was rejected; empty for a request-wide failure." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventBatchRecordFailure`.", "type": "string" }, "failureCause": { "type": "string", "enumDescriptions": [ "Default value. Should not be used.", "A batch request was issued with more events than are allowed in a single batch.", "A batch was sent with data too far in the past to record.", "A batch was sent with a time range that was too short.", "A batch was sent with a time range that was too long.", "An attempt was made to record a batch of data which was already seen.", "An attempt was made to record data faster than the server will apply updates." ], "enum": [ "EVENT_FAILURE_CAUSE_UNSPECIFIED", "TOO_LARGE", "TIME_PERIOD_EXPIRED", "TIME_PERIOD_SHORT", "TIME_PERIOD_LONG", "ALREADY_UPDATED", "RECORD_RATE_HIGH" ], "description": "The cause for the update failure." } }, "type": "object" }, "EventRecordRequest": { "description": "An event period update resource.", "id": "EventRecordRequest", "type": "object", "properties": { "requestId": { "format": "int64", "type": "string", "description": "The request ID used to identify this attempt to record events." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventRecordRequest`." }, "timePeriods": { "type": "array", "items": { "$ref": "EventPeriodUpdate" }, "description": "A list of the time period updates being made in this request." }, "currentTimeMillis": { "description": "The current time when this update was sent, in milliseconds, since 1970 UTC (Unix Epoch).", "format": "int64", "type": "string" } } }, "AchievementDefinitionsListResponse": { "id": "AchievementDefinitionsListResponse", "properties": { "nextPageToken": { "description": "Token corresponding to the next page of results.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementDefinitionsListResponse`.", "type": "string" }, "items": { "items": { "$ref": "AchievementDefinition" }, "description": "The achievement definitions.", "type": "array" } }, "description": "A list of achievement definition objects.", "type": "object" }, "LeaderboardListResponse": { "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboardListResponse`.", "type": "string" }, "items": { "type": "array", "description": "The leaderboards.", "items": { "$ref": "Leaderboard" } }, "nextPageToken": { "description": "Token corresponding to the next page of results.", "type": "string" } }, "description": "A list of leaderboard objects.", "type": "object", "id": "LeaderboardListResponse" }, "EndPoint": { "description": "Container for a URL end point of the requested type.", "type": "object", "properties": { "url": { "type": "string", "description": "A URL suitable for loading in a web browser for the requested endpoint." } }, "id": "EndPoint" }, "Application": { "id": "Application", "properties": { "description": { "type": "string", "description": "The description of the application." }, "enabledFeatures": { "items": { "enumDescriptions": [ "Safe default, don't use.", "Saved Games (snapshots)." ], "enum": [ "APPLICATION_FEATURE_UNSPECIFIED", "SNAPSHOTS" ], "type": "string" }, "description": "A list of features that have been enabled for the application.", "type": "array" }, "assets": { "items": { "$ref": "ImageAsset" }, "description": "The assets of the application.", "type": "array" }, "id": { "description": "The ID of the application.", "type": "string" }, "author": { "description": "The author of the application.", "type": "string" }, "achievement_count": { "description": "The number of achievements visible to the currently authenticated player.", "type": "integer", "format": "int32" }, "leaderboard_count": { "format": "int32", "description": "The number of leaderboards visible to the currently authenticated player.", "type": "integer" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#application`.", "type": "string" }, "themeColor": { "type": "string", "description": "A hint to the client UI for what color to use as an app-themed color. The color is given as an RGB triplet (e.g. \"E0E0E0\")." }, "name": { "description": "The name of the application.", "type": "string" }, "instances": { "items": { "$ref": "Instance" }, "type": "array", "description": "The instances of the application." }, "category": { "$ref": "ApplicationCategory", "description": "The category of the application." }, "lastUpdatedTimestamp": { "format": "int64", "type": "string", "description": "The last updated timestamp of the application." } }, "type": "object", "description": "The Application resource." }, "RevisionCheckResponse": { "properties": { "revisionStatus": { "enumDescriptions": [ "Default value. This value is unused.", "The revision being used is current.", "There is currently a newer version available, but the revision being used still works.", "The revision being used is not supported in any released version." ], "enum": [ "REVISION_STATUS_UNSPECIFIED", "OK", "DEPRECATED", "INVALID" ], "description": "The result of the revision check.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#revisionCheckResponse`.", "type": "string" }, "apiVersion": { "type": "string", "description": "The version of the API this client revision should use when calling API methods." } }, "description": "A third party checking a revision response.", "id": "RevisionCheckResponse", "type": "object" }, "CategoryListResponse": { "id": "CategoryListResponse", "description": "A third party list metagame categories response.", "type": "object", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#categoryListResponse`.", "type": "string" }, "nextPageToken": { "type": "string", "description": "Token corresponding to the next page of results." }, "items": { "type": "array", "items": { "$ref": "Category" }, "description": "The list of categories with usage data." } } }, "ApplicationVerifyResponse": { "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#applicationVerifyResponse`.", "type": "string" }, "player_id": { "description": "The ID of the player that was issued the auth token used in this request.", "type": "string" }, "alternate_player_id": { "description": "An alternate ID that was once used for the player that was issued the auth token used in this request. (This field is not normally populated.)", "type": "string" } }, "type": "object", "description": "A third party application verification response resource.", "id": "ApplicationVerifyResponse" }, "AchievementUpdateRequest": { "description": "A request to update an achievement.", "type": "object", "id": "AchievementUpdateRequest", "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementUpdateRequest`." }, "updateType": { "description": "The type of update being applied.", "enumDescriptions": [ "Safe default, don't use.", "Achievement is revealed.", "Achievement is unlocked.", "Achievement is incremented.", "Achievement progress is set to at least the passed value." ], "type": "string", "enum": [ "ACHIEVEMENT_UPDATE_TYPE_UNSPECIFIED", "REVEAL", "UNLOCK", "INCREMENT", "SET_STEPS_AT_LEAST" ] }, "setStepsAtLeastPayload": { "description": "The payload if an update of type `SET_STEPS_AT_LEAST` was requested for the achievement.", "$ref": "GamesAchievementSetStepsAtLeast" }, "incrementPayload": { "description": "The payload if an update of type `INCREMENT` was requested for the achievement.", "$ref": "GamesAchievementIncrement" }, "achievementId": { "type": "string", "description": "The achievement this update is being applied to." } } }, "PlayerExperienceInfo": { "description": "1P/3P metadata about the player's experience.", "type": "object", "properties": { "currentExperiencePoints": { "description": "The current number of experience points for the player.", "format": "int64", "type": "string" }, "lastLevelUpTimestampMillis": { "type": "string", "description": "The timestamp when the player was leveled up, in millis since Unix epoch UTC.", "format": "int64" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerExperienceInfo`." }, "nextLevel": { "$ref": "PlayerLevel", "description": "The next level of the player. If the current level is the maximum level, this should be same as the current level." }, "currentLevel": { "description": "The current level of the player.", "$ref": "PlayerLevel" } }, "id": "PlayerExperienceInfo" }, "PlayerScoreResponse": { "description": "A list of leaderboard entry resources.", "properties": { "unbeatenScores": { "description": "The scores in time spans that have not been beaten. As an example, the submitted score may be better than the player's `DAILY` score, but not better than the player's scores for the `WEEKLY` or `ALL_TIME` time spans.", "items": { "$ref": "PlayerScore" }, "type": "array" }, "leaderboardId": { "type": "string", "description": "The leaderboard ID that this score was submitted to." }, "scoreTag": { "type": "string", "description": "Additional information about this score. Values will contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerScoreResponse`.", "type": "string" }, "formattedScore": { "description": "The formatted value of the submitted score.", "type": "string" }, "beatenScoreTimeSpans": { "items": { "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ] }, "description": "The time spans where the submitted score is better than the existing score for that time span.", "type": "array" } }, "type": "object", "id": "PlayerScoreResponse" }, "PlayerScore": { "id": "PlayerScore", "description": "A player score.", "properties": { "timeSpan": { "description": "The time span for this player score.", "enum": [ "SCORE_TIME_SPAN_UNSPECIFIED", "ALL_TIME", "WEEKLY", "DAILY" ], "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "The score is an all-time score.", "The score is a weekly score.", "The score is a daily score." ] }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerScore`." }, "scoreTag": { "description": "Additional information about this score. Values will contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986.", "type": "string" }, "formattedScore": { "type": "string", "description": "The formatted score for this player score." }, "score": { "type": "string", "format": "int64", "description": "The numerical value for this player score." } }, "type": "object" }, "AchievementUpdateResponse": { "description": "An updated achievement.", "type": "object", "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementUpdateResponse`." }, "currentSteps": { "format": "int32", "description": "The current steps recorded for this achievement if it is incremental.", "type": "integer" }, "currentState": { "description": "The current state of the achievement.", "enumDescriptions": [ "Safe default, don't use.", "Achievement is hidden.", "Achievement is revealed.", "Achievement is unlocked." ], "type": "string", "enum": [ "UPDATED_ACHIEVEMENT_STATE_UNSPECIFIED", "HIDDEN", "REVEALED", "UNLOCKED" ] }, "achievementId": { "description": "The achievement this update is was applied to.", "type": "string" }, "newlyUnlocked": { "type": "boolean", "description": "Whether this achievement was newly unlocked (that is, whether the unlock request for the achievement was the first for the player)." }, "updateOccurred": { "type": "boolean", "description": "Whether the requested updates actually affected the achievement." } }, "id": "AchievementUpdateResponse" }, "LeaderboardScoreRank": { "type": "object", "properties": { "rank": { "description": "The rank in the leaderboard.", "type": "string", "format": "int64" }, "formattedNumScores": { "description": "The number of scores in the leaderboard as a string.", "type": "string" }, "formattedRank": { "description": "The rank in the leaderboard as a string.", "type": "string" }, "numScores": { "description": "The number of scores in the leaderboard.", "type": "string", "format": "int64" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboardScoreRank`.", "type": "string" } }, "id": "LeaderboardScoreRank", "description": "A score rank in a leaderboard." }, "StatsResponse": { "description": "A third party stats resource.", "properties": { "high_spender_probability": { "type": "number", "description": "The probability of the player going to spend beyond a threshold amount of money. E.g., 0, 0.25, 0.50, 0.75. Not populated if there is not enough information.", "format": "float" }, "num_sessions": { "type": "integer", "description": "The approximate number of sessions of the player within the last 28 days, where a session begins when the player is connected to Play Games Services and ends when they are disconnected. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.", "format": "int32" }, "days_since_last_played": { "description": "Number of days since the player last played this game. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.", "format": "int32", "type": "integer" }, "spend_probability": { "description": "The probability of the player going to spend the game in the next seven days. E.g., 0, 0.25, 0.50, 0.75. Not populated if there is not enough information.", "format": "float", "type": "number" }, "avg_session_length_minutes": { "description": "Average session length in minutes of the player. E.g., 1, 30, 60, ... . Not populated if there is not enough information.", "format": "float", "type": "number" }, "spend_percentile": { "description": "The approximate spend percentile of the player in this game. E.g., 0, 0.25, 0.5, 0.75. Not populated if there is not enough information.", "format": "float", "type": "number" }, "churn_probability": { "format": "float", "description": "The probability of the player not returning to play the game in the next day. E.g., 0, 0.1, 0.5, ..., 1.0. Not populated if there is not enough information.", "type": "number" }, "num_sessions_percentile": { "format": "float", "type": "number", "description": "The approximation of the sessions percentile of the player within the last 30 days, where a session begins when the player is connected to Play Games Services and ends when they are disconnected. E.g., 0, 0.25, 0.5, 0.75. Not populated if there is not enough information." }, "num_purchases": { "type": "integer", "description": "Number of in-app purchases made by the player in this game. E.g., 0, 1, 5, 10, ... . Not populated if there is not enough information.", "format": "int32" }, "total_spend_next_28_days": { "format": "float", "type": "number", "description": "The predicted amount of money that the player going to spend in the next 28 days. E.g., 1, 30, 60, ... . Not populated if there is not enough information." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#statsResponse`.", "type": "string" } }, "id": "StatsResponse", "type": "object" }, "AchievementRevealResponse": { "id": "AchievementRevealResponse", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementRevealResponse`.", "type": "string" }, "currentState": { "enumDescriptions": [ "Safe default, don't use.", "Achievement is revealed.", "Achievement is unlocked." ], "description": "The current state of the achievement for which a reveal was attempted. This might be `UNLOCKED` if the achievement was already unlocked.", "type": "string", "enum": [ "REVEAL_ACHIEVEMENT_STATE_UNSPECIFIED", "REVEALED", "UNLOCKED" ] } }, "type": "object", "description": "An achievement reveal response" }, "InstanceIosDetails": { "type": "object", "description": "The iOS details resource.", "properties": { "supportIphone": { "description": "Flag to indicate if this instance supports iPhone.", "type": "boolean" }, "preferredForIphone": { "type": "boolean", "description": "Indicates that this instance is the default for new installations on iPhone devices." }, "preferredForIpad": { "description": "Indicates that this instance is the default for new installations on iPad devices.", "type": "boolean" }, "bundleIdentifier": { "description": "Bundle identifier.", "type": "string" }, "supportIpad": { "type": "boolean", "description": "Flag to indicate if this instance supports iPad." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#instanceIosDetails`.", "type": "string" }, "itunesAppId": { "description": "iTunes App ID.", "type": "string" } }, "id": "InstanceIosDetails" }, "AchievementIncrementResponse": { "id": "AchievementIncrementResponse", "properties": { "currentSteps": { "format": "int32", "type": "integer", "description": "The current steps recorded for this incremental achievement." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementIncrementResponse`." }, "newlyUnlocked": { "type": "boolean", "description": "Whether the current steps for the achievement has reached the number of steps required to unlock." } }, "type": "object", "description": "An achievement increment response" }, "EventDefinition": { "id": "EventDefinition", "description": "An event definition resource.", "type": "object", "properties": { "description": { "description": "Description of what this event represents.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventDefinition`.", "type": "string" }, "isDefaultImageUrl": { "type": "boolean", "description": "Indicates whether the icon image being returned is a default image, or is game-provided." }, "displayName": { "description": "The name to display for the event.", "type": "string" }, "id": { "type": "string", "description": "The ID of the event." }, "imageUrl": { "description": "The base URL for the image that represents the event.", "type": "string" }, "childEvents": { "type": "array", "items": { "$ref": "EventChild" }, "description": "A list of events that are a child of this event." }, "visibility": { "type": "string", "description": "The visibility of event being tracked in this definition.", "enumDescriptions": [ "Default value. Should not be used.", "This event should be visible to all users.", "This event should only be shown to users that have recorded this event at least once." ], "enum": [ "EVENT_VISIBILITY_UNSPECIFIED", "REVEALED", "HIDDEN" ] } } }, "MetagameConfig": { "properties": { "playerLevels": { "description": "The list of player levels.", "type": "array", "items": { "$ref": "PlayerLevel" } }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#metagameConfig`.", "type": "string" }, "currentVersion": { "description": "Current version of the metagame configuration data. When this data is updated, the version number will be increased by one.", "type": "integer", "format": "int32" } }, "description": "The metagame config resource", "id": "MetagameConfig", "type": "object" }, "Snapshot": { "description": "An snapshot object.", "properties": { "progressValue": { "description": "The progress value (64-bit integer set by developer) associated with this snapshot.", "type": "string", "format": "int64" }, "id": { "type": "string", "description": "The ID of the snapshot." }, "description": { "type": "string", "description": "The description of this snapshot." }, "type": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "A snapshot representing a save game." ], "description": "The type of this snapshot.", "enum": [ "SNAPSHOT_TYPE_UNSPECIFIED", "SAVE_GAME" ] }, "uniqueName": { "type": "string", "description": "The unique name provided when the snapshot was created." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#snapshot`." }, "title": { "type": "string", "description": "The title of this snapshot." }, "lastModifiedMillis": { "format": "int64", "description": "The timestamp (in millis since Unix epoch) of the last modification to this snapshot.", "type": "string" }, "coverImage": { "$ref": "SnapshotImage", "description": "The cover image of this snapshot. May be absent if there is no image." }, "durationMillis": { "format": "int64", "type": "string", "description": "The duration associated with this snapshot, in millis." }, "driveId": { "description": "The ID of the file underlying this snapshot in the Drive API. Only present if the snapshot is a view on a Drive file and the file is owned by the caller.", "type": "string" } }, "type": "object", "id": "Snapshot" }, "AchievementUnlockResponse": { "id": "AchievementUnlockResponse", "type": "object", "properties": { "newlyUnlocked": { "type": "boolean", "description": "Whether this achievement was newly unlocked (that is, whether the unlock request for the achievement was the first for the player)." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementUnlockResponse`.", "type": "string" } }, "description": "An achievement unlock response" }, "PlayerEventListResponse": { "id": "PlayerEventListResponse", "description": "A ListByPlayer response.", "type": "object", "properties": { "nextPageToken": { "description": "The pagination token for the next page of results.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerEventListResponse`.", "type": "string" }, "items": { "description": "The player events.", "items": { "$ref": "PlayerEvent" }, "type": "array" } } }, "SnapshotListResponse": { "type": "object", "id": "SnapshotListResponse", "description": "A third party list snapshots response.", "properties": { "nextPageToken": { "description": "Token corresponding to the next page of results. If there are no more results, the token is omitted.", "type": "string" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#snapshotListResponse`." }, "items": { "type": "array", "description": "The snapshots.", "items": { "$ref": "Snapshot" } } } }, "ProfileSettings": { "type": "object", "properties": { "friendsListVisibility": { "type": "string", "enum": [ "FRIENDS_LIST_VISIBILITY_UNSPECIFIED", "VISIBLE", "REQUEST_REQUIRED", "UNAVAILABLE" ], "enumDescriptions": [ "Unused.", "The friends list is currently visible to the game.", "The developer does not have access to the friends list, but can call the Android API to show a consent dialog.", "The friends list is currently unavailable for this user, and it is not possible to request access at this time, either because the user has permanently declined or the friends feature is not available to them. In this state, any attempts to request access to the friends list will be unsuccessful." ] }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#profileSettings`.", "type": "string" }, "profileVisible": { "description": "Whether the player's profile is visible to the currently signed in player.", "type": "boolean" } }, "description": "Profile settings", "id": "ProfileSettings" }, "ScopedPlayerIds": { "description": "Scoped player identifiers.", "properties": { "gamePlayerId": { "description": "Game-scoped player identifier. This is the same id that is returned in GetPlayer game_player_id field.", "type": "string" }, "developerPlayerKey": { "type": "string", "description": "Identifier of the player across all games of the given developer. Every player has the same developer_player_key in all games of one developer. Developer player key changes for the game if the game is transferred to another developer. Note that game_player_id will stay unchanged." } }, "id": "ScopedPlayerIds", "type": "object" }, "PlayerLevel": { "description": "1P/3P metadata about a user's level.", "id": "PlayerLevel", "type": "object", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerLevel`.", "type": "string" }, "minExperiencePoints": { "type": "string", "format": "int64", "description": "The minimum experience points for this level." }, "level": { "format": "int32", "description": "The level for the user.", "type": "integer" }, "maxExperiencePoints": { "format": "int64", "type": "string", "description": "The maximum experience points for this level." } } }, "InstanceAndroidDetails": { "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#instanceAndroidDetails`." }, "enablePiracyCheck": { "type": "boolean", "description": "Flag indicating whether the anti-piracy check is enabled." }, "preferred": { "description": "Indicates that this instance is the default for new installations.", "type": "boolean" }, "packageName": { "description": "Android package name which maps to Google Play URL.", "type": "string" } }, "description": "The Android instance details resource.", "id": "InstanceAndroidDetails", "type": "object" }, "EventChild": { "type": "object", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventChild`.", "type": "string" }, "childId": { "type": "string", "description": "The ID of the child event." } }, "id": "EventChild", "description": "An event child relationship resource." }, "LeaderboardScores": { "description": "A ListScores response.", "id": "LeaderboardScores", "properties": { "nextPageToken": { "description": "The pagination token for the next page of results.", "type": "string" }, "playerScore": { "$ref": "LeaderboardEntry", "description": "The score of the requesting player on the leaderboard. The player's score may appear both here and in the list of scores above. If you are viewing a public leaderboard and the player is not sharing their gameplay information publicly, the `scoreRank`and `formattedScoreRank` values will not be present." }, "items": { "description": "The scores in the leaderboard.", "items": { "$ref": "LeaderboardEntry" }, "type": "array" }, "prevPageToken": { "description": "The pagination token for the previous page of results.", "type": "string" }, "numScores": { "description": "The total number of scores in the leaderboard.", "type": "string", "format": "int64" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#leaderboardScores`.", "type": "string" } }, "type": "object" }, "SnapshotImage": { "id": "SnapshotImage", "description": "An image of a snapshot.", "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#snapshotImage`.", "type": "string" }, "width": { "type": "integer", "description": "The width of the image.", "format": "int32" }, "mime_type": { "type": "string", "description": "The MIME type of the image." }, "height": { "format": "int32", "description": "The height of the image.", "type": "integer" }, "url": { "type": "string", "description": "The URL of the image. This URL may be invalidated at any time and should not be cached." } }, "type": "object" }, "PlayerListResponse": { "description": "A third party player list response.", "id": "PlayerListResponse", "type": "object", "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerListResponse`." }, "items": { "type": "array", "description": "The players.", "items": { "$ref": "Player" } }, "nextPageToken": { "description": "Token corresponding to the next page of results.", "type": "string" } } }, "GamesAchievementIncrement": { "id": "GamesAchievementIncrement", "description": "The payload to request to increment an achievement.", "type": "object", "properties": { "requestId": { "description": "The requestId associated with an increment to an achievement.", "type": "string", "format": "int64" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#GamesAchievementIncrement`.", "type": "string" }, "steps": { "type": "integer", "description": "The number of steps to be incremented.", "format": "int32" } } }, "AchievementUpdateMultipleRequest": { "type": "object", "properties": { "updates": { "description": "The individual achievement update requests.", "items": { "$ref": "AchievementUpdateRequest" }, "type": "array" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementUpdateMultipleRequest`." } }, "id": "AchievementUpdateMultipleRequest", "description": "A list of achievement update requests." }, "PlayerAchievementListResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token corresponding to the next page of results." }, "items": { "description": "The achievements.", "type": "array", "items": { "$ref": "PlayerAchievement" } }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#playerAchievementListResponse`." } }, "id": "PlayerAchievementListResponse", "description": "A list of achievement objects." }, "EventPeriodUpdate": { "id": "EventPeriodUpdate", "description": "An event period update resource.", "properties": { "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventPeriodUpdate`." }, "updates": { "items": { "$ref": "EventUpdateRequest" }, "description": "The updates being made for this time period.", "type": "array" }, "timePeriod": { "description": "The time period being covered by this update.", "$ref": "EventPeriodRange" } }, "type": "object" }, "ApplicationCategory": { "properties": { "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#applicationCategory`.", "type": "string" }, "secondary": { "description": "The secondary category.", "type": "string" }, "primary": { "type": "string", "description": "The primary category." } }, "id": "ApplicationCategory", "type": "object", "description": "An application category object." }, "EventUpdateRequest": { "properties": { "updateCount": { "type": "string", "format": "int64", "description": "The number of times this event occurred in this time period." }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventUpdateRequest`.", "type": "string" }, "definitionId": { "description": "The ID of the event being modified in this update.", "type": "string" } }, "type": "object", "description": "An event period update resource.", "id": "EventUpdateRequest" }, "Category": { "properties": { "category": { "type": "string", "description": "The category name." }, "experiencePoints": { "description": "Experience points earned in this category.", "type": "string", "format": "int64" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#category`." } }, "type": "object", "description": "Data related to individual game categories.", "id": "Category" }, "EventRecordFailure": { "id": "EventRecordFailure", "properties": { "failureCause": { "enumDescriptions": [ "Default value. Should not use.", "An attempt was made to set an event that was not defined.", "An attempt was made to increment an event by a non-positive value." ], "description": "The cause for the update failure.", "type": "string", "enum": [ "EVENT_UPDATE_FAILURE_CAUSE_UNSPECIFIED", "NOT_FOUND", "INVALID_UPDATE_VALUE" ] }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventRecordFailure`.", "type": "string" }, "eventId": { "type": "string", "description": "The ID of the event that was not updated." } }, "description": "An event update failure resource.", "type": "object" }, "AchievementSetStepsAtLeastResponse": { "id": "AchievementSetStepsAtLeastResponse", "type": "object", "description": "An achievement set steps at least response.", "properties": { "currentSteps": { "description": "The current steps recorded for this incremental achievement.", "type": "integer", "format": "int32" }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#achievementSetStepsAtLeastResponse`." }, "newlyUnlocked": { "description": "Whether the current steps for the achievement has reached the number of steps required to unlock.", "type": "boolean" } } }, "EventPeriodRange": { "description": "An event period time range.", "properties": { "periodStartMillis": { "format": "int64", "type": "string", "description": "The time when this update period begins, in millis, since 1970 UTC (Unix Epoch)." }, "kind": { "type": "string", "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#eventPeriodRange`." }, "periodEndMillis": { "description": "The time when this update period ends, in millis, since 1970 UTC (Unix Epoch).", "format": "int64", "type": "string" } }, "id": "EventPeriodRange", "type": "object" }, "ScoreSubmission": { "properties": { "leaderboardId": { "description": "The leaderboard this score is being submitted to.", "type": "string" }, "kind": { "description": "Uniquely identifies the type of this resource. Value is always the fixed string `games#scoreSubmission`.", "type": "string" }, "scoreTag": { "type": "string", "description": "Additional information about this score. Values will contain no more than 64 URI-safe characters as defined by section 2.3 of RFC 3986." }, "score": { "description": "The new score being submitted.", "format": "int64", "type": "string" }, "signature": { "description": "Signature Values will contain URI-safe characters as defined by section 2.3 of RFC 3986.", "type": "string" } }, "type": "object", "id": "ScoreSubmission", "description": "A request to submit a score to leaderboards." } }, "version": "v1" }
]===]))
