local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "revision": "20220623", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "path": "v1beta/{+name}", "id": "gameservices.projects.locations.get", "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Resource name for the location." } }, "response": { "$ref": "Location" } }, "list": { "id": "gameservices.projects.locations.list", "parameters": { "includeUnrevealedLocations": { "description": "If true, the returned list will include locations which are not yet revealed.", "type": "boolean", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "location": "query" }, "name": { "location": "path", "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$", "required": true }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations", "path": "v1beta/{+name}/locations", "response": { "$ref": "ListLocationsResponse" }, "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "realms": { "methods": { "list": { "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Optional. Specifies the ordering of results following [Cloud API syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order)." }, "pageSize": { "location": "query", "description": "Optional. The maximum number of items to return. If unspecified, the server picks an appropriate default. The server may return fewer items than requested. A caller should only rely on the response's next_page_token to determine if there are more realms left to be queried.", "format": "int32", "type": "integer" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}`." }, "filter": { "type": "string", "location": "query", "description": "Optional. The filter to apply to list results (see [Filtering](https://google.aip.dev/160))." }, "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous list request, if any.", "location": "query" } }, "description": "Lists realms in a given project and location.", "path": "v1beta/{+parent}/realms", "parameterOrder": [ "parent" ], "response": { "$ref": "ListRealmsResponse" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms", "httpMethod": "GET", "id": "gameservices.projects.locations.realms.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single realm.", "response": { "$ref": "Realm" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}", "path": "v1beta/{+name}", "httpMethod": "GET", "id": "gameservices.projects.locations.realms.get", "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the realm to retrieve, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`.", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$", "location": "path" } } }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "description": "Deletes a single realm.", "id": "gameservices.projects.locations.realms.delete", "parameters": { "name": { "description": "Required. The name of the realm to delete, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`.", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}", "response": { "$ref": "Operation" } }, "patch": { "description": "Patches a single realm.", "parameters": { "updateMask": { "description": "Required. The update mask to apply to the resource. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "description": "The resource name of the realm, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`. For example, `projects/my-project/locations/global/realms/my-realm`.", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$", "type": "string", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "httpMethod": "PATCH", "request": { "$ref": "Realm" }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}", "id": "gameservices.projects.locations.realms.patch" }, "previewUpdate": { "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}:previewUpdate", "id": "gameservices.projects.locations.realms.previewUpdate", "httpMethod": "PATCH", "description": "Previews patches to a single realm.", "path": "v1beta/{+name}:previewUpdate", "response": { "$ref": "PreviewRealmUpdateResponse" }, "parameters": { "previewTime": { "type": "string", "description": "Optional. The target timestamp to compute the preview.", "format": "google-datetime", "location": "query" }, "updateMask": { "description": "Required. The update mask to apply to the resource. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$", "description": "The resource name of the realm, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`. For example, `projects/my-project/locations/global/realms/my-realm`.", "location": "path", "type": "string" } }, "request": { "$ref": "Realm" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "description": "Creates a new realm in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Realm" }, "path": "v1beta/{+parent}/realms", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms", "response": { "$ref": "Operation" }, "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}`.", "location": "path" }, "realmId": { "type": "string", "location": "query", "description": "Required. The ID of the realm resource to create." } }, "id": "gameservices.projects.locations.realms.create" } }, "resources": { "gameServerClusters": { "methods": { "patch": { "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters/{gameServerClustersId}", "id": "gameservices.projects.locations.realms.gameServerClusters.patch", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+/gameServerClusters/[^/]+$", "description": "Required. The resource name of the game server cluster, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}/gameServerClusters/{gameServerClusterId}`. For example, `projects/my-project/locations/global/realms/zanzibar/gameServerClusters/my-gke-cluster`.", "required": true }, "updateMask": { "type": "string", "description": "Required. The update mask to apply to the resource. At least one path must be supplied in this field. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "format": "google-fieldmask", "location": "query" } }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Patches a single game server cluster.", "path": "v1beta/{+name}", "request": { "$ref": "GameServerCluster" } }, "list": { "path": "v1beta/{+parent}/gameServerClusters", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "type": "string", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`.", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$", "location": "path" }, "filter": { "type": "string", "description": "Optional. The filter to apply to list results (see [Filtering](https://google.aip.dev/160)).", "location": "query" }, "view": { "location": "query", "type": "string", "enumDescriptions": [ "If the value is not set, Google Cloud Game Servers defaults to the `BASIC` view.", "Includes basic information of a GameServerCluster resource and omits `cluster_state`. This is the default value (for methods ListGameServerClusters, GetGameServerCluster, and PreviewCreateGameServerCluster).", "Include basic information of a GameServerCluster resource as well as `cluster_state`." ], "description": "Optional. View for the returned GameServerCluster objects. When `FULL` is specified, the `cluster_state` field is also returned in the GameServerCluster object, which includes the state of the referenced Kubernetes cluster such as versions and provider info. The default/unset value is `GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED`, the same as `BASIC`, which does not return the `cluster_state` field.", "enum": [ "GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED", "BASIC", "FULL" ] }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request, if any.", "location": "query", "type": "string" }, "orderBy": { "type": "string", "description": "Optional. Specifies the ordering of results following [Cloud API syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order).", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of items to return. If unspecified, the server picks an appropriate default. The server may return fewer items than requested. A caller should only rely on response's next_page_token to determine if there are more GameServerClusters left to be queried.", "location": "query", "type": "integer", "format": "int32" } }, "description": "Lists game server clusters in a given project and location.", "response": { "$ref": "ListGameServerClustersResponse" }, "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters", "id": "gameservices.projects.locations.realms.gameServerClusters.list" }, "previewUpdate": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters/{gameServerClustersId}:previewUpdate", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "location": "query", "format": "google-fieldmask", "type": "string" }, "previewTime": { "description": "Optional. The target timestamp to compute the preview.", "location": "query", "type": "string", "format": "google-datetime" }, "name": { "type": "string", "description": "Required. The resource name of the game server cluster, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}/gameServerClusters/{gameServerClusterId}`. For example, `projects/my-project/locations/global/realms/zanzibar/gameServerClusters/my-gke-cluster`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+/gameServerClusters/[^/]+$", "required": true } }, "id": "gameservices.projects.locations.realms.gameServerClusters.previewUpdate", "httpMethod": "PATCH", "request": { "$ref": "GameServerCluster" }, "path": "v1beta/{+name}:previewUpdate", "response": { "$ref": "PreviewUpdateGameServerClusterResponse" }, "description": "Previews updating a GameServerCluster.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "previewCreate": { "description": "Previews creation of a new game server cluster in a given project and location.", "httpMethod": "POST", "parameters": { "previewTime": { "location": "query", "description": "Optional. The target timestamp to compute the preview.", "format": "google-datetime", "type": "string" }, "gameServerClusterId": { "type": "string", "location": "query", "description": "Required. The ID of the game server cluster resource to create." }, "parent": { "location": "path", "type": "string", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$" }, "view": { "description": "Optional. This field is deprecated. Preview will always return KubernetesClusterState.", "enum": [ "GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "If the value is not set, Google Cloud Game Servers defaults to the `BASIC` view.", "Includes basic information of a GameServerCluster resource and omits `cluster_state`. This is the default value (for methods ListGameServerClusters, GetGameServerCluster, and PreviewCreateGameServerCluster).", "Include basic information of a GameServerCluster resource as well as `cluster_state`." ], "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters:previewCreate", "path": "v1beta/{+parent}/gameServerClusters:previewCreate", "response": { "$ref": "PreviewCreateGameServerClusterResponse" }, "id": "gameservices.projects.locations.realms.gameServerClusters.previewCreate", "parameterOrder": [ "parent" ], "request": { "$ref": "GameServerCluster" } }, "delete": { "parameters": { "name": { "location": "path", "description": "Required. The name of the game server cluster to delete, in the following form: `projects/{project}/locations/{locationId}/gameServerClusters/{gameServerClusterId}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+/gameServerClusters/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gameservices.projects.locations.realms.gameServerClusters.delete", "httpMethod": "DELETE", "path": "v1beta/{+name}", "response": { "$ref": "Operation" }, "description": "Deletes a single game server cluster.", "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters/{gameServerClustersId}" }, "get": { "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters/{gameServerClustersId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single game server cluster.", "response": { "$ref": "GameServerCluster" }, "path": "v1beta/{+name}", "id": "gameservices.projects.locations.realms.gameServerClusters.get", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. The name of the game server cluster to retrieve, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}/gameServerClusters/{gameServerClusterId}`.", "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+/gameServerClusters/[^/]+$", "location": "path" }, "view": { "location": "query", "enum": [ "GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string", "description": "Optional. View for the returned GameServerCluster objects. When `FULL` is specified, the `cluster_state` field is also returned in the GameServerCluster object, which includes the state of the referenced Kubernetes cluster such as versions and provider info. The default/unset value is `GAME_SERVER_CLUSTER_VIEW_UNSPECIFIED`, the same as `BASIC`, which does not return the `cluster_state` field.", "enumDescriptions": [ "If the value is not set, Google Cloud Game Servers defaults to the `BASIC` view.", "Includes basic information of a GameServerCluster resource and omits `cluster_state`. This is the default value (for methods ListGameServerClusters, GetGameServerCluster, and PreviewCreateGameServerCluster).", "Include basic information of a GameServerCluster resource as well as `cluster_state`." ] } } }, "create": { "parameters": { "gameServerClusterId": { "location": "query", "description": "Required. The ID of the game server cluster resource to create.", "type": "string" }, "parent": { "location": "path", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+$" } }, "request": { "$ref": "GameServerCluster" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters", "description": "Creates a new game server cluster in a given project and location.", "httpMethod": "POST", "id": "gameservices.projects.locations.realms.gameServerClusters.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/gameServerClusters", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" } }, "previewDelete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "PreviewDeleteGameServerClusterResponse" }, "parameters": { "previewTime": { "location": "query", "format": "google-datetime", "type": "string", "description": "Optional. The target timestamp to compute the preview." }, "name": { "description": "Required. The name of the game server cluster to delete, in the following form: `projects/{project}/locations/{locationId}/gameServerClusters/{gameServerClusterId}`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/realms/[^/]+/gameServerClusters/[^/]+$", "type": "string" } }, "httpMethod": "DELETE", "id": "gameservices.projects.locations.realms.gameServerClusters.previewDelete", "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/realms/{realmsId}/gameServerClusters/{gameServerClustersId}:previewDelete", "description": "Previews deletion of a single game server cluster.", "path": "v1beta/{+name}:previewDelete" } } } } }, "operations": { "methods": { "get": { "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "type": "string", "description": "The name of the operation resource.", "required": true } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gameservices.projects.locations.operations.get", "path": "v1beta/{+name}" }, "list": { "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1beta/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations", "id": "gameservices.projects.locations.operations.list", "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" }, "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "required": true }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." } }, "response": { "$ref": "ListOperationsResponse" } }, "cancel": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1beta/{+name}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "location": "path", "required": true, "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "Empty" }, "request": { "$ref": "CancelOperationRequest" }, "id": "gameservices.projects.locations.operations.cancel" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "gameservices.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "parameterOrder": [ "name" ], "path": "v1beta/{+name}" } } }, "gameServerDeployments": { "resources": { "configs": { "methods": { "list": { "description": "Lists game server configs in a given project, location, and game server deployment.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/configs", "response": { "$ref": "ListGameServerConfigsResponse" }, "path": "v1beta/{+parent}/configs", "id": "gameservices.projects.locations.gameServerDeployments.configs.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "orderBy": { "description": "Optional. Specifies the ordering of results following [Cloud API syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order).", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of items to return. If unspecified, the server picks an appropriate default. The server may return fewer items than requested. A caller should only rely on response's next_page_token to determine if there are more GameServerConfigs left to be queried.", "location": "query", "format": "int32", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "Optional. The filter to apply to list results (see [Filtering](https://google.aip.dev/160))." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "required": true, "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/configs/*`.", "type": "string", "location": "path" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous list request, if any.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ] }, "get": { "response": { "$ref": "GameServerConfig" }, "id": "gameservices.projects.locations.gameServerDeployments.configs.get", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+/configs/[^/]+$", "description": "Required. The name of the game server config to retrieve, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/configs/{configId}`.", "location": "path", "type": "string" } }, "description": "Gets details of a single game server config.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/configs/{configsId}", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ] }, "create": { "description": "Creates a new game server config in a given project, location, and game server deployment. Game server configs are immutable, and are not applied until referenced in the game server deployment rollout resource.", "parameterOrder": [ "parent" ], "request": { "$ref": "GameServerConfig" }, "response": { "$ref": "Operation" }, "id": "gameservices.projects.locations.gameServerDeployments.configs.create", "path": "v1beta/{+parent}/configs", "parameters": { "configId": { "description": "Required. The ID of the game server config resource to create.", "type": "string", "location": "query" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/`.", "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/configs" }, "delete": { "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a single game server config. The deletion fails if the game server config is referenced in a game server deployment rollout.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+/configs/[^/]+$", "description": "Required. The name of the game server config to delete, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/configs/{configId}`.", "required": true, "location": "path" } }, "path": "v1beta/{+name}", "id": "gameservices.projects.locations.gameServerDeployments.configs.delete", "response": { "$ref": "Operation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/configs/{configsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "methods": { "fetchDeploymentState": { "parameterOrder": [ "name" ], "request": { "$ref": "FetchDeploymentStateRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta/{+name}:fetchDeploymentState", "id": "gameservices.projects.locations.gameServerDeployments.fetchDeploymentState", "response": { "$ref": "FetchDeploymentStateResponse" }, "description": "Retrieves information about the current state of the game server deployment. Gathers all the Agones fleets and Agones autoscalers, including fleets running an older version of the game server deployment.", "parameters": { "name": { "location": "path", "description": "Required. The name of the game server deployment, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`.", "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "required": true } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}:fetchDeploymentState" }, "create": { "path": "v1beta/{+parent}/gameServerDeployments", "description": "Creates a new game server deployment in a given project and location.", "parameters": { "parent": { "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "deploymentId": { "location": "query", "type": "string", "description": "Required. The ID of the game server deployment resource to create." } }, "httpMethod": "POST", "id": "gameservices.projects.locations.gameServerDeployments.create", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GameServerDeployment" }, "response": { "$ref": "Operation" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a single game server deployment.", "id": "gameservices.projects.locations.gameServerDeployments.delete", "httpMethod": "DELETE", "path": "v1beta/{+name}", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}", "response": { "$ref": "Operation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the game server deployment to delete, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`.", "location": "path" } }, "parameterOrder": [ "name" ] }, "previewRollout": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/rollout:preview", "response": { "$ref": "PreviewGameServerDeploymentRolloutResponse" }, "description": "Previews the game server deployment rollout. This API does not mutate the rollout resource.", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Optional. The update mask to apply to the resource. At least one path must be supplied in this field. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "location": "query", "type": "string", "format": "google-fieldmask" }, "previewTime": { "description": "Optional. The target timestamp to compute the preview. Defaults to the immediately after the proposed rollout completes.", "type": "string", "format": "google-datetime", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "description": "The resource name of the game server deployment rollout, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/rollout`. For example, `projects/my-project/locations/global/gameServerDeployments/my-deployment/rollout`.", "location": "path", "required": true } }, "request": { "$ref": "GameServerDeploymentRollout" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gameservices.projects.locations.gameServerDeployments.previewRollout", "path": "v1beta/{+name}/rollout:preview" }, "get": { "response": { "$ref": "GameServerDeployment" }, "parameterOrder": [ "name" ], "id": "gameservices.projects.locations.gameServerDeployments.get", "path": "v1beta/{+name}", "httpMethod": "GET", "description": "Gets details of a single game server deployment.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "required": true, "description": "Required. The name of the game server deployment to retrieve, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`.", "location": "path", "type": "string" } } }, "getIamPolicy": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "location": "path" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1beta/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "id": "gameservices.projects.locations.gameServerDeployments.getIamPolicy" }, "getRollout": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}/rollout", "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/rollout", "parameters": { "name": { "description": "Required. The name of the game server deployment rollout to retrieve, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/rollout`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string" } }, "httpMethod": "GET", "description": "Gets details of a single game server deployment rollout.", "response": { "$ref": "GameServerDeploymentRollout" }, "id": "gameservices.projects.locations.gameServerDeployments.getRollout" }, "updateRollout": { "path": "v1beta/{+name}/rollout", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Required. The update mask to apply to the resource. At least one path must be supplied in this field. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "type": "string" }, "name": { "location": "path", "description": "The resource name of the game server deployment rollout, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/rollout`. For example, `projects/my-project/locations/global/gameServerDeployments/my-deployment/rollout`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string" } }, "description": "Patches a single game server deployment rollout. The method will not return an error if the update does not affect any existing realms. For example, the following cases will not return an error: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The default_game_server_config is changed but all existing realms use the override. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A non-existing realm is explicitly called out in the game_server_config_overrides field.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}/rollout", "request": { "$ref": "GameServerDeploymentRollout" }, "id": "gameservices.projects.locations.gameServerDeployments.updateRollout", "httpMethod": "PATCH" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Patches a game server deployment.", "response": { "$ref": "Operation" }, "path": "v1beta/{+name}", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "required": true, "description": "The resource name of the game server deployment, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`. For example, `projects/my-project/locations/global/gameServerDeployments/my-deployment`." }, "updateMask": { "type": "string", "description": "Required. The update mask to apply to the resource. At least one path must be supplied in this field. For more information, see the [`FieldMask` definition](https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask).", "location": "query", "format": "google-fieldmask" } }, "id": "gameservices.projects.locations.gameServerDeployments.patch", "parameterOrder": [ "name" ], "request": { "$ref": "GameServerDeployment" } }, "list": { "id": "gameservices.projects.locations.gameServerDeployments.list", "description": "Lists game server deployments in a given project and location.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments", "parameterOrder": [ "parent" ], "path": "v1beta/{+parent}/gameServerDeployments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListGameServerDeploymentsResponse" }, "httpMethod": "GET", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource name, in the following form: `projects/{project}/locations/{locationId}`." }, "filter": { "type": "string", "description": "Optional. The filter to apply to list results (see [Filtering](https://google.aip.dev/160)).", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. Specifies the ordering of results following [Cloud API syntax](https://cloud.google.com/apis/design/design_patterns#sorting_order)." }, "pageToken": { "location": "query", "type": "string", "description": "Optional. The next_page_token value returned from a previous list request, if any." }, "pageSize": { "format": "int32", "location": "query", "description": "Optional. The maximum number of items to return. If unspecified, the server picks an appropriate default. The server may return fewer items than requested. A caller should only rely on the response's next_page_token to determine if there are more GameServerDeployments left to be queried.", "type": "integer" } } }, "testIamPermissions": { "id": "gameservices.projects.locations.gameServerDeployments.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}:testIamPermissions", "parameterOrder": [ "resource" ], "httpMethod": "POST", "path": "v1beta/{+resource}:testIamPermissions" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "path": "v1beta/{+resource}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/gameServerDeployments/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "request": { "$ref": "SetIamPolicyRequest" }, "id": "gameservices.projects.locations.gameServerDeployments.setIamPolicy", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/gameServerDeployments/{gameServerDeploymentsId}:setIamPolicy" } } } } } } } }, "rootUrl": "https://gameservices.googleapis.com/", "description": "Deploy and manage infrastructure for global multiplayer gaming experiences.", "protocol": "rest", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "parameters": { "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "alt": { "enum": [ "json", "media", "proto" ], "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json", "description": "Data format for response." }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" } }, "schemas": { "GameServerDeploymentRollout": { "type": "object", "id": "GameServerDeploymentRollout", "description": "The game server deployment rollout which represents the desired rollout state.", "properties": { "etag": { "type": "string", "description": "ETag of the resource." }, "defaultGameServerConfig": { "description": "The default game server config is applied to all realms unless overridden in the rollout. For example, `projects/my-project/locations/global/gameServerDeployments/my-game/configs/my-config`.", "type": "string" }, "createTime": { "description": "Output only. The creation time.", "readOnly": true, "format": "google-datetime", "type": "string" }, "updateTime": { "readOnly": true, "description": "Output only. The last-modified time.", "type": "string", "format": "google-datetime" }, "name": { "type": "string", "description": "The resource name of the game server deployment rollout, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/rollout`. For example, `projects/my-project/locations/global/gameServerDeployments/my-deployment/rollout`." }, "gameServerConfigOverrides": { "description": "Contains the game server config rollout overrides. Overrides are processed in the order they are listed. Once a match is found for a realm, the rest of the list is not processed.", "items": { "$ref": "GameServerConfigOverride" }, "type": "array" } } }, "DeployedFleetAutoscaler": { "id": "DeployedFleetAutoscaler", "description": "Details about the Agones autoscaler.", "type": "object", "properties": { "autoscaler": { "type": "string", "description": "The name of the Agones autoscaler." }, "fleetAutoscalerSpec": { "type": "string", "description": "The autoscaler spec retrieved from Agones." }, "specSource": { "description": "The source spec that is used to create the autoscaler. The GameServerConfig resource may no longer exist in the system.", "$ref": "SpecSource" } } }, "TargetDetails": { "properties": { "gameServerDeploymentName": { "description": "The game server deployment name. Uses the form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`.", "type": "string" }, "fleetDetails": { "items": { "$ref": "TargetFleetDetails" }, "type": "array", "description": "Agones fleet details for game server clusters and game server deployments." }, "gameServerClusterName": { "type": "string", "description": "The game server cluster name. Uses the form: `projects/{project}/locations/{locationId}/realms/{realmId}/gameServerClusters/{gameServerClusterId}`." } }, "type": "object", "description": "Details about the Agones resources.", "id": "TargetDetails" }, "GameServerConfigOverride": { "description": "A game server config override.", "id": "GameServerConfigOverride", "type": "object", "properties": { "configVersion": { "type": "string", "description": "The game server config for this override." }, "realmsSelector": { "description": "Selector for choosing applicable realms.", "$ref": "RealmSelector" } } }, "LabelSelector": { "properties": { "labels": { "description": "Resource labels for this selector.", "type": "object", "additionalProperties": { "type": "string" } } }, "description": "The label selector, used to group labels on the resources.", "type": "object", "id": "LabelSelector" }, "Location": { "id": "Location", "type": "object", "properties": { "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "description": "A resource that represents Google Cloud Platform location." }, "AuditConfig": { "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } } }, "id": "AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object" }, "GameServerDeployment": { "description": "A game server deployment resource.", "id": "GameServerDeployment", "properties": { "name": { "type": "string", "description": "The resource name of the game server deployment, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}`. For example, `projects/my-project/locations/global/gameServerDeployments/my-deployment`." }, "description": { "type": "string", "description": "Human readable description of the game server deployment." }, "createTime": { "description": "Output only. The creation time.", "readOnly": true, "type": "string", "format": "google-datetime" }, "etag": { "description": "Used to perform consistent read-modify-write updates. If not set, a blind \"overwrite\" update happens.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. The last-modified time.", "readOnly": true, "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The labels associated with this game server deployment. Each label is a key-value pair." } }, "type": "object" }, "SetIamPolicyRequest": { "properties": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "SetIamPolicyRequest" }, "SpecSource": { "type": "object", "properties": { "name": { "description": "The name of the Agones fleet config or Agones scaling config used to derive the Agones fleet or Agones autoscaler spec.", "type": "string" }, "gameServerConfigName": { "description": "The game server config resource. Uses the form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/configs/{configId}`.", "type": "string" } }, "description": "Encapsulates Agones fleet spec and Agones autoscaler spec sources.", "id": "SpecSource" }, "LogConfig": { "description": "Specifies what kind of log the caller must write", "id": "LogConfig", "type": "object", "properties": { "counter": { "description": "Counter options.", "$ref": "CounterOptions" }, "dataAccess": { "description": "Data access options.", "$ref": "DataAccessOptions" }, "cloudAudit": { "description": "Cloud audit options.", "$ref": "CloudAuditOptions" } } }, "OperationStatus": { "id": "OperationStatus", "type": "object", "properties": { "done": { "type": "boolean", "description": "Output only. Whether the operation is done or still in progress.", "readOnly": true }, "errorCode": { "type": "string", "enum": [ "ERROR_CODE_UNSPECIFIED", "INTERNAL_ERROR", "PERMISSION_DENIED", "CLUSTER_CONNECTION" ], "description": "The error code in case of failures.", "enumDescriptions": [ "", "", "", "" ] }, "errorMessage": { "description": "The human-readable error message.", "type": "string" } } }, "GameServerClusterConnectionInfo": { "type": "object", "properties": { "namespace": { "description": "Namespace designated on the game server cluster where the Agones game server instances will be created. Existence of the namespace will be validated during creation.", "type": "string" }, "gkeClusterReference": { "description": "Reference to the GKE cluster where the game servers are installed.", "$ref": "GkeClusterReference" } }, "description": "The game server cluster connection information.", "id": "GameServerClusterConnectionInfo" }, "RealmSelector": { "description": "The realm selector, used to match realm resources.", "properties": { "realms": { "description": "List of realms to match.", "items": { "type": "string" }, "type": "array" } }, "id": "RealmSelector", "type": "object" }, "ListRealmsResponse": { "properties": { "realms": { "items": { "$ref": "Realm" }, "type": "array", "description": "The list of realms." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "unreachable": { "description": "List of locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "id": "ListRealmsResponse", "description": "Response message for RealmsService.ListRealms.", "type": "object" }, "GkeClusterReference": { "description": "A reference to a GKE cluster.", "type": "object", "id": "GkeClusterReference", "properties": { "cluster": { "description": "The full or partial name of a GKE cluster, using one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project}/locations/{locationId}/clusters/{cluster}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locations/{locationId}/clusters/{cluster}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `{cluster}` If project and location are not specified, the project and location of the GameServerCluster resource are used to generate the full name of the GKE cluster.", "type": "string" } } }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "properties": { "bindingId": { "type": "string" }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "id": "Binding" }, "PreviewCreateGameServerClusterResponse": { "id": "PreviewCreateGameServerClusterResponse", "description": "Response message for GameServerClustersService.PreviewCreateGameServerCluster.", "type": "object", "properties": { "clusterState": { "description": "Output only. The state of the Kubernetes cluster in preview. This will be available if view is set to FULL in the relevant list/get/preview request.", "readOnly": true, "$ref": "KubernetesClusterState" }, "targetState": { "description": "The target state.", "$ref": "TargetState" }, "etag": { "description": "The ETag of the game server cluster.", "type": "string" } } }, "Rule": { "type": "object", "description": "A rule to be applied in a Policy.", "properties": { "description": { "description": "Human-readable description of the rule.", "type": "string" }, "in": { "type": "array", "description": "If one or more 'in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in at least one of these entries.", "items": { "type": "string" } }, "notIn": { "items": { "type": "string" }, "description": "If one or more 'not_in' clauses are specified, the rule matches if the PRINCIPAL/AUTHORITY_SELECTOR is in none of the entries. The format for in and not_in entries can be found at in the Local IAM documentation (see go/local-iam#features).", "type": "array" }, "logConfig": { "type": "array", "items": { "$ref": "LogConfig" }, "description": "The config returned to callers of CheckPolicy for any entries that match the LOG action." }, "conditions": { "description": "Additional restrictions that must be met. All conditions must pass for the rule to match.", "type": "array", "items": { "$ref": "Condition" } }, "action": { "enumDescriptions": [ "Default no action.", "Matching 'Entries' grant access.", "Matching 'Entries' grant access and the caller promises to log the request per the returned log_configs.", "Matching 'Entries' deny access.", "Matching 'Entries' deny access and the caller promises to log the request per the returned log_configs.", "Matching 'Entries' tell IAM.Check callers to generate logs." ], "description": "Required", "type": "string", "enum": [ "NO_ACTION", "ALLOW", "ALLOW_WITH_LOG", "DENY", "DENY_WITH_LOG", "LOG" ] }, "permissions": { "type": "array", "description": "A permission is a string of form '..' (e.g., 'storage.buckets.list'). A value of '*' matches all permissions, and a verb part of '*' (e.g., 'storage.buckets.*') matches all verbs.", "items": { "type": "string" } } }, "id": "Rule" }, "PreviewUpdateGameServerClusterResponse": { "description": "Response message for GameServerClustersService.PreviewUpdateGameServerCluster", "id": "PreviewUpdateGameServerClusterResponse", "type": "object", "properties": { "targetState": { "description": "The target state.", "$ref": "TargetState" }, "etag": { "description": "The ETag of the game server cluster.", "type": "string" } } }, "FetchDeploymentStateResponse": { "type": "object", "properties": { "unavailable": { "items": { "type": "string" }, "type": "array", "description": "List of locations that could not be reached." }, "clusterState": { "items": { "$ref": "DeployedClusterState" }, "type": "array", "description": "The state of the game server deployment in each game server cluster." } }, "id": "FetchDeploymentStateResponse", "description": "Response message for GameServerDeploymentsService.FetchDeploymentState." }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "properties": {} }, "ListGameServerConfigsResponse": { "description": "Response message for GameServerConfigsService.ListGameServerConfigs.", "properties": { "unreachable": { "items": { "type": "string" }, "description": "List of locations that could not be reached.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "gameServerConfigs": { "type": "array", "description": "The list of game server configs.", "items": { "$ref": "GameServerConfig" } } }, "id": "ListGameServerConfigsResponse", "type": "object" }, "TargetState": { "type": "object", "properties": { "details": { "description": "Details about Agones fleets.", "type": "array", "items": { "$ref": "TargetDetails" } } }, "description": "Encapsulates the Target state.", "id": "TargetState" }, "DeployedFleetStatus": { "properties": { "readyReplicas": { "type": "string", "format": "int64", "description": "The number of GameServer replicas in the READY state in this fleet." }, "replicas": { "format": "int64", "type": "string", "description": "The total number of current GameServer replicas in this fleet." }, "reservedReplicas": { "format": "int64", "description": "The number of GameServer replicas in the RESERVED state in this fleet. Reserved instances won't be deleted on scale down, but won't cause an autoscaler to scale up.", "type": "string" }, "allocatedReplicas": { "description": "The number of GameServer replicas in the ALLOCATED state in this fleet.", "type": "string", "format": "int64" } }, "type": "object", "id": "DeployedFleetStatus", "description": "DeployedFleetStatus has details about the Agones fleets, such as how many are running, how many are allocated, and so on." }, "ListGameServerClustersResponse": { "type": "object", "description": "Response message for GameServerClustersService.ListGameServerClusters.", "id": "ListGameServerClustersResponse", "properties": { "unreachable": { "items": { "type": "string" }, "description": "List of locations that could not be reached.", "type": "array" }, "gameServerClusters": { "type": "array", "description": "The list of game server clusters.", "items": { "$ref": "GameServerCluster" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } } }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "properties": { "operationStatus": { "description": "Output only. Operation status for Game Services API operations. Operation status is in the form of key-value pairs where keys are resource IDs and the values show the status of the operation. In case of failures, the value includes an error code and error message.", "readOnly": true, "additionalProperties": { "$ref": "OperationStatus" }, "type": "object" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "statusMessage": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "format": "google-datetime", "type": "string" }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "unreachable": { "description": "Output only. List of Locations that could not be reached.", "type": "array", "readOnly": true, "items": { "type": "string" } } }, "id": "OperationMetadata", "type": "object" }, "TargetFleetAutoscaler": { "id": "TargetFleetAutoscaler", "properties": { "name": { "type": "string", "description": "The name of the Agones autoscaler." }, "specSource": { "description": "Encapsulates the source of the Agones fleet spec. Details about the Agones autoscaler spec.", "$ref": "SpecSource" } }, "type": "object", "description": "Target Agones autoscaler policy reference." }, "Policy": { "type": "object", "id": "Policy", "properties": { "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array", "items": { "$ref": "Binding" } }, "rules": { "items": { "$ref": "Rule" }, "type": "array", "description": "If more than one rule is specified, the rules are applied in the following manner: - All matching LOG rules are always applied. - If any DENY/DENY_WITH_LOG rule matches, permission is denied. Logging will be applied if one or more matching rule requires logging. - Otherwise, if any ALLOW/ALLOW_WITH_LOG rule matches, permission is granted. Logging will be applied if one or more matching rule requires logging. - Otherwise, if no rule applies, permission is denied." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "Condition": { "description": "A condition to be met.", "type": "object", "id": "Condition", "properties": { "values": { "items": { "type": "string" }, "type": "array", "description": "The objects of the condition." }, "op": { "enum": [ "NO_OP", "EQUALS", "NOT_EQUALS", "IN", "NOT_IN", "DISCHARGED" ], "enumDescriptions": [ "Default no-op.", "DEPRECATED. Use IN instead.", "DEPRECATED. Use NOT_IN instead.", "The condition is true if the subject (or any element of it if it is a set) matches any of the supplied values.", "The condition is true if the subject (or every element of it if it is a set) matches none of the supplied values.", "Subject is discharged" ], "description": "An operator to apply the subject with.", "type": "string" }, "sys": { "enumDescriptions": [ "Default non-attribute type", "Region of the resource", "Service name", "Resource name", "IP address of the caller" ], "type": "string", "enum": [ "NO_ATTR", "REGION", "SERVICE", "NAME", "IP" ], "description": "Trusted attributes supplied by any service that owns resources and uses the IAM system for access control." }, "svc": { "type": "string", "description": "Trusted attributes discharged by the service." }, "iam": { "enumDescriptions": [ "Default non-attribute.", "Either principal or (if present) authority selector.", "The principal (even if an authority selector is present), which must only be used for attribution, not authorization.", "Any of the security realms in the IAMContext (go/security-realms). When used with IN, the condition indicates \"any of the request's realms match one of the given values; with NOT_IN, \"none of the realms match any of the given values\". Note that a value can be: - 'self:campus' (i.e., clients that are in the same campus) - 'self:metro' (i.e., clients that are in the same metro) - 'self:cloud-region' (i.e., allow connections from clients that are in the same cloud region) - 'self:prod-region' (i.e., allow connections from clients that are in the same prod region) - 'guardians' (i.e., allow connections from its guardian realms. See go/security-realms-glossary#guardian for more information.) - 'self' [DEPRECATED] (i.e., allow connections from clients that are in the same security realm, which is currently but not guaranteed to be campus-sized) - a realm (e.g., 'campus-abc') - a realm group (e.g., 'realms-for-borg-cell-xx', see: go/realm-groups) A match is determined by a realm group membership check performed by a RealmAclRep object (go/realm-acl-howto). It is not permitted to grant access based on the *absence* of a realm, so realm conditions can only be used in a \"positive\" context (e.g., ALLOW/IN or DENY/NOT_IN).", "An approver (distinct from the requester) that has authorized this request. When used with IN, the condition indicates that one of the approvers associated with the request matches the specified principal, or is a member of the specified group. Approvers can only grant additional access, and are thus only used in a strictly positive context (e.g. ALLOW/IN or DENY/NOT_IN).", "What types of justifications have been supplied with this request. String values should match enum names from security.credentials.JustificationType, e.g. \"MANUAL_STRING\". It is not permitted to grant access based on the *absence* of a justification, so justification conditions can only be used in a \"positive\" context (e.g., ALLOW/IN or DENY/NOT_IN). Multiple justifications, e.g., a Buganizer ID and a manually-entered reason, are normal and supported.", "What type of credentials have been supplied with this request. String values should match enum names from security_loas_l2.CredentialsType - currently, only CREDS_TYPE_EMERGENCY is supported. It is not permitted to grant access based on the *absence* of a credentials type, so the conditions can only be used in a \"positive\" context (e.g., ALLOW/IN or DENY/NOT_IN).", "EXPERIMENTAL -- DO NOT USE. The conditions can only be used in a \"positive\" context (e.g., ALLOW/IN or DENY/NOT_IN)." ], "type": "string", "enum": [ "NO_ATTR", "AUTHORITY", "ATTRIBUTION", "SECURITY_REALM", "APPROVER", "JUSTIFICATION_TYPE", "CREDENTIALS_TYPE", "CREDS_ASSERTION" ], "description": "Trusted attributes supplied by the IAM system." } } }, "TargetFleetDetails": { "description": "Details of the target Agones fleet.", "type": "object", "id": "TargetFleetDetails", "properties": { "fleet": { "$ref": "TargetFleet", "description": "Reference to target Agones fleet." }, "autoscaler": { "$ref": "TargetFleetAutoscaler", "description": "Reference to target Agones fleet autoscaling policy." } } }, "ListGameServerDeploymentsResponse": { "id": "ListGameServerDeploymentsResponse", "properties": { "gameServerDeployments": { "description": "The list of game server deployments.", "type": "array", "items": { "$ref": "GameServerDeployment" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "unreachable": { "description": "List of locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "Response message for GameServerDeploymentsService.ListGameServerDeployments." }, "CounterOptions": { "description": "Increment a streamz counter with the specified metric and field names. Metric names should start with a '/', generally be lowercase-only, and end in \"_count\". Field names should not contain an initial slash. The actual exported metric names will have \"/iam/policy\" prepended. Field names correspond to IAM request parameters and field values are their respective values. Supported field names: - \"authority\", which is \"[token]\" if IAMContext.token is present, otherwise the value of IAMContext.authority_selector if present, and otherwise a representation of IAMContext.principal; or - \"iam_principal\", a representation of IAMContext.principal even if a token or authority selector is present; or - \"\" (empty string), resulting in a counter with no fields. Examples: counter { metric: \"/debug_access_count\" field: \"iam_principal\" } ==\u003e increment counter /iam/policy/debug_access_count {iam_principal=[value of IAMContext.principal]}", "id": "CounterOptions", "type": "object", "properties": { "customFields": { "items": { "$ref": "CustomField" }, "type": "array", "description": "Custom fields." }, "field": { "type": "string", "description": "The field value to attribute." }, "metric": { "type": "string", "description": "The metric to update." } } }, "Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" } }, "id": "Operation" }, "Realm": { "type": "object", "description": "A realm resource.", "properties": { "description": { "type": "string", "description": "Human readable description of the realm." }, "timeZone": { "type": "string", "description": "Required. Time zone where all policies targeting this realm are evaluated. The value of this field must be from the [IANA time zone database](https://www.iana.org/time-zones)." }, "name": { "type": "string", "description": "The resource name of the realm, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}`. For example, `projects/my-project/locations/global/realms/my-realm`." }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The last-modified time." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The labels associated with this realm. Each label is a key-value pair." }, "createTime": { "format": "google-datetime", "description": "Output only. The creation time.", "readOnly": true, "type": "string" }, "etag": { "description": "Used to perform consistent read-modify-write updates. If not set, a blind \"overwrite\" update happens.", "type": "string" } }, "id": "Realm" }, "ListLocationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." } }, "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "type": "object" }, "FetchDeploymentStateRequest": { "description": "Request message for GameServerDeploymentsService.FetchDeploymentState.", "type": "object", "id": "FetchDeploymentStateRequest", "properties": {} }, "AuditLogConfig": { "id": "AuditLogConfig", "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "ignoreChildExemptions": { "type": "boolean" }, "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables." } } }, "DeployedFleetDetails": { "type": "object", "id": "DeployedFleetDetails", "properties": { "deployedFleet": { "description": "Information about the Agones fleet.", "$ref": "DeployedFleet" }, "deployedAutoscaler": { "description": "Information about the Agones autoscaler for that fleet.", "$ref": "DeployedFleetAutoscaler" } }, "description": "Details of the deployed Agones fleet." }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" }, "DataAccessOptions": { "id": "DataAccessOptions", "properties": { "logMode": { "enum": [ "LOG_MODE_UNSPECIFIED", "LOG_FAIL_CLOSED" ], "enumDescriptions": [ "Client is not required to write a partial Gin log immediately after the authorization check. If client chooses to write one and it fails, client may either fail open (allow the operation to continue) or fail closed (handle as a DENY outcome).", "The application's operation in the context of which this authorization check is being made may only be performed if it is successfully logged to Gin. For instance, the authorization library may satisfy this obligation by emitting a partial log entry at authorization check time and only returning ALLOW to the application if it succeeds. If a matching Rule has this directive, but the client has not indicated that it will honor such requirements, then the IAM check will result in authorization failure by setting CheckPolicyResponse.success=false." ], "type": "string" } }, "type": "object", "description": "Write a Data Access (Gin) log" }, "AuthorizationLoggingOptions": { "description": "Authorization-related information used by Cloud Audit Logging.", "properties": { "permissionType": { "enumDescriptions": [ "Default. Should not be used.", "A read of admin (meta) data.", "A write of admin (meta) data.", "A read of standard data.", "A write of standard data." ], "enum": [ "PERMISSION_TYPE_UNSPECIFIED", "ADMIN_READ", "ADMIN_WRITE", "DATA_READ", "DATA_WRITE" ], "description": "The type of the permission that was checked.", "type": "string" } }, "type": "object", "id": "AuthorizationLoggingOptions" }, "Status": { "type": "object", "properties": { "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "TestIamPermissionsRequest": { "type": "object", "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } } }, "GameServerCluster": { "type": "object", "description": "A game server cluster resource.", "properties": { "clusterState": { "readOnly": true, "$ref": "KubernetesClusterState", "description": "Output only. The state of the Kubernetes cluster in preview. This will be available if view is set to FULL in the relevant list/get/preview request." }, "name": { "type": "string", "description": "Required. The resource name of the game server cluster, in the following form: `projects/{project}/locations/{locationId}/realms/{realmId}/gameServerClusters/{gameServerClusterId}`. For example, `projects/my-project/locations/global/realms/zanzibar/gameServerClusters/my-gke-cluster`." }, "description": { "description": "Human readable description of the cluster.", "type": "string" }, "createTime": { "type": "string", "description": "Output only. The creation time.", "readOnly": true, "format": "google-datetime" }, "etag": { "type": "string", "description": "Used to perform consistent read-modify-write updates. If not set, a blind \"overwrite\" update happens." }, "connectionInfo": { "$ref": "GameServerClusterConnectionInfo", "description": "The game server cluster connection information. This information is used to manage game server clusters." }, "updateTime": { "readOnly": true, "description": "Output only. The last-modified time.", "type": "string", "format": "google-datetime" }, "labels": { "description": "The labels associated with this game server cluster. Each label is a key-value pair.", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "GameServerCluster" }, "ListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse" }, "TargetFleet": { "id": "TargetFleet", "description": "Target Agones fleet specification.", "properties": { "name": { "type": "string", "description": "The name of the Agones fleet." }, "specSource": { "$ref": "SpecSource", "description": "Encapsulates the source of the Agones fleet spec. The Agones fleet spec source." } }, "type": "object" }, "PreviewRealmUpdateResponse": { "description": "Response message for RealmsService.PreviewRealmUpdate.", "id": "PreviewRealmUpdateResponse", "properties": { "etag": { "description": "ETag of the realm.", "type": "string" }, "targetState": { "description": "The target state.", "$ref": "TargetState" } }, "type": "object" }, "Schedule": { "id": "Schedule", "properties": { "cronJobDuration": { "format": "google-duration", "description": "The duration for the cron job event. The duration of the event is effective after the cron job's start time.", "type": "string" }, "cronSpec": { "description": "The cron definition of the scheduled event. See https://en.wikipedia.org/wiki/Cron. The cron spec specifies the local time as defined by the realm.", "type": "string" }, "endTime": { "type": "string", "description": "The end time of the event.", "format": "google-datetime" }, "startTime": { "type": "string", "description": "The start time of the event.", "format": "google-datetime" } }, "description": "The schedule of a recurring or one time event. The event's time span is specified by start_time and end_time. If the scheduled event's timespan is larger than cron_spec added with cron_job_duration, the event is recurring. If only cron_spec and cron_job_duration are specified, the event starts at the local time specified by cron_spec, and is recurring. ``` start_time|-------[cron job]-------[cron job]-------[cron job]---|end_time cron job: cron spec start time + duration ```", "type": "object" }, "CustomField": { "properties": { "value": { "type": "string", "description": "Value is the field value. It is important that in contrast to the CounterOptions.field, the value here is a constant that is not derived from the IAMContext." }, "name": { "description": "Name is the field name.", "type": "string" } }, "id": "CustomField", "type": "object", "description": "Custom fields. These can be used to create a counter with arbitrary field/value pairs. See: go/rpcsp-custom-fields." }, "GameServerConfig": { "description": "A game server config resource.", "id": "GameServerConfig", "properties": { "fleetConfigs": { "type": "array", "items": { "$ref": "FleetConfig" }, "description": "FleetConfig contains a list of Agones fleet specs. Only one FleetConfig is allowed." }, "createTime": { "description": "Output only. The creation time.", "format": "google-datetime", "readOnly": true, "type": "string" }, "scalingConfigs": { "type": "array", "description": "The autoscaling settings.", "items": { "$ref": "ScalingConfig" } }, "description": { "description": "The description of the game server config.", "type": "string" }, "name": { "type": "string", "description": "The resource name of the game server config, in the following form: `projects/{project}/locations/{locationId}/gameServerDeployments/{deploymentId}/configs/{configId}`. For example, `projects/my-project/locations/global/gameServerDeployments/my-game/configs/my-config`." }, "labels": { "description": "The labels associated with this game server config. Each label is a key-value pair.", "additionalProperties": { "type": "string" }, "type": "object" }, "updateTime": { "description": "Output only. The last-modified time.", "type": "string", "format": "google-datetime", "readOnly": true } }, "type": "object" }, "KubernetesClusterState": { "description": "The state of the Kubernetes cluster.", "id": "KubernetesClusterState", "properties": { "provider": { "description": "Output only. The cloud provider type reported by the first node's `providerID` in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the provider type will be empty.", "type": "string", "readOnly": true }, "versionInstalledErrorMessage": { "type": "string", "description": "Output only. The detailed error message for the installed versions of Agones/Kubernetes.", "readOnly": true }, "agonesVersionTargeted": { "readOnly": true, "type": "string", "description": "Output only. The version of Agones that is targeted to be installed in the cluster." }, "agonesVersionInstalled": { "readOnly": true, "type": "string", "description": "Output only. The version of Agones currently installed in the registered Kubernetes cluster." }, "installationState": { "type": "string", "description": "Output only. The state for the installed versions of Agones/Kubernetes.", "readOnly": true, "enumDescriptions": [ "The default installation state. This value is used if the state is omitted.", "Both the Agones and Kubernetes versions are supported by Google Cloud Game Servers and Agones and Kubernetes versions are compatible.", "The installed version of Agones is not supported by Google Cloud Game Servers.", "The installed version of Agones is supported by Google Cloud Game Servers, but the installed version of Kubernetes is not recommended or supported by the version of Agones.", "The installed version of Agones is not recognized because the Agones controller's image name does not have a version string reported as {major}.{minor}(.{patch}).", "The server version of Kubernetes cluster is not recognized because the API server didn't return parsable version info on path/version.", "Failed to read or verify the version of Agones or Kubernetes. See `version_installed_error_message` for details.", "Agones is not installed." ], "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "AGONES_KUBERNETES_VERSION_SUPPORTED", "AGONES_VERSION_UNSUPPORTED", "AGONES_KUBERNETES_VERSION_UNSUPPORTED", "AGONES_VERSION_UNRECOGNIZED", "KUBERNETES_VERSION_UNRECOGNIZED", "VERSION_VERIFICATION_FAILED", "AGONES_NOT_INSTALLED" ] }, "kubernetesVersionInstalled": { "description": "Output only. The version of Kubernetes that is currently used in the registered Kubernetes cluster (as detected by the Cloud Game Servers service).", "readOnly": true, "type": "string" } }, "type": "object" }, "FleetConfig": { "id": "FleetConfig", "properties": { "fleetSpec": { "type": "string", "description": "Agones fleet spec (see [example spec](https://agones.dev/site/docs/reference/fleet/))." }, "name": { "type": "string", "description": "The name of the FleetConfig." } }, "type": "object", "description": "Fleet configs for Agones." }, "DeployedFleet": { "type": "object", "description": "Agones fleet specification and details.", "id": "DeployedFleet", "properties": { "fleet": { "type": "string", "description": "The name of the Agones fleet." }, "specSource": { "$ref": "SpecSource", "description": "The source spec that is used to create the Agones fleet. The GameServerConfig resource may no longer exist in the system." }, "fleetSpec": { "type": "string", "description": "The fleet spec retrieved from the Agones fleet." }, "status": { "$ref": "DeployedFleetStatus", "description": "The current status of the Agones fleet. Includes count of game servers in various states." } } }, "PreviewGameServerDeploymentRolloutResponse": { "description": "Response message for PreviewGameServerDeploymentRollout. This has details about the Agones fleet and autoscaler to be actuated.", "type": "object", "id": "PreviewGameServerDeploymentRolloutResponse", "properties": { "targetState": { "$ref": "TargetState", "description": "The target state." }, "etag": { "type": "string", "description": "ETag of the game server deployment." }, "unavailable": { "items": { "type": "string" }, "description": "Locations that could not be reached on this request.", "type": "array" } } }, "PreviewDeleteGameServerClusterResponse": { "type": "object", "properties": { "etag": { "type": "string", "description": "The ETag of the game server cluster." }, "targetState": { "$ref": "TargetState", "description": "The target state." } }, "description": "Response message for GameServerClustersService.PreviewDeleteGameServerCluster.", "id": "PreviewDeleteGameServerClusterResponse" }, "CloudAuditOptions": { "id": "CloudAuditOptions", "type": "object", "properties": { "logName": { "description": "The log_name to populate in the Cloud Audit Record.", "enum": [ "UNSPECIFIED_LOG_NAME", "ADMIN_ACTIVITY", "DATA_ACCESS" ], "type": "string", "enumDescriptions": [ "Default. Should not be used.", "Corresponds to \"cloudaudit.googleapis.com/activity\"", "Corresponds to \"cloudaudit.googleapis.com/data_access\"" ] }, "authorizationLoggingOptions": { "description": "Information used by the Cloud Audit Logging pipeline.", "$ref": "AuthorizationLoggingOptions" } }, "description": "Write a Cloud Audit log" }, "TestIamPermissionsResponse": { "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method." }, "Expr": { "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "DeployedClusterState": { "id": "DeployedClusterState", "type": "object", "properties": { "fleetDetails": { "items": { "$ref": "DeployedFleetDetails" }, "type": "array", "description": "The details about the Agones fleets and autoscalers created in the game server cluster." }, "cluster": { "type": "string", "description": "The name of the cluster." } }, "description": "The game server cluster changes made by the game server deployment." }, "ScalingConfig": { "id": "ScalingConfig", "properties": { "selectors": { "type": "array", "description": "Labels used to identify the game server clusters to which this Agones scaling config applies. A game server cluster is subject to this Agones scaling config if its labels match any of the selector entries.", "items": { "$ref": "LabelSelector" } }, "name": { "type": "string", "description": "Required. The name of the scaling config." }, "schedules": { "items": { "$ref": "Schedule" }, "type": "array", "description": "The schedules to which this scaling config applies." }, "fleetAutoscalerSpec": { "description": "Required. Agones fleet autoscaler spec (see [example spec](https://agones.dev/site/docs/reference/fleetautoscaler/)).", "type": "string" } }, "type": "object", "description": "Autoscaling config for an Agones fleet." } }, "discoveryVersion": "v1", "canonicalName": "Game Services", "id": "gameservices:v1beta", "batchPath": "batch", "mtlsRootUrl": "https://gameservices.mtls.googleapis.com/", "name": "gameservices", "servicePath": "", "basePath": "", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription", "version": "v1beta", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "title": "Game Services API", "ownerDomain": "google.com", "version_module": true, "baseUrl": "https://gameservices.googleapis.com/", "documentationLink": "https://cloud.google.com/solutions/gaming/" }
]===]))
