local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "GKE Hub", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "locations": { "resources": { "features": { "methods": { "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:testIamPermissions", "id": "gkehub.projects.locations.features.testIamPermissions" }, "get": { "response": { "$ref": "Feature" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single Feature.", "id": "gkehub.projects.locations.features.get", "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "delete": { "path": "v1/{+name}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`.", "required": true, "location": "path" }, "force": { "location": "query", "description": "If set to true, the delete will ignore any outstanding resources for this Feature (that is, `FeatureState.has_resources` is set to true). These resources will NOT be cleaned up or modified in any way.", "type": "boolean" } }, "httpMethod": "DELETE", "description": "Removes a Feature.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "id": "gkehub.projects.locations.features.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "getIamPolicy": { "httpMethod": "GET", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "id": "gkehub.projects.locations.features.getIamPolicy" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features", "description": "Lists Features in a given project and location.", "response": { "$ref": "ListFeaturesResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1/{+parent}/features", "id": "gkehub.projects.locations.features.list", "parameters": { "filter": { "location": "query", "description": "Lists Features that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Feature with the name \"servicemesh\" in project \"foo-proj\": name = \"projects/foo-proj/locations/global/features/servicemesh\" - Features that have a label called `foo`: labels.foo:* - Features that have a label called `foo` whose value is `bar`: labels.foo = bar", "type": "string" }, "pageToken": { "type": "string", "description": "Token returned by previous call to `ListFeatures` which specifies the position in the list from where to continue listing the resources.", "location": "query" }, "parent": { "description": "Required. The parent (project and location) where the Features will be listed. Specified in the format `projects/*/locations/*`.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "pageSize": { "description": "When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "description": "One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "id": "gkehub.projects.locations.features.setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$" } }, "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:setIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy" }, "patch": { "request": { "$ref": "Feature" }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "name": { "type": "string", "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Mask of fields to update.", "location": "query" } }, "path": "v1/{+name}", "id": "gkehub.projects.locations.features.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "description": "Updates an existing Feature.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features/{featuresId}" }, "create": { "path": "v1/{+parent}/features", "httpMethod": "POST", "parameterOrder": [ "parent" ], "id": "gkehub.projects.locations.features.create", "request": { "$ref": "Feature" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "featureId": { "location": "query", "type": "string", "description": "The ID of the feature to create." }, "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Required. The parent (project and location) where the Feature will be created. Specified in the format `projects/*/locations/*`." } }, "description": "Adds a new Feature.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/features" } } }, "operations": { "methods": { "get": { "id": "gkehub.projects.locations.operations.get", "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource.", "required": true, "location": "path", "type": "string" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "path": "v1/{+name}", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted." } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.operations.delete" }, "cancel": { "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "request": { "$ref": "CancelOperationRequest" }, "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "description": "The name of the operation resource to be cancelled." } }, "id": "gkehub.projects.locations.operations.cancel" }, "list": { "path": "v1/{+name}/operations", "id": "gkehub.projects.locations.operations.list", "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "description": "The standard list page size.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." } } }, "memberships": { "methods": { "delete": { "id": "gkehub.projects.locations.memberships.delete", "path": "v1/{+name}", "description": "Removes a Membership. **This is currently only supported for GKE clusters on Google Cloud**. To unregister other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/unregistering-a-cluster.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "name": { "location": "path", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string", "required": true } } }, "testIamPermissions": { "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "gkehub.projects.locations.memberships.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.memberships.get", "description": "Gets the details of a Membership.", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$" } }, "response": { "$ref": "Membership" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "httpMethod": "GET" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "response": { "$ref": "Policy" }, "id": "gkehub.projects.locations.memberships.getIamPolicy", "path": "v1/{+resource}:getIamPolicy" }, "list": { "response": { "$ref": "ListMembershipsResponse" }, "parameters": { "filter": { "description": "Optional. Lists Memberships that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Name is `bar` in project `foo-proj` and location `global`: name = \"projects/foo-proj/locations/global/membership/bar\" - Memberships that have a label called `foo`: labels.foo:* - Memberships that have a label called `foo` whose value is `bar`: labels.foo = bar - Memberships in the CREATING state: state = CREATING", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "type": "integer" }, "orderBy": { "description": "Optional. One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "location": "query", "type": "string" }, "parent": { "description": "Required. The parent (project and location) where the Memberships will be listed. Specified in the format `projects/*/locations/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "pageToken": { "location": "query", "description": "Optional. Token returned by previous call to `ListMemberships` which specifies the position in the list from where to continue listing the resources.", "type": "string" } }, "description": "Lists Memberships in a given project and location.", "path": "v1/{+parent}/memberships", "parameterOrder": [ "parent" ], "id": "gkehub.projects.locations.memberships.list", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "id": "gkehub.projects.locations.memberships.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The parent (project and location) where the Memberships will be created. Specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "membershipId": { "location": "query", "description": "Required. Client chosen ID for the membership. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters.", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "Membership" }, "path": "v1/{+parent}/memberships", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Creates a new Membership. **This is currently only supported for GKE clusters on Google Cloud**. To register other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster.", "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "generateConnectManifest": { "description": "Generates the manifest for deployment of the GKE connect agent. **This method is used internally by Google-provided libraries.** Most clients should not need to call this method directly.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:generateConnectManifest", "httpMethod": "GET", "response": { "$ref": "GenerateConnectManifestResponse" }, "id": "gkehub.projects.locations.memberships.generateConnectManifest", "parameterOrder": [ "name" ], "parameters": { "registry": { "description": "Optional. The registry to fetch the connect agent image from. Defaults to gcr.io/gkeconnect.", "type": "string", "location": "query" }, "version": { "description": "Optional. The Connect agent version to use. Defaults to the most current version.", "type": "string", "location": "query" }, "isUpgrade": { "location": "query", "type": "boolean", "description": "Optional. If true, generate the resources for upgrade only. Some resources generated only for installation (e.g. secrets) will be excluded." }, "proxy": { "type": "string", "format": "byte", "description": "Optional. URI of a proxy if connectivity from the agent to gkeconnect.googleapis.com requires the use of a proxy. Format must be in the form `http(s)://{proxy_address}`, depending on the HTTP/HTTPS protocol supported by the proxy. This will direct the connect agent's outbound traffic through a HTTP(S) proxy.", "location": "query" }, "namespace": { "description": "Optional. Namespace for GKE Connect agent resources. Defaults to `gke-connect`. The Connect Agent is authorized automatically when run in the default namespace. Otherwise, explicit authorization must be granted with an additional IAM binding.", "location": "query", "type": "string" }, "imagePullSecretContent": { "type": "string", "location": "query", "format": "byte", "description": "Optional. The image pull secret content for the registry, if not public." }, "name": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name the Agent will associate with, in the format `projects/*/locations/*/memberships/*`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:generateConnectManifest" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "id": "gkehub.projects.locations.memberships.setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:setIamPolicy", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "patch": { "request": { "$ref": "Membership" }, "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.memberships.patch", "description": "Updates an existing Membership.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`." }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "updateMask": { "type": "string", "description": "Required. Mask of fields to update.", "location": "query", "format": "google-fieldmask" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } } } } }, "methods": { "get": { "id": "gkehub.projects.locations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "httpMethod": "GET", "response": { "$ref": "Location" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets information about a location.", "path": "v1/{+name}", "parameters": { "name": { "type": "string", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/locations", "httpMethod": "GET", "parameters": { "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query", "format": "int32" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "name": { "location": "path", "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "required": true, "type": "string" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" } }, "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations", "id": "gkehub.projects.locations.list" } } } } } }, "ownerName": "Google", "basePath": "", "kind": "discovery#restDescription", "schemas": { "Authority": { "properties": { "identityProvider": { "type": "string", "description": "Output only. An identity provider that reflects the `issuer` in the workload identity pool.", "readOnly": true }, "oidcJwks": { "description": "Optional. OIDC verification keys for this Membership in JWKS format (RFC 7517). When this field is set, OIDC discovery will NOT be performed on `issuer`, and instead OIDC tokens will be validated using this field.", "format": "byte", "type": "string" }, "issuer": { "type": "string", "description": "Optional. A JSON Web Token (JWT) issuer URI. `issuer` must start with `https://` and be a valid URL with length \u003c2000 characters. If set, then Google will allow valid OIDC tokens from this issuer to authenticate within the workload_identity_pool. OIDC discovery will be performed on this URI to validate tokens from the issuer. Clearing `issuer` disables Workload Identity. `issuer` cannot be directly modified; it must be cleared (and Workload Identity disabled) before using a new issuer (and re-enabling Workload Identity)." }, "workloadIdentityPool": { "description": "Output only. The name of the workload identity pool in which `issuer` will be recognized. There is a single Workload Identity Pool per Hub that is shared between all Memberships that belong to that Hub. For a Hub hosted in {PROJECT_ID}, the workload pool format is `{PROJECT_ID}.hub.id.goog`, although this is subject to change in newer versions of this API.", "readOnly": true, "type": "string" } }, "type": "object", "description": "Authority encodes how Google will recognize identities from this Membership. See the workload identity documentation for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "id": "Authority" }, "MigrateState": { "properties": {}, "id": "MigrateState", "description": "MigrateState contains the state of Migrate subfeature", "type": "object" }, "ServiceMeshState": { "properties": {}, "description": "ServiceMeshState contains the state of Service Mesh subfeature", "type": "object", "id": "ServiceMeshState" }, "CommonFeatureState": { "id": "CommonFeatureState", "description": "CommonFeatureState contains Hub-wide Feature status information.", "properties": { "state": { "description": "Output only. The \"running state\" of the Feature in this Hub.", "readOnly": true, "$ref": "FeatureState" }, "appdevexperience": { "description": "Appdevexperience specific state.", "$ref": "AppDevExperienceFeatureState" } }, "type": "object" }, "ConfigManagementPolicyControllerVersion": { "description": "The build version of Gatekeeper Policy Controller is using.", "id": "ConfigManagementPolicyControllerVersion", "properties": { "version": { "type": "string", "description": "The gatekeeper image tag that is composed of ACM version, git tag, build number." } }, "type": "object" }, "MultiClusterIngressFeatureSpec": { "properties": { "configMembership": { "description": "Fully-qualified Membership name which hosts the MultiClusterIngress CRD. Example: `projects/foo-proj/locations/global/memberships/bar`", "type": "string" } }, "id": "MultiClusterIngressFeatureSpec", "description": "**Multi-cluster Ingress**: The configuration for the MultiClusterIngress feature.", "type": "object" }, "ServiceMeshStatusDetails": { "id": "ServiceMeshStatusDetails", "description": "Structured and human-readable details for a status.", "type": "object", "properties": { "details": { "type": "string", "description": "Human-readable explanation of code." }, "code": { "type": "string", "description": "A machine-readable code that further describes a broad status." } } }, "GenerateConnectManifestResponse": { "properties": { "manifest": { "type": "array", "items": { "$ref": "ConnectAgentResource" }, "description": "The ordered list of Kubernetes resources that need to be applied to the cluster for GKE Connect agent installation/upgrade." } }, "id": "GenerateConnectManifestResponse", "description": "GenerateConnectManifestResponse contains manifest information for installing/upgrading a Connect agent.", "type": "object" }, "ConfigManagementErrorResource": { "properties": { "sourcePath": { "type": "string", "description": "Path in the git repo of the erroneous config" }, "resourceGvk": { "description": "Group/version/kind of the resource that is causing an error", "$ref": "ConfigManagementGroupVersionKind" }, "resourceNamespace": { "description": "Namespace of the resource that is causing an error", "type": "string" }, "resourceName": { "type": "string", "description": "Metadata name of the resource that is causing an error" } }, "id": "ConfigManagementErrorResource", "type": "object", "description": "Model for a config file in the git repo with an associated Sync error" }, "ConfigManagementConfigSyncVersion": { "type": "object", "properties": { "importer": { "description": "Version of the deployed importer pod", "type": "string" }, "monitor": { "description": "Version of the deployed monitor pod", "type": "string" }, "admissionWebhook": { "description": "Version of the deployed admission_webhook pod", "type": "string" }, "syncer": { "type": "string", "description": "Version of the deployed syncer pod" }, "reconcilerManager": { "type": "string", "description": "Version of the deployed reconciler-manager pod" }, "gitSync": { "type": "string", "description": "Version of the deployed git-sync pod" }, "rootReconciler": { "type": "string", "description": "Version of the deployed reconciler container in root-reconciler pod" } }, "description": "Specific versioning information pertaining to ConfigSync's Pods", "id": "ConfigManagementConfigSyncVersion" }, "CommonFeatureSpec": { "type": "object", "description": "CommonFeatureSpec contains Hub-wide configuration information", "properties": { "multiclusteringress": { "$ref": "MultiClusterIngressFeatureSpec", "description": "Multicluster Ingress-specific spec." }, "appdevexperience": { "description": "Appdevexperience specific spec.", "$ref": "AppDevExperienceFeatureSpec" } }, "id": "CommonFeatureSpec" }, "MembershipState": { "type": "object", "description": "MembershipState describes the state of a Membership resource.", "id": "MembershipState", "properties": { "code": { "type": "string", "readOnly": true, "description": "Output only. The current state of the Membership resource.", "enumDescriptions": [ "The code is not set.", "The cluster is being registered.", "The cluster is registered.", "The cluster is being unregistered.", "The Membership is being updated.", "The Membership is being updated by the Hub Service." ], "enum": [ "CODE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING", "SERVICE_UPDATING" ] } } }, "AppDevExperienceFeatureState": { "description": "State for App Dev Exp Feature.", "type": "object", "id": "AppDevExperienceFeatureState", "properties": { "networkingInstallSucceeded": { "$ref": "Status", "description": "Status of subcomponent that detects configured Service Mesh resources." } } }, "ConfigManagementConfigSyncState": { "properties": { "syncState": { "$ref": "ConfigManagementSyncState", "description": "The state of ConfigSync's process to sync configs to a cluster" }, "version": { "description": "The version of ConfigSync deployed", "$ref": "ConfigManagementConfigSyncVersion" }, "deploymentState": { "description": "Information about the deployment of ConfigSync, including the version of the various Pods deployed", "$ref": "ConfigManagementConfigSyncDeploymentState" } }, "id": "ConfigManagementConfigSyncState", "type": "object", "description": "State information for ConfigSync" }, "ConfigManagementPolicyControllerMonitoring": { "type": "object", "properties": { "backends": { "type": "array", "items": { "enumDescriptions": [ "Backend cannot be determined", "Prometheus backend for monitoring", "Stackdriver/Cloud Monitoring backend for monitoring" ], "type": "string", "enum": [ "MONITORING_BACKEND_UNSPECIFIED", "PROMETHEUS", "CLOUD_MONITORING" ] }, "description": "Specifies the list of backends Policy Controller will export to. An empty list would effectively disable metrics export." } }, "id": "ConfigManagementPolicyControllerMonitoring", "description": "PolicyControllerMonitoring specifies the backends Policy Controller should export metrics to. For example, to specify metrics should be exported to Cloud Monitoring and Prometheus, specify backends: [\"cloudmonitoring\", \"prometheus\"]" }, "ConfigManagementConfigSyncDeploymentState": { "type": "object", "description": "The state of ConfigSync's deployment on a cluster", "properties": { "admissionWebhook": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Deployment state of admission-webhook", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string" }, "syncer": { "description": "Deployment state of the syncer pod", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "gitSync": { "description": "Deployment state of the git-sync pod", "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] }, "reconcilerManager": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "description": "Deployment state of reconciler-manager pod" }, "rootReconciler": { "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Deployment state of root-reconciler", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "monitor": { "description": "Deployment state of the monitor pod", "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "importer": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Deployment state of the importer pod" } }, "id": "ConfigManagementConfigSyncDeploymentState" }, "AppDevExperienceFeatureSpec": { "description": "Spec for App Dev Experience Feature.", "type": "object", "properties": {}, "id": "AppDevExperienceFeatureSpec" }, "ConfigManagementSyncState": { "id": "ConfigManagementSyncState", "type": "object", "properties": { "errors": { "description": "A list of errors resulting from problematic configs. This list will be truncated after 100 errors, although it is unlikely for that many errors to simultaneously exist.", "items": { "$ref": "ConfigManagementSyncError" }, "type": "array" }, "importToken": { "description": "Token indicating the state of the importer.", "type": "string" }, "lastSync": { "type": "string", "description": "Deprecated: use last_sync_time instead. Timestamp of when ACM last successfully synced the repo The time format is specified in https://golang.org/pkg/time/#Time.String" }, "lastSyncTime": { "format": "google-datetime", "type": "string", "description": "Timestamp type of when ACM last successfully synced the repo" }, "sourceToken": { "description": "Token indicating the state of the repo.", "type": "string" }, "syncToken": { "description": "Token indicating the state of the syncer.", "type": "string" }, "code": { "enumDescriptions": [ "ACM cannot determine a sync code", "ACM successfully synced the git Repo with the cluster", "ACM is in the progress of syncing a new change", "Indicates an error configuring ACM, and user action is required", "ACM has been installed (operator manifest deployed), but not configured.", "ACM has not been installed (no operator pod found)", "Error authorizing with the cluster", "Cluster could not be reached" ], "description": "Sync status code", "type": "string", "enum": [ "SYNC_CODE_UNSPECIFIED", "SYNCED", "PENDING", "ERROR", "NOT_CONFIGURED", "NOT_INSTALLED", "UNAUTHORIZED", "UNREACHABLE" ] } }, "description": "State indicating an ACM's progress syncing configurations to a cluster" }, "AuditLogConfig": { "id": "AuditLogConfig", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "ConfigManagementSyncError": { "description": "An ACM created error representing a problem syncing configurations", "id": "ConfigManagementSyncError", "type": "object", "properties": { "code": { "description": "An ACM defined error code", "type": "string" }, "errorResources": { "type": "array", "items": { "$ref": "ConfigManagementErrorResource" }, "description": "A list of config(s) associated with the error, if any" }, "errorMessage": { "type": "string", "description": "A description of the error" } } }, "ConfigManagementGroupVersionKind": { "type": "object", "properties": { "version": { "description": "Kubernetes Version", "type": "string" }, "group": { "type": "string", "description": "Kubernetes Group" }, "kind": { "type": "string", "description": "Kubernetes Kind" } }, "id": "ConfigManagementGroupVersionKind", "description": "A Kubernetes object's GVK" }, "AnthosVMMembershipSpec": { "properties": { "subfeaturesSpec": { "type": "array", "items": { "$ref": "AnthosVMSubFeatureSpec" }, "description": "List of configurations of the Anthos For VM subfeatures that are to be enabled" } }, "description": "AnthosVMMembershipSpec contains the AnthosVM feature configuration for a membership/cluster.", "type": "object", "id": "AnthosVMMembershipSpec" }, "ConfigManagementHierarchyControllerState": { "properties": { "version": { "description": "The version for Hierarchy Controller", "$ref": "ConfigManagementHierarchyControllerVersion" }, "state": { "$ref": "ConfigManagementHierarchyControllerDeploymentState", "description": "The deployment state for Hierarchy Controller" } }, "type": "object", "description": "State for Hierarchy Controller", "id": "ConfigManagementHierarchyControllerState" }, "ListMembershipsResponse": { "description": "Response message for the `GkeHub.ListMemberships` method.", "properties": { "unreachable": { "type": "array", "description": "List of locations that could not be reached while fetching this list.", "items": { "type": "string" } }, "nextPageToken": { "description": "A token to request the next page of resources from the `ListMemberships` method. The value of an empty string means that there are no more resources to return.", "type": "string" }, "resources": { "items": { "$ref": "Membership" }, "description": "The list of matching Memberships.", "type": "array" } }, "id": "ListMembershipsResponse", "type": "object" }, "ConfigManagementPolicyControllerState": { "id": "ConfigManagementPolicyControllerState", "type": "object", "properties": { "deploymentState": { "$ref": "ConfigManagementGatekeeperDeploymentState", "description": "The state about the policy controller installation." }, "version": { "description": "The version of Gatekeeper Policy Controller deployed.", "$ref": "ConfigManagementPolicyControllerVersion" } }, "description": "State for PolicyControllerState." }, "IdentityServiceMembershipState": { "properties": { "failureReason": { "description": "The reason of the failure.", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified state", "deployment succeeds", "Failure with error." ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "OK", "ERROR" ], "description": "Deployment state on this member" }, "installedVersion": { "type": "string", "description": "Installed AIS version. This is the AIS version installed on this member. The values makes sense iff state is OK." }, "memberConfig": { "description": "Last reconciled membership configuration", "$ref": "IdentityServiceMembershipSpec" } }, "id": "IdentityServiceMembershipState", "description": "**Anthos Identity Service**: State for a single Membership.", "type": "object" }, "ConfigManagementMembershipState": { "type": "object", "properties": { "configSyncState": { "$ref": "ConfigManagementConfigSyncState", "description": "Current sync status" }, "membershipSpec": { "$ref": "ConfigManagementMembershipSpec", "description": "Membership configuration in the cluster. This represents the actual state in the cluster, while the MembershipSpec in the FeatureSpec represents the intended state" }, "operatorState": { "description": "Current install status of ACM's Operator", "$ref": "ConfigManagementOperatorState" }, "policyControllerState": { "$ref": "ConfigManagementPolicyControllerState", "description": "PolicyController status" }, "hierarchyControllerState": { "$ref": "ConfigManagementHierarchyControllerState", "description": "Hierarchy Controller status" }, "clusterName": { "description": "The user-defined name for the cluster used by ClusterSelectors to group clusters together. This should match Membership's membership_name, unless the user installed ACM on the cluster manually prior to enabling the ACM hub feature. Unique within a Anthos Config Management installation.", "type": "string" } }, "id": "ConfigManagementMembershipState", "description": "**Anthos Config Management**: State for a single cluster." }, "ListFeaturesResponse": { "properties": { "resources": { "description": "The list of matching Features", "type": "array", "items": { "$ref": "Feature" } }, "nextPageToken": { "type": "string", "description": "A token to request the next page of resources from the `ListFeatures` method. The value of an empty string means that there are no more resources to return." } }, "type": "object", "description": "Response message for the `GkeHub.ListFeatures` method.", "id": "ListFeaturesResponse" }, "ConfigManagementHierarchyControllerConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether Hierarchy Controller is enabled in this cluster." }, "enableHierarchicalResourceQuota": { "description": "Whether hierarchical resource quota is enabled in this cluster.", "type": "boolean" }, "enablePodTreeLabels": { "type": "boolean", "description": "Whether pod tree labels are enabled in this cluster." } }, "type": "object", "id": "ConfigManagementHierarchyControllerConfig", "description": "Configuration for Hierarchy Controller" }, "MultiCloudCluster": { "properties": { "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE Multi-Cloud cluster. For example: //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/awsClusters/my-cluster //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/azureClusters/my-cluster", "type": "string" }, "clusterMissing": { "type": "boolean", "readOnly": true, "description": "Output only. If cluster_missing is set then it denotes that API(gkemulticloud.googleapis.com) resource for this GKE Multi-Cloud cluster no longer exists." } }, "id": "MultiCloudCluster", "type": "object", "description": "MultiCloudCluster contains information specific to GKE Multi-Cloud clusters." }, "ConfigManagementGatekeeperDeploymentState": { "description": "State of Policy Controller installation.", "type": "object", "id": "ConfigManagementGatekeeperDeploymentState", "properties": { "gatekeeperControllerManagerState": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Status of gatekeeper-controller-manager pod.", "type": "string" }, "gatekeeperAudit": { "description": "Status of gatekeeper-audit deployment.", "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] } } }, "Expr": { "id": "Expr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } } }, "IdentityServiceOidcConfig": { "description": "Configuration for OIDC Auth flow.", "type": "object", "id": "IdentityServiceOidcConfig", "properties": { "groupPrefix": { "description": "Prefix to prepend to group name.", "type": "string" }, "certificateAuthorityData": { "description": "PEM-encoded CA for OIDC provider.", "type": "string" }, "userPrefix": { "type": "string", "description": "Prefix to prepend to user name." }, "encryptedClientSecret": { "description": "Output only. Encrypted OIDC Client secret", "format": "byte", "type": "string", "readOnly": true }, "clientSecret": { "type": "string", "description": "Input only. Unencrypted OIDC client secret will be passed to the GKE Hub CLH." }, "extraParams": { "description": "Comma-separated list of key-value pairs.", "type": "string" }, "groupsClaim": { "type": "string", "description": "Claim in OIDC ID token that holds group information." }, "clientId": { "type": "string", "description": "ID for OIDC client application." }, "userClaim": { "description": "Claim in OIDC ID token that holds username.", "type": "string" }, "deployCloudConsoleProxy": { "type": "boolean", "description": "Flag to denote if reverse proxy is used to connect to auth provider. This flag should be set to true when provider is not reachable by Google Cloud Console." }, "kubectlRedirectUri": { "type": "string", "description": "Registered redirect uri to redirect users going through OAuth flow using kubectl plugin." }, "issuerUri": { "description": "URI for the OIDC provider. This should point to the level below .well-known/openid-configuration.", "type": "string" }, "scopes": { "description": "Comma-separated list of identifiers.", "type": "string" } } }, "ConfigManagementOciConfig": { "id": "ConfigManagementOciConfig", "description": "OCI repo configuration for a single cluster", "type": "object", "properties": { "gcpServiceAccountEmail": { "type": "string", "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount." }, "syncRepo": { "type": "string", "description": "The OCI image repository URL for the package to sync from. e.g. `LOCATION-docker.pkg.dev/PROJECT_ID/REPOSITORY_NAME/PACKAGE_NAME`." }, "syncWaitSecs": { "type": "string", "description": "Period in seconds between consecutive syncs. Default: 15.", "format": "int64" }, "policyDir": { "description": "The absolute path of the directory that contains the local resources. Default: the root directory of the image.", "type": "string" }, "secretType": { "description": "Type of secret configured for access to the Git repo.", "type": "string" } } }, "ConfigManagementConfigSync": { "properties": { "git": { "description": "Git repo configuration for the cluster.", "$ref": "ConfigManagementGitConfig" }, "oci": { "description": "OCI repo configuration for the cluster", "$ref": "ConfigManagementOciConfig" }, "preventDrift": { "type": "boolean", "description": "Set to true to enable the Config Sync admission webhook to prevent drifts. If set to `false`, disables the Config Sync admission webhook and does not prevent drifts." }, "sourceFormat": { "type": "string", "description": "Specifies whether the Config Sync Repo is in “hierarchical” or “unstructured” mode." }, "enabled": { "description": "Enables the installation of ConfigSync. If set to true, ConfigSync resources will be created and the other ConfigSync fields will be applied if exist. If set to false, all other ConfigSync fields will be ignored, ConfigSync resources will be deleted. If omitted, ConfigSync resources will be managed depends on the presence of git field.", "type": "boolean" } }, "description": "Configuration for Config Sync", "type": "object", "id": "ConfigManagementConfigSync" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" } }, "type": "object" }, "MembershipFeatureSpec": { "type": "object", "description": "MembershipFeatureSpec contains configuration information for a single Membership.", "properties": { "identityservice": { "description": "Identity Service-specific spec.", "$ref": "IdentityServiceMembershipSpec" }, "configmanagement": { "$ref": "ConfigManagementMembershipSpec", "description": "Config Management-specific spec." }, "mesh": { "$ref": "ServiceMeshMembershipSpec", "description": "Anthos Service Mesh-specific spec" }, "anthosvm": { "$ref": "AnthosVMMembershipSpec", "description": "AnthosVM spec." } }, "id": "MembershipFeatureSpec" }, "AnthosVMSubFeatureState": { "properties": { "description": { "description": "Description represents human readable description of the subfeature state. If the deployment failed, this should also contain the reason for the failure.", "type": "string" }, "serviceMeshState": { "$ref": "ServiceMeshState", "description": "ServiceMeshState represents the state of the Service Mesh subfeature." }, "migrateState": { "$ref": "MigrateState", "description": "MigrateState represents the state of the Migrate subfeature." }, "installationState": { "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ], "type": "string", "description": "InstallationState represents the state of installation of the subfeature in the cluster.", "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ] } }, "description": "AnthosVMSubFeatureState contains the state of the AnthosVM subfeatures.", "id": "AnthosVMSubFeatureState", "type": "object" }, "Location": { "properties": { "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "IdentityServiceAuthMethod": { "id": "IdentityServiceAuthMethod", "type": "object", "properties": { "name": { "description": "Identifier for auth config.", "type": "string" }, "oidcConfig": { "description": "OIDC specific configuration.", "$ref": "IdentityServiceOidcConfig" }, "proxy": { "type": "string", "description": "Proxy server address to use for auth method." } }, "description": "Configuration of an auth method for a member/cluster. Only one authentication method (e.g., OIDC and LDAP) can be set per AuthMethod." }, "KubernetesResource": { "type": "object", "properties": { "connectResources": { "items": { "$ref": "ResourceManifest" }, "description": "Output only. The Kubernetes resources for installing the GKE Connect agent This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "type": "array", "readOnly": true }, "membershipResources": { "description": "Output only. Additional Kubernetes resources that need to be applied to the cluster after Membership creation, and after every update. This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "readOnly": true, "items": { "$ref": "ResourceManifest" }, "type": "array" }, "resourceOptions": { "description": "Optional. Options for Kubernetes resource generation.", "$ref": "ResourceOptions" }, "membershipCrManifest": { "description": "Input only. The YAML representation of the Membership CR. This field is ignored for GKE clusters where Hub can read the CR directly. Callers should provide the CR that is currently present in the cluster during CreateMembership or UpdateMembership, or leave this field empty if none exists. The CR manifest is used to validate the cluster has not been registered with another Membership.", "type": "string" } }, "description": "KubernetesResource contains the YAML manifests and configuration for Membership Kubernetes resources in the cluster. After CreateMembership or UpdateMembership, these resources should be re-applied in the cluster.", "id": "KubernetesResource" }, "ServiceMeshSpec": { "properties": {}, "id": "ServiceMeshSpec", "description": "ServiceMeshSpec contains the serviceMesh subfeature configuration.", "type": "object" }, "Membership": { "type": "object", "description": "Membership contains information about a member cluster.", "properties": { "createTime": { "description": "Output only. When the Membership was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "lastConnectionTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. For clusters using Connect, the timestamp of the most recent connection established with Google Cloud. This time is updated every several minutes, not continuously. For clusters that do not use GKE Connect, or that have never connected successfully, this field will be unset." }, "name": { "description": "Output only. The full, unique name of this Membership resource in the format `projects/*/locations/*/memberships/{membership_id}`, set during creation. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters.", "readOnly": true, "type": "string" }, "endpoint": { "$ref": "MembershipEndpoint", "description": "Optional. Endpoint information to reach this member." }, "deleteTime": { "format": "google-datetime", "description": "Output only. When the Membership was deleted.", "type": "string", "readOnly": true }, "description": { "description": "Output only. Description of this membership, limited to 63 characters. Must match the regex: `a-zA-Z0-9*` This field is present for legacy purposes.", "type": "string", "readOnly": true }, "authority": { "$ref": "Authority", "description": "Optional. How to identify workloads from this Membership. See the documentation on Workload Identity for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. GCP labels for this membership." }, "state": { "description": "Output only. State of the Membership resource.", "readOnly": true, "$ref": "MembershipState" }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the Membership was last updated." }, "externalId": { "description": "Optional. An externally-generated and managed ID for this Membership. This ID may be modified after creation, but this is not recommended. The ID must match the regex: `a-zA-Z0-9*` If this Membership represents a Kubernetes cluster, this value should be set to the UID of the `kube-system` namespace object.", "type": "string" }, "uniqueId": { "description": "Output only. Google-generated UUID for this resource. This is unique across all Membership resources. If a Membership resource is deleted and another resource with the same name is created, it gets a different unique_id.", "readOnly": true, "type": "string" } }, "id": "Membership" }, "ConfigManagementGitConfig": { "description": "Git repo configuration for a single cluster.", "id": "ConfigManagementGitConfig", "properties": { "syncRepo": { "description": "The URL of the Git repository to use as the source of truth.", "type": "string" }, "syncWaitSecs": { "description": "Period in seconds between consecutive syncs. Default: 15.", "type": "string", "format": "int64" }, "policyDir": { "description": "The path within the Git repository that represents the top level of the repo to sync. Default: the root directory of the repository.", "type": "string" }, "gcpServiceAccountEmail": { "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount.", "type": "string" }, "syncBranch": { "type": "string", "description": "The branch of the repository to sync from. Default: master." }, "secretType": { "type": "string", "description": "Type of secret configured for access to the Git repo. Must be one of ssh, cookiefile, gcenode, token, gcpserviceaccount or none. The validation of this is case-sensitive. Required." }, "syncRev": { "description": "Git revision (tag or hash) to check out. Default HEAD.", "type": "string" }, "httpsProxy": { "type": "string", "description": "URL for the HTTPS proxy to be used when communicating with the Git repo." } }, "type": "object" }, "ListLocationsResponse": { "type": "object", "id": "ListLocationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" } }, "description": "The response message for Locations.ListLocations." }, "MembershipEndpoint": { "id": "MembershipEndpoint", "description": "MembershipEndpoint contains information needed to contact a Kubernetes API, endpoint and any additional Kubernetes metadata.", "properties": { "edgeCluster": { "$ref": "EdgeCluster", "description": "Optional. Specific information for a Google Edge cluster." }, "gkeCluster": { "$ref": "GkeCluster", "description": "Optional. Specific information for a GKE-on-GCP cluster." }, "multiCloudCluster": { "$ref": "MultiCloudCluster", "description": "Optional. Specific information for a GKE Multi-Cloud cluster." }, "applianceCluster": { "$ref": "ApplianceCluster", "description": "Optional. Specific information for a GDC Edge Appliance cluster." }, "kubernetesMetadata": { "description": "Output only. Useful Kubernetes-specific metadata.", "$ref": "KubernetesMetadata", "readOnly": true }, "kubernetesResource": { "description": "Optional. The in-cluster Kubernetes Resources that should be applied for a correctly registered cluster, in the steady state. These resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure that the cluster is exclusively registered to one and only one Hub Membership. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Propagate Workload Pool Information available in the Membership Authority field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure proper initial configuration of default Hub Features.", "$ref": "KubernetesResource" }, "onPremCluster": { "$ref": "OnPremCluster", "description": "Optional. Specific information for a GKE On-Prem cluster. An onprem user-cluster who has no resourceLink is not allowed to use this field, it should have a nil \"type\" instead." } }, "type": "object" }, "ResourceManifest": { "type": "object", "id": "ResourceManifest", "description": "ResourceManifest represents a single Kubernetes resource to be applied to the cluster.", "properties": { "clusterScoped": { "type": "boolean", "description": "Whether the resource provided in the manifest is `cluster_scoped`. If unset, the manifest is assumed to be namespace scoped. This field is used for REST mapping when applying the resource in a cluster." }, "manifest": { "type": "string", "description": "YAML manifest of the resource." } } }, "ConfigManagementMembershipSpec": { "type": "object", "description": "**Anthos Config Management**: Configuration for a single cluster. Intended to parallel the ConfigManagement CR.", "id": "ConfigManagementMembershipSpec", "properties": { "policyController": { "description": "Policy Controller configuration for the cluster.", "$ref": "ConfigManagementPolicyController" }, "hierarchyController": { "$ref": "ConfigManagementHierarchyControllerConfig", "description": "Hierarchy Controller configuration for the cluster." }, "version": { "description": "Version of ACM installed.", "type": "string" }, "configSync": { "description": "Config Sync configuration for the cluster.", "$ref": "ConfigManagementConfigSync" } } }, "AnthosVMMembershipState": { "id": "AnthosVMMembershipState", "properties": { "subfeatureState": { "type": "array", "items": { "$ref": "AnthosVMSubFeatureState" }, "description": "List of AnthosVM subfeature states" }, "localControllerState": { "$ref": "LocalControllerState", "description": "State of the local PE-controller inside the cluster" } }, "description": "AnthosVMFeatureState contains the state of the AnthosVM feature. It represents the actual state in the cluster, while the AnthosVMMembershipSpec represents the desired state.", "type": "object" }, "ConfigManagementOperatorState": { "properties": { "version": { "description": "The semenatic version number of the operator", "type": "string" }, "deploymentState": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "The state of the Operator's deployment", "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "errors": { "description": "Install errors.", "type": "array", "items": { "$ref": "ConfigManagementInstallError" } } }, "type": "object", "description": "State information for an ACM's Operator", "id": "ConfigManagementOperatorState" }, "ConfigManagementHierarchyControllerDeploymentState": { "type": "object", "description": "Deployment state for Hierarchy Controller", "properties": { "extension": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "description": "The deployment state for Hierarchy Controller extension (e.g. v0.7.0-hc.1)" }, "hnc": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "The deployment state for open source HNC (e.g. v0.7.0-hc.0)" } }, "id": "ConfigManagementHierarchyControllerDeploymentState" }, "Policy": { "properties": { "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" }, "type": "array" } }, "id": "Policy", "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "FeatureState": { "type": "object", "properties": { "code": { "description": "The high-level, machine-readable status of this Feature.", "type": "string", "enum": [ "CODE_UNSPECIFIED", "OK", "WARNING", "ERROR" ], "enumDescriptions": [ "Unknown or not set.", "The Feature is operating normally.", "The Feature has encountered an issue, and is operating in a degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information.", "The Feature is not operating or is in a severely degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information." ] }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time this status and any related Feature-specific details were updated." }, "description": { "type": "string", "description": "A human-readable description of the current status." } }, "description": "FeatureState describes the high-level state of a Feature. It may be used to describe a Feature's state at the environ-level, or per-membershop, depending on the context.", "id": "FeatureState" }, "Empty": { "id": "Empty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "ApplianceCluster": { "description": "ApplianceCluster contains information specific to GDC Edge Appliance Clusters.", "type": "object", "id": "ApplianceCluster", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Appliance Cluster. For example: //transferappliance.googleapis.com/projects/my-project/locations/us-west1-a/appliances/my-appliance" } } }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "ConfigManagementHierarchyControllerVersion": { "id": "ConfigManagementHierarchyControllerVersion", "type": "object", "properties": { "extension": { "description": "Version for Hierarchy Controller extension", "type": "string" }, "hnc": { "type": "string", "description": "Version for open source HNC" } }, "description": "Version for Hierarchy Controller" }, "Status": { "properties": { "code": { "description": "Code specifies AppDevExperienceFeature's subcomponent ready state.", "enum": [ "CODE_UNSPECIFIED", "OK", "FAILED", "UNKNOWN" ], "enumDescriptions": [ "Not set.", "AppDevExperienceFeature's specified subcomponent is ready.", "AppDevExperienceFeature's specified subcomponent ready state is false. This means AppDevExperienceFeature has encountered an issue that blocks all, or a portion, of its normal operation. See the `description` for more details.", "AppDevExperienceFeature's specified subcomponent has a pending or unknown state." ], "type": "string" }, "description": { "type": "string", "description": "Description is populated if Code is Failed, explaining why it has failed." } }, "type": "object", "description": "Status specifies state for the subcomponent.", "id": "Status" }, "ServiceMeshControlPlaneManagement": { "description": "Status of control plane management.", "id": "ServiceMeshControlPlaneManagement", "properties": { "details": { "type": "array", "items": { "$ref": "ServiceMeshStatusDetails" }, "description": "Explanation of state." }, "state": { "enumDescriptions": [ "Unspecified", "DISABLED means that the component is not enabled.", "FAILED_PRECONDITION means that provisioning cannot proceed because of some characteristic of the member cluster.", "PROVISIONING means that provisioning is in progress.", "ACTIVE means that the component is ready for use.", "STALLED means that provisioning could not be done.", "NEEDS_ATTENTION means that the component is ready, but some user intervention is required. (For example that the user should migrate workloads to a new control plane revision.)", "DEGRADED means that the component is ready, but operating in a degraded state." ], "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "DISABLED", "FAILED_PRECONDITION", "PROVISIONING", "ACTIVE", "STALLED", "NEEDS_ATTENTION", "DEGRADED" ], "description": "LifecycleState of control plane management.", "type": "string" } }, "type": "object" }, "ConfigManagementInstallError": { "description": "Errors pertaining to the installation of ACM", "id": "ConfigManagementInstallError", "type": "object", "properties": { "errorMessage": { "type": "string", "description": "A string representing the user facing error message" } } }, "OnPremCluster": { "properties": { "clusterType": { "enum": [ "CLUSTERTYPE_UNSPECIFIED", "BOOTSTRAP", "HYBRID", "STANDALONE", "USER" ], "type": "string", "enumDescriptions": [ "The ClusterType is not set.", "The ClusterType is bootstrap cluster.", "The ClusterType is baremetal hybrid cluster.", "The ClusterType is baremetal standalone cluster.", "The ClusterType is user cluster." ], "description": "Immutable. The on prem cluster's type." }, "adminCluster": { "description": "Immutable. Whether the cluster is an admin cluster.", "type": "boolean" }, "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE On-Prem cluster. For example: //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/vmwareClusters/my-cluster //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/bareMetalClusters/my-cluster", "type": "string" }, "clusterMissing": { "type": "boolean", "description": "Output only. If cluster_missing is set then it denotes that API(gkeonprem.googleapis.com) resource for this GKE On-Prem cluster no longer exists.", "readOnly": true } }, "type": "object", "description": "OnPremCluster contains information specific to GKE On-Prem clusters.", "id": "OnPremCluster" }, "GoogleRpcStatus": { "type": "object", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus" }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } } }, "IdentityServiceMembershipSpec": { "description": "**Anthos Identity Service**: Configuration for a single Membership.", "properties": { "authMethods": { "type": "array", "items": { "$ref": "IdentityServiceAuthMethod" }, "description": "A member may support multiple auth methods." } }, "type": "object", "id": "IdentityServiceMembershipSpec" }, "EdgeCluster": { "id": "EdgeCluster", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Edge Cluster. For example: //edgecontainer.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster" } }, "description": "EdgeCluster contains information specific to Google Edge Clusters.", "type": "object" }, "GkeCluster": { "description": "GkeCluster contains information specific to GKE clusters.", "type": "object", "properties": { "clusterMissing": { "type": "boolean", "readOnly": true, "description": "Output only. If cluster_missing is set then it denotes that the GKE cluster no longer exists in the GKE Control Plane." }, "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the GKE cluster. For example: //container.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster Zonal clusters are also supported." } }, "id": "GkeCluster" }, "ServiceMeshMembershipState": { "properties": { "controlPlaneManagement": { "$ref": "ServiceMeshControlPlaneManagement", "description": "Output only. Status of control plane management", "readOnly": true } }, "description": "**Service Mesh**: State for a single Membership, as analyzed by the Service Mesh Hub Controller.", "type": "object", "id": "ServiceMeshMembershipState" }, "MembershipFeatureState": { "description": "MembershipFeatureState contains Feature status information for a single Membership.", "id": "MembershipFeatureState", "properties": { "appdevexperience": { "$ref": "AppDevExperienceFeatureState", "description": "Appdevexperience specific state." }, "configmanagement": { "description": "Config Management-specific state.", "$ref": "ConfigManagementMembershipState" }, "anthosvm": { "$ref": "AnthosVMMembershipState", "description": "AnthosVM state." }, "identityservice": { "description": "Identity Service-specific state.", "$ref": "IdentityServiceMembershipState" }, "state": { "description": "The high-level state of this Feature for a single membership.", "$ref": "FeatureState" }, "servicemesh": { "$ref": "ServiceMeshMembershipState", "description": "Service Mesh-specific state." } }, "type": "object" }, "ConfigManagementPolicyController": { "description": "Configuration for Policy Controller", "type": "object", "id": "ConfigManagementPolicyController", "properties": { "enabled": { "description": "Enables the installation of Policy Controller. If false, the rest of PolicyController fields take no effect.", "type": "boolean" }, "referentialRulesEnabled": { "type": "boolean", "description": "Enables the ability to use Constraint Templates that reference to objects other than the object currently being evaluated." }, "auditIntervalSeconds": { "type": "string", "format": "int64", "description": "Sets the interval for Policy Controller Audit Scans (in seconds). When set to 0, this disables audit functionality altogether." }, "mutationEnabled": { "type": "boolean", "description": "Enable or disable mutation in policy controller. If true, mutation CRDs, webhook and controller deployment will be deployed to the cluster." }, "logDeniesEnabled": { "description": "Logs all denies and dry run failures.", "type": "boolean" }, "monitoring": { "$ref": "ConfigManagementPolicyControllerMonitoring", "description": "Monitoring specifies the configuration of monitoring." }, "templateLibraryInstalled": { "type": "boolean", "description": "Installs the default template library along with Policy Controller." }, "exemptableNamespaces": { "type": "array", "description": "The set of namespaces that are excluded from Policy Controller checks. Namespaces do not need to currently exist on the cluster.", "items": { "type": "string" } } } }, "ConnectAgentResource": { "type": "object", "properties": { "manifest": { "description": "YAML manifest of the resource.", "type": "string" }, "type": { "description": "Kubernetes type of the resource.", "$ref": "TypeMeta" } }, "id": "ConnectAgentResource", "description": "ConnectAgentResource represents a Kubernetes resource manifest for Connect Agent deployment." }, "Operation": { "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" } }, "id": "Operation", "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call." }, "OperationMetadata": { "id": "OperationMetadata", "properties": { "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true, "format": "google-datetime" }, "createTime": { "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime", "type": "string" }, "cancelRequested": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "statusDetail": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true } }, "type": "object", "description": "Represents the metadata of the long-running operation." }, "Feature": { "description": "Feature represents the settings and status of any Hub Feature.", "id": "Feature", "properties": { "createTime": { "description": "Output only. When the Feature resource was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "membershipSpecs": { "type": "object", "description": "Optional. Membership-specific configuration for this Feature. If this Feature does not support any per-Membership configuration, this field may be unused. The keys indicate which Membership the configuration is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} WILL match the Feature's project. {p} will always be returned as the project number, but the project ID is also accepted during input. If the same Membership is specified in the map twice (using the project ID form, and the project number form), exactly ONE of the entries will be saved, with no guarantees as to which. For this reason, it is recommended the same format be used for all entries when mutating a Feature.", "additionalProperties": { "$ref": "MembershipFeatureSpec" } }, "deleteTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the Feature resource was deleted." }, "name": { "readOnly": true, "description": "Output only. The full, unique name of this Feature resource in the format `projects/*/locations/*/features/*`.", "type": "string" }, "state": { "$ref": "CommonFeatureState", "readOnly": true, "description": "Output only. The Hub-wide Feature state." }, "resourceState": { "$ref": "FeatureResourceState", "description": "Output only. State of the Feature resource itself.", "readOnly": true }, "membershipStates": { "additionalProperties": { "$ref": "MembershipFeatureState" }, "type": "object", "description": "Output only. Membership-specific Feature status. If this Feature does report any per-Membership status, this field may be unused. The keys indicate which Membership the state is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project number, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} MUST match the Feature's project number.", "readOnly": true }, "updateTime": { "description": "Output only. When the Feature resource was last updated.", "readOnly": true, "type": "string", "format": "google-datetime" }, "spec": { "$ref": "CommonFeatureSpec", "description": "Optional. Hub-wide Feature configuration. If this Feature does not support any Hub-wide configuration, this field may be unused." }, "labels": { "additionalProperties": { "type": "string" }, "description": "GCP labels for this Feature.", "type": "object" } }, "type": "object" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } } }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "type": "object", "properties": {} }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "type": "object", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "FeatureResourceState": { "description": "FeatureResourceState describes the state of a Feature *resource* in the GkeHub API. See `FeatureState` for the \"running state\" of the Feature in the Hub and across Memberships.", "type": "object", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "ENABLING", "ACTIVE", "DISABLING", "UPDATING", "SERVICE_UPDATING" ], "description": "The current state of the Feature resource in the Hub API.", "enumDescriptions": [ "State is unknown or not set.", "The Feature is being enabled, and the Feature resource is being created. Once complete, the corresponding Feature will be enabled in this Hub.", "The Feature is enabled in this Hub, and the Feature resource is fully available.", "The Feature is being disabled in this Hub, and the Feature resource is being deleted.", "The Feature resource is being updated.", "The Feature resource is being updated by the Hub Service." ], "type": "string" } }, "id": "FeatureResourceState" }, "ResourceOptions": { "description": "ResourceOptions represent options for Kubernetes resource generation.", "id": "ResourceOptions", "properties": { "connectVersion": { "description": "Optional. The Connect agent version to use for connect_resources. Defaults to the latest GKE Connect version. The version must be a currently supported version, obsolete versions will be rejected.", "type": "string" }, "k8sVersion": { "description": "Optional. Major version of the Kubernetes cluster. This is only used to determine which version to use for the CustomResourceDefinition resources, `apiextensions/v1beta1` or`apiextensions/v1`.", "type": "string" }, "v1beta1Crd": { "type": "boolean", "description": "Optional. Use `apiextensions/v1beta1` instead of `apiextensions/v1` for CustomResourceDefinition resources. This option should be set for clusters with Kubernetes apiserver versions \u003c1.16." } }, "type": "object" }, "AnthosVMSubFeatureSpec": { "id": "AnthosVMSubFeatureSpec", "type": "object", "description": "AnthosVMSubFeatureSpec contains the subfeature configuration for a membership/cluster.", "properties": { "serviceMeshSpec": { "$ref": "ServiceMeshSpec", "description": "ServiceMeshSpec repsents the configuration for Service Mesh subfeature." }, "enabled": { "description": "Indicates whether the subfeature should be enabled on the cluster or not. If set to true, the subfeature's control plane and resources will be installed in the cluster. If set to false, the oneof spec if present will be ignored and nothing will be installed in the cluster.", "type": "boolean" }, "migrateSpec": { "$ref": "MigrateSpec", "description": "MigrateSpec repsents the configuration for Migrate subfeature." } } }, "TypeMeta": { "description": "TypeMeta is the type information needed for content unmarshalling of Kubernetes resources in the manifest.", "id": "TypeMeta", "type": "object", "properties": { "kind": { "description": "Kind of the resource (e.g. Deployment).", "type": "string" }, "apiVersion": { "type": "string", "description": "APIVersion of the resource (e.g. v1)." } } }, "ServiceMeshMembershipSpec": { "properties": { "controlPlane": { "enumDescriptions": [ "Unspecified", "Google should provision a control plane revision and make it available in the cluster. Google will enroll this revision in a release channel and keep it up to date. The control plane revision may be a managed service, or a managed install.", "User will manually configure the control plane (e.g. via CLI, or via the ControlPlaneRevision KRM API)" ], "type": "string", "description": "Enables automatic control plane management.", "enum": [ "CONTROL_PLANE_MANAGEMENT_UNSPECIFIED", "AUTOMATIC", "MANUAL" ] } }, "description": "**Service Mesh**: Spec for a single Membership for the servicemesh feature", "type": "object", "id": "ServiceMeshMembershipSpec" }, "MigrateSpec": { "type": "object", "properties": {}, "description": "MigrateSpec contains the migrate subfeature configuration.", "id": "MigrateSpec" }, "LocalControllerState": { "properties": { "installationState": { "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ], "description": "InstallationState represents the state of deployment of the local PE controller in the cluster.", "type": "string", "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ] }, "description": { "type": "string", "description": "Description represents the human readable description of the current state of the local PE controller" } }, "id": "LocalControllerState", "description": "LocalControllerState contains the state of the local controller deployed in the cluster.", "type": "object" }, "KubernetesMetadata": { "description": "KubernetesMetadata provides informational metadata for Memberships representing Kubernetes clusters.", "properties": { "kubernetesApiServerVersion": { "description": "Output only. Kubernetes API server version string as reported by `/version`.", "readOnly": true, "type": "string" }, "updateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time at which these details were last updated. This update_time is different from the Membership-level update_time since EndpointDetails are updated internally for API consumers." }, "nodeProviderId": { "readOnly": true, "type": "string", "description": "Output only. Node providerID as reported by the first node in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the node_count will be zero and the node_provider_id will be empty." }, "nodeCount": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. Node count as reported by Kubernetes nodes resources." }, "memoryMb": { "description": "Output only. The total memory capacity as reported by the sum of all Kubernetes nodes resources, defined in MB.", "readOnly": true, "type": "integer", "format": "int32" }, "vcpuCount": { "readOnly": true, "format": "int32", "description": "Output only. vCPU count as reported by Kubernetes nodes resources.", "type": "integer" } }, "type": "object", "id": "KubernetesMetadata" } }, "description": "", "parameters": { "$.xgafv": { "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ] }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "alt": { "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" } }, "baseUrl": "https://gkehub.googleapis.com/", "title": "GKE Hub API", "version_module": true, "servicePath": "", "protocol": "rest", "name": "gkehub", "mtlsRootUrl": "https://gkehub.mtls.googleapis.com/", "rootUrl": "https://gkehub.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "id": "gkehub:v1", "discoveryVersion": "v1", "fullyEncodeReservedExpansion": true, "revision": "20220628", "version": "v1", "documentationLink": "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
