local decode = require("cjson").new().decode
return assert(decode([===[
{ "discoveryVersion": "v1", "version": "v1alpha", "description": "", "documentationLink": "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster", "ownerName": "Google", "kind": "discovery#restDescription", "parameters": { "callback": { "type": "string", "location": "query", "description": "JSONP" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "$.xgafv": { "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "description": "V1 error format." }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "alt": { "default": "json", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "description": "Data format for response.", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "gkehub", "resources": { "projects": { "resources": { "locations": { "resources": { "operations": { "methods": { "list": { "path": "v1alpha/{+name}/operations", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "name": { "type": "string", "description": "The name of the operation's parent resource.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "type": "integer", "description": "The standard list page size.", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" } }, "id": "gkehub.projects.locations.operations.list" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "httpMethod": "DELETE", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gkehub.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "type": "string", "description": "The name of the operation resource to be deleted.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } } }, "get": { "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "type": "string", "description": "The name of the operation resource.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gkehub.projects.locations.operations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "httpMethod": "GET" }, "cancel": { "request": { "$ref": "CancelOperationRequest" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.operations.cancel", "response": { "$ref": "Empty" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource to be cancelled.", "type": "string" } }, "path": "v1alpha/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "memberships": { "methods": { "listAdmin": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+parent}/memberships:listAdmin", "response": { "$ref": "ListAdminClusterMembershipsResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships:listAdmin", "parameterOrder": [ "parent" ], "httpMethod": "GET", "parameters": { "pageToken": { "description": "Optional. Token returned by previous call to `ListAdminClusterMemberships` which specifies the position in the list from where to continue listing the resources.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering." }, "filter": { "location": "query", "description": "Optional. Lists Memberships of admin clusters that match the filter expression.", "type": "string" }, "parent": { "location": "path", "description": "Required. The parent (project and location) where the Memberships of admin cluster will be listed. Specified in the format `projects/*/locations/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "pageSize": { "description": "Optional. When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "location": "query", "format": "int32", "type": "integer" } }, "description": "Lists Memberships of admin clusters in a given project and location. **This method is only used internally**.", "id": "gkehub.projects.locations.memberships.listAdmin" }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Removes a Membership. **This is currently only supported for GKE clusters on Google Cloud**. To unregister other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/unregistering-a-cluster.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true, "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "type": "string", "location": "path" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "id": "gkehub.projects.locations.memberships.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}" }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Membership. **This is currently only supported for GKE clusters on Google Cloud**. To register other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster.", "parameterOrder": [ "parent" ], "parameters": { "membershipId": { "description": "Required. Client chosen ID for the membership. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters.", "location": "query", "type": "string" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The parent (project and location) where the Memberships will be created. Specified in the format `projects/*/locations/*`." }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships", "request": { "$ref": "Membership" }, "id": "gkehub.projects.locations.memberships.create", "path": "v1alpha/{+parent}/memberships" }, "list": { "parameterOrder": [ "parent" ], "id": "gkehub.projects.locations.memberships.list", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships", "path": "v1alpha/{+parent}/memberships", "response": { "$ref": "ListMembershipsResponse" }, "description": "Lists Memberships in a given project and location.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "description": "Required. The parent (project and location) where the Memberships will be listed. Specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. Lists Memberships that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Name is `bar` in project `foo-proj` and location `global`: name = \"projects/foo-proj/locations/global/membership/bar\" - Memberships that have a label called `foo`: labels.foo:* - Memberships that have a label called `foo` whose value is `bar`: labels.foo = bar - Memberships in the CREATING state: state = CREATING" }, "pageToken": { "type": "string", "description": "Optional. Token returned by previous call to `ListMemberships` which specifies the position in the list from where to continue listing the resources.", "location": "query" }, "orderBy": { "type": "string", "description": "Optional. One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "location": "query" } } }, "testIamPermissions": { "path": "v1alpha/{+resource}:testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "id": "gkehub.projects.locations.memberships.testIamPermissions", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "location": "path" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query" }, "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true } }, "id": "gkehub.projects.locations.memberships.getIamPolicy", "path": "v1alpha/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "setIamPolicy": { "parameters": { "resource": { "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$" } }, "parameterOrder": [ "resource" ], "id": "gkehub.projects.locations.memberships.setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1alpha/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "generateConnectManifest": { "description": "Generates the manifest for deployment of the GKE connect agent. **This method is used internally by Google-provided libraries.** Most clients should not need to call this method directly.", "parameterOrder": [ "name" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:generateConnectManifest", "httpMethod": "GET", "id": "gkehub.projects.locations.memberships.generateConnectManifest", "path": "v1alpha/{+name}:generateConnectManifest", "response": { "$ref": "GenerateConnectManifestResponse" }, "parameters": { "namespace": { "type": "string", "description": "Optional. Namespace for GKE Connect agent resources. Defaults to `gke-connect`. The Connect Agent is authorized automatically when run in the default namespace. Otherwise, explicit authorization must be granted with an additional IAM binding.", "location": "query" }, "version": { "type": "string", "location": "query", "description": "Optional. The Connect agent version to use. Defaults to the most current version." }, "isUpgrade": { "type": "boolean", "location": "query", "description": "Optional. If true, generate the resources for upgrade only. Some resources generated only for installation (e.g. secrets) will be excluded." }, "registry": { "location": "query", "description": "Optional. The registry to fetch the connect agent image from. Defaults to gcr.io/gkeconnect.", "type": "string" }, "proxy": { "description": "Optional. URI of a proxy if connectivity from the agent to gkeconnect.googleapis.com requires the use of a proxy. Format must be in the form `http(s)://{proxy_address}`, depending on the HTTP/HTTPS protocol supported by the proxy. This will direct the connect agent's outbound traffic through a HTTP(S) proxy.", "location": "query", "type": "string", "format": "byte" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name the Agent will associate with, in the format `projects/*/locations/*/memberships/*`.", "type": "string" }, "imagePullSecretContent": { "type": "string", "format": "byte", "location": "query", "description": "Optional. The image pull secret content for the registry, if not public." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "request": { "$ref": "Membership" }, "response": { "$ref": "Operation" }, "description": "Updates an existing Membership.", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "id": "gkehub.projects.locations.memberships.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Required. Mask of fields to update.", "type": "string", "location": "query" }, "name": { "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "httpMethod": "PATCH" }, "get": { "description": "Gets the details of a Membership.", "response": { "$ref": "Membership" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "id": "gkehub.projects.locations.memberships.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "required": true } }, "path": "v1alpha/{+name}" } } }, "fleets": { "methods": { "get": { "response": { "$ref": "Fleet" }, "description": "Returns the details of a fleet.", "id": "gkehub.projects.locations.fleets.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/fleets/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The Fleet resource name in the format `projects/*/locations/*/fleets/*`." } }, "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/fleets/{fleetsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET" }, "patch": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/fleets/{fleetsId}", "parameterOrder": [ "name" ], "request": { "$ref": "Fleet" }, "response": { "$ref": "Fleet" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Required. The fields to be updated;", "format": "google-fieldmask" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/fleets/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Output only. The full, unique resource name of this fleet in the format of `projects/{project}/locations/{location}/fleets/{fleet}`. Each GCP project can have at most one fleet resource, named \"default\"." } }, "description": "Updates a fleet.", "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "id": "gkehub.projects.locations.fleets.patch" }, "delete": { "response": { "$ref": "Empty" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/fleets/{fleetsId}", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/fleets/[^/]+$", "description": "Required. The Fleet resource name in the format `projects/*/locations/*/fleets/*`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Removes a Fleet. There must be no memberships remaining in the Fleet.", "id": "gkehub.projects.locations.fleets.delete", "path": "v1alpha/{+name}", "httpMethod": "DELETE" }, "create": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/fleets", "parameters": { "parent": { "type": "string", "description": "Required. The parent (project and location) where the Fleet will be created. Specified in the format `projects/*/locations/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "description": "Creates a fleet.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Fleet" }, "httpMethod": "POST", "id": "gkehub.projects.locations.fleets.create", "request": { "$ref": "Fleet" }, "path": "v1alpha/{+parent}/fleets", "parameterOrder": [ "parent" ] }, "list": { "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of fleets to return. The service may return fewer than this value. If unspecified, at most 200 fleets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "pageToken": { "description": "Optional. A page token, received from a previous `ListFleets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListFleets` must match the call that provided the page token.", "location": "query", "type": "string" }, "parent": { "description": "Required. The organization or project to list for Fleets under, in the format `organizations/*/locations/*` or `projects/*/locations/*`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/fleets", "path": "v1alpha/{+parent}/fleets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.fleets.list", "httpMethod": "GET", "response": { "$ref": "ListFleetsResponse" }, "parameterOrder": [ "parent" ], "description": "Returns all fleets within an organization or a project that the caller has access to." } } }, "features": { "methods": { "setIamPolicy": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "id": "gkehub.projects.locations.features.setIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Removes a Feature.", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.features.delete", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "parameters": { "force": { "location": "query", "description": "If set to true, the delete will ignore any outstanding resources for this Feature (that is, `FeatureState.has_resources` is set to true). These resources will NOT be cleaned up or modified in any way.", "type": "boolean" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "required": true, "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`." } } }, "create": { "id": "gkehub.projects.locations.features.create", "description": "Adds a new Feature.", "httpMethod": "POST", "path": "v1alpha/{+parent}/features", "request": { "$ref": "Feature" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features", "response": { "$ref": "Operation" }, "parameters": { "featureId": { "description": "The ID of the feature to create.", "location": "query", "type": "string" }, "requestId": { "location": "query", "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent (project and location) where the Feature will be created. Specified in the format `projects/*/locations/*`.", "required": true, "location": "path" } }, "parameterOrder": [ "parent" ] }, "list": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1alpha/{+parent}/features", "description": "Lists Features in a given project and location.", "parameters": { "pageToken": { "location": "query", "description": "Token returned by previous call to `ListFeatures` which specifies the position in the list from where to continue listing the resources.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The parent (project and location) where the Features will be listed. Specified in the format `projects/*/locations/*`." }, "pageSize": { "type": "integer", "location": "query", "description": "When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "format": "int32" }, "orderBy": { "type": "string", "description": "One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "location": "query" }, "filter": { "description": "Lists Features that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Feature with the name \"servicemesh\" in project \"foo-proj\": name = \"projects/foo-proj/locations/global/features/servicemesh\" - Features that have a label called `foo`: labels.foo:* - Features that have a label called `foo` whose value is `bar`: labels.foo = bar", "type": "string", "location": "query" } }, "response": { "$ref": "ListFeaturesResponse" }, "parameterOrder": [ "parent" ], "id": "gkehub.projects.locations.features.list" }, "get": { "parameters": { "name": { "required": true, "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "location": "path", "type": "string" } }, "id": "gkehub.projects.locations.features.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "response": { "$ref": "Feature" }, "path": "v1alpha/{+name}", "httpMethod": "GET", "description": "Gets details of a single Feature.", "parameterOrder": [ "name" ] }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "id": "gkehub.projects.locations.features.patch", "request": { "$ref": "Feature" }, "httpMethod": "PATCH", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "type": "string", "required": true }, "updateMask": { "type": "string", "location": "query", "description": "Mask of fields to update.", "format": "google-fieldmask" }, "requestId": { "type": "string", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Updates an existing Feature." }, "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "location": "path", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "id": "gkehub.projects.locations.features.getIamPolicy", "response": { "$ref": "Policy" }, "path": "v1alpha/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.features.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "path": "v1alpha/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." } } } }, "methods": { "list": { "flatPath": "v1alpha/projects/{projectsId}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default." }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable." } }, "response": { "$ref": "ListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "path": "v1alpha/{+name}/locations", "id": "gkehub.projects.locations.list" }, "get": { "parameterOrder": [ "name" ], "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "parameters": { "name": { "location": "path", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "GET", "id": "gkehub.projects.locations.get", "path": "v1alpha/{+name}" } } } } }, "organizations": { "resources": { "locations": { "resources": { "fleets": { "methods": { "list": { "id": "gkehub.organizations.locations.fleets.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListFleetsResponse" }, "description": "Returns all fleets within an organization or a project that the caller has access to.", "path": "v1alpha/{+parent}/fleets", "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of fleets to return. The service may return fewer than this value. If unspecified, at most 200 fleets will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "pageToken": { "description": "Optional. A page token, received from a previous `ListFleets` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListFleets` must match the call that provided the page token.", "type": "string", "location": "query" }, "parent": { "type": "string", "description": "Required. The organization or project to list for Fleets under, in the format `organizations/*/locations/*` or `projects/*/locations/*`.", "location": "path", "required": true, "pattern": "^organizations/[^/]+/locations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/organizations/{organizationsId}/locations/{locationsId}/fleets", "httpMethod": "GET" } } } } } } } }, "title": "GKE Hub API", "batchPath": "batch", "ownerDomain": "google.com", "schemas": { "ConfigManagementHierarchyControllerState": { "properties": { "state": { "$ref": "ConfigManagementHierarchyControllerDeploymentState", "description": "The deployment state for Hierarchy Controller" }, "version": { "$ref": "ConfigManagementHierarchyControllerVersion", "description": "The version for Hierarchy Controller" } }, "description": "State for Hierarchy Controller", "type": "object", "id": "ConfigManagementHierarchyControllerState" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "type": "object", "properties": { "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "ServiceMeshSpec": { "id": "ServiceMeshSpec", "properties": {}, "description": "ServiceMeshSpec contains the serviceMesh subfeature configuration.", "type": "object" }, "ServiceMeshType": { "description": "A unique identifier for the type of message. Display_name is intended to be human-readable, code is intended to be machine readable. There should be a one-to-one mapping between display_name and code. (i.e. do not re-use display_names or codes between message types.) See istio.analysis.v1alpha1.AnalysisMessageBase.Type", "type": "object", "properties": { "displayName": { "type": "string", "description": "A human-readable name for the message type. e.g. \"InternalError\", \"PodMissingProxy\". This should be the same for all messages of the same type. (This corresponds to the `name` field in open-source Istio.)" }, "code": { "description": "A 7 character code matching `^IST[0-9]{4}$` or `^ASM[0-9]{4}$`, intended to uniquely identify the message type. (e.g. \"IST0001\" is mapped to the \"InternalError\" message type.)", "type": "string" } }, "id": "ServiceMeshType" }, "ConfigManagementSyncState": { "description": "State indicating an ACM's progress syncing configurations to a cluster", "properties": { "lastSyncTime": { "format": "google-datetime", "type": "string", "description": "Timestamp type of when ACM last successfully synced the repo" }, "errors": { "items": { "$ref": "ConfigManagementSyncError" }, "description": "A list of errors resulting from problematic configs. This list will be truncated after 100 errors, although it is unlikely for that many errors to simultaneously exist.", "type": "array" }, "lastSync": { "description": "Deprecated: use last_sync_time instead. Timestamp of when ACM last successfully synced the repo The time format is specified in https://golang.org/pkg/time/#Time.String", "type": "string" }, "syncToken": { "description": "Token indicating the state of the syncer.", "type": "string" }, "sourceToken": { "type": "string", "description": "Token indicating the state of the repo." }, "code": { "type": "string", "enumDescriptions": [ "ACM cannot determine a sync code", "ACM successfully synced the git Repo with the cluster", "ACM is in the progress of syncing a new change", "Indicates an error configuring ACM, and user action is required", "ACM has been installed (operator manifest deployed), but not configured.", "ACM has not been installed (no operator pod found)", "Error authorizing with the cluster", "Cluster could not be reached" ], "description": "Sync status code", "enum": [ "SYNC_CODE_UNSPECIFIED", "SYNCED", "PENDING", "ERROR", "NOT_CONFIGURED", "NOT_INSTALLED", "UNAUTHORIZED", "UNREACHABLE" ] }, "importToken": { "description": "Token indicating the state of the importer.", "type": "string" } }, "id": "ConfigManagementSyncState", "type": "object" }, "MembershipFeatureSpec": { "description": "MembershipFeatureSpec contains configuration information for a single Membership.", "properties": { "anthosvm": { "description": "AnthosVM spec.", "$ref": "AnthosVMMembershipSpec" }, "cloudbuild": { "$ref": "CloudBuildMembershipSpec", "description": "Cloud Build-specific spec" }, "mesh": { "description": "Anthos Service Mesh-specific spec", "$ref": "ServiceMeshMembershipSpec" }, "workloadcertificate": { "description": "Workload Certificate spec.", "$ref": "MembershipSpec" }, "anthosobservability": { "description": "Anthos Observability-specific spec", "$ref": "AnthosObservabilityMembershipSpec" }, "identityservice": { "description": "Identity Service-specific spec.", "$ref": "IdentityServiceMembershipSpec" }, "configmanagement": { "$ref": "ConfigManagementMembershipSpec", "description": "Config Management-specific spec." }, "policycontroller": { "description": "Policy Controller spec.", "$ref": "PolicyControllerMembershipSpec" } }, "id": "MembershipFeatureSpec", "type": "object" }, "Fleet": { "properties": { "name": { "readOnly": true, "description": "Output only. The full, unique resource name of this fleet in the format of `projects/{project}/locations/{location}/fleets/{fleet}`. Each GCP project can have at most one fleet resource, named \"default\".", "type": "string" }, "uid": { "type": "string", "description": "Output only. Google-generated UUID for this resource. This is unique across all Fleet resources. If a Fleet resource is deleted and another resource with the same name is created, it gets a different uid.", "readOnly": true }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the Fleet was last updated." }, "displayName": { "description": "Optional. A user-assigned display name of the Fleet. When present, it must be between 4 to 30 characters. Allowed characters are: lowercase and uppercase letters, numbers, hyphen, single-quote, double-quote, space, and exclamation point. Example: `Production Fleet`", "type": "string" }, "fleetName": { "description": "The name for the fleet. The name must meet the following constraints: + The name of a fleet should be unique within the organization; + It must consist of lower case alphanumeric characters or `-`; + The length of the name must be less than or equal to 63; + Unicode names must be expressed in Punycode format (rfc3492). Examples: + prod-fleet + xn--wlq33vhyw9jb （Punycode form for \"生产环境\")", "type": "string" }, "deleteTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. When the Fleet was deleted.", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the Fleet was created." } }, "description": "Fleet contains the Fleet-wide metadata and configuration.", "type": "object", "id": "Fleet" }, "ConfigManagementConfigSyncVersion": { "properties": { "importer": { "type": "string", "description": "Version of the deployed importer pod" }, "reconcilerManager": { "description": "Version of the deployed reconciler-manager pod", "type": "string" }, "rootReconciler": { "type": "string", "description": "Version of the deployed reconciler container in root-reconciler pod" }, "syncer": { "type": "string", "description": "Version of the deployed syncer pod" }, "monitor": { "type": "string", "description": "Version of the deployed monitor pod" }, "admissionWebhook": { "type": "string", "description": "Version of the deployed admission_webhook pod" }, "gitSync": { "description": "Version of the deployed git-sync pod", "type": "string" } }, "id": "ConfigManagementConfigSyncVersion", "description": "Specific versioning information pertaining to ConfigSync's Pods", "type": "object" }, "ListFleetsResponse": { "id": "ListFleetsResponse", "description": "Response message for the `GkeHub.ListFleetsResponse` method.", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. The token is only valid for 1h.", "type": "string" }, "fleets": { "items": { "$ref": "Fleet" }, "description": "The list of matching fleets.", "type": "array" } }, "type": "object" }, "AnthosVMMembershipState": { "type": "object", "id": "AnthosVMMembershipState", "description": "AnthosVMFeatureState contains the state of the AnthosVM feature. It represents the actual state in the cluster, while the AnthosVMMembershipSpec represents the desired state.", "properties": { "subfeatureState": { "description": "List of AnthosVM subfeature states", "type": "array", "items": { "$ref": "AnthosVMSubFeatureState" } }, "localControllerState": { "$ref": "LocalControllerState", "description": "State of the local PE-controller inside the cluster" } } }, "ConnectAgentResource": { "description": "ConnectAgentResource represents a Kubernetes resource manifest for Connect Agent deployment.", "id": "ConnectAgentResource", "type": "object", "properties": { "manifest": { "type": "string", "description": "YAML manifest of the resource." }, "type": { "$ref": "TypeMeta", "description": "Kubernetes type of the resource." } } }, "CommonFeatureSpec": { "type": "object", "description": "CommonFeatureSpec contains Hub-wide configuration information", "properties": { "multiclusteringress": { "description": "Multicluster Ingress-specific spec.", "$ref": "MultiClusterIngressFeatureSpec" }, "workloadcertificate": { "description": "Workload Certificate spec.", "$ref": "FeatureSpec" }, "anthosobservability": { "$ref": "AnthosObservabilityFeatureSpec", "description": "Anthos Observability spec" }, "cloudauditlogging": { "$ref": "CloudAuditLoggingFeatureSpec", "description": "Cloud Audit Logging-specific spec." }, "appdevexperience": { "description": "Appdevexperience specific spec.", "$ref": "AppDevExperienceFeatureSpec" } }, "id": "CommonFeatureSpec" }, "OnPremCluster": { "description": "OnPremCluster contains information specific to GKE On-Prem clusters.", "id": "OnPremCluster", "type": "object", "properties": { "adminCluster": { "type": "boolean", "description": "Immutable. Whether the cluster is an admin cluster." }, "clusterMissing": { "type": "boolean", "description": "Output only. If cluster_missing is set then it denotes that API(gkeonprem.googleapis.com) resource for this GKE On-Prem cluster no longer exists.", "readOnly": true }, "clusterType": { "description": "Immutable. The on prem cluster's type.", "enumDescriptions": [ "The ClusterType is not set.", "The ClusterType is bootstrap cluster.", "The ClusterType is baremetal hybrid cluster.", "The ClusterType is baremetal standalone cluster.", "The ClusterType is user cluster." ], "enum": [ "CLUSTERTYPE_UNSPECIFIED", "BOOTSTRAP", "HYBRID", "STANDALONE", "USER" ], "type": "string" }, "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE On-Prem cluster. For example: //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/vmwareClusters/my-cluster //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/bareMetalClusters/my-cluster", "type": "string" } } }, "Policy": { "properties": { "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array", "items": { "$ref": "Binding" } }, "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string", "format": "byte" }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "IdentityServiceMembershipSpec": { "id": "IdentityServiceMembershipSpec", "description": "**Anthos Identity Service**: Configuration for a single Membership.", "type": "object", "properties": { "authMethods": { "items": { "$ref": "IdentityServiceAuthMethod" }, "type": "array", "description": "A member may support multiple auth methods." } } }, "Operation": { "id": "Operation", "type": "object", "properties": { "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "properties": {}, "id": "CancelOperationRequest" }, "ServiceMeshStatusDetails": { "properties": { "details": { "description": "Human-readable explanation of code.", "type": "string" }, "code": { "description": "A machine-readable code that further describes a broad status.", "type": "string" } }, "id": "ServiceMeshStatusDetails", "type": "object", "description": "Structured and human-readable details for a status." }, "IdentityServiceAuthMethod": { "properties": { "proxy": { "type": "string", "description": "Proxy server address to use for auth method." }, "name": { "description": "Identifier for auth config.", "type": "string" }, "oidcConfig": { "$ref": "IdentityServiceOidcConfig", "description": "OIDC specific configuration." } }, "description": "Configuration of an auth method for a member/cluster. Only one authentication method (e.g., OIDC and LDAP) can be set per AuthMethod.", "id": "IdentityServiceAuthMethod", "type": "object" }, "MultiClusterIngressFeatureSpec": { "properties": { "configMembership": { "description": "Fully-qualified Membership name which hosts the MultiClusterIngress CRD. Example: `projects/foo-proj/locations/global/memberships/bar`", "type": "string" }, "billing": { "enum": [ "BILLING_UNSPECIFIED", "PAY_AS_YOU_GO", "ANTHOS_LICENSE" ], "description": "Deprecated: This field will be ignored and should not be set. Customer's billing structure.", "type": "string", "enumDescriptions": [ "Unknown", "User pays a fee per-endpoint.", "User is paying for Anthos as a whole." ] } }, "id": "MultiClusterIngressFeatureSpec", "type": "object", "description": "**Multi-cluster Ingress**: The configuration for the MultiClusterIngress feature." }, "MigrateSpec": { "properties": {}, "type": "object", "description": "MigrateSpec contains the migrate subfeature configuration.", "id": "MigrateSpec" }, "ConfigManagementMembershipSpec": { "type": "object", "description": "**Anthos Config Management**: Configuration for a single cluster. Intended to parallel the ConfigManagement CR.", "properties": { "binauthz": { "description": "Binauthz conifguration for the cluster.", "$ref": "ConfigManagementBinauthzConfig" }, "policyController": { "description": "Policy Controller configuration for the cluster.", "$ref": "ConfigManagementPolicyController" }, "hierarchyController": { "$ref": "ConfigManagementHierarchyControllerConfig", "description": "Hierarchy Controller configuration for the cluster." }, "configSync": { "$ref": "ConfigManagementConfigSync", "description": "Config Sync configuration for the cluster." }, "version": { "type": "string", "description": "Version of ACM installed." } }, "id": "ConfigManagementMembershipSpec" }, "ConfigManagementBinauthzState": { "properties": { "webhook": { "description": "The state of the binauthz webhook.", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string" }, "version": { "$ref": "ConfigManagementBinauthzVersion", "description": "The version of binauthz that is installed." } }, "description": "State for Binauthz", "type": "object", "id": "ConfigManagementBinauthzState" }, "ConfigManagementErrorResource": { "description": "Model for a config file in the git repo with an associated Sync error", "properties": { "resourceNamespace": { "type": "string", "description": "Namespace of the resource that is causing an error" }, "sourcePath": { "description": "Path in the git repo of the erroneous config", "type": "string" }, "resourceGvk": { "description": "Group/version/kind of the resource that is causing an error", "$ref": "ConfigManagementGroupVersionKind" }, "resourceName": { "description": "Metadata name of the resource that is causing an error", "type": "string" } }, "id": "ConfigManagementErrorResource", "type": "object" }, "ListAdminClusterMembershipsResponse": { "type": "object", "description": "Response message for the `GkeHub.ListAdminClusterMemberships` method.", "id": "ListAdminClusterMembershipsResponse", "properties": { "nextPageToken": { "description": "A token to request the next page of resources from the `ListAdminClusterMemberships` method. The value of an empty string means that there are no more resources to return.", "type": "string" }, "unreachable": { "description": "List of locations that could not be reached while fetching this list.", "items": { "type": "string" }, "type": "array" }, "adminClusterMemberships": { "items": { "$ref": "Membership" }, "type": "array", "description": "The list of matching Memberships of admin clusters." } } }, "ResourceManifest": { "id": "ResourceManifest", "properties": { "manifest": { "type": "string", "description": "YAML manifest of the resource." }, "clusterScoped": { "type": "boolean", "description": "Whether the resource provided in the manifest is `cluster_scoped`. If unset, the manifest is assumed to be namespace scoped. This field is used for REST mapping when applying the resource in a cluster." } }, "type": "object", "description": "ResourceManifest represents a single Kubernetes resource to be applied to the cluster." }, "FeatureState": { "properties": { "code": { "type": "string", "description": "The high-level, machine-readable status of this Feature.", "enumDescriptions": [ "Unknown or not set.", "The Feature is operating normally.", "The Feature has encountered an issue, and is operating in a degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information.", "The Feature is not operating or is in a severely degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information." ], "enum": [ "CODE_UNSPECIFIED", "OK", "WARNING", "ERROR" ] }, "description": { "description": "A human-readable description of the current status.", "type": "string" }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The time this status and any related Feature-specific details were updated." } }, "type": "object", "description": "FeatureState describes the high-level state of a Feature. It may be used to describe a Feature's state at the environ-level, or per-membershop, depending on the context.", "id": "FeatureState" }, "ServiceMeshState": { "description": "ServiceMeshState contains the state of Service Mesh subfeature", "properties": {}, "type": "object", "id": "ServiceMeshState" }, "GenerateConnectManifestResponse": { "properties": { "manifest": { "type": "array", "description": "The ordered list of Kubernetes resources that need to be applied to the cluster for GKE Connect agent installation/upgrade.", "items": { "$ref": "ConnectAgentResource" } } }, "type": "object", "id": "GenerateConnectManifestResponse", "description": "GenerateConnectManifestResponse contains manifest information for installing/upgrading a Connect agent." }, "ServiceMeshAnalysisMessage": { "id": "ServiceMeshAnalysisMessage", "description": "AnalysisMessage is a single message produced by an analyzer, and it used to communicate to the end user about the state of their Service Mesh configuration.", "properties": { "args": { "description": "A UI can combine these args with a template (based on message_base.type) to produce an internationalized message.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } }, "description": { "type": "string", "description": "A human readable description of what the error means. It is suitable for non-internationalize display purposes." }, "messageBase": { "$ref": "ServiceMeshAnalysisMessageBase", "description": "Details common to all types of Istio and ServiceMesh analysis messages." }, "resourcePaths": { "type": "array", "description": "A list of strings specifying the resource identifiers that were the cause of message generation. A \"path\" here may be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MEMBERSHIP_ID if the cause is a specific member cluster LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MEMBERSHIP_ID/(NAMESPACE\\/)?RESOURCETYPE/NAME if the cause is a resource in a cluster", "items": { "type": "string" } } }, "type": "object" }, "ConfigManagementConfigSync": { "properties": { "enabled": { "description": "Enables the installation of ConfigSync. If set to true, ConfigSync resources will be created and the other ConfigSync fields will be applied if exist. If set to false, all other ConfigSync fields will be ignored, ConfigSync resources will be deleted. If omitted, ConfigSync resources will be managed depends on the presence of git field.", "type": "boolean" }, "preventDrift": { "description": "Set to true to enable the Config Sync admission webhook to prevent drifts. If set to `false`, disables the Config Sync admission webhook and does not prevent drifts.", "type": "boolean" }, "sourceFormat": { "type": "string", "description": "Specifies whether the Config Sync Repo is in “hierarchical” or “unstructured” mode." }, "git": { "$ref": "ConfigManagementGitConfig", "description": "Git repo configuration for the cluster." }, "oci": { "description": "OCI repo configuration for the cluster", "$ref": "ConfigManagementOciConfig" } }, "description": "Configuration for Config Sync", "id": "ConfigManagementConfigSync", "type": "object" }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "type": "object", "id": "Binding", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "ConfigManagementInstallError": { "id": "ConfigManagementInstallError", "description": "Errors pertaining to the installation of ACM", "properties": { "errorMessage": { "description": "A string representing the user facing error message", "type": "string" } }, "type": "object" }, "ServiceMeshDataPlaneManagement": { "type": "object", "id": "ServiceMeshDataPlaneManagement", "properties": { "details": { "type": "array", "items": { "$ref": "ServiceMeshStatusDetails" }, "description": "Explanation of the status." }, "state": { "enumDescriptions": [ "Unspecified", "DISABLED means that the component is not enabled.", "FAILED_PRECONDITION means that provisioning cannot proceed because of some characteristic of the member cluster.", "PROVISIONING means that provisioning is in progress.", "ACTIVE means that the component is ready for use.", "STALLED means that provisioning could not be done.", "NEEDS_ATTENTION means that the component is ready, but some user intervention is required. (For example that the user should migrate workloads to a new control plane revision.)", "DEGRADED means that the component is ready, but operating in a degraded state." ], "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "DISABLED", "FAILED_PRECONDITION", "PROVISIONING", "ACTIVE", "STALLED", "NEEDS_ATTENTION", "DEGRADED" ], "type": "string", "description": "Lifecycle status of data plane management." } }, "description": "Status of data plane management. Only reported per-member." }, "ConfigManagementGatekeeperDeploymentState": { "properties": { "gatekeeperMutation": { "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Status of the pod serving the mutation webhook." }, "gatekeeperControllerManagerState": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Status of gatekeeper-controller-manager pod.", "type": "string" }, "gatekeeperAudit": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "description": "Status of gatekeeper-audit deployment.", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] } }, "type": "object", "description": "State of Policy Controller installation.", "id": "ConfigManagementGatekeeperDeploymentState" }, "KubernetesResource": { "description": "KubernetesResource contains the YAML manifests and configuration for Membership Kubernetes resources in the cluster. After CreateMembership or UpdateMembership, these resources should be re-applied in the cluster.", "type": "object", "id": "KubernetesResource", "properties": { "connectResources": { "readOnly": true, "type": "array", "items": { "$ref": "ResourceManifest" }, "description": "Output only. The Kubernetes resources for installing the GKE Connect agent This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask." }, "membershipCrManifest": { "type": "string", "description": "Input only. The YAML representation of the Membership CR. This field is ignored for GKE clusters where Hub can read the CR directly. Callers should provide the CR that is currently present in the cluster during CreateMembership or UpdateMembership, or leave this field empty if none exists. The CR manifest is used to validate the cluster has not been registered with another Membership." }, "resourceOptions": { "description": "Optional. Options for Kubernetes resource generation.", "$ref": "ResourceOptions" }, "membershipResources": { "items": { "$ref": "ResourceManifest" }, "type": "array", "readOnly": true, "description": "Output only. Additional Kubernetes resources that need to be applied to the cluster after Membership creation, and after every update. This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask." } } }, "PolicyControllerMembershipState": { "properties": { "clusterName": { "description": "The user-defined name for the cluster used by ClusterSelectors to group clusters together. This should match Membership's membership_name, unless the user installed PC on the cluster manually prior to enabling the PC hub feature. Unique within a Policy Controller installation.", "type": "string" }, "state": { "type": "string", "description": "The lifecycle state Policy Controller is in.", "enumDescriptions": [ "The lifecycle state is unspecified.", "The PC does not exist on the given cluster, and no k8s resources of any type that are associated with the PC should exist there. The cluster does not possess a membership with the PCH.", "The PCH possesses a Membership, however the PC is not fully installed on the cluster. In this state the hub can be expected to be taking actions to install the PC on the cluster.", "The PC is fully installed on the cluster and in an operational mode. In this state PCH will be reconciling state with the PC, and the PC will be performing it’s operational tasks per that software. Entering a READY state requires that the hub has confirmed the PC is installed and its pods are operational with the version of the PC the PCH expects.", "The PC is fully installed, but in the process of changing the configuration (including changing the version of PC either up and down, or modifying the manifests of PC) of the resources running on the cluster. The PCH has a Membership, is aware of the version the cluster should be running in, but has not confirmed for itself that the PC is running with that version.", "The PC may have resources on the cluster, but the PCH wishes to remove the Membership. The Membership still exists.", "The PC is not operational, and the PCH is unable to act to make it operational. Entering a CLUSTER_ERROR state happens automatically when the PCH determines that a PC installed on the cluster is non-operative or that the cluster does not meet requirements set for the PCH to administer the cluster but has nevertheless been given an instruction to do so (such as ‘install’).", "In this state, the PC may still be operational, and only the PCH is unable to act. The hub should not issue instructions to change the PC state, or otherwise interfere with the on-cluster resources. Entering a HUB_ERROR state happens automatically when the PCH determines the hub is in an unhealthy state and it wishes to ‘take hands off’ to avoid corrupting the PC or other data." ], "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLING", "ACTIVE", "UPDATING", "DECOMISSIONING", "CLUSTER_ERROR", "HUB_ERROR" ] }, "policyControllerHubState": { "description": "Policy Controller state observed by the Policy Controller Hub", "$ref": "PolicyControllerHubState" }, "membershipSpec": { "$ref": "PolicyControllerMembershipSpec", "description": "Membership configuration in the cluster. This represents the actual state in the cluster, while the MembershipSpec in the FeatureSpec represents the intended state" } }, "description": "**Policy Controller**: State for a single cluster.", "type": "object", "id": "PolicyControllerMembershipState" }, "PolicyControllerMembershipSpec": { "type": "object", "properties": { "version": { "type": "string", "description": "Version of Policy Controller installed." }, "policyControllerHubConfig": { "$ref": "PolicyControllerHubConfig", "description": "Policy Controller configuration for the cluster." } }, "id": "PolicyControllerMembershipSpec", "description": "**Policy Controller**: Configuration for a single cluster. Intended to parallel the PolicyController CR." }, "ConfigManagementHierarchyControllerVersion": { "id": "ConfigManagementHierarchyControllerVersion", "description": "Version for Hierarchy Controller", "type": "object", "properties": { "extension": { "description": "Version for Hierarchy Controller extension", "type": "string" }, "hnc": { "description": "Version for open source HNC", "type": "string" } } }, "MigrateState": { "properties": {}, "id": "MigrateState", "description": "MigrateState contains the state of Migrate subfeature", "type": "object" }, "KubernetesMetadata": { "properties": { "nodeProviderId": { "type": "string", "readOnly": true, "description": "Output only. Node providerID as reported by the first node in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the node_count will be zero and the node_provider_id will be empty." }, "memoryMb": { "type": "integer", "format": "int32", "description": "Output only. The total memory capacity as reported by the sum of all Kubernetes nodes resources, defined in MB.", "readOnly": true }, "vcpuCount": { "readOnly": true, "format": "int32", "description": "Output only. vCPU count as reported by Kubernetes nodes resources.", "type": "integer" }, "updateTime": { "description": "Output only. The time at which these details were last updated. This update_time is different from the Membership-level update_time since EndpointDetails are updated internally for API consumers.", "type": "string", "format": "google-datetime", "readOnly": true }, "kubernetesApiServerVersion": { "type": "string", "readOnly": true, "description": "Output only. Kubernetes API server version string as reported by `/version`." }, "nodeCount": { "readOnly": true, "format": "int32", "type": "integer", "description": "Output only. Node count as reported by Kubernetes nodes resources." } }, "id": "KubernetesMetadata", "description": "KubernetesMetadata provides informational metadata for Memberships representing Kubernetes clusters.", "type": "object" }, "PolicyControllerTemplateLibraryConfig": { "id": "PolicyControllerTemplateLibraryConfig", "description": "The config specifying which default library templates to install.", "properties": { "included": { "description": "Whether the standard template library should be installed or not.", "type": "boolean" } }, "type": "object" }, "AuditConfig": { "type": "object", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." }, "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig" }, "ConfigManagementHierarchyControllerConfig": { "properties": { "enableHierarchicalResourceQuota": { "description": "Whether hierarchical resource quota is enabled in this cluster.", "type": "boolean" }, "enablePodTreeLabels": { "description": "Whether pod tree labels are enabled in this cluster.", "type": "boolean" }, "enabled": { "description": "Whether Hierarchy Controller is enabled in this cluster.", "type": "boolean" } }, "id": "ConfigManagementHierarchyControllerConfig", "description": "Configuration for Hierarchy Controller", "type": "object" }, "MeteringMembershipState": { "type": "object", "description": "**Metering**: Per-Membership Feature State.", "properties": { "preciseLastMeasuredClusterVcpuCapacity": { "format": "float", "type": "number", "description": "The vCPUs capacity in the cluster according to the most recent measurement (1/1000 precision)." }, "lastMeasurementTime": { "format": "google-datetime", "type": "string", "description": "The time stamp of the most recent measurement of the number of vCPUs in the cluster." } }, "id": "MeteringMembershipState" }, "FeatureSpec": { "description": "**Workload Certificate**: The Hub-wide input for the WorkloadCertificate feature.", "id": "FeatureSpec", "properties": { "defaultConfig": { "description": "Specifies default membership spec. Users can override the default in the member_configs for each member.", "$ref": "MembershipSpec" }, "provisionGoogleCa": { "type": "string", "enumDescriptions": [ "Disable default Google managed CA.", "Disable default Google managed CA.", "Use default Google managed CA." ], "description": "Immutable. Specifies CA configuration.", "enum": [ "GOOGLE_CA_PROVISIONING_UNSPECIFIED", "DISABLED", "ENABLED" ] } }, "type": "object" }, "CloudAuditLoggingFeatureSpec": { "properties": { "allowlistedServiceAccounts": { "description": "Service account that should be allowlisted to send the audit logs; eg cloudauditlogging@gcp-project.iam.gserviceaccount.com. These accounts must already exist, but do not need to have any permissions granted to them. The customer's entitlements will be checked prior to allowlisting (i.e. the customer must be an Anthos customer.)", "type": "array", "items": { "type": "string" } } }, "description": "**Cloud Audit Logging**: Spec for Audit Logging Allowlisting.", "id": "CloudAuditLoggingFeatureSpec", "type": "object" }, "ServiceMeshControlPlaneManagement": { "id": "ServiceMeshControlPlaneManagement", "description": "Status of control plane management.", "type": "object", "properties": { "state": { "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "DISABLED", "FAILED_PRECONDITION", "PROVISIONING", "ACTIVE", "STALLED", "NEEDS_ATTENTION", "DEGRADED" ], "description": "LifecycleState of control plane management.", "enumDescriptions": [ "Unspecified", "DISABLED means that the component is not enabled.", "FAILED_PRECONDITION means that provisioning cannot proceed because of some characteristic of the member cluster.", "PROVISIONING means that provisioning is in progress.", "ACTIVE means that the component is ready for use.", "STALLED means that provisioning could not be done.", "NEEDS_ATTENTION means that the component is ready, but some user intervention is required. (For example that the user should migrate workloads to a new control plane revision.)", "DEGRADED means that the component is ready, but operating in a degraded state." ], "type": "string" }, "details": { "description": "Explanation of state.", "type": "array", "items": { "$ref": "ServiceMeshStatusDetails" } } } }, "ServiceMeshMembershipState": { "id": "ServiceMeshMembershipState", "type": "object", "properties": { "controlPlaneManagement": { "$ref": "ServiceMeshControlPlaneManagement", "readOnly": true, "description": "Output only. Status of control plane management" }, "configApiVersion": { "description": "The API version (i.e. Istio CRD version) for configuring service mesh in this cluster. This version is influenced by the `default_channel` field.", "type": "string" }, "analysisMessages": { "description": "Output only. Results of running Service Mesh analyzers.", "type": "array", "readOnly": true, "items": { "$ref": "ServiceMeshAnalysisMessage" } }, "dataPlaneManagement": { "readOnly": true, "$ref": "ServiceMeshDataPlaneManagement", "description": "Output only. Status of data plane management." } }, "description": "**Service Mesh**: State for a single Membership, as analyzed by the Service Mesh Hub Controller." }, "AnthosVMSubFeatureSpec": { "description": "AnthosVMSubFeatureSpec contains the subfeature configuration for a membership/cluster.", "type": "object", "properties": { "enabled": { "type": "boolean", "description": "Indicates whether the subfeature should be enabled on the cluster or not. If set to true, the subfeature's control plane and resources will be installed in the cluster. If set to false, the oneof spec if present will be ignored and nothing will be installed in the cluster." }, "migrateSpec": { "$ref": "MigrateSpec", "description": "MigrateSpec repsents the configuration for Migrate subfeature." }, "serviceMeshSpec": { "description": "ServiceMeshSpec repsents the configuration for Service Mesh subfeature.", "$ref": "ServiceMeshSpec" } }, "id": "AnthosVMSubFeatureSpec" }, "ConfigManagementHierarchyControllerDeploymentState": { "description": "Deployment state for Hierarchy Controller", "properties": { "hnc": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "The deployment state for open source HNC (e.g. v0.7.0-hc.0)", "type": "string" }, "extension": { "type": "string", "description": "The deployment state for Hierarchy Controller extension (e.g. v0.7.0-hc.1)", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] } }, "id": "ConfigManagementHierarchyControllerDeploymentState", "type": "object" }, "FeatureResourceState": { "properties": { "state": { "description": "The current state of the Feature resource in the Hub API.", "enum": [ "STATE_UNSPECIFIED", "ENABLING", "ACTIVE", "DISABLING", "UPDATING", "SERVICE_UPDATING" ], "enumDescriptions": [ "State is unknown or not set.", "The Feature is being enabled, and the Feature resource is being created. Once complete, the corresponding Feature will be enabled in this Hub.", "The Feature is enabled in this Hub, and the Feature resource is fully available.", "The Feature is being disabled in this Hub, and the Feature resource is being deleted.", "The Feature resource is being updated.", "The Feature resource is being updated by the Hub Service." ], "type": "string" } }, "type": "object", "description": "FeatureResourceState describes the state of a Feature *resource* in the GkeHub API. See `FeatureState` for the \"running state\" of the Feature in the Hub and across Memberships.", "id": "FeatureResourceState" }, "ResourceOptions": { "type": "object", "id": "ResourceOptions", "description": "ResourceOptions represent options for Kubernetes resource generation.", "properties": { "v1beta1Crd": { "type": "boolean", "description": "Optional. Use `apiextensions/v1beta1` instead of `apiextensions/v1` for CustomResourceDefinition resources. This option should be set for clusters with Kubernetes apiserver versions \u003c1.16." }, "connectVersion": { "description": "Optional. The Connect agent version to use for connect_resources. Defaults to the latest GKE Connect version. The version must be a currently supported version, obsolete versions will be rejected.", "type": "string" }, "k8sVersion": { "description": "Optional. Major version of the Kubernetes cluster. This is only used to determine which version to use for the CustomResourceDefinition resources, `apiextensions/v1beta1` or`apiextensions/v1`.", "type": "string" } } }, "PolicyControllerHubVersion": { "id": "PolicyControllerHubVersion", "type": "object", "description": "The build version of Gatekeeper that Policy Controller is using.", "properties": { "version": { "description": "The gatekeeper image tag that is composed of ACM version, git tag, build number.", "type": "string" } } }, "ConfigManagementConfigSyncDeploymentState": { "properties": { "reconcilerManager": { "description": "Deployment state of reconciler-manager pod", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] }, "gitSync": { "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Deployment state of the git-sync pod", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "importer": { "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Deployment state of the importer pod" }, "syncer": { "type": "string", "description": "Deployment state of the syncer pod", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "admissionWebhook": { "description": "Deployment state of admission-webhook", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "monitor": { "type": "string", "description": "Deployment state of the monitor pod", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] }, "rootReconciler": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Deployment state of root-reconciler", "type": "string" } }, "type": "object", "id": "ConfigManagementConfigSyncDeploymentState", "description": "The state of ConfigSync's deployment on a cluster" }, "ConfigManagementPolicyControllerState": { "properties": { "deploymentState": { "description": "The state about the policy controller installation.", "$ref": "ConfigManagementGatekeeperDeploymentState" }, "version": { "description": "The version of Gatekeeper Policy Controller deployed.", "$ref": "ConfigManagementPolicyControllerVersion" } }, "description": "State for PolicyControllerState.", "type": "object", "id": "ConfigManagementPolicyControllerState" }, "ConfigManagementSyncError": { "description": "An ACM created error representing a problem syncing configurations", "properties": { "errorResources": { "description": "A list of config(s) associated with the error, if any", "items": { "$ref": "ConfigManagementErrorResource" }, "type": "array" }, "code": { "description": "An ACM defined error code", "type": "string" }, "errorMessage": { "description": "A description of the error", "type": "string" } }, "id": "ConfigManagementSyncError", "type": "object" }, "GkeCluster": { "id": "GkeCluster", "description": "GkeCluster contains information specific to GKE clusters.", "type": "object", "properties": { "clusterMissing": { "readOnly": true, "type": "boolean", "description": "Output only. If cluster_missing is set then it denotes that the GKE cluster no longer exists in the GKE Control Plane." }, "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE cluster. For example: //container.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster Zonal clusters are also supported.", "type": "string" } } }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "id": "OperationMetadata", "properties": { "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "cancelRequested": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "endTime": { "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime", "type": "string" }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "statusDetail": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true } }, "type": "object" }, "ConfigManagementConfigSyncState": { "id": "ConfigManagementConfigSyncState", "properties": { "version": { "$ref": "ConfigManagementConfigSyncVersion", "description": "The version of ConfigSync deployed" }, "syncState": { "$ref": "ConfigManagementSyncState", "description": "The state of ConfigSync's process to sync configs to a cluster" }, "deploymentState": { "$ref": "ConfigManagementConfigSyncDeploymentState", "description": "Information about the deployment of ConfigSync, including the version of the various Pods deployed" } }, "type": "object", "description": "State information for ConfigSync" }, "ConfigManagementPolicyControllerVersion": { "properties": { "version": { "type": "string", "description": "The gatekeeper image tag that is composed of ACM version, git tag, build number." } }, "type": "object", "id": "ConfigManagementPolicyControllerVersion", "description": "The build version of Gatekeeper Policy Controller is using." }, "PolicyControllerHubConfig": { "id": "PolicyControllerHubConfig", "properties": { "exemptableNamespaces": { "items": { "type": "string" }, "description": "The set of namespaces that are excluded from Policy Controller checks. Namespaces do not need to currently exist on the cluster.", "type": "array" }, "mutationEnabled": { "type": "boolean", "description": "Enables the ability to mutate resources using Policy Controller." }, "logDeniesEnabled": { "type": "boolean", "description": "Logs all denies and dry run failures." }, "referentialRulesEnabled": { "description": "Enables the ability to use Constraint Templates that reference to objects other than the object currently being evaluated.", "type": "boolean" }, "auditIntervalSeconds": { "description": "Sets the interval for Policy Controller Audit Scans (in seconds). When set to 0, this disables audit functionality altogether.", "type": "string", "format": "int64" }, "templateLibraryConfig": { "$ref": "PolicyControllerTemplateLibraryConfig", "description": "Configures the library templates to install along with Policy Controller." }, "installSpec": { "type": "string", "enum": [ "INSTALL_SPEC_UNSPECIFIED", "INSTALL_SPEC_NOT_INSTALLED", "INSTALL_SPEC_ENABLED", "INSTALL_SPEC_DISABLED" ], "description": "The install_spec represents the intended state specified by the latest request that mutated install_spec in the feature spec, not the lifecycle state of the feature observed by the Hub feature controller that is reported in the feature state.", "enumDescriptions": [ "Spec is unknown.", "Request to uninstall Policy Controller.", "Request to install and enable Policy Controller.", "Request to disable Policy Controller. If Policy Controller is not installed, it will be installed but disabled." ] }, "monitoring": { "$ref": "PolicyControllerMonitoringConfig", "description": "Monitoring specifies the configuration of monitoring." } }, "type": "object", "description": "Configuration for Policy Controller" }, "AppDevExperienceFeatureState": { "type": "object", "id": "AppDevExperienceFeatureState", "description": "State for App Dev Exp Feature.", "properties": { "networkingInstallSucceeded": { "$ref": "Status", "description": "Status of subcomponent that detects configured Service Mesh resources." } } }, "ListMembershipsResponse": { "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "List of locations that could not be reached while fetching this list." }, "nextPageToken": { "type": "string", "description": "A token to request the next page of resources from the `ListMemberships` method. The value of an empty string means that there are no more resources to return." }, "resources": { "description": "The list of matching Memberships.", "type": "array", "items": { "$ref": "Membership" } } }, "id": "ListMembershipsResponse", "type": "object", "description": "Response message for the `GkeHub.ListMemberships` method." }, "AnthosVMSubFeatureState": { "type": "object", "description": "AnthosVMSubFeatureState contains the state of the AnthosVM subfeatures.", "properties": { "description": { "type": "string", "description": "Description represents human readable description of the subfeature state. If the deployment failed, this should also contain the reason for the failure." }, "serviceMeshState": { "description": "ServiceMeshState represents the state of the Service Mesh subfeature.", "$ref": "ServiceMeshState" }, "installationState": { "type": "string", "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ], "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ], "description": "InstallationState represents the state of installation of the subfeature in the cluster." }, "migrateState": { "$ref": "MigrateState", "description": "MigrateState represents the state of the Migrate subfeature." } }, "id": "AnthosVMSubFeatureState" }, "AppDevExperienceFeatureSpec": { "id": "AppDevExperienceFeatureSpec", "properties": {}, "type": "object", "description": "Spec for App Dev Experience Feature." }, "ConfigManagementBinauthzConfig": { "properties": { "enabled": { "type": "boolean", "description": "Whether binauthz is enabled in this cluster." } }, "description": "Configuration for Binauthz", "type": "object", "id": "ConfigManagementBinauthzConfig" }, "TypeMeta": { "id": "TypeMeta", "description": "TypeMeta is the type information needed for content unmarshalling of Kubernetes resources in the manifest.", "type": "object", "properties": { "apiVersion": { "description": "APIVersion of the resource (e.g. v1).", "type": "string" }, "kind": { "type": "string", "description": "Kind of the resource (e.g. Deployment)." } } }, "PolicyControllerMonitoringConfig": { "properties": { "backends": { "description": "Specifies the list of backends Policy Controller will export to. An empty list would effectively disable metrics export.", "type": "array", "items": { "enumDescriptions": [ "Backend cannot be determined", "Prometheus backend for monitoring", "Stackdriver/Cloud Monitoring backend for monitoring" ], "enum": [ "MONITORING_BACKEND_UNSPECIFIED", "PROMETHEUS", "CLOUD_MONITORING" ], "type": "string" } } }, "type": "object", "description": "MonitoringConfig specifies the backends Policy Controller should export metrics to. For example, to specify metrics should be exported to Cloud Monitoring and Prometheus, specify backends: [\"cloudmonitoring\", \"prometheus\"]", "id": "PolicyControllerMonitoringConfig" }, "ServiceMeshMembershipSpec": { "type": "object", "description": "**Service Mesh**: Spec for a single Membership for the servicemesh feature", "properties": { "controlPlane": { "enum": [ "CONTROL_PLANE_MANAGEMENT_UNSPECIFIED", "AUTOMATIC", "MANUAL" ], "type": "string", "description": "Enables automatic control plane management.", "enumDescriptions": [ "Unspecified", "Google should provision a control plane revision and make it available in the cluster. Google will enroll this revision in a release channel and keep it up to date. The control plane revision may be a managed service, or a managed install.", "User will manually configure the control plane (e.g. via CLI, or via the ControlPlaneRevision KRM API)" ] }, "defaultChannel": { "type": "string", "enumDescriptions": [ "Unspecified", "RAPID channel is offered on an early access basis for customers who want to test new releases.", "REGULAR channel is intended for production users who want to take advantage of new features.", "STABLE channel includes versions that are known to be stable and reliable in production." ], "enum": [ "CHANNEL_UNSPECIFIED", "RAPID", "REGULAR", "STABLE" ], "description": "Determines which release channel to use for default injection and service mesh APIs." } }, "id": "ServiceMeshMembershipSpec" }, "ServiceMeshAnalysisMessageBase": { "type": "object", "id": "ServiceMeshAnalysisMessageBase", "properties": { "level": { "enumDescriptions": [ "Illegal. Same istio.analysis.v1alpha1.AnalysisMessageBase.Level.UNKNOWN.", "ERROR represents a misconfiguration that must be fixed.", "WARNING represents a misconfiguration that should be fixed.", "INFO represents an informational finding." ], "enum": [ "LEVEL_UNSPECIFIED", "ERROR", "WARNING", "INFO" ], "type": "string", "description": "Represents how severe a message is." }, "type": { "$ref": "ServiceMeshType", "description": "Represents the specific type of a message." }, "documentationUrl": { "description": "A url pointing to the Service Mesh or Istio documentation for this specific error type.", "type": "string" } }, "description": "AnalysisMessageBase describes some common information that is needed for all messages." }, "TestIamPermissionsRequest": { "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "id": "TestIamPermissionsRequest", "type": "object", "description": "Request message for `TestIamPermissions` method." }, "AnthosVMMembershipSpec": { "type": "object", "description": "AnthosVMMembershipSpec contains the AnthosVM feature configuration for a membership/cluster.", "id": "AnthosVMMembershipSpec", "properties": { "subfeaturesSpec": { "description": "List of configurations of the Anthos For VM subfeatures that are to be enabled", "type": "array", "items": { "$ref": "AnthosVMSubFeatureSpec" } } } }, "ConfigManagementPolicyController": { "properties": { "auditIntervalSeconds": { "type": "string", "description": "Sets the interval for Policy Controller Audit Scans (in seconds). When set to 0, this disables audit functionality altogether.", "format": "int64" }, "exemptableNamespaces": { "items": { "type": "string" }, "type": "array", "description": "The set of namespaces that are excluded from Policy Controller checks. Namespaces do not need to currently exist on the cluster." }, "logDeniesEnabled": { "description": "Logs all denies and dry run failures.", "type": "boolean" }, "referentialRulesEnabled": { "description": "Enables the ability to use Constraint Templates that reference to objects other than the object currently being evaluated.", "type": "boolean" }, "enabled": { "type": "boolean", "description": "Enables the installation of Policy Controller. If false, the rest of PolicyController fields take no effect." }, "monitoring": { "description": "Monitoring specifies the configuration of monitoring.", "$ref": "ConfigManagementPolicyControllerMonitoring" }, "mutationEnabled": { "type": "boolean", "description": "Enable or disable mutation in policy controller. If true, mutation CRDs, webhook and controller deployment will be deployed to the cluster." }, "templateLibraryInstalled": { "description": "Installs the default template library along with Policy Controller.", "type": "boolean" } }, "type": "object", "description": "Configuration for Policy Controller", "id": "ConfigManagementPolicyController" }, "SetIamPolicyRequest": { "type": "object", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" } }, "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "MembershipFeatureState": { "properties": { "identityservice": { "description": "Identity Service-specific state.", "$ref": "IdentityServiceMembershipState" }, "state": { "$ref": "FeatureState", "description": "The high-level state of this Feature for a single membership." }, "anthosvm": { "description": "AnthosVM state.", "$ref": "AnthosVMMembershipState" }, "appdevexperience": { "description": "Appdevexperience specific state.", "$ref": "AppDevExperienceFeatureState" }, "servicemesh": { "$ref": "ServiceMeshMembershipState", "description": "Service Mesh-specific state." }, "policycontroller": { "description": "Policycontroller-specific state.", "$ref": "PolicyControllerMembershipState" }, "configmanagement": { "description": "Config Management-specific state.", "$ref": "ConfigManagementMembershipState" }, "metering": { "description": "Metering-specific state.", "$ref": "MeteringMembershipState" } }, "type": "object", "id": "MembershipFeatureState", "description": "MembershipFeatureState contains Feature status information for a single Membership." }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "PolicyControllerHubState": { "id": "PolicyControllerHubState", "properties": { "deploymentStates": { "type": "object", "description": "Map from deployment name to deployment state. Example deployments are gatekeeper-controller-manager, gatekeeper-audit deployment, and gatekeeper-mutation.", "additionalProperties": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "DEPLOYMENT_STATE_NOT_INSTALLED", "DEPLOYMENT_STATE_INSTALLED", "DEPLOYMENT_STATE_ERROR" ], "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] } }, "version": { "description": "The version of Gatekeeper Policy Controller deployed.", "$ref": "PolicyControllerHubVersion" } }, "description": "State of the Policy Controller.", "type": "object" }, "AnthosObservabilityMembershipSpec": { "type": "object", "description": "**Anthosobservability**: Per-Membership Feature spec.", "properties": { "version": { "description": "the version of stackdriver operator used by this feature", "type": "string" }, "doNotOptimizeMetrics": { "type": "boolean", "description": "use full of metrics rather than optimized metrics. See https://cloud.google.com/anthos/clusters/docs/on-prem/1.8/concepts/logging-and-monitoring#optimized_metrics_default_metrics" }, "enableStackdriverOnApplications": { "type": "boolean", "description": "enable collecting and reporting metrics and logs from user apps See go/onyx-application-metrics-logs-user-guide" } }, "id": "AnthosObservabilityMembershipSpec" }, "MembershipEndpoint": { "properties": { "kubernetesResource": { "$ref": "KubernetesResource", "description": "Optional. The in-cluster Kubernetes Resources that should be applied for a correctly registered cluster, in the steady state. These resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure that the cluster is exclusively registered to one and only one Hub Membership. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Propagate Workload Pool Information available in the Membership Authority field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure proper initial configuration of default Hub Features." }, "kubernetesMetadata": { "readOnly": true, "description": "Output only. Useful Kubernetes-specific metadata.", "$ref": "KubernetesMetadata" }, "edgeCluster": { "$ref": "EdgeCluster", "description": "Optional. Specific information for a Google Edge cluster." }, "onPremCluster": { "$ref": "OnPremCluster", "description": "Optional. Specific information for a GKE On-Prem cluster. An onprem user-cluster who has no resourceLink is not allowed to use this field, it should have a nil \"type\" instead." }, "applianceCluster": { "$ref": "ApplianceCluster", "description": "Optional. Specific information for a GDC Edge Appliance cluster." }, "multiCloudCluster": { "description": "Optional. Specific information for a GKE Multi-Cloud cluster.", "$ref": "MultiCloudCluster" }, "gkeCluster": { "description": "Optional. Specific information for a GKE-on-GCP cluster.", "$ref": "GkeCluster" } }, "id": "MembershipEndpoint", "description": "MembershipEndpoint contains information needed to contact a Kubernetes API, endpoint and any additional Kubernetes metadata.", "type": "object" }, "MultiCloudCluster": { "description": "MultiCloudCluster contains information specific to GKE Multi-Cloud clusters.", "properties": { "clusterMissing": { "description": "Output only. If cluster_missing is set then it denotes that API(gkemulticloud.googleapis.com) resource for this GKE Multi-Cloud cluster no longer exists.", "readOnly": true, "type": "boolean" }, "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE Multi-Cloud cluster. For example: //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/awsClusters/my-cluster //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/azureClusters/my-cluster", "type": "string" } }, "id": "MultiCloudCluster", "type": "object" }, "ConfigManagementOperatorState": { "description": "State information for an ACM's Operator", "properties": { "errors": { "description": "Install errors.", "items": { "$ref": "ConfigManagementInstallError" }, "type": "array" }, "deploymentState": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "description": "The state of the Operator's deployment", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "version": { "type": "string", "description": "The semenatic version number of the operator" } }, "type": "object", "id": "ConfigManagementOperatorState" }, "IdentityServiceOidcConfig": { "description": "Configuration for OIDC Auth flow.", "type": "object", "id": "IdentityServiceOidcConfig", "properties": { "issuerUri": { "description": "URI for the OIDC provider. This should point to the level below .well-known/openid-configuration.", "type": "string" }, "groupsClaim": { "type": "string", "description": "Claim in OIDC ID token that holds group information." }, "userPrefix": { "type": "string", "description": "Prefix to prepend to user name." }, "kubectlRedirectUri": { "description": "Registered redirect uri to redirect users going through OAuth flow using kubectl plugin.", "type": "string" }, "userClaim": { "description": "Claim in OIDC ID token that holds username.", "type": "string" }, "enableAccessToken": { "description": "Enable access token.", "type": "boolean" }, "deployCloudConsoleProxy": { "type": "boolean", "description": "Flag to denote if reverse proxy is used to connect to auth provider. This flag should be set to true when provider is not reachable by Google Cloud Console." }, "encryptedClientSecret": { "description": "Output only. Encrypted OIDC Client secret", "format": "byte", "readOnly": true, "type": "string" }, "extraParams": { "type": "string", "description": "Comma-separated list of key-value pairs." }, "clientId": { "description": "ID for OIDC client application.", "type": "string" }, "groupPrefix": { "description": "Prefix to prepend to group name.", "type": "string" }, "certificateAuthorityData": { "type": "string", "description": "PEM-encoded CA for OIDC provider." }, "scopes": { "description": "Comma-separated list of identifiers.", "type": "string" }, "clientSecret": { "description": "Input only. Unencrypted OIDC client secret will be passed to the GKE Hub CLH.", "type": "string" } } }, "ConfigManagementGitConfig": { "properties": { "syncBranch": { "type": "string", "description": "The branch of the repository to sync from. Default: master." }, "httpsProxy": { "description": "URL for the HTTPS proxy to be used when communicating with the Git repo.", "type": "string" }, "syncWaitSecs": { "format": "int64", "description": "Period in seconds between consecutive syncs. Default: 15.", "type": "string" }, "gcpServiceAccountEmail": { "type": "string", "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount." }, "secretType": { "type": "string", "description": "Type of secret configured for access to the Git repo. Must be one of ssh, cookiefile, gcenode, token, gcpserviceaccount or none. The validation of this is case-sensitive. Required." }, "syncRev": { "description": "Git revision (tag or hash) to check out. Default HEAD.", "type": "string" }, "syncRepo": { "description": "The URL of the Git repository to use as the source of truth.", "type": "string" }, "policyDir": { "description": "The path within the Git repository that represents the top level of the repo to sync. Default: the root directory of the repository.", "type": "string" } }, "id": "ConfigManagementGitConfig", "description": "Git repo configuration for a single cluster.", "type": "object" }, "ConfigManagementGroupVersionKind": { "properties": { "group": { "description": "Kubernetes Group", "type": "string" }, "version": { "type": "string", "description": "Kubernetes Version" }, "kind": { "type": "string", "description": "Kubernetes Kind" } }, "id": "ConfigManagementGroupVersionKind", "type": "object", "description": "A Kubernetes object's GVK" }, "IdentityServiceMembershipState": { "type": "object", "id": "IdentityServiceMembershipState", "properties": { "failureReason": { "description": "The reason of the failure.", "type": "string" }, "state": { "enumDescriptions": [ "Unspecified state", "deployment succeeds", "Failure with error." ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "OK", "ERROR" ], "description": "Deployment state on this member" }, "memberConfig": { "$ref": "IdentityServiceMembershipSpec", "description": "Last reconciled membership configuration" }, "installedVersion": { "type": "string", "description": "Installed AIS version. This is the AIS version installed on this member. The values makes sense iff state is OK." } }, "description": "**Anthos Identity Service**: State for a single Membership." }, "Membership": { "description": "Membership contains information about a member cluster.", "type": "object", "id": "Membership", "properties": { "lastConnectionTime": { "description": "Output only. For clusters using Connect, the timestamp of the most recent connection established with Google Cloud. This time is updated every several minutes, not continuously. For clusters that do not use GKE Connect, or that have never connected successfully, this field will be unset.", "type": "string", "readOnly": true, "format": "google-datetime" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. When the Membership was created.", "readOnly": true }, "uniqueId": { "readOnly": true, "type": "string", "description": "Output only. Google-generated UUID for this resource. This is unique across all Membership resources. If a Membership resource is deleted and another resource with the same name is created, it gets a different unique_id." }, "description": { "type": "string", "readOnly": true, "description": "Output only. Description of this membership, limited to 63 characters. Must match the regex: `a-zA-Z0-9*` This field is present for legacy purposes." }, "state": { "$ref": "MembershipState", "readOnly": true, "description": "Output only. State of the Membership resource." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. GCP labels for this membership.", "type": "object" }, "authority": { "$ref": "Authority", "description": "Optional. How to identify workloads from this Membership. See the documentation on Workload Identity for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity" }, "endpoint": { "description": "Optional. Endpoint information to reach this member.", "$ref": "MembershipEndpoint" }, "updateTime": { "type": "string", "description": "Output only. When the Membership was last updated.", "format": "google-datetime", "readOnly": true }, "externalId": { "type": "string", "description": "Optional. An externally-generated and managed ID for this Membership. This ID may be modified after creation, but this is not recommended. The ID must match the regex: `a-zA-Z0-9*` If this Membership represents a Kubernetes cluster, this value should be set to the UID of the `kube-system` namespace object." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The full, unique name of this Membership resource in the format `projects/*/locations/*/memberships/{membership_id}`, set during creation. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters." }, "deleteTime": { "description": "Output only. When the Membership was deleted.", "readOnly": true, "type": "string", "format": "google-datetime" } } }, "CloudBuildMembershipSpec": { "id": "CloudBuildMembershipSpec", "properties": { "securityPolicy": { "enum": [ "SECURITY_POLICY_UNSPECIFIED", "NON_PRIVILEGED", "PRIVILEGED" ], "description": "Whether it is allowed to run the privileged builds on the cluster or not.", "enumDescriptions": [ "Unspecified policy", "Privileged build pods are disallowed", "Privileged build pods are allowed" ], "type": "string" }, "version": { "type": "string", "description": "Version of the cloud build software on the cluster." } }, "description": "**Cloud Build**: Configurations for each Cloud Build enabled cluster.", "type": "object" }, "Authority": { "description": "Authority encodes how Google will recognize identities from this Membership. See the workload identity documentation for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "type": "object", "id": "Authority", "properties": { "oidcJwks": { "type": "string", "format": "byte", "description": "Optional. OIDC verification keys for this Membership in JWKS format (RFC 7517). When this field is set, OIDC discovery will NOT be performed on `issuer`, and instead OIDC tokens will be validated using this field." }, "issuer": { "type": "string", "description": "Optional. A JSON Web Token (JWT) issuer URI. `issuer` must start with `https://` and be a valid URL with length \u003c2000 characters. If set, then Google will allow valid OIDC tokens from this issuer to authenticate within the workload_identity_pool. OIDC discovery will be performed on this URI to validate tokens from the issuer. Clearing `issuer` disables Workload Identity. `issuer` cannot be directly modified; it must be cleared (and Workload Identity disabled) before using a new issuer (and re-enabling Workload Identity)." }, "identityProvider": { "readOnly": true, "type": "string", "description": "Output only. An identity provider that reflects the `issuer` in the workload identity pool." }, "workloadIdentityPool": { "description": "Output only. The name of the workload identity pool in which `issuer` will be recognized. There is a single Workload Identity Pool per Hub that is shared between all Memberships that belong to that Hub. For a Hub hosted in {PROJECT_ID}, the workload pool format is `{PROJECT_ID}.hub.id.goog`, although this is subject to change in newer versions of this API.", "type": "string", "readOnly": true } } }, "CommonFeatureState": { "description": "CommonFeatureState contains Hub-wide Feature status information.", "type": "object", "id": "CommonFeatureState", "properties": { "state": { "description": "Output only. The \"running state\" of the Feature in this Hub.", "$ref": "FeatureState", "readOnly": true }, "servicemesh": { "$ref": "ServiceMeshFeatureState", "description": "Service Mesh-specific state." }, "appdevexperience": { "$ref": "AppDevExperienceFeatureState", "description": "Appdevexperience specific state." } } }, "ApplianceCluster": { "description": "ApplianceCluster contains information specific to GDC Edge Appliance Clusters.", "id": "ApplianceCluster", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Appliance Cluster. For example: //transferappliance.googleapis.com/projects/my-project/locations/us-west1-a/appliances/my-appliance" } }, "type": "object" }, "ConfigManagementPolicyControllerMonitoring": { "id": "ConfigManagementPolicyControllerMonitoring", "properties": { "backends": { "type": "array", "items": { "enum": [ "MONITORING_BACKEND_UNSPECIFIED", "PROMETHEUS", "CLOUD_MONITORING" ], "enumDescriptions": [ "Backend cannot be determined", "Prometheus backend for monitoring", "Stackdriver/Cloud Monitoring backend for monitoring" ], "type": "string" }, "description": "Specifies the list of backends Policy Controller will export to. An empty list would effectively disable metrics export." } }, "description": "PolicyControllerMonitoring specifies the backends Policy Controller should export metrics to. For example, to specify metrics should be exported to Cloud Monitoring and Prometheus, specify backends: [\"cloudmonitoring\", \"prometheus\"]", "type": "object" }, "AuditLogConfig": { "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } }, "logType": { "type": "string", "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "AuditLogConfig" }, "MembershipState": { "id": "MembershipState", "description": "MembershipState describes the state of a Membership resource.", "type": "object", "properties": { "code": { "enum": [ "CODE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING", "SERVICE_UPDATING" ], "readOnly": true, "type": "string", "description": "Output only. The current state of the Membership resource.", "enumDescriptions": [ "The code is not set.", "The cluster is being registered.", "The cluster is registered.", "The cluster is being unregistered.", "The Membership is being updated.", "The Membership is being updated by the Hub Service." ] } } }, "GoogleRpcStatus": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "GoogleRpcStatus", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } } }, "type": "object" }, "ConfigManagementOciConfig": { "properties": { "secretType": { "type": "string", "description": "Type of secret configured for access to the Git repo." }, "syncRepo": { "type": "string", "description": "The OCI image repository URL for the package to sync from. e.g. `LOCATION-docker.pkg.dev/PROJECT_ID/REPOSITORY_NAME/PACKAGE_NAME`." }, "gcpServiceAccountEmail": { "type": "string", "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount." }, "policyDir": { "type": "string", "description": "The absolute path of the directory that contains the local resources. Default: the root directory of the image." }, "syncWaitSecs": { "type": "string", "format": "int64", "description": "Period in seconds between consecutive syncs. Default: 15." } }, "id": "ConfigManagementOciConfig", "description": "OCI repo configuration for a single cluster", "type": "object" }, "ConfigManagementMembershipState": { "description": "**Anthos Config Management**: State for a single cluster.", "id": "ConfigManagementMembershipState", "properties": { "binauthzState": { "description": "Binauthz status", "$ref": "ConfigManagementBinauthzState" }, "clusterName": { "type": "string", "description": "The user-defined name for the cluster used by ClusterSelectors to group clusters together. This should match Membership's membership_name, unless the user installed ACM on the cluster manually prior to enabling the ACM hub feature. Unique within a Anthos Config Management installation." }, "policyControllerState": { "$ref": "ConfigManagementPolicyControllerState", "description": "PolicyController status" }, "hierarchyControllerState": { "$ref": "ConfigManagementHierarchyControllerState", "description": "Hierarchy Controller status" }, "configSyncState": { "$ref": "ConfigManagementConfigSyncState", "description": "Current sync status" }, "operatorState": { "description": "Current install status of ACM's Operator", "$ref": "ConfigManagementOperatorState" }, "membershipSpec": { "description": "Membership configuration in the cluster. This represents the actual state in the cluster, while the MembershipSpec in the FeatureSpec represents the intended state", "$ref": "ConfigManagementMembershipSpec" } }, "type": "object" }, "AnthosObservabilityFeatureSpec": { "id": "AnthosObservabilityFeatureSpec", "properties": { "defaultMembershipSpec": { "$ref": "AnthosObservabilityMembershipSpec", "description": "default membership spec for unconfigured memberships" } }, "description": "**Anthos Observability**: Spec", "type": "object" }, "Status": { "description": "Status specifies state for the subcomponent.", "properties": { "description": { "type": "string", "description": "Description is populated if Code is Failed, explaining why it has failed." }, "code": { "enum": [ "CODE_UNSPECIFIED", "OK", "FAILED", "UNKNOWN" ], "enumDescriptions": [ "Not set.", "AppDevExperienceFeature's specified subcomponent is ready.", "AppDevExperienceFeature's specified subcomponent ready state is false. This means AppDevExperienceFeature has encountered an issue that blocks all, or a portion, of its normal operation. See the `description` for more details.", "AppDevExperienceFeature's specified subcomponent has a pending or unknown state." ], "description": "Code specifies AppDevExperienceFeature's subcomponent ready state.", "type": "string" } }, "id": "Status", "type": "object" }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "type": "object", "properties": { "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "EdgeCluster": { "id": "EdgeCluster", "type": "object", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Edge Cluster. For example: //edgecontainer.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster" } }, "description": "EdgeCluster contains information specific to Google Edge Clusters." }, "Location": { "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location." } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "MembershipSpec": { "type": "object", "properties": { "certificateManagement": { "type": "string", "description": "Specifies workload certificate management.", "enum": [ "CERTIFICATE_MANAGEMENT_UNSPECIFIED", "DISABLED", "ENABLED" ], "enumDescriptions": [ "Disable workload certificate feature.", "Disable workload certificate feature.", "Enable workload certificate feature." ] } }, "description": "**Workload Certificate**: The membership-specific input for WorkloadCertificate feature.", "id": "MembershipSpec" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "type": "object", "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method." }, "ServiceMeshFeatureState": { "description": "**Service Mesh**: State for the whole Hub, as analyzed by the Service Mesh Hub Controller.", "type": "object", "properties": { "analysisMessages": { "readOnly": true, "description": "Output only. Results of running Service Mesh analyzers.", "type": "array", "items": { "$ref": "ServiceMeshAnalysisMessage" } } }, "id": "ServiceMeshFeatureState" }, "ConfigManagementBinauthzVersion": { "id": "ConfigManagementBinauthzVersion", "description": "The version of binauthz.", "properties": { "webhookVersion": { "type": "string", "description": "The version of the binauthz webhook." } }, "type": "object" }, "Empty": { "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "Feature": { "properties": { "membershipStates": { "description": "Output only. Membership-specific Feature status. If this Feature does report any per-Membership status, this field may be unused. The keys indicate which Membership the state is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project number, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} MUST match the Feature's project number.", "readOnly": true, "additionalProperties": { "$ref": "MembershipFeatureState" }, "type": "object" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The full, unique name of this Feature resource in the format `projects/*/locations/*/features/*`." }, "deleteTime": { "description": "Output only. When the Feature resource was deleted.", "readOnly": true, "format": "google-datetime", "type": "string" }, "state": { "$ref": "CommonFeatureState", "readOnly": true, "description": "Output only. The Hub-wide Feature state." }, "spec": { "$ref": "CommonFeatureSpec", "description": "Optional. Hub-wide Feature configuration. If this Feature does not support any Hub-wide configuration, this field may be unused." }, "labels": { "additionalProperties": { "type": "string" }, "description": "GCP labels for this Feature.", "type": "object" }, "membershipSpecs": { "type": "object", "additionalProperties": { "$ref": "MembershipFeatureSpec" }, "description": "Optional. Membership-specific configuration for this Feature. If this Feature does not support any per-Membership configuration, this field may be unused. The keys indicate which Membership the configuration is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} WILL match the Feature's project. {p} will always be returned as the project number, but the project ID is also accepted during input. If the same Membership is specified in the map twice (using the project ID form, and the project number form), exactly ONE of the entries will be saved, with no guarantees as to which. For this reason, it is recommended the same format be used for all entries when mutating a Feature." }, "resourceState": { "readOnly": true, "description": "Output only. State of the Feature resource itself.", "$ref": "FeatureResourceState" }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. When the Feature resource was last updated.", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. When the Feature resource was created.", "format": "google-datetime" } }, "id": "Feature", "type": "object", "description": "Feature represents the settings and status of any Hub Feature." }, "LocalControllerState": { "type": "object", "id": "LocalControllerState", "description": "LocalControllerState contains the state of the local controller deployed in the cluster.", "properties": { "installationState": { "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ], "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ], "description": "InstallationState represents the state of deployment of the local PE controller in the cluster.", "type": "string" }, "description": { "type": "string", "description": "Description represents the human readable description of the current state of the local PE controller" } } }, "ListFeaturesResponse": { "type": "object", "id": "ListFeaturesResponse", "description": "Response message for the `GkeHub.ListFeatures` method.", "properties": { "nextPageToken": { "description": "A token to request the next page of resources from the `ListFeatures` method. The value of an empty string means that there are no more resources to return.", "type": "string" }, "resources": { "description": "The list of matching Features", "items": { "$ref": "Feature" }, "type": "array" } } } }, "fullyEncodeReservedExpansion": true, "rootUrl": "https://gkehub.googleapis.com/", "mtlsRootUrl": "https://gkehub.mtls.googleapis.com/", "baseUrl": "https://gkehub.googleapis.com/", "revision": "20220628", "id": "gkehub:v1alpha", "protocol": "rest", "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "servicePath": "", "canonicalName": "GKE Hub" }
]===]))
