local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "id": "gkehub:v1alpha2", "documentationLink": "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster", "canonicalName": "GKE Hub", "mtlsRootUrl": "https://gkehub.mtls.googleapis.com/", "batchPath": "batch", "servicePath": "", "version": "v1alpha2", "ownerName": "Google", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "flatPath": "v1alpha2/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "id": "gkehub.projects.locations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "name": { "type": "string", "location": "path", "description": "The resource that owns the locations collection, if applicable.", "required": true, "pattern": "^projects/[^/]+$" }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." } }, "response": { "$ref": "ListLocationsResponse" }, "path": "v1alpha2/{+name}/locations", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Resource name for the location.", "required": true } }, "httpMethod": "GET", "response": { "$ref": "Location" }, "parameterOrder": [ "name" ], "description": "Gets information about a location.", "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}", "id": "gkehub.projects.locations.get", "path": "v1alpha2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "global": { "resources": { "memberships": { "methods": { "initializeHub": { "id": "gkehub.projects.locations.global.memberships.initializeHub", "httpMethod": "POST", "request": { "$ref": "InitializeHubRequest" }, "path": "v1alpha2/{+project}:initializeHub", "parameters": { "project": { "required": true, "description": "Required. The Hub to initialize, in the format `projects/*/locations/*/memberships/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/global/memberships$", "location": "path" } }, "description": "Initializes the Hub in this project, which includes creating the default Hub Service Account and the Hub Workload Identity Pool. Initialization is optional, and happens automatically when the first Membership is created. InitializeHub should be called when the first Membership cannot be registered without these resources. A common example is granting the Hub Service Account access to another project, which requires the account to exist first.", "parameterOrder": [ "project" ], "flatPath": "v1alpha2/projects/{projectsId}/locations/global/memberships:initializeHub", "response": { "$ref": "InitializeHubResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } }, "memberships": { "methods": { "create": { "parameterOrder": [ "parent" ], "description": "Creates a new Membership. **This is currently only supported for GKE clusters on Google Cloud**. To register other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster.", "httpMethod": "POST", "parameters": { "membershipId": { "type": "string", "location": "query", "description": "Required. Client chosen ID for the membership. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters." }, "parent": { "description": "Required. The parent (project and location) where the Memberships will be created. Specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "type": "string" } }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships", "path": "v1alpha2/{+parent}/memberships", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Membership" }, "id": "gkehub.projects.locations.memberships.create", "response": { "$ref": "Operation" } }, "testIamPermissions": { "id": "gkehub.projects.locations.memberships.testIamPermissions", "path": "v1alpha2/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "list": { "id": "gkehub.projects.locations.memberships.list", "path": "v1alpha2/{+parent}/memberships", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "pageToken": { "description": "Optional. Token returned by previous call to `ListMemberships` which specifies the position in the list from where to continue listing the resources.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent (project and location) where the Memberships will be listed. Specified in the format `projects/*/locations/*`.", "type": "string", "required": true, "location": "path" }, "filter": { "description": "Optional. Lists Memberships that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Name is `bar` in project `foo-proj` and location `global`: name = \"projects/foo-proj/locations/global/membership/bar\" - Memberships that have a label called `foo`: labels.foo:* - Memberships that have a label called `foo` whose value is `bar`: labels.foo = bar - Memberships in the CREATING state: state = CREATING", "type": "string", "location": "query" }, "orderBy": { "description": "Optional. One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned." } }, "parameterOrder": [ "parent" ], "description": "Lists Memberships in a given project and location.", "response": { "$ref": "ListMembershipsResponse" }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships" }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string" } }, "response": { "$ref": "Membership" }, "id": "gkehub.projects.locations.memberships.get", "parameterOrder": [ "name" ], "description": "Gets the details of a Membership.", "path": "v1alpha2/{+name}", "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}" }, "setIamPolicy": { "path": "v1alpha2/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true, "location": "path" } }, "id": "gkehub.projects.locations.memberships.setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST" }, "patch": { "request": { "$ref": "Membership" }, "id": "gkehub.projects.locations.memberships.patch", "path": "v1alpha2/{+name}", "parameters": { "name": { "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "location": "query", "type": "string", "description": "Required. Mask of fields to update." } }, "description": "Updates an existing Membership.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "parameterOrder": [ "name" ], "httpMethod": "PATCH" }, "generateConnectManifest": { "parameters": { "isUpgrade": { "location": "query", "type": "boolean", "description": "Optional. If true, generate the resources for upgrade only. Some resources generated only for installation (e.g. secrets) will be excluded." }, "namespace": { "description": "Optional. Namespace for GKE Connect agent resources. Defaults to `gke-connect`. The Connect Agent is authorized automatically when run in the default namespace. Otherwise, explicit authorization must be granted with an additional IAM binding.", "type": "string", "location": "query" }, "registry": { "location": "query", "type": "string", "description": "Optional. The registry to fetch the connect agent image from. Defaults to gcr.io/gkeconnect." }, "imagePullSecretContent": { "description": "Optional. The image pull secret content for the registry, if not public.", "format": "byte", "type": "string", "location": "query" }, "proxy": { "format": "byte", "type": "string", "location": "query", "description": "Optional. URI of a proxy if connectivity from the agent to gkeconnect.googleapis.com requires the use of a proxy. Format must be in the form `http(s)://{proxy_address}`, depending on the HTTP/HTTPS protocol supported by the proxy. This will direct the connect agent's outbound traffic through a HTTP(S) proxy." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true, "type": "string", "description": "Required. The Membership resource name the Agent will associate with, in the format `projects/*/locations/*/memberships/*`.", "location": "path" }, "version": { "description": "Optional. The Connect agent version to use. Defaults to the most current version.", "location": "query", "type": "string" } }, "path": "v1alpha2/{+name}:generateConnectManifest", "parameterOrder": [ "name" ], "description": "Generates the manifest for deployment of the GKE connect agent. **This method is used internally by Google-provided libraries.** Most clients should not need to call this method directly.", "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:generateConnectManifest", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.memberships.generateConnectManifest", "response": { "$ref": "GenerateConnectManifestResponse" } }, "delete": { "response": { "$ref": "Operation" }, "id": "gkehub.projects.locations.memberships.delete", "description": "Removes a Membership. **This is currently only supported for GKE clusters on Google Cloud**. To unregister other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/unregistering-a-cluster.", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "location": "path", "type": "string", "required": true } }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "parameterOrder": [ "name" ], "path": "v1alpha2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" } }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "id": "gkehub.projects.locations.memberships.getIamPolicy", "httpMethod": "GET", "path": "v1alpha2/{+resource}:getIamPolicy" } } }, "operations": { "methods": { "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The name of the operation resource to be deleted." } }, "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1alpha2/{+name}", "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gkehub.projects.locations.operations.delete" }, "list": { "path": "v1alpha2/{+name}/operations", "parameters": { "name": { "required": true, "description": "The name of the operation's parent resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The standard list page size.", "location": "query" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/operations", "id": "gkehub.projects.locations.operations.list", "response": { "$ref": "ListOperationsResponse" } }, "get": { "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "Operation" }, "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the operation resource." } }, "path": "v1alpha2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.operations.get" }, "cancel": { "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "flatPath": "v1alpha2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v1alpha2/{+name}:cancel", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.operations.cancel" } } } } } } } }, "schemas": { "Binding": { "id": "Binding", "type": "object", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "description": "Associates `members`, or principals, with a `role`." }, "MultiCloudCluster": { "description": "MultiCloudCluster contains information specific to GKE Multi-Cloud clusters.", "type": "object", "id": "MultiCloudCluster", "properties": { "clusterMissing": { "type": "boolean", "description": "Output only. If cluster_missing is set then it denotes that API(gkemulticloud.googleapis.com) resource for this GKE Multi-Cloud cluster no longer exists.", "readOnly": true }, "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE Multi-Cloud cluster. For example: //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/awsClusters/my-cluster //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/azureClusters/my-cluster", "type": "string" } } }, "OperationMetadata": { "type": "object", "properties": { "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string" }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "endTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "statusDetail": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." } }, "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation." }, "KubernetesResource": { "properties": { "resourceOptions": { "description": "Optional. Options for Kubernetes resource generation.", "$ref": "ResourceOptions" }, "connectResources": { "type": "array", "items": { "$ref": "ResourceManifest" }, "description": "Output only. The Kubernetes resources for installing the GKE Connect agent. This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "readOnly": true }, "membershipCrManifest": { "type": "string", "description": "Input only. The YAML representation of the Membership CR. This field is ignored for GKE clusters where Hub can read the CR directly. Callers should provide the CR that is currently present in the cluster during Create or Update, or leave this field empty if none exists. The CR manifest is used to validate the cluster has not been registered with another Membership." }, "membershipResources": { "items": { "$ref": "ResourceManifest" }, "description": "Output only. Additional Kubernetes resources that need to be applied to the cluster after Membership creation, and after every update. This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "type": "array", "readOnly": true } }, "id": "KubernetesResource", "description": "KubernetesResource contains the YAML manifests and configuration for Membership Kubernetes resources in the cluster. After CreateMembership or UpdateMembership, these resources should be re-applied in the cluster.", "type": "object" }, "EdgeCluster": { "id": "EdgeCluster", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Edge Cluster. For example: //edgecontainer.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster" } }, "type": "object", "description": "EdgeCluster contains information specific to Google Edge Clusters." }, "ListMembershipsResponse": { "properties": { "resources": { "description": "The list of matching Memberships.", "type": "array", "items": { "$ref": "Membership" } }, "nextPageToken": { "description": "A token to request the next page of resources from the `ListMemberships` method. The value of an empty string means that there are no more resources to return.", "type": "string" }, "unreachable": { "type": "array", "description": "List of locations that could not be reached while fetching this list.", "items": { "type": "string" } } }, "id": "ListMembershipsResponse", "description": "Response message for the `GkeHub.ListMemberships` method.", "type": "object" }, "InitializeHubRequest": { "properties": {}, "id": "InitializeHubRequest", "description": "Request message for the InitializeHub method.", "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "logType": { "type": "string", "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } } }, "AuditConfig": { "id": "AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission." }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "id": "TestIamPermissionsResponse" }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "InitializeHubResponse": { "description": "Response message for the InitializeHub method.", "id": "InitializeHubResponse", "type": "object", "properties": { "workloadIdentityPool": { "description": "The Workload Identity Pool used for Workload Identity-enabled clusters registered with this Hub. Format: `.hub.id.goog`", "type": "string" }, "serviceIdentity": { "description": "Name of the Hub default service identity, in the format: service-@gcp-sa-gkehub.iam.gserviceaccount.com The service account has `roles/gkehub.serviceAgent` in the Hub project.", "type": "string" } } }, "TypeMeta": { "description": "TypeMeta is the type information needed for content unmarshalling of Kubernetes resources in the manifest.", "id": "TypeMeta", "type": "object", "properties": { "kind": { "type": "string", "description": "Kind of the resource (e.g. Deployment)." }, "apiVersion": { "description": "APIVersion of the resource (e.g. v1).", "type": "string" } } }, "OnPremCluster": { "type": "object", "description": "OnPremCluster contains information specific to GKE On-Prem clusters.", "id": "OnPremCluster", "properties": { "clusterMissing": { "type": "boolean", "description": "Output only. If cluster_missing is set then it denotes that API(gkeonprem.googleapis.com) resource for this GKE On-Prem cluster no longer exists.", "readOnly": true }, "adminCluster": { "description": "Immutable. Whether the cluster is an admin cluster.", "type": "boolean" }, "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the GKE On-Prem cluster. For example: //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/vmwareClusters/my-cluster //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/bareMetalClusters/my-cluster" }, "clusterType": { "type": "string", "enumDescriptions": [ "The ClusterType is not set.", "The ClusterType is bootstrap cluster.", "The ClusterType is baremetal hybrid cluster.", "The ClusterType is baremetal standalone cluster.", "The ClusterType is user cluster." ], "description": "Immutable. The on prem cluster's type.", "enum": [ "CLUSTERTYPE_UNSPECIFIED", "BOOTSTRAP", "HYBRID", "STANDALONE", "USER" ] } } }, "Location": { "properties": { "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "type": "object", "id": "Location" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "type": "object", "id": "Expr" }, "GoogleRpcStatus": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "GoogleRpcStatus", "properties": { "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } } }, "GenerateConnectManifestResponse": { "description": "GenerateConnectManifestResponse contains manifest information for installing/upgrading a Connect agent.", "properties": { "manifest": { "type": "array", "description": "The ordered list of Kubernetes resources that need to be applied to the cluster for GKE Connect agent installation/upgrade.", "items": { "$ref": "ConnectAgentResource" } } }, "type": "object", "id": "GenerateConnectManifestResponse" }, "Operation": { "type": "object", "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "type": "object", "properties": {} }, "ConnectAgentResource": { "type": "object", "properties": { "manifest": { "description": "YAML manifest of the resource.", "type": "string" }, "type": { "description": "Kubernetes type of the resource.", "$ref": "TypeMeta" } }, "description": "ConnectAgentResource represents a Kubernetes resource manifest for Connect Agent deployment.", "id": "ConnectAgentResource" }, "GkeCluster": { "type": "object", "description": "GkeCluster contains information specific to GKE clusters.", "properties": { "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE cluster. For example: //container.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster Zonal clusters are also supported.", "type": "string" }, "clusterMissing": { "readOnly": true, "description": "Output only. If cluster_missing is set then it denotes that the GKE cluster no longer exists in the GKE Control Plane.", "type": "boolean" } }, "id": "GkeCluster" }, "Membership": { "id": "Membership", "description": "Membership contains information about a member cluster.", "type": "object", "properties": { "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. When the Membership was created.", "readOnly": true }, "authority": { "description": "Optional. How to identify workloads from this Membership. See the documentation on Workload Identity for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "$ref": "Authority" }, "lastConnectionTime": { "type": "string", "description": "Output only. For clusters using Connect, the timestamp of the most recent connection established with Google Cloud. This time is updated every several minutes, not continuously. For clusters that do not use GKE Connect, or that have never connected successfully, this field will be unset.", "format": "google-datetime", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. GCP labels for this membership." }, "deleteTime": { "description": "Output only. When the Membership was deleted.", "type": "string", "readOnly": true, "format": "google-datetime" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The full, unique name of this Membership resource in the format `projects/*/locations/*/memberships/{membership_id}`, set during creation. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters." }, "description": { "description": "Output only. Description of this membership, limited to 63 characters. Must match the regex: `a-zA-Z0-9*` This field is present for legacy purposes.", "type": "string", "readOnly": true }, "updateTime": { "readOnly": true, "description": "Output only. When the Membership was last updated.", "type": "string", "format": "google-datetime" }, "uniqueId": { "description": "Output only. Google-generated UUID for this resource. This is unique across all Membership resources. If a Membership resource is deleted and another resource with the same name is created, it gets a different unique_id.", "type": "string", "readOnly": true }, "state": { "$ref": "MembershipState", "readOnly": true, "description": "Output only. State of the Membership resource." }, "endpoint": { "description": "Optional. Endpoint information to reach this member.", "$ref": "MembershipEndpoint" }, "infrastructureType": { "enumDescriptions": [ "No type was specified. Some Hub functionality may require a type be specified, and will not support Memberships with this value.", "Private infrastructure that is owned or operated by customer. This includes GKE distributions such as GKE-OnPrem and GKE-OnBareMetal.", "Public cloud infrastructure." ], "description": "Optional. The infrastructure type this Membership is running on.", "type": "string", "enum": [ "INFRASTRUCTURE_TYPE_UNSPECIFIED", "ON_PREM", "MULTI_CLOUD" ] }, "externalId": { "type": "string", "description": "Optional. An externally-generated and managed ID for this Membership. This ID may be modified after creation, but this is not recommended. For GKE clusters, external_id is managed by the Hub API and updates will be ignored. The ID must match the regex: `a-zA-Z0-9*` If this Membership represents a Kubernetes cluster, this value should be set to the UID of the `kube-system` namespace object." } } }, "TestIamPermissionsRequest": { "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "type": "object" }, "ApplianceCluster": { "description": "ApplianceCluster contains information specific to GDC Edge Appliance Clusters.", "type": "object", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Appliance Cluster. For example: //transferappliance.googleapis.com/projects/my-project/locations/us-west1-a/appliances/my-appliance" } }, "id": "ApplianceCluster" }, "MembershipEndpoint": { "type": "object", "description": "MembershipEndpoint contains information needed to contact a Kubernetes API, endpoint and any additional Kubernetes metadata.", "properties": { "kubernetesMetadata": { "$ref": "KubernetesMetadata", "readOnly": true, "description": "Output only. Useful Kubernetes-specific metadata." }, "onPremCluster": { "description": "Optional. Specific information for a GKE On-Prem cluster. An onprem user-cluster who has no resourceLink is not allowed to use this field, it should have a nil \"type\" instead.", "$ref": "OnPremCluster" }, "gkeCluster": { "$ref": "GkeCluster", "description": "Optional. Specific information for a GKE-on-GCP cluster." }, "applianceCluster": { "description": "Optional. Specific information for a GDC Edge Appliance cluster.", "$ref": "ApplianceCluster" }, "multiCloudCluster": { "description": "Optional. Specific information for a GKE Multi-Cloud cluster.", "$ref": "MultiCloudCluster" }, "kubernetesResource": { "$ref": "KubernetesResource", "description": "Optional. The in-cluster Kubernetes Resources that should be applied for a correctly registered cluster, in the steady state. These resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure that the cluster is exclusively registered to one and only one Hub Membership. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Propagate Workload Pool Information available in the Membership Authority field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure proper initial configuration of default Hub Features." }, "edgeCluster": { "$ref": "EdgeCluster", "description": "Optional. Specific information for a Google Edge cluster." } }, "id": "MembershipEndpoint" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "properties": { "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "type": "object", "description": "Request message for `SetIamPolicy` method." }, "ListLocationsResponse": { "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "id": "ListLocationsResponse" }, "KubernetesMetadata": { "id": "KubernetesMetadata", "type": "object", "properties": { "nodeProviderId": { "readOnly": true, "type": "string", "description": "Output only. Node providerID as reported by the first node in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the node_count will be zero and the node_provider_id will be empty." }, "nodeCount": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. Node count as reported by Kubernetes nodes resources." }, "memoryMb": { "format": "int32", "readOnly": true, "description": "Output only. The total memory capacity as reported by the sum of all Kubernetes nodes resources, defined in MB.", "type": "integer" }, "kubernetesApiServerVersion": { "type": "string", "description": "Output only. Kubernetes API server version string as reported by '/version'.", "readOnly": true }, "vcpuCount": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. vCPU count as reported by Kubernetes nodes resources." }, "updateTime": { "description": "Output only. The time at which these details were last updated. This update_time is different from the Membership-level update_time since EndpointDetails are updated internally for API consumers.", "type": "string", "readOnly": true, "format": "google-datetime" } }, "description": "KubernetesMetadata provides informational metadata for Memberships that are created from Kubernetes Endpoints (currently, these are equivalent to Kubernetes clusters)." }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." } } }, "MembershipState": { "type": "object", "properties": { "code": { "description": "Output only. The current state of the Membership resource.", "enum": [ "CODE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING", "SERVICE_UPDATING" ], "readOnly": true, "enumDescriptions": [ "The code is not set.", "The cluster is being registered.", "The cluster is registered.", "The cluster is being unregistered.", "The Membership is being updated.", "The Membership is being updated by the Hub Service." ], "type": "string" } }, "id": "MembershipState", "description": "MembershipState describes the state of a Membership resource." }, "Policy": { "properties": { "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "ResourceOptions": { "type": "object", "id": "ResourceOptions", "description": "ResourceOptions represent options for Kubernetes resource generation.", "properties": { "k8sVersion": { "description": "Optional. Major version of the Kubernetes cluster. This is only used to determine which version to use for the CustomResourceDefinition resources, `apiextensions/v1beta1` or`apiextensions/v1`.", "type": "string" }, "connectVersion": { "type": "string", "description": "Optional. The Connect agent version to use for connect_resources. Defaults to the latest GKE Connect version. The version must be a currently supported version, obsolete versions will be rejected." }, "v1beta1Crd": { "type": "boolean", "description": "Optional. Use `apiextensions/v1beta1` instead of `apiextensions/v1` for CustomResourceDefinition resources. This option should be set for clusters with Kubernetes apiserver versions \u003c1.16." } } }, "Authority": { "id": "Authority", "description": "Authority encodes how Google will recognize identities from this Membership. See the workload identity documentation for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "properties": { "identityProvider": { "readOnly": true, "description": "Output only. An identity provider that reflects the `issuer` in the workload identity pool.", "type": "string" }, "issuer": { "type": "string", "description": "Optional. A JSON Web Token (JWT) issuer URI. `issuer` must start with `https://` and be a valid URL with length \u003c2000 characters. If set, then Google will allow valid OIDC tokens from this issuer to authenticate within the workload_identity_pool. OIDC discovery will be performed on this URI to validate tokens from the issuer, unless `oidc_jwks` is set. Clearing `issuer` disables Workload Identity. `issuer` cannot be directly modified; it must be cleared (and Workload Identity disabled) before using a new issuer (and re-enabling Workload Identity)." }, "workloadIdentityPool": { "readOnly": true, "description": "Output only. The name of the workload identity pool in which `issuer` will be recognized. There is a single Workload Identity Pool per Hub that is shared between all Memberships that belong to that Hub. For a Hub hosted in {PROJECT_ID}, the workload pool format is `{PROJECT_ID}.hub.id.goog`, although this is subject to change in newer versions of this API.", "type": "string" }, "oidcJwks": { "description": "Optional. OIDC verification keys for this Membership in JWKS format (RFC 7517). When this field is set, OIDC discovery will NOT be performed on `issuer`, and instead OIDC tokens will be validated using this field.", "type": "string", "format": "byte" } }, "type": "object" }, "ResourceManifest": { "properties": { "clusterScoped": { "description": "Whether the resource provided in the manifest is `cluster_scoped`. If unset, the manifest is assumed to be namespace scoped. This field is used for REST mapping when applying the resource in a cluster.", "type": "boolean" }, "manifest": { "description": "YAML manifest of the resource.", "type": "string" } }, "id": "ResourceManifest", "description": "ResourceManifest represents a single Kubernetes resource to be applied to the cluster.", "type": "object" } }, "baseUrl": "https://gkehub.googleapis.com/", "rootUrl": "https://gkehub.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "version_module": true, "revision": "20220628", "name": "gkehub", "discoveryVersion": "v1", "description": "", "protocol": "rest", "ownerDomain": "google.com", "kind": "discovery#restDescription", "parameters": { "alt": { "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "callback": { "description": "JSONP", "location": "query", "type": "string" } }, "title": "GKE Hub API" }
]===]))
