local decode = require("cjson").new().decode
return assert(decode([===[
{ "servicePath": "", "fullyEncodeReservedExpansion": true, "discoveryVersion": "v1", "canonicalName": "GKE Hub", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "parameters": { "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ] }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.get", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "required": true, "type": "string" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Location" }, "httpMethod": "GET", "path": "v1beta/{+name}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.list", "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "parameters": { "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "type": "string" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default." } }, "flatPath": "v1beta/projects/{projectsId}/locations", "path": "v1beta/{+name}/locations", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service." } }, "resources": { "features": { "methods": { "create": { "request": { "$ref": "Feature" }, "path": "v1beta/{+parent}/features", "description": "Adds a new Feature.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "gkehub.projects.locations.features.create", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features", "httpMethod": "POST", "parameters": { "featureId": { "location": "query", "type": "string", "description": "The ID of the feature to create." }, "requestId": { "type": "string", "location": "query", "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent (project and location) where the Feature will be created. Specified in the format `projects/*/locations/*`.", "location": "path" } }, "response": { "$ref": "Operation" } }, "delete": { "path": "v1beta/{+name}", "parameterOrder": [ "name" ], "description": "Removes a Feature.", "parameters": { "force": { "location": "query", "description": "If set to true, the delete will ignore any outstanding resources for this Feature (that is, `FeatureState.has_resources` is set to true). These resources will NOT be cleaned up or modified in any way.", "type": "boolean" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`.", "location": "path", "type": "string", "required": true } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "id": "gkehub.projects.locations.features.delete", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:setIamPolicy", "path": "v1beta/{+resource}:setIamPolicy", "id": "gkehub.projects.locations.features.setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32", "location": "query" } }, "path": "v1beta/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "httpMethod": "GET", "id": "gkehub.projects.locations.features.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:getIamPolicy" }, "list": { "path": "v1beta/{+parent}/features", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features", "id": "gkehub.projects.locations.features.list", "description": "Lists Features in a given project and location.", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Token returned by previous call to `ListFeatures` which specifies the position in the list from where to continue listing the resources." }, "orderBy": { "description": "One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "type": "string", "location": "query" }, "pageSize": { "description": "When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent (project and location) where the Features will be listed. Specified in the format `projects/*/locations/*`." }, "filter": { "type": "string", "description": "Lists Features that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Feature with the name \"servicemesh\" in project \"foo-proj\": name = \"projects/foo-proj/locations/global/features/servicemesh\" - Features that have a label called `foo`: labels.foo:* - Features that have a label called `foo` whose value is `bar`: labels.foo = bar", "location": "query" } }, "response": { "$ref": "ListFeaturesResponse" } }, "patch": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates an existing Feature.", "httpMethod": "PATCH", "path": "v1beta/{+name}", "request": { "$ref": "Feature" }, "parameterOrder": [ "name" ], "id": "gkehub.projects.locations.features.patch", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Mask of fields to update." }, "name": { "type": "string", "location": "path", "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$" } } }, "get": { "id": "gkehub.projects.locations.features.get", "response": { "$ref": "Feature" }, "description": "Gets details of a single Feature.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "description": "Required. The Feature resource name in the format `projects/*/locations/*/features/*`", "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "path": "v1beta/{+name}" }, "testIamPermissions": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/features/{featuresId}:testIamPermissions", "parameterOrder": [ "resource" ], "id": "gkehub.projects.locations.features.testIamPermissions", "path": "v1beta/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/features/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "response": { "$ref": "TestIamPermissionsResponse" } } } }, "memberships": { "methods": { "getIamPolicy": { "httpMethod": "GET", "path": "v1beta/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameters": { "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query" }, "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:getIamPolicy", "id": "gkehub.projects.locations.memberships.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ] }, "setIamPolicy": { "id": "gkehub.projects.locations.memberships.setIamPolicy", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "path": "v1beta/{+resource}:setIamPolicy", "httpMethod": "POST" }, "testIamPermissions": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "gkehub.projects.locations.memberships.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1beta/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." } } }, "operations": { "methods": { "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource." } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "gkehub.projects.locations.operations.get" }, "delete": { "response": { "$ref": "Empty" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gkehub.projects.locations.operations.delete", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "DELETE", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "description": "The name of the operation resource to be deleted.", "type": "string" } } }, "cancel": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "parameterOrder": [ "name" ], "path": "v1beta/{+name}:cancel", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource to be cancelled." } }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "httpMethod": "POST", "response": { "$ref": "Empty" } }, "list": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "gkehub.projects.locations.operations.list", "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "The standard list page size.", "location": "query" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "name": { "description": "The name of the operation's parent resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } } } } } } } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "documentationLink": "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster", "batchPath": "batch", "basePath": "", "description": "", "ownerName": "Google", "protocol": "rest", "schemas": { "ListLocationsResponse": { "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse" }, "ServiceMeshStatusDetails": { "description": "Structured and human-readable details for a status.", "id": "ServiceMeshStatusDetails", "properties": { "code": { "type": "string", "description": "A machine-readable code that further describes a broad status." }, "details": { "description": "Human-readable explanation of code.", "type": "string" } }, "type": "object" }, "ConfigManagementBinauthzState": { "id": "ConfigManagementBinauthzState", "description": "State for Binauthz", "type": "object", "properties": { "version": { "$ref": "ConfigManagementBinauthzVersion", "description": "The version of binauthz that is installed." }, "webhook": { "description": "The state of the binauthz webhook.", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string" } } }, "AnthosObservabilityMembershipSpec": { "description": "**Anthosobservability**: Per-Membership Feature spec.", "type": "object", "properties": { "doNotOptimizeMetrics": { "description": "use full of metrics rather than optimized metrics. See https://cloud.google.com/anthos/clusters/docs/on-prem/1.8/concepts/logging-and-monitoring#optimized_metrics_default_metrics", "type": "boolean" }, "version": { "type": "string", "description": "the version of stackdriver operator used by this feature" }, "enableStackdriverOnApplications": { "type": "boolean", "description": "enable collecting and reporting metrics and logs from user apps See go/onyx-application-metrics-logs-user-guide" } }, "id": "AnthosObservabilityMembershipSpec" }, "ConfigManagementGitConfig": { "id": "ConfigManagementGitConfig", "properties": { "syncWaitSecs": { "format": "int64", "type": "string", "description": "Period in seconds between consecutive syncs. Default: 15." }, "policyDir": { "type": "string", "description": "The path within the Git repository that represents the top level of the repo to sync. Default: the root directory of the repository." }, "syncBranch": { "description": "The branch of the repository to sync from. Default: master.", "type": "string" }, "syncRev": { "description": "Git revision (tag or hash) to check out. Default HEAD.", "type": "string" }, "gcpServiceAccountEmail": { "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount.", "type": "string" }, "httpsProxy": { "type": "string", "description": "URL for the HTTPS proxy to be used when communicating with the Git repo." }, "syncRepo": { "type": "string", "description": "The URL of the Git repository to use as the source of truth." }, "secretType": { "type": "string", "description": "Type of secret configured for access to the Git repo. Must be one of ssh, cookiefile, gcenode, token, gcpserviceaccount or none. The validation of this is case-sensitive. Required." } }, "description": "Git repo configuration for a single cluster.", "type": "object" }, "MembershipFeatureState": { "type": "object", "description": "MembershipFeatureState contains Feature status information for a single Membership.", "properties": { "state": { "description": "The high-level state of this Feature for a single membership.", "$ref": "FeatureState" }, "metering": { "description": "Metering-specific state.", "$ref": "MeteringMembershipState" }, "configmanagement": { "$ref": "ConfigManagementMembershipState", "description": "Config Management-specific state." }, "appdevexperience": { "$ref": "AppDevExperienceFeatureState", "description": "Appdevexperience specific state." }, "servicemesh": { "$ref": "ServiceMeshMembershipState", "description": "Service Mesh-specific state." }, "policycontroller": { "$ref": "PolicyControllerMembershipState", "description": "Policycontroller-specific state." }, "anthosvm": { "$ref": "AnthosVMMembershipState", "description": "AnthosVM state." }, "identityservice": { "description": "Identity Service-specific state.", "$ref": "IdentityServiceMembershipState" } }, "id": "MembershipFeatureState" }, "ConfigManagementPolicyControllerMonitoring": { "properties": { "backends": { "items": { "enum": [ "MONITORING_BACKEND_UNSPECIFIED", "PROMETHEUS", "CLOUD_MONITORING" ], "enumDescriptions": [ "Backend cannot be determined", "Prometheus backend for monitoring", "Stackdriver/Cloud Monitoring backend for monitoring" ], "type": "string" }, "description": "Specifies the list of backends Policy Controller will export to. An empty list would effectively disable metrics export.", "type": "array" } }, "description": "PolicyControllerMonitoring specifies the backends Policy Controller should export metrics to. For example, to specify metrics should be exported to Cloud Monitoring and Prometheus, specify backends: [\"cloudmonitoring\", \"prometheus\"]", "id": "ConfigManagementPolicyControllerMonitoring", "type": "object" }, "Binding": { "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } }, "id": "Binding", "type": "object", "description": "Associates `members`, or principals, with a `role`." }, "OperationMetadata": { "properties": { "endTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation finished running.", "type": "string" }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "statusDetail": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created.", "readOnly": true }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "cancelRequested": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." } }, "id": "OperationMetadata", "type": "object", "description": "Represents the metadata of the long-running operation." }, "MultiClusterIngressFeatureSpec": { "id": "MultiClusterIngressFeatureSpec", "properties": { "configMembership": { "description": "Fully-qualified Membership name which hosts the MultiClusterIngress CRD. Example: `projects/foo-proj/locations/global/memberships/bar`", "type": "string" }, "billing": { "enum": [ "BILLING_UNSPECIFIED", "PAY_AS_YOU_GO", "ANTHOS_LICENSE" ], "type": "string", "enumDescriptions": [ "Unknown", "User pays a fee per-endpoint.", "User is paying for Anthos as a whole." ], "description": "Deprecated: This field will be ignored and should not be set. Customer's billing structure." } }, "type": "object", "description": "**Multi-cluster Ingress**: The configuration for the MultiClusterIngress feature." }, "AnthosObservabilityFeatureSpec": { "type": "object", "id": "AnthosObservabilityFeatureSpec", "description": "**Anthos Observability**: Spec", "properties": { "defaultMembershipSpec": { "$ref": "AnthosObservabilityMembershipSpec", "description": "default membership spec for unconfigured memberships" } } }, "AnthosVMMembershipState": { "type": "object", "description": "AnthosVMFeatureState contains the state of the AnthosVM feature. It represents the actual state in the cluster, while the AnthosVMMembershipSpec represents the desired state.", "properties": { "localControllerState": { "$ref": "LocalControllerState", "description": "State of the local PE-controller inside the cluster" }, "subfeatureState": { "type": "array", "items": { "$ref": "AnthosVMSubFeatureState" }, "description": "List of AnthosVM subfeature states" } }, "id": "AnthosVMMembershipState" }, "MembershipFeatureSpec": { "id": "MembershipFeatureSpec", "description": "MembershipFeatureSpec contains configuration information for a single Membership.", "properties": { "anthosvm": { "description": "AnthosVM spec.", "$ref": "AnthosVMMembershipSpec" }, "policycontroller": { "description": "Policy Controller spec.", "$ref": "PolicyControllerMembershipSpec" }, "configmanagement": { "description": "Config Management-specific spec.", "$ref": "ConfigManagementMembershipSpec" }, "mesh": { "description": "Anthos Service Mesh-specific spec", "$ref": "ServiceMeshMembershipSpec" }, "anthosobservability": { "description": "Anthos Observability-specific spec", "$ref": "AnthosObservabilityMembershipSpec" }, "cloudbuild": { "$ref": "MembershipSpec", "description": "Cloud Build-specific spec" }, "identityservice": { "description": "Identity Service-specific spec.", "$ref": "IdentityServiceMembershipSpec" } }, "type": "object" }, "ConfigManagementPolicyController": { "type": "object", "description": "Configuration for Policy Controller", "id": "ConfigManagementPolicyController", "properties": { "monitoring": { "$ref": "ConfigManagementPolicyControllerMonitoring", "description": "Monitoring specifies the configuration of monitoring." }, "mutationEnabled": { "description": "Enable or disable mutation in policy controller. If true, mutation CRDs, webhook and controller deployment will be deployed to the cluster.", "type": "boolean" }, "exemptableNamespaces": { "type": "array", "description": "The set of namespaces that are excluded from Policy Controller checks. Namespaces do not need to currently exist on the cluster.", "items": { "type": "string" } }, "enabled": { "type": "boolean", "description": "Enables the installation of Policy Controller. If false, the rest of PolicyController fields take no effect." }, "referentialRulesEnabled": { "description": "Enables the ability to use Constraint Templates that reference to objects other than the object currently being evaluated.", "type": "boolean" }, "auditIntervalSeconds": { "type": "string", "format": "int64", "description": "Sets the interval for Policy Controller Audit Scans (in seconds). When set to 0, this disables audit functionality altogether." }, "templateLibraryInstalled": { "type": "boolean", "description": "Installs the default template library along with Policy Controller." }, "logDeniesEnabled": { "type": "boolean", "description": "Logs all denies and dry run failures." } } }, "ConfigManagementMembershipState": { "id": "ConfigManagementMembershipState", "description": "**Anthos Config Management**: State for a single cluster.", "properties": { "hierarchyControllerState": { "$ref": "ConfigManagementHierarchyControllerState", "description": "Hierarchy Controller status" }, "operatorState": { "$ref": "ConfigManagementOperatorState", "description": "Current install status of ACM's Operator" }, "binauthzState": { "description": "Binauthz status", "$ref": "ConfigManagementBinauthzState" }, "policyControllerState": { "$ref": "ConfigManagementPolicyControllerState", "description": "PolicyController status" }, "membershipSpec": { "$ref": "ConfigManagementMembershipSpec", "description": "Membership configuration in the cluster. This represents the actual state in the cluster, while the MembershipSpec in the FeatureSpec represents the intended state" }, "clusterName": { "description": "The user-defined name for the cluster used by ClusterSelectors to group clusters together. This should match Membership's membership_name, unless the user installed ACM on the cluster manually prior to enabling the ACM hub feature. Unique within a Anthos Config Management installation.", "type": "string" }, "configSyncState": { "description": "Current sync status", "$ref": "ConfigManagementConfigSyncState" } }, "type": "object" }, "AnthosVMSubFeatureState": { "id": "AnthosVMSubFeatureState", "type": "object", "description": "AnthosVMSubFeatureState contains the state of the AnthosVM subfeatures.", "properties": { "description": { "description": "Description represents human readable description of the subfeature state. If the deployment failed, this should also contain the reason for the failure.", "type": "string" }, "migrateState": { "$ref": "MigrateState", "description": "MigrateState represents the state of the Migrate subfeature." }, "installationState": { "type": "string", "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ], "description": "InstallationState represents the state of installation of the subfeature in the cluster.", "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ] }, "serviceMeshState": { "$ref": "ServiceMeshState", "description": "ServiceMeshState represents the state of the Service Mesh subfeature." } } }, "AppDevExperienceFeatureSpec": { "id": "AppDevExperienceFeatureSpec", "properties": {}, "description": "Spec for App Dev Experience Feature.", "type": "object" }, "Feature": { "properties": { "membershipStates": { "type": "object", "readOnly": true, "description": "Output only. Membership-specific Feature status. If this Feature does report any per-Membership status, this field may be unused. The keys indicate which Membership the state is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project number, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} MUST match the Feature's project number.", "additionalProperties": { "$ref": "MembershipFeatureState" } }, "resourceState": { "description": "Output only. State of the Feature resource itself.", "$ref": "FeatureResourceState", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "GCP labels for this Feature." }, "deleteTime": { "format": "google-datetime", "description": "Output only. When the Feature resource was deleted.", "readOnly": true, "type": "string" }, "updateTime": { "description": "Output only. When the Feature resource was last updated.", "format": "google-datetime", "type": "string", "readOnly": true }, "state": { "description": "Output only. The Hub-wide Feature state.", "readOnly": true, "$ref": "CommonFeatureState" }, "createTime": { "description": "Output only. When the Feature resource was created.", "format": "google-datetime", "readOnly": true, "type": "string" }, "spec": { "$ref": "CommonFeatureSpec", "description": "Optional. Hub-wide Feature configuration. If this Feature does not support any Hub-wide configuration, this field may be unused." }, "membershipSpecs": { "description": "Optional. Membership-specific configuration for this Feature. If this Feature does not support any per-Membership configuration, this field may be unused. The keys indicate which Membership the configuration is for, in the form: `projects/{p}/locations/{l}/memberships/{m}` Where {p} is the project, {l} is a valid location and {m} is a valid Membership in this project at that location. {p} WILL match the Feature's project. {p} will always be returned as the project number, but the project ID is also accepted during input. If the same Membership is specified in the map twice (using the project ID form, and the project number form), exactly ONE of the entries will be saved, with no guarantees as to which. For this reason, it is recommended the same format be used for all entries when mutating a Feature.", "type": "object", "additionalProperties": { "$ref": "MembershipFeatureSpec" } }, "name": { "description": "Output only. The full, unique name of this Feature resource in the format `projects/*/locations/*/features/*`.", "readOnly": true, "type": "string" } }, "id": "Feature", "description": "Feature represents the settings and status of any Hub Feature.", "type": "object" }, "ConfigManagementOperatorState": { "type": "object", "properties": { "version": { "description": "The semenatic version number of the operator", "type": "string" }, "deploymentState": { "description": "The state of the Operator's deployment", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string" }, "errors": { "description": "Install errors.", "type": "array", "items": { "$ref": "ConfigManagementInstallError" } } }, "description": "State information for an ACM's Operator", "id": "ConfigManagementOperatorState" }, "ConfigManagementConfigSyncState": { "type": "object", "description": "State information for ConfigSync", "id": "ConfigManagementConfigSyncState", "properties": { "deploymentState": { "description": "Information about the deployment of ConfigSync, including the version of the various Pods deployed", "$ref": "ConfigManagementConfigSyncDeploymentState" }, "syncState": { "$ref": "ConfigManagementSyncState", "description": "The state of ConfigSync's process to sync configs to a cluster" }, "version": { "description": "The version of ConfigSync deployed", "$ref": "ConfigManagementConfigSyncVersion" } } }, "ConfigManagementBinauthzVersion": { "type": "object", "properties": { "webhookVersion": { "type": "string", "description": "The version of the binauthz webhook." } }, "id": "ConfigManagementBinauthzVersion", "description": "The version of binauthz." }, "PolicyControllerMembershipState": { "properties": { "state": { "enumDescriptions": [ "The lifecycle state is unspecified.", "The PC does not exist on the given cluster, and no k8s resources of any type that are associated with the PC should exist there. The cluster does not possess a membership with the PCH.", "The PCH possesses a Membership, however the PC is not fully installed on the cluster. In this state the hub can be expected to be taking actions to install the PC on the cluster.", "The PC is fully installed on the cluster and in an operational mode. In this state PCH will be reconciling state with the PC, and the PC will be performing it’s operational tasks per that software. Entering a READY state requires that the hub has confirmed the PC is installed and its pods are operational with the version of the PC the PCH expects.", "The PC is fully installed, but in the process of changing the configuration (including changing the version of PC either up and down, or modifying the manifests of PC) of the resources running on the cluster. The PCH has a Membership, is aware of the version the cluster should be running in, but has not confirmed for itself that the PC is running with that version.", "The PC may have resources on the cluster, but the PCH wishes to remove the Membership. The Membership still exists.", "The PC is not operational, and the PCH is unable to act to make it operational. Entering a CLUSTER_ERROR state happens automatically when the PCH determines that a PC installed on the cluster is non-operative or that the cluster does not meet requirements set for the PCH to administer the cluster but has nevertheless been given an instruction to do so (such as ‘install’).", "In this state, the PC may still be operational, and only the PCH is unable to act. The hub should not issue instructions to change the PC state, or otherwise interfere with the on-cluster resources. Entering a HUB_ERROR state happens automatically when the PCH determines the hub is in an unhealthy state and it wishes to ‘take hands off’ to avoid corrupting the PC or other data." ], "description": "The lifecycle state Policy Controller is in.", "type": "string", "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLING", "ACTIVE", "UPDATING", "DECOMISSIONING", "CLUSTER_ERROR", "HUB_ERROR" ] }, "policyControllerHubState": { "description": "Policy Controller state observed by the Policy Controller Hub", "$ref": "PolicyControllerHubState" }, "clusterName": { "description": "The user-defined name for the cluster used by ClusterSelectors to group clusters together. This should match Membership's membership_name, unless the user installed PC on the cluster manually prior to enabling the PC hub feature. Unique within a Policy Controller installation.", "type": "string" }, "membershipSpec": { "$ref": "PolicyControllerMembershipSpec", "description": "Membership configuration in the cluster. This represents the actual state in the cluster, while the MembershipSpec in the FeatureSpec represents the intended state" } }, "id": "PolicyControllerMembershipState", "description": "**Policy Controller**: State for a single cluster.", "type": "object" }, "PolicyControllerHubConfig": { "description": "Configuration for Policy Controller", "type": "object", "id": "PolicyControllerHubConfig", "properties": { "logDeniesEnabled": { "description": "Logs all denies and dry run failures.", "type": "boolean" }, "exemptableNamespaces": { "type": "array", "description": "The set of namespaces that are excluded from Policy Controller checks. Namespaces do not need to currently exist on the cluster.", "items": { "type": "string" } }, "referentialRulesEnabled": { "type": "boolean", "description": "Enables the ability to use Constraint Templates that reference to objects other than the object currently being evaluated." }, "templateLibraryConfig": { "description": "Configures the library templates to install along with Policy Controller.", "$ref": "PolicyControllerTemplateLibraryConfig" }, "monitoring": { "$ref": "PolicyControllerMonitoringConfig", "description": "Monitoring specifies the configuration of monitoring." }, "auditIntervalSeconds": { "type": "string", "format": "int64", "description": "Sets the interval for Policy Controller Audit Scans (in seconds). When set to 0, this disables audit functionality altogether." }, "installSpec": { "enumDescriptions": [ "Spec is unknown.", "Request to uninstall Policy Controller.", "Request to install and enable Policy Controller.", "Request to disable Policy Controller. If Policy Controller is not installed, it will be installed but disabled." ], "description": "The install_spec represents the intended state specified by the latest request that mutated install_spec in the feature spec, not the lifecycle state of the feature observed by the Hub feature controller that is reported in the feature state.", "enum": [ "INSTALL_SPEC_UNSPECIFIED", "INSTALL_SPEC_NOT_INSTALLED", "INSTALL_SPEC_ENABLED", "INSTALL_SPEC_DISABLED" ], "type": "string" } } }, "PolicyControllerMembershipSpec": { "description": "**Policy Controller**: Configuration for a single cluster. Intended to parallel the PolicyController CR.", "properties": { "policyControllerHubConfig": { "description": "Policy Controller configuration for the cluster.", "$ref": "PolicyControllerHubConfig" }, "version": { "type": "string", "description": "Version of Policy Controller installed." } }, "type": "object", "id": "PolicyControllerMembershipSpec" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } } }, "ServiceMeshControlPlaneManagement": { "description": "Status of control plane management.", "id": "ServiceMeshControlPlaneManagement", "type": "object", "properties": { "details": { "type": "array", "description": "Explanation of state.", "items": { "$ref": "ServiceMeshStatusDetails" } }, "state": { "enum": [ "LIFECYCLE_STATE_UNSPECIFIED", "DISABLED", "FAILED_PRECONDITION", "PROVISIONING", "ACTIVE", "STALLED", "NEEDS_ATTENTION", "DEGRADED" ], "description": "LifecycleState of control plane management.", "type": "string", "enumDescriptions": [ "Unspecified", "DISABLED means that the component is not enabled.", "FAILED_PRECONDITION means that provisioning cannot proceed because of some characteristic of the member cluster.", "PROVISIONING means that provisioning is in progress.", "ACTIVE means that the component is ready for use.", "STALLED means that provisioning could not be done.", "NEEDS_ATTENTION means that the component is ready, but some user intervention is required. (For example that the user should migrate workloads to a new control plane revision.)", "DEGRADED means that the component is ready, but operating in a degraded state." ] } } }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } } }, "PolicyControllerHubState": { "properties": { "deploymentStates": { "type": "object", "additionalProperties": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "DEPLOYMENT_STATE_NOT_INSTALLED", "DEPLOYMENT_STATE_INSTALLED", "DEPLOYMENT_STATE_ERROR" ] }, "description": "Map from deployment name to deployment state. Example deployments are gatekeeper-controller-manager, gatekeeper-audit deployment, and gatekeeper-mutation." }, "version": { "description": "The version of Gatekeeper Policy Controller deployed.", "$ref": "PolicyControllerHubVersion" } }, "id": "PolicyControllerHubState", "description": "State of the Policy Controller.", "type": "object" }, "LocalControllerState": { "id": "LocalControllerState", "description": "LocalControllerState contains the state of the local controller deployed in the cluster.", "type": "object", "properties": { "description": { "description": "Description represents the human readable description of the current state of the local PE controller", "type": "string" }, "installationState": { "enum": [ "INSTALLATION_STATE_UNSPECIFIED", "INSTALLATION_STATE_NOT_INSTALLED", "INSTALLATION_STATE_INSTALLED", "INSTALLATION_STATE_FAILED" ], "description": "InstallationState represents the state of deployment of the local PE controller in the cluster.", "enumDescriptions": [ "state of installation is unknown", "component is not installed", "component is successfully installed", "installation failed" ], "type": "string" } } }, "ConfigManagementSyncError": { "description": "An ACM created error representing a problem syncing configurations", "type": "object", "id": "ConfigManagementSyncError", "properties": { "errorMessage": { "type": "string", "description": "A description of the error" }, "code": { "type": "string", "description": "An ACM defined error code" }, "errorResources": { "type": "array", "items": { "$ref": "ConfigManagementErrorResource" }, "description": "A list of config(s) associated with the error, if any" } } }, "ConfigManagementPolicyControllerVersion": { "properties": { "version": { "type": "string", "description": "The gatekeeper image tag that is composed of ACM version, git tag, build number." } }, "type": "object", "description": "The build version of Gatekeeper Policy Controller is using.", "id": "ConfigManagementPolicyControllerVersion" }, "ConfigManagementHierarchyControllerDeploymentState": { "properties": { "extension": { "description": "The deployment state for Hierarchy Controller extension (e.g. v0.7.0-hc.1)", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string" }, "hnc": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "The deployment state for open source HNC (e.g. v0.7.0-hc.0)" } }, "description": "Deployment state for Hierarchy Controller", "id": "ConfigManagementHierarchyControllerDeploymentState", "type": "object" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "CancelOperationRequest", "type": "object" }, "SetIamPolicyRequest": { "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } }, "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method.", "type": "object" }, "Location": { "id": "Location", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" } }, "description": "A resource that represents Google Cloud Platform location." }, "MembershipSpec": { "description": "**Cloud Build**: Configurations for each Cloud Build enabled cluster.", "type": "object", "properties": { "version": { "description": "Version of the cloud build software on the cluster.", "type": "string" }, "securityPolicy": { "enum": [ "SECURITY_POLICY_UNSPECIFIED", "NON_PRIVILEGED", "PRIVILEGED" ], "enumDescriptions": [ "Unspecified policy", "Privileged build pods are disallowed", "Privileged build pods are allowed" ], "description": "Whether it is allowed to run the privileged builds on the cluster or not.", "type": "string" } }, "id": "MembershipSpec" }, "AuditLogConfig": { "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "exemptedMembers": { "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array" }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables." } }, "id": "AuditLogConfig" }, "TestIamPermissionsResponse": { "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse" }, "FeatureResourceState": { "description": "FeatureResourceState describes the state of a Feature *resource* in the GkeHub API. See `FeatureState` for the \"running state\" of the Feature in the Hub and across Memberships.", "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "ENABLING", "ACTIVE", "DISABLING", "UPDATING", "SERVICE_UPDATING" ], "type": "string", "enumDescriptions": [ "State is unknown or not set.", "The Feature is being enabled, and the Feature resource is being created. Once complete, the corresponding Feature will be enabled in this Hub.", "The Feature is enabled in this Hub, and the Feature resource is fully available.", "The Feature is being disabled in this Hub, and the Feature resource is being deleted.", "The Feature resource is being updated.", "The Feature resource is being updated by the Hub Service." ], "description": "The current state of the Feature resource in the Hub API." } }, "id": "FeatureResourceState", "type": "object" }, "Operation": { "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "AnthosVMSubFeatureSpec": { "description": "AnthosVMSubFeatureSpec contains the subfeature configuration for a membership/cluster.", "properties": { "enabled": { "type": "boolean", "description": "Indicates whether the subfeature should be enabled on the cluster or not. If set to true, the subfeature's control plane and resources will be installed in the cluster. If set to false, the oneof spec if present will be ignored and nothing will be installed in the cluster." }, "migrateSpec": { "description": "MigrateSpec repsents the configuration for Migrate subfeature.", "$ref": "MigrateSpec" }, "serviceMeshSpec": { "$ref": "ServiceMeshSpec", "description": "ServiceMeshSpec repsents the configuration for Service Mesh subfeature." } }, "type": "object", "id": "AnthosVMSubFeatureSpec" }, "ServiceMeshMembershipState": { "description": "**Service Mesh**: State for a single Membership, as analyzed by the Service Mesh Hub Controller.", "properties": { "controlPlaneManagement": { "readOnly": true, "description": "Output only. Status of control plane management", "$ref": "ServiceMeshControlPlaneManagement" } }, "id": "ServiceMeshMembershipState", "type": "object" }, "PolicyControllerHubVersion": { "properties": { "version": { "description": "The gatekeeper image tag that is composed of ACM version, git tag, build number.", "type": "string" } }, "type": "object", "description": "The build version of Gatekeeper that Policy Controller is using.", "id": "PolicyControllerHubVersion" }, "Status": { "id": "Status", "description": "Status specifies state for the subcomponent.", "properties": { "code": { "enum": [ "CODE_UNSPECIFIED", "OK", "FAILED", "UNKNOWN" ], "enumDescriptions": [ "Not set.", "AppDevExperienceFeature's specified subcomponent is ready.", "AppDevExperienceFeature's specified subcomponent ready state is false. This means AppDevExperienceFeature has encountered an issue that blocks all, or a portion, of its normal operation. See the `description` for more details.", "AppDevExperienceFeature's specified subcomponent has a pending or unknown state." ], "description": "Code specifies AppDevExperienceFeature's subcomponent ready state.", "type": "string" }, "description": { "type": "string", "description": "Description is populated if Code is Failed, explaining why it has failed." } }, "type": "object" }, "ConfigManagementOciConfig": { "id": "ConfigManagementOciConfig", "description": "OCI repo configuration for a single cluster", "type": "object", "properties": { "syncRepo": { "type": "string", "description": "The OCI image repository URL for the package to sync from. e.g. `LOCATION-docker.pkg.dev/PROJECT_ID/REPOSITORY_NAME/PACKAGE_NAME`." }, "syncWaitSecs": { "description": "Period in seconds between consecutive syncs. Default: 15.", "format": "int64", "type": "string" }, "policyDir": { "type": "string", "description": "The absolute path of the directory that contains the local resources. Default: the root directory of the image." }, "gcpServiceAccountEmail": { "description": "The GCP Service Account Email used for auth when secret_type is gcpServiceAccount.", "type": "string" }, "secretType": { "type": "string", "description": "Type of secret configured for access to the Git repo." } } }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "description": "Request message for `TestIamPermissions` method.", "type": "object" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "id": "Empty" }, "MeteringMembershipState": { "properties": { "preciseLastMeasuredClusterVcpuCapacity": { "description": "The vCPUs capacity in the cluster according to the most recent measurement (1/1000 precision).", "format": "float", "type": "number" }, "lastMeasurementTime": { "type": "string", "description": "The time stamp of the most recent measurement of the number of vCPUs in the cluster.", "format": "google-datetime" } }, "id": "MeteringMembershipState", "description": "**Metering**: Per-Membership Feature State.", "type": "object" }, "ServiceMeshMembershipSpec": { "properties": { "controlPlane": { "enumDescriptions": [ "Unspecified", "Google should provision a control plane revision and make it available in the cluster. Google will enroll this revision in a release channel and keep it up to date. The control plane revision may be a managed service, or a managed install.", "User will manually configure the control plane (e.g. via CLI, or via the ControlPlaneRevision KRM API)" ], "enum": [ "CONTROL_PLANE_MANAGEMENT_UNSPECIFIED", "AUTOMATIC", "MANUAL" ], "description": "Enables automatic control plane management.", "type": "string" } }, "description": "**Service Mesh**: Spec for a single Membership for the servicemesh feature", "id": "ServiceMeshMembershipSpec", "type": "object" }, "ConfigManagementConfigSync": { "id": "ConfigManagementConfigSync", "type": "object", "properties": { "oci": { "description": "OCI repo configuration for the cluster", "$ref": "ConfigManagementOciConfig" }, "git": { "description": "Git repo configuration for the cluster.", "$ref": "ConfigManagementGitConfig" }, "sourceFormat": { "description": "Specifies whether the Config Sync Repo is in “hierarchical” or “unstructured” mode.", "type": "string" }, "preventDrift": { "type": "boolean", "description": "Set to true to enable the Config Sync admission webhook to prevent drifts. If set to `false`, disables the Config Sync admission webhook and does not prevent drifts." }, "enabled": { "type": "boolean", "description": "Enables the installation of ConfigSync. If set to true, ConfigSync resources will be created and the other ConfigSync fields will be applied if exist. If set to false, all other ConfigSync fields will be ignored, ConfigSync resources will be deleted. If omitted, ConfigSync resources will be managed depends on the presence of git field." } }, "description": "Configuration for Config Sync" }, "ListFeaturesResponse": { "id": "ListFeaturesResponse", "type": "object", "properties": { "resources": { "type": "array", "items": { "$ref": "Feature" }, "description": "The list of matching Features" }, "nextPageToken": { "description": "A token to request the next page of resources from the `ListFeatures` method. The value of an empty string means that there are no more resources to return.", "type": "string" } }, "description": "Response message for the `GkeHub.ListFeatures` method." }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "id": "AuditConfig" }, "AppDevExperienceFeatureState": { "type": "object", "properties": { "networkingInstallSucceeded": { "$ref": "Status", "description": "Status of subcomponent that detects configured Service Mesh resources." } }, "description": "State for App Dev Exp Feature.", "id": "AppDevExperienceFeatureState" }, "ServiceMeshSpec": { "description": "ServiceMeshSpec contains the serviceMesh subfeature configuration.", "properties": {}, "id": "ServiceMeshSpec", "type": "object" }, "IdentityServiceMembershipState": { "type": "object", "properties": { "failureReason": { "type": "string", "description": "The reason of the failure." }, "installedVersion": { "description": "Installed AIS version. This is the AIS version installed on this member. The values makes sense iff state is OK.", "type": "string" }, "state": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "OK", "ERROR" ], "enumDescriptions": [ "Unspecified state", "deployment succeeds", "Failure with error." ], "type": "string", "description": "Deployment state on this member" }, "memberConfig": { "$ref": "IdentityServiceMembershipSpec", "description": "Last reconciled membership configuration" } }, "id": "IdentityServiceMembershipState", "description": "**Anthos Identity Service**: State for a single Membership." }, "ConfigManagementBinauthzConfig": { "type": "object", "properties": { "enabled": { "description": "Whether binauthz is enabled in this cluster.", "type": "boolean" } }, "description": "Configuration for Binauthz", "id": "ConfigManagementBinauthzConfig" }, "MigrateSpec": { "description": "MigrateSpec contains the migrate subfeature configuration.", "properties": {}, "type": "object", "id": "MigrateSpec" }, "ConfigManagementHierarchyControllerVersion": { "properties": { "hnc": { "description": "Version for open source HNC", "type": "string" }, "extension": { "type": "string", "description": "Version for Hierarchy Controller extension" } }, "type": "object", "description": "Version for Hierarchy Controller", "id": "ConfigManagementHierarchyControllerVersion" }, "IdentityServiceMembershipSpec": { "properties": { "authMethods": { "description": "A member may support multiple auth methods.", "type": "array", "items": { "$ref": "IdentityServiceAuthMethod" } } }, "description": "**Anthos Identity Service**: Configuration for a single Membership.", "type": "object", "id": "IdentityServiceMembershipSpec" }, "CommonFeatureSpec": { "id": "CommonFeatureSpec", "description": "CommonFeatureSpec contains Hub-wide configuration information", "type": "object", "properties": { "multiclusteringress": { "description": "Multicluster Ingress-specific spec.", "$ref": "MultiClusterIngressFeatureSpec" }, "appdevexperience": { "description": "Appdevexperience specific spec.", "$ref": "AppDevExperienceFeatureSpec" }, "anthosobservability": { "description": "Anthos Observability spec", "$ref": "AnthosObservabilityFeatureSpec" } } }, "ConfigManagementConfigSyncVersion": { "properties": { "importer": { "description": "Version of the deployed importer pod", "type": "string" }, "monitor": { "description": "Version of the deployed monitor pod", "type": "string" }, "gitSync": { "description": "Version of the deployed git-sync pod", "type": "string" }, "rootReconciler": { "type": "string", "description": "Version of the deployed reconciler container in root-reconciler pod" }, "syncer": { "description": "Version of the deployed syncer pod", "type": "string" }, "reconcilerManager": { "type": "string", "description": "Version of the deployed reconciler-manager pod" }, "admissionWebhook": { "type": "string", "description": "Version of the deployed admission_webhook pod" } }, "description": "Specific versioning information pertaining to ConfigSync's Pods", "type": "object", "id": "ConfigManagementConfigSyncVersion" }, "ServiceMeshState": { "description": "ServiceMeshState contains the state of Service Mesh subfeature", "id": "ServiceMeshState", "properties": {}, "type": "object" }, "ConfigManagementErrorResource": { "id": "ConfigManagementErrorResource", "properties": { "resourceNamespace": { "description": "Namespace of the resource that is causing an error", "type": "string" }, "sourcePath": { "type": "string", "description": "Path in the git repo of the erroneous config" }, "resourceGvk": { "$ref": "ConfigManagementGroupVersionKind", "description": "Group/version/kind of the resource that is causing an error" }, "resourceName": { "description": "Metadata name of the resource that is causing an error", "type": "string" } }, "type": "object", "description": "Model for a config file in the git repo with an associated Sync error" }, "AnthosVMMembershipSpec": { "type": "object", "description": "AnthosVMMembershipSpec contains the AnthosVM feature configuration for a membership/cluster.", "id": "AnthosVMMembershipSpec", "properties": { "subfeaturesSpec": { "description": "List of configurations of the Anthos For VM subfeatures that are to be enabled", "items": { "$ref": "AnthosVMSubFeatureSpec" }, "type": "array" } } }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "id": "ListOperationsResponse" }, "ConfigManagementHierarchyControllerState": { "properties": { "state": { "description": "The deployment state for Hierarchy Controller", "$ref": "ConfigManagementHierarchyControllerDeploymentState" }, "version": { "$ref": "ConfigManagementHierarchyControllerVersion", "description": "The version for Hierarchy Controller" } }, "type": "object", "description": "State for Hierarchy Controller", "id": "ConfigManagementHierarchyControllerState" }, "CommonFeatureState": { "type": "object", "id": "CommonFeatureState", "properties": { "state": { "$ref": "FeatureState", "readOnly": true, "description": "Output only. The \"running state\" of the Feature in this Hub." }, "appdevexperience": { "$ref": "AppDevExperienceFeatureState", "description": "Appdevexperience specific state." } }, "description": "CommonFeatureState contains Hub-wide Feature status information." }, "Policy": { "type": "object", "id": "Policy", "properties": { "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "ConfigManagementHierarchyControllerConfig": { "id": "ConfigManagementHierarchyControllerConfig", "properties": { "enablePodTreeLabels": { "type": "boolean", "description": "Whether pod tree labels are enabled in this cluster." }, "enabled": { "type": "boolean", "description": "Whether Hierarchy Controller is enabled in this cluster." }, "enableHierarchicalResourceQuota": { "description": "Whether hierarchical resource quota is enabled in this cluster.", "type": "boolean" } }, "type": "object", "description": "Configuration for Hierarchy Controller" }, "ConfigManagementGroupVersionKind": { "description": "A Kubernetes object's GVK", "id": "ConfigManagementGroupVersionKind", "type": "object", "properties": { "kind": { "type": "string", "description": "Kubernetes Kind" }, "version": { "type": "string", "description": "Kubernetes Version" }, "group": { "description": "Kubernetes Group", "type": "string" } } }, "ConfigManagementInstallError": { "type": "object", "description": "Errors pertaining to the installation of ACM", "properties": { "errorMessage": { "type": "string", "description": "A string representing the user facing error message" } }, "id": "ConfigManagementInstallError" }, "PolicyControllerTemplateLibraryConfig": { "properties": { "included": { "description": "Whether the standard template library should be installed or not.", "type": "boolean" } }, "id": "PolicyControllerTemplateLibraryConfig", "type": "object", "description": "The config specifying which default library templates to install." }, "MigrateState": { "id": "MigrateState", "type": "object", "properties": {}, "description": "MigrateState contains the state of Migrate subfeature" }, "PolicyControllerMonitoringConfig": { "id": "PolicyControllerMonitoringConfig", "properties": { "backends": { "type": "array", "items": { "enumDescriptions": [ "Backend cannot be determined", "Prometheus backend for monitoring", "Stackdriver/Cloud Monitoring backend for monitoring" ], "enum": [ "MONITORING_BACKEND_UNSPECIFIED", "PROMETHEUS", "CLOUD_MONITORING" ], "type": "string" }, "description": "Specifies the list of backends Policy Controller will export to. An empty list would effectively disable metrics export." } }, "type": "object", "description": "MonitoringConfig specifies the backends Policy Controller should export metrics to. For example, to specify metrics should be exported to Cloud Monitoring and Prometheus, specify backends: [\"cloudmonitoring\", \"prometheus\"]" }, "ConfigManagementPolicyControllerState": { "description": "State for PolicyControllerState.", "id": "ConfigManagementPolicyControllerState", "properties": { "version": { "description": "The version of Gatekeeper Policy Controller deployed.", "$ref": "ConfigManagementPolicyControllerVersion" }, "deploymentState": { "$ref": "ConfigManagementGatekeeperDeploymentState", "description": "The state about the policy controller installation." } }, "type": "object" }, "FeatureState": { "id": "FeatureState", "properties": { "description": { "type": "string", "description": "A human-readable description of the current status." }, "code": { "enum": [ "CODE_UNSPECIFIED", "OK", "WARNING", "ERROR" ], "type": "string", "enumDescriptions": [ "Unknown or not set.", "The Feature is operating normally.", "The Feature has encountered an issue, and is operating in a degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information.", "The Feature is not operating or is in a severely degraded state. The Feature may need intervention to return to normal operation. See the description and any associated Feature-specific details for more information." ], "description": "The high-level, machine-readable status of this Feature." }, "updateTime": { "description": "The time this status and any related Feature-specific details were updated.", "format": "google-datetime", "type": "string" } }, "description": "FeatureState describes the high-level state of a Feature. It may be used to describe a Feature's state at the environ-level, or per-membershop, depending on the context.", "type": "object" }, "ConfigManagementGatekeeperDeploymentState": { "type": "object", "id": "ConfigManagementGatekeeperDeploymentState", "description": "State of Policy Controller installation.", "properties": { "gatekeeperControllerManagerState": { "type": "string", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "description": "Status of gatekeeper-controller-manager pod.", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "gatekeeperAudit": { "type": "string", "description": "Status of gatekeeper-audit deployment.", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] } } }, "ConfigManagementConfigSyncDeploymentState": { "properties": { "gitSync": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Deployment state of the git-sync pod", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string" }, "importer": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Deployment state of the importer pod" }, "admissionWebhook": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "description": "Deployment state of admission-webhook", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ] }, "monitor": { "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "type": "string", "description": "Deployment state of the monitor pod", "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] }, "syncer": { "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ], "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "description": "Deployment state of the syncer pod" }, "rootReconciler": { "type": "string", "description": "Deployment state of root-reconciler", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] }, "reconcilerManager": { "description": "Deployment state of reconciler-manager pod", "type": "string", "enum": [ "DEPLOYMENT_STATE_UNSPECIFIED", "NOT_INSTALLED", "INSTALLED", "ERROR" ], "enumDescriptions": [ "Deployment's state cannot be determined", "Deployment is not installed", "Deployment is installed", "Deployment was attempted to be installed, but has errors" ] } }, "type": "object", "description": "The state of ConfigSync's deployment on a cluster", "id": "ConfigManagementConfigSyncDeploymentState" }, "IdentityServiceAuthMethod": { "description": "Configuration of an auth method for a member/cluster. Only one authentication method (e.g., OIDC and LDAP) can be set per AuthMethod.", "id": "IdentityServiceAuthMethod", "type": "object", "properties": { "oidcConfig": { "$ref": "IdentityServiceOidcConfig", "description": "OIDC specific configuration." }, "name": { "description": "Identifier for auth config.", "type": "string" }, "proxy": { "description": "Proxy server address to use for auth method.", "type": "string" } } }, "ConfigManagementMembershipSpec": { "id": "ConfigManagementMembershipSpec", "properties": { "binauthz": { "description": "Binauthz conifguration for the cluster.", "$ref": "ConfigManagementBinauthzConfig" }, "policyController": { "description": "Policy Controller configuration for the cluster.", "$ref": "ConfigManagementPolicyController" }, "version": { "description": "Version of ACM installed.", "type": "string" }, "configSync": { "description": "Config Sync configuration for the cluster.", "$ref": "ConfigManagementConfigSync" }, "hierarchyController": { "description": "Hierarchy Controller configuration for the cluster.", "$ref": "ConfigManagementHierarchyControllerConfig" } }, "type": "object", "description": "**Anthos Config Management**: Configuration for a single cluster. Intended to parallel the ConfigManagement CR." }, "ConfigManagementSyncState": { "type": "object", "properties": { "sourceToken": { "type": "string", "description": "Token indicating the state of the repo." }, "lastSyncTime": { "type": "string", "description": "Timestamp type of when ACM last successfully synced the repo", "format": "google-datetime" }, "code": { "description": "Sync status code", "enumDescriptions": [ "ACM cannot determine a sync code", "ACM successfully synced the git Repo with the cluster", "ACM is in the progress of syncing a new change", "Indicates an error configuring ACM, and user action is required", "ACM has been installed (operator manifest deployed), but not configured.", "ACM has not been installed (no operator pod found)", "Error authorizing with the cluster", "Cluster could not be reached" ], "enum": [ "SYNC_CODE_UNSPECIFIED", "SYNCED", "PENDING", "ERROR", "NOT_CONFIGURED", "NOT_INSTALLED", "UNAUTHORIZED", "UNREACHABLE" ], "type": "string" }, "importToken": { "description": "Token indicating the state of the importer.", "type": "string" }, "lastSync": { "type": "string", "description": "Deprecated: use last_sync_time instead. Timestamp of when ACM last successfully synced the repo The time format is specified in https://golang.org/pkg/time/#Time.String" }, "syncToken": { "description": "Token indicating the state of the syncer.", "type": "string" }, "errors": { "items": { "$ref": "ConfigManagementSyncError" }, "description": "A list of errors resulting from problematic configs. This list will be truncated after 100 errors, although it is unlikely for that many errors to simultaneously exist.", "type": "array" } }, "id": "ConfigManagementSyncState", "description": "State indicating an ACM's progress syncing configurations to a cluster" }, "IdentityServiceOidcConfig": { "properties": { "userClaim": { "description": "Claim in OIDC ID token that holds username.", "type": "string" }, "groupPrefix": { "type": "string", "description": "Prefix to prepend to group name." }, "groupsClaim": { "type": "string", "description": "Claim in OIDC ID token that holds group information." }, "userPrefix": { "description": "Prefix to prepend to user name.", "type": "string" }, "extraParams": { "type": "string", "description": "Comma-separated list of key-value pairs." }, "deployCloudConsoleProxy": { "type": "boolean", "description": "Flag to denote if reverse proxy is used to connect to auth provider. This flag should be set to true when provider is not reachable by Google Cloud Console." }, "kubectlRedirectUri": { "description": "Registered redirect uri to redirect users going through OAuth flow using kubectl plugin.", "type": "string" }, "encryptedClientSecret": { "description": "Output only. Encrypted OIDC Client secret", "readOnly": true, "type": "string", "format": "byte" }, "clientId": { "type": "string", "description": "ID for OIDC client application." }, "scopes": { "description": "Comma-separated list of identifiers.", "type": "string" }, "clientSecret": { "type": "string", "description": "Input only. Unencrypted OIDC client secret will be passed to the GKE Hub CLH." }, "issuerUri": { "description": "URI for the OIDC provider. This should point to the level below .well-known/openid-configuration.", "type": "string" }, "certificateAuthorityData": { "description": "PEM-encoded CA for OIDC provider.", "type": "string" } }, "id": "IdentityServiceOidcConfig", "description": "Configuration for OIDC Auth flow.", "type": "object" } }, "ownerDomain": "google.com", "name": "gkehub", "baseUrl": "https://gkehub.googleapis.com/", "revision": "20220628", "title": "GKE Hub API", "mtlsRootUrl": "https://gkehub.mtls.googleapis.com/", "rootUrl": "https://gkehub.googleapis.com/", "version_module": true, "kind": "discovery#restDescription", "id": "gkehub:v1beta", "version": "v1beta" }
]===]))
