local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://gkehub.mtls.googleapis.com/", "version": "v1beta1", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "canonicalName": "GKE Hub", "servicePath": "", "basePath": "", "ownerDomain": "google.com", "protocol": "rest", "id": "gkehub:v1beta1", "batchPath": "batch", "revision": "20220628", "ownerName": "Google", "discoveryVersion": "v1", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "id": "gkehub.projects.locations.get", "parameters": { "name": { "description": "Resource name for the location.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "description": "Gets information about a location.", "response": { "$ref": "Location" } }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "name": { "location": "path", "pattern": "^projects/[^/]+$", "type": "string", "description": "The resource that owns the locations collection, if applicable.", "required": true }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "gkehub.projects.locations.list", "description": "Lists information about the supported locations for this service.", "path": "v1beta1/{+name}/locations", "httpMethod": "GET" } }, "resources": { "memberships": { "methods": { "setIamPolicy": { "id": "gkehub.projects.locations.memberships.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "path": "v1beta1/{+resource}:setIamPolicy", "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:setIamPolicy", "httpMethod": "POST" }, "validateExclusivity": { "id": "gkehub.projects.locations.memberships.validateExclusivity", "path": "v1beta1/{+parent}/memberships:validateExclusivity", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "crManifest": { "description": "Optional. The YAML of the membership CR in the cluster. Empty if the membership CR does not exist.", "type": "string", "location": "query" }, "parent": { "description": "Required. The parent (project and location) where the Memberships will be created. Specified in the format `projects/*/locations/*`.", "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" }, "intendedMembership": { "description": "Required. The intended membership name under the `parent`. This method only does validation in anticipation of a CreateMembership call with the same name.", "type": "string", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "ValidateExclusivityResponse" }, "description": "ValidateExclusivity validates the state of exclusivity in the cluster. The validation does not depend on an existing Hub membership resource.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships:validateExclusivity" }, "generateExclusivityManifest": { "path": "v1beta1/{+name}:generateExclusivityManifest", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "GenerateExclusivityManifestResponse" }, "parameters": { "crManifest": { "description": "Optional. The YAML manifest of the membership CR retrieved by `kubectl get memberships membership`. Leave empty if the resource does not exist.", "location": "query", "type": "string" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "type": "string", "location": "path" }, "crdManifest": { "location": "query", "description": "Optional. The YAML manifest of the membership CRD retrieved by `kubectl get customresourcedefinitions membership`. Leave empty if the resource does not exist.", "type": "string" } }, "description": "GenerateExclusivityManifest generates the manifests to update the exclusivity artifacts in the cluster if needed. Exclusivity artifacts include the Membership custom resource definition (CRD) and the singleton Membership custom resource (CR). Combined with ValidateExclusivity, exclusivity artifacts guarantee that a Kubernetes cluster is only registered to a single GKE Hub. The Membership CRD is versioned, and may require conversion when the GKE Hub API server begins serving a newer version of the CRD and corresponding CR. The response will be the converted CRD and CR if there are any differences between the versions.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:generateExclusivityManifest", "id": "gkehub.projects.locations.memberships.generateExclusivityManifest" }, "getIamPolicy": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "location": "path", "required": true }, "options.requestedPolicyVersion": { "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32" } }, "id": "gkehub.projects.locations.memberships.getIamPolicy" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships", "response": { "$ref": "Operation" }, "httpMethod": "POST", "id": "gkehub.projects.locations.memberships.create", "parameterOrder": [ "parent" ], "description": "Creates a new Membership. **This is currently only supported for GKE clusters on Google Cloud**. To register other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster.", "parameters": { "membershipId": { "type": "string", "description": "Required. Client chosen ID for the membership. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters.", "location": "query" }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent (project and location) where the Memberships will be created. Specified in the format `projects/*/locations/*`.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Membership" }, "path": "v1beta1/{+parent}/memberships" }, "delete": { "id": "gkehub.projects.locations.memberships.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "required": true }, "requestId": { "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Removes a Membership. **This is currently only supported for GKE clusters on Google Cloud**. To unregister other clusters, follow the instructions at https://cloud.google.com/anthos/multicluster-management/connect/unregistering-a-cluster.", "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:testIamPermissions", "id": "gkehub.projects.locations.memberships.testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string" } }, "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" } }, "generateConnectManifest": { "response": { "$ref": "GenerateConnectManifestResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}:generateConnectManifest", "id": "gkehub.projects.locations.memberships.generateConnectManifest", "description": "Generates the manifest for deployment of the GKE connect agent. **This method is used internally by Google-provided libraries.** Most clients should not need to call this method directly.", "path": "v1beta1/{+name}:generateConnectManifest", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "imagePullSecretContent": { "location": "query", "description": "Optional. The image pull secret content for the registry, if not public.", "format": "byte", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name the Agent will associate with, in the format `projects/*/locations/*/memberships/*`.", "type": "string", "location": "path", "required": true }, "connectAgent.namespace": { "type": "string", "description": "Optional. Namespace for GKE Connect agent resources. Defaults to `gke-connect`. The Connect Agent is authorized automatically when run in the default namespace. Otherwise, explicit authorization must be granted with an additional IAM binding.", "location": "query" }, "connectAgent.proxy": { "description": "Optional. URI of a proxy if connectivity from the agent to gkeconnect.googleapis.com requires the use of a proxy. Format must be in the form `http(s)://{proxy_address}`, depending on the HTTP/HTTPS protocol supported by the proxy. This will direct the connect agent's outbound traffic through a HTTP(S) proxy.", "location": "query", "type": "string", "format": "byte" }, "isUpgrade": { "description": "Optional. If true, generate the resources for upgrade only. Some resources generated only for installation (e.g. secrets) will be excluded.", "type": "boolean", "location": "query" }, "connectAgent.name": { "type": "string", "description": "Do not set.", "location": "query" }, "registry": { "type": "string", "description": "Optional. The registry to fetch the connect agent image from. Defaults to gcr.io/gkeconnect.", "location": "query" }, "version": { "location": "query", "description": "Optional. The Connect agent version to use. Defaults to the most current version.", "type": "string" } } }, "list": { "httpMethod": "GET", "description": "Lists Memberships in a given project and location.", "id": "gkehub.projects.locations.memberships.list", "parameters": { "orderBy": { "location": "query", "description": "Optional. One or more fields to compare and use to sort the output. See https://google.aip.dev/132#ordering.", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Optional. Lists Memberships that match the filter expression, following the syntax outlined in https://google.aip.dev/160. Examples: - Name is `bar` in project `foo-proj` and location `global`: name = \"projects/foo-proj/locations/global/membership/bar\" - Memberships that have a label called `foo`: labels.foo:* - Memberships that have a label called `foo` whose value is `bar`: labels.foo = bar - Memberships in the CREATING state: state = CREATING" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The parent (project and location) where the Memberships will be listed. Specified in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "description": "Optional. Token returned by previous call to `ListMemberships` which specifies the position in the list from where to continue listing the resources.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. When requesting a 'page' of resources, `page_size` specifies number of resources to return. If unspecified or set to 0, all resources will be returned.", "location": "query" } }, "path": "v1beta1/{+parent}/memberships", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships", "response": { "$ref": "ListMembershipsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the details of a Membership.", "id": "gkehub.projects.locations.memberships.get", "response": { "$ref": "Membership" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "description": "Required. The Membership resource name in the format `projects/*/locations/*/memberships/*`." } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1beta1/{+name}" }, "patch": { "request": { "$ref": "Membership" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "description": "Updates an existing Membership.", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one field path must be specified in this mask.", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "description": "Required. The membership resource name in the format: `projects/[project_id]/locations/global/memberships/[membership_id]`", "pattern": "^projects/[^/]+/locations/[^/]+/memberships/[^/]+$", "type": "string", "location": "path", "required": true }, "requestId": { "location": "query", "description": "Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/memberships/{membershipsId}", "id": "gkehub.projects.locations.memberships.patch" } } }, "operations": { "methods": { "delete": { "response": { "$ref": "Empty" }, "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "httpMethod": "DELETE", "id": "gkehub.projects.locations.operations.delete", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`." }, "cancel": { "id": "gkehub.projects.locations.operations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path" } }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "request": { "$ref": "CancelOperationRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1beta1/{+name}:cancel", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "POST" }, "get": { "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "gkehub.projects.locations.operations.get", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1beta1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ] }, "list": { "id": "gkehub.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" }, "parameters": { "filter": { "location": "query", "type": "string", "description": "The standard list filter." }, "pageSize": { "type": "integer", "description": "The standard list page size.", "location": "query", "format": "int32" }, "name": { "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "path": "v1beta1/{+name}/operations", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } } } } } } }, "schemas": { "ResourceOptions": { "type": "object", "description": "ResourceOptions represent options for Kubernetes resource generation.", "id": "ResourceOptions", "properties": { "v1beta1Crd": { "type": "boolean", "description": "Optional. Use `apiextensions/v1beta1` instead of `apiextensions/v1` for CustomResourceDefinition resources. This option should be set for clusters with Kubernetes apiserver versions \u003c1.16." }, "connectVersion": { "description": "Optional. The Connect agent version to use for connect_resources. Defaults to the latest GKE Connect version. The version must be a currently supported version, obsolete versions will be rejected.", "type": "string" }, "k8sVersion": { "description": "Optional. Major version of the Kubernetes cluster. This is only used to determine which version to use for the CustomResourceDefinition resources, `apiextensions/v1beta1` or`apiextensions/v1`.", "type": "string" } } }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse" }, "ApplianceCluster": { "description": "ApplianceCluster contains information specific to GDC Edge Appliance Clusters.", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the Appliance Cluster. For example: //transferappliance.googleapis.com/projects/my-project/locations/us-west1-a/appliances/my-appliance" } }, "type": "object", "id": "ApplianceCluster" }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "type": "object" }, "Authority": { "properties": { "workloadIdentityPool": { "description": "Output only. The name of the workload identity pool in which `issuer` will be recognized. There is a single Workload Identity Pool per Hub that is shared between all Memberships that belong to that Hub. For a Hub hosted in {PROJECT_ID}, the workload pool format is `{PROJECT_ID}.hub.id.goog`, although this is subject to change in newer versions of this API.", "type": "string", "readOnly": true }, "identityProvider": { "type": "string", "description": "Output only. An identity provider that reflects the `issuer` in the workload identity pool.", "readOnly": true }, "oidcJwks": { "type": "string", "format": "byte", "description": "Optional. OIDC verification keys for this Membership in JWKS format (RFC 7517). When this field is set, OIDC discovery will NOT be performed on `issuer`, and instead OIDC tokens will be validated using this field." }, "issuer": { "description": "Optional. A JSON Web Token (JWT) issuer URI. `issuer` must start with `https://` and be a valid URL with length \u003c2000 characters. If set, then Google will allow valid OIDC tokens from this issuer to authenticate within the workload_identity_pool. OIDC discovery will be performed on this URI to validate tokens from the issuer. Clearing `issuer` disables Workload Identity. `issuer` cannot be directly modified; it must be cleared (and Workload Identity disabled) before using a new issuer (and re-enabling Workload Identity).", "type": "string" } }, "id": "Authority", "description": "Authority encodes how Google will recognize identities from this Membership. See the workload identity documentation for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "type": "object" }, "OnPremCluster": { "type": "object", "properties": { "clusterMissing": { "readOnly": true, "description": "Output only. If cluster_missing is set then it denotes that API(gkeonprem.googleapis.com) resource for this GKE On-Prem cluster no longer exists.", "type": "boolean" }, "clusterType": { "enumDescriptions": [ "The ClusterType is not set.", "The ClusterType is bootstrap cluster.", "The ClusterType is baremetal hybrid cluster.", "The ClusterType is baremetal standalone cluster.", "The ClusterType is user cluster." ], "enum": [ "CLUSTERTYPE_UNSPECIFIED", "BOOTSTRAP", "HYBRID", "STANDALONE", "USER" ], "description": "Immutable. The on prem cluster's type.", "type": "string" }, "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the GKE On-Prem cluster. For example: //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/vmwareClusters/my-cluster //gkeonprem.googleapis.com/projects/my-project/locations/us-west1-a/bareMetalClusters/my-cluster" }, "adminCluster": { "description": "Immutable. Whether the cluster is an admin cluster.", "type": "boolean" } }, "description": "OnPremCluster contains information specific to GKE On-Prem clusters.", "id": "OnPremCluster" }, "Location": { "properties": { "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } }, "type": "object", "id": "Location", "description": "A resource that represents Google Cloud Platform location." }, "ListLocationsResponse": { "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "type": "object" }, "GenerateConnectManifestResponse": { "properties": { "manifest": { "type": "array", "items": { "$ref": "ConnectAgentResource" }, "description": "The ordered list of Kubernetes resources that need to be applied to the cluster for GKE Connect agent installation/upgrade." } }, "description": "GenerateConnectManifestResponse contains manifest information for installing/upgrading a Connect agent.", "id": "GenerateConnectManifestResponse", "type": "object" }, "GenerateExclusivityManifestResponse": { "properties": { "crdManifest": { "type": "string", "description": "The YAML manifest of the membership CRD to apply if a newer version of the CRD is available. Empty if no update needs to be applied." }, "crManifest": { "description": "The YAML manifest of the membership CR to apply if a new version of the CR is available. Empty if no update needs to be applied.", "type": "string" } }, "description": "The response of the exclusivity artifacts manifests for the client to apply.", "id": "GenerateExclusivityManifestResponse", "type": "object" }, "MembershipState": { "properties": { "code": { "readOnly": true, "description": "Output only. The current state of the Membership resource.", "enum": [ "CODE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING", "SERVICE_UPDATING" ], "type": "string", "enumDescriptions": [ "The code is not set.", "The cluster is being registered.", "The cluster is registered.", "The cluster is being unregistered.", "The Membership is being updated.", "The Membership is being updated by the Hub Service." ] }, "description": { "description": "This field is never set by the Hub Service.", "type": "string" }, "updateTime": { "description": "This field is never set by the Hub Service.", "type": "string", "format": "google-datetime" } }, "type": "object", "id": "MembershipState", "description": "State of the Membership resource." }, "SetIamPolicyRequest": { "properties": { "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" }, "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "type": "object", "id": "SetIamPolicyRequest", "description": "Request message for `SetIamPolicy` method." }, "Operation": { "type": "object", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "error": { "$ref": "GoogleRpcStatus", "description": "The error result of the operation in case of failure or cancellation." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig" }, "Binding": { "id": "Binding", "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "description": "Associates `members`, or principals, with a `role`.", "type": "object" }, "Membership": { "properties": { "externalId": { "description": "Optional. An externally-generated and managed ID for this Membership. This ID may be modified after creation, but this is not recommended. For GKE clusters, external_id is managed by the Hub API and updates will be ignored. The ID must match the regex: `a-zA-Z0-9*` If this Membership represents a Kubernetes cluster, this value should be set to the UID of the `kube-system` namespace object.", "type": "string" }, "name": { "description": "Output only. The full, unique name of this Membership resource in the format `projects/*/locations/*/memberships/{membership_id}`, set during creation. `membership_id` must be a valid RFC 1123 compliant DNS label: 1. At most 63 characters in length 2. It must consist of lower case alphanumeric characters or `-` 3. It must start and end with an alphanumeric character Which can be expressed as the regex: `[a-z0-9]([-a-z0-9]*[a-z0-9])?`, with a maximum length of 63 characters.", "type": "string", "readOnly": true }, "description": { "type": "string", "description": "Optional. Description of this membership, limited to 63 characters. Must match the regex: `a-zA-Z0-9*`" }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. When the Membership was created.", "readOnly": true }, "infrastructureType": { "description": "Optional. The infrastructure type this Membership is running on.", "type": "string", "enumDescriptions": [ "No type was specified. Some Hub functionality may require a type be specified, and will not support Memberships with this value.", "Private infrastructure that is owned or operated by customer. This includes GKE distributions such as GKE-OnPrem and GKE-OnBareMetal.", "Public cloud infrastructure." ], "enum": [ "INFRASTRUCTURE_TYPE_UNSPECIFIED", "ON_PREM", "MULTI_CLOUD" ] }, "deleteTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. When the Membership was deleted." }, "authority": { "description": "Optional. How to identify workloads from this Membership. See the documentation on Workload Identity for more details: https://cloud.google.com/kubernetes-engine/docs/how-to/workload-identity", "$ref": "Authority" }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. When the Membership was last updated." }, "labels": { "description": "Optional. GCP labels for this membership.", "type": "object", "additionalProperties": { "type": "string" } }, "uniqueId": { "readOnly": true, "description": "Output only. Google-generated UUID for this resource. This is unique across all Membership resources. If a Membership resource is deleted and another resource with the same name is created, it gets a different unique_id.", "type": "string" }, "lastConnectionTime": { "type": "string", "readOnly": true, "description": "Output only. For clusters using Connect, the timestamp of the most recent connection established with Google Cloud. This time is updated every several minutes, not continuously. For clusters that do not use GKE Connect, or that have never connected successfully, this field will be unset.", "format": "google-datetime" }, "state": { "description": "Output only. State of the Membership resource.", "$ref": "MembershipState", "readOnly": true }, "endpoint": { "description": "Optional. Endpoint information to reach this member.", "$ref": "MembershipEndpoint" } }, "type": "object", "description": "Membership contains information about a member cluster.", "id": "Membership" }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "type": "object", "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest" }, "ResourceManifest": { "description": "ResourceManifest represents a single Kubernetes resource to be applied to the cluster.", "type": "object", "id": "ResourceManifest", "properties": { "clusterScoped": { "type": "boolean", "description": "Whether the resource provided in the manifest is `cluster_scoped`. If unset, the manifest is assumed to be namespace scoped. This field is used for REST mapping when applying the resource in a cluster." }, "manifest": { "type": "string", "description": "YAML manifest of the resource." } } }, "MultiCloudCluster": { "description": "MultiCloudCluster contains information specific to GKE Multi-Cloud clusters.", "type": "object", "properties": { "resourceLink": { "type": "string", "description": "Immutable. Self-link of the GCP resource for the GKE Multi-Cloud cluster. For example: //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/awsClusters/my-cluster //gkemulticloud.googleapis.com/projects/my-project/locations/us-west1-a/azureClusters/my-cluster" }, "clusterMissing": { "description": "Output only. If cluster_missing is set then it denotes that API(gkemulticloud.googleapis.com) resource for this GKE Multi-Cloud cluster no longer exists.", "readOnly": true, "type": "boolean" } }, "id": "MultiCloudCluster" }, "ListOperationsResponse": { "type": "object", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations." }, "ConnectAgentResource": { "id": "ConnectAgentResource", "properties": { "type": { "$ref": "TypeMeta", "description": "Kubernetes type of the resource." }, "manifest": { "description": "YAML manifest of the resource.", "type": "string" } }, "description": "ConnectAgentResource represents a Kubernetes resource manifest for Connect Agent deployment.", "type": "object" }, "MembershipEndpoint": { "id": "MembershipEndpoint", "type": "object", "description": "MembershipEndpoint contains information needed to contact a Kubernetes API, endpoint and any additional Kubernetes metadata.", "properties": { "onPremCluster": { "description": "Optional. Specific information for a GKE On-Prem cluster. An onprem user-cluster who has no resourceLink is not allowed to use this field, it should have a nil \"type\" instead.", "$ref": "OnPremCluster" }, "edgeCluster": { "$ref": "EdgeCluster", "description": "Optional. Specific information for a Google Edge cluster." }, "gkeCluster": { "description": "Optional. Specific information for a GKE-on-GCP cluster.", "$ref": "GkeCluster" }, "kubernetesResource": { "description": "Optional. The in-cluster Kubernetes Resources that should be applied for a correctly registered cluster, in the steady state. These resources: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure that the cluster is exclusively registered to one and only one Hub Membership. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Propagate Workload Pool Information available in the Membership Authority field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ensure proper initial configuration of default Hub Features.", "$ref": "KubernetesResource" }, "applianceCluster": { "$ref": "ApplianceCluster", "description": "Optional. Specific information for a GDC Edge Appliance cluster." }, "kubernetesMetadata": { "description": "Output only. Useful Kubernetes-specific metadata.", "readOnly": true, "$ref": "KubernetesMetadata" }, "multiCloudCluster": { "description": "Optional. Specific information for a GKE Multi-Cloud cluster.", "$ref": "MultiCloudCluster" } } }, "GkeCluster": { "type": "object", "id": "GkeCluster", "properties": { "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the GKE cluster. For example: //container.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster Zonal clusters are also supported.", "type": "string" }, "clusterMissing": { "description": "Output only. If cluster_missing is set then it denotes that the GKE cluster no longer exists in the GKE Control Plane.", "type": "boolean", "readOnly": true } }, "description": "GkeCluster contains information specific to GKE clusters." }, "KubernetesResource": { "type": "object", "description": "KubernetesResource contains the YAML manifests and configuration for Membership Kubernetes resources in the cluster. After CreateMembership or UpdateMembership, these resources should be re-applied in the cluster.", "id": "KubernetesResource", "properties": { "resourceOptions": { "$ref": "ResourceOptions", "description": "Optional. Options for Kubernetes resource generation." }, "connectResources": { "items": { "$ref": "ResourceManifest" }, "readOnly": true, "description": "Output only. The Kubernetes resources for installing the GKE Connect agent This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "type": "array" }, "membershipResources": { "type": "array", "readOnly": true, "description": "Output only. Additional Kubernetes resources that need to be applied to the cluster after Membership creation, and after every update. This field is only populated in the Membership returned from a successful long-running operation from CreateMembership or UpdateMembership. It is not populated during normal GetMembership or ListMemberships requests. To get the resource manifest after the initial registration, the caller should make a UpdateMembership call with an empty field mask.", "items": { "$ref": "ResourceManifest" } }, "membershipCrManifest": { "type": "string", "description": "Input only. The YAML representation of the Membership CR. This field is ignored for GKE clusters where Hub can read the CR directly. Callers should provide the CR that is currently present in the cluster during CreateMembership or UpdateMembership, or leave this field empty if none exists. The CR manifest is used to validate the cluster has not been registered with another Membership." } } }, "KubernetesMetadata": { "id": "KubernetesMetadata", "description": "KubernetesMetadata provides informational metadata for Memberships representing Kubernetes clusters.", "properties": { "kubernetesApiServerVersion": { "description": "Output only. Kubernetes API server version string as reported by '/version'.", "readOnly": true, "type": "string" }, "nodeProviderId": { "readOnly": true, "type": "string", "description": "Output only. Node providerID as reported by the first node in the list of nodes on the Kubernetes endpoint. On Kubernetes platforms that support zero-node clusters (like GKE-on-GCP), the node_count will be zero and the node_provider_id will be empty." }, "updateTime": { "description": "Output only. The time at which these details were last updated. This update_time is different from the Membership-level update_time since EndpointDetails are updated internally for API consumers.", "type": "string", "format": "google-datetime", "readOnly": true }, "nodeCount": { "description": "Output only. Node count as reported by Kubernetes nodes resources.", "readOnly": true, "format": "int32", "type": "integer" }, "vcpuCount": { "format": "int32", "readOnly": true, "description": "Output only. vCPU count as reported by Kubernetes nodes resources.", "type": "integer" }, "memoryMb": { "format": "int32", "type": "integer", "readOnly": true, "description": "Output only. The total memory capacity as reported by the sum of all Kubernetes nodes resources, defined in MB." } }, "type": "object" }, "ListMembershipsResponse": { "type": "object", "id": "ListMembershipsResponse", "properties": { "resources": { "type": "array", "items": { "$ref": "Membership" }, "description": "The list of matching Memberships." }, "nextPageToken": { "description": "A token to request the next page of resources from the `ListMemberships` method. The value of an empty string means that there are no more resources to return.", "type": "string" }, "unreachable": { "description": "List of locations that could not be reached while fetching this list.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for the `GkeHubMembershipService.ListMemberships` method." }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "id": "OperationMetadata", "properties": { "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "statusDetail": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created." }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr", "properties": { "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } } }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "type": "object" }, "EdgeCluster": { "type": "object", "description": "EdgeCluster contains information specific to Google Edge Clusters.", "id": "EdgeCluster", "properties": { "resourceLink": { "description": "Immutable. Self-link of the GCP resource for the Edge Cluster. For example: //edgecontainer.googleapis.com/projects/my-project/locations/us-west1-a/clusters/my-cluster", "type": "string" } } }, "AuditLogConfig": { "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "properties": { "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" } } }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "type": "object", "id": "CancelOperationRequest", "properties": {} }, "ValidateExclusivityResponse": { "description": "The response of exclusivity artifacts validation result status.", "properties": { "status": { "$ref": "GoogleRpcStatus", "description": "The validation result. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `OK` means that exclusivity is validated, assuming the manifest produced by GenerateExclusivityManifest is successfully applied. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `ALREADY_EXISTS` means that the Membership CRD is already owned by another Hub. See `status.message` for more information." } }, "type": "object", "id": "ValidateExclusivityResponse" }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object" }, "TypeMeta": { "type": "object", "description": "TypeMeta is the type information needed for content unmarshalling of Kubernetes resources in the manifest.", "id": "TypeMeta", "properties": { "apiVersion": { "description": "APIVersion of the resource (e.g. v1).", "type": "string" }, "kind": { "description": "Kind of the resource (e.g. Deployment).", "type": "string" } } } }, "title": "GKE Hub API", "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "description": "", "name": "gkehub", "version_module": true, "rootUrl": "https://gkehub.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "kind": "discovery#restDescription", "baseUrl": "https://gkehub.googleapis.com/", "fullyEncodeReservedExpansion": true, "documentationLink": "https://cloud.google.com/anthos/multicluster-management/connect/registering-a-cluster" }
]===]))
