local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "default": "json", "description": "Data format for response.", "location": "query", "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ] } }, "name": "gmail", "servicePath": "", "ownerDomain": "google.com", "revision": "20220625", "id": "gmail:v1", "kind": "discovery#restDescription", "version": "v1", "discoveryVersion": "v1", "protocol": "rest", "baseUrl": "https://gmail.googleapis.com/", "title": "Gmail API", "batchPath": "batch", "mtlsRootUrl": "https://gmail.mtls.googleapis.com/", "schemas": { "BatchModifyMessagesRequest": { "id": "BatchModifyMessagesRequest", "type": "object", "properties": { "addLabelIds": { "items": { "type": "string" }, "type": "array", "description": "A list of label IDs to add to messages." }, "ids": { "type": "array", "description": "The IDs of the messages to modify. There is a limit of 1000 ids per request.", "items": { "type": "string" } }, "removeLabelIds": { "items": { "type": "string" }, "description": "A list of label IDs to remove from messages.", "type": "array" } } }, "WatchRequest": { "type": "object", "properties": { "labelIds": { "type": "array", "items": { "type": "string" }, "description": "List of label_ids to restrict notifications about. By default, if unspecified, all changes are pushed out. If specified then dictates which labels are required for a push notification to be generated." }, "labelFilterAction": { "type": "string", "description": "Filtering behavior of labelIds list specified.", "enum": [ "include", "exclude" ], "enumDescriptions": [ "Only get push notifications for message changes relating to labelIds specified.", "Get push notifications for all message changes except those relating to labelIds specified." ] }, "topicName": { "type": "string", "description": "A fully qualified Google Cloud Pub/Sub API topic name to publish the events to. This topic name **must** already exist in Cloud Pub/Sub and you **must** have already granted gmail \"publish\" permission on it. For example, \"projects/my-project-identifier/topics/my-topic-name\" (using the Cloud Pub/Sub \"v1\" topic naming format). Note that the \"my-project-identifier\" portion must exactly match your Google developer project id (the one executing this watch request)." } }, "description": "Set up or update a new push notification watch on this user's mailbox.", "id": "WatchRequest" }, "Delegate": { "description": "Settings for a delegate. Delegates can read, send, and delete messages, as well as view and add contacts, for the delegator's account. See \"Set up mail delegation\" for more information about delegates.", "id": "Delegate", "properties": { "delegateEmail": { "type": "string", "description": "The email address of the delegate." }, "verificationStatus": { "enumDescriptions": [ "Unspecified verification status.", "The address can act a delegate for the account.", "A verification request was mailed to the address, and the owner has not yet accepted it.", "A verification request was mailed to the address, and the owner rejected it.", "A verification request was mailed to the address, and it expired without verification." ], "type": "string", "enum": [ "verificationStatusUnspecified", "accepted", "pending", "rejected", "expired" ], "description": "Indicates whether this address has been verified and can act as a delegate for the account. Read-only." } }, "type": "object" }, "HistoryLabelRemoved": { "properties": { "labelIds": { "items": { "type": "string" }, "type": "array", "description": "Label IDs removed from the message." }, "message": { "$ref": "Message" } }, "type": "object", "id": "HistoryLabelRemoved" }, "SmtpMsa": { "id": "SmtpMsa", "description": "Configuration for communication with an SMTP service.", "properties": { "username": { "description": "The username that will be used for authentication with the SMTP service. This is a write-only field that can be specified in requests to create or update SendAs settings; it is never populated in responses.", "type": "string" }, "password": { "description": "The password that will be used for authentication with the SMTP service. This is a write-only field that can be specified in requests to create or update SendAs settings; it is never populated in responses.", "type": "string" }, "host": { "description": "The hostname of the SMTP service. Required.", "type": "string" }, "port": { "description": "The port of the SMTP service. Required.", "type": "integer", "format": "int32" }, "securityMode": { "type": "string", "enum": [ "securityModeUnspecified", "none", "ssl", "starttls" ], "description": "The protocol that will be used to secure communication with the SMTP service. Required.", "enumDescriptions": [ "Unspecified security mode.", "Communication with the remote SMTP service is unsecured. Requires port 25.", "Communication with the remote SMTP service is secured using SSL.", "Communication with the remote SMTP service is secured using STARTTLS." ] } }, "type": "object" }, "SmimeInfo": { "description": "An S/MIME email config.", "properties": { "issuerCn": { "type": "string", "description": "The S/MIME certificate issuer's common name." }, "id": { "type": "string", "description": "The immutable ID for the SmimeInfo." }, "isDefault": { "description": "Whether this SmimeInfo is the default one for this user's send-as address.", "type": "boolean" }, "pem": { "description": "PEM formatted X509 concatenated certificate string (standard base64 encoding). Format used for returning key, which includes public key as well as certificate chain (not private key).", "type": "string" }, "encryptedKeyPassword": { "description": "Encrypted key password, when key is encrypted.", "type": "string" }, "expiration": { "format": "int64", "description": "When the certificate expires (in milliseconds since epoch).", "type": "string" }, "pkcs12": { "type": "string", "format": "byte", "description": "PKCS#12 format containing a single private/public key pair and certificate chain. This format is only accepted from client for creating a new SmimeInfo and is never returned, because the private key is not intended to be exported. PKCS#12 may be encrypted, in which case encryptedKeyPassword should be set appropriately." } }, "id": "SmimeInfo", "type": "object" }, "MessagePartHeader": { "type": "object", "id": "MessagePartHeader", "properties": { "name": { "type": "string", "description": "The name of the header before the `:` separator. For example, `To`." }, "value": { "type": "string", "description": "The value of the header after the `:` separator. For example, `someuser@example.com`." } } }, "History": { "description": "A record of a change to the user's mailbox. Each history change may affect multiple messages in multiple ways.", "id": "History", "properties": { "labelsAdded": { "type": "array", "items": { "$ref": "HistoryLabelAdded" }, "description": "Labels added to messages in this history record." }, "messages": { "type": "array", "items": { "$ref": "Message" }, "description": "List of messages changed in this history record. The fields for specific change types, such as `messagesAdded` may duplicate messages in this field. We recommend using the specific change-type fields instead of this." }, "messagesDeleted": { "type": "array", "description": "Messages deleted (not Trashed) from the mailbox in this history record.", "items": { "$ref": "HistoryMessageDeleted" } }, "labelsRemoved": { "type": "array", "description": "Labels removed from messages in this history record.", "items": { "$ref": "HistoryLabelRemoved" } }, "messagesAdded": { "items": { "$ref": "HistoryMessageAdded" }, "description": "Messages added to the mailbox in this history record.", "type": "array" }, "id": { "format": "uint64", "type": "string", "description": "The mailbox sequence ID." } }, "type": "object" }, "WatchResponse": { "type": "object", "description": "Push notification watch response.", "id": "WatchResponse", "properties": { "expiration": { "format": "int64", "type": "string", "description": "When Gmail will stop sending notifications for mailbox updates (epoch millis). Call `watch` again before this time to renew the watch." }, "historyId": { "description": "The ID of the mailbox's current history record.", "type": "string", "format": "uint64" } } }, "ListFiltersResponse": { "description": "Response for the ListFilters method.", "properties": { "filter": { "description": "List of a user's filters.", "items": { "$ref": "Filter" }, "type": "array" } }, "type": "object", "id": "ListFiltersResponse" }, "ForwardingAddress": { "type": "object", "id": "ForwardingAddress", "properties": { "verificationStatus": { "type": "string", "description": "Indicates whether this address has been verified and is usable for forwarding. Read-only.", "enumDescriptions": [ "Unspecified verification status.", "The address is ready to use for forwarding.", "The address is awaiting verification by the owner." ], "enum": [ "verificationStatusUnspecified", "accepted", "pending" ] }, "forwardingEmail": { "description": "An email address to which messages can be forwarded.", "type": "string" } }, "description": "Settings for a forwarding address." }, "ImapSettings": { "properties": { "maxFolderSize": { "type": "integer", "format": "int32", "description": "An optional limit on the number of messages that an IMAP folder may contain. Legal values are 0, 1000, 2000, 5000 or 10000. A value of zero is interpreted to mean that there is no limit." }, "expungeBehavior": { "description": "The action that will be executed on a message when it is marked as deleted and expunged from the last visible IMAP folder.", "type": "string", "enumDescriptions": [ "Unspecified behavior.", "Archive messages marked as deleted.", "Move messages marked as deleted to the trash.", "Immediately and permanently delete messages marked as deleted. The expunged messages cannot be recovered." ], "enum": [ "expungeBehaviorUnspecified", "archive", "trash", "deleteForever" ] }, "autoExpunge": { "type": "boolean", "description": "If this value is true, Gmail will immediately expunge a message when it is marked as deleted in IMAP. Otherwise, Gmail will wait for an update from the client before expunging messages marked as deleted." }, "enabled": { "description": "Whether IMAP is enabled for the account.", "type": "boolean" } }, "type": "object", "id": "ImapSettings", "description": "IMAP settings for an account." }, "BatchDeleteMessagesRequest": { "id": "BatchDeleteMessagesRequest", "properties": { "ids": { "items": { "type": "string" }, "description": "The IDs of the messages to delete.", "type": "array" } }, "type": "object" }, "ListSmimeInfoResponse": { "id": "ListSmimeInfoResponse", "properties": { "smimeInfo": { "type": "array", "items": { "$ref": "SmimeInfo" }, "description": "List of SmimeInfo." } }, "type": "object" }, "ListDraftsResponse": { "id": "ListDraftsResponse", "properties": { "resultSizeEstimate": { "format": "uint32", "type": "integer", "description": "Estimated total number of results." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results in the list." }, "drafts": { "type": "array", "description": "List of drafts. Note that the `Message` property in each `Draft` resource only contains an `id` and a `threadId`. The messages.get method can fetch additional message details.", "items": { "$ref": "Draft" } } }, "type": "object" }, "ListLabelsResponse": { "properties": { "labels": { "description": "List of labels. Note that each label resource only contains an `id`, `name`, `messageListVisibility`, `labelListVisibility`, and `type`. The labels.get method can fetch additional label details.", "items": { "$ref": "Label" }, "type": "array" } }, "type": "object", "id": "ListLabelsResponse" }, "MessagePartBody": { "properties": { "attachmentId": { "type": "string", "description": "When present, contains the ID of an external attachment that can be retrieved in a separate `messages.attachments.get` request. When not present, the entire content of the message part body is contained in the data field." }, "data": { "format": "byte", "description": "The body data of a MIME message part as a base64url encoded string. May be empty for MIME container types that have no message body or when the body data is sent as a separate attachment. An attachment ID is present if the body data is contained in a separate attachment.", "type": "string" }, "size": { "format": "int32", "description": "Number of bytes for the message part data (encoding notwithstanding).", "type": "integer" } }, "id": "MessagePartBody", "description": "The body of a single MIME message part.", "type": "object" }, "FilterCriteria": { "properties": { "from": { "description": "The sender's display name or email address.", "type": "string" }, "query": { "type": "string", "description": "Only return messages matching the specified query. Supports the same query format as the Gmail search box. For example, `\"from:someuser@example.com rfc822msgid: is:unread\"`." }, "to": { "type": "string", "description": "The recipient's display name or email address. Includes recipients in the \"to\", \"cc\", and \"bcc\" header fields. You can use simply the local part of the email address. For example, \"example\" and \"example@\" both match \"example@gmail.com\". This field is case-insensitive." }, "negatedQuery": { "type": "string", "description": "Only return messages not matching the specified query. Supports the same query format as the Gmail search box. For example, `\"from:someuser@example.com rfc822msgid: is:unread\"`." }, "sizeComparison": { "description": "How the message size in bytes should be in relation to the size field.", "enum": [ "unspecified", "smaller", "larger" ], "enumDescriptions": [ "", "Find messages smaller than the given size.", "Find messages larger than the given size." ], "type": "string" }, "hasAttachment": { "type": "boolean", "description": "Whether the message has any attachment." }, "excludeChats": { "description": "Whether the response should exclude chats.", "type": "boolean" }, "size": { "type": "integer", "description": "The size of the entire RFC822 message in bytes, including all headers and attachments.", "format": "int32" }, "subject": { "description": "Case-insensitive phrase found in the message's subject. Trailing and leading whitespace are be trimmed and adjacent spaces are collapsed.", "type": "string" } }, "type": "object", "description": "Message matching criteria.", "id": "FilterCriteria" }, "HistoryMessageDeleted": { "properties": { "message": { "$ref": "Message" } }, "type": "object", "id": "HistoryMessageDeleted" }, "MessagePart": { "properties": { "filename": { "type": "string", "description": "The filename of the attachment. Only present if this message part represents an attachment." }, "headers": { "items": { "$ref": "MessagePartHeader" }, "description": "List of headers on this message part. For the top-level message part, representing the entire message payload, it will contain the standard RFC 2822 email headers such as `To`, `From`, and `Subject`.", "type": "array" }, "body": { "$ref": "MessagePartBody", "description": "The message part body for this part, which may be empty for container MIME message parts." }, "mimeType": { "type": "string", "description": "The MIME type of the message part." }, "partId": { "type": "string", "description": "The immutable ID of the message part." }, "parts": { "type": "array", "items": { "$ref": "MessagePart" }, "description": "The child MIME message parts of this part. This only applies to container MIME message parts, for example `multipart/*`. For non- container MIME message part types, such as `text/plain`, this field is empty. For more information, see RFC 1521." } }, "id": "MessagePart", "description": "A single MIME message part.", "type": "object" }, "ModifyThreadRequest": { "id": "ModifyThreadRequest", "type": "object", "properties": { "addLabelIds": { "items": { "type": "string" }, "type": "array", "description": "A list of IDs of labels to add to this thread. You can add up to 100 labels with each update." }, "removeLabelIds": { "type": "array", "description": "A list of IDs of labels to remove from this thread. You can remove up to 100 labels with each update.", "items": { "type": "string" } } } }, "ListHistoryResponse": { "type": "object", "properties": { "history": { "items": { "$ref": "History" }, "type": "array", "description": "List of history records. Any `messages` contained in the response will typically only have `id` and `threadId` fields populated." }, "historyId": { "format": "uint64", "type": "string", "description": "The ID of the mailbox's current history record." }, "nextPageToken": { "type": "string", "description": "Page token to retrieve the next page of results in the list." } }, "id": "ListHistoryResponse" }, "HistoryMessageAdded": { "properties": { "message": { "$ref": "Message" } }, "type": "object", "id": "HistoryMessageAdded" }, "HistoryLabelAdded": { "properties": { "message": { "$ref": "Message" }, "labelIds": { "type": "array", "description": "Label IDs added to the message.", "items": { "type": "string" } } }, "type": "object", "id": "HistoryLabelAdded" }, "ListDelegatesResponse": { "properties": { "delegates": { "description": "List of the user's delegates (with any verification status). If an account doesn't have delegates, this field doesn't appear.", "items": { "$ref": "Delegate" }, "type": "array" } }, "description": "Response for the ListDelegates method.", "type": "object", "id": "ListDelegatesResponse" }, "PopSettings": { "id": "PopSettings", "properties": { "accessWindow": { "enum": [ "accessWindowUnspecified", "disabled", "fromNowOn", "allMail" ], "enumDescriptions": [ "Unspecified range.", "Indicates that no messages are accessible via POP.", "Indicates that unfetched messages received after some past point in time are accessible via POP.", "Indicates that all unfetched messages are accessible via POP." ], "type": "string", "description": "The range of messages which are accessible via POP." }, "disposition": { "enumDescriptions": [ "Unspecified disposition.", "Leave the message in the `INBOX`.", "Archive the message.", "Move the message to the `TRASH`.", "Leave the message in the `INBOX` and mark it as read." ], "description": "The action that will be executed on a message after it has been fetched via POP.", "type": "string", "enum": [ "dispositionUnspecified", "leaveInInbox", "archive", "trash", "markRead" ] } }, "description": "POP settings for an account.", "type": "object" }, "ModifyMessageRequest": { "type": "object", "properties": { "addLabelIds": { "items": { "type": "string" }, "type": "array", "description": "A list of IDs of labels to add to this message. You can add up to 100 labels with each update." }, "removeLabelIds": { "type": "array", "items": { "type": "string" }, "description": "A list IDs of labels to remove from this message. You can remove up to 100 labels with each update." } }, "id": "ModifyMessageRequest" }, "Message": { "id": "Message", "description": "An email message.", "type": "object", "properties": { "id": { "description": "The immutable ID of the message.", "type": "string" }, "payload": { "$ref": "MessagePart", "description": "The parsed email structure in the message parts." }, "threadId": { "type": "string", "description": "The ID of the thread the message belongs to. To add a message or draft to a thread, the following criteria must be met: 1. The requested `threadId` must be specified on the `Message` or `Draft.Message` you supply with your request. 2. The `References` and `In-Reply-To` headers must be set in compliance with the [RFC 2822](https://tools.ietf.org/html/rfc2822) standard. 3. The `Subject` headers must match. " }, "raw": { "format": "byte", "annotations": { "required": [ "gmail.users.drafts.create", "gmail.users.drafts.update", "gmail.users.messages.insert", "gmail.users.messages.send" ] }, "type": "string", "description": "The entire email message in an RFC 2822 formatted and base64url encoded string. Returned in `messages.get` and `drafts.get` responses when the `format=RAW` parameter is supplied." }, "internalDate": { "type": "string", "description": "The internal message creation timestamp (epoch ms), which determines ordering in the inbox. For normal SMTP-received email, this represents the time the message was originally accepted by Google, which is more reliable than the `Date` header. However, for API-migrated mail, it can be configured by client to be based on the `Date` header.", "format": "int64" }, "sizeEstimate": { "description": "Estimated size in bytes of the message.", "format": "int32", "type": "integer" }, "snippet": { "description": "A short part of the message text.", "type": "string" }, "historyId": { "description": "The ID of the last history record that modified this message.", "format": "uint64", "type": "string" }, "labelIds": { "items": { "type": "string" }, "description": "List of IDs of labels applied to this message.", "type": "array" } } }, "Profile": { "properties": { "threadsTotal": { "format": "int32", "type": "integer", "description": "The total number of threads in the mailbox." }, "emailAddress": { "type": "string", "description": "The user's email address." }, "messagesTotal": { "format": "int32", "type": "integer", "description": "The total number of messages in the mailbox." }, "historyId": { "description": "The ID of the mailbox's current history record.", "type": "string", "format": "uint64" } }, "id": "Profile", "description": "Profile for a Gmail user.", "type": "object" }, "Filter": { "description": "Resource definition for Gmail filters. Filters apply to specific messages instead of an entire email thread.", "id": "Filter", "properties": { "id": { "type": "string", "description": "The server assigned ID of the filter." }, "action": { "description": "Action that the filter performs.", "$ref": "FilterAction" }, "criteria": { "$ref": "FilterCriteria", "description": "Matching criteria for the filter." } }, "type": "object" }, "ListMessagesResponse": { "type": "object", "id": "ListMessagesResponse", "properties": { "resultSizeEstimate": { "type": "integer", "format": "uint32", "description": "Estimated total number of results." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results in the list." }, "messages": { "type": "array", "items": { "$ref": "Message" }, "description": "List of messages. Note that each message resource contains only an `id` and a `threadId`. Additional message details can be fetched using the messages.get method." } } }, "SendAs": { "id": "SendAs", "type": "object", "properties": { "smtpMsa": { "description": "An optional SMTP service that will be used as an outbound relay for mail sent using this alias. If this is empty, outbound mail will be sent directly from Gmail's servers to the destination SMTP service. This setting only applies to custom \"from\" aliases.", "$ref": "SmtpMsa" }, "sendAsEmail": { "description": "The email address that appears in the \"From:\" header for mail sent using this alias. This is read-only for all operations except create.", "type": "string" }, "isDefault": { "type": "boolean", "description": "Whether this address is selected as the default \"From:\" address in situations such as composing a new message or sending a vacation auto-reply. Every Gmail account has exactly one default send-as address, so the only legal value that clients may write to this field is `true`. Changing this from `false` to `true` for an address will result in this field becoming `false` for the other previous default address." }, "signature": { "type": "string", "description": "An optional HTML signature that is included in messages composed with this alias in the Gmail web UI. This signature is added to new emails only." }, "displayName": { "type": "string", "description": "A name that appears in the \"From:\" header for mail sent using this alias. For custom \"from\" addresses, when this is empty, Gmail will populate the \"From:\" header with the name that is used for the primary address associated with the account. If the admin has disabled the ability for users to update their name format, requests to update this field for the primary login will silently fail." }, "treatAsAlias": { "type": "boolean", "description": "Whether Gmail should treat this address as an alias for the user's primary email address. This setting only applies to custom \"from\" aliases." }, "replyToAddress": { "type": "string", "description": "An optional email address that is included in a \"Reply-To:\" header for mail sent using this alias. If this is empty, Gmail will not generate a \"Reply-To:\" header." }, "verificationStatus": { "enumDescriptions": [ "Unspecified verification status.", "The address is ready to use as a send-as alias.", "The address is awaiting verification by the owner." ], "description": "Indicates whether this address has been verified for use as a send-as alias. Read-only. This setting only applies to custom \"from\" aliases.", "type": "string", "enum": [ "verificationStatusUnspecified", "accepted", "pending" ] }, "isPrimary": { "description": "Whether this address is the primary address used to login to the account. Every Gmail account has exactly one primary address, and it cannot be deleted from the collection of send-as aliases. This field is read-only.", "type": "boolean" } }, "description": "Settings associated with a send-as alias, which can be either the primary login address associated with the account or a custom \"from\" address. Send-as aliases correspond to the \"Send Mail As\" feature in the web interface." }, "ListSendAsResponse": { "type": "object", "properties": { "sendAs": { "items": { "$ref": "SendAs" }, "type": "array", "description": "List of send-as aliases." } }, "description": "Response for the ListSendAs method.", "id": "ListSendAsResponse" }, "VacationSettings": { "description": "Vacation auto-reply settings for an account. These settings correspond to the \"Vacation responder\" feature in the web interface.", "type": "object", "id": "VacationSettings", "properties": { "startTime": { "type": "string", "description": "An optional start time for sending auto-replies (epoch ms). When this is specified, Gmail will automatically reply only to messages that it receives after the start time. If both `startTime` and `endTime` are specified, `startTime` must precede `endTime`.", "format": "int64" }, "endTime": { "type": "string", "description": "An optional end time for sending auto-replies (epoch ms). When this is specified, Gmail will automatically reply only to messages that it receives before the end time. If both `startTime` and `endTime` are specified, `startTime` must precede `endTime`.", "format": "int64" }, "responseBodyHtml": { "type": "string", "description": "Response body in HTML format. Gmail will sanitize the HTML before storing it. If both `response_body_plain_text` and `response_body_html` are specified, `response_body_html` will be used." }, "responseSubject": { "type": "string", "description": "Optional text to prepend to the subject line in vacation responses. In order to enable auto-replies, either the response subject or the response body must be nonempty." }, "responseBodyPlainText": { "description": "Response body in plain text format. If both `response_body_plain_text` and `response_body_html` are specified, `response_body_html` will be used.", "type": "string" }, "restrictToDomain": { "description": "Flag that determines whether responses are sent to recipients who are outside of the user's domain. This feature is only available for G Suite users.", "type": "boolean" }, "enableAutoReply": { "type": "boolean", "description": "Flag that controls whether Gmail automatically replies to messages." }, "restrictToContacts": { "type": "boolean", "description": "Flag that determines whether responses are sent to recipients who are not in the user's list of contacts." } } }, "ListThreadsResponse": { "id": "ListThreadsResponse", "type": "object", "properties": { "threads": { "items": { "$ref": "Thread" }, "type": "array", "description": "List of threads. Note that each thread resource does not contain a list of `messages`. The list of `messages` for a given thread can be fetched using the threads.get method." }, "nextPageToken": { "description": "Page token to retrieve the next page of results in the list.", "type": "string" }, "resultSizeEstimate": { "type": "integer", "format": "uint32", "description": "Estimated total number of results." } } }, "Thread": { "description": "A collection of messages representing a conversation.", "properties": { "id": { "description": "The unique ID of the thread.", "type": "string" }, "historyId": { "type": "string", "description": "The ID of the last history record that modified this thread.", "format": "uint64" }, "messages": { "description": "The list of messages in the thread.", "items": { "$ref": "Message" }, "type": "array" }, "snippet": { "description": "A short part of the message text.", "type": "string" } }, "id": "Thread", "type": "object" }, "Label": { "type": "object", "id": "Label", "properties": { "messageListVisibility": { "annotations": { "required": [ "gmail.users.labels.create", "gmail.users.labels.update" ] }, "enum": [ "show", "hide" ], "enumDescriptions": [ "Show the label in the message list.", "Do not show the label in the message list." ], "description": "The visibility of messages with this label in the message list in the Gmail web interface.", "type": "string" }, "color": { "$ref": "LabelColor", "description": "The color to assign to the label. Color is only available for labels that have their `type` set to `user`." }, "messagesUnread": { "type": "integer", "description": "The number of unread messages with the label.", "format": "int32" }, "messagesTotal": { "description": "The total number of messages with the label.", "format": "int32", "type": "integer" }, "type": { "enum": [ "system", "user" ], "enumDescriptions": [ "Labels created by Gmail.", "Custom labels created by the user or application." ], "type": "string", "description": "The owner type for the label. User labels are created by the user and can be modified and deleted by the user and can be applied to any message or thread. System labels are internally created and cannot be added, modified, or deleted. System labels may be able to be applied to or removed from messages and threads under some circumstances but this is not guaranteed. For example, users can apply and remove the `INBOX` and `UNREAD` labels from messages and threads, but cannot apply or remove the `DRAFTS` or `SENT` labels from messages or threads." }, "name": { "annotations": { "required": [ "gmail.users.labels.create", "gmail.users.labels.update" ] }, "description": "The display name of the label.", "type": "string" }, "threadsTotal": { "description": "The total number of threads with the label.", "type": "integer", "format": "int32" }, "id": { "type": "string", "description": "The immutable ID of the label.", "annotations": { "required": [ "gmail.users.labels.update" ] } }, "labelListVisibility": { "type": "string", "enum": [ "labelShow", "labelShowIfUnread", "labelHide" ], "annotations": { "required": [ "gmail.users.labels.create", "gmail.users.labels.update" ] }, "enumDescriptions": [ "Show the label in the label list.", "Show the label if there are any unread messages with that label.", "Do not show the label in the label list." ], "description": "The visibility of the label in the label list in the Gmail web interface." }, "threadsUnread": { "description": "The number of unread threads with the label.", "type": "integer", "format": "int32" } }, "description": "Labels are used to categorize messages and threads within the user's mailbox. The maximum number of labels supported for a user's mailbox is 10,000." }, "FilterAction": { "properties": { "forward": { "description": "Email address that the message should be forwarded to.", "type": "string" }, "addLabelIds": { "description": "List of labels to add to the message.", "items": { "type": "string" }, "type": "array" }, "removeLabelIds": { "type": "array", "description": "List of labels to remove from the message.", "items": { "type": "string" } } }, "id": "FilterAction", "type": "object", "description": "A set of actions to perform on a message." }, "LabelColor": { "properties": { "backgroundColor": { "type": "string", "description": "The background color represented as hex string #RRGGBB (ex #000000). This field is required in order to set the color of a label. Only the following predefined set of color values are allowed: \\#000000, #434343, #666666, #999999, #cccccc, #efefef, #f3f3f3, #ffffff, \\#fb4c2f, #ffad47, #fad165, #16a766, #43d692, #4a86e8, #a479e2, #f691b3, \\#f6c5be, #ffe6c7, #fef1d1, #b9e4d0, #c6f3de, #c9daf8, #e4d7f5, #fcdee8, \\#efa093, #ffd6a2, #fce8b3, #89d3b2, #a0eac9, #a4c2f4, #d0bcf1, #fbc8d9, \\#e66550, #ffbc6b, #fcda83, #44b984, #68dfa9, #6d9eeb, #b694e8, #f7a7c0, \\#cc3a21, #eaa041, #f2c960, #149e60, #3dc789, #3c78d8, #8e63ce, #e07798, \\#ac2b16, #cf8933, #d5ae49, #0b804b, #2a9c68, #285bac, #653e9b, #b65775, \\#822111, #a46a21, #aa8831, #076239, #1a764d, #1c4587, #41236d, #83334c \\#464646, #e7e7e7, #0d3472, #b6cff5, #0d3b44, #98d7e4, #3d188e, #e3d7ff, \\#711a36, #fbd3e0, #8a1c0a, #f2b2a8, #7a2e0b, #ffc8af, #7a4706, #ffdeb5, \\#594c05, #fbe983, #684e07, #fdedc1, #0b4f30, #b3efd3, #04502e, #a2dcc1, \\#c2c2c2, #4986e7, #2da2bb, #b99aff, #994a64, #f691b2, #ff7537, #ffad46, \\#662e37, #ebdbde, #cca6ac, #094228, #42d692, #16a765" }, "textColor": { "description": "The text color of the label, represented as hex string. This field is required in order to set the color of a label. Only the following predefined set of color values are allowed: \\#000000, #434343, #666666, #999999, #cccccc, #efefef, #f3f3f3, #ffffff, \\#fb4c2f, #ffad47, #fad165, #16a766, #43d692, #4a86e8, #a479e2, #f691b3, \\#f6c5be, #ffe6c7, #fef1d1, #b9e4d0, #c6f3de, #c9daf8, #e4d7f5, #fcdee8, \\#efa093, #ffd6a2, #fce8b3, #89d3b2, #a0eac9, #a4c2f4, #d0bcf1, #fbc8d9, \\#e66550, #ffbc6b, #fcda83, #44b984, #68dfa9, #6d9eeb, #b694e8, #f7a7c0, \\#cc3a21, #eaa041, #f2c960, #149e60, #3dc789, #3c78d8, #8e63ce, #e07798, \\#ac2b16, #cf8933, #d5ae49, #0b804b, #2a9c68, #285bac, #653e9b, #b65775, \\#822111, #a46a21, #aa8831, #076239, #1a764d, #1c4587, #41236d, #83334c \\#464646, #e7e7e7, #0d3472, #b6cff5, #0d3b44, #98d7e4, #3d188e, #e3d7ff, \\#711a36, #fbd3e0, #8a1c0a, #f2b2a8, #7a2e0b, #ffc8af, #7a4706, #ffdeb5, \\#594c05, #fbe983, #684e07, #fdedc1, #0b4f30, #b3efd3, #04502e, #a2dcc1, \\#c2c2c2, #4986e7, #2da2bb, #b99aff, #994a64, #f691b2, #ff7537, #ffad46, \\#662e37, #ebdbde, #cca6ac, #094228, #42d692, #16a765", "type": "string" } }, "type": "object", "id": "LabelColor" }, "ListForwardingAddressesResponse": { "id": "ListForwardingAddressesResponse", "type": "object", "description": "Response for the ListForwardingAddresses method.", "properties": { "forwardingAddresses": { "type": "array", "description": "List of addresses that may be used for forwarding.", "items": { "$ref": "ForwardingAddress" } } } }, "LanguageSettings": { "description": "Language settings for an account. These settings correspond to the \"Language settings\" feature in the web interface.", "id": "LanguageSettings", "properties": { "displayLanguage": { "type": "string", "description": "The language to display Gmail in, formatted as an RFC 3066 Language Tag (for example `en-GB`, `fr` or `ja` for British English, French, or Japanese respectively). The set of languages supported by Gmail evolves over time, so please refer to the \"Language\" dropdown in the Gmail settings for all available options, as described in the language settings help article. A table of sample values is also provided in the Managing Language Settings guide Not all Gmail clients can display the same set of languages. In the case that a user's display language is not available for use on a particular client, said client automatically chooses to display in the closest supported variant (or a reasonable default)." } }, "type": "object" }, "Draft": { "properties": { "id": { "annotations": { "required": [ "gmail.users.drafts.send" ] }, "type": "string", "description": "The immutable ID of the draft." }, "message": { "description": "The message content of the draft.", "$ref": "Message" } }, "type": "object", "id": "Draft", "description": "A draft email in the user's mailbox." }, "AutoForwarding": { "description": "Auto-forwarding settings for an account.", "id": "AutoForwarding", "properties": { "emailAddress": { "type": "string", "description": "Email address to which all incoming messages are forwarded. This email address must be a verified member of the forwarding addresses." }, "disposition": { "enumDescriptions": [ "Unspecified disposition.", "Leave the message in the `INBOX`.", "Archive the message.", "Move the message to the `TRASH`.", "Leave the message in the `INBOX` and mark it as read." ], "type": "string", "description": "The state that a message should be left in after it has been forwarded.", "enum": [ "dispositionUnspecified", "leaveInInbox", "archive", "trash", "markRead" ] }, "enabled": { "type": "boolean", "description": "Whether all incoming mail is automatically forwarded to another address." } }, "type": "object" } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/gmail.metadata": { "description": "View your email message metadata such as labels and headers, but not the email body" }, "https://www.googleapis.com/auth/gmail.readonly": { "description": "View your email messages and settings" }, "https://www.googleapis.com/auth/gmail.modify": { "description": "Read, compose, and send emails from your Gmail account" }, "https://www.googleapis.com/auth/gmail.addons.current.message.metadata": { "description": "View your email message metadata when the add-on is running" }, "https://www.googleapis.com/auth/gmail.insert": { "description": "Add emails into your Gmail mailbox" }, "https://www.googleapis.com/auth/gmail.settings.basic": { "description": "See, edit, create, or change your email settings and filters in Gmail" }, "https://www.googleapis.com/auth/gmail.settings.sharing": { "description": "Manage your sensitive mail settings, including who can manage your mail" }, "https://www.googleapis.com/auth/gmail.addons.current.action.compose": { "description": "Manage drafts and send emails when you interact with the add-on" }, "https://www.googleapis.com/auth/gmail.addons.current.message.action": { "description": "View your email messages when you interact with the add-on" }, "https://www.googleapis.com/auth/gmail.addons.current.message.readonly": { "description": "View your email messages when the add-on is running" }, "https://www.googleapis.com/auth/gmail.labels": { "description": "See and edit your email labels" }, "https://mail.google.com/": { "description": "Read, compose, send, and permanently delete all your email from Gmail" }, "https://www.googleapis.com/auth/gmail.compose": { "description": "Manage drafts and send emails" }, "https://www.googleapis.com/auth/gmail.send": { "description": "Send email on your behalf" } } } }, "ownerName": "Google", "documentationLink": "https://developers.google.com/gmail/api/", "basePath": "", "canonicalName": "Gmail", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "rootUrl": "https://gmail.googleapis.com/", "description": "The Gmail API lets you view and manage Gmail mailbox data like threads, messages, and labels.", "resources": { "users": { "methods": { "watch": { "flatPath": "gmail/v1/users/{userId}/watch", "httpMethod": "POST", "parameterOrder": [ "userId" ], "response": { "$ref": "WatchResponse" }, "request": { "$ref": "WatchRequest" }, "parameters": { "userId": { "required": true, "type": "string", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me" } }, "description": "Set up or update a push notification watch on the given user mailbox.", "id": "gmail.users.watch", "path": "gmail/v1/users/{userId}/watch", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ] }, "getProfile": { "parameters": { "userId": { "type": "string", "location": "path", "default": "me", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." } }, "response": { "$ref": "Profile" }, "description": "Gets the current user's Gmail profile.", "path": "gmail/v1/users/{userId}/profile", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "id": "gmail.users.getProfile", "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/profile", "parameterOrder": [ "userId" ] }, "stop": { "flatPath": "gmail/v1/users/{userId}/stop", "parameters": { "userId": { "type": "string", "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path", "required": true } }, "parameterOrder": [ "userId" ], "path": "gmail/v1/users/{userId}/stop", "description": "Stop receiving push notifications for the given user mailbox.", "id": "gmail.users.stop", "httpMethod": "POST", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ] } }, "resources": { "threads": { "methods": { "delete": { "description": "Immediately and permanently deletes the specified thread. Any messages that belong to the thread are also deleted. This operation cannot be undone. Prefer `threads.trash` instead.", "parameterOrder": [ "userId", "id" ], "path": "gmail/v1/users/{userId}/threads/{id}", "parameters": { "id": { "location": "path", "type": "string", "required": true, "description": "ID of the Thread to delete." }, "userId": { "type": "string", "default": "me", "location": "path", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." } }, "httpMethod": "DELETE", "flatPath": "gmail/v1/users/{userId}/threads/{id}", "id": "gmail.users.threads.delete", "scopes": [ "https://mail.google.com/" ] }, "list": { "id": "gmail.users.threads.list", "httpMethod": "GET", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Page token to retrieve a specific page of results in the list." }, "maxResults": { "format": "uint32", "type": "integer", "default": "100", "description": "Maximum number of threads to return. This field defaults to 100. The maximum allowed value for this field is 500.", "location": "query" }, "q": { "location": "query", "description": "Only return threads matching the specified query. Supports the same query format as the Gmail search box. For example, `\"from:someuser@example.com rfc822msgid: is:unread\"`. Parameter cannot be used when accessing the api using the gmail.metadata scope.", "type": "string" }, "userId": { "required": true, "location": "path", "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me" }, "includeSpamTrash": { "default": "false", "description": "Include threads from `SPAM` and `TRASH` in the results.", "type": "boolean", "location": "query" }, "labelIds": { "location": "query", "description": "Only return threads with labels that match all of the specified label IDs.", "type": "string", "repeated": true } }, "flatPath": "gmail/v1/users/{userId}/threads", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "response": { "$ref": "ListThreadsResponse" }, "parameterOrder": [ "userId" ], "path": "gmail/v1/users/{userId}/threads", "description": "Lists the threads in the user's mailbox." }, "untrash": { "httpMethod": "POST", "parameterOrder": [ "userId", "id" ], "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ], "response": { "$ref": "Thread" }, "id": "gmail.users.threads.untrash", "flatPath": "gmail/v1/users/{userId}/threads/{id}/untrash", "path": "gmail/v1/users/{userId}/threads/{id}/untrash", "parameters": { "id": { "type": "string", "required": true, "location": "path", "description": "The ID of the thread to remove from Trash." }, "userId": { "required": true, "default": "me", "type": "string", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." } }, "description": "Removes the specified thread from the trash. Any messages that belong to the thread are also removed from the trash." }, "trash": { "flatPath": "gmail/v1/users/{userId}/threads/{id}/trash", "httpMethod": "POST", "parameters": { "userId": { "location": "path", "required": true, "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string" }, "id": { "type": "string", "required": true, "location": "path", "description": "The ID of the thread to Trash." } }, "description": "Moves the specified thread to the trash. Any messages that belong to the thread are also moved to the trash.", "parameterOrder": [ "userId", "id" ], "response": { "$ref": "Thread" }, "path": "gmail/v1/users/{userId}/threads/{id}/trash", "id": "gmail.users.threads.trash", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ] }, "modify": { "parameters": { "id": { "location": "path", "description": "The ID of the thread to modify.", "required": true, "type": "string" }, "userId": { "location": "path", "default": "me", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string" } }, "flatPath": "gmail/v1/users/{userId}/threads/{id}/modify", "response": { "$ref": "Thread" }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ], "request": { "$ref": "ModifyThreadRequest" }, "description": "Modifies the labels applied to the thread. This applies to all messages in the thread.", "parameterOrder": [ "userId", "id" ], "id": "gmail.users.threads.modify", "path": "gmail/v1/users/{userId}/threads/{id}/modify", "httpMethod": "POST" }, "get": { "response": { "$ref": "Thread" }, "description": "Gets the specified thread.", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.message.action", "https://www.googleapis.com/auth/gmail.addons.current.message.metadata", "https://www.googleapis.com/auth/gmail.addons.current.message.readonly", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "httpMethod": "GET", "path": "gmail/v1/users/{userId}/threads/{id}", "flatPath": "gmail/v1/users/{userId}/threads/{id}", "parameterOrder": [ "userId", "id" ], "id": "gmail.users.threads.get", "parameters": { "userId": { "type": "string", "default": "me", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true }, "format": { "type": "string", "description": "The format to return the messages in.", "default": "full", "enum": [ "full", "metadata", "minimal" ], "enumDescriptions": [ "Returns the full email message data with body content parsed in the `payload` field; the `raw` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope.", "Returns only email message IDs, labels, and email headers.", "Returns only email message IDs and labels; does not return the email headers, body, or payload." ], "location": "query" }, "id": { "description": "The ID of the thread to retrieve.", "type": "string", "location": "path", "required": true }, "metadataHeaders": { "location": "query", "repeated": true, "description": "When given and format is METADATA, only include headers specified.", "type": "string" } } } } }, "history": { "methods": { "list": { "response": { "$ref": "ListHistoryResponse" }, "path": "gmail/v1/users/{userId}/history", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "parameters": { "maxResults": { "type": "integer", "format": "uint32", "default": "100", "location": "query", "description": "Maximum number of history records to return. This field defaults to 100. The maximum allowed value for this field is 500." }, "labelId": { "location": "query", "description": "Only return messages with a label matching the ID.", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Page token to retrieve a specific page of results in the list." }, "userId": { "location": "path", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me", "type": "string" }, "startHistoryId": { "type": "string", "format": "uint64", "location": "query", "description": "Required. Returns history records after the specified `startHistoryId`. The supplied `startHistoryId` should be obtained from the `historyId` of a message, thread, or previous `list` response. History IDs increase chronologically but are not contiguous with random gaps in between valid IDs. Supplying an invalid or out of date `startHistoryId` typically returns an `HTTP 404` error code. A `historyId` is typically valid for at least a week, but in some rare circumstances may be valid for only a few hours. If you receive an `HTTP 404` error response, your application should perform a full sync. If you receive no `nextPageToken` in the response, there are no updates to retrieve and you can store the returned `historyId` for a future request." }, "historyTypes": { "location": "query", "type": "string", "enum": [ "messageAdded", "messageDeleted", "labelAdded", "labelRemoved" ], "enumDescriptions": [ "", "", "", "" ], "repeated": true, "description": "History types to be returned by the function" } }, "flatPath": "gmail/v1/users/{userId}/history", "description": "Lists the history of all changes to the given mailbox. History results are returned in chronological order (increasing `historyId`).", "parameterOrder": [ "userId" ], "id": "gmail.users.history.list", "httpMethod": "GET" } } }, "drafts": { "methods": { "delete": { "flatPath": "gmail/v1/users/{userId}/drafts/{id}", "parameters": { "userId": { "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me", "type": "string", "location": "path", "required": true }, "id": { "type": "string", "required": true, "location": "path", "description": "The ID of the draft to delete." } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.action.compose", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify" ], "httpMethod": "DELETE", "path": "gmail/v1/users/{userId}/drafts/{id}", "id": "gmail.users.drafts.delete", "parameterOrder": [ "userId", "id" ], "description": "Immediately and permanently deletes the specified draft. Does not simply trash it." }, "create": { "mediaUpload": { "protocols": { "resumable": { "path": "/resumable/upload/gmail/v1/users/{userId}/drafts", "multipart": true }, "simple": { "path": "/upload/gmail/v1/users/{userId}/drafts", "multipart": true } }, "accept": [ "message/*" ], "maxSize": "36700160" }, "supportsMediaUpload": true, "parameters": { "userId": { "location": "path", "default": "me", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string" } }, "httpMethod": "POST", "response": { "$ref": "Draft" }, "id": "gmail.users.drafts.create", "flatPath": "gmail/v1/users/{userId}/drafts", "path": "gmail/v1/users/{userId}/drafts", "parameterOrder": [ "userId" ], "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.action.compose", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify" ], "description": "Creates a new draft with the `DRAFT` label.", "request": { "$ref": "Draft" } }, "send": { "request": { "$ref": "Draft" }, "supportsMediaUpload": true, "id": "gmail.users.drafts.send", "httpMethod": "POST", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.action.compose", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify" ], "response": { "$ref": "Message" }, "path": "gmail/v1/users/{userId}/drafts/send", "description": "Sends the specified, existing draft to the recipients in the `To`, `Cc`, and `Bcc` headers.", "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/gmail/v1/users/{userId}/drafts/send" }, "resumable": { "multipart": true, "path": "/resumable/upload/gmail/v1/users/{userId}/drafts/send" } }, "accept": [ "message/*" ], "maxSize": "36700160" }, "flatPath": "gmail/v1/users/{userId}/drafts/send", "parameters": { "userId": { "required": true, "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me", "type": "string" } }, "parameterOrder": [ "userId" ] }, "update": { "flatPath": "gmail/v1/users/{userId}/drafts/{id}", "supportsMediaUpload": true, "path": "gmail/v1/users/{userId}/drafts/{id}", "description": "Replaces a draft's content.", "parameters": { "id": { "description": "The ID of the draft to update.", "location": "path", "type": "string", "required": true }, "userId": { "default": "me", "type": "string", "location": "path", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." } }, "request": { "$ref": "Draft" }, "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/gmail/v1/users/{userId}/drafts/{id}" }, "resumable": { "multipart": true, "path": "/resumable/upload/gmail/v1/users/{userId}/drafts/{id}" } }, "maxSize": "36700160", "accept": [ "message/*" ] }, "parameterOrder": [ "userId", "id" ], "httpMethod": "PUT", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.action.compose", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify" ], "response": { "$ref": "Draft" }, "id": "gmail.users.drafts.update" }, "list": { "parameterOrder": [ "userId" ], "parameters": { "includeSpamTrash": { "type": "boolean", "default": "false", "location": "query", "description": "Include drafts from `SPAM` and `TRASH` in the results." }, "pageToken": { "type": "string", "location": "query", "description": "Page token to retrieve a specific page of results in the list." }, "maxResults": { "location": "query", "type": "integer", "format": "uint32", "description": "Maximum number of drafts to return. This field defaults to 100. The maximum allowed value for this field is 500.", "default": "100" }, "userId": { "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me", "required": true, "type": "string" }, "q": { "description": "Only return draft messages matching the specified query. Supports the same query format as the Gmail search box. For example, `\"from:someuser@example.com rfc822msgid: is:unread\"`.", "type": "string", "location": "query" } }, "path": "gmail/v1/users/{userId}/drafts", "description": "Lists the drafts in the user's mailbox.", "response": { "$ref": "ListDraftsResponse" }, "flatPath": "gmail/v1/users/{userId}/drafts", "httpMethod": "GET", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "id": "gmail.users.drafts.list" }, "get": { "parameterOrder": [ "userId", "id" ], "id": "gmail.users.drafts.get", "description": "Gets the specified draft.", "flatPath": "gmail/v1/users/{userId}/drafts/{id}", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "path": "gmail/v1/users/{userId}/drafts/{id}", "response": { "$ref": "Draft" }, "httpMethod": "GET", "parameters": { "userId": { "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path", "type": "string", "default": "me" }, "format": { "enumDescriptions": [ "Returns only email message ID and labels; does not return the email headers, body, or payload.", "Returns the full email message data with body content parsed in the `payload` field; the `raw` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope.", "Returns the full email message data with body content in the `raw` field as a base64url encoded string; the `payload` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope.", "Returns only email message ID, labels, and email headers." ], "type": "string", "enum": [ "minimal", "full", "raw", "metadata" ], "location": "query", "description": "The format to return the draft in.", "default": "full" }, "id": { "description": "The ID of the draft to retrieve.", "location": "path", "type": "string", "required": true } } } } }, "settings": { "resources": { "delegates": { "methods": { "create": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ], "response": { "$ref": "Delegate" }, "parameterOrder": [ "userId" ], "parameters": { "userId": { "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "location": "path", "type": "string", "default": "me" } }, "id": "gmail.users.settings.delegates.create", "request": { "$ref": "Delegate" }, "flatPath": "gmail/v1/users/{userId}/settings/delegates", "path": "gmail/v1/users/{userId}/settings/delegates", "description": "Adds a delegate with its verification status set directly to `accepted`, without sending any verification email. The delegate user must be a member of the same G Suite organization as the delegator user. Gmail imposes limitations on the number of delegates and delegators each user in a G Suite organization can have. These limits depend on your organization, but in general each user can have up to 25 delegates and up to 10 delegators. Note that a delegate user must be referred to by their primary email address, and not an email alias. Also note that when a new delegate is created, there may be up to a one minute delay before the new delegate is available for use. This method is only available to service account clients that have been delegated domain-wide authority." }, "get": { "parameterOrder": [ "userId", "delegateEmail" ], "description": "Gets the specified delegate. Note that a delegate user must be referred to by their primary email address, and not an email alias. This method is only available to service account clients that have been delegated domain-wide authority.", "path": "gmail/v1/users/{userId}/settings/delegates/{delegateEmail}", "flatPath": "gmail/v1/users/{userId}/settings/delegates/{delegateEmail}", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "httpMethod": "GET", "parameters": { "delegateEmail": { "location": "path", "type": "string", "description": "The email address of the user whose delegate relationship is to be retrieved.", "required": true }, "userId": { "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "location": "path", "type": "string", "default": "me" } }, "id": "gmail.users.settings.delegates.get", "response": { "$ref": "Delegate" } }, "delete": { "parameters": { "userId": { "location": "path", "required": true, "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me" }, "delegateEmail": { "required": true, "type": "string", "location": "path", "description": "The email address of the user to be removed as a delegate." } }, "id": "gmail.users.settings.delegates.delete", "description": "Removes the specified delegate (which can be of any verification status), and revokes any verification that may have been required for using it. Note that a delegate user must be referred to by their primary email address, and not an email alias. This method is only available to service account clients that have been delegated domain-wide authority.", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ], "path": "gmail/v1/users/{userId}/settings/delegates/{delegateEmail}", "parameterOrder": [ "userId", "delegateEmail" ], "httpMethod": "DELETE", "flatPath": "gmail/v1/users/{userId}/settings/delegates/{delegateEmail}" }, "list": { "httpMethod": "GET", "response": { "$ref": "ListDelegatesResponse" }, "parameters": { "userId": { "location": "path", "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "required": true, "type": "string" } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "flatPath": "gmail/v1/users/{userId}/settings/delegates", "description": "Lists the delegates for the specified account. This method is only available to service account clients that have been delegated domain-wide authority.", "id": "gmail.users.settings.delegates.list", "path": "gmail/v1/users/{userId}/settings/delegates", "parameterOrder": [ "userId" ] } } }, "sendAs": { "resources": { "smimeInfo": { "methods": { "get": { "response": { "$ref": "SmimeInfo" }, "id": "gmail.users.settings.sendAs.smimeInfo.get", "httpMethod": "GET", "parameterOrder": [ "userId", "sendAsEmail", "id" ], "description": "Gets the specified S/MIME config for the specified send-as alias.", "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}", "parameters": { "userId": { "type": "string", "default": "me", "required": true, "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." }, "id": { "required": true, "type": "string", "description": "The immutable ID for the SmimeInfo.", "location": "path" }, "sendAsEmail": { "location": "path", "type": "string", "required": true, "description": "The email address that appears in the \"From:\" header for mail sent using this alias." } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}" }, "list": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo", "httpMethod": "GET", "id": "gmail.users.settings.sendAs.smimeInfo.list", "response": { "$ref": "ListSmimeInfoResponse" }, "parameterOrder": [ "userId", "sendAsEmail" ], "parameters": { "sendAsEmail": { "type": "string", "required": true, "description": "The email address that appears in the \"From:\" header for mail sent using this alias.", "location": "path" }, "userId": { "location": "path", "default": "me", "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true } }, "description": "Lists S/MIME configs for the specified send-as alias.", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo" }, "setDefault": { "id": "gmail.users.settings.sendAs.smimeInfo.setDefault", "parameterOrder": [ "userId", "sendAsEmail", "id" ], "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}/setDefault", "parameters": { "id": { "description": "The immutable ID for the SmimeInfo.", "required": true, "location": "path", "type": "string" }, "userId": { "type": "string", "required": true, "default": "me", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." }, "sendAsEmail": { "type": "string", "location": "path", "description": "The email address that appears in the \"From:\" header for mail sent using this alias.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "description": "Sets the default S/MIME config for the specified send-as alias.", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}/setDefault", "httpMethod": "POST" }, "insert": { "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo", "request": { "$ref": "SmimeInfo" }, "parameters": { "userId": { "type": "string", "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path", "required": true }, "sendAsEmail": { "type": "string", "required": true, "location": "path", "description": "The email address that appears in the \"From:\" header for mail sent using this alias." } }, "parameterOrder": [ "userId", "sendAsEmail" ], "httpMethod": "POST", "id": "gmail.users.settings.sendAs.smimeInfo.insert", "description": "Insert (upload) the given S/MIME config for the specified send-as alias. Note that pkcs12 format is required for the key.", "response": { "$ref": "SmimeInfo" } }, "delete": { "parameterOrder": [ "userId", "sendAsEmail", "id" ], "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "parameters": { "userId": { "location": "path", "default": "me", "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true }, "id": { "type": "string", "description": "The immutable ID for the SmimeInfo.", "location": "path", "required": true }, "sendAsEmail": { "description": "The email address that appears in the \"From:\" header for mail sent using this alias.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "DELETE", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}", "id": "gmail.users.settings.sendAs.smimeInfo.delete", "description": "Deletes the specified S/MIME config for the specified send-as alias.", "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/smimeInfo/{id}" } } } }, "methods": { "get": { "httpMethod": "GET", "parameterOrder": [ "userId", "sendAsEmail" ], "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "response": { "$ref": "SendAs" }, "description": "Gets the specified send-as alias. Fails with an HTTP 404 error if the specified address is not a member of the collection.", "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "parameters": { "userId": { "default": "me", "location": "path", "type": "string", "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user." }, "sendAsEmail": { "required": true, "type": "string", "location": "path", "description": "The send-as alias to be retrieved." } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "id": "gmail.users.settings.sendAs.get" }, "verify": { "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/verify", "httpMethod": "POST", "parameters": { "userId": { "location": "path", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "required": true, "type": "string", "default": "me" }, "sendAsEmail": { "description": "The send-as alias to be verified.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "userId", "sendAsEmail" ], "description": "Sends a verification email to the specified send-as alias address. The verification status must be `pending`. This method is only available to service account clients that have been delegated domain-wide authority.", "id": "gmail.users.settings.sendAs.verify", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}/verify", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ] }, "list": { "response": { "$ref": "ListSendAsResponse" }, "parameterOrder": [ "userId" ], "parameters": { "userId": { "required": true, "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "location": "path" } }, "path": "gmail/v1/users/{userId}/settings/sendAs", "description": "Lists the send-as aliases for the specified account. The result includes the primary send-as address associated with the account as well as any custom \"from\" aliases.", "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/settings/sendAs", "id": "gmail.users.settings.sendAs.list", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ] }, "update": { "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "request": { "$ref": "SendAs" }, "httpMethod": "PUT", "parameterOrder": [ "userId", "sendAsEmail" ], "description": "Updates a send-as alias. If a signature is provided, Gmail will sanitize the HTML before saving it with the alias. Addresses other than the primary address for the account can only be updated by service account clients that have been delegated domain-wide authority.", "id": "gmail.users.settings.sendAs.update", "parameters": { "userId": { "location": "path", "default": "me", "type": "string", "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user." }, "sendAsEmail": { "location": "path", "type": "string", "required": true, "description": "The send-as alias to be updated." } }, "response": { "$ref": "SendAs" }, "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}" }, "create": { "description": "Creates a custom \"from\" send-as alias. If an SMTP MSA is specified, Gmail will attempt to connect to the SMTP service to validate the configuration before creating the alias. If ownership verification is required for the alias, a message will be sent to the email address and the resource's verification status will be set to `pending`; otherwise, the resource will be created with verification status set to `accepted`. If a signature is provided, Gmail will sanitize the HTML before saving it with the alias. This method is only available to service account clients that have been delegated domain-wide authority.", "httpMethod": "POST", "request": { "$ref": "SendAs" }, "id": "gmail.users.settings.sendAs.create", "parameterOrder": [ "userId" ], "parameters": { "userId": { "location": "path", "default": "me", "required": true, "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user." } }, "path": "gmail/v1/users/{userId}/settings/sendAs", "flatPath": "gmail/v1/users/{userId}/settings/sendAs", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ], "response": { "$ref": "SendAs" } }, "delete": { "id": "gmail.users.settings.sendAs.delete", "parameterOrder": [ "userId", "sendAsEmail" ], "parameters": { "userId": { "location": "path", "type": "string", "required": true, "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user." }, "sendAsEmail": { "required": true, "type": "string", "description": "The send-as alias to be deleted.", "location": "path" } }, "description": "Deletes the specified send-as alias. Revokes any verification that may have been required for using it. This method is only available to service account clients that have been delegated domain-wide authority.", "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ] }, "patch": { "request": { "$ref": "SendAs" }, "parameterOrder": [ "userId", "sendAsEmail" ], "flatPath": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}", "httpMethod": "PATCH", "id": "gmail.users.settings.sendAs.patch", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic", "https://www.googleapis.com/auth/gmail.settings.sharing" ], "response": { "$ref": "SendAs" }, "parameters": { "userId": { "location": "path", "default": "me", "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string" }, "sendAsEmail": { "location": "path", "required": true, "description": "The send-as alias to be updated.", "type": "string" } }, "description": "Patch the specified send-as alias.", "path": "gmail/v1/users/{userId}/settings/sendAs/{sendAsEmail}" } } }, "filters": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "id": "gmail.users.settings.filters.delete", "flatPath": "gmail/v1/users/{userId}/settings/filters/{id}", "parameterOrder": [ "userId", "id" ], "httpMethod": "DELETE", "path": "gmail/v1/users/{userId}/settings/filters/{id}", "parameters": { "userId": { "type": "string", "required": true, "default": "me", "location": "path", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user." }, "id": { "description": "The ID of the filter to be deleted.", "location": "path", "type": "string", "required": true } }, "description": "Immediately and permanently deletes the specified filter." }, "list": { "parameters": { "userId": { "required": true, "default": "me", "location": "path", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string" } }, "flatPath": "gmail/v1/users/{userId}/settings/filters", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "id": "gmail.users.settings.filters.list", "httpMethod": "GET", "response": { "$ref": "ListFiltersResponse" }, "parameterOrder": [ "userId" ], "path": "gmail/v1/users/{userId}/settings/filters", "description": "Lists the message filters of a Gmail user." }, "get": { "id": "gmail.users.settings.filters.get", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "flatPath": "gmail/v1/users/{userId}/settings/filters/{id}", "httpMethod": "GET", "description": "Gets a filter.", "path": "gmail/v1/users/{userId}/settings/filters/{id}", "parameterOrder": [ "userId", "id" ], "response": { "$ref": "Filter" }, "parameters": { "userId": { "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "required": true, "type": "string", "default": "me", "location": "path" }, "id": { "description": "The ID of the filter to be fetched.", "type": "string", "required": true, "location": "path" } } }, "create": { "id": "gmail.users.settings.filters.create", "response": { "$ref": "Filter" }, "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "parameters": { "userId": { "default": "me", "location": "path", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string", "required": true } }, "httpMethod": "POST", "path": "gmail/v1/users/{userId}/settings/filters", "parameterOrder": [ "userId" ], "request": { "$ref": "Filter" }, "flatPath": "gmail/v1/users/{userId}/settings/filters", "description": "Creates a filter. Note: you can only create a maximum of 1,000 filters." } } }, "forwardingAddresses": { "methods": { "create": { "httpMethod": "POST", "flatPath": "gmail/v1/users/{userId}/settings/forwardingAddresses", "description": "Creates a forwarding address. If ownership verification is required, a message will be sent to the recipient and the resource's verification status will be set to `pending`; otherwise, the resource will be created with verification status set to `accepted`. This method is only available to service account clients that have been delegated domain-wide authority.", "path": "gmail/v1/users/{userId}/settings/forwardingAddresses", "response": { "$ref": "ForwardingAddress" }, "request": { "$ref": "ForwardingAddress" }, "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ], "parameterOrder": [ "userId" ], "id": "gmail.users.settings.forwardingAddresses.create", "parameters": { "userId": { "required": true, "default": "me", "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "location": "path" } } }, "list": { "response": { "$ref": "ListForwardingAddressesResponse" }, "parameterOrder": [ "userId" ], "description": "Lists the forwarding addresses for the specified account.", "flatPath": "gmail/v1/users/{userId}/settings/forwardingAddresses", "id": "gmail.users.settings.forwardingAddresses.list", "httpMethod": "GET", "path": "gmail/v1/users/{userId}/settings/forwardingAddresses", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "parameters": { "userId": { "default": "me", "location": "path", "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string" } } }, "delete": { "path": "gmail/v1/users/{userId}/settings/forwardingAddresses/{forwardingEmail}", "parameterOrder": [ "userId", "forwardingEmail" ], "httpMethod": "DELETE", "id": "gmail.users.settings.forwardingAddresses.delete", "description": "Deletes the specified forwarding address and revokes any verification that may have been required. This method is only available to service account clients that have been delegated domain-wide authority.", "flatPath": "gmail/v1/users/{userId}/settings/forwardingAddresses/{forwardingEmail}", "parameters": { "forwardingEmail": { "type": "string", "location": "path", "description": "The forwarding address to be deleted.", "required": true }, "userId": { "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ] }, "get": { "parameters": { "userId": { "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "location": "path", "required": true }, "forwardingEmail": { "type": "string", "description": "The forwarding address to be retrieved.", "location": "path", "required": true } }, "response": { "$ref": "ForwardingAddress" }, "path": "gmail/v1/users/{userId}/settings/forwardingAddresses/{forwardingEmail}", "description": "Gets the specified forwarding address.", "parameterOrder": [ "userId", "forwardingEmail" ], "id": "gmail.users.settings.forwardingAddresses.get", "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/settings/forwardingAddresses/{forwardingEmail}", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ] } } } }, "methods": { "updateImap": { "flatPath": "gmail/v1/users/{userId}/settings/imap", "response": { "$ref": "ImapSettings" }, "path": "gmail/v1/users/{userId}/settings/imap", "request": { "$ref": "ImapSettings" }, "parameterOrder": [ "userId" ], "description": "Updates IMAP settings.", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "parameters": { "userId": { "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "required": true, "location": "path", "type": "string" } }, "id": "gmail.users.settings.updateImap", "httpMethod": "PUT" }, "getPop": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "parameterOrder": [ "userId" ], "response": { "$ref": "PopSettings" }, "path": "gmail/v1/users/{userId}/settings/pop", "description": "Gets POP settings.", "id": "gmail.users.settings.getPop", "parameters": { "userId": { "required": true, "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "location": "path", "type": "string" } }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/settings/pop" }, "updatePop": { "path": "gmail/v1/users/{userId}/settings/pop", "parameters": { "userId": { "required": true, "default": "me", "location": "path", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string" } }, "description": "Updates POP settings.", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "httpMethod": "PUT", "response": { "$ref": "PopSettings" }, "parameterOrder": [ "userId" ], "request": { "$ref": "PopSettings" }, "flatPath": "gmail/v1/users/{userId}/settings/pop", "id": "gmail.users.settings.updatePop" }, "getAutoForwarding": { "path": "gmail/v1/users/{userId}/settings/autoForwarding", "id": "gmail.users.settings.getAutoForwarding", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "response": { "$ref": "AutoForwarding" }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/settings/autoForwarding", "description": "Gets the auto-forwarding setting for the specified account.", "parameters": { "userId": { "location": "path", "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string", "required": true } }, "parameterOrder": [ "userId" ] }, "updateAutoForwarding": { "httpMethod": "PUT", "parameterOrder": [ "userId" ], "parameters": { "userId": { "default": "me", "type": "string", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "required": true, "location": "path" } }, "path": "gmail/v1/users/{userId}/settings/autoForwarding", "description": "Updates the auto-forwarding setting for the specified account. A verified forwarding address must be specified when auto-forwarding is enabled. This method is only available to service account clients that have been delegated domain-wide authority.", "id": "gmail.users.settings.updateAutoForwarding", "request": { "$ref": "AutoForwarding" }, "response": { "$ref": "AutoForwarding" }, "flatPath": "gmail/v1/users/{userId}/settings/autoForwarding", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.sharing" ] }, "getVacation": { "flatPath": "gmail/v1/users/{userId}/settings/vacation", "description": "Gets vacation responder settings.", "parameterOrder": [ "userId" ], "httpMethod": "GET", "path": "gmail/v1/users/{userId}/settings/vacation", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "id": "gmail.users.settings.getVacation", "parameters": { "userId": { "location": "path", "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string", "required": true } }, "response": { "$ref": "VacationSettings" } }, "updateLanguage": { "id": "gmail.users.settings.updateLanguage", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "response": { "$ref": "LanguageSettings" }, "parameterOrder": [ "userId" ], "description": "Updates language settings. If successful, the return object contains the `displayLanguage` that was saved for the user, which may differ from the value passed into the request. This is because the requested `displayLanguage` may not be directly supported by Gmail but have a close variant that is, and so the variant may be chosen and saved instead.", "path": "gmail/v1/users/{userId}/settings/language", "request": { "$ref": "LanguageSettings" }, "flatPath": "gmail/v1/users/{userId}/settings/language", "httpMethod": "PUT", "parameters": { "userId": { "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "location": "path", "required": true, "type": "string" } } }, "getLanguage": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "description": "Gets language settings.", "id": "gmail.users.settings.getLanguage", "parameterOrder": [ "userId" ], "response": { "$ref": "LanguageSettings" }, "parameters": { "userId": { "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "default": "me", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/settings/language", "path": "gmail/v1/users/{userId}/settings/language" }, "getImap": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly", "https://www.googleapis.com/auth/gmail.settings.basic" ], "description": "Gets IMAP settings.", "flatPath": "gmail/v1/users/{userId}/settings/imap", "path": "gmail/v1/users/{userId}/settings/imap", "httpMethod": "GET", "parameterOrder": [ "userId" ], "response": { "$ref": "ImapSettings" }, "id": "gmail.users.settings.getImap", "parameters": { "userId": { "location": "path", "required": true, "default": "me", "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string" } } }, "updateVacation": { "id": "gmail.users.settings.updateVacation", "parameterOrder": [ "userId" ], "parameters": { "userId": { "description": "User's email address. The special value \"me\" can be used to indicate the authenticated user.", "type": "string", "required": true, "location": "path", "default": "me" } }, "flatPath": "gmail/v1/users/{userId}/settings/vacation", "request": { "$ref": "VacationSettings" }, "httpMethod": "PUT", "description": "Updates vacation responder settings.", "path": "gmail/v1/users/{userId}/settings/vacation", "scopes": [ "https://www.googleapis.com/auth/gmail.settings.basic" ], "response": { "$ref": "VacationSettings" } } } }, "labels": { "methods": { "delete": { "parameterOrder": [ "userId", "id" ], "path": "gmail/v1/users/{userId}/labels/{id}", "parameters": { "userId": { "location": "path", "required": true, "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me" }, "id": { "type": "string", "description": "The ID of the label to delete.", "location": "path", "required": true } }, "flatPath": "gmail/v1/users/{userId}/labels/{id}", "description": "Immediately and permanently deletes the specified label and removes it from any messages and threads that it is applied to.", "httpMethod": "DELETE", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.modify" ], "id": "gmail.users.labels.delete" }, "patch": { "parameterOrder": [ "userId", "id" ], "httpMethod": "PATCH", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.modify" ], "response": { "$ref": "Label" }, "request": { "$ref": "Label" }, "id": "gmail.users.labels.patch", "parameters": { "id": { "required": true, "location": "path", "type": "string", "description": "The ID of the label to update." }, "userId": { "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path", "default": "me", "type": "string", "required": true } }, "path": "gmail/v1/users/{userId}/labels/{id}", "flatPath": "gmail/v1/users/{userId}/labels/{id}", "description": "Patch the specified label." }, "get": { "parameterOrder": [ "userId", "id" ], "description": "Gets the specified label.", "parameters": { "id": { "required": true, "location": "path", "description": "The ID of the label to retrieve.", "type": "string" }, "userId": { "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path", "required": true, "type": "string", "default": "me" } }, "id": "gmail.users.labels.get", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "path": "gmail/v1/users/{userId}/labels/{id}", "response": { "$ref": "Label" }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/labels/{id}" }, "update": { "response": { "$ref": "Label" }, "httpMethod": "PUT", "parameterOrder": [ "userId", "id" ], "description": "Updates the specified label.", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.modify" ], "request": { "$ref": "Label" }, "id": "gmail.users.labels.update", "parameters": { "id": { "location": "path", "description": "The ID of the label to update.", "required": true, "type": "string" }, "userId": { "type": "string", "required": true, "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path" } }, "flatPath": "gmail/v1/users/{userId}/labels/{id}", "path": "gmail/v1/users/{userId}/labels/{id}" }, "create": { "request": { "$ref": "Label" }, "parameterOrder": [ "userId" ], "id": "gmail.users.labels.create", "response": { "$ref": "Label" }, "flatPath": "gmail/v1/users/{userId}/labels", "path": "gmail/v1/users/{userId}/labels", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.modify" ], "description": "Creates a new label.", "parameters": { "userId": { "type": "string", "default": "me", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path" } }, "httpMethod": "POST" }, "list": { "path": "gmail/v1/users/{userId}/labels", "id": "gmail.users.labels.list", "description": "Lists all labels in the user's mailbox.", "parameters": { "userId": { "type": "string", "default": "me", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true } }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/labels", "response": { "$ref": "ListLabelsResponse" }, "parameterOrder": [ "userId" ], "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.labels", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ] } } }, "messages": { "resources": { "attachments": { "methods": { "get": { "description": "Gets the specified message attachment.", "path": "gmail/v1/users/{userId}/messages/{messageId}/attachments/{id}", "response": { "$ref": "MessagePartBody" }, "httpMethod": "GET", "flatPath": "gmail/v1/users/{userId}/messages/{messageId}/attachments/{id}", "parameters": { "userId": { "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string", "required": true, "default": "me", "location": "path" }, "messageId": { "location": "path", "description": "The ID of the message containing the attachment.", "required": true, "type": "string" }, "id": { "description": "The ID of the attachment.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "userId", "messageId", "id" ], "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.message.action", "https://www.googleapis.com/auth/gmail.addons.current.message.readonly", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "id": "gmail.users.messages.attachments.get" } } } }, "methods": { "untrash": { "response": { "$ref": "Message" }, "parameters": { "userId": { "location": "path", "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true, "type": "string" }, "id": { "location": "path", "type": "string", "description": "The ID of the message to remove from Trash.", "required": true } }, "flatPath": "gmail/v1/users/{userId}/messages/{id}/untrash", "parameterOrder": [ "userId", "id" ], "httpMethod": "POST", "path": "gmail/v1/users/{userId}/messages/{id}/untrash", "description": "Removes the specified message from the trash.", "id": "gmail.users.messages.untrash", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ] }, "import": { "parameterOrder": [ "userId" ], "description": "Imports a message into only this user's mailbox, with standard email delivery scanning and classification similar to receiving via SMTP. This method doesn't perform SPF checks, so it might not work for some spam messages, such as those attempting to perform domain spoofing. This method does not send a message. Note: This function doesn't trigger forwarding rules or filters set up by the user.", "supportsMediaUpload": true, "path": "gmail/v1/users/{userId}/messages/import", "request": { "$ref": "Message" }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.insert", "https://www.googleapis.com/auth/gmail.modify" ], "parameters": { "deleted": { "default": "false", "location": "query", "description": "Mark the email as permanently deleted (not TRASH) and only visible in Google Vault to a Vault administrator. Only used for G Suite accounts.", "type": "boolean" }, "neverMarkSpam": { "location": "query", "type": "boolean", "description": "Ignore the Gmail spam classifier decision and never mark this email as SPAM in the mailbox.", "default": "false" }, "processForCalendar": { "type": "boolean", "description": "Process calendar invites in the email and add any extracted meetings to the Google Calendar for this user.", "location": "query", "default": "false" }, "userId": { "required": true, "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string", "location": "path" }, "internalDateSource": { "enumDescriptions": [ "Internal message date set to current time when received by Gmail.", "Internal message time based on 'Date' header in email, when valid." ], "type": "string", "location": "query", "default": "dateHeader", "description": "Source for Gmail's internal date of the message.", "enum": [ "receivedTime", "dateHeader" ] } }, "id": "gmail.users.messages.import", "flatPath": "gmail/v1/users/{userId}/messages/import", "httpMethod": "POST", "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/gmail/v1/users/{userId}/messages/import" }, "resumable": { "path": "/resumable/upload/gmail/v1/users/{userId}/messages/import", "multipart": true } }, "accept": [ "message/*" ], "maxSize": "52428800" }, "response": { "$ref": "Message" } }, "modify": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ], "parameters": { "id": { "type": "string", "location": "path", "required": true, "description": "The ID of the message to modify." }, "userId": { "required": true, "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "type": "string", "location": "path" } }, "parameterOrder": [ "userId", "id" ], "path": "gmail/v1/users/{userId}/messages/{id}/modify", "id": "gmail.users.messages.modify", "request": { "$ref": "ModifyMessageRequest" }, "response": { "$ref": "Message" }, "httpMethod": "POST", "description": "Modifies the labels on the specified message.", "flatPath": "gmail/v1/users/{userId}/messages/{id}/modify" }, "delete": { "parameterOrder": [ "userId", "id" ], "id": "gmail.users.messages.delete", "path": "gmail/v1/users/{userId}/messages/{id}", "scopes": [ "https://mail.google.com/" ], "parameters": { "id": { "required": true, "location": "path", "type": "string", "description": "The ID of the message to delete." }, "userId": { "required": true, "type": "string", "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path" } }, "httpMethod": "DELETE", "description": "Immediately and permanently deletes the specified message. This operation cannot be undone. Prefer `messages.trash` instead.", "flatPath": "gmail/v1/users/{userId}/messages/{id}" }, "list": { "parameters": { "pageToken": { "location": "query", "description": "Page token to retrieve a specific page of results in the list.", "type": "string" }, "labelIds": { "description": "Only return messages with labels that match all of the specified label IDs.", "repeated": true, "location": "query", "type": "string" }, "includeSpamTrash": { "type": "boolean", "location": "query", "description": "Include messages from `SPAM` and `TRASH` in the results.", "default": "false" }, "userId": { "type": "string", "default": "me", "location": "path", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." }, "q": { "location": "query", "type": "string", "description": "Only return messages matching the specified query. Supports the same query format as the Gmail search box. For example, `\"from:someuser@example.com rfc822msgid: is:unread\"`. Parameter cannot be used when accessing the api using the gmail.metadata scope." }, "maxResults": { "type": "integer", "description": "Maximum number of messages to return. This field defaults to 100. The maximum allowed value for this field is 500.", "default": "100", "format": "uint32", "location": "query" } }, "flatPath": "gmail/v1/users/{userId}/messages", "path": "gmail/v1/users/{userId}/messages", "httpMethod": "GET", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "parameterOrder": [ "userId" ], "response": { "$ref": "ListMessagesResponse" }, "id": "gmail.users.messages.list", "description": "Lists the messages in the user's mailbox." }, "insert": { "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.insert", "https://www.googleapis.com/auth/gmail.modify" ], "id": "gmail.users.messages.insert", "request": { "$ref": "Message" }, "supportsMediaUpload": true, "response": { "$ref": "Message" }, "description": "Directly inserts a message into only this user's mailbox similar to `IMAP APPEND`, bypassing most scanning and classification. Does not send a message.", "parameterOrder": [ "userId" ], "flatPath": "gmail/v1/users/{userId}/messages", "path": "gmail/v1/users/{userId}/messages", "parameters": { "userId": { "type": "string", "location": "path", "required": true, "default": "me", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." }, "deleted": { "default": "false", "type": "boolean", "description": "Mark the email as permanently deleted (not TRASH) and only visible in Google Vault to a Vault administrator. Only used for G Suite accounts.", "location": "query" }, "internalDateSource": { "default": "receivedTime", "type": "string", "enumDescriptions": [ "Internal message date set to current time when received by Gmail.", "Internal message time based on 'Date' header in email, when valid." ], "location": "query", "enum": [ "receivedTime", "dateHeader" ], "description": "Source for Gmail's internal date of the message." } }, "mediaUpload": { "protocols": { "resumable": { "path": "/resumable/upload/gmail/v1/users/{userId}/messages", "multipart": true }, "simple": { "path": "/upload/gmail/v1/users/{userId}/messages", "multipart": true } }, "maxSize": "52428800", "accept": [ "message/*" ] }, "httpMethod": "POST" }, "send": { "response": { "$ref": "Message" }, "parameterOrder": [ "userId" ], "parameters": { "userId": { "default": "me", "type": "string", "location": "path", "required": true, "description": "The user's email address. The special value `me` can be used to indicate the authenticated user." } }, "id": "gmail.users.messages.send", "mediaUpload": { "protocols": { "simple": { "multipart": true, "path": "/upload/gmail/v1/users/{userId}/messages/send" }, "resumable": { "multipart": true, "path": "/resumable/upload/gmail/v1/users/{userId}/messages/send" } }, "accept": [ "message/*" ], "maxSize": "36700160" }, "supportsMediaUpload": true, "path": "gmail/v1/users/{userId}/messages/send", "httpMethod": "POST", "request": { "$ref": "Message" }, "flatPath": "gmail/v1/users/{userId}/messages/send", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.action.compose", "https://www.googleapis.com/auth/gmail.compose", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.send" ], "description": "Sends the specified message to the recipients in the `To`, `Cc`, and `Bcc` headers." }, "trash": { "id": "gmail.users.messages.trash", "response": { "$ref": "Message" }, "flatPath": "gmail/v1/users/{userId}/messages/{id}/trash", "path": "gmail/v1/users/{userId}/messages/{id}/trash", "httpMethod": "POST", "parameterOrder": [ "userId", "id" ], "description": "Moves the specified message to the trash.", "parameters": { "userId": { "type": "string", "required": true, "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me" }, "id": { "location": "path", "description": "The ID of the message to Trash.", "type": "string", "required": true } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ] }, "batchDelete": { "path": "gmail/v1/users/{userId}/messages/batchDelete", "scopes": [ "https://mail.google.com/" ], "flatPath": "gmail/v1/users/{userId}/messages/batchDelete", "parameterOrder": [ "userId" ], "description": "Deletes many messages by message ID. Provides no guarantees that messages were not already deleted or even existed at all.", "id": "gmail.users.messages.batchDelete", "request": { "$ref": "BatchDeleteMessagesRequest" }, "httpMethod": "POST", "parameters": { "userId": { "type": "string", "location": "path", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "required": true, "default": "me" } } }, "get": { "response": { "$ref": "Message" }, "parameters": { "userId": { "required": true, "default": "me", "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "location": "path" }, "metadataHeaders": { "location": "query", "repeated": true, "type": "string", "description": "When given and format is `METADATA`, only include headers specified." }, "id": { "type": "string", "description": "The ID of the message to retrieve. This ID is usually retrieved using `messages.list`. The ID is also contained in the result when a message is inserted (`messages.insert`) or imported (`messages.import`).", "required": true, "location": "path" }, "format": { "enumDescriptions": [ "Returns only email message ID and labels; does not return the email headers, body, or payload.", "Returns the full email message data with body content parsed in the `payload` field; the `raw` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope.", "Returns the full email message data with body content in the `raw` field as a base64url encoded string; the `payload` field is not used. Format cannot be used when accessing the api using the gmail.metadata scope.", "Returns only email message ID, labels, and email headers." ], "type": "string", "description": "The format to return the message in.", "location": "query", "enum": [ "minimal", "full", "raw", "metadata" ], "default": "full" } }, "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.addons.current.message.action", "https://www.googleapis.com/auth/gmail.addons.current.message.metadata", "https://www.googleapis.com/auth/gmail.addons.current.message.readonly", "https://www.googleapis.com/auth/gmail.metadata", "https://www.googleapis.com/auth/gmail.modify", "https://www.googleapis.com/auth/gmail.readonly" ], "id": "gmail.users.messages.get", "path": "gmail/v1/users/{userId}/messages/{id}", "httpMethod": "GET", "parameterOrder": [ "userId", "id" ], "flatPath": "gmail/v1/users/{userId}/messages/{id}", "description": "Gets the specified message." }, "batchModify": { "httpMethod": "POST", "scopes": [ "https://mail.google.com/", "https://www.googleapis.com/auth/gmail.modify" ], "path": "gmail/v1/users/{userId}/messages/batchModify", "id": "gmail.users.messages.batchModify", "parameters": { "userId": { "location": "path", "required": true, "type": "string", "description": "The user's email address. The special value `me` can be used to indicate the authenticated user.", "default": "me" } }, "parameterOrder": [ "userId" ], "request": { "$ref": "BatchModifyMessagesRequest" }, "flatPath": "gmail/v1/users/{userId}/messages/batchModify", "description": "Modifies the labels on the specified messages." } } } } } } }
]===]))
