local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Gmail Postmaster Tools API", "batchPath": "batch", "discoveryVersion": "v1", "mtlsRootUrl": "https://gmailpostmastertools.mtls.googleapis.com/", "baseUrl": "https://gmailpostmastertools.googleapis.com/", "ownerDomain": "google.com", "description": "The Postmaster Tools API is a RESTful API that provides programmatic access to email traffic metrics (like spam reports, delivery errors etc) otherwise available through the Gmail Postmaster Tools UI currently.", "resources": { "domains": { "methods": { "list": { "parameterOrder": [], "flatPath": "v1/domains", "path": "v1/domains", "id": "gmailpostmastertools.domains.list", "scopes": [ "https://www.googleapis.com/auth/postmaster.readonly" ], "description": "Lists the domains that have been registered by the client. The order of domains in the response is unspecified and non-deterministic. Newly created domains will not necessarily be added to the end of this list.", "parameters": { "pageToken": { "description": "The next_page_token value returned from a previous List request, if any. This is the value of ListDomainsResponse.next_page_token returned from the previous call to `ListDomains` method.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Requested page size. Server may return fewer domains than requested. If unspecified, server will pick an appropriate default." } }, "httpMethod": "GET", "response": { "$ref": "ListDomainsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/postmaster.readonly" ], "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/domains/{domainsId}", "description": "Gets a specific domain registered by the client. Returns NOT_FOUND if the domain does not exist.", "id": "gmailpostmastertools.domains.get", "parameterOrder": [ "name" ], "response": { "$ref": "Domain" }, "parameters": { "name": { "pattern": "^domains/[^/]+$", "required": true, "description": "The resource name of the domain. It should have the form `domains/{domain_name}`, where domain_name is the fully qualified domain name.", "location": "path", "type": "string" } } } }, "resources": { "trafficStats": { "methods": { "list": { "flatPath": "v1/domains/{domainsId}/trafficStats", "path": "v1/{+parent}/trafficStats", "description": "List traffic statistics for all available days. Returns PERMISSION_DENIED if user does not have permission to access TrafficStats for the domain.", "httpMethod": "GET", "id": "gmailpostmastertools.domains.trafficStats.list", "parameters": { "startDate.month": { "location": "query", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer", "format": "int32" }, "startDate.year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "location": "query" }, "parent": { "type": "string", "location": "path", "pattern": "^domains/[^/]+$", "description": "The resource name of the domain whose traffic statistics we'd like to list. It should have the form `domains/{domain_name}`, where domain_name is the fully qualified domain name.", "required": true }, "endDate.month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "location": "query", "format": "int32", "type": "integer" }, "startDate.day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "location": "query", "format": "int32", "type": "integer" }, "endDate.year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from a previous List request, if any. This is the value of ListTrafficStatsResponse.next_page_token returned from the previous call to `ListTrafficStats` method." }, "pageSize": { "location": "query", "format": "int32", "description": "Requested page size. Server may return fewer TrafficStats than requested. If unspecified, server will pick an appropriate default.", "type": "integer" }, "endDate.day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "location": "query", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/postmaster.readonly" ], "response": { "$ref": "ListTrafficStatsResponse" }, "parameterOrder": [ "parent" ] }, "get": { "parameterOrder": [ "name" ], "path": "v1/{+name}", "httpMethod": "GET", "description": "Get traffic statistics for a domain on a specific date. Returns PERMISSION_DENIED if user does not have permission to access TrafficStats for the domain.", "id": "gmailpostmastertools.domains.trafficStats.get", "scopes": [ "https://www.googleapis.com/auth/postmaster.readonly" ], "parameters": { "name": { "location": "path", "required": true, "description": "The resource name of the traffic statistics to get. E.g., domains/mymail.mydomain.com/trafficStats/20160807.", "pattern": "^domains/[^/]+/trafficStats/[^/]+$", "type": "string" } }, "flatPath": "v1/domains/{domainsId}/trafficStats/{trafficStatsId}", "response": { "$ref": "TrafficStats" } } } } } } }, "revision": "20220711", "name": "gmailpostmastertools", "servicePath": "", "protocol": "rest", "canonicalName": "Postmaster Tools", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/postmaster.readonly": { "description": "See email traffic metrics for the domains you have registered in Gmail Postmaster Tools" } } } }, "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "alt": { "type": "string", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "location": "query", "default": "json" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "prettyPrint": { "default": "true", "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" } }, "id": "gmailpostmastertools:v1", "ownerName": "Google", "basePath": "", "schemas": { "FeedbackLoop": { "properties": { "spamRatio": { "type": "number", "description": "The ratio of user marked spam messages with the identifier vs the total number of inboxed messages with that identifier.", "format": "double" }, "id": { "description": "Feedback loop identifier that uniquely identifies individual campaigns.", "type": "string" } }, "description": "[Feedback loop](https://support.google.com/mail/answer/6254652) identifier information.", "id": "FeedbackLoop", "type": "object" }, "DeliveryError": { "id": "DeliveryError", "type": "object", "description": "Metric on a particular delivery error type.", "properties": { "errorRatio": { "format": "double", "type": "number", "description": "The ratio of messages where the error occurred vs all authenticated traffic." }, "errorType": { "description": "The type of delivery error.", "enumDescriptions": [ "The default value which should never be used explicitly.", "The Domain or IP is sending traffic at a suspiciously high rate, due to which temporary rate limits have been imposed. The limit will be lifted when Gmail is confident enough of the nature of the traffic.", "The traffic is suspected to be spam, by Gmail, for various reasons.", "The traffic is suspected to be spammy, specific to the content.", "Traffic contains attachments not supported by Gmail.", "The sender domain has set up a DMARC rejection policy.", "The IP reputation of the sending IP is very low.", "The Domain reputation of the sending domain is very low.", "The IP is listed in one or more public [Real-time Blackhole Lists](http://en.wikipedia.org/wiki/DNSBL). Work with the RBL to get your IP delisted.", "The Domain is listed in one or more public [Real-time Blackhole Lists](http://en.wikipedia.org/wiki/DNSBL). Work with the RBL to get your domain delisted.", "The sending IP is missing a [PTR record](https://support.google.com/domains/answer/3251147#ptr)." ], "enum": [ "DELIVERY_ERROR_TYPE_UNSPECIFIED", "RATE_LIMIT_EXCEEDED", "SUSPECTED_SPAM", "CONTENT_SPAMMY", "BAD_ATTACHMENT", "BAD_DMARC_POLICY", "LOW_IP_REPUTATION", "LOW_DOMAIN_REPUTATION", "IP_IN_RBL", "DOMAIN_IN_RBL", "BAD_PTR_RECORD" ], "type": "string" }, "errorClass": { "enum": [ "DELIVERY_ERROR_CLASS_UNSPECIFIED", "PERMANENT_ERROR", "TEMPORARY_ERROR" ], "enumDescriptions": [ "The default value which should never be used explicitly.", "Delivery of message has been rejected.", "Temporary failure of message delivery to the recipient." ], "type": "string", "description": "The class of delivery error." } } }, "ListTrafficStatsResponse": { "description": "Response message for ListTrafficStats.", "type": "object", "id": "ListTrafficStatsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "trafficStats": { "description": "The list of TrafficStats.", "items": { "$ref": "TrafficStats" }, "type": "array" } } }, "ListDomainsResponse": { "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "domains": { "description": "The list of domains.", "type": "array", "items": { "$ref": "Domain" } } }, "id": "ListDomainsResponse", "description": "Response message for ListDomains." }, "Domain": { "id": "Domain", "type": "object", "properties": { "name": { "description": "The resource name of the Domain. Domain names have the form `domains/{domain_name}`, where domain_name is the fully qualified domain name (i.e., mymail.mydomain.com).", "type": "string" }, "permission": { "type": "string", "enum": [ "PERMISSION_UNSPECIFIED", "OWNER", "READER", "NONE" ], "enumDescriptions": [ "The default value and should never be used explicitly.", "User has read access to the domain and can share access with others.", "User has read access to the domain.", "User doesn't have permission to access information about the domain. User did not verify ownership of domain nor was access granted by other domain owners." ], "description": "User’s permission for this domain. Assigned by the server." }, "createTime": { "format": "google-datetime", "description": "Timestamp when the user registered this domain. Assigned by the server.", "type": "string" } }, "description": "A registered domain resource in the Postmaster API." }, "IpReputation": { "id": "IpReputation", "properties": { "ipCount": { "description": "Total number of unique IPs in this reputation category. This metric only pertains to traffic that passed [SPF](http://www.openspf.org/) or [DKIM](http://www.dkim.org/).", "format": "int64", "type": "string" }, "reputation": { "description": "The reputation category this IP reputation represents.", "enumDescriptions": [ "The default value which should never be used explicitly. This represents the state where no reputation information is available.", "Has a good track record of a very low spam rate, and complies with Gmail's sender guidelines. Mail will rarely be marked by the spam filter.", "Known to send good mail, but is prone to sending a low volume of spam intermittently. Most of the email from this entity will have a fair deliverability rate, except when there is a notable increase in spam levels.", "Known to send a considerable volume of spam regularly, and mail from this sender will likely be marked as spam.", "History of sending an enormously high volume of spam. Mail coming from this entity will almost always be rejected at SMTP level or marked as spam." ], "type": "string", "enum": [ "REPUTATION_CATEGORY_UNSPECIFIED", "HIGH", "MEDIUM", "LOW", "BAD" ] }, "sampleIps": { "items": { "type": "string" }, "type": "array", "description": "A sample of IPs in this reputation category." } }, "type": "object", "description": "IP Reputation information for a set of IPs in a specific reputation category." }, "TrafficStats": { "properties": { "spfSuccessRatio": { "description": "The ratio of mail that successfully authenticated with SPF vs. all mail that attempted to authenticate with [SPF](http://www.openspf.org/). Spoofed mail is excluded.", "format": "double", "type": "number" }, "spammyFeedbackLoops": { "type": "array", "description": "Spammy [Feedback loop identifiers] (https://support.google.com/mail/answer/6254652) with their individual spam rates. This metric only pertains to traffic that is authenticated by [DKIM](http://www.dkim.org/).", "items": { "$ref": "FeedbackLoop" } }, "inboundEncryptionRatio": { "format": "double", "description": "The ratio of incoming mail (to Gmail), that passed secure transport (TLS) vs all mail received from that domain. This metric only pertains to traffic that passed [SPF](http://www.openspf.org/) or [DKIM](http://www.dkim.org/).", "type": "number" }, "domainReputation": { "enum": [ "REPUTATION_CATEGORY_UNSPECIFIED", "HIGH", "MEDIUM", "LOW", "BAD" ], "type": "string", "description": "Reputation of the domain.", "enumDescriptions": [ "The default value which should never be used explicitly. This represents the state where no reputation information is available.", "Has a good track record of a very low spam rate, and complies with Gmail's sender guidelines. Mail will rarely be marked by the spam filter.", "Known to send good mail, but is prone to sending a low volume of spam intermittently. Most of the email from this entity will have a fair deliverability rate, except when there is a notable increase in spam levels.", "Known to send a considerable volume of spam regularly, and mail from this sender will likely be marked as spam.", "History of sending an enormously high volume of spam. Mail coming from this entity will almost always be rejected at SMTP level or marked as spam." ] }, "outboundEncryptionRatio": { "description": "The ratio of outgoing mail (from Gmail) that was accepted over secure transport (TLS).", "format": "double", "type": "number" }, "deliveryErrors": { "description": "Delivery errors for the domain. This metric only pertains to traffic that passed [SPF](http://www.openspf.org/) or [DKIM](http://www.dkim.org/).", "items": { "$ref": "DeliveryError" }, "type": "array" }, "userReportedSpamRatio": { "type": "number", "description": "The ratio of user-report spam vs. email that was sent to the inbox. This metric only pertains to emails authenticated by [DKIM](http://www.dkim.org/).", "format": "double" }, "ipReputations": { "items": { "$ref": "IpReputation" }, "type": "array", "description": "Reputation information pertaining to the IP addresses of the email servers for the domain. There is exactly one entry for each reputation category except REPUTATION_CATEGORY_UNSPECIFIED." }, "dmarcSuccessRatio": { "description": "The ratio of mail that passed [DMARC](https://dmarc.org/) alignment checks vs all mail received from the domain that successfully authenticated with either of [SPF](http://www.openspf.org/) or [DKIM](http://www.dkim.org/).", "format": "double", "type": "number" }, "name": { "description": "The resource name of the traffic statistics. Traffic statistic names have the form `domains/{domain}/trafficStats/{date}`, where domain_name is the fully qualified domain name (i.e., mymail.mydomain.com) of the domain this traffic statistics pertains to and date is the date in yyyymmdd format that these statistics corresponds to. For example: domains/mymail.mydomain.com/trafficStats/20160807", "type": "string" }, "dkimSuccessRatio": { "description": "The ratio of mail that successfully authenticated with DKIM vs. all mail that attempted to authenticate with [DKIM](http://www.dkim.org/). Spoofed mail is excluded.", "type": "number", "format": "double" } }, "id": "TrafficStats", "type": "object", "description": "Email traffic statistics pertaining to a specific date." } }, "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "documentationLink": "https://developers.google.com/gmail/postmaster", "version": "v1", "fullyEncodeReservedExpansion": true, "rootUrl": "https://gmailpostmastertools.googleapis.com/", "kind": "discovery#restDescription" }
]===]))
