local decode = require("cjson").new().decode
return assert(decode([===[
{ "revision": "20220705", "ownerName": "Google", "kind": "discovery#restDescription", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ] }, "alt": { "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "documentationLink": "https://cloud.google.com/healthcare", "schemas": { "EvaluateUserConsentsRequest": { "type": "object", "id": "EvaluateUserConsentsRequest", "properties": { "userId": { "type": "string", "description": "Required. User ID to evaluate consents for." }, "resourceAttributes": { "description": "Optional. The values of resource attributes associated with the resources being requested. If no values are specified, then all resources are queried.", "additionalProperties": { "type": "string" }, "type": "object" }, "responseView": { "description": "Optional. The view for EvaluateUserConsentsResponse. If unspecified, defaults to `BASIC` and returns `consented` as `TRUE` or `FALSE`.", "enum": [ "RESPONSE_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "No response view specified. The API will default to the BASIC view.", "Only the `data_id` and `consented` fields are populated in the response.", "All fields within the response are populated. When set to `FULL`, all `ACTIVE` Consents are evaluated even if a matching policy is found during evaluation." ], "type": "string" }, "consentList": { "description": "Optional. Specific Consents to evaluate the access request against. These Consents must have the same `user_id` as the User data mappings being evalauted, must exist in the current `consent_store`, and must have a `state` of either `ACTIVE` or `DRAFT`. A maximum of 100 Consents can be provided here. If unspecified, all `ACTIVE` unexpired Consents in the current `consent_store` will be evaluated.", "$ref": "ConsentList" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. Limit on the number of User data mappings to return in a single response. If not specified, 100 is used. May not be larger than 1000." }, "requestAttributes": { "type": "object", "description": "Required. The values of request attributes associated with this access request.", "additionalProperties": { "type": "string" } }, "pageToken": { "type": "string", "description": "Optional. Token to retrieve the next page of results, or empty to get the first page." } }, "description": "Evaluate a user's Consents for all matching User data mappings. Note: User data mappings are indexed asynchronously, causing slight delays between the time mappings are created or updated and when they are included in EvaluateUserConsents results." }, "RejectConsentRequest": { "properties": { "consentArtifact": { "description": "Optional. The resource name of the Consent artifact that contains documentation of the user's rejection of the draft Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. If the draft Consent had a Consent artifact, this Consent artifact overwrites it.", "type": "string" } }, "id": "RejectConsentRequest", "type": "object", "description": "Rejects the latest revision of the specified Consent by committing a new revision with `state` updated to `REJECTED`. If the latest revision of the given Consent is in the `REJECTED` state, no new revision is committed." }, "Consent": { "properties": { "state": { "type": "string", "description": "Required. Indicates the current state of this Consent.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "ARCHIVED", "REVOKED", "DRAFT", "REJECTED" ], "enumDescriptions": [ "No state specified. Treated as ACTIVE only at the time of resource creation.", "The Consent is active and is considered when evaluating a user's consent on resources.", "The archived state is currently not being used.", "A revoked Consent is not considered when evaluating a user's consent on resources.", "A draft Consent is not considered when evaluating a user's consent on resources unless explicitly specified.", "When a draft Consent is rejected by a user, it is set to a rejected state. A rejected Consent is not considered when evaluating a user's consent on resources." ] }, "policies": { "description": "Optional. Represents a user's consent in terms of the resources that can be accessed and under what conditions.", "items": { "$ref": "GoogleCloudHealthcareV1ConsentPolicy" }, "type": "array" }, "ttl": { "format": "google-duration", "type": "string", "description": "Input only. The time to live for this Consent from when it is created." }, "expireTime": { "description": "Timestamp in UTC of when this Consent is considered expired.", "format": "google-datetime", "type": "string" }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "consentArtifact": { "description": "Required. The resource name of the Consent artifact that contains proof of the end user's consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`.", "type": "string" }, "name": { "description": "Resource name of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. Cannot be changed after creation.", "type": "string" }, "metadata": { "type": "object", "description": "Optional. User-supplied key-value pairs used to organize Consent resources. Metadata keys must: - be between 1 and 63 characters long - have a UTF-8 encoding of maximum 128 bytes - begin with a letter - consist of up to 63 characters including lowercase letters, numeric characters, underscores, and dashes Metadata values must be: - be between 1 and 63 characters long - have a UTF-8 encoding of maximum 128 bytes - consist of up to 63 characters including lowercase letters, numeric characters, underscores, and dashes No more than 64 metadata entries can be associated with a given consent.", "additionalProperties": { "type": "string" } }, "revisionId": { "type": "string", "description": "Output only. The revision ID of the Consent. The format is an 8-character hexadecimal string. Refer to a specific revision of a Consent by appending `@{revision_id}` to the Consent's resource name.", "readOnly": true }, "revisionCreateTime": { "description": "Output only. The timestamp that the revision was created.", "readOnly": true, "format": "google-datetime", "type": "string" } }, "type": "object", "description": "Represents a user's consent.", "id": "Consent" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "properties": { "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Locations.ListLocations.", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "properties": { "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "type": "object" }, "ConsentList": { "id": "ConsentList", "properties": { "consents": { "type": "array", "description": "The resource names of the Consents to evaluate against, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`.", "items": { "type": "string" } } }, "description": "List of resource names of Consent resources.", "type": "object" }, "CreateMessageRequest": { "type": "object", "description": "Creates a new message.", "properties": { "message": { "description": "HL7v2 message.", "$ref": "Message" } }, "id": "CreateMessageRequest" }, "EntityMentionRelationship": { "properties": { "confidence": { "format": "double", "type": "number", "description": "The model's confidence in this annotation. A number between 0 and 1." }, "subjectId": { "description": "subject_id is the id of the subject entity mention.", "type": "string" }, "objectId": { "description": "object_id is the id of the object entity mention.", "type": "string" } }, "description": "Defines directed relationship from one entity mention to another.", "type": "object", "id": "EntityMentionRelationship" }, "FhirFilter": { "id": "FhirFilter", "description": "Filter configuration.", "properties": { "resources": { "$ref": "Resources", "description": "List of resources to include in the output. If this list is empty or not specified, all resources are included in the output." } }, "type": "object" }, "FhirConfig": { "id": "FhirConfig", "description": "Specifies how to handle de-identification of a FHIR store.", "properties": { "fieldMetadataList": { "items": { "$ref": "FieldMetadata" }, "type": "array", "description": "Specifies FHIR paths to match and how to transform them. Any field that is not matched by a FieldMetadata is passed through to the output dataset unmodified. All extensions will be processed according to `default_keep_extensions`." }, "defaultKeepExtensions": { "description": "The behaviour for handling FHIR extensions that aren't otherwise specified for de-identification. If true, all extensions are preserved during de-identification by default. If false or unspecified, all extensions are removed during de-identification by default.", "type": "boolean" } }, "type": "object" }, "Entity": { "description": "The candidate entities that an entity mention could link to.", "type": "object", "id": "Entity", "properties": { "entityId": { "type": "string", "description": "entity_id is a first class field entity_id uniquely identifies this concept and its meta-vocabulary. For example, \"UMLS/C0000970\"." }, "vocabularyCodes": { "items": { "type": "string" }, "description": "Vocabulary codes are first-class fields and differentiated from the concept unique identifier (entity_id). vocabulary_codes contains the representation of this concept in particular vocabularies, such as ICD-10, SNOMED-CT and RxNORM. These are prefixed by the name of the vocabulary, followed by the unique code within that vocabulary. For example, \"RXNORM/A10334543\".", "type": "array" }, "preferredTerm": { "description": "preferred_term is the preferred term for this concept. For example, \"Acetaminophen\". For ad hoc entities formed by normalization, this is the most popular unnormalized string.", "type": "string" } } }, "StreamConfig": { "id": "StreamConfig", "properties": { "resourceTypes": { "type": "array", "items": { "type": "string" }, "description": "Supply a FHIR resource type (such as \"Patient\" or \"Observation\"). See https://www.hl7.org/fhir/valueset-resource-types.html for a list of all FHIR resource types. The server treats an empty list as an intent to stream all the supported resource types in this FHIR store." }, "bigqueryDestination": { "$ref": "GoogleCloudHealthcareV1FhirBigQueryDestination", "description": "The destination BigQuery structure that contains both the dataset location and corresponding schema config. The output is organized in one table per resource type. The server reuses the existing tables (if any) that are named after the resource types. For example, \"Patient\", \"Observation\". When there is no existing table for a given resource type, the server attempts to create one. When a table schema doesn't align with the schema config, either because of existing incompatible schema or out of band incompatible modification, the server does not stream in new data. BigQuery imposes a 1 MB limit on streaming insert row size, therefore any resource mutation that generates more than 1 MB of BigQuery data is not streamed. One resolution in this case is to delete the incompatible table and let the server recreate one, though the newly created table only contains data after the table recreation. Results are written to BigQuery tables according to the parameters in BigQueryDestination.WriteDisposition. Different versions of the same resource are distinguishable by the meta.versionId and meta.lastUpdated columns. The operation (CREATE/UPDATE/DELETE) that results in the new version is recorded in the meta.tag. The tables contain all historical resource versions since streaming was enabled. For query convenience, the server also creates one view per table of the same name containing only the current resource version. The streamed data in the BigQuery dataset is not guaranteed to be completely unique. The combination of the id and meta.versionId columns should ideally identify a single unique row. But in rare cases, duplicates may exist. At query time, users may use the SQL select statement to keep only one of the duplicate rows given an id and meta.versionId pair. Alternatively, the server created view mentioned above also filters out duplicates. If a resource mutation cannot be streamed to BigQuery, errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging))." } }, "type": "object", "description": "Contains configuration for streaming FHIR export." }, "ListMessagesResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "hl7V2Messages": { "type": "array", "description": "The returned Messages. Won't be more Messages than the value of page_size in the request. See view for populated fields.", "items": { "$ref": "Message" } } }, "id": "ListMessagesResponse", "description": "Lists the messages in the specified HL7v2 store.", "type": "object" }, "ConsentEvaluation": { "type": "object", "description": "The detailed evaluation of a particular Consent.", "properties": { "evaluationResult": { "description": "The evaluation result.", "type": "string", "enumDescriptions": [ "No evaluation result specified. This option is invalid.", "The Consent is not applicable to the requested access determination. For example, the Consent does not apply to the user for which the access determination is requested, or it has a `state` of `REVOKED`, or it has expired.", "The Consent does not have a policy that matches the `resource_attributes` of the evaluated resource.", "The Consent has at least one policy that matches the `resource_attributes` of the evaluated resource, but no `authorization_rule` was satisfied.", "The Consent has at least one policy that matches the `resource_attributes` of the evaluated resource, and at least one `authorization_rule` was satisfied." ], "enum": [ "EVALUATION_RESULT_UNSPECIFIED", "NOT_APPLICABLE", "NO_MATCHING_POLICY", "NO_SATISFIED_POLICY", "HAS_SATISFIED_POLICY" ] } }, "id": "ConsentEvaluation" }, "ListDicomStoresResponse": { "properties": { "dicomStores": { "description": "The returned DICOM stores. Won't be more DICOM stores than the value of page_size in the request.", "type": "array", "items": { "$ref": "DicomStore" } }, "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" } }, "id": "ListDicomStoresResponse", "description": "Lists the DICOM stores in the given dataset.", "type": "object" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "id": "Status", "type": "object" }, "Segment": { "id": "Segment", "type": "object", "properties": { "fields": { "description": "A mapping from the positional location to the value. The key string uses zero-based indexes separated by dots to identify Fields, components and sub-components. A bracket notation is also used to identify different instances of a repeated field. Regex for key: (\\d+)(\\[\\d+\\])?(.\\d+)?(.\\d+)? Examples of (key, value) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (0.1, \"hemoglobin\") denotes that the first component of Field 0 has the value \"hemoglobin\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (1.1.2, \"CBC\") denotes that the second sub-component of the first component of Field 1 has the value \"CBC\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (1[0].1, \"HbA1c\") denotes that the first component of the first Instance of Field 1, which is repeated, has the value \"HbA1c\".", "type": "object", "additionalProperties": { "type": "string" } }, "setId": { "description": "Set ID for segments that can be in a set. This can be empty if it's missing or isn't applicable.", "type": "string" }, "segmentId": { "type": "string", "description": "A string that indicates the type of segment. For example, EVN or PID." } }, "description": "A segment in a structured format." }, "Operation": { "type": "object", "id": "Operation", "properties": { "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "ListConsentStoresResponse": { "id": "ListConsentStoresResponse", "properties": { "consentStores": { "description": "The returned consent stores. The maximum number of stores returned is determined by the value of page_size in the ListConsentStoresRequest.", "items": { "$ref": "ConsentStore" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object" }, "AnalyzeEntitiesResponse": { "properties": { "relationships": { "type": "array", "items": { "$ref": "EntityMentionRelationship" }, "description": "relationships contains all the binary relationships that were identified between entity mentions within the provided document." }, "entities": { "description": "The union of all the candidate entities that the entity_mentions in this response could link to. These are UMLS concepts or normalized mention content.", "items": { "$ref": "Entity" }, "type": "array" }, "entityMentions": { "type": "array", "description": "entity_mentions contains all the annotated medical entities that were mentioned in the provided document.", "items": { "$ref": "EntityMention" } } }, "type": "object", "description": "Includes recognized entity mentions and relationships between them.", "id": "AnalyzeEntitiesResponse" }, "Signature": { "id": "Signature", "description": "User signature.", "type": "object", "properties": { "image": { "$ref": "Image", "description": "Optional. An image of the user's signature." }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "signatureTime": { "format": "google-datetime", "type": "string", "description": "Optional. Timestamp of the signature." }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Optional. Metadata associated with the user's signature. For example, the user's name or the user's title.", "type": "object" } } }, "Resources": { "id": "Resources", "type": "object", "properties": { "resources": { "type": "array", "items": { "type": "string" }, "description": "List of resources IDs. For example, \"Patient/1234\"." } }, "description": "A list of FHIR resources." }, "ArchiveUserDataMappingRequest": { "type": "object", "description": "Archives the specified User data mapping.", "properties": {}, "id": "ArchiveUserDataMappingRequest" }, "ParsedData": { "id": "ParsedData", "description": "The content of a HL7v2 message in a structured format.", "type": "object", "properties": { "segments": { "items": { "$ref": "Segment" }, "type": "array" } } }, "IngestMessageResponse": { "description": "Acknowledges that a message has been ingested into the specified HL7v2 store.", "properties": { "message": { "description": "Created message resource.", "$ref": "Message" }, "hl7Ack": { "description": "HL7v2 ACK message.", "type": "string", "format": "byte" } }, "type": "object", "id": "IngestMessageResponse" }, "SchemaSegment": { "type": "object", "description": "An HL7v2 Segment.", "id": "SchemaSegment", "properties": { "minOccurs": { "description": "The minimum number of times this segment can be present in this group.", "type": "integer", "format": "int32" }, "maxOccurs": { "description": "The maximum number of times this segment can be present in this group. 0 or -1 means unbounded.", "format": "int32", "type": "integer" }, "type": { "description": "The Segment type. For example, \"PID\".", "type": "string" } } }, "ImportResourcesRequest": { "type": "object", "description": "Request to import resources.", "properties": { "contentStructure": { "enum": [ "CONTENT_STRUCTURE_UNSPECIFIED", "BUNDLE", "RESOURCE", "BUNDLE_PRETTY", "RESOURCE_PRETTY" ], "description": "The content structure in the source location. If not specified, the server treats the input source files as BUNDLE.", "enumDescriptions": [ "If the content structure is not specified, the default value `BUNDLE` is used.", "The source file contains one or more lines of newline-delimited JSON (ndjson). Each line is a bundle that contains one or more resources.", "The source file contains one or more lines of newline-delimited JSON (ndjson). Each line is a single resource.", "The entire file is one JSON bundle. The JSON can span multiple lines.", "The entire file is one JSON resource. The JSON can span multiple lines." ], "type": "string" }, "gcsSource": { "description": "Cloud Storage source data location and import configuration. The Healthcare Service Agent account requires the `roles/storage.objectAdmin` role on the Cloud Storage location. Each Cloud Storage object should be a text file that contains the format specified in ContentStructure.", "$ref": "GoogleCloudHealthcareV1FhirGcsSource" } }, "id": "ImportResourcesRequest" }, "RevokeConsentRequest": { "id": "RevokeConsentRequest", "properties": { "consentArtifact": { "description": "Optional. The resource name of the Consent artifact that contains proof of the user's revocation of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`.", "type": "string" } }, "type": "object", "description": "Revokes the latest revision of the specified Consent by committing a new revision with `state` updated to `REVOKED`. If the latest revision of the given Consent is in the `REVOKED` state, no new revision is committed." }, "Hl7TypesConfig": { "type": "object", "description": "Root config for HL7v2 datatype definitions for a specific HL7v2 version.", "properties": { "version": { "description": "The version selectors that this config applies to. A message must match ALL version sources to apply.", "type": "array", "items": { "$ref": "VersionSource" } }, "type": { "items": { "$ref": "Type" }, "description": "The HL7v2 type definitions.", "type": "array" } }, "id": "Hl7TypesConfig" }, "LinkedEntity": { "properties": { "entityId": { "description": "entity_id is a concept unique identifier. These are prefixed by a string that identifies the entity coding system, followed by the unique identifier within that system. For example, \"UMLS/C0000970\". This also supports ad hoc entities, which are formed by normalizing entity mention content.", "type": "string" } }, "description": "EntityMentions can be linked to multiple entities using a LinkedEntity message lets us add other fields, e.g. confidence.", "id": "LinkedEntity", "type": "object" }, "NotificationConfig": { "description": "Specifies where to send notifications upon changes to a data store.", "properties": { "pubsubTopic": { "description": "The [Pub/Sub](https://cloud.google.com/pubsub/docs/) topic that notifications of changes are published on. Supplied by the client. PubsubMessage.Data contains the resource name. PubsubMessage.MessageId is the ID of this message. It is guaranteed to be unique within the topic. PubsubMessage.PublishTime is the time at which the message was published. Notifications are only sent if the topic is non-empty. [Topic names](https://cloud.google.com/pubsub/docs/overview#names) must be scoped to a project. Cloud Healthcare API service account must have publisher permissions on the given Pub/Sub topic. Not having adequate permissions causes the calls that send notifications to fail. If a notification can't be published to Pub/Sub, errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). If the number of errors exceeds a certain rate, some aren't submitted. Note that not all operations trigger notifications, see [Configuring Pub/Sub notifications](https://cloud.google.com/healthcare/docs/how-tos/pubsub) for specific details.", "type": "string" } }, "id": "NotificationConfig", "type": "object" }, "GoogleCloudHealthcareV1ConsentGcsDestination": { "id": "GoogleCloudHealthcareV1ConsentGcsDestination", "properties": { "uriPrefix": { "description": "URI for a Cloud Storage directory where the server writes result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket and directory referenced in `uri_prefix`.", "type": "string" } }, "description": "The Cloud Storage location for export.", "type": "object" }, "ListAttributeDefinitionsResponse": { "properties": { "attributeDefinitions": { "description": "The returned Attribute definitions. The maximum number of attributes returned is determined by the value of page_size in the ListAttributeDefinitionsRequest.", "items": { "$ref": "AttributeDefinition" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "ListAttributeDefinitionsResponse", "type": "object" }, "EntityMention": { "properties": { "mentionId": { "type": "string", "description": "mention_id uniquely identifies each entity mention in a single response." }, "type": { "type": "string", "description": "The semantic type of the entity: UNKNOWN_ENTITY_TYPE, ALONE, ANATOMICAL_STRUCTURE, ASSISTED_LIVING, BF_RESULT, BM_RESULT, BM_UNIT, BM_VALUE, BODY_FUNCTION, BODY_MEASUREMENT, COMPLIANT, DOESNOT_FOLLOWUP, FAMILY, FOLLOWSUP, LABORATORY_DATA, LAB_RESULT, LAB_UNIT, LAB_VALUE, MEDICAL_DEVICE, MEDICINE, MED_DOSE, MED_DURATION, MED_FORM, MED_FREQUENCY, MED_ROUTE, MED_STATUS, MED_STRENGTH, MED_TOTALDOSE, MED_UNIT, NON_COMPLIANT, OTHER_LIVINGSTATUS, PROBLEM, PROCEDURE, PROCEDURE_RESULT, PROC_METHOD, REASON_FOR_NONCOMPLIANCE, SEVERITY, SUBSTANCE_ABUSE, UNCLEAR_FOLLOWUP." }, "linkedEntities": { "type": "array", "description": "linked_entities are candidate ontological concepts that this entity mention may refer to. They are sorted by decreasing confidence.it", "items": { "$ref": "LinkedEntity" } }, "text": { "description": "text is the location of the entity mention in the document.", "$ref": "TextSpan" }, "certaintyAssessment": { "description": "The certainty assessment of the entity mention. Its value is one of: LIKELY, SOMEWHAT_LIKELY, UNCERTAIN, SOMEWHAT_UNLIKELY, UNLIKELY, CONDITIONAL", "$ref": "Feature" }, "confidence": { "description": "The model's confidence in this entity mention annotation. A number between 0 and 1.", "format": "double", "type": "number" }, "subject": { "description": "The subject this entity mention relates to. Its value is one of: PATIENT, FAMILY_MEMBER, OTHER", "$ref": "Feature" }, "temporalAssessment": { "description": "How this entity mention relates to the subject temporally. Its value is one of: CURRENT, CLINICAL_HISTORY, FAMILY_HISTORY, UPCOMING, ALLERGY", "$ref": "Feature" } }, "id": "EntityMention", "description": "An entity mention in the document.", "type": "object" }, "DeidentifyFhirStoreRequest": { "type": "object", "properties": { "destinationStore": { "type": "string", "description": "The name of the FHIR store to create and write the redacted data to. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The source dataset and destination dataset must both reside in the same location. De-identifying data across multiple locations is not supported. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination FHIR store must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The caller must have the healthcare.fhirResources.update permission to write to the destination FHIR store." }, "gcsConfigUri": { "type": "string", "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified." }, "resourceFilter": { "description": "A filter specifying the resources to include in the output. If not specified, all resources are included in the output.", "$ref": "FhirFilter" }, "config": { "$ref": "DeidentifyConfig", "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified." } }, "description": "Creates a new FHIR store with sensitive information de-identified.", "id": "DeidentifyFhirStoreRequest" }, "UserDataMapping": { "properties": { "resourceAttributes": { "description": "Attributes of the resource. Only explicitly set attributes are displayed here. Attribute definitions with defaults set implicitly apply to these User data mappings. Attributes listed here must be single valued, that is, exactly one value is specified for the field \"values\" in each Attribute.", "type": "array", "items": { "$ref": "Attribute" } }, "archived": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates whether this mapping is archived." }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "name": { "type": "string", "description": "Resource name of the User data mapping, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/userDataMappings/{user_data_mapping_id}`." }, "archiveTime": { "description": "Output only. Indicates the time when this mapping was archived.", "type": "string", "readOnly": true, "format": "google-datetime" }, "dataId": { "description": "Required. A unique identifier for the mapped resource.", "type": "string" } }, "type": "object", "id": "UserDataMapping", "description": "Maps a resource to the associated user and Attributes." }, "ListHl7V2StoresResponse": { "id": "ListHl7V2StoresResponse", "description": "Lists the HL7v2 stores in the given dataset.", "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" }, "hl7V2Stores": { "items": { "$ref": "Hl7V2Store" }, "description": "The returned HL7v2 stores. Won't be more HL7v2 stores than the value of page_size in the request.", "type": "array" } } }, "GoogleCloudHealthcareV1DeidentifyDeidentifyDicomStoreSummary": { "type": "object", "properties": {}, "description": "Contains a summary of the DeidentifyDicomStore operation.", "id": "GoogleCloudHealthcareV1DeidentifyDeidentifyDicomStoreSummary" }, "DicomStore": { "id": "DicomStore", "properties": { "notificationConfig": { "description": "Notification destination for new DICOM instances. Supplied by the client.", "$ref": "NotificationConfig" }, "labels": { "description": "User-supplied key-value pairs used to organize DICOM stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Resource name of the DICOM store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "description": "Represents a DICOM store.", "type": "object" }, "SchemaGroup": { "properties": { "minOccurs": { "type": "integer", "format": "int32", "description": "The minimum number of times this group must be present/repeated." }, "name": { "description": "The name of this group. For example, \"ORDER_DETAIL\".", "type": "string" }, "members": { "description": "Nested groups and/or segments.", "items": { "$ref": "GroupOrSegment" }, "type": "array" }, "maxOccurs": { "description": "The maximum number of times this group can be repeated. 0 or -1 means unbounded.", "type": "integer", "format": "int32" }, "choice": { "type": "boolean", "description": "True indicates that this is a choice group, meaning that only one of its segments can exist in a given message." } }, "description": "An HL7v2 logical group construct.", "type": "object", "id": "SchemaGroup" }, "HttpBody": { "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.", "type": "object", "properties": { "data": { "format": "byte", "description": "The HTTP request/response body as raw binary.", "type": "string" }, "contentType": { "type": "string", "description": "The HTTP Content-Type header value specifying the content type of the body." }, "extensions": { "type": "array", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "description": "Application specific response metadata. Must be set in the first response for streaming APIs." } }, "id": "HttpBody" }, "GoogleCloudHealthcareV1DeidentifyDeidentifyFhirStoreSummary": { "type": "object", "description": "Contains a summary of the DeidentifyFhirStore operation.", "id": "GoogleCloudHealthcareV1DeidentifyDeidentifyFhirStoreSummary", "properties": {} }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" } }, "description": "Request message for `SetIamPolicy` method.", "type": "object", "id": "SetIamPolicyRequest" }, "Hl7V2NotificationConfig": { "properties": { "filter": { "description": "Restricts notifications sent for messages matching a filter. If this is empty, all messages are matched. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The following fields and functions are available for filtering: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `message_type`, from the MSH-9.1 field. For example, `NOT message_type = \"ADT\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_date` or `sendDate`, the YYYY-MM-DD date the message was sent in the dataset's time_zone, from the MSH-7 segment. For example, `send_date \u003c \"2017-01-02\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`, the timestamp when the message was sent, using the RFC3339 time format for comparisons, from the MSH-7 segment. For example, `send_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `create_time`, the timestamp when the message was created in the HL7v2 store. Use the RFC3339 time format for comparisons. For example, `create_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_facility`, the care center that the message came from, from the MSH-4 segment. For example, `send_facility = \"ABC\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PatientId(value, type)`, which matches if the message lists a patient having an ID of the given value and type in the PID-2, PID-3, or PID-4 segments. For example, `PatientId(\"123456\", \"MRN\")`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.x`, a string value of the label with key `x` as set using the Message.labels map. For example, `labels.\"priority\"=\"high\"`. The operator `:*` can be used to assert the existence of a label. For example, `labels.\"priority\":*`.", "type": "string" }, "pubsubTopic": { "type": "string", "description": "The [Pub/Sub](https://cloud.google.com/pubsub/docs/) topic that notifications of changes are published on. Supplied by the client. The notification is a `PubsubMessage` with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.Data` contains the resource name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.MessageId` is the ID of this notification. It's guaranteed to be unique within the topic. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.PublishTime` is the time when the message was published. Note that notifications are only sent if the topic is non-empty. [Topic names](https://cloud.google.com/pubsub/docs/overview#names) must be scoped to a project. The Cloud Healthcare API service account, service-PROJECT_NUMBER@gcp-sa-healthcare.iam.gserviceaccount.com, must have publisher permissions on the given Pub/Sub topic. Not having adequate permissions causes the calls that send notifications to fail. If a notification cannot be published to Pub/Sub, errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging))." } }, "type": "object", "description": "Specifies where and whether to send notifications upon changes to a data store.", "id": "Hl7V2NotificationConfig" }, "CharacterMaskConfig": { "id": "CharacterMaskConfig", "description": "Mask a string by replacing its characters with a fixed character.", "type": "object", "properties": { "maskingCharacter": { "type": "string", "description": "Character to mask the sensitive values. If not supplied, defaults to \"*\"." } } }, "SchematizedData": { "description": "The content of an HL7v2 message in a structured format as specified by a schema.", "properties": { "data": { "type": "string", "description": "JSON output of the parser." }, "error": { "type": "string", "description": "The error output of the parser." } }, "id": "SchematizedData", "type": "object" }, "ConsentStore": { "properties": { "enableConsentCreateOnUpdate": { "description": "Optional. If `true`, UpdateConsent creates the Consent if it does not already exist. If unspecified, defaults to `false`.", "type": "boolean" }, "defaultConsentTtl": { "description": "Optional. Default time to live for Consents created in this store. Must be at least 24 hours. Updating this field will not affect the expiration time of existing consents.", "type": "string", "format": "google-duration" }, "name": { "type": "string", "description": "Resource name of the consent store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. Cannot be changed after creation." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. User-supplied key-value pairs used to organize consent stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62}. Label values must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}. No more than 64 labels can be associated with a given store. For more information: https://cloud.google.com/healthcare/docs/how-tos/labeling-resources" } }, "id": "ConsentStore", "type": "object", "description": "Represents a consent store." }, "ActivateConsentRequest": { "type": "object", "description": "Activates the latest revision of the specified Consent by committing a new revision with `state` updated to `ACTIVE`. If the latest revision of the given Consent is in the `ACTIVE` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the given consent is in the `REJECTED` or `REVOKED` state.", "id": "ActivateConsentRequest", "properties": { "expireTime": { "format": "google-datetime", "description": "Timestamp in UTC of when this Consent is considered expired.", "type": "string" }, "consentArtifact": { "type": "string", "description": "Required. The resource name of the Consent artifact that contains documentation of the user's consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. If the draft Consent had a Consent artifact, this Consent artifact overwrites it." }, "ttl": { "description": "The time to live for this Consent from when it is marked as active.", "format": "google-duration", "type": "string" } } }, "ImportResourcesResponse": { "description": "Final response of importing resources. This structure is included in the response to describe the detailed outcome after the operation finishes successfully.", "type": "object", "properties": {}, "id": "ImportResourcesResponse" }, "ExportMessagesResponse": { "properties": {}, "description": "Final response for the export operation. This structure is included in the response to describe the detailed outcome.", "type": "object", "id": "ExportMessagesResponse" }, "ImportDicomDataResponse": { "type": "object", "properties": {}, "id": "ImportDicomDataResponse", "description": "Returns additional information in regards to a completed DICOM store import." }, "DeidentifyDatasetRequest": { "type": "object", "properties": { "config": { "$ref": "DeidentifyConfig", "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified." }, "destinationDataset": { "description": "The name of the dataset resource to create and write the redacted data to. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must be in the same location as the source dataset. De-identifying data across multiple locations is not supported.", "type": "string" }, "gcsConfigUri": { "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified.", "type": "string" } }, "id": "DeidentifyDatasetRequest", "description": "Redacts identifying information from the specified dataset." }, "ExportDicomDataResponse": { "id": "ExportDicomDataResponse", "properties": {}, "description": "Returns additional information in regards to a completed DICOM store export.", "type": "object" }, "FhirStore": { "description": "Represents a FHIR store.", "id": "FhirStore", "type": "object", "properties": { "streamConfigs": { "type": "array", "items": { "$ref": "StreamConfig" }, "description": "A list of streaming configs that configure the destinations of streaming export for every resource mutation in this FHIR store. Each store is allowed to have up to 10 streaming configs. After a new config is added, the next resource mutation is streamed to the new location in addition to the existing ones. When a location is removed from the list, the server stops streaming to that location. Before adding a new config, you must add the required [`bigquery.dataEditor`](https://cloud.google.com/bigquery/docs/access-control#bigquery.dataEditor) role to your project's **Cloud Healthcare Service Agent** [service account](https://cloud.google.com/iam/docs/service-accounts). Some lag (typically on the order of dozens of seconds) is expected before the results show up in the streaming destination." }, "complexDataTypeReferenceParsing": { "description": "Enable parsing of references within complex FHIR data types such as Extensions. If this value is set to ENABLED, then features like referential integrity and Bundle reference rewriting apply to all references. If this flag has not been specified the behavior of the FHIR store will not change, references in complex data types will not be parsed. New stores will have this value set to ENABLED after a notification period. Warning: turning on this flag causes processing existing resources to fail if they contain references to non-existent resources.", "enumDescriptions": [ "No parsing behavior specified. This is the same as DISABLED for backwards compatibility.", "References in complex data types are ignored.", "References in complex data types are parsed." ], "type": "string", "enum": [ "COMPLEX_DATA_TYPE_REFERENCE_PARSING_UNSPECIFIED", "DISABLED", "ENABLED" ] }, "notificationConfig": { "description": "If non-empty, publish all resource modifications of this FHIR store to this destination. The Pub/Sub message attributes contain a map with a string describing the action that has triggered the notification. For example, \"action\":\"CreateResource\".", "$ref": "NotificationConfig" }, "labels": { "description": "User-supplied key-value pairs used to organize FHIR stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" }, "type": "object" }, "version": { "type": "string", "description": "Immutable. The FHIR specification version that this FHIR store supports natively. This field is immutable after store creation. Requests are rejected if they contain FHIR resources of a different version. Version is required for every FHIR store.", "enumDescriptions": [ "Users must specify a version on store creation or an error is returned.", "Draft Standard for Trial Use, [Release 2](https://www.hl7.org/fhir/DSTU2)", "Standard for Trial Use, [Release 3](https://www.hl7.org/fhir/STU3)", "[Release 4](https://www.hl7.org/fhir/R4)" ], "enum": [ "VERSION_UNSPECIFIED", "DSTU2", "STU3", "R4" ] }, "disableResourceVersioning": { "description": "Immutable. Whether to disable resource versioning for this FHIR store. This field can not be changed after the creation of FHIR store. If set to false, which is the default behavior, all write operations cause historical versions to be recorded automatically. The historical versions can be fetched through the history APIs, but cannot be updated. If set to true, no historical versions are kept. The server sends errors for attempts to read the historical versions.", "type": "boolean" }, "defaultSearchHandlingStrict": { "type": "boolean", "description": "If true, overrides the default search behavior for this FHIR store to `handling=strict` which returns an error for unrecognized search parameters. If false, uses the FHIR specification default `handling=lenient` which ignores unrecognized search parameters. The handling can always be changed from the default on an individual API call by setting the HTTP header `Prefer: handling=strict` or `Prefer: handling=lenient`." }, "disableReferentialIntegrity": { "type": "boolean", "description": "Immutable. Whether to disable referential integrity in this FHIR store. This field is immutable after FHIR store creation. The default value is false, meaning that the API enforces referential integrity and fails the requests that result in inconsistent state in the FHIR store. When this field is set to true, the API skips referential integrity checks. Consequently, operations that rely on references, such as GetPatientEverything, do not return all the results if broken references exist." }, "validationConfig": { "description": "Configuration for how to validate incoming FHIR resources against configured profiles.", "$ref": "ValidationConfig" }, "name": { "description": "Output only. Resource name of the FHIR store, of the form `projects/{project_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "type": "string" }, "enableUpdateCreate": { "type": "boolean", "description": "Whether this FHIR store has the [updateCreate capability](https://www.hl7.org/fhir/capabilitystatement-definitions.html#CapabilityStatement.rest.resource.updateCreate). This determines if the client can use an Update operation to create a new resource with a client-specified ID. If false, all IDs are server-assigned through the Create operation and attempts to update a non-existent resource return errors. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud audit logs and Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources." } } }, "SearchResourcesRequest": { "description": "Request to search the resources in the specified FHIR store.", "id": "SearchResourcesRequest", "type": "object", "properties": { "resourceType": { "description": "The FHIR resource type to search, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "type": "string" } } }, "ListDatasetsResponse": { "type": "object", "description": "Lists the available datasets.", "properties": { "datasets": { "type": "array", "items": { "$ref": "Dataset" }, "description": "The first page of datasets." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "ListDatasetsResponse" }, "DicomConfig": { "id": "DicomConfig", "description": "Specifies the parameters needed for de-identification of DICOM stores.", "properties": { "skipIdRedaction": { "description": "If true, skip replacing StudyInstanceUID, SeriesInstanceUID, SOPInstanceUID, and MediaStorageSOPInstanceUID and leave them untouched. The Cloud Healthcare API regenerates these UIDs by default based on the DICOM Standard's reasoning: \"Whilst these UIDs cannot be mapped directly to an individual out of context, given access to the original images, or to a database of the original images containing the UIDs, it would be possible to recover the individual's identity.\" http://dicom.nema.org/medical/dicom/current/output/chtml/part15/sect_E.3.9.html", "type": "boolean" }, "keepList": { "description": "List of tags to keep. Remove all other tags.", "$ref": "TagFilterList" }, "filterProfile": { "enumDescriptions": [ "No tag filtration profile provided. Same as KEEP_ALL_PROFILE.", "Keep only tags required to produce valid DICOM.", "Remove tags based on DICOM Standard's Attribute Confidentiality Basic Profile (DICOM Standard Edition 2018e) http://dicom.nema.org/medical/dicom/2018e/output/chtml/part15/chapter_E.html.", "Keep all tags.", "Inspects within tag contents and replaces sensitive text. The process can be configured using the TextConfig. Applies to all tags with the following Value Representation names: AE, LO, LT, PN, SH, ST, UC, UT, DA, DT, AS" ], "type": "string", "enum": [ "TAG_FILTER_PROFILE_UNSPECIFIED", "MINIMAL_KEEP_LIST_PROFILE", "ATTRIBUTE_CONFIDENTIALITY_BASIC_PROFILE", "KEEP_ALL_PROFILE", "DEIDENTIFY_TAG_CONTENTS" ], "description": "Tag filtering profile that determines which tags to keep/remove." }, "removeList": { "description": "List of tags to remove. Keep all other tags.", "$ref": "TagFilterList" } }, "type": "object" }, "ImageConfig": { "properties": { "textRedactionMode": { "type": "string", "description": "Determines how to redact text from image.", "enum": [ "TEXT_REDACTION_MODE_UNSPECIFIED", "REDACT_ALL_TEXT", "REDACT_SENSITIVE_TEXT", "REDACT_NO_TEXT" ], "enumDescriptions": [ "No text redaction specified. Same as REDACT_NO_TEXT.", "Redact all text.", "Redact sensitive text. Uses the set of [Default DICOM InfoTypes](https://cloud.google.com/healthcare-api/docs/how-tos/dicom-deidentify#default_dicom_infotypes).", "Do not redact text." ] } }, "type": "object", "id": "ImageConfig", "description": "Specifies how to handle de-identification of image pixels." }, "GcsDestination": { "properties": { "uriPrefix": { "type": "string", "description": "URI of an existing Cloud Storage directory where the server writes result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path." }, "contentStructure": { "enumDescriptions": [ "If the content structure is not specified, the default value `MESSAGE_JSON` will be used.", "Messages are printed using the JSON format returned from the `GetMessage` API. Messages are delimited with newlines." ], "type": "string", "enum": [ "CONTENT_STRUCTURE_UNSPECIFIED", "MESSAGE_JSON" ], "description": "The format of the exported HL7v2 message files." }, "messageView": { "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "type": "string", "description": "Specifies the parts of the Message resource to include in the export. If not specified, FULL is used.", "enumDescriptions": [ "Not specified, equivalent to FULL.", "Server responses include all the message fields except parsed_data field, and schematized_data fields.", "Server responses include all the message fields except data field, and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ] } }, "description": "The Cloud Storage output destination. The Cloud Healthcare Service Agent requires the `roles/storage.objectAdmin` Cloud IAM roles on the Cloud Storage location.", "type": "object", "id": "GcsDestination" }, "ListConsentRevisionsResponse": { "type": "object", "id": "ListConsentRevisionsResponse", "properties": { "consents": { "description": "The returned Consent revisions. The maximum number of revisions returned is determined by the value of `page_size` in the ListConsentRevisionsRequest.", "type": "array", "items": { "$ref": "Consent" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } } }, "ValidationConfig": { "id": "ValidationConfig", "properties": { "disableProfileValidation": { "description": "Whether to disable profile validation for this FHIR store. Set this to true to disable checking incoming resources for conformance against structure definitions in this FHIR store.", "type": "boolean" }, "disableRequiredFieldValidation": { "type": "boolean", "description": "Whether to disable required fields validation for incoming resources. Set this to true to disable checking incoming resources for conformance against required fields requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced." }, "disableReferenceTypeValidation": { "type": "boolean", "description": "Whether to disable reference type validation for incoming resources. Set this to true to disable checking incoming resources for conformance against reference type requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced." }, "disableFhirpathValidation": { "description": "Whether to disable FHIRPath validation for incoming resources. Set this to true to disable checking incoming resources for conformance against FHIRPath requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced.", "type": "boolean" }, "enabledImplementationGuides": { "type": "array", "description": "A list of implementation guide URLs in this FHIR store that are used to configure the profiles to use for validation. For example, to use the US Core profiles for validation, set `enabled_implementation_guides` to `[\"http://hl7.org/fhir/us/core/ImplementationGuide/ig\"]`. If `enabled_implementation_guides` is empty or omitted, then incoming resources are only required to conform to the base FHIR profiles. Otherwise, a resource must conform to at least one profile listed in the `global` property of one of the enabled ImplementationGuides. The Cloud Healthcare API does not currently enforce all of the rules in a StructureDefinition. The following rules are supported: - min/max - minValue/maxValue - maxLength - type - fixed[x] - pattern[x] on simple types - slicing, when using \"value\" as the discriminator type When a URL cannot be resolved (for example, in a type assertion), the server does not return an error.", "items": { "type": "string" } } }, "description": "Contains the configuration for FHIR profiles and validation.", "type": "object" }, "TextSpan": { "properties": { "content": { "type": "string", "description": "The original text contained in this span." }, "beginOffset": { "type": "integer", "format": "int32", "description": "The unicode codepoint index of the beginning of this span." } }, "id": "TextSpan", "description": "A span of text in the provided document.", "type": "object" }, "QueryAccessibleDataRequest": { "description": "Queries all data_ids that are consented for a given use in the given consent store and writes them to a specified destination. The returned Operation includes a progress counter for the number of User data mappings processed. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging] (https://cloud.google.com/healthcare/docs/how-tos/logging) and [QueryAccessibleData] for a sample log entry).", "properties": { "resourceAttributes": { "description": "Optional. The values of resource attributes associated with the type of resources being requested. If no values are specified, then all resource types are included in the output.", "additionalProperties": { "type": "string" }, "type": "object" }, "gcsDestination": { "$ref": "GoogleCloudHealthcareV1ConsentGcsDestination", "description": "The Cloud Storage destination. The Cloud Healthcare API service account must have the `roles/storage.objectAdmin` Cloud IAM role for this Cloud Storage location." }, "requestAttributes": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The values of request attributes associated with this access request." } }, "type": "object", "id": "QueryAccessibleDataRequest" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object", "properties": {} }, "TestIamPermissionsRequest": { "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "type": "object", "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest" }, "Binding": { "id": "Binding", "type": "object", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "description": "Associates `members`, or principals, with a `role`." }, "Message": { "properties": { "patientIds": { "type": "array", "description": "All patient IDs listed in the PID-2, PID-3, and PID-4 segments of this message.", "items": { "$ref": "PatientId" } }, "sendTime": { "format": "google-datetime", "type": "string", "description": "The datetime the sending application sent this message. MSH-7." }, "data": { "type": "string", "format": "byte", "description": "Raw message bytes." }, "createTime": { "format": "google-datetime", "description": "Output only. The datetime when the message was created. Set by the server.", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "Resource name of the Message, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7_v2_store_id}/messages/{message_id}`. Assigned by the server." }, "labels": { "description": "User-supplied key-value pairs used to organize HL7v2 stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" }, "type": "object" }, "messageType": { "type": "string", "description": "The message type for this message. MSH-9.1." }, "sendFacility": { "type": "string", "description": "The hospital that this message came from. MSH-4." }, "parsedData": { "readOnly": true, "description": "Output only. The parsed version of the raw message data.", "$ref": "ParsedData" }, "schematizedData": { "description": "The parsed version of the raw message data schematized according to this store's schemas and type definitions.", "$ref": "SchematizedData" } }, "type": "object", "description": "A complete HL7v2 message. See [Introduction to HL7 Standards] (https://www.hl7.org/implement/standards/index.cfm?ref=common) for details on the standard.", "id": "Message" }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object", "properties": { "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "id": "Policy" }, "ImportMessagesResponse": { "id": "ImportMessagesResponse", "type": "object", "properties": {}, "description": "Final response of importing messages. This structure is included in the response to describe the detailed outcome. It is only included when the operation finishes successfully." }, "ListFhirStoresResponse": { "description": "Lists the FHIR stores in the given dataset.", "type": "object", "id": "ListFhirStoresResponse", "properties": { "fhirStores": { "type": "array", "items": { "$ref": "FhirStore" }, "description": "The returned FHIR stores. Won't be more FHIR stores than the value of page_size in the request." }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." } } }, "OperationMetadata": { "id": "OperationMetadata", "type": "object", "properties": { "createTime": { "type": "string", "description": "The time at which the operation was created by the API.", "format": "google-datetime" }, "endTime": { "format": "google-datetime", "description": "The time at which execution was completed.", "type": "string" }, "cancelRequested": { "type": "boolean", "description": "Specifies if cancellation was requested for the operation." }, "apiMethodName": { "description": "The name of the API method that initiated the operation.", "type": "string" }, "logsUrl": { "type": "string", "description": "A link to audit and error logs in the log viewer. Error logs are generated only by some operations, listed at [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)." }, "counter": { "$ref": "ProgressCounter" } }, "description": "OperationMetadata provides information about the operation execution. Returned in the long-running operation's metadata field." }, "GoogleCloudHealthcareV1DicomBigQueryDestination": { "id": "GoogleCloudHealthcareV1DicomBigQueryDestination", "description": "The BigQuery table where the server writes the output.", "properties": { "writeDisposition": { "enumDescriptions": [ "Default behavior is the same as WRITE_EMPTY.", "Only export data if the destination table is empty.", "Erase all existing data in a table before writing the instances.", "Append data to the existing table." ], "description": "Determines whether the existing table in the destination is to be overwritten or appended to. If a write_disposition is specified, the `force` parameter is ignored.", "type": "string", "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_EMPTY", "WRITE_TRUNCATE", "WRITE_APPEND" ] }, "force": { "description": "Use `write_disposition` instead. If `write_disposition` is specified, this parameter is ignored. force=false is equivalent to write_disposition=WRITE_EMPTY and force=true is equivalent to write_disposition=WRITE_TRUNCATE.", "type": "boolean" }, "tableUri": { "type": "string", "description": "BigQuery URI to a table, up to 2000 characters long, in the format `bq://projectId.bqDatasetId.tableId`" } }, "type": "object" }, "GcsSource": { "description": "Specifies the configuration for importing data from Cloud Storage.", "properties": { "uri": { "description": "Points to a Cloud Storage URI containing file(s) to import. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*` to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `**` to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .ndjson), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.ndjson` imports all files with `.ndjson` extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `?` to match 1 character Files matching the wildcard are expected to contain content only, no metadata.", "type": "string" } }, "id": "GcsSource", "type": "object" }, "GoogleCloudHealthcareV1DicomGcsDestination": { "description": "The Cloud Storage location where the server writes the output and the export configuration.", "properties": { "uriPrefix": { "description": "The Cloud Storage destination to export to. URI for a Cloud Storage directory where the server writes the result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`). If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket referenced in `uri_prefix`.", "type": "string" }, "mimeType": { "type": "string", "description": "MIME types supported by DICOM spec. Each file is written in the following format: `.../{study_id}/{series_id}/{instance_id}[/{frame_number}].{extension}` The frame_number component exists only for multi-frame instances. Supported MIME types are consistent with supported formats in DICOMweb: https://cloud.google.com/healthcare/docs/dicom#retrieve_transaction. Specifically, the following are supported: - application/dicom; transfer-syntax=1.2.840.10008.1.2.1 (uncompressed DICOM) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.50 (DICOM with embedded JPEG Baseline) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.90 (DICOM with embedded JPEG 2000 Lossless Only) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.91 (DICOM with embedded JPEG 2000) - application/dicom; transfer-syntax=* (DICOM with no transcoding) - application/octet-stream; transfer-syntax=1.2.840.10008.1.2.1 (raw uncompressed PixelData) - application/octet-stream; transfer-syntax=* (raw PixelData in whatever format it was uploaded in) - image/jpeg; transfer-syntax=1.2.840.10008.1.2.4.50 (Consumer JPEG) - image/png The following extensions are used for output files: - application/dicom -\u003e .dcm - image/jpeg -\u003e .jpg - image/png -\u003e .png - application/octet-stream -\u003e no extension If unspecified, the instances are exported in the original DICOM format they were uploaded in." } }, "id": "GoogleCloudHealthcareV1DicomGcsDestination", "type": "object" }, "Feature": { "id": "Feature", "description": "A feature of an entity mention.", "type": "object", "properties": { "value": { "description": "The value of this feature annotation. Its range depends on the type of the feature.", "type": "string" }, "confidence": { "format": "double", "description": "The model's confidence in this feature annotation. A number between 0 and 1.", "type": "number" } } }, "CryptoHashConfig": { "properties": { "cryptoKey": { "type": "string", "description": "An AES 128/192/256 bit key. Causes the hash to be computed based on this key. A default key is generated for each Deidentify operation and is used when neither `crypto_key` nor `kms_wrapped` is specified. Must not be set if `kms_wrapped` is set.", "format": "byte" } }, "type": "object", "description": "Pseudonymization method that generates surrogates via cryptographic hashing. Uses SHA-256. Outputs a base64-encoded representation of the hashed output (for example, `L7k0BHmF1ha5U3NfGykjro4xWi1MPVQPjhMAZbSV9mM=`).", "id": "CryptoHashConfig" }, "RedactConfig": { "type": "object", "properties": {}, "description": "Define how to redact sensitive values. Default behaviour is erase. For example, \"My name is Jane.\" becomes \"My name is .\"", "id": "RedactConfig" }, "ImportDicomDataRequest": { "description": "Imports data into the specified DICOM store. Returns an error if any of the files to import are not DICOM files. This API accepts duplicate DICOM instances by ignoring the newly-pushed instance. It does not overwrite.", "properties": { "gcsSource": { "description": "Cloud Storage source data location and import configuration. The Cloud Healthcare Service Agent requires the `roles/storage.objectViewer` Cloud IAM roles on the Cloud Storage location.", "$ref": "GoogleCloudHealthcareV1DicomGcsSource" } }, "type": "object", "id": "ImportDicomDataRequest" }, "GoogleCloudHealthcareV1FhirBigQueryDestination": { "description": "The configuration for exporting to BigQuery.", "type": "object", "properties": { "writeDisposition": { "description": "Determines if existing data in the destination dataset is overwritten, appended to, or not written if the tables contain data. If a write_disposition is specified, the `force` parameter is ignored.", "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_EMPTY", "WRITE_TRUNCATE", "WRITE_APPEND" ], "type": "string", "enumDescriptions": [ "Default behavior is the same as WRITE_EMPTY.", "Only export data if the destination tables are empty.", "Erase all existing data in the tables before writing the instances.", "Append data to the existing tables." ] }, "force": { "type": "boolean", "description": "If this flag is `TRUE`, all tables are deleted from the dataset before the new exported tables are written. If the flag is not set and the destination dataset contains tables, the export call returns an error. If `write_disposition` is specified, this parameter is ignored. force=false is equivalent to write_disposition=WRITE_EMPTY and force=true is equivalent to write_disposition=WRITE_TRUNCATE." }, "datasetUri": { "type": "string", "description": "BigQuery URI to an existing dataset, up to 2000 characters long, in the format `bq://projectId.bqDatasetId`." }, "schemaConfig": { "$ref": "SchemaConfig", "description": "The configuration for the exported BigQuery schema." } }, "id": "GoogleCloudHealthcareV1FhirBigQueryDestination" }, "TagFilterList": { "description": "List of tags to be filtered.", "type": "object", "properties": { "tags": { "description": "Tags to be filtered. Tags must be DICOM Data Elements, File Meta Elements, or Directory Structuring Elements, as defined at: http://dicom.nema.org/medical/dicom/current/output/html/part06.html#table_6-1,. They may be provided by \"Keyword\" or \"Tag\". For example \"PatientID\", \"00100010\".", "items": { "type": "string" }, "type": "array" } }, "id": "TagFilterList" }, "Result": { "type": "object", "properties": { "dataId": { "description": "The unique identifier of the evaluated resource.", "type": "string" }, "consentDetails": { "additionalProperties": { "$ref": "ConsentEvaluation" }, "type": "object", "description": "The resource names of all evaluated Consents mapped to their evaluation." }, "consented": { "type": "boolean", "description": "Whether the resource is consented for the given use." } }, "id": "Result", "description": "The consent evaluation result for a single `data_id`." }, "ExportMessagesRequest": { "type": "object", "description": "Request to schedule an export.", "id": "ExportMessagesRequest", "properties": { "startTime": { "format": "google-datetime", "description": "The start of the range in `send_time` (MSH.7, https://www.hl7.org/documentcenter/public_temp_2E58C1F9-1C23-BA17-0C6126475344DA9D/wg/conf/HL7MSH.htm) to process. If not specified, the UNIX epoch (1970-01-01T00:00:00Z) is used. This value has to come before the `end_time` defined below. Only messages whose `send_time` lies in the range `start_time` (inclusive) to `end_time` (exclusive) are exported.", "type": "string" }, "endTime": { "description": "The end of the range in `send_time` (MSH.7, https://www.hl7.org/documentcenter/public_temp_2E58C1F9-1C23-BA17-0C6126475344DA9D/wg/conf/HL7MSH.htm) to process. If not specified, the time when the export is scheduled is used. This value has to come after the `start_time` defined below. Only messages whose `send_time` lies in the range `start_time` (inclusive) to `end_time` (exclusive) are exported.", "type": "string", "format": "google-datetime" }, "gcsDestination": { "$ref": "GcsDestination", "description": "Export to a Cloud Storage destination." } } }, "FieldMetadata": { "type": "object", "id": "FieldMetadata", "properties": { "action": { "enumDescriptions": [ "No action specified.", "Transform the entire field.", "Inspect and transform any found PHI.", "Do not transform." ], "type": "string", "enum": [ "ACTION_UNSPECIFIED", "TRANSFORM", "INSPECT_AND_TRANSFORM", "DO_NOT_TRANSFORM" ], "description": "Deidentify action for one field." }, "paths": { "type": "array", "description": "List of paths to FHIR fields to be redacted. Each path is a period-separated list where each component is either a field name or FHIR type name, for example: Patient, HumanName. For \"choice\" types (those defined in the FHIR spec with the form: field[x]) we use two separate components. For example, \"deceasedAge.unit\" is matched by \"Deceased.Age.unit\". Supported types are: AdministrativeGenderCode, Base64Binary, Boolean, Code, Date, DateTime, Decimal, HumanName, Id, Instant, Integer, LanguageCode, Markdown, Oid, PositiveInt, String, UnsignedInt, Uri, Uuid, Xhtml.", "items": { "type": "string" } } }, "description": "Specifies FHIR paths to match, and how to handle de-identification of matching fields." }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "type": "object" }, "InfoTypeTransformation": { "properties": { "replaceWithInfoTypeConfig": { "$ref": "ReplaceWithInfoTypeConfig", "description": "Config for replace with InfoType." }, "cryptoHashConfig": { "$ref": "CryptoHashConfig", "description": "Config for crypto hash." }, "redactConfig": { "description": "Config for text redaction.", "$ref": "RedactConfig" }, "characterMaskConfig": { "$ref": "CharacterMaskConfig", "description": "Config for character mask." }, "infoTypes": { "type": "array", "description": "InfoTypes to apply this transformation to. If this is not specified, the transformation applies to any info_type.", "items": { "type": "string" } }, "dateShiftConfig": { "description": "Config for date shift.", "$ref": "DateShiftConfig" } }, "type": "object", "id": "InfoTypeTransformation", "description": "A transformation to apply to text that is identified as a specific info_type." }, "Location": { "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object", "properties": { "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } } }, "ArchiveUserDataMappingResponse": { "type": "object", "description": "Archives the specified User data mapping.", "id": "ArchiveUserDataMappingResponse", "properties": {} }, "Type": { "type": "object", "properties": { "fields": { "description": "The (sub) fields this type has (if not primitive).", "type": "array", "items": { "$ref": "Field" } }, "name": { "type": "string", "description": "The name of this type. This would be the segment or datatype name. For example, \"PID\" or \"XPN\"." }, "primitive": { "enum": [ "PRIMITIVE_UNSPECIFIED", "STRING", "VARIES", "UNESCAPED_STRING" ], "type": "string", "enumDescriptions": [ "Not a primitive.", "String primitive.", "Element that can have unschematized children.", "Like STRING, but all delimiters below this element are ignored." ], "description": "If this is a primitive type then this field is the type of the primitive For example, STRING. Leave unspecified for composite types." } }, "id": "Type", "description": "A type definition for some HL7v2 type (incl. Segments and Datatypes)." }, "GoogleCloudHealthcareV1FhirGcsDestination": { "id": "GoogleCloudHealthcareV1FhirGcsDestination", "properties": { "uriPrefix": { "type": "string", "description": "URI for a Cloud Storage directory where result files should be written, in the format of `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket referenced in `uri_prefix`." } }, "description": "The configuration for exporting to Cloud Storage.", "type": "object" }, "AnalyzeEntitiesRequest": { "properties": { "licensedVocabularies": { "description": "A list of licensed vocabularies to use in the request, in addition to the default unlicensed vocabularies.", "type": "array", "items": { "enumDescriptions": [ "No licensed vocabulary specified.", "ICD-10-CM vocabulary", "SNOMED CT (US version) vocabulary" ], "type": "string", "enum": [ "LICENSED_VOCABULARY_UNSPECIFIED", "ICD10CM", "SNOMEDCT_US" ] } }, "documentContent": { "description": "document_content is a document to be annotated.", "type": "string" } }, "type": "object", "description": "The request to analyze healthcare entities in a document.", "id": "AnalyzeEntitiesRequest" }, "ListConsentsResponse": { "id": "ListConsentsResponse", "type": "object", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "consents": { "items": { "$ref": "Consent" }, "description": "The returned Consents. The maximum number of Consents returned is determined by the value of page_size in the ListConsentsRequest.", "type": "array" } } }, "QueryAccessibleDataResponse": { "properties": { "gcsUris": { "description": "List of files, each of which contains a list of data_id(s) that are consented for a specified use in the request.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "Response for successful QueryAccessibleData operations. This structure is included in the response upon operation completion.", "id": "QueryAccessibleDataResponse" }, "Attribute": { "properties": { "values": { "type": "array", "items": { "type": "string" }, "description": "Required. The value of the attribute. Must be an acceptable value as defined in the consent store. For example, if the consent store defines \"data type\" with acceptable values \"questionnaire\" and \"step-count\", when the attribute name is data type, this field must contain one of those values." }, "attributeDefinitionId": { "description": "Indicates the name of an attribute defined in the consent store.", "type": "string" } }, "id": "Attribute", "type": "object", "description": "An attribute value for a Consent or User data mapping. Each Attribute must have a corresponding AttributeDefinition in the consent store that defines the default and allowed values." }, "ParserConfig": { "properties": { "schema": { "$ref": "SchemaPackage", "description": "Schemas used to parse messages in this store, if schematized parsing is desired." }, "version": { "type": "string", "enum": [ "PARSER_VERSION_UNSPECIFIED", "V1", "V2" ], "description": "Immutable. Determines the version of both the default parser to be used when `schema` is not given, as well as the schematized parser used when `schema` is specified. This field is immutable after HL7v2 store creation.", "enumDescriptions": [ "Unspecified parser version, equivalent to V1.", "The `parsed_data` includes every given non-empty message field except the Field Separator (MSH-1) field. As a result, the parsed MSH segment starts with the MSH-2 field and the field numbers are off-by-one with respect to the HL7 standard.", "The `parsed_data` includes every given non-empty message field." ] }, "segmentTerminator": { "type": "string", "description": "Byte(s) to use as the segment terminator. If this is unset, '\\r' is used as segment terminator, matching the HL7 version 2 specification.", "format": "byte" }, "allowNullHeader": { "type": "boolean", "description": "Determines whether messages with no header are allowed." } }, "description": "The configuration for the parser. It determines how the server parses the messages.", "id": "ParserConfig", "type": "object" }, "TextConfig": { "id": "TextConfig", "type": "object", "properties": { "transformations": { "items": { "$ref": "InfoTypeTransformation" }, "type": "array", "description": "The transformations to apply to the detected data." } } }, "ProgressCounter": { "type": "object", "properties": { "failure": { "type": "string", "format": "int64", "description": "The number of units that failed in the operation." }, "success": { "format": "int64", "type": "string", "description": "The number of units that succeeded in the operation." }, "pending": { "format": "int64", "type": "string", "description": "The number of units that are pending in the operation." } }, "description": "ProgressCounter provides counters to describe an operation's progress.", "id": "ProgressCounter" }, "GroupOrSegment": { "properties": { "segment": { "$ref": "SchemaSegment" }, "group": { "$ref": "SchemaGroup" } }, "description": "Construct representing a logical group or a segment.", "type": "object", "id": "GroupOrSegment" }, "CancelOperationRequest": { "properties": {}, "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest" }, "AttributeDefinition": { "id": "AttributeDefinition", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name of the Attribute definition, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/attributeDefinitions/{attribute_definition_id}`. Cannot be changed after creation." }, "dataMappingDefaultValue": { "type": "string", "description": "Optional. Default value of the attribute in User data mappings. If no default value is specified, it defaults to an empty value. This field is only applicable to attributes of the category `RESOURCE`." }, "consentDefaultValues": { "items": { "type": "string" }, "type": "array", "description": "Optional. Default values of the attribute in Consents. If no default values are specified, it defaults to an empty value." }, "category": { "enumDescriptions": [ "No category specified. This option is invalid.", "Specify this category when this attribute describes the properties of resources. For example, data anonymity or data type.", "Specify this category when this attribute describes the properties of requests. For example, requester's role or requester's organization." ], "description": "Required. The category of the attribute. The value of this field cannot be changed after creation.", "type": "string", "enum": [ "CATEGORY_UNSPECIFIED", "RESOURCE", "REQUEST" ] }, "description": { "description": "Optional. A description of the attribute.", "type": "string" }, "allowedValues": { "items": { "type": "string" }, "description": "Required. Possible values for the attribute. The number of allowed values must not exceed 500. An empty list is invalid. The list can only be expanded after creation.", "type": "array" } }, "description": "A client-defined consent attribute." }, "ReplaceWithInfoTypeConfig": { "description": "When using the INSPECT_AND_TRANSFORM action, each match is replaced with the name of the info_type. For example, \"My name is Jane\" becomes \"My name is [PERSON_NAME].\" The TRANSFORM action is equivalent to redacting.", "id": "ReplaceWithInfoTypeConfig", "properties": {}, "type": "object" }, "DicomFilterConfig": { "properties": { "resourcePathsGcsUri": { "type": "string", "description": "The Cloud Storage location of the filter configuration file. The `gcs_uri` must be in the format `gs://bucket/path/to/object`. The filter configuration file must contain a list of resource paths separated by newline characters (\\n or \\r\\n). Each resource path must be in the format \"/studies/{studyUID}[/series/{seriesUID}[/instances/{instanceUID}]]\" The Cloud Healthcare API service account must have the `roles/storage.objectViewer` Cloud IAM role for this Cloud Storage location." } }, "description": "Specifies the filter configuration for DICOM resources.", "type": "object", "id": "DicomFilterConfig" }, "DeidentifySummary": { "type": "object", "properties": {}, "id": "DeidentifySummary", "description": "Contains a summary of the Deidentify operation." }, "GoogleCloudHealthcareV1ConsentPolicy": { "id": "GoogleCloudHealthcareV1ConsentPolicy", "description": "Represents a user's consent in terms of the resources that can be accessed and under what conditions.", "properties": { "resourceAttributes": { "description": "The resources that this policy applies to. A resource is a match if it matches all the attributes listed here. If empty, this policy applies to all User data mappings for the given user.", "type": "array", "items": { "$ref": "Attribute" } }, "authorizationRule": { "description": "Required. The request conditions to meet to grant access. In addition to any supported comparison operators, authorization rules may have `IN` operator as well as at most 10 logical operators that are limited to `AND` (`&&`), `OR` (`||`).", "$ref": "Expr" } }, "type": "object" }, "AuditLogConfig": { "properties": { "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } }, "logType": { "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables." } }, "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "ListUserDataMappingsResponse": { "properties": { "userDataMappings": { "items": { "$ref": "UserDataMapping" }, "description": "The returned User data mappings. The maximum number of User data mappings returned is determined by the value of page_size in the ListUserDataMappingsRequest.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "id": "ListUserDataMappingsResponse", "type": "object" }, "ListConsentArtifactsResponse": { "id": "ListConsentArtifactsResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "consentArtifacts": { "description": "The returned Consent artifacts. The maximum number of artifacts returned is determined by the value of page_size in the ListConsentArtifactsRequest.", "items": { "$ref": "ConsentArtifact" }, "type": "array" } }, "type": "object" }, "ConsentArtifact": { "id": "ConsentArtifact", "description": "Documentation of a user's consent.", "properties": { "witnessSignature": { "$ref": "Signature", "description": "Optional. A signature from a witness." }, "consentContentVersion": { "type": "string", "description": "Optional. An string indicating the version of the consent information shown to the user." }, "guardianSignature": { "$ref": "Signature", "description": "Optional. A signature from a guardian." }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "metadata": { "type": "object", "description": "Optional. Metadata associated with the Consent artifact. For example, the consent locale or user agent version.", "additionalProperties": { "type": "string" } }, "consentContentScreenshots": { "type": "array", "description": "Optional. Screenshots, PDFs, or other binary information documenting the user's consent.", "items": { "$ref": "Image" } }, "name": { "type": "string", "description": "Resource name of the Consent artifact, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. Cannot be changed after creation." }, "userSignature": { "$ref": "Signature", "description": "Optional. User's signature." } }, "type": "object" }, "PatientId": { "id": "PatientId", "description": "A patient identifier and associated type.", "properties": { "type": { "description": "ID type. For example, MRN or NHS.", "type": "string" }, "value": { "type": "string", "description": "The patient's unique identifier." } }, "type": "object" }, "Expr": { "type": "object", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr" }, "CheckDataAccessResponse": { "description": "Checks if a particular data_id of a User data mapping in the given consent store is consented for a given use.", "type": "object", "id": "CheckDataAccessResponse", "properties": { "consented": { "type": "boolean", "description": "Whether the requested resource is consented for the given use." }, "consentDetails": { "type": "object", "additionalProperties": { "$ref": "ConsentEvaluation" }, "description": "The resource names of all evaluated Consents mapped to their evaluation." } } }, "EvaluateUserConsentsResponse": { "type": "object", "properties": { "results": { "items": { "$ref": "Result" }, "type": "array", "description": "The consent evaluation result for each `data_id`." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list. This token is valid for 72 hours after it is created.", "type": "string" } }, "id": "EvaluateUserConsentsResponse" }, "GoogleCloudHealthcareV1FhirGcsSource": { "id": "GoogleCloudHealthcareV1FhirGcsSource", "type": "object", "properties": { "uri": { "type": "string", "description": "Points to a Cloud Storage URI containing file(s) to import. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*` to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `**` to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .ndjson), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.ndjson` imports all files with `.ndjson` extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `?` to match 1 character Files matching the wildcard are expected to contain content only, no metadata." } }, "description": "Specifies the configuration for importing data from Cloud Storage." }, "TestIamPermissionsResponse": { "properties": { "permissions": { "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" } } }, "type": "object", "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse" }, "IngestMessageRequest": { "id": "IngestMessageRequest", "description": "Ingests a message into the specified HL7v2 store.", "type": "object", "properties": { "message": { "$ref": "Message", "description": "HL7v2 message to ingest." } } }, "Field": { "type": "object", "id": "Field", "properties": { "minOccurs": { "description": "The minimum number of times this field must be present/repeated.", "type": "integer", "format": "int32" }, "table": { "type": "string", "description": "The HL7v2 table this field refers to. For example, PID-15 (Patient's Primary Language) usually refers to table \"0296\"." }, "name": { "description": "The name of the field. For example, \"PID-1\" or just \"1\".", "type": "string" }, "maxOccurs": { "format": "int32", "description": "The maximum number of times this field can be repeated. 0 or -1 means unbounded.", "type": "integer" }, "type": { "description": "The type of this field. A Type with this name must be defined in an Hl7TypesConfig.", "type": "string" } }, "description": "A (sub) field of a type." }, "DeidentifyConfig": { "description": "Configures de-id options specific to different types of content. Each submessage customizes the handling of an https://tools.ietf.org/html/rfc6838 media type or subtype. Configs are applied in a nested manner at runtime.", "id": "DeidentifyConfig", "properties": { "text": { "description": "Configures de-identification of text wherever it is found in the source_dataset.", "$ref": "TextConfig" }, "dicom": { "$ref": "DicomConfig", "description": "Configures de-id of application/DICOM content." }, "image": { "$ref": "ImageConfig", "description": "Configures de-identification of image pixels wherever they are found in the source_dataset." }, "fhir": { "description": "Configures de-id of application/FHIR content.", "$ref": "FhirConfig" } }, "type": "object" }, "ExportResourcesResponse": { "id": "ExportResourcesResponse", "properties": {}, "type": "object", "description": "Response when all resources export successfully. This structure is included in the response to describe the detailed outcome after the operation finishes successfully." }, "CheckDataAccessRequest": { "id": "CheckDataAccessRequest", "description": "Checks if a particular data_id of a User data mapping in the given consent store is consented for a given use.", "properties": { "dataId": { "description": "Required. The unique identifier of the resource to check access for. This identifier must correspond to a User data mapping in the given consent store.", "type": "string" }, "requestAttributes": { "description": "The values of request attributes associated with this access request.", "additionalProperties": { "type": "string" }, "type": "object" }, "responseView": { "description": "Optional. The view for CheckDataAccessResponse. If unspecified, defaults to `BASIC` and returns `consented` as `TRUE` or `FALSE`.", "enumDescriptions": [ "No response view specified. The API will default to the BASIC view.", "Only the `consented` field is populated in CheckDataAccessResponse.", "All fields within CheckDataAccessResponse are populated. When set to `FULL`, all `ACTIVE` Consents are evaluated even if a matching policy is found during evaluation." ], "enum": [ "RESPONSE_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string" }, "consentList": { "$ref": "ConsentList", "description": "Optional. Specific Consents to evaluate the access request against. These Consents must have the same `user_id` as the evaluated User data mapping, must exist in the current `consent_store`, and have a `state` of either `ACTIVE` or `DRAFT`. A maximum of 100 Consents can be provided here. If no selection is specified, the access request is evaluated against all `ACTIVE` unexpired Consents with the same `user_id` as the evaluated User data mapping." } }, "type": "object" }, "GoogleCloudHealthcareV1DicomGcsSource": { "description": "Specifies the configuration for importing data from Cloud Storage.", "id": "GoogleCloudHealthcareV1DicomGcsSource", "type": "object", "properties": { "uri": { "description": "Points to a Cloud Storage URI containing file(s) with content only. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '*' to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '**' to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .dcm), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.dcm` imports all files with .dcm extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '?' to match 1 character. All other URI formats are invalid. Files matching the wildcard are expected to contain content only, no metadata.", "type": "string" } } }, "SchemaPackage": { "description": "A schema package contains a set of schemas and type definitions.", "id": "SchemaPackage", "properties": { "schematizedParsingType": { "type": "string", "enumDescriptions": [ "Unspecified schematized parsing type, equivalent to `SOFT_FAIL`.", "Messages that fail to parse are still stored and ACKed but a parser error is stored in place of the schematized data.", "Messages that fail to parse are rejected from ingestion/insertion and return an error code." ], "enum": [ "SCHEMATIZED_PARSING_TYPE_UNSPECIFIED", "SOFT_FAIL", "HARD_FAIL" ], "description": "Determines how messages that fail to parse are handled." }, "schemas": { "type": "array", "items": { "$ref": "Hl7SchemaConfig" }, "description": "Schema configs that are layered based on their VersionSources that match the incoming message. Schema configs present in higher indices override those in lower indices with the same message type and trigger event if their VersionSources all match an incoming message." }, "types": { "items": { "$ref": "Hl7TypesConfig" }, "description": "Schema type definitions that are layered based on their VersionSources that match the incoming message. Type definitions present in higher indices override those in lower indices with the same type name if their VersionSources all match an incoming message.", "type": "array" }, "ignoreMinOccurs": { "type": "boolean", "description": "Flag to ignore all min_occurs restrictions in the schema. This means that incoming messages can omit any group, segment, field, component, or subcomponent." }, "unexpectedSegmentHandling": { "description": "Determines how unexpected segments (segments not matched to the schema) are handled.", "enum": [ "UNEXPECTED_SEGMENT_HANDLING_MODE_UNSPECIFIED", "FAIL", "SKIP", "PARSE" ], "type": "string", "enumDescriptions": [ "Unspecified handling mode, equivalent to FAIL.", "Unexpected segments fail to parse and return an error.", "Unexpected segments do not fail, but are omitted from the output.", "Unexpected segments do not fail, but are parsed in place and added to the current group. If a segment has a type definition, it is used, otherwise it is parsed as VARIES." ] } }, "type": "object" }, "DeidentifyDicomStoreRequest": { "type": "object", "description": "Creates a new DICOM store with sensitive information de-identified.", "properties": { "config": { "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified.", "$ref": "DeidentifyConfig" }, "destinationStore": { "description": "The name of the DICOM store to create and write the redacted data to. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The source dataset and destination dataset must both reside in the same location. De-identifying data across multiple locations is not supported. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination DICOM store must not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The caller must have the necessary permissions to create the destination DICOM store.", "type": "string" }, "filterConfig": { "$ref": "DicomFilterConfig", "description": "Filter configuration." }, "gcsConfigUri": { "type": "string", "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified." } }, "id": "DeidentifyDicomStoreRequest" }, "Image": { "type": "object", "id": "Image", "description": "Raw bytes representing consent artifact content.", "properties": { "gcsUri": { "type": "string", "description": "Input only. Points to a Cloud Storage URI containing the consent artifact content. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The Cloud Healthcare API service account must have the `roles/storage.objectViewer` Cloud IAM role for this Cloud Storage location. The consent artifact content at this URI is copied to a Cloud Storage location managed by the Cloud Healthcare API. Responses to fetching requests return the consent artifact content in raw_bytes." }, "rawBytes": { "description": "Consent artifact content represented as a stream of bytes. This field is populated when returned in GetConsentArtifact response, but not included in CreateConsentArtifact and ListConsentArtifact response.", "format": "byte", "type": "string" } } }, "Hl7SchemaConfig": { "type": "object", "id": "Hl7SchemaConfig", "properties": { "messageSchemaConfigs": { "type": "object", "additionalProperties": { "$ref": "SchemaGroup" }, "description": "Map from each HL7v2 message type and trigger event pair, such as ADT_A04, to its schema configuration root group." }, "version": { "type": "array", "description": "Each VersionSource is tested and only if they all match is the schema used for the message.", "items": { "$ref": "VersionSource" } } }, "description": "Root config message for HL7v2 schema. This contains a schema structure of groups and segments, and filters that determine which messages to apply the schema structure to." }, "Dataset": { "id": "Dataset", "type": "object", "description": "A message representing a health dataset. A health dataset represents a collection of healthcare data pertaining to one or more patients. This may include multiple modalities of healthcare data, such as electronic medical records or medical imaging data.", "properties": { "timeZone": { "type": "string", "description": "The default timezone used by this dataset. Must be a either a valid IANA time zone name such as \"America/New_York\" or empty, which defaults to UTC. This is used for parsing times in resources, such as HL7 messages, where no explicit timezone is specified." }, "name": { "description": "Resource name of the dataset, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "type": "string" } } }, "SchemaConfig": { "type": "object", "description": "Configuration for the FHIR BigQuery schema. Determines how the server generates the schema.", "id": "SchemaConfig", "properties": { "recursiveStructureDepth": { "description": "The depth for all recursive structures in the output analytics schema. For example, `concept` in the CodeSystem resource is a recursive structure; when the depth is 2, the CodeSystem table will have a column called `concept.concept` but not `concept.concept.concept`. If not specified or set to 0, the server will use the default value 2. The maximum depth allowed is 5.", "type": "string", "format": "int64" }, "schemaType": { "enum": [ "SCHEMA_TYPE_UNSPECIFIED", "ANALYTICS", "ANALYTICS_V2" ], "enumDescriptions": [ "No schema type specified. This type is unsupported.", "Analytics schema defined by the FHIR community. See https://github.com/FHIR/sql-on-fhir/blob/master/sql-on-fhir.md. BigQuery only allows a maximum of 10,000 columns per table. Due to this limitation, the server will not generate schemas for fields of type `Resource`, which can hold any resource type. The affected fields are `Parameters.parameter.resource`, `Bundle.entry.resource`, and `Bundle.entry.response.outcome`.", "Analytics V2, similar to schema defined by the FHIR community, with added support for extensions with one or more occurrences and contained resources in stringified JSON." ], "description": "Specifies the output schema type. Schema type is required.", "type": "string" } } }, "Hl7V2Store": { "id": "Hl7V2Store", "properties": { "name": { "description": "Resource name of the HL7v2 store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7v2_store_id}`.", "type": "string" }, "parserConfig": { "description": "The configuration for the parser. It determines how the server parses the messages.", "$ref": "ParserConfig" }, "notificationConfigs": { "items": { "$ref": "Hl7V2NotificationConfig" }, "type": "array", "description": "A list of notification configs. Each configuration uses a filter to determine whether to publish a message (both Ingest & Create) on the corresponding notification destination. Only the message name is sent as part of the notification. Supplied by the client." }, "rejectDuplicateMessage": { "description": "Determines whether to reject duplicate messages. A duplicate message is a message with the same raw bytes as a message that has already been ingested/created in this HL7v2 store. The default value is false, meaning that the store accepts the duplicate messages and it also returns the same ACK message in the IngestMessageResponse as has been returned previously. Note that only one resource is created in the store. When this field is set to true, CreateMessage/IngestMessage requests with a duplicate message will be rejected by the store, and IngestMessageErrorDetail returns a NACK message upon rejection.", "type": "boolean" }, "labels": { "additionalProperties": { "type": "string" }, "description": "User-supplied key-value pairs used to organize HL7v2 stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "type": "object" } }, "description": "Represents an HL7v2 store.", "type": "object" }, "DateShiftConfig": { "type": "object", "description": "Shift a date forward or backward in time by a random amount which is consistent for a given patient and crypto key combination.", "properties": { "cryptoKey": { "format": "byte", "description": "An AES 128/192/256 bit key. Causes the shift to be computed based on this key and the patient ID. A default key is generated for each de-identification operation and is used when neither `crypto_key` nor `kms_wrapped` is specified. Must not be set if `kms_wrapped` is set.", "type": "string" } }, "id": "DateShiftConfig" }, "ImportMessagesRequest": { "type": "object", "id": "ImportMessagesRequest", "description": "Request to import messages.", "properties": { "gcsSource": { "description": "Cloud Storage source data location and import configuration. The Cloud Healthcare Service Agent requires the `roles/storage.objectViewer` Cloud IAM roles on the Cloud Storage location.", "$ref": "GcsSource" } } }, "ExportResourcesRequest": { "id": "ExportResourcesRequest", "description": "Request to export resources.", "properties": { "gcsDestination": { "$ref": "GoogleCloudHealthcareV1FhirGcsDestination", "description": "The Cloud Storage output destination. The Healthcare Service Agent account requires the `roles/storage.objectAdmin` role on the Cloud Storage location. The exported outputs are organized by FHIR resource types. The server creates one object per resource type. Each object contains newline delimited JSON, and each line is a FHIR resource." }, "_since": { "type": "string", "description": "If provided, only resources updated after this time are exported. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, `2015-02-07T13:28:17.239+02:00` or `2017-01-01T00:00:00Z`. The time must be specified to the second and include a time zone." }, "bigqueryDestination": { "description": "The BigQuery output destination. The Cloud Healthcare Service Agent requires two IAM roles on the BigQuery location: `roles/bigquery.dataEditor` and `roles/bigquery.jobUser`. The output is one BigQuery table per resource type. Unlike when setting `BigQueryDestination` for `StreamConfig`, `ExportResources` does not create BigQuery views.", "$ref": "GoogleCloudHealthcareV1FhirBigQueryDestination" }, "_type": { "description": "String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are exported.", "type": "string" } }, "type": "object" }, "VersionSource": { "id": "VersionSource", "type": "object", "properties": { "mshField": { "description": "The field to extract from the MSH segment. For example, \"3.1\" or \"18[1].1\".", "type": "string" }, "value": { "type": "string", "description": "The value to match with the field. For example, \"My Application Name\" or \"2.3\"." } }, "description": "Describes a selector for extracting and matching an MSH field to a value." }, "ExportDicomDataRequest": { "properties": { "gcsDestination": { "$ref": "GoogleCloudHealthcareV1DicomGcsDestination", "description": "The Cloud Storage output destination. The Cloud Healthcare Service Agent requires the `roles/storage.objectAdmin` Cloud IAM roles on the Cloud Storage location." }, "bigqueryDestination": { "description": "The BigQuery output destination. You can only export to a BigQuery dataset that's in the same project as the DICOM store you're exporting from. The Cloud Healthcare Service Agent requires two IAM roles on the BigQuery location: `roles/bigquery.dataEditor` and `roles/bigquery.jobUser`.", "$ref": "GoogleCloudHealthcareV1DicomBigQueryDestination" } }, "description": "Exports data from the specified DICOM store. If a given resource, such as a DICOM object with the same SOPInstance UID, already exists in the output, it is overwritten with the version in the source dataset. Exported DICOM data persists when the DICOM store from which it was exported is deleted.", "type": "object", "id": "ExportDicomDataRequest" } }, "protocol": "rest", "name": "healthcare", "discoveryVersion": "v1", "basePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "rootUrl": "https://healthcare.googleapis.com/", "title": "Cloud Healthcare API", "batchPath": "batch", "canonicalName": "Cloud Healthcare", "mtlsRootUrl": "https://healthcare.mtls.googleapis.com/", "fullyEncodeReservedExpansion": true, "description": "Manage, store, and access healthcare data in Google Cloud Platform.", "baseUrl": "https://healthcare.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "response": { "$ref": "Location" }, "parameters": { "name": { "type": "string", "description": "Resource name for the location.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "healthcare.projects.locations.get", "httpMethod": "GET", "path": "v1/{+name}", "description": "Gets information about a location." }, "list": { "flatPath": "v1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1/{+name}/locations", "response": { "$ref": "ListLocationsResponse" }, "id": "healthcare.projects.locations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable." }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default." } } } }, "resources": { "datasets": { "methods": { "setIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:setIamPolicy", "id": "healthcare.projects.locations.datasets.setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "description": "Deletes the specified health dataset and all data contained in the dataset. Deleting a dataset does not affect the sources from which the dataset was imported (if any).", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string", "required": true, "description": "The name of the dataset to delete. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`." } }, "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.delete", "path": "v1/{+name}" }, "get": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "response": { "$ref": "Dataset" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true, "type": "string", "description": "The name of the dataset to read. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "location": "path" } }, "id": "healthcare.projects.locations.datasets.get", "path": "v1/{+name}", "description": "Gets any metadata associated with a dataset." }, "list": { "id": "healthcare.projects.locations.datasets.list", "description": "Lists the health datasets in the current project.", "parameters": { "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of items to return. If not specified, 100 is used. May not be larger than 1000.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the project whose datasets should be listed. For example, `projects/{project_id}/locations/{location_id}`.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets", "response": { "$ref": "ListDatasetsResponse" }, "path": "v1/{+parent}/datasets", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ], "id": "healthcare.projects.locations.datasets.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:testIamPermissions", "httpMethod": "POST" }, "getIamPolicy": { "id": "healthcare.projects.locations.datasets.getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "GET" }, "deidentify": { "id": "healthcare.projects.locations.datasets.deidentify", "httpMethod": "POST", "path": "v1/{+sourceDataset}:deidentify", "description": "Creates a new dataset containing de-identified data from the source dataset. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifySummary. If errors occur, error is set. The LRO result may still be successful if de-identification fails for some DICOM instances. The new de-identified dataset will not contain these failed resources. Failed resource totals are tracked in Operation.metadata. Error details are also logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "sourceDataset": { "location": "path", "description": "Source dataset resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:deidentify", "request": { "$ref": "DeidentifyDatasetRequest" }, "parameterOrder": [ "sourceDataset" ], "response": { "$ref": "Operation" } }, "create": { "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "The name of the project where the server creates the dataset. For example, `projects/{project_id}/locations/{location_id}`.", "type": "string" }, "datasetId": { "description": "The ID of the dataset that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "type": "string", "location": "query" } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets", "path": "v1/{+parent}/datasets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new health dataset. Results are returned through the Operation interface which returns either an `Operation.response` which contains a Dataset or `Operation.error`. The metadata field type is OperationMetadata.", "request": { "$ref": "Dataset" }, "response": { "$ref": "Operation" } }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "parameters": { "name": { "required": true, "description": "Resource name of the dataset, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query" } }, "description": "Updates dataset metadata.", "request": { "$ref": "Dataset" }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "path": "v1/{+name}", "response": { "$ref": "Dataset" } } }, "resources": { "consentStores": { "methods": { "getIamPolicy": { "response": { "$ref": "Policy" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string" } }, "id": "healthcare.projects.locations.datasets.consentStores.getIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "queryAccessibleData": { "parameterOrder": [ "consentStore" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:queryAccessibleData", "request": { "$ref": "QueryAccessibleDataRequest" }, "id": "healthcare.projects.locations.datasets.consentStores.queryAccessibleData", "path": "v1/{+consentStore}:queryAccessibleData", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "consentStore": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "description": "Required. Name of the consent store to retrieve User data mappings from.", "required": true, "location": "path" } }, "description": "Queries all data_ids that are consented for a specified use in the given consent store and writes them to a specified destination. The returned Operation includes a progress counter for the number of User data mappings processed. If the request is successful, a detailed response is returned of type QueryAccessibleDataResponse, contained in the response field when the operation finishes. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). For example, the following sample log entry shows a `failed to evaluate consent policy` error that occurred during a QueryAccessibleData call to consent store `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. ```json jsonPayload: { @type: \"type.googleapis.com/google.cloud.healthcare.logging.QueryAccessibleDataLogEntry\" error: { code: 9 message: \"failed to evaluate consent policy\" } resourceName: \"projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}\" } logName: \"projects/{project_id}/logs/healthcare.googleapis.com%2Fquery_accessible_data\" operation: { id: \"projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/operations/{operation_id}\" producer: \"healthcare.googleapis.com/QueryAccessibleData\" } receiveTimestamp: \"TIMESTAMP\" resource: { labels: { consent_store_id: \"{consent_store_id}\" dataset_id: \"{dataset_id}\" location: \"{location_id}\" project_id: \"{project_id}\" } type: \"healthcare_consent_store\" } severity: \"ERROR\" timestamp: \"TIMESTAMP\" ```", "response": { "$ref": "Operation" } }, "get": { "id": "healthcare.projects.locations.datasets.consentStores.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the consent store to get.", "type": "string" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "description": "Gets the specified consent store.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ConsentStore" } }, "patch": { "request": { "$ref": "ConsentStore" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the specified consent store.", "path": "v1/{+name}", "id": "healthcare.projects.locations.datasets.consentStores.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `labels`, `default_consent_ttl`, and `enable_consent_create_on_update` fields are allowed to be updated." }, "name": { "description": "Resource name of the consent store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. Cannot be changed after creation.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path" } }, "response": { "$ref": "ConsentStore" } }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores", "path": "v1/{+parent}/consentStores", "response": { "$ref": "ConsentStore" }, "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.create", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the dataset this consent store belongs to." }, "consentStoreId": { "type": "string", "location": "query", "description": "Required. The ID of the consent store to create. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`. Cannot be changed after creation." } }, "description": "Creates a new consent store in the parent dataset. Attempting to create a consent store with the same ID as an existing store fails with an ALREADY_EXISTS error.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ConsentStore" } }, "evaluateUserConsents": { "description": "Evaluates the user's Consents for all matching User data mappings. Note: User data mappings are indexed asynchronously, which can cause a slight delay between the time mappings are created or updated and when they are included in EvaluateUserConsents results.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "EvaluateUserConsentsResponse" }, "request": { "$ref": "EvaluateUserConsentsRequest" }, "path": "v1/{+consentStore}:evaluateUserConsents", "id": "healthcare.projects.locations.datasets.consentStores.evaluateUserConsents", "parameterOrder": [ "consentStore" ], "httpMethod": "POST", "parameters": { "consentStore": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "Required. Name of the consent store to retrieve User data mappings from.", "location": "path", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:evaluateUserConsents" }, "checkDataAccess": { "id": "healthcare.projects.locations.datasets.consentStores.checkDataAccess", "description": "Checks if a particular data_id of a User data mapping in the specified consent store is consented for the specified use.", "path": "v1/{+consentStore}:checkDataAccess", "request": { "$ref": "CheckDataAccessRequest" }, "parameters": { "consentStore": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Name of the consent store where the requested data_id is stored, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`." } }, "response": { "$ref": "CheckDataAccessResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "consentStore" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:checkDataAccess" }, "delete": { "id": "healthcare.projects.locations.datasets.consentStores.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "description": "Deletes the specified consent store and removes all the consent store's data.", "parameters": { "name": { "description": "Required. The resource name of the consent store to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path", "type": "string", "required": true } }, "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ] }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "healthcare.projects.locations.datasets.consentStores.testIamPermissions" }, "setIamPolicy": { "response": { "$ref": "Policy" }, "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "healthcare.projects.locations.datasets.consentStores.setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } }, "list": { "response": { "$ref": "ListConsentStoresResponse" }, "description": "Lists the consent stores in the specified dataset.", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.list", "path": "v1/{+parent}/consentStores", "parameters": { "pageToken": { "description": "Optional. Token to retrieve the next page of results, or empty to get the first page.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Optional. Restricts the stores returned to those matching a filter. Only filtering on labels is supported. For example, `filter=labels.key=value`." }, "pageSize": { "format": "int32", "description": "Optional. Limit on the number of consent stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer", "location": "query" }, "parent": { "description": "Required. Name of the dataset.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores" } }, "resources": { "userDataMappings": { "methods": { "archive": { "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.archive", "response": { "$ref": "ArchiveUserDataMappingResponse" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The resource name of the User data mapping to archive.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "required": true, "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:archive", "request": { "$ref": "ArchiveUserDataMappingRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}:archive", "description": "Archives the specified User data mapping." }, "get": { "parameters": { "name": { "required": true, "description": "Required. The resource name of the User data mapping to retrieve.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "description": "Gets the specified User data mapping.", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.get", "response": { "$ref": "UserDataMapping" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}" }, "patch": { "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.patch", "request": { "$ref": "UserDataMapping" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the specified User data mapping.", "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `data_id`, `user_id` and `resource_attributes` fields can be updated." }, "name": { "location": "path", "required": true, "type": "string", "description": "Resource name of the User data mapping, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/userDataMappings/{user_data_mapping_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$" } }, "response": { "$ref": "UserDataMapping" }, "path": "v1/{+name}" }, "list": { "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.list", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings", "path": "v1/{+parent}/userDataMappings", "response": { "$ref": "ListUserDataMappingsResponse" }, "description": "Lists the User data mappings in the specified consent store.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "Required. Name of the consent store to retrieve User data mappings from.", "type": "string" }, "filter": { "location": "query", "description": "Optional. Restricts the User data mappings returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - data_id - user_id. For example, `filter=user_id=\\\"user123\\\"`. - archived - archive_time", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Token to retrieve the next page of results, or empty to get the first page." }, "pageSize": { "description": "Optional. Limit on the number of User data mappings to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "type": "integer", "format": "int32" } } }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}", "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "description": "Required. The resource name of the User data mapping to delete.", "required": true, "type": "string" } }, "response": { "$ref": "Empty" }, "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.delete", "description": "Deletes the specified User data mapping.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings", "description": "Creates a new User data mapping in the parent consent store.", "httpMethod": "POST", "response": { "$ref": "UserDataMapping" }, "path": "v1/{+parent}/userDataMappings", "parameters": { "parent": { "required": true, "description": "Required. Name of the consent store.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "location": "path" } }, "request": { "$ref": "UserDataMapping" }, "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.create" } } }, "attributeDefinitions": { "methods": { "list": { "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.list", "description": "Lists the Attribute definitions in the specified consent store.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListAttributeDefinitionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "filter": { "location": "query", "description": "Optional. Restricts the attributes returned to those matching a filter. The only field available for filtering is `category`. For example, `filter=category=\\\"REQUEST\\\"`.", "type": "string" }, "parent": { "description": "Required. Name of the consent store to retrieve Attribute definitions from.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true }, "pageToken": { "description": "Optional. Token to retrieve the next page of results or empty to get the first page.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. Limit on the number of Attribute definitions to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer" } }, "path": "v1/{+parent}/attributeDefinitions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions" }, "delete": { "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.delete", "response": { "$ref": "Empty" }, "description": "Deletes the specified Attribute definition. Fails if the Attribute definition is referenced by any User data mapping, or the latest revision of any Consent.", "parameters": { "name": { "location": "path", "description": "Required. The resource name of the Attribute definition to delete. To preserve referential integrity, Attribute definitions referenced by a User data mapping or the latest revision of a Consent cannot be deleted.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$" } }, "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "description": "Required. The resource name of the Attribute definition to get.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$" } }, "description": "Gets the specified Attribute definition.", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.get", "response": { "$ref": "AttributeDefinition" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}", "path": "v1/{+name}", "parameterOrder": [ "name" ] }, "create": { "response": { "$ref": "AttributeDefinition" }, "path": "v1/{+parent}/attributeDefinitions", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.create", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "description": "Required. The name of the consent store that this Attribute definition belongs to." }, "attributeDefinitionId": { "type": "string", "description": "Required. The ID of the Attribute definition to create. The string must match the following regex: `_a-zA-Z{0,255}` and must not be a reserved keyword within the Common Expression Language as listed on https://github.com/google/cel-spec/blob/master/doc/langdef.md.", "location": "query" } }, "description": "Creates a new Attribute definition in the parent consent store.", "request": { "$ref": "AttributeDefinition" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions" }, "patch": { "description": "Updates the specified Attribute definition.", "httpMethod": "PATCH", "path": "v1/{+name}", "request": { "$ref": "AttributeDefinition" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$", "type": "string", "description": "Resource name of the Attribute definition, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/attributeDefinitions/{attribute_definition_id}`. Cannot be changed after creation." }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `description`, `allowed_values`, `consent_default_values` and `data_mapping_default_value` fields can be updated. The updated `allowed_values` must contain all values from the previous `allowed_values`.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.patch", "response": { "$ref": "AttributeDefinition" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "consents": { "methods": { "create": { "path": "v1/{+parent}/consents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Consent in the parent consent store.", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "Required. Name of the consent store.", "type": "string", "location": "path" } }, "request": { "$ref": "Consent" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents", "response": { "$ref": "Consent" }, "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.create" }, "listRevisions": { "id": "healthcare.projects.locations.datasets.consentStores.consents.listRevisions", "parameters": { "pageSize": { "type": "integer", "location": "query", "description": "Optional. Limit on the number of revisions to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "name": { "description": "Required. The resource name of the Consent to retrieve revisions for.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$" }, "pageToken": { "description": "Optional. Token to retrieve the next page of results or empty if there are no more results in the list.", "location": "query", "type": "string" }, "filter": { "description": "Optional. Restricts the revisions returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Fields available for filtering are: - user_id. For example, `filter='user_id=\"user123\"'`. - consent_artifact - state - revision_create_time - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:listRevisions", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Lists the revisions of the specified Consent in reverse chronological order.", "response": { "$ref": "ListConsentRevisionsResponse" }, "path": "v1/{+name}:listRevisions" }, "deleteRevision": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the Consent revision to delete, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}@{revision_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is not specified in the name." } }, "description": "Deletes the specified revision of a Consent. An INVALID_ARGUMENT error occurs if the specified revision is the latest revision.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:deleteRevision", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:deleteRevision", "response": { "$ref": "Empty" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.deleteRevision", "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "list": { "response": { "$ref": "ListConsentsResponse" }, "httpMethod": "GET", "description": "Lists the Consent in the given consent store, returning each Consent's latest revision.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "description": "Optional. Limit on the number of Consents to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "required": true, "description": "Required. Name of the consent store to retrieve Consents from.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string" }, "pageToken": { "description": "Optional. The next_page_token value returned from the previous List request, if any.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Optional. Restricts the Consents returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - user_id. For example, `filter='user_id=\"user123\"'`. - consent_artifact - state - revision_create_time - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents", "path": "v1/{+parent}/consents", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.list" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Consent" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}", "id": "healthcare.projects.locations.datasets.consentStores.consents.get", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "required": true, "description": "Required. The resource name of the Consent to retrieve, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. In order to retrieve a previous revision of the Consent, also provide the revision ID: `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}@{revision_id}`" } }, "description": "Gets the specified revision of a Consent, or the latest revision if `revision_id` is not specified in the resource name." }, "patch": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}", "parameters": { "updateMask": { "type": "string", "description": "Required. The update mask to apply to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `user_id`, `policies`, `consent_artifact`, and `metadata` fields can be updated.", "format": "google-fieldmask", "location": "query" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "description": "Resource name of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. Cannot be changed after creation.", "type": "string", "location": "path" } }, "response": { "$ref": "Consent" }, "parameterOrder": [ "name" ], "request": { "$ref": "Consent" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.patch", "httpMethod": "PATCH", "description": "Updates the latest revision of the specified Consent by committing a new revision with the changes. A FAILED_PRECONDITION error occurs if the latest revision of the specified Consent is in the `REJECTED` or `REVOKED` state." }, "revoke": { "request": { "$ref": "RevokeConsentRequest" }, "path": "v1/{+name}:revoke", "response": { "$ref": "Consent" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.revoke", "description": "Revokes the latest revision of the specified Consent by committing a new revision with `state` updated to `REVOKED`. If the latest revision of the specified Consent is in the `REVOKED` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the given consent is in `DRAFT` or `REJECTED` state.", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. The resource name of the Consent to revoke, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:revoke", "parameterOrder": [ "name" ] }, "activate": { "description": "Activates the latest revision of the specified Consent by committing a new revision with `state` updated to `ACTIVE`. If the latest revision of the specified Consent is in the `ACTIVE` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the specified Consent is in the `REJECTED` or `REVOKED` state.", "parameterOrder": [ "name" ], "request": { "$ref": "ActivateConsentRequest" }, "path": "v1/{+name}:activate", "response": { "$ref": "Consent" }, "httpMethod": "POST", "parameters": { "name": { "description": "Required. The resource name of the Consent to activate, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:activate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.activate" }, "reject": { "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Required. The resource name of the Consent to reject, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$" } }, "response": { "$ref": "Consent" }, "request": { "$ref": "RejectConsentRequest" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.reject", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:reject", "description": "Rejects the latest revision of the specified Consent by committing a new revision with `state` updated to `REJECTED`. If the latest revision of the specified Consent is in the `REJECTED` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the specified Consent is in the `ACTIVE` or `REVOKED` state.", "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:reject" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The resource name of the Consent to delete, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "required": true } }, "id": "healthcare.projects.locations.datasets.consentStores.consents.delete", "description": "Deletes the Consent and its revisions. To keep a record of the Consent but mark it inactive, see [RevokeConsent]. To delete a revision of a Consent, see [DeleteConsentRevision]. This operation does not delete the related Consent artifact.", "path": "v1/{+name}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}" } } }, "consentArtifacts": { "methods": { "create": { "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.create", "request": { "$ref": "ConsentArtifact" }, "path": "v1/{+parent}/consentArtifacts", "description": "Creates a new Consent artifact in the parent consent store.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path", "required": true, "type": "string", "description": "Required. The name of the consent store this Consent artifact belongs to." } }, "httpMethod": "POST", "response": { "$ref": "ConsentArtifact" }, "parameterOrder": [ "parent" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "description": "Deletes the specified Consent artifact. Fails if the artifact is referenced by the latest revision of any Consent.", "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts/{consentArtifactsId}", "path": "v1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The resource name of the Consent artifact to delete. To preserve referential integrity, Consent artifacts referenced by the latest revision of a Consent cannot be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consentArtifacts/[^/]+$", "required": true, "type": "string", "location": "path" } } }, "get": { "response": { "$ref": "ConsentArtifact" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts/{consentArtifactsId}", "description": "Gets the specified Consent artifact.", "httpMethod": "GET", "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.get", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consentArtifacts/[^/]+$", "type": "string", "required": true, "description": "Required. The resource name of the Consent artifact to retrieve." } } }, "list": { "response": { "$ref": "ListConsentArtifactsResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/consentArtifacts", "description": "Lists the Consent artifacts in the specified consent store.", "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.list", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "Optional. Limit on the number of consent artifacts to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query" }, "filter": { "type": "string", "location": "query", "description": "Optional. Restricts the artifacts returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - user_id. For example, `filter=user_id=\\\"user123\\\"`. - consent_content_version - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`." }, "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from the previous List request, if any.", "location": "query" }, "parent": { "type": "string", "location": "path", "description": "Required. Name of the consent store to retrieve consent artifacts from.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts" } } } } }, "hl7V2Stores": { "methods": { "list": { "path": "v1/{+parent}/hl7V2Stores", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores", "description": "Lists the HL7v2 stores in the given dataset.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "response": { "$ref": "ListHl7V2StoresResponse" }, "parameters": { "filter": { "location": "query", "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported. For example, `labels.key=value`.", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "Limit on the number of HL7v2 stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer" }, "pageToken": { "description": "The next_page_token value returned from the previous List request, if any.", "type": "string", "location": "query" }, "parent": { "description": "Name of the dataset.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "type": "string", "required": true } } }, "export": { "description": "Exports the messages to a destination. To filter messages to be exported, define a filter using the start and end time, relative to the message generation time (MSH.7). This API returns an Operation that can be used to track the status of the job by calling GetOperation. Immediate fatal errors appear in the error field. Otherwise, when the operation finishes, a detailed response of type ExportMessagesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "The name of the source HL7v2 store, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7v2Stores/{hl7v2_store_id}`" } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:export", "request": { "$ref": "ExportMessagesRequest" }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:export", "parameterOrder": [ "name" ] }, "import": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "description": "The name of the target HL7v2 store, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7v2Stores/{hl7v2_store_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string", "required": true, "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:import", "id": "healthcare.projects.locations.datasets.hl7V2Stores.import", "path": "v1/{+name}:import", "request": { "$ref": "ImportMessagesRequest" }, "response": { "$ref": "Operation" }, "description": "Import messages to the HL7v2 store by loading data from the specified sources. This method is optimized to load large quantities of data using import semantics that ignore some HL7v2 store configuration options and are not suitable for all use cases. It is primarily intended to load data into an empty HL7v2 store that is not being used by other clients. An existing message will be overwritten if a duplicate message is imported. A duplicate message is a message with the same raw bytes as a message that already exists in this HL7v2 store. When a message is overwritten, its labels will also be overwritten. The import operation is idempotent unless the input data contains multiple valid messages with the same raw bytes but different labels. In that case, after the import completes, the store contains exactly one message with those raw bytes but there is no ordering guarantee on which version of the labels it has. The operation result counters do not count duplicated raw bytes as an error and count one success for each message in the input, which might result in a success count larger than the number of messages in the HL7v2 store. If some messages fail to import, for example due to parsing errors, successfully imported messages are not rolled back. This method returns an Operation that can be used to track the status of the import by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a response of type ImportMessagesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "parameterOrder": [ "name" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.hl7V2Stores.setIamPolicy", "parameters": { "resource": { "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:setIamPolicy" }, "get": { "description": "Gets the specified HL7v2 store.", "parameters": { "name": { "location": "path", "description": "The resource name of the HL7v2 store to get.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "required": true, "type": "string" } }, "response": { "$ref": "Hl7V2Store" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.get", "httpMethod": "GET" }, "create": { "parameters": { "hl7V2StoreId": { "location": "query", "description": "The ID of the HL7v2 store that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "type": "string" }, "parent": { "type": "string", "description": "The name of the dataset this HL7v2 store belongs to.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores", "path": "v1/{+parent}/hl7V2Stores", "description": "Creates a new HL7v2 store within the parent dataset.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Hl7V2Store" }, "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.hl7V2Stores.create", "parameterOrder": [ "parent" ], "request": { "$ref": "Hl7V2Store" } }, "delete": { "response": { "$ref": "Empty" }, "path": "v1/{+name}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes the specified HL7v2 store and removes all messages that it contains.", "id": "healthcare.projects.locations.datasets.hl7V2Stores.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "parameters": { "name": { "description": "The resource name of the HL7v2 store to delete.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ] }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string", "required": true }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.getIamPolicy" }, "patch": { "request": { "$ref": "Hl7V2Store" }, "description": "Updates the HL7v2 store.", "parameterOrder": [ "name" ], "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "response": { "$ref": "Hl7V2Store" }, "path": "v1/{+name}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Resource name of the HL7v2 store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7v2_store_id}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.patch" }, "testIamPermissions": { "path": "v1/{+resource}:testIamPermissions", "id": "healthcare.projects.locations.datasets.hl7V2Stores.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "required": true, "location": "path" } }, "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" } } }, "resources": { "messages": { "methods": { "patch": { "httpMethod": "PATCH", "response": { "$ref": "Message" }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.patch", "request": { "$ref": "Message" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}", "parameters": { "updateMask": { "type": "string", "location": "query", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask" }, "name": { "type": "string", "required": true, "description": "Resource name of the Message, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7_v2_store_id}/messages/{message_id}`. Assigned by the server.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$", "location": "path" } }, "path": "v1/{+name}", "description": "Update the message. The contents of the message in Message.data and data extracted from the contents such as Message.create_time cannot be altered. Only the Message.labels field is allowed to be updated. The labels in the request are merged with the existing set of labels. Existing labels with the same keys are updated." }, "delete": { "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.delete", "description": "Deletes an HL7v2 message.", "parameters": { "name": { "description": "The resource name of the HL7v2 message to delete.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$", "location": "path", "required": true } }, "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}" }, "create": { "response": { "$ref": "Message" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages", "description": "Parses and stores an HL7v2 message. This method triggers an asynchronous notification to any Pub/Sub topic configured in Hl7V2Store.Hl7V2NotificationConfig, if the filtering matches the message. If an MLLP adapter is configured to listen to a Pub/Sub topic, the adapter transmits the message when a notification is received.", "path": "v1/{+parent}/messages", "httpMethod": "POST", "request": { "$ref": "CreateMessageRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string", "description": "The name of the dataset this message belongs to.", "required": true, "location": "path" } }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.create" }, "list": { "path": "v1/{+parent}/messages", "parameters": { "filter": { "location": "query", "description": "Restricts messages returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Fields/functions available for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `message_type`, from the MSH-9.1 field. For example, `NOT message_type = \"ADT\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_date` or `sendDate`, the YYYY-MM-DD date the message was sent in the dataset's time_zone, from the MSH-7 segment. For example, `send_date \u003c \"2017-01-02\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`, the timestamp when the message was sent, using the RFC3339 time format for comparisons, from the MSH-7 segment. For example, `send_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `create_time`, the timestamp when the message was created in the HL7v2 store. Use the RFC3339 time format for comparisons. For example, `create_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_facility`, the care center that the message came from, from the MSH-4 segment. For example, `send_facility = \"ABC\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PatientId(value, type)`, which matches if the message lists a patient having an ID of the given value and type in the PID-2, PID-3, or PID-4 segments. For example, `PatientId(\"123456\", \"MRN\")`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.x`, a string value of the label with key `x` as set using the Message.labels map. For example, `labels.\"priority\"=\"high\"`. The operator `:*` can be used to assert the existence of a label. For example, `labels.\"priority\":*`.", "type": "string" }, "view": { "location": "query", "type": "string", "enumDescriptions": [ "Not specified, equivalent to FULL.", "Server responses include all the message fields except parsed_data field, and schematized_data fields.", "Server responses include all the message fields except data field, and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ], "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "description": "Specifies the parts of the Message to return in the response. When unspecified, equivalent to BASIC. Setting this to anything other than BASIC with a `page_size` larger than the default can generate a large response, which impacts the performance of this method." }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from the previous List request, if any." }, "parent": { "required": true, "description": "Name of the HL7v2 store to retrieve messages from.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "location": "path", "type": "string" }, "pageSize": { "description": "Limit on the number of messages to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "type": "integer", "format": "int32" }, "orderBy": { "location": "query", "type": "string", "description": "Orders messages returned by the specified order_by clause. Syntax: https://cloud.google.com/apis/design/design_patterns#sorting_order Fields available for ordering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "ListMessagesResponse" }, "description": "Lists all the messages in the given HL7v2 store with support for filtering. Note: HL7v2 messages are indexed asynchronously, so there might be a slight delay between the time a message is created and when it can be found through a filter.", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "ingest": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "IngestMessageResponse" }, "description": "Parses and stores an HL7v2 message. This method triggers an asynchronous notification to any Pub/Sub topic configured in Hl7V2Store.Hl7V2NotificationConfig, if the filtering matches the message. If an MLLP adapter is configured to listen to a Pub/Sub topic, the adapter transmits the message when a notification is received. If the method is successful, it generates a response containing an HL7v2 acknowledgment (`ACK`) message. If the method encounters an error, it returns a negative acknowledgment (`NACK`) message. This behavior is suitable for replying to HL7v2 interface systems that expect these acknowledgments.", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.ingest", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages:ingest", "path": "v1/{+parent}/messages:ingest", "request": { "$ref": "IngestMessageRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "description": "The name of the HL7v2 store this message belongs to.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}", "description": "Gets an HL7v2 message.", "httpMethod": "GET", "parameters": { "view": { "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "enumDescriptions": [ "Not specified, equivalent to FULL.", "Server responses include all the message fields except parsed_data field, and schematized_data fields.", "Server responses include all the message fields except data field, and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ], "location": "query", "type": "string", "description": "Specifies which parts of the Message resource to return in the response. When unspecified, equivalent to FULL." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$", "location": "path", "required": true, "description": "The resource name of the HL7v2 message to retrieve.", "type": "string" } }, "path": "v1/{+name}", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.get", "parameterOrder": [ "name" ], "response": { "$ref": "Message" } } } } } }, "fhirStores": { "resources": { "fhir": { "methods": { "search": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/_search", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Searches for resources in the given FHIR store according to criteria specified as query parameters. Implements the FHIR standard search interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#search), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#search), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#search)) using the search semantics described in the FHIR Search specification ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/search.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/search.html), [R4](http://hl7.org/implement/standards/fhir/R4/search.html)). Supports four methods of search defined by the specification: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]?[parameters]` to search across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]/[type]?[parameters]` to search resources of a specified type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/[type]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method for the specified type. The `GET` and `POST` methods do not support compartment searches. The `POST` method does not support `application/x-www-form-urlencoded` search parameters. On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the search. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The server's capability statement, retrieved through capabilities, indicates what search parameters are supported on each FHIR resource. A list of all search parameters defined by the specification can be found in the FHIR Search Parameter Registry ([STU3](http://hl7.org/implement/standards/fhir/STU3/searchparameter-registry.html), [R4](http://hl7.org/implement/standards/fhir/R4/searchparameter-registry.html)). FHIR search parameters for DSTU2 can be found on each resource's definition page. Supported search modifiers: `:missing`, `:exact`, `:contains`, `:text`, `:in`, `:not-in`, `:above`, `:below`, `:[type]`, `:not`, and `:recurse`. Supported search result parameters: `_sort`, `_count`, `_include`, `_revinclude`, `_summary=text`, `_summary=data`, and `_elements`. The maximum number of search results returned defaults to 100, which can be overridden by the `_count` parameter up to a maximum limit of 1000. If there are additional results, the returned `Bundle` contains a link of `relation` \"next\", which has a `_page_token` parameter for an opaque pagination token that can be used to retrieve the next page. Resources with a total size larger than 5MB or a field count larger than 50,000 might not be fully searchable as the server might trim its generated search index in those cases. Note: FHIR resources are indexed asynchronously, so there might be a slight delay between the time a resource is created or changes and when the change is reflected in search results. For samples and detailed information, see [Searching for FHIR resources](/healthcare/docs/how-tos/fhir-search) and [Advanced FHIR search features](/healthcare/docs/how-tos/fhir-advanced-search).", "request": { "$ref": "SearchResourcesRequest" }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.search", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "description": "Name of the FHIR store to retrieve resources from.", "location": "path", "type": "string" } }, "response": { "$ref": "HttpBody" }, "path": "v1/{+parent}/fhir/_search" }, "history": { "id": "healthcare.projects.locations.datasets.fhirStores.fhir.history", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/_history", "parameterOrder": [ "name" ], "description": "Lists all the versions of a resource (including the current version and deleted versions) from the FHIR store. Implements the per-resource form of the FHIR standard history interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#history), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#history), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#history)). On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `history`, containing the version history sorted from most recent to oldest versions. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `history`, see [Listing FHIR resource versions](/healthcare/docs/how-tos/fhir-resources#listing_fhir_resource_versions).", "httpMethod": "GET", "path": "v1/{+name}/_history", "parameters": { "_since": { "type": "string", "location": "query", "description": "Only include resource versions that were created at or after the given instant in time. The instant in time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz (for example 2015-02-07T13:28:17.239+02:00 or 2017-01-01T00:00:00Z). The time must be specified to the second and include a time zone." }, "_at": { "type": "string", "description": "Only include resource versions that were current at some point during the time period specified in the date time value. The date parameter format is yyyy-mm-ddThh:mm:ss[Z|(+|-)hh:mm] Clients may specify any of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An entire year: `_at=2019` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An entire month: `_at=2019-01` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A specific day: `_at=2019-01-20` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A specific second: `_at=2018-12-31T23:59:58Z`", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The name of the resource to retrieve." }, "_count": { "type": "integer", "location": "query", "description": "The maximum number of search results on a page. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "_page_token": { "location": "query", "type": "string", "description": "Used to retrieve the first, previous, next, or last page of resource versions when using pagination. Value should be set to the value of `_page_token` set in next or previous page links' URLs. Next and previous page are returned in the response bundle's links field, where `link.relation` is \"previous\" or \"next\". Omit `_page_token` if no previous request has been made." } }, "response": { "$ref": "HttpBody" } }, "Resource-validate": { "path": "v1/{+parent}/fhir/{+type}/$validate", "parameterOrder": [ "parent", "type" ], "request": { "$ref": "HttpBody" }, "parameters": { "type": { "required": true, "location": "path", "type": "string", "description": "The FHIR resource type of the resource being validated. For a complete list, see the FHIR Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), or [R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the resource type in the provided content.", "pattern": "^[^/]+$" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "The name of the FHIR store that holds the profiles being used for validation.", "required": true, "location": "path" }, "profile": { "type": "string", "location": "query", "description": "The canonical URL of a profile that this resource should be validated against. For example, to validate a Patient resource against the US Core Patient profile this parameter would be `http://hl7.org/fhir/us/core/StructureDefinition/us-core-patient`. A StructureDefinition with this canonical URL must exist in the FHIR store." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/$validate", "httpMethod": "POST", "description": "Validates an input FHIR resource's conformance to its profiles and the profiles configured on the FHIR store. Implements the FHIR extended operation $validate ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resource-operations.html#validate), [STU3](http://hl7.org/implement/standards/fhir/STU3/resource-operations.html#validate), or [R4](http://hl7.org/implement/standards/fhir/R4/resource-operation-validate.html)). The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. The `Parameters` input syntax is not supported. The `profile` query parameter can be used to request that the resource only be validated against a specific profile. If a profile with the given URL cannot be found in the FHIR store then an error is returned. Errors generated by validation contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Resource-validate" }, "vread": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "path": "v1/{+name}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.vread", "description": "Gets the contents of a version (current or historical) of a FHIR resource by version ID. Implements the FHIR standard vread interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#vread), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#vread), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#vread)). On success, the response body contains a JSON-encoded representation of the resource. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `vread`, see [Retrieving a FHIR resource version](/healthcare/docs/how-tos/fhir-resources#retrieving_a_fhir_resource_version).", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/_history/{_historyId}", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+/_history/[^/]+$", "description": "The name of the resource version to retrieve.", "required": true } } }, "Resource-purge": { "path": "v1/{+name}/$purge", "response": { "$ref": "Empty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "required": true, "description": "The name of the resource to purge.", "type": "string", "location": "path" } }, "description": "Deletes all the historical versions of a resource (excluding the current version) from the FHIR store. To remove all versions of a resource, first delete the current version and then call this method. This is not a FHIR standard operation. For samples that show how to call `Resource-purge`, see [Deleting historical versions of a FHIR resource](/healthcare/docs/how-tos/fhir-resources#deleting_historical_versions_of_a_fhir_resource).", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/$purge", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Resource-purge", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "read": { "httpMethod": "GET", "parameters": { "name": { "description": "The name of the resource to retrieve.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "HttpBody" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.read", "parameterOrder": [ "name" ], "description": "Gets the contents of a FHIR resource. Implements the FHIR standard read interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#read), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#read), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#read)). Also supports the FHIR standard conditional read interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#cread), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#cread), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#cread)) specified by supplying an `If-Modified-Since` header with a date/time value or an `If-None-Match` header with an ETag value. On success, the response body contains a JSON-encoded representation of the resource. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `read`, see [Getting a FHIR resource](/healthcare/docs/how-tos/fhir-resources#getting_a_fhir_resource)." }, "Patient-everything": { "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Patient-everything", "description": "Retrieves a Patient resource and resources related to that patient. Implements the FHIR extended operation Patient-everything ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/patient-operations.html#everything), [STU3](http://hl7.org/implement/standards/fhir/STU3/patient-operations.html#everything), [R4](http://hl7.org/implement/standards/fhir/R4/patient-operations.html#everything)). On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the operation. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The resources in scope for the response are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The patient resource itself. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All the resources directly referenced by the patient resource. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Resources directly referencing the patient resource that meet the inclusion criteria. The inclusion criteria are based on the membership rules in the patient compartment definition ([DSTU2](http://hl7.org/fhir/DSTU2/compartment-patient.html), [STU3](http://www.hl7.org/fhir/stu3/compartmentdefinition-patient.html), [R4](http://hl7.org/fhir/R4/compartmentdefinition-patient.html)), which details the eligible resource types and referencing search parameters. For samples that show how to call `Patient-everything`, see [Getting all patient compartment resources](/healthcare/docs/how-tos/fhir-resources#getting_all_patient_compartment_resources).", "response": { "$ref": "HttpBody" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "path": "v1/{+name}/$everything", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "_page_token": { "description": "Used to retrieve the next or previous page of results when using pagination. Set `_page_token` to the value of _page_token set in next or previous page links' url. Next and previous page are returned in the response bundle's links field, where `link.relation` is \"previous\" or \"next\". Omit `_page_token` if no previous request has been made.", "type": "string", "location": "query" }, "_since": { "description": "If provided, only resources updated after this time are returned. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, `2015-02-07T13:28:17.239+02:00` or `2017-01-01T00:00:00Z`. The time must be specified to the second and include a time zone.", "location": "query", "type": "string" }, "start": { "location": "query", "description": "The response includes records subsequent to the start date. The date uses the format YYYY-MM-DD. If no start date is provided, all records prior to the end date are in scope.", "type": "string" }, "_type": { "type": "string", "description": "String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are returned.", "location": "query" }, "name": { "location": "path", "type": "string", "required": true, "description": "Name of the `Patient` resource for which the information is required.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/Patient/[^/]+$" }, "end": { "type": "string", "description": "The response includes records prior to the end date. The date uses the format YYYY-MM-DD. If no end date is provided, all records subsequent to the start date are in scope.", "location": "query" }, "_count": { "location": "query", "format": "int32", "type": "integer", "description": "Maximum number of resources in a page. If not specified, 100 is used. May not be larger than 1000." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/Patient/{PatientId}/$everything" }, "create": { "description": "Creates a FHIR resource. Implements the FHIR standard create interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#create), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#create), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#create)), which creates a new resource with a server-assigned resource ID. The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. On success, the response body contains a JSON-encoded representation of the resource as it was created on the server, including the server-assigned resource ID and version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `create`, see [Creating a FHIR resource](/healthcare/docs/how-tos/fhir-resources#creating_a_fhir_resource).", "parameterOrder": [ "parent", "type" ], "path": "v1/{+parent}/fhir/{+type}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.create", "parameters": { "parent": { "location": "path", "description": "The name of the FHIR store this resource belongs to.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "type": "string" }, "type": { "required": true, "type": "string", "description": "The FHIR resource type to create, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the resource type in the provided content.", "location": "path", "pattern": "^[^/]+$" } }, "request": { "$ref": "HttpBody" }, "httpMethod": "POST" }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "parameterOrder": [ "name" ], "response": { "$ref": "HttpBody" }, "parameters": { "name": { "description": "The name of the resource to update.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "location": "path", "required": true, "type": "string" } }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.patch", "httpMethod": "PATCH", "request": { "$ref": "HttpBody" }, "description": "Updates part of an existing resource by applying the operations specified in a [JSON Patch](http://jsonpatch.com/) document. Implements the FHIR standard patch interaction ([STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#patch), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#patch)). DSTU2 doesn't define a patch method, but the server supports it in the same way it supports STU3. The request body must contain a JSON Patch document, and the request headers must contain `Content-Type: application/json-patch+json`. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `patch`, see [Patching a FHIR resource](/healthcare/docs/how-tos/fhir-resources#patching_a_fhir_resource).", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "search-type": { "path": "v1/{+parent}/fhir/{resourceType}/_search", "response": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.search-type", "request": { "$ref": "SearchResourcesRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{resourceType}/_search", "parameterOrder": [ "parent", "resourceType" ], "description": "Searches for resources in the given FHIR store according to criteria specified as query parameters. Implements the FHIR standard search interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#search), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#search), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#search)) using the search semantics described in the FHIR Search specification ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/search.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/search.html), [R4](http://hl7.org/implement/standards/fhir/R4/search.html)). Supports four methods of search defined by the specification: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]?[parameters]` to search across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]/[type]?[parameters]` to search resources of a specified type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/[type]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method for the specified type. The `GET` and `POST` methods do not support compartment searches. The `POST` method does not support `application/x-www-form-urlencoded` search parameters. On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the search. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The server's capability statement, retrieved through capabilities, indicates what search parameters are supported on each FHIR resource. A list of all search parameters defined by the specification can be found in the FHIR Search Parameter Registry ([STU3](http://hl7.org/implement/standards/fhir/STU3/searchparameter-registry.html), [R4](http://hl7.org/implement/standards/fhir/R4/searchparameter-registry.html)). FHIR search parameters for DSTU2 can be found on each resource's definition page. Supported search modifiers: `:missing`, `:exact`, `:contains`, `:text`, `:in`, `:not-in`, `:above`, `:below`, `:[type]`, `:not`, and `:recurse`. Supported search result parameters: `_sort`, `_count`, `_include`, `_revinclude`, `_summary=text`, `_summary=data`, and `_elements`. The maximum number of search results returned defaults to 100, which can be overridden by the `_count` parameter up to a maximum limit of 1000. If there are additional results, the returned `Bundle` contains a link of `relation` \"next\", which has a `_page_token` parameter for an opaque pagination token that can be used to retrieve the next page. Resources with a total size larger than 5MB or a field count larger than 50,000 might not be fully searchable as the server might trim its generated search index in those cases. Note: FHIR resources are indexed asynchronously, so there might be a slight delay between the time a resource is created or changes and when the change is reflected in search results. For samples and detailed information, see [Searching for FHIR resources](/healthcare/docs/how-tos/fhir-search) and [Advanced FHIR search features](/healthcare/docs/how-tos/fhir-advanced-search).", "parameters": { "resourceType": { "description": "The FHIR resource type to search, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "location": "path", "required": true, "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "type": "string", "description": "Name of the FHIR store to retrieve resources from." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "executeBundle": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "description": "Name of the FHIR store in which this bundle will be executed.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir", "httpMethod": "POST", "path": "v1/{+parent}/fhir", "request": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.executeBundle", "response": { "$ref": "HttpBody" }, "description": "Executes all the requests in the given Bundle. Implements the FHIR standard batch/transaction interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#transaction), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#transaction), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#transaction)). Supports all interactions within a bundle, except search. This method accepts Bundles of type `batch` and `transaction`, processing them according to the batch processing rules ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.16.1), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#2.21.0.17.1), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#brules)) and transaction processing rules ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.16.2), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#2.21.0.17.2), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#trules)). The request body must contain a JSON-encoded FHIR `Bundle` resource, and the request headers must contain `Content-Type: application/fhir+json`. For a batch bundle or a successful transaction the response body will contain a JSON-encoded representation of a `Bundle` resource of type `batch-response` or `transaction-response` containing one entry for each entry in the request, with the outcome of processing the entry. In the case of an error for a transaction bundle, the response body will contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `executeBundle`, see [Managing FHIR resources using FHIR bundles](/healthcare/docs/how-tos/fhir-bundles).", "parameterOrder": [ "parent" ] }, "update": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "HttpBody" }, "parameters": { "name": { "description": "The name of the resource to update.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$" } }, "response": { "$ref": "HttpBody" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "parameterOrder": [ "name" ], "description": "Updates the entire contents of a resource. Implements the FHIR standard update interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#update), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#update), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#update)). If the specified resource does not exist and the FHIR store has enable_update_create set, creates the resource with the client-specified ID. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud Audit Logs and Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources. The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. The resource must contain an `id` element having an identical value to the ID in the REST path of the request. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `update`, see [Updating a FHIR resource](/healthcare/docs/how-tos/fhir-resources#updating_a_fhir_resource).", "httpMethod": "PUT", "path": "v1/{+name}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.update" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a FHIR resource. Implements the FHIR standard delete interaction ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/http.html#delete), [STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#delete), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#delete)). Note: Unless resource versioning is disabled by setting the disable_resource_versioning flag on the FHIR store, the deleted resources will be moved to a history repository that can still be retrieved through vread and related methods, unless they are removed by the purge method. For samples that show how to call `delete`, see [Deleting a FHIR resource](/healthcare/docs/how-tos/fhir-resources#deleting_a_fhir_resource).", "path": "v1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "HttpBody" }, "parameters": { "name": { "location": "path", "description": "The name of the resource to delete.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$" } }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}" }, "capabilities": { "path": "v1/{+name}/fhir/metadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/metadata", "description": "Gets the FHIR capability statement ([STU3](http://hl7.org/implement/standards/fhir/STU3/capabilitystatement.html), [R4](http://hl7.org/implement/standards/fhir/R4/capabilitystatement.html)), or the [conformance statement](http://hl7.org/implement/standards/fhir/DSTU2/conformance.html) in the DSTU2 case for the store, which contains a description of functionality supported by the server. Implements the FHIR standard capabilities interaction ([STU3](http://hl7.org/implement/standards/fhir/STU3/http.html#capabilities), [R4](http://hl7.org/implement/standards/fhir/R4/http.html#capabilities)), or the [conformance interaction](http://hl7.org/implement/standards/fhir/DSTU2/http.html#conformance) in the DSTU2 case. On success, the response body contains a JSON-encoded representation of a `CapabilityStatement` resource.", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.capabilities", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string", "required": true, "description": "Name of the FHIR store to retrieve the capabilities for." } }, "response": { "$ref": "HttpBody" }, "httpMethod": "GET" } } } }, "methods": { "deidentify": { "parameters": { "sourceStore": { "location": "path", "description": "Source FHIR store resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.fhirStores.deidentify", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:deidentify", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+sourceStore}:deidentify", "response": { "$ref": "Operation" }, "description": "De-identifies data from the source store and writes it to the destination store. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifyFhirStoreSummary. If errors occur, error is set. Error details are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)).", "request": { "$ref": "DeidentifyFhirStoreRequest" }, "parameterOrder": [ "sourceStore" ] }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores", "path": "v1/{+parent}/fhirStores", "response": { "$ref": "FhirStore" }, "id": "healthcare.projects.locations.datasets.fhirStores.create", "request": { "$ref": "FhirStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new FHIR store within the parent dataset.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "parameters": { "fhirStoreId": { "location": "query", "description": "The ID of the FHIR store that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "type": "string" }, "parent": { "type": "string", "description": "The name of the dataset this FHIR store belongs to.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path" } } }, "setIamPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "id": "healthcare.projects.locations.datasets.fhirStores.setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string" } } }, "export": { "path": "v1/{+name}:export", "request": { "$ref": "ExportResourcesRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.fhirStores.export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:export", "description": "Export resources from the FHIR store to the specified destination. This method returns an Operation that can be used to track the status of the export by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a detailed response of type ExportResourcesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "parameters": { "name": { "type": "string", "description": "The name of the FHIR store to export resource from, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "location": "path" } } }, "list": { "id": "healthcare.projects.locations.datasets.fhirStores.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores", "path": "v1/{+parent}/fhirStores", "parameterOrder": [ "parent" ], "description": "Lists the FHIR stores in the given dataset.", "response": { "$ref": "ListFhirStoresResponse" }, "parameters": { "parent": { "location": "path", "type": "string", "description": "Name of the dataset.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Limit on the number of FHIR stores to return in a single response. If not specified, 100 is used. May not be larger than 1000." }, "filter": { "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported, for example `labels.key=value`.", "location": "query", "type": "string" }, "pageToken": { "description": "The next_page_token value returned from the previous List request, if any.", "type": "string", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "import": { "id": "healthcare.projects.locations.datasets.fhirStores.import", "parameterOrder": [ "name" ], "description": "Imports resources to the FHIR store by loading data from the specified sources. This method is optimized to load large quantities of data using import semantics that ignore some FHIR store configuration options and are not suitable for all use cases. It is primarily intended to load data into an empty FHIR store that is not being used by other clients. In cases where this method is not appropriate, consider using ExecuteBundle to load data. Every resource in the input must contain a client-supplied ID. Each resource is stored using the supplied ID regardless of the enable_update_create setting on the FHIR store. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud Audit Logs and Cloud Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources. The import process does not enforce referential integrity, regardless of the disable_referential_integrity setting on the FHIR store. This allows the import of resources with arbitrary interdependencies without considering grouping or ordering, but if the input data contains invalid references or if some resources fail to be imported, the FHIR store might be left in a state that violates referential integrity. The import process does not trigger Pub/Sub notification or BigQuery streaming update, regardless of how those are configured on the FHIR store. If a resource with the specified ID already exists, the most recent version of the resource is overwritten without creating a new historical version, regardless of the disable_resource_versioning setting on the FHIR store. If transient failures occur during the import, it's possible that successfully imported resources will be overwritten more than once. The import operation is idempotent unless the input data contains multiple valid resources with the same ID but different contents. In that case, after the import completes, the store contains exactly one resource with that ID but there is no ordering guarantee on which version of the contents it will have. The operation result counters do not count duplicate IDs as an error and count one success for each resource in the input, which might result in a success count larger than the number of resources in the FHIR store. This often occurs when importing data organized in bundles produced by Patient-everything where each bundle contains its own copy of a resource such as Practitioner that might be referred to by many patients. If some resources fail to import, for example due to parsing errors, successfully imported resources are not rolled back. The location and format of the input data is specified by the parameters in ImportResourcesRequest. Note that if no format is specified, this method assumes the `BUNDLE` format. When using the `BUNDLE` format this method ignores the `Bundle.type` field, except that `history` bundles are rejected, and does not apply any of the bundle processing semantics for batch or transaction bundles. Unlike in ExecuteBundle, transaction bundles are not executed as a single transaction and bundle-internal references are not rewritten. The bundle is treated as a collection of resources to be written as provided in `Bundle.entry.resource`, ignoring `Bundle.entry.request`. As an example, this allows the import of `searchset` bundles produced by a FHIR search or Patient-everything operation. This method returns an Operation that can be used to track the status of the import by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a detailed response of type ImportResourcesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "path": "v1/{+name}:import", "request": { "$ref": "ImportResourcesRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:import", "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string", "location": "path", "required": true, "description": "The name of the FHIR store to import FHIR resources to, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`." } } }, "testIamPermissions": { "id": "healthcare.projects.locations.datasets.fhirStores.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "path": "v1/{+resource}:testIamPermissions" }, "get": { "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "The resource name of the FHIR store to get.", "location": "path", "required": true } }, "id": "healthcare.projects.locations.datasets.fhirStores.get", "response": { "$ref": "FhirStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Gets the configuration of the specified FHIR store.", "httpMethod": "GET", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}" }, "patch": { "description": "Updates the configuration of the specified FHIR store.", "id": "healthcare.projects.locations.datasets.fhirStores.patch", "response": { "$ref": "FhirStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}", "path": "v1/{+name}", "request": { "$ref": "FhirStore" }, "httpMethod": "PATCH", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "Output only. Resource name of the FHIR store, of the form `projects/{project_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "type": "string", "location": "path" }, "updateMask": { "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask", "location": "query", "type": "string" } } }, "delete": { "response": { "$ref": "Empty" }, "id": "healthcare.projects.locations.datasets.fhirStores.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}", "parameters": { "name": { "type": "string", "description": "The resource name of the FHIR store to delete.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes the specified FHIR store and removes all resources within it." }, "getIamPolicy": { "id": "healthcare.projects.locations.datasets.fhirStores.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:getIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy" } } }, "operations": { "methods": { "cancel": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations/{operationsId}:cancel", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:cancel", "parameters": { "name": { "type": "string", "location": "path", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/operations/[^/]+$", "required": true } }, "request": { "$ref": "CancelOperationRequest" }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "response": { "$ref": "Empty" } }, "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/operations", "id": "healthcare.projects.locations.datasets.operations.list", "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations", "parameters": { "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" }, "pageSize": { "location": "query", "description": "The standard list page size.", "format": "int32", "type": "integer" } } }, "get": { "path": "v1/{+name}", "parameters": { "name": { "type": "string", "description": "The name of the operation resource.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/operations/[^/]+$" } }, "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "healthcare.projects.locations.datasets.operations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" } } }, "dicomStores": { "resources": { "studies": { "resources": { "series": { "methods": { "delete": { "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.delete", "parameters": { "parent": { "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "dicomWebPath": { "required": true, "type": "string", "description": "The path of the DeleteSeries request. For example, `studies/{study_uid}/series/{series_uid}`.", "location": "path", "pattern": "^studies/[^/]+/series/[^/]+$" } }, "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "description": "DeleteSeries deletes all instances within the given study and series. Delete requests are equivalent to the GET requests specified in the Retrieve transaction. The method returns an Operation which will be marked successful when the deletion is complete. Warning: Instances cannot be inserted into a series that is being deleted by an operation until the operation completes. For samples that show how to call DeleteSeries, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance)." }, "searchForInstances": { "parameterOrder": [ "parent", "dicomWebPath" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "type": "string", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true, "location": "path" }, "dicomWebPath": { "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`.", "location": "path", "type": "string", "pattern": "^studies/[^/]+/series/[^/]+/instances$", "required": true } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances", "description": "SearchForInstances returns a list of matching instances. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.searchForInstances" }, "retrieveSeries": { "response": { "$ref": "HttpBody" }, "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}", "description": "RetrieveSeries returns all instances within the given study and series. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveSeries, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveSeries, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "httpMethod": "GET", "parameterOrder": [ "parent", "dicomWebPath" ], "parameters": { "dicomWebPath": { "type": "string", "required": true, "description": "The path of the RetrieveSeries DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}`.", "location": "path", "pattern": "^studies/[^/]+/series/[^/]+$" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.retrieveSeries" }, "retrieveMetadata": { "httpMethod": "GET", "parameters": { "dicomWebPath": { "description": "The path of the RetrieveSeriesMetadata DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/metadata`.", "required": true, "type": "string", "location": "path", "pattern": "^studies/[^/]+/series/[^/]+/metadata$" }, "parent": { "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/metadata", "description": "RetrieveSeriesMetadata returns instance associated with the given study and series, presented as metadata with the bulk data removed. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveSeriesMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveSeriesMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.retrieveMetadata", "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ] } }, "resources": { "instances": { "resources": { "frames": { "methods": { "retrieveRendered": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/frames/{framesId}/rendered", "parameterOrder": [ "parent", "dicomWebPath" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "description": "RetrieveRenderedFrames returns instances associated with the given study, series, SOP Instance UID and frame numbers in an acceptable Rendered Media Type. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveRenderedFrames, see [Rendered resources](https://cloud.google.com/healthcare/docs/dicom#rendered_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveRenderedFrames, see [Retrieving consumer image formats](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_consumer_image_formats).", "response": { "$ref": "HttpBody" }, "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.frames.retrieveRendered", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "location": "path", "required": true, "type": "string" }, "dicomWebPath": { "description": "The path of the RetrieveRenderedFrames DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/frames/{frame_list}/rendered`.", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/frames/[^/]+/rendered$", "location": "path", "required": true, "type": "string" } } }, "retrieveFrames": { "description": "RetrieveFrames returns instances associated with the given study, series, SOP Instance UID and frame numbers. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4}. For details on the implementation of RetrieveFrames, see [DICOM frames](https://cloud.google.com/healthcare/docs/dicom#dicom_frames) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveFrames, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/frames/{framesId}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.frames.retrieveFrames", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "type": "string", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true }, "dicomWebPath": { "description": "The path of the RetrieveFrames DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/frames/{frame_list}`.", "type": "string", "location": "path", "required": true, "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/frames/[^/]+$" } }, "parameterOrder": [ "parent", "dicomWebPath" ] } } } }, "methods": { "retrieveRendered": { "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveRendered", "parameters": { "dicomWebPath": { "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/rendered$", "location": "path", "required": true, "description": "The path of the RetrieveRenderedInstance DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/rendered`.", "type": "string" }, "parent": { "type": "string", "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/rendered", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "RetrieveRenderedInstance returns instance associated with the given study, series, and SOP Instance UID in an acceptable Rendered Media Type. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveRenderedInstance, see [Rendered resources](https://cloud.google.com/healthcare/docs/dicom#rendered_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveRenderedInstance, see [Retrieving consumer image formats](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_consumer_image_formats).", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ] }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.delete", "httpMethod": "DELETE", "parameters": { "dicomWebPath": { "required": true, "description": "The path of the DeleteInstance request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}`.", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+$", "location": "path", "type": "string" }, "parent": { "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "location": "path" } }, "response": { "$ref": "Empty" }, "description": "DeleteInstance deletes an instance associated with the given study, series, and SOP Instance UID. Delete requests are equivalent to the GET requests specified in the Retrieve transaction. Study and series search results can take a few seconds to be updated after an instance is deleted using DeleteInstance. For samples that show how to call DeleteInstance, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}" }, "retrieveInstance": { "parameterOrder": [ "parent", "dicomWebPath" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}", "parameters": { "parent": { "required": true, "type": "string", "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "dicomWebPath": { "type": "string", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+$", "description": "The path of the RetrieveInstance DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}`.", "required": true, "location": "path" } }, "response": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveInstance", "description": "RetrieveInstance returns instance associated with the given study, series, and SOP Instance UID. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveInstance, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) and [DICOM instances](https://cloud.google.com/healthcare/docs/dicom#dicom_instances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveInstance, see [Retrieving an instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_an_instance).", "httpMethod": "GET" }, "retrieveMetadata": { "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveMetadata", "response": { "$ref": "HttpBody" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "location": "path", "required": true }, "dicomWebPath": { "type": "string", "location": "path", "description": "The path of the RetrieveInstanceMetadata DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/metadata`.", "required": true, "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/metadata$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/metadata", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "description": "RetrieveInstanceMetadata returns instance associated with the given study, series, and SOP Instance UID presented as metadata with the bulk data removed. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveInstanceMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveInstanceMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata)." } } } } } }, "methods": { "retrieveMetadata": { "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.retrieveMetadata", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "RetrieveStudyMetadata returns instance associated with the given study presented as metadata with the bulk data removed. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveStudyMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveStudyMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata).", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/metadata", "parameters": { "dicomWebPath": { "type": "string", "required": true, "pattern": "^studies/[^/]+/metadata$", "location": "path", "description": "The path of the RetrieveStudyMetadata DICOMweb request. For example, `studies/{study_uid}/metadata`." }, "parent": { "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "location": "path", "required": true } } }, "searchForInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "SearchForInstances returns a list of matching instances. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "parameters": { "parent": { "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true }, "dicomWebPath": { "required": true, "pattern": "^studies/[^/]+/instances$", "type": "string", "location": "path", "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`." } }, "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/instances", "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.searchForInstances", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}" }, "searchForSeries": { "parameterOrder": [ "parent", "dicomWebPath" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "SearchForSeries returns a list of matching series. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForSeries, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForSeries, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "response": { "$ref": "HttpBody" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series", "id": "healthcare.projects.locations.datasets.dicomStores.studies.searchForSeries", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "parameters": { "dicomWebPath": { "type": "string", "required": true, "pattern": "^studies/[^/]+/series$", "location": "path", "description": "The path of the SearchForSeries DICOMweb request. For example, `series` or `studies/{study_uid}/series`." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true, "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } } }, "retrieveStudy": { "description": "RetrieveStudy returns all instances within the given study. See [RetrieveTransaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveStudy, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveStudy, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "response": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.dicomStores.studies.retrieveStudy", "parameters": { "parent": { "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string" }, "dicomWebPath": { "required": true, "type": "string", "description": "The path of the RetrieveStudy DICOMweb request. For example, `studies/{study_uid}`.", "location": "path", "pattern": "^studies/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}" }, "delete": { "description": "DeleteStudy deletes all instances within the given study. Delete requests are equivalent to the GET requests specified in the Retrieve transaction. The method returns an Operation which will be marked successful when the deletion is complete. Warning: Instances cannot be inserted into a study that is being deleted by an operation until the operation completes. For samples that show how to call DeleteStudy, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance).", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "required": true, "type": "string" }, "dicomWebPath": { "type": "string", "required": true, "location": "path", "description": "The path of the DeleteStudy request. For example, `studies/{study_uid}`.", "pattern": "^studies/[^/]+$" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.delete", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}" }, "storeInstances": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}", "description": "StoreInstances stores DICOM instances associated with study instance unique identifiers (SUID). See [Store Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.5). For details on the implementation of StoreInstances, see [Store transaction](https://cloud.google.com/healthcare/docs/dicom#store_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call StoreInstances, see [Storing DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#storing_dicom_data).", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "request": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "dicomWebPath": { "required": true, "description": "The path of the StoreInstances DICOMweb request. For example, `studies/[{study_uid}]`. Note that the `study_uid` is optional.", "type": "string", "pattern": "^studies/[^/]+$", "location": "path" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "HttpBody" }, "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.dicomStores.studies.storeInstances" } } } }, "methods": { "import": { "id": "healthcare.projects.locations.datasets.dicomStores.import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:import", "request": { "$ref": "ImportDicomDataRequest" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "location": "path", "description": "The name of the DICOM store resource into which the data is imported. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true } }, "description": "Imports data into the DICOM store by copying it from the specified source. Errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging). The metadata field type is OperationMetadata.", "path": "v1/{+name}:import", "parameterOrder": [ "name" ], "httpMethod": "POST" }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The resource name of the DICOM store to delete.", "location": "path", "required": true, "type": "string" } }, "path": "v1/{+name}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.dicomStores.delete", "httpMethod": "DELETE", "description": "Deletes the specified DICOM store and removes all images that are contained within it." }, "searchForSeries": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/series", "description": "SearchForSeries returns a list of matching series. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForSeries, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForSeries, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.dicomStores.searchForSeries", "response": { "$ref": "HttpBody" }, "httpMethod": "GET", "parameters": { "dicomWebPath": { "description": "The path of the SearchForSeries DICOMweb request. For example, `series` or `studies/{study_uid}/series`.", "pattern": "^series$", "location": "path", "required": true, "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "type": "string" } }, "parameterOrder": [ "parent", "dicomWebPath" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}" }, "patch": { "httpMethod": "PATCH", "response": { "$ref": "DicomStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DicomStore" }, "id": "healthcare.projects.locations.datasets.dicomStores.patch", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "description": "Updates the specified DICOM store.", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string" }, "name": { "type": "string", "location": "path", "required": true, "description": "Resource name of the DICOM store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } } }, "deidentify": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:deidentify", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "De-identifies data from the source store and writes it to the destination store. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifyDicomStoreSummary. If errors occur, error is set. The LRO result may still be successful if de-identification fails for some DICOM instances. The output DICOM store will not contain these failed resources. Failed resource totals are tracked in Operation.metadata. Error details are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](/healthcare/docs/how-tos/logging)).", "request": { "$ref": "DeidentifyDicomStoreRequest" }, "parameterOrder": [ "sourceStore" ], "parameters": { "sourceStore": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "required": true, "description": "Source DICOM store resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "healthcare.projects.locations.datasets.dicomStores.deidentify", "path": "v1/{+sourceStore}:deidentify" }, "list": { "path": "v1/{+parent}/dicomStores", "id": "healthcare.projects.locations.datasets.dicomStores.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Lists the DICOM stores in the given dataset.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores", "response": { "$ref": "ListDicomStoresResponse" }, "parameters": { "pageSize": { "description": "Limit on the number of DICOM stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer", "format": "int32", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported. For example, `labels.key=value`." }, "parent": { "description": "Name of the dataset.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "required": true }, "pageToken": { "description": "The next_page_token value returned from the previous List request, if any.", "type": "string", "location": "query" } } }, "export": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ExportDicomDataRequest" }, "id": "healthcare.projects.locations.datasets.dicomStores.export", "description": "Exports data to the specified destination by copying it from the DICOM store. Errors are also logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging). The metadata field type is OperationMetadata.", "response": { "$ref": "Operation" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:export", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The DICOM store resource name from which to export the data. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+name}:export", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "type": "string", "description": "The resource name of the DICOM store to get." } }, "description": "Gets the specified DICOM store.", "response": { "$ref": "DicomStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "path": "v1/{+name}", "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.get", "parameterOrder": [ "name" ] }, "searchForInstances": { "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "description": "SearchForInstances returns a list of matching instances. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/instances", "httpMethod": "GET", "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.searchForInstances", "parameters": { "dicomWebPath": { "pattern": "^instances$", "required": true, "type": "string", "location": "path", "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "location": "path" } } }, "storeInstances": { "description": "StoreInstances stores DICOM instances associated with study instance unique identifiers (SUID). See [Store Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.5). For details on the implementation of StoreInstances, see [Store transaction](https://cloud.google.com/healthcare/docs/dicom#store_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call StoreInstances, see [Storing DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#storing_dicom_data).", "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "type": "string", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path" }, "dicomWebPath": { "required": true, "type": "string", "location": "path", "description": "The path of the StoreInstances DICOMweb request. For example, `studies/[{study_uid}]`. Note that the `study_uid` is optional.", "pattern": "^studies$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies", "httpMethod": "POST", "request": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.dicomStores.storeInstances" }, "searchForStudies": { "response": { "$ref": "HttpBody" }, "parameters": { "parent": { "type": "string", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path" }, "dicomWebPath": { "required": true, "description": "The path of the SearchForStudies DICOMweb request. For example, `studies`.", "pattern": "^studies$", "type": "string", "location": "path" } }, "parameterOrder": [ "parent", "dicomWebPath" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies", "description": "SearchForStudies returns a list of matching studies. See [Search Transaction] (http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.6). For details on the implementation of SearchForStudies, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForStudies, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "id": "healthcare.projects.locations.datasets.dicomStores.searchForStudies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/dicomWeb/{+dicomWebPath}", "httpMethod": "GET" }, "getIamPolicy": { "parameterOrder": [ "resource" ], "id": "healthcare.projects.locations.datasets.dicomStores.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:getIamPolicy" }, "create": { "parameters": { "dicomStoreId": { "type": "string", "location": "query", "description": "The ID of the DICOM store that is being created. Any string value up to 256 characters in length." }, "parent": { "description": "The name of the dataset this DICOM store belongs to.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "response": { "$ref": "DicomStore" }, "description": "Creates a new DICOM store within the parent dataset.", "id": "healthcare.projects.locations.datasets.dicomStores.create", "httpMethod": "POST", "request": { "$ref": "DicomStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores", "path": "v1/{+parent}/dicomStores" }, "setIamPolicy": { "id": "healthcare.projects.locations.datasets.dicomStores.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:setIamPolicy", "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "request": { "$ref": "SetIamPolicyRequest" } }, "testIamPermissions": { "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.dicomStores.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "httpMethod": "POST" } } } } }, "services": { "resources": { "nlp": { "methods": { "analyzeEntities": { "request": { "$ref": "AnalyzeEntitiesRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/services/nlp:analyzeEntities", "path": "v1/{+nlpService}:analyzeEntities", "id": "healthcare.projects.locations.services.nlp.analyzeEntities", "parameters": { "nlpService": { "required": true, "description": "The resource name of the service of the form: \"projects/{project_id}/locations/{location_id}/services/nlp\".", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/nlp$", "location": "path" } }, "response": { "$ref": "AnalyzeEntitiesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "nlpService" ], "httpMethod": "POST", "description": "Analyze heathcare entity in a document. Its response includes the recognized entity mentions and the relationships between them. AnalyzeEntities uses context aware models to detect entities." } } } } } } } } } }, "version": "v1", "id": "healthcare:v1", "version_module": true }
]===]))
