local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "projects": { "resources": { "locations": { "resources": { "datasets": { "resources": { "consentStores": { "resources": { "attributeDefinitions": { "methods": { "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/attributeDefinitions", "request": { "$ref": "AttributeDefinition" }, "parameters": { "attributeDefinitionId": { "location": "query", "type": "string", "description": "Required. The ID of the Attribute definition to create. The string must match the following regex: `_a-zA-Z{0,255}` and must not be a reserved keyword within the Common Expression Language as listed on https://github.com/google/cel-spec/blob/master/doc/langdef.md." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "Required. The name of the consent store that this Attribute definition belongs to.", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.create", "description": "Creates a new Attribute definition in the parent consent store.", "response": { "$ref": "AttributeDefinition" } }, "get": { "description": "Gets the specified Attribute definition.", "response": { "$ref": "AttributeDefinition" }, "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.get", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The resource name of the Attribute definition to get.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$", "required": true } } }, "patch": { "parameterOrder": [ "name" ], "request": { "$ref": "AttributeDefinition" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.patch", "description": "Updates the specified Attribute definition.", "path": "v1beta1/{+name}", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `description`, `allowed_values`, `consent_default_values` and `data_mapping_default_value` fields can be updated. The updated `allowed_values` must contain all values from the previous `allowed_values`.", "location": "query" }, "name": { "description": "Resource name of the Attribute definition, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/attributeDefinitions/{attribute_definition_id}`. Cannot be changed after creation.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$", "required": true } }, "response": { "$ref": "AttributeDefinition" } }, "list": { "parameters": { "pageSize": { "description": "Optional. Limit on the number of Attribute definitions to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "format": "int32", "type": "integer" }, "filter": { "description": "Optional. Restricts the attributes returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The only field available for filtering is `category`. For example, `filter=category=\\\"REQUEST\\\"`.", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. Token to retrieve the next page of results or empty to get the first page.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "description": "Required. Name of the consent store to retrieve Attribute definitions from.", "type": "string", "location": "path" } }, "response": { "$ref": "ListAttributeDefinitionsResponse" }, "description": "Lists the Attribute definitions in the specified consent store.", "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.list", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/attributeDefinitions", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions" }, "delete": { "description": "Deletes the specified Attribute definition. Fails if the Attribute definition is referenced by any User data mapping, or the latest revision of any Consent.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The resource name of the Attribute definition to delete. To preserve referential integrity, Attribute definitions referenced by a User data mapping or the latest revision of a Consent cannot be deleted.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/attributeDefinitions/[^/]+$", "required": true, "location": "path" } }, "path": "v1beta1/{+name}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.consentStores.attributeDefinitions.delete", "response": { "$ref": "Empty" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/attributeDefinitions/{attributeDefinitionsId}" } } }, "userDataMappings": { "methods": { "list": { "path": "v1beta1/{+parent}/userDataMappings", "description": "Lists the User data mappings in the specified consent store.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.list", "parameters": { "pageToken": { "description": "Optional. Token to retrieve the next page of results, or empty to get the first page.", "location": "query", "type": "string" }, "filter": { "description": "Optional. Restricts the user data mappings returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - data_id - user_id. For example, `filter=user_id=\\\"user123\\\"`. - archived - archive_time", "type": "string", "location": "query" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "required": true, "description": "Required. Name of the consent store to retrieve User data mappings from." }, "pageSize": { "description": "Optional. Limit on the number of User data mappings to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "format": "int32", "type": "integer", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "ListUserDataMappingsResponse" } }, "delete": { "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.delete", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. The resource name of the User data mapping to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$" } }, "path": "v1beta1/{+name}", "description": "Deletes the specified User data mapping.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}" }, "create": { "response": { "$ref": "UserDataMapping" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta1/{+parent}/userDataMappings", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "type": "string", "description": "Required. Name of the consent store." } }, "parameterOrder": [ "parent" ], "request": { "$ref": "UserDataMapping" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings", "description": "Creates a new User data mapping in the parent consent store.", "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.create" }, "patch": { "parameters": { "name": { "description": "Resource name of the User data mapping, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/userDataMappings/{user_data_mapping_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "type": "string", "required": true, "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `data_id`, `user_id` and `resource_attributes` fields can be updated.", "location": "query" } }, "httpMethod": "PATCH", "request": { "$ref": "UserDataMapping" }, "description": "Updates the specified User data mapping.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.patch", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}", "response": { "$ref": "UserDataMapping" }, "path": "v1beta1/{+name}" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}", "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.get", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the User data mapping to retrieve." } }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "UserDataMapping" }, "httpMethod": "GET", "description": "Gets the specified User data mapping." }, "archive": { "parameters": { "name": { "description": "Required. The resource name of the User data mapping to archive.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/userDataMappings/[^/]+$", "type": "string", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "ArchiveUserDataMappingResponse" }, "id": "healthcare.projects.locations.datasets.consentStores.userDataMappings.archive", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/userDataMappings/{userDataMappingsId}:archive", "description": "Archives the specified User data mapping.", "request": { "$ref": "ArchiveUserDataMappingRequest" }, "path": "v1beta1/{+name}:archive" } } }, "consents": { "methods": { "activate": { "parameters": { "name": { "required": true, "description": "Required. The resource name of the Consent to activate, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "location": "path" } }, "response": { "$ref": "Consent" }, "path": "v1beta1/{+name}:activate", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:activate", "description": "Activates the latest revision of the specified Consent by committing a new revision with `state` updated to `ACTIVE`. If the latest revision of the specified Consent is in the `ACTIVE` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the specified consent is in the `REJECTED` or `REVOKED` state.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ActivateConsentRequest" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.activate", "parameterOrder": [ "name" ], "httpMethod": "POST" }, "reject": { "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "description": "Required. The resource name of the Consent to reject, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name." } }, "response": { "$ref": "Consent" }, "request": { "$ref": "RejectConsentRequest" }, "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:reject", "id": "healthcare.projects.locations.datasets.consentStores.consents.reject", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:reject", "description": "Rejects the latest revision of the specified Consent by committing a new revision with `state` updated to `REJECTED`. If the latest revision of the specified Consent is in the `REJECTED` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the specified Consent is in the `ACTIVE` or `REVOKED` state." }, "patch": { "id": "healthcare.projects.locations.datasets.consentStores.consents.patch", "response": { "$ref": "Consent" }, "parameterOrder": [ "name" ], "description": "Updates the latest revision of the specified Consent by committing a new revision with the changes. A FAILED_PRECONDITION error occurs if the latest revision of the specified Consent is in the `REJECTED` or `REVOKED` state.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Consent" }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}", "parameters": { "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. The update mask to apply to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `user_id`, `policies`, `consent_artifact`, and `metadata` fields can be updated." }, "name": { "type": "string", "location": "path", "description": "Resource name of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. Cannot be changed after creation.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$" } }, "httpMethod": "PATCH" }, "list": { "httpMethod": "GET", "description": "Lists the Consent in the given consent store, returning each Consent's latest revision.", "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from the previous List request, if any.", "type": "string", "location": "query" }, "filter": { "description": "Optional. Restricts the consents returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - user_id. For example, `filter='user_id=\"user123\"'`. - consent_artifact - state - revision_create_time - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`.", "location": "query", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. Limit on the number of Consents to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the consent store to retrieve Consents from.", "required": true } }, "path": "v1beta1/{+parent}/consents", "id": "healthcare.projects.locations.datasets.consentStores.consents.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListConsentsResponse" }, "parameterOrder": [ "parent" ] }, "revoke": { "httpMethod": "POST", "description": "Revokes the latest revision of the specified Consent by committing a new revision with `state` updated to `REVOKED`. If the latest revision of the specified Consent is in the `REVOKED` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the given consent is in `DRAFT` or `REJECTED` state.", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.revoke", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "RevokeConsentRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:revoke", "response": { "$ref": "Consent" }, "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "description": "Required. The resource name of the Consent to revoke, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "location": "path", "type": "string" } }, "path": "v1beta1/{+name}:revoke" }, "listRevisions": { "path": "v1beta1/{+name}:listRevisions", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListConsentRevisionsResponse" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.listRevisions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:listRevisions", "parameters": { "pageToken": { "description": "Optional. Token to retrieve the next page of results or empty if there are no more results in the list.", "location": "query", "type": "string" }, "filter": { "description": "Optional. Restricts the revisions returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Fields/functions available for filtering are: - user_id. For example, `filter='user_id=\"user123\"'`. - consent_artifact - state - revision_create_time - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`.", "type": "string", "location": "query" }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. Limit on the number of revisions to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "type": "string", "description": "Required. The resource name of the Consent to retrieve revisions for." } }, "description": "Lists the revisions of the specified Consent in reverse chronological order." }, "create": { "request": { "$ref": "Consent" }, "id": "healthcare.projects.locations.datasets.consentStores.consents.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Consent in the parent consent store.", "parameters": { "parent": { "required": true, "location": "path", "type": "string", "description": "Required. Name of the consent store.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$" } }, "httpMethod": "POST", "parameterOrder": [ "parent" ], "response": { "$ref": "Consent" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents", "path": "v1beta1/{+parent}/consents" }, "deleteRevision": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "healthcare.projects.locations.datasets.consentStores.consents.deleteRevision", "path": "v1beta1/{+name}:deleteRevision", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}:deleteRevision", "response": { "$ref": "Empty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "description": "Required. The resource name of the Consent revision to delete, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}@{revision_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is not specified in the name.", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "description": "Deletes the specified revision of a Consent. An INVALID_ARGUMENT error occurs if the specified revision is the latest revision." }, "get": { "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.consentStores.consents.get", "parameters": { "name": { "description": "Required. The resource name of the Consent to retrieve, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. In order to retrieve a previous revision of the Consent, also provide the revision ID: `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}@{revision_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$", "required": true, "location": "path", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}", "response": { "$ref": "Consent" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the specified revision of a Consent, or the latest revision if `revision_id` is not specified in the resource name." }, "delete": { "id": "healthcare.projects.locations.datasets.consentStores.consents.delete", "path": "v1beta1/{+name}", "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "required": true, "description": "Required. The resource name of the Consent to delete, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. An INVALID_ARGUMENT error occurs if `revision_id` is specified in the name.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consents/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consents/{consentsId}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "description": "Deletes the Consent and its revisions. To keep a record of the Consent but mark it inactive, see [RevokeConsent]. To delete a revision of a Consent, see [DeleteConsentRevision]. This operation does not delete the related Consent artifact." } } }, "consentArtifacts": { "methods": { "list": { "response": { "$ref": "ListConsentArtifactsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts", "description": "Lists the Consent artifacts in the specified consent store.", "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. The next_page_token value returned from the previous List request, if any." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. Limit on the number of consent artifacts to return in a single response. If not specified, 100 is used. May not be larger than 1000." }, "parent": { "type": "string", "description": "Required. Name of the consent store to retrieve consent artifacts from.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "location": "path" }, "filter": { "location": "query", "type": "string", "description": "Optional. Restricts the artifacts returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. The fields available for filtering are: - user_id. For example, `filter=user_id=\\\"user123\\\"`. - consent_content_version - metadata. For example, `filter=Metadata(\\\"testkey\\\")=\\\"value\\\"` or `filter=HasMetadata(\\\"testkey\\\")`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.list", "path": "v1beta1/{+parent}/consentArtifacts" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consentArtifacts/[^/]+$", "description": "Required. The resource name of the Consent artifact to retrieve.", "type": "string", "location": "path", "required": true } }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts/{consentArtifactsId}", "response": { "$ref": "ConsentArtifact" }, "description": "Gets the specified Consent artifact.", "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.get" }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "name": { "description": "Required. The resource name of the Consent artifact to delete. To preserve referential integrity, Consent artifacts referenced by the latest revision of a Consent cannot be deleted.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+/consentArtifacts/[^/]+$", "location": "path", "required": true } }, "description": "Deletes the specified Consent artifact. Fails if the artifact is referenced by the latest revision of any Consent.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts/{consentArtifactsId}" }, "create": { "request": { "$ref": "ConsentArtifact" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}/consentArtifacts", "response": { "$ref": "ConsentArtifact" }, "id": "healthcare.projects.locations.datasets.consentStores.consentArtifacts.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Consent artifact in the parent consent store.", "path": "v1beta1/{+parent}/consentArtifacts", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The name of the consent store this Consent artifact belongs to.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string" } }, "httpMethod": "POST" } } } }, "methods": { "evaluateUserConsents": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "consentStore": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "location": "path", "description": "Required. Name of the consent store to retrieve User data mappings from.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:evaluateUserConsents", "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.consentStores.evaluateUserConsents", "path": "v1beta1/{+consentStore}:evaluateUserConsents", "response": { "$ref": "EvaluateUserConsentsResponse" }, "parameterOrder": [ "consentStore" ], "description": "Evaluates the user's Consents for all matching User data mappings. Note: User data mappings are indexed asynchronously, which can cause a slight delay between the time mappings are created or updated and when they are included in EvaluateUserConsents results.", "request": { "$ref": "EvaluateUserConsentsRequest" } }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores", "request": { "$ref": "ConsentStore" }, "description": "Creates a new consent store in the parent dataset. Attempting to create a consent store with the same ID as an existing store fails with an ALREADY_EXISTS error.", "response": { "$ref": "ConsentStore" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/consentStores", "id": "healthcare.projects.locations.datasets.consentStores.create", "parameters": { "consentStoreId": { "location": "query", "type": "string", "description": "Required. The ID of the consent store to create. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`. Cannot be changed after creation." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "description": "Required. The name of the dataset this consent store belongs to.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ] }, "get": { "path": "v1beta1/{+name}", "description": "Gets the specified consent store.", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "response": { "$ref": "ConsentStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The resource name of the consent store to get.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.consentStores.get" }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores", "description": "Lists the consent stores in the specified dataset.", "path": "v1beta1/{+parent}/consentStores", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.consentStores.list", "response": { "$ref": "ListConsentStoresResponse" }, "parameters": { "parent": { "description": "Required. Name of the dataset.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path" }, "filter": { "type": "string", "description": "Optional. Restricts the stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported. For example, `filter=labels.key=value`.", "location": "query" }, "pageSize": { "format": "int32", "description": "Optional. Limit on the number of consent stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. Token to retrieve the next page of results, or empty to get the first page.", "location": "query" } } }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "healthcare.projects.locations.datasets.consentStores.setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:setIamPolicy" }, "getIamPolicy": { "id": "healthcare.projects.locations.datasets.consentStores.getIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:getIamPolicy" }, "delete": { "description": "Deletes the specified consent store and removes all the consent store's data.", "path": "v1beta1/{+name}", "response": { "$ref": "Empty" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.consentStores.delete", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string", "description": "Required. The resource name of the consent store to delete." } }, "parameterOrder": [ "name" ] }, "queryAccessibleData": { "id": "healthcare.projects.locations.datasets.consentStores.queryAccessibleData", "description": "Queries all data_ids that are consented for a specified use in the given consent store and writes them to a specified destination. The returned Operation includes a progress counter for the number of User data mappings processed. If the request is successful, a detailed response is returned of type QueryAccessibleDataResponse, contained in the response field when the operation finishes. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). For example, the following sample log entry shows a `failed to evaluate consent policy` error that occurred during a QueryAccessibleData call to consent store `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. ```json jsonPayload: { @type: \"type.googleapis.com/google.cloud.healthcare.logging.QueryAccessibleDataLogEntry\" error: { code: 9 message: \"failed to evaluate consent policy\" } resourceName: \"projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}\" } logName: \"projects/{project_id}/logs/healthcare.googleapis.com%2Fquery_accessible_data\" operation: { id: \"projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/operations/{operation_id}\" producer: \"healthcare.googleapis.com/QueryAccessibleData\" } receiveTimestamp: \"TIMESTAMP\" resource: { labels: { consent_store_id: \"{consent_store_id}\" dataset_id: \"{dataset_id}\" location: \"{location_id}\" project_id: \"{project_id}\" } type: \"healthcare_consent_store\" } severity: \"ERROR\" timestamp: \"TIMESTAMP\" ```", "httpMethod": "POST", "parameters": { "consentStore": { "description": "Required. Name of the consent store to retrieve User data mappings from.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "type": "string" } }, "parameterOrder": [ "consentStore" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "path": "v1beta1/{+consentStore}:queryAccessibleData", "request": { "$ref": "QueryAccessibleDataRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:queryAccessibleData" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}", "path": "v1beta1/{+name}", "request": { "$ref": "ConsentStore" }, "httpMethod": "PATCH", "parameters": { "updateMask": { "location": "query", "description": "Required. The update mask that applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask. Only the `labels`, `default_consent_ttl`, and `enable_consent_create_on_update` fields are allowed to be updated.", "type": "string", "format": "google-fieldmask" }, "name": { "description": "Resource name of the consent store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. Cannot be changed after creation.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "required": true, "location": "path", "type": "string" } }, "response": { "$ref": "ConsentStore" }, "description": "Updates the specified consent store.", "id": "healthcare.projects.locations.datasets.consentStores.patch", "parameterOrder": [ "name" ] }, "checkDataAccess": { "path": "v1beta1/{+consentStore}:checkDataAccess", "response": { "$ref": "CheckDataAccessResponse" }, "description": "Checks if a particular data_id of a User data mapping in the specified consent store is consented for the specified use.", "id": "healthcare.projects.locations.datasets.consentStores.checkDataAccess", "request": { "$ref": "CheckDataAccessRequest" }, "parameters": { "consentStore": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "description": "Required. Name of the consent store where the requested data_id is stored, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`.", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:checkDataAccess", "httpMethod": "POST", "parameterOrder": [ "consentStore" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.consentStores.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/consentStores/{consentStoresId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/consentStores/[^/]+$", "location": "path" } }, "path": "v1beta1/{+resource}:testIamPermissions" } } }, "fhirStores": { "resources": { "fhir": { "methods": { "conditionalPatch": { "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The name of the FHIR store this resource belongs to." }, "type": { "pattern": "^[^/]+$", "location": "path", "type": "string", "description": "The FHIR resource type to update, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "required": true } }, "httpMethod": "PATCH", "parameterOrder": [ "parent", "type" ], "description": "If a resource is found based on the search criteria specified in the query parameters, updates part of that resource by applying the operations specified in a [JSON Patch](http://jsonpatch.com/) document. Implements the FHIR standard conditional patch interaction ([STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#patch), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#patch)). DSTU2 doesn't define a conditional patch method, but the server supports it in the same way it supports STU3. Search terms are provided as query parameters following the same pattern as the search method. If the search criteria identify more than one match, the request returns a `412 Precondition Failed` error. The request body must contain a JSON Patch document, and the request headers must contain `Content-Type: application/json-patch+json`. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. This method requires the`healthcare.fhirStores.searchResources` permission on the parent FHIR store and the `healthcare.fhirResources.patch` permission on the requested FHIR store resource. For samples that show how to call `conditionalPatch`, see [Conditionally patching a FHIR resource](/healthcare/docs/how-tos/fhir-resources#conditionally_patching_a_fhir_resource).", "request": { "$ref": "HttpBody" }, "response": { "$ref": "HttpBody" }, "path": "v1beta1/{+parent}/fhir/{+type}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.conditionalPatch" }, "ConceptMap-search-translate": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/ConceptMap/$translate", "httpMethod": "GET", "parameterOrder": [ "parent" ], "parameters": { "target": { "type": "string", "description": "The target value set of the concept map to be used. If unset, source is used to search for concept maps.", "location": "query" }, "source": { "type": "string", "description": "The source value set of the concept map to be used. If unset, target is used to search for concept maps.", "location": "query" }, "url": { "type": "string", "description": "The canonical url of the concept map to use. If unset, the source and target is used to search for concept maps.", "location": "query" }, "conceptMapVersion": { "type": "string", "description": "The version of the concept map to use. If unset, the most current version is used.", "location": "query" }, "code": { "location": "query", "type": "string", "description": "The code to translate." }, "system": { "location": "query", "type": "string", "description": "The system for the code to be translated." }, "parent": { "required": true, "description": "The name for the FHIR store containing the concept map(s) to use for the translation.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$" } }, "path": "v1beta1/{+parent}/fhir/ConceptMap/$translate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "HttpBody" }, "description": "Translates a code from one value set to another by searching for appropriate concept maps. Implements the FHIR standard $translate operation ([DSTU2](https://www.hl7.org/fhir/DSTU2/operation-conceptmap-translate.html), [STU3](https://www.hl7.org/fhir/STU3/operation-conceptmap-translate.html), [R4](https://www.hl7.org/fhir/R4/operation-conceptmap-translate.html)). On success, the response body contains a JSON-encoded representation of a FHIR Parameters resource, which includes the translation result. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.ConceptMap-search-translate" }, "conditionalDelete": { "httpMethod": "DELETE", "parameterOrder": [ "parent", "type" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the FHIR store this resource belongs to." }, "type": { "location": "path", "required": true, "pattern": "^[^/]+$", "description": "The FHIR resource type to delete, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "type": "string" } }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.conditionalDelete", "response": { "$ref": "Empty" }, "path": "v1beta1/{+parent}/fhir/{+type}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}", "description": "Deletes FHIR resources that match a search query. Implements the FHIR standard conditional delete interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.12.1), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#2.21.0.13.1), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#3.1.0.7.1)). If multiple resources match, all matching resources are deleted. Search terms are provided as query parameters following the same pattern as the search method. Not all FHIR resources that match the search query might be deleted because, by default, a maximum of 100 FHIR resources can be deleted. The number of FHIR resources that can be deleted depends on the page size of the returned resources, which you can control using the `_count` query parameter. Even when using `_count`, you can delete a maximum 1,000 FHIR resources per each call of `conditionalDelete`. Note: Unless resource versioning is disabled by setting the disable_resource_versioning flag on the FHIR store, the deleted resources are moved to a history repository that can still be retrieved through vread and related methods, unless they are removed by the purge method. This method requires the`healthcare.fhirStores.searchResources` and `healthcare.fhirResources.delete` permissions on the parent FHIR store. For samples that show how to call `conditionalDelete`, see [Conditionally deleting a FHIR resource](/healthcare/docs/how-tos/fhir-resources#conditionally_deleting_a_fhir_resource).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "search-type": { "path": "v1beta1/{+parent}/fhir/{resourceType}/_search", "parameters": { "parent": { "required": true, "description": "Name of the FHIR store to retrieve resources from.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string" }, "resourceType": { "type": "string", "required": true, "description": "The FHIR resource type to search, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "location": "path" } }, "request": { "$ref": "SearchResourcesRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{resourceType}/_search", "httpMethod": "POST", "description": "Searches for resources in the given FHIR store according to criteria specified as query parameters. Implements the FHIR standard search interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#search), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#search), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#search)) using the search semantics described in the FHIR Search specification ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/search.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/search.html), [R4](https://hl7.org/implement/standards/fhir/R4/search.html)). Supports four methods of search defined by the specification: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]?[parameters]` to search across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]/[type]?[parameters]` to search resources of a specified type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/[type]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method for the specified type. The `GET` and `POST` methods do not support compartment searches. The `POST` method does not support `application/x-www-form-urlencoded` search parameters. On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the search. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The server's capability statement, retrieved through capabilities, indicates what search parameters are supported on each FHIR resource. A list of all search parameters defined by the specification can be found in the FHIR Search Parameter Registry ([STU3](https://hl7.org/implement/standards/fhir/STU3/searchparameter-registry.html), [R4](https://hl7.org/implement/standards/fhir/R4/searchparameter-registry.html)). FHIR search parameters for DSTU2 can be found on each resource's definition page. Supported search modifiers: `:missing`, `:exact`, `:contains`, `:text`, `:in`, `:not-in`, `:above`, `:below`, `:[type]`, `:not`, and `:recurse`. Supported search result parameters: `_sort`, `_count`, `_include`, `_revinclude`, `_summary=text`, `_summary=data`, and `_elements`. The maximum number of search results returned defaults to 100, which can be overridden by the `_count` parameter up to a maximum limit of 1000. If there are additional results, the returned `Bundle` contains a link of `relation` \"next\", which has a `_page_token` parameter for an opaque pagination token that can be used to retrieve the next page. Resources with a total size larger than 5MB or a field count larger than 50,000 might not be fully searchable as the server might trim its generated search index in those cases. Note: FHIR resources are indexed asynchronously, so there might be a slight delay between the time a resource is created or changes and when the change is reflected in search results. For samples and detailed information, see [Searching for FHIR resources](/healthcare/docs/how-tos/fhir-search) and [Advanced FHIR search features](/healthcare/docs/how-tos/fhir-advanced-search).", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.search-type", "parameterOrder": [ "parent", "resourceType" ] }, "ConceptMap-translate": { "path": "v1beta1/{+name}/$translate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "system": { "description": "The system for the code to be translated.", "type": "string", "location": "query" }, "conceptMapVersion": { "type": "string", "location": "query", "description": "The version of the concept map to use. If unset, the most current version is used." }, "code": { "description": "The code to translate.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/ConceptMap/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The URL for the concept map to use for the translation." } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/ConceptMap/{ConceptMapId}/$translate", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.ConceptMap-translate", "response": { "$ref": "HttpBody" }, "description": "Translates a code from one value set to another using a concept map. You can provide your own concept maps to translate any code system to another code system. Implements the FHIR standard $translate operation ([DSTU2](https://www.hl7.org/fhir/DSTU2/operation-conceptmap-translate.html), [STU3](https://www.hl7.org/fhir/STU3/operation-conceptmap-translate.html), [R4](https://www.hl7.org/fhir/R4/operation-conceptmap-translate.html)). On success, the response body contains a JSON-encoded representation of a FHIR Parameters resource, which includes the translation result. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead." }, "vread": { "httpMethod": "GET", "description": "Gets the contents of a version (current or historical) of a FHIR resource by version ID. Implements the FHIR standard vread interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#vread), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#vread), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#vread)). On success, the response body contains a JSON-encoded representation of the resource. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `vread`, see [Retrieving a FHIR resource version](/healthcare/docs/how-tos/fhir-resources#retrieving_a_fhir_resource_version).", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/_history/{_historyId}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.vread", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+/_history/[^/]+$", "location": "path", "description": "The name of the resource version to retrieve.", "required": true } }, "response": { "$ref": "HttpBody" }, "path": "v1beta1/{+name}" }, "read": { "id": "healthcare.projects.locations.datasets.fhirStores.fhir.read", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "parameters": { "name": { "required": true, "location": "path", "description": "The name of the resource to retrieve.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "path": "v1beta1/{+name}", "description": "Gets the contents of a FHIR resource. Implements the FHIR standard read interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#read), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#read), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#read)). Also supports the FHIR standard conditional read interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#cread), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#cread), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#cread)) specified by supplying an `If-Modified-Since` header with a date/time value or an `If-None-Match` header with an ETag value. On success, the response body contains a JSON-encoded representation of the resource. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `read`, see [Getting a FHIR resource](/healthcare/docs/how-tos/fhir-resources#getting_a_fhir_resource)." }, "capabilities": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/metadata", "path": "v1beta1/{+name}/fhir/metadata", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.capabilities", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "Name of the FHIR store to retrieve the capabilities for." } }, "description": "Gets the FHIR capability statement ([STU3](https://hl7.org/implement/standards/fhir/STU3/capabilitystatement.html), [R4](https://hl7.org/implement/standards/fhir/R4/capabilitystatement.html)), or the [conformance statement](https://hl7.org/implement/standards/fhir/DSTU2/conformance.html) in the DSTU2 case for the store, which contains a description of functionality supported by the server. Implements the FHIR standard capabilities interaction ([STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#capabilities), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#capabilities)), or the [conformance interaction](https://hl7.org/implement/standards/fhir/DSTU2/http.html#conformance) in the DSTU2 case. On success, the response body contains a JSON-encoded representation of a `CapabilityStatement` resource." }, "history": { "httpMethod": "GET", "description": "Lists all the versions of a resource (including the current version and deleted versions) from the FHIR store. Implements the per-resource form of the FHIR standard history interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#history), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#history), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#history)). On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `history`, containing the version history sorted from most recent to oldest versions. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `history`, see [Listing FHIR resource versions](/healthcare/docs/how-tos/fhir-resources#listing_fhir_resource_versions).", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.history", "parameters": { "_page_token": { "location": "query", "type": "string", "description": "Used to retrieve the first, previous, next, or last page of resource versions when using pagination. Value should be set to the value of `_page_token` set in next or previous page links' URLs. Next and previous page are returned in the response bundle's links field, where `link.relation` is \"previous\" or \"next\". Omit `_page_token` if no previous request has been made." }, "_count": { "location": "query", "type": "integer", "description": "The maximum number of search results on a page. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "_at": { "description": "Only include resource versions that were current at some point during the time period specified in the date time value. The date parameter format is yyyy-mm-ddThh:mm:ss[Z|(+|-)hh:mm] Clients may specify any of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An entire year: `_at=2019` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh An entire month: `_at=2019-01` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A specific day: `_at=2019-01-20` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A specific second: `_at=2018-12-31T23:59:58Z`", "type": "string", "location": "query" }, "_since": { "location": "query", "description": "Only include resource versions that were created at or after the given instant in time. The instant in time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz (for example 2015-02-07T13:28:17.239+02:00 or 2017-01-01T00:00:00Z). The time must be specified to the second and include a time zone.", "type": "string" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "description": "The name of the resource to retrieve.", "type": "string" } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/_history", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/_history" }, "create": { "request": { "$ref": "HttpBody" }, "parameters": { "type": { "pattern": "^[^/]+$", "description": "The FHIR resource type to create, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the resource type in the provided content.", "location": "path", "required": true, "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "The name of the FHIR store this resource belongs to.", "location": "path", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}", "response": { "$ref": "HttpBody" }, "httpMethod": "POST", "description": "Creates a FHIR resource. Implements the FHIR standard create interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#create), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#create), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#create)), which creates a new resource with a server-assigned resource ID. Also supports the FHIR standard conditional create interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#ccreate), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#ccreate), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#ccreate)), specified by supplying an `If-None-Exist` header containing a FHIR search query. If no resources match this search query, the server processes the create operation as normal. The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. On success, the response body contains a JSON-encoded representation of the resource as it was created on the server, including the server-assigned resource ID and version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `create`, see [Creating a FHIR resource](/healthcare/docs/how-tos/fhir-resources#creating_a_fhir_resource).", "parameterOrder": [ "parent", "type" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/fhir/{+type}" }, "patch": { "description": "Updates part of an existing resource by applying the operations specified in a [JSON Patch](http://jsonpatch.com/) document. Implements the FHIR standard patch interaction ([STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#patch), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#patch)). DSTU2 doesn't define a patch method, but the server supports it in the same way it supports STU3. The request body must contain a JSON Patch document, and the request headers must contain `Content-Type: application/json-patch+json`. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `patch`, see [Patching a FHIR resource](/healthcare/docs/how-tos/fhir-resources#patching_a_fhir_resource).", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "response": { "$ref": "HttpBody" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the resource to update." } }, "request": { "$ref": "HttpBody" } }, "search": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/fhir/_search", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/_search", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.search", "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "description": "Name of the FHIR store to retrieve resources from.", "type": "string" } }, "httpMethod": "POST", "request": { "$ref": "SearchResourcesRequest" }, "response": { "$ref": "HttpBody" }, "description": "Searches for resources in the given FHIR store according to criteria specified as query parameters. Implements the FHIR standard search interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#search), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#search), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#search)) using the search semantics described in the FHIR Search specification ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/search.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/search.html), [R4](https://hl7.org/implement/standards/fhir/R4/search.html)). Supports four methods of search defined by the specification: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]?[parameters]` to search across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `GET [base]/[type]?[parameters]` to search resources of a specified type. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method across all resources. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `POST [base]/[type]/_search?[parameters]` as an alternate form having the same semantics as the `GET` method for the specified type. The `GET` and `POST` methods do not support compartment searches. The `POST` method does not support `application/x-www-form-urlencoded` search parameters. On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the search. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The server's capability statement, retrieved through capabilities, indicates what search parameters are supported on each FHIR resource. A list of all search parameters defined by the specification can be found in the FHIR Search Parameter Registry ([STU3](https://hl7.org/implement/standards/fhir/STU3/searchparameter-registry.html), [R4](https://hl7.org/implement/standards/fhir/R4/searchparameter-registry.html)). FHIR search parameters for DSTU2 can be found on each resource's definition page. Supported search modifiers: `:missing`, `:exact`, `:contains`, `:text`, `:in`, `:not-in`, `:above`, `:below`, `:[type]`, `:not`, and `:recurse`. Supported search result parameters: `_sort`, `_count`, `_include`, `_revinclude`, `_summary=text`, `_summary=data`, and `_elements`. The maximum number of search results returned defaults to 100, which can be overridden by the `_count` parameter up to a maximum limit of 1000. If there are additional results, the returned `Bundle` contains a link of `relation` \"next\", which has a `_page_token` parameter for an opaque pagination token that can be used to retrieve the next page. Resources with a total size larger than 5MB or a field count larger than 50,000 might not be fully searchable as the server might trim its generated search index in those cases. Note: FHIR resources are indexed asynchronously, so there might be a slight delay between the time a resource is created or changes and when the change is reflected in search results. For samples and detailed information, see [Searching for FHIR resources](/healthcare/docs/how-tos/fhir-search) and [Advanced FHIR search features](/healthcare/docs/how-tos/fhir-advanced-search)." }, "delete": { "parameters": { "name": { "description": "The name of the resource to delete.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "location": "path", "required": true } }, "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.delete", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "response": { "$ref": "HttpBody" }, "description": "Deletes a FHIR resource. Implements the FHIR standard delete interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#delete), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#delete), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#delete)). Note: Unless resource versioning is disabled by setting the disable_resource_versioning flag on the FHIR store, the deleted resources are moved to a history repository that can still be retrieved through vread and related methods, unless they are removed by the purge method. For samples that show how to call `delete`, see [Deleting a FHIR resource](/healthcare/docs/how-tos/fhir-resources#deleting_a_fhir_resource).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "Observation-lastn": { "httpMethod": "GET", "description": "Retrieves the N most recent `Observation` resources for a subject matching search criteria specified as query parameters, grouped by `Observation.code`, sorted from most recent to oldest. Implements the FHIR extended operation Observation-lastn ([STU3](https://hl7.org/implement/standards/fhir/STU3/observation-operations.html#lastn), [R4](https://hl7.org/implement/standards/fhir/R4/observation-operations.html#lastn)). DSTU2 doesn't define the Observation-lastn method, but the server supports it the same way it supports STU3. Search terms are provided as query parameters following the same pattern as the search method. The following search parameters must be provided: - `subject` or `patient` to specify a subject for the Observation. - `code`, `category` or any of the composite parameters that include `code`. Any other valid Observation search parameters can also be provided. This operation accepts an additional query parameter `max`, which specifies N, the maximum number of Observations to return from each group, with a default of 1. Searches with over 1000 results are rejected. Results are counted before grouping and limiting the results with `max`. To stay within the limit, constrain these searches using Observation search parameters such as `_lastUpdated` or `date`. On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the operation. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "type": "string", "description": "Name of the FHIR store to retrieve resources from.", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/Observation/$lastn", "response": { "$ref": "HttpBody" }, "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Observation-lastn", "path": "v1beta1/{+parent}/fhir/Observation/$lastn" }, "Resource-validate": { "description": "Validates an input FHIR resource's conformance to its profiles and the profiles configured on the FHIR store. Implements the FHIR extended operation $validate ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resource-operations.html#validate), [STU3](http://hl7.org/implement/standards/fhir/STU3/resource-operations.html#validate), or [R4](http://hl7.org/implement/standards/fhir/R4/resource-operation-validate.html)). The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. The `Parameters` input syntax is not supported. The `profile` query parameter can be used to request that the resource only be validated against a specific profile. If a profile with the given URL cannot be found in the FHIR store then an error is returned. Errors generated by validation contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead.", "response": { "$ref": "HttpBody" }, "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "description": "The name of the FHIR store that holds the profiles being used for validation.", "type": "string" }, "profile": { "description": "The canonical URL of a profile that this resource should be validated against. For example, to validate a Patient resource against the US Core Patient profile this parameter would be `http://hl7.org/fhir/us/core/StructureDefinition/us-core-patient`. A StructureDefinition with this canonical URL must exist in the FHIR store.", "type": "string", "location": "query" }, "type": { "pattern": "^[^/]+$", "type": "string", "location": "path", "required": true, "description": "The FHIR resource type of the resource being validated. For a complete list, see the FHIR Resource Index ([DSTU2](http://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](http://hl7.org/implement/standards/fhir/STU3/resourcelist.html), or [R4](http://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the resource type in the provided content." } }, "path": "v1beta1/{+parent}/fhir/{+type}/$validate", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Resource-validate", "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/$validate", "request": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "type" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "conditionalUpdate": { "parameters": { "type": { "required": true, "pattern": "^[^/]+$", "type": "string", "description": "The FHIR resource type to update, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)). Must match the resource type in the provided content.", "location": "path" }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "The name of the FHIR store this resource belongs to." } }, "response": { "$ref": "HttpBody" }, "httpMethod": "PUT", "parameterOrder": [ "parent", "type" ], "description": "If a resource is found based on the search criteria specified in the query parameters, updates the entire contents of that resource. Implements the FHIR standard conditional update interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.10.2), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#cond-update), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#cond-update)). Search terms are provided as query parameters following the same pattern as the search method. If the search criteria identify more than one match, the request returns a `412 Precondition Failed` error. If the search criteria identify zero matches, and the supplied resource body contains an `id`, and the FHIR store has enable_update_create set, creates the resource with the client-specified ID. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud Audit Logs and Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources. If the search criteria identify zero matches, and the supplied resource body does not contain an `id`, the resource is created with a server-assigned ID as per the create method. The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. This method requires the`healthcare.fhirStores.searchResources` and `healthcare.fhirResources.update` permissions on the parent FHIR store. For samples that show how to call `conditionalUpdate`, see [Conditionally updating a FHIR resource](/healthcare/docs/how-tos/fhir-resources#conditionally_updating_a_fhir_resource).", "path": "v1beta1/{+parent}/fhir/{+type}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.conditionalUpdate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "HttpBody" } }, "update": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.update", "request": { "$ref": "HttpBody" }, "parameters": { "name": { "required": true, "description": "The name of the resource to update.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "location": "path", "type": "string" } }, "response": { "$ref": "HttpBody" }, "path": "v1beta1/{+name}", "description": "Updates the entire contents of a resource. Implements the FHIR standard update interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#update), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#update), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#update)). If the specified resource does not exist and the FHIR store has enable_update_create set, creates the resource with the client-specified ID. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud Audit Logs and Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources. The request body must contain a JSON-encoded FHIR resource, and the request headers must contain `Content-Type: application/fhir+json`. The resource must contain an `id` element having an identical value to the ID in the REST path of the request. On success, the response body contains a JSON-encoded representation of the updated resource, including the server-assigned version ID. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. For samples that show how to call `update`, see [Updating a FHIR resource](/healthcare/docs/how-tos/fhir-resources#updating_a_fhir_resource).", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PUT" }, "executeBundle": { "request": { "$ref": "HttpBody" }, "httpMethod": "POST", "path": "v1beta1/{+parent}/fhir", "id": "healthcare.projects.locations.datasets.fhirStores.fhir.executeBundle", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir", "description": "Executes all the requests in the given Bundle. Implements the FHIR standard batch/transaction interaction ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#transaction), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#transaction), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#transaction)). Supports all interactions within a bundle, except search. This method accepts Bundles of type `batch` and `transaction`, processing them according to the batch processing rules ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.16.1), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#2.21.0.17.1), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#brules)) and transaction processing rules ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/http.html#2.1.0.16.2), [STU3](https://hl7.org/implement/standards/fhir/STU3/http.html#2.21.0.17.2), [R4](https://hl7.org/implement/standards/fhir/R4/http.html#trules)). The request body must contain a JSON-encoded FHIR `Bundle` resource, and the request headers must contain `Content-Type: application/fhir+json`. For a batch bundle or a successful transaction the response body contains a JSON-encoded representation of a `Bundle` resource of type `batch-response` or `transaction-response` containing one entry for each entry in the request, with the outcome of processing the entry. In the case of an error for a transaction bundle, the response body contains a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. This method requires permission for executing the requests in the bundle. The `executeBundle` permission grants permission to execute the request in the bundle but you must grant sufficient permissions to execute the individual requests in the bundle. For example, if the bundle contains a `create` request, you must have permission to execute the `create` request. Logging is available for the `executeBundle` permission. For samples that show how to call `executeBundle`, see [Managing FHIR resources using FHIR bundles](/healthcare/docs/how-tos/fhir-bundles).", "parameters": { "parent": { "type": "string", "description": "Name of the FHIR store in which this bundle will be executed.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true, "location": "path" } } }, "Patient-everything": { "path": "v1beta1/{+name}/$everything", "response": { "$ref": "HttpBody" }, "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Retrieves a Patient resource and resources related to that patient. Implements the FHIR extended operation Patient-everything ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/patient-operations.html#everything), [STU3](https://hl7.org/implement/standards/fhir/STU3/patient-operations.html#everything), [R4](https://hl7.org/implement/standards/fhir/R4/patient-operations.html#everything)). On success, the response body contains a JSON-encoded representation of a `Bundle` resource of type `searchset`, containing the results of the operation. Errors generated by the FHIR store contain a JSON-encoded `OperationOutcome` resource describing the reason for the error. If the request cannot be mapped to a valid API method on a FHIR store, a generic GCP error might be returned instead. The resources in scope for the response are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The patient resource itself. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All the resources directly referenced by the patient resource. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Resources directly referencing the patient resource that meet the inclusion criteria. The inclusion criteria are based on the membership rules in the patient compartment definition ([DSTU2](https://hl7.org/fhir/DSTU2/compartment-patient.html), [STU3](http://www.hl7.org/fhir/stu3/compartmentdefinition-patient.html), [R4](https://hl7.org/fhir/R4/compartmentdefinition-patient.html)), which details the eligible resource types and referencing search parameters. For samples that show how to call `Patient-everything`, see [Getting all patient compartment resources](/healthcare/docs/how-tos/fhir-resources#getting_all_patient_compartment_resources).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/Patient/{PatientId}/$everything", "parameters": { "end": { "description": "The response includes records prior to the end date. The date uses the format YYYY-MM-DD. If no end date is provided, all records subsequent to the start date are in scope.", "location": "query", "type": "string" }, "name": { "type": "string", "location": "path", "required": true, "description": "Name of the `Patient` resource for which the information is required.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/Patient/[^/]+$" }, "_type": { "description": "String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are returned.", "location": "query", "type": "string" }, "start": { "description": "The response includes records subsequent to the start date. The date uses the format YYYY-MM-DD. If no start date is provided, all records prior to the end date are in scope.", "type": "string", "location": "query" }, "_page_token": { "description": "Used to retrieve the next or previous page of results when using pagination. Set `_page_token` to the value of _page_token set in next or previous page links' url. Next and previous page are returned in the response bundle's links field, where `link.relation` is \"previous\" or \"next\". Omit `_page_token` if no previous request has been made.", "location": "query", "type": "string" }, "_count": { "location": "query", "type": "integer", "description": "Maximum number of resources in a page. If not specified, 100 is used. May not be larger than 1000.", "format": "int32" }, "_since": { "location": "query", "type": "string", "description": "If provided, only resources updated after this time are returned. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, `2015-02-07T13:28:17.239+02:00` or `2017-01-01T00:00:00Z`. The time must be specified to the second and include a time zone." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Patient-everything" }, "Resource-purge": { "path": "v1beta1/{+name}/$purge", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.fhir.Resource-purge", "httpMethod": "DELETE", "description": "Deletes all the historical versions of a resource (excluding the current version) from the FHIR store. To remove all versions of a resource, first delete the current version and then call this method. This is not a FHIR standard operation. For samples that show how to call `Resource-purge`, see [Deleting historical versions of a FHIR resource](/healthcare/docs/how-tos/fhir-resources#deleting_historical_versions_of_a_fhir_resource).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}/fhir/{fhirId}/{fhirId1}/$purge", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+/fhir/[^/]+/[^/]+$", "location": "path", "type": "string", "required": true, "description": "The name of the resource to purge." } }, "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ] } } } }, "methods": { "create": { "httpMethod": "POST", "parameters": { "fhirStoreId": { "type": "string", "description": "The ID of the FHIR store that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "location": "query" }, "parent": { "description": "The name of the dataset this FHIR store belongs to.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores", "path": "v1beta1/{+parent}/fhirStores", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.fhirStores.create", "response": { "$ref": "FhirStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "FhirStore" }, "description": "Creates a new FHIR store within the parent dataset." }, "patch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}", "description": "Updates the configuration of the specified FHIR store.", "parameters": { "name": { "description": "Output only. Resource name of the FHIR store, of the form `projects/{project_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "type": "string" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query" } }, "response": { "$ref": "FhirStore" }, "request": { "$ref": "FhirStore" }, "httpMethod": "PATCH", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.patch", "parameterOrder": [ "name" ] }, "get": { "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "FhirStore" }, "description": "Gets the configuration of the specified FHIR store.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "The resource name of the FHIR store to get.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$" } }, "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.fhirStores.get" }, "export": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:export", "parameterOrder": [ "name" ], "request": { "$ref": "ExportResourcesRequest" }, "parameters": { "name": { "description": "The name of the FHIR store to export resource from, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.fhirStores.export", "description": "Export resources from the FHIR store to the specified destination. This method returns an Operation that can be used to track the status of the export by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a detailed response of type ExportResourcesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "path": "v1beta1/{+name}:export" }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:getIamPolicy", "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.fhirStores.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" }, "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "required": true } } }, "configureSearch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:configureSearch", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "description": "The name of the FHIR store to configure, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "name" ], "request": { "$ref": "ConfigureSearchRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Configure the search parameters for the FHIR store and reindex resources in the FHIR store according to the defined search parameters. The search parameters provided in this request will replace any previous search configuration. The target SearchParameter resources need to exist in the store before calling ConfigureSearch, otherwise an error will occur. This method returns an Operation that can be used to track the progress of the reindexing by calling GetOperation.", "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.fhirStores.configureSearch", "path": "v1beta1/{+name}:configureSearch" }, "setIamPolicy": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "id": "healthcare.projects.locations.datasets.fhirStores.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" } }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The resource name of the FHIR store to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$" } }, "id": "healthcare.projects.locations.datasets.fhirStores.delete", "description": "Deletes the specified FHIR store and removes all resources within it.", "httpMethod": "DELETE", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" } }, "import": { "request": { "$ref": "ImportResourcesRequest" }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "healthcare.projects.locations.datasets.fhirStores.import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the FHIR store to import FHIR resources to, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$" } }, "parameterOrder": [ "name" ], "description": "Import resources to the FHIR store by loading data from the specified sources. This method is optimized to load large quantities of data using import semantics that ignore some FHIR store configuration options and are not suitable for all use cases. It is primarily intended to load data into an empty FHIR store that is not being used by other clients. In cases where this method is not appropriate, consider using ExecuteBundle to load data. Every resource in the input must contain a client-supplied ID. Each resource is stored using the supplied ID regardless of the enable_update_create setting on the FHIR store. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud Audit Logs and Cloud Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources. The import process does not enforce referential integrity, regardless of the disable_referential_integrity setting on the FHIR store. This allows the import of resources with arbitrary interdependencies without considering grouping or ordering, but if the input data contains invalid references or if some resources fail to be imported, the FHIR store might be left in a state that violates referential integrity. The import process does not trigger Pub/Sub notification or BigQuery streaming update, regardless of how those are configured on the FHIR store. If a resource with the specified ID already exists, the most recent version of the resource is overwritten without creating a new historical version, regardless of the disable_resource_versioning setting on the FHIR store. If transient failures occur during the import, it is possible that successfully imported resources will be overwritten more than once. The import operation is idempotent unless the input data contains multiple valid resources with the same ID but different contents. In that case, after the import completes, the store contains exactly one resource with that ID but there is no ordering guarantee on which version of the contents it will have. The operation result counters do not count duplicate IDs as an error and count one success for each resource in the input, which might result in a success count larger than the number of resources in the FHIR store. This often occurs when importing data organized in bundles produced by Patient-everything where each bundle contains its own copy of a resource such as Practitioner that might be referred to by many patients. If some resources fail to import, for example due to parsing errors, successfully imported resources are not rolled back. The location and format of the input data are specified by the parameters in ImportResourcesRequest. Note that if no format is specified, this method assumes the `BUNDLE` format. When using the `BUNDLE` format this method ignores the `Bundle.type` field, except that `history` bundles are rejected, and does not apply any of the bundle processing semantics for batch or transaction bundles. Unlike in ExecuteBundle, transaction bundles are not executed as a single transaction and bundle-internal references are not rewritten. The bundle is treated as a collection of resources to be written as provided in `Bundle.entry.resource`, ignoring `Bundle.entry.request`. As an example, this allows the import of `searchset` bundles produced by a FHIR search or Patient-everything operation. This method returns an Operation that can be used to track the status of the import by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a detailed response of type ImportResourcesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "path": "v1beta1/{+name}:import", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:import" }, "list": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores", "id": "healthcare.projects.locations.datasets.fhirStores.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Lists the FHIR stores in the given dataset.", "path": "v1beta1/{+parent}/fhirStores", "httpMethod": "GET", "parameters": { "filter": { "type": "string", "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported, for example `labels.key=value`.", "location": "query" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string", "required": true, "description": "Name of the dataset." }, "pageToken": { "type": "string", "description": "The next_page_token value returned from the previous List request, if any.", "location": "query" }, "pageSize": { "description": "Limit on the number of FHIR stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "format": "int32", "type": "integer" } }, "response": { "$ref": "ListFhirStoresResponse" } }, "testIamPermissions": { "path": "v1beta1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$" } }, "id": "healthcare.projects.locations.datasets.fhirStores.testIamPermissions", "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "deidentify": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "sourceStore" ], "id": "healthcare.projects.locations.datasets.fhirStores.deidentify", "request": { "$ref": "DeidentifyFhirStoreRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/fhirStores/{fhirStoresId}:deidentify", "parameters": { "sourceStore": { "type": "string", "description": "Source FHIR store resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/fhirStores/[^/]+$", "location": "path" } }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+sourceStore}:deidentify", "description": "De-identifies data from the source store and writes it to the destination store. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifyFhirStoreSummary. The number of resources processed are tracked in Operation.metadata. Error details are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging).", "httpMethod": "POST" } } }, "dicomStores": { "methods": { "searchForInstances": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "GET", "description": "SearchForInstances returns a list of matching instances. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "location": "path", "required": true, "pattern": "^instances$", "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`.", "type": "string" } }, "response": { "$ref": "HttpBody" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/instances", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "id": "healthcare.projects.locations.datasets.dicomStores.searchForInstances" }, "setIamPolicy": { "path": "v1beta1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } }, "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:setIamPolicy", "id": "healthcare.projects.locations.datasets.dicomStores.setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "deidentify": { "httpMethod": "POST", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "De-identifies data from the source store and writes it to the destination store. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifyDicomStoreSummary. The LRO result may still be successful if de-identification fails for some DICOM instances. The output DICOM store will not contain these failed resources. The number of resources processed are tracked in Operation.metadata. Error details are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging).", "request": { "$ref": "DeidentifyDicomStoreRequest" }, "id": "healthcare.projects.locations.datasets.dicomStores.deidentify", "path": "v1beta1/{+sourceStore}:deidentify", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:deidentify", "parameterOrder": [ "sourceStore" ], "parameters": { "sourceStore": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true, "description": "Source DICOM store resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string" } } }, "import": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Imports data into the DICOM store by copying it from the specified source. Errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging). The metadata field type is OperationMetadata.", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.dicomStores.import", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:import", "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the DICOM store resource into which the data is imported. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:import", "request": { "$ref": "ImportDicomDataRequest" } }, "testIamPermissions": { "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "healthcare.projects.locations.datasets.dicomStores.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" } }, "patch": { "parameterOrder": [ "name" ], "request": { "$ref": "DicomStore" }, "path": "v1beta1/{+name}", "description": "Updates the specified DICOM store.", "id": "healthcare.projects.locations.datasets.dicomStores.patch", "httpMethod": "PATCH", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "parameters": { "name": { "location": "path", "description": "Resource name of the DICOM store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "DicomStore" } }, "searchForStudies": { "httpMethod": "GET", "parameters": { "dicomWebPath": { "pattern": "^studies$", "description": "The path of the SearchForStudies DICOMweb request. For example, `studies`.", "location": "path", "required": true, "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "required": true, "location": "path" } }, "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "id": "healthcare.projects.locations.datasets.dicomStores.searchForStudies", "description": "SearchForStudies returns a list of matching studies. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForStudies, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForStudies, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "HttpBody" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "response": { "$ref": "DicomStore" }, "id": "healthcare.projects.locations.datasets.dicomStores.get", "description": "Gets the specified DICOM store.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "The resource name of the DICOM store to get.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "location": "path" } } }, "delete": { "response": { "$ref": "Empty" }, "parameters": { "name": { "required": true, "description": "The resource name of the DICOM store to delete.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}", "description": "Deletes the specified DICOM store and removes all images that are contained within it.", "id": "healthcare.projects.locations.datasets.dicomStores.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "export": { "request": { "$ref": "ExportDicomDataRequest" }, "path": "v1beta1/{+name}:export", "httpMethod": "POST", "response": { "$ref": "Operation" }, "id": "healthcare.projects.locations.datasets.dicomStores.export", "parameterOrder": [ "name" ], "description": "Exports data to the specified destination by copying it from the DICOM store. Errors are also logged to Cloud Logging. For more information, see [Viewing errors in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging). The metadata field type is OperationMetadata.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "required": true, "description": "The DICOM store resource name from which to export the data. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer" }, "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "id": "healthcare.projects.locations.datasets.dicomStores.getIamPolicy" }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores", "parameters": { "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "The name of the dataset this DICOM store belongs to.", "location": "path" }, "dicomStoreId": { "type": "string", "location": "query", "description": "The ID of the DICOM store that is being created. Any string value up to 256 characters in length." } }, "parameterOrder": [ "parent" ], "response": { "$ref": "DicomStore" }, "description": "Creates a new DICOM store within the parent dataset.", "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.dicomStores.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DicomStore" }, "path": "v1beta1/{+parent}/dicomStores" }, "list": { "id": "healthcare.projects.locations.datasets.dicomStores.list", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists the DICOM stores in the given dataset.", "path": "v1beta1/{+parent}/dicomStores", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "description": "Limit on the number of DICOM stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "format": "int32", "type": "integer" }, "pageToken": { "description": "The next_page_token value returned from the previous List request, if any.", "location": "query", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported. For example, `labels.key=value`." }, "parent": { "description": "Name of the dataset.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores", "response": { "$ref": "ListDicomStoresResponse" } }, "storeInstances": { "id": "healthcare.projects.locations.datasets.dicomStores.storeInstances", "parameterOrder": [ "parent", "dicomWebPath" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "response": { "$ref": "HttpBody" }, "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "location": "path", "type": "string", "required": true, "description": "The path of the StoreInstances DICOMweb request. For example, `studies/[{study_uid}]`. Note that the `study_uid` is optional.", "pattern": "^studies$" } }, "description": "StoreInstances stores DICOM instances associated with study instance unique identifiers (SUID). See [Store Transaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.5). For details on the implementation of StoreInstances, see [Store transaction](https://cloud.google.com/healthcare/docs/dicom#store_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call StoreInstances, see [Storing DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#storing_dicom_data).", "request": { "$ref": "HttpBody" }, "httpMethod": "POST" }, "searchForSeries": { "parameters": { "parent": { "type": "string", "required": true, "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "dicomWebPath": { "type": "string", "location": "path", "required": true, "description": "The path of the SearchForSeries DICOMweb request. For example, `series` or `studies/{study_uid}/series`.", "pattern": "^series$" } }, "id": "healthcare.projects.locations.datasets.dicomStores.searchForSeries", "httpMethod": "GET", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/series", "description": "SearchForSeries returns a list of matching series. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForSeries, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForSeries, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ] } }, "resources": { "studies": { "resources": { "series": { "resources": { "instances": { "resources": { "frames": { "methods": { "retrieveRendered": { "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "RetrieveRenderedFrames returns instances associated with the given study, series, SOP Instance UID and frame numbers in an acceptable Rendered Media Type. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveRenderedFrames, see [Rendered resources](https://cloud.google.com/healthcare/docs/dicom#rendered_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveRenderedFrames, see [Retrieving consumer image formats](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_consumer_image_formats).", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/frames/{framesId}/rendered", "parameters": { "dicomWebPath": { "description": "The path of the RetrieveRenderedFrames DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/frames/{frame_list}/rendered`.", "type": "string", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/frames/[^/]+/rendered$", "location": "path", "required": true }, "parent": { "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } }, "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.frames.retrieveRendered" }, "retrieveFrames": { "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameterOrder": [ "parent", "dicomWebPath" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/frames/{framesId}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.frames.retrieveFrames", "description": "RetrieveFrames returns instances associated with the given study, series, SOP Instance UID and frame numbers. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveFrames, see [DICOM frames](https://cloud.google.com/healthcare/docs/dicom#dicom_frames) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveFrames, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "parameters": { "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string" }, "dicomWebPath": { "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/frames/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The path of the RetrieveFrames DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/frames/{frame_list}`." } }, "httpMethod": "GET" } } } }, "methods": { "retrieveRendered": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveRendered", "description": "RetrieveRenderedInstance returns instance associated with the given study, series, and SOP Instance UID in an acceptable Rendered Media Type. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveRenderedInstance, see [Rendered resources](https://cloud.google.com/healthcare/docs/dicom#rendered_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveRenderedInstance, see [Retrieving consumer image formats](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_consumer_image_formats).", "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/rendered$", "description": "The path of the RetrieveRenderedInstance DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/rendered`.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "HttpBody" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/rendered", "httpMethod": "GET", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}" }, "delete": { "httpMethod": "DELETE", "description": "DeleteInstance deletes an instance associated with the given study, series, and SOP Instance UID. Delete requests are equivalent to the GET requests specified in the Retrieve transaction. Study and series search results can take a few seconds to be updated after an instance is deleted using DeleteInstance. For samples that show how to call DeleteInstance, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance).", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.delete", "parameterOrder": [ "parent", "dicomWebPath" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}", "response": { "$ref": "Empty" }, "parameters": { "dicomWebPath": { "location": "path", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+$", "description": "The path of the DeleteInstance request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}`.", "type": "string", "required": true }, "parent": { "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string" } }, "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "retrieveInstance": { "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveInstance", "parameterOrder": [ "parent", "dicomWebPath" ], "description": "RetrieveInstance returns instance associated with the given study, series, and SOP Instance UID. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveInstance, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) and [DICOM instances](https://cloud.google.com/healthcare/docs/dicom#dicom_instances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveInstance, see [Retrieving an instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_an_instance).", "response": { "$ref": "HttpBody" }, "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameters": { "dicomWebPath": { "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The path of the RetrieveInstance DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}`." }, "parent": { "type": "string", "required": true, "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "retrieveMetadata": { "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.instances.retrieveMetadata", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances/{instancesId}/metadata", "parameterOrder": [ "parent", "dicomWebPath" ], "parameters": { "parent": { "type": "string", "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "dicomWebPath": { "type": "string", "required": true, "description": "The path of the RetrieveInstanceMetadata DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/instances/{instance_uid}/metadata`.", "pattern": "^studies/[^/]+/series/[^/]+/instances/[^/]+/metadata$", "location": "path" } }, "description": "RetrieveInstanceMetadata returns instance associated with the given study, series, and SOP Instance UID presented as metadata with the bulk data removed. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveInstanceMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveInstanceMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata)." } } } }, "methods": { "searchForInstances": { "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "HttpBody" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/instances", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "httpMethod": "GET", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "required": true, "type": "string" }, "dicomWebPath": { "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`.", "location": "path", "required": true, "pattern": "^studies/[^/]+/series/[^/]+/instances$", "type": "string" } }, "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.searchForInstances", "description": "SearchForInstances returns a list of matching instances. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames)." }, "retrieveSeries": { "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.retrieveSeries", "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "parameters": { "dicomWebPath": { "required": true, "pattern": "^studies/[^/]+/series/[^/]+$", "type": "string", "location": "path", "description": "The path of the RetrieveSeries DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}`." }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}", "description": "RetrieveSeries returns all instances within the given study and series. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveSeries, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveSeries, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}" }, "delete": { "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "Operation" }, "description": "DeleteSeries deletes all instances within the given study and series using a long running operation. The method returns an Operation which will be marked successful when the deletion is complete. Warning: Instances cannot be inserted into a series that is being deleted by an operation until the operation completes. For samples that show how to call DeleteSeries, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance).", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.delete", "parameters": { "dicomWebPath": { "required": true, "location": "path", "type": "string", "description": "The path of the DeleteSeries request. For example, `studies/{study_uid}/series/{series_uid}`.", "pattern": "^studies/[^/]+/series/[^/]+$" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "location": "path", "required": true } }, "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "retrieveMetadata": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series/{seriesId}/metadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "RetrieveSeriesMetadata returns instance associated with the given study and series, presented as metadata with the bulk data removed. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveSeriesMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveSeriesMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata).", "response": { "$ref": "HttpBody" }, "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.dicomStores.studies.series.retrieveMetadata", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameters": { "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "location": "path", "description": "The path of the RetrieveSeriesMetadata DICOMweb request. For example, `studies/{study_uid}/series/{series_uid}/metadata`.", "pattern": "^studies/[^/]+/series/[^/]+/metadata$", "required": true, "type": "string" } }, "parameterOrder": [ "parent", "dicomWebPath" ] } } } }, "methods": { "retrieveMetadata": { "description": "RetrieveStudyMetadata returns instance associated with the given study presented as metadata with the bulk data removed. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveStudyMetadata, see [Metadata resources](https://cloud.google.com/healthcare/docs/dicom#metadata_resources) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveStudyMetadata, see [Retrieving metadata](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_metadata).", "parameters": { "dicomWebPath": { "description": "The path of the RetrieveStudyMetadata DICOMweb request. For example, `studies/{study_uid}/metadata`.", "required": true, "pattern": "^studies/[^/]+/metadata$", "type": "string", "location": "path" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/metadata", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.retrieveMetadata", "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "GET", "response": { "$ref": "HttpBody" }, "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}" }, "storeInstances": { "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "location": "path", "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "type": "string", "pattern": "^studies/[^/]+$", "description": "The path of the StoreInstances DICOMweb request. For example, `studies/[{study_uid}]`. Note that the `study_uid` is optional.", "location": "path", "required": true } }, "request": { "$ref": "HttpBody" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.storeInstances", "httpMethod": "POST", "description": "StoreInstances stores DICOM instances associated with study instance unique identifiers (SUID). See [Store Transaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.5). For details on the implementation of StoreInstances, see [Store transaction](https://cloud.google.com/healthcare/docs/dicom#store_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call StoreInstances, see [Storing DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#storing_dicom_data).", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "response": { "$ref": "HttpBody" } }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent", "dicomWebPath" ], "httpMethod": "DELETE", "description": "DeleteStudy deletes all instances within the given study using a long running operation. The method returns an Operation which will be marked successful when the deletion is complete. Warning: Instances cannot be inserted into a study that is being deleted by an operation until the operation completes. For samples that show how to call DeleteStudy, see [Deleting a study, series, or instance](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#deleting_a_study_series_or_instance).", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "id": "healthcare.projects.locations.datasets.dicomStores.studies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string" }, "dicomWebPath": { "description": "The path of the DeleteStudy request. For example, `studies/{study_uid}`.", "location": "path", "pattern": "^studies/[^/]+$", "type": "string", "required": true } } }, "searchForSeries": { "description": "SearchForSeries returns a list of matching series. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForSeries, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForSeries, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "id": "healthcare.projects.locations.datasets.dicomStores.studies.searchForSeries", "response": { "$ref": "HttpBody" }, "httpMethod": "GET", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/series", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent", "dicomWebPath" ], "parameters": { "parent": { "location": "path", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string" }, "dicomWebPath": { "type": "string", "description": "The path of the SearchForSeries DICOMweb request. For example, `series` or `studies/{study_uid}/series`.", "location": "path", "pattern": "^studies/[^/]+/series$", "required": true } } }, "searchForInstances": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$", "type": "string", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`." }, "dicomWebPath": { "required": true, "type": "string", "pattern": "^studies/[^/]+/instances$", "location": "path", "description": "The path of the SearchForInstancesRequest DICOMweb request. For example, `instances`, `series/{series_uid}/instances`, or `studies/{study_uid}/instances`." } }, "description": "SearchForInstances returns a list of matching instances. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of SearchForInstances, see [Search transaction](https://cloud.google.com/healthcare/docs/dicom#search_transaction) in the Cloud Healthcare API conformance statement. For samples that show how to call SearchForInstances, see [Searching for studies, series, instances, and frames](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#searching_for_studies_series_instances_and_frames).", "id": "healthcare.projects.locations.datasets.dicomStores.studies.searchForInstances", "response": { "$ref": "HttpBody" }, "parameterOrder": [ "parent", "dicomWebPath" ] }, "retrieveStudy": { "parameterOrder": [ "parent", "dicomWebPath" ], "id": "healthcare.projects.locations.datasets.dicomStores.studies.retrieveStudy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "RetrieveStudy returns all instances within the given study. See [RetrieveTransaction](http://dicom.nema.org/medical/dicom/current/output/html/part18.html#sect_10.4). For details on the implementation of RetrieveStudy, see [DICOM study/series/instances](https://cloud.google.com/healthcare/docs/dicom#dicom_studyseriesinstances) in the Cloud Healthcare API conformance statement. For samples that show how to call RetrieveStudy, see [Retrieving DICOM data](https://cloud.google.com/healthcare/docs/how-tos/dicomweb#retrieving_dicom_data).", "path": "v1beta1/{+parent}/dicomWeb/{+dicomWebPath}", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/dicomStores/{dicomStoresId}/dicomWeb/studies/{studiesId}", "parameters": { "parent": { "location": "path", "required": true, "description": "The name of the DICOM store that is being accessed. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/dicomStores/[^/]+$" }, "dicomWebPath": { "required": true, "pattern": "^studies/[^/]+$", "description": "The path of the RetrieveStudy DICOMweb request. For example, `studies/{study_uid}`.", "type": "string", "location": "path" } }, "response": { "$ref": "HttpBody" } } } } } }, "operations": { "methods": { "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations/{operationsId}", "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.operations.get", "parameters": { "name": { "required": true, "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/operations/[^/]+$", "location": "path" } } }, "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "httpMethod": "POST", "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "location": "path", "required": true, "type": "string" } }, "id": "healthcare.projects.locations.datasets.operations.cancel", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations/{operationsId}:cancel", "path": "v1beta1/{+name}:cancel", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/operations", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string", "description": "The name of the operation's parent resource.", "location": "path", "required": true }, "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" } }, "id": "healthcare.projects.locations.datasets.operations.list", "parameterOrder": [ "name" ], "httpMethod": "GET", "path": "v1beta1/{+name}/operations", "response": { "$ref": "ListOperationsResponse" } } } }, "annotationStores": { "methods": { "setIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.annotationStores.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "path": "v1beta1/{+resource}:setIamPolicy" }, "delete": { "id": "healthcare.projects.locations.datasets.annotationStores.delete", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}", "description": "Deletes the specified Annotation store and removes all annotations that are contained within it.", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "location": "path", "description": "The resource name of the Annotation store to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "type": "string" } }, "httpMethod": "DELETE", "path": "v1beta1/{+name}" }, "evaluate": { "request": { "$ref": "EvaluateAnnotationStoreRequest" }, "id": "healthcare.projects.locations.datasets.annotationStores.evaluate", "path": "v1beta1/{+name}:evaluate", "description": "Evaluate an Annotation store against a ground truth Annotation store. When the operation finishes successfully, a detailed response is returned of type EvaluateAnnotationStoreResponse, contained in the response. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)).", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "The Annotation store to compare against `golden_store`, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:evaluate", "response": { "$ref": "Operation" }, "httpMethod": "POST" }, "import": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "location": "path", "type": "string", "required": true, "description": "The name of the Annotation store to which the server imports annotations, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`." } }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:import", "request": { "$ref": "ImportAnnotationsRequest" }, "description": "Import Annotations to the Annotation store by loading data from the specified sources. If the request is successful, a detailed response is returned as of type ImportAnnotationsResponse, contained in the response field when the operation finishes. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)).", "path": "v1beta1/{+name}:import", "id": "healthcare.projects.locations.datasets.annotationStores.import", "response": { "$ref": "Operation" } }, "get": { "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.annotationStores.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}", "httpMethod": "GET", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "type": "string", "required": true, "description": "The resource name of the Annotation store to get." } }, "description": "Gets the specified Annotation store or returns NOT_FOUND if it does not exist.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "response": { "$ref": "AnnotationStore" } }, "create": { "response": { "$ref": "AnnotationStore" }, "request": { "$ref": "AnnotationStore" }, "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.annotationStores.create", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the dataset this Annotation store belongs to." }, "annotationStoreId": { "description": "The ID of the Annotation store that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "type": "string", "location": "query" } }, "description": "Creates a new Annotation store within the parent dataset.", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/annotationStores", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores" }, "patch": { "parameterOrder": [ "name" ], "response": { "$ref": "AnnotationStore" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "description": "Updates the specified Annotation store.", "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Resource name of the Annotation store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`." }, "updateMask": { "location": "query", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string", "format": "google-fieldmask" } }, "id": "healthcare.projects.locations.datasets.annotationStores.patch", "request": { "$ref": "AnnotationStore" } }, "list": { "response": { "$ref": "ListAnnotationStoresResponse" }, "parameters": { "filter": { "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported, for example `labels.key=value`.", "location": "query", "type": "string" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Name of the dataset.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" }, "pageSize": { "type": "integer", "description": "Limit on the number of Annotation stores to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "format": "int32" }, "pageToken": { "description": "The next_page_token value returned from the previous List request, if any.", "location": "query", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores", "httpMethod": "GET", "path": "v1beta1/{+parent}/annotationStores", "description": "Lists the Annotation stores in the given dataset for a source store.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.annotationStores.list" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:testIamPermissions", "id": "healthcare.projects.locations.datasets.annotationStores.testIamPermissions" }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "healthcare.projects.locations.datasets.annotationStores.getIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:getIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "GET" }, "export": { "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.annotationStores.export", "request": { "$ref": "ExportAnnotationsRequest" }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}:export", "description": "Export Annotations from the Annotation store. If the request is successful, a detailed response is returned of type ExportAnnotationsResponse, contained in the response field when the operation finishes. The metadata field type is OperationMetadata. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)).", "httpMethod": "POST", "parameters": { "name": { "description": "The name of the Annotation store to export annotations to, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "type": "string" } } } }, "resources": { "annotations": { "methods": { "patch": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+/annotations/[^/]+$", "type": "string", "description": "Resource name of the Annotation, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}/annotations/{annotation_id}`.", "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "location": "query" } }, "parameterOrder": [ "name" ], "request": { "$ref": "Annotation" }, "path": "v1beta1/{+name}", "id": "healthcare.projects.locations.datasets.annotationStores.annotations.patch", "httpMethod": "PATCH", "description": "Updates the Annotation.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Annotation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}/annotations/{annotationsId}" }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+/annotations/[^/]+$", "type": "string", "location": "path", "description": "The resource name of the Annotation to delete.", "required": true } }, "description": "Deletes an Annotation or returns NOT_FOUND if it does not exist.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.annotationStores.annotations.delete", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}/annotations/{annotationsId}", "path": "v1beta1/{+name}", "response": { "$ref": "Empty" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "healthcare.projects.locations.datasets.annotationStores.annotations.create", "request": { "$ref": "Annotation" }, "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "description": "The name of the Annotation store this annotation belongs to. For example, `projects/my-project/locations/us-central1/datasets/mydataset/annotationStores/myannotationstore`.", "required": true, "location": "path" } }, "response": { "$ref": "Annotation" }, "path": "v1beta1/{+parent}/annotations", "parameterOrder": [ "parent" ], "description": "Creates a new Annotation record. It is valid to create Annotation objects for the same source more than once since a unique ID is assigned to each record by this service.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}/annotations" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}/annotations", "description": "Lists the Annotations in the given Annotation store for a source resource.", "response": { "$ref": "ListAnnotationsResponse" }, "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/annotations", "parameters": { "view": { "type": "string", "location": "query", "description": "Controls which fields are populated in the response.", "enumDescriptions": [ "Same as BASIC.", "Only `name`, `annotation_source` and `custom_data` fields are populated.", "All fields are populated." ], "enum": [ "ANNOTATION_VIEW_UNSPECIFIED", "ANNOTATION_VIEW_BASIC", "ANNOTATION_VIEW_FULL" ] }, "filter": { "description": "Restricts Annotations returned to those matching a filter. Functions available for filtering are: - `matches(\"annotation_source.cloud_healthcare_source.name\", substring)`. Filter on `cloud_healthcare_source.name`. For example: `matches(\"annotation_source.cloud_healthcare_source.name\", \"some source\")`. - `matches(\"annotation\", substring)`. Filter on all fields of annotation. For example: `matches(\"annotation\", \"some-content\")`. - `type(\"text\")`, `type(\"image\")`, `type(\"resource\")`. Filter on the type of annotation `data`.", "location": "query", "type": "string" }, "parent": { "description": "Name of the Annotation store to retrieve Annotations from.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+$", "location": "path", "required": true, "type": "string" }, "pageSize": { "description": "Limit on the number of Annotations to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "The next_page_token value returned from the previous List request, if any." } }, "id": "healthcare.projects.locations.datasets.annotationStores.annotations.list", "httpMethod": "GET" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Annotation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/annotationStores/[^/]+/annotations/[^/]+$", "required": true, "description": "The resource name of the Annotation to retrieve.", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/annotationStores/{annotationStoresId}/annotations/{annotationsId}", "description": "Gets an Annotation.", "httpMethod": "GET", "path": "v1beta1/{+name}", "id": "healthcare.projects.locations.datasets.annotationStores.annotations.get" } } } } }, "hl7V2Stores": { "resources": { "messages": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.delete", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$", "location": "path", "description": "The resource name of the HL7v2 message to delete.", "type": "string" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "description": "Deletes an HL7v2 message." }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages", "parameters": { "parent": { "description": "The name of the dataset this message belongs to.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "request": { "$ref": "CreateMessageRequest" }, "response": { "$ref": "Message" }, "path": "v1beta1/{+parent}/messages", "parameterOrder": [ "parent" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.create", "description": "Parses and stores an HL7v2 message. This method triggers an asynchronous notification to any Pub/Sub topic configured in Hl7V2Store.Hl7V2NotificationConfig, if the filtering matches the message. If an MLLP adapter is configured to listen to a Pub/Sub topic, the adapter transmits the message when a notification is received." }, "get": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$", "required": true, "description": "The resource name of the HL7v2 message to retrieve." }, "view": { "enumDescriptions": [ "Not specified, equivalent to FULL for getMessage, equivalent to BASIC for listMessages.", "Server responses include all the message fields except parsed_data, and schematized_data fields.", "Server responses include all the message fields except data and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ], "type": "string", "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "location": "query", "description": "Specifies which parts of the Message resource to return in the response. When unspecified, equivalent to FULL." } }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.get", "httpMethod": "GET", "response": { "$ref": "Message" }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}", "description": "Gets an HL7v2 message.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "list": { "httpMethod": "GET", "description": "Lists all the messages in the given HL7v2 store with support for filtering. Note: HL7v2 messages are indexed asynchronously, so there might be a slight delay between the time a message is created and when it can be found through a filter.", "parameterOrder": [ "parent" ], "parameters": { "orderBy": { "type": "string", "description": "Orders messages returned by the specified order_by clause. Syntax: https://cloud.google.com/apis/design/design_patterns#sorting_order Fields available for ordering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`", "location": "query" }, "view": { "location": "query", "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "enumDescriptions": [ "Not specified, equivalent to FULL for getMessage, equivalent to BASIC for listMessages.", "Server responses include all the message fields except parsed_data, and schematized_data fields.", "Server responses include all the message fields except data and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ], "type": "string", "description": "Specifies the parts of the Message to return in the response. When unspecified, equivalent to BASIC. Setting this to anything other than BASIC with a `page_size` larger than the default can generate a large response, which impacts the performance of this method." }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "type": "string", "description": "Name of the HL7v2 store to retrieve messages from." }, "pageToken": { "location": "query", "type": "string", "description": "The next_page_token value returned from the previous List request, if any." }, "pageSize": { "format": "int32", "description": "Limit on the number of messages to return in a single response. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "type": "integer" }, "filter": { "location": "query", "description": "Restricts messages returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Fields/functions available for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `message_type`, from the MSH-9.1 field. For example, `NOT message_type = \"ADT\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_date` or `sendDate`, the YYYY-MM-DD date the message was sent in the dataset's time_zone, from the MSH-7 segment. For example, `send_date \u003c \"2017-01-02\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`, the timestamp when the message was sent, using the RFC3339 time format for comparisons, from the MSH-7 segment. For example, `send_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `create_time`, the timestamp when the message was created in the HL7v2 store. Use the RFC3339 time format for comparisons. For example, `create_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_facility`, the care center that the message came from, from the MSH-4 segment. For example, `send_facility = \"ABC\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PatientId(value, type)`, which matches if the message lists a patient having an ID of the given value and type in the PID-2, PID-3, or PID-4 segments. For example, `PatientId(\"123456\", \"MRN\")`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.x`, a string value of the label with key `x` as set using the Message.labels map. For example, `labels.\"priority\"=\"high\"`. The operator `:*` can be used to assert the existence of a label. For example, `labels.\"priority\":*`.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages", "path": "v1beta1/{+parent}/messages", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.list", "response": { "$ref": "ListMessagesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "batchGet": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1beta1/{+parent}/messages:batchGet", "parameterOrder": [ "parent" ], "response": { "$ref": "BatchGetMessagesResponse" }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.batchGet", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages:batchGet", "parameters": { "ids": { "repeated": true, "location": "query", "description": "The resource id of the HL7v2 messages to retrieve in the format: `{message_id}`, where the full resource name is `{parent}/messages/{message_id}` A maximum of 100 messages can be retrieved in a batch. All 'ids' have to be under parent.", "type": "string" }, "view": { "type": "string", "description": "Specifies the parts of the Messages resource to return in the response. When unspecified, equivalent to BASIC.", "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "location": "query", "enumDescriptions": [ "Not specified, equivalent to FULL for getMessage, equivalent to BASIC for listMessages.", "Server responses include all the message fields except parsed_data, and schematized_data fields.", "Server responses include all the message fields except data and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ] }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "Name of the HL7v2 store to retrieve messages from, in the format: `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7v2Stores/{hl7v2_store_id}`.", "location": "path", "type": "string", "required": true } }, "description": "Gets multiple messages in the given HL7v2 store." }, "ingest": { "request": { "$ref": "IngestMessageRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages:ingest", "path": "v1beta1/{+parent}/messages:ingest", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "IngestMessageResponse" }, "description": "Parses and stores an HL7v2 message. This method triggers an asynchronous notification to any Pub/Sub topic configured in Hl7V2Store.Hl7V2NotificationConfig, if the filtering matches the message. If an MLLP adapter is configured to listen to a Pub/Sub topic, the adapter transmits the message when a notification is received. If the method is successful, it generates a response containing an HL7v2 acknowledgment (`ACK`) message. If the method encounters an error, it returns a negative acknowledgment (`NACK`) message. This behavior is suitable for replying to HL7v2 interface systems that expect these acknowledgments.", "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "The name of the HL7v2 store this message belongs to.", "location": "path", "type": "string" } }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.ingest" }, "patch": { "httpMethod": "PATCH", "description": "Update the message. The contents of the message in Message.data and data extracted from the contents such as Message.create_time can't be altered. Only the Message.labels field is allowed to be updated. The labels in the request are merged with the existing set of labels. Existing labels with the same keys are updated.", "request": { "$ref": "Message" }, "parameters": { "name": { "description": "Resource name of the Message, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7_v2_store_id}/messages/{message_id}`. Assigned by the server.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+/messages/[^/]+$" }, "updateMask": { "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}/messages/{messagesId}", "id": "healthcare.projects.locations.datasets.hl7V2Stores.messages.patch", "response": { "$ref": "Message" }, "path": "v1beta1/{+name}" } } } }, "methods": { "import": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:import", "httpMethod": "POST", "request": { "$ref": "ImportMessagesRequest" }, "response": { "$ref": "Operation" }, "description": "Import messages to the HL7v2 store by loading data from the specified sources. This method is optimized to load large quantities of data using import semantics that ignore some HL7v2 store configuration options and are not suitable for all use cases. It is primarily intended to load data into an empty HL7v2 store that is not being used by other clients. An existing message will be overwritten if a duplicate message is imported. A duplicate message is a message with the same raw bytes as a message that already exists in this HL7v2 store. When a message is overwritten, its labels will also be overwritten. The import operation is idempotent unless the input data contains multiple valid messages with the same raw bytes but different labels. In that case, after the import completes, the store contains exactly one message with those raw bytes but there is no ordering guarantee on which version of the labels it has. The operation result counters do not count duplicated raw bytes as an error and count one success for each message in the input, which might result in a success count larger than the number of messages in the HL7v2 store. If some messages fail to import, for example due to parsing errors, successfully imported messages are not rolled back. This method returns an Operation that can be used to track the status of the import by calling GetOperation. Immediate fatal errors appear in the error field, errors are also logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). Otherwise, when the operation finishes, a response of type ImportMessagesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "The name of the target HL7v2 store, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7v2Stores/{hl7v2_store_id}`" } }, "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.import", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:import" }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "path": "v1beta1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "description": "The resource name of the HL7v2 store to delete.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.datasets.hl7V2Stores.delete", "response": { "$ref": "Empty" }, "description": "Deletes the specified HL7v2 store and removes all messages that it contains.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "description": "The resource name of the HL7v2 store to get.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "description": "Gets the specified HL7v2 store.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "id": "healthcare.projects.locations.datasets.hl7V2Stores.get", "response": { "$ref": "Hl7V2Store" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "create": { "parameterOrder": [ "parent" ], "parameters": { "hl7V2StoreId": { "type": "string", "description": "The ID of the HL7v2 store that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`.", "location": "query" }, "parent": { "location": "path", "required": true, "description": "The name of the dataset this HL7v2 store belongs to.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Hl7V2Store" }, "description": "Creates a new HL7v2 store within the parent dataset.", "id": "healthcare.projects.locations.datasets.hl7V2Stores.create", "path": "v1beta1/{+parent}/hl7V2Stores", "httpMethod": "POST", "response": { "$ref": "Hl7V2Store" } }, "patch": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}", "httpMethod": "PATCH", "path": "v1beta1/{+name}", "response": { "$ref": "Hl7V2Store" }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.patch", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the HL7v2 store.", "parameters": { "updateMask": { "location": "query", "type": "string", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask" }, "name": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "Resource name of the HL7v2 store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7v2_store_id}`." } }, "request": { "$ref": "Hl7V2Store" } }, "list": { "path": "v1beta1/{+parent}/hl7V2Stores", "parameters": { "filter": { "description": "Restricts stores returned to those matching a filter. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Only filtering on labels is supported. For example, `labels.key=value`.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "The next_page_token value returned from the previous List request, if any.", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Limit on the number of HL7v2 stores to return in a single response. If not specified, 100 is used. May not be larger than 1000." }, "parent": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "Name of the dataset.", "type": "string" } }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores", "id": "healthcare.projects.locations.datasets.hl7V2Stores.list", "description": "Lists the HL7v2 stores in the given dataset.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListHl7V2StoresResponse" } }, "export": { "id": "healthcare.projects.locations.datasets.hl7V2Stores.export", "description": "Exports the messages to a destination. To filter messages to be exported, define a filter using the start and end time, relative to the message generation time (MSH.7). This API returns an Operation that can be used to track the status of the job by calling GetOperation. Immediate fatal errors appear in the error field. Otherwise, when the operation finishes, a detailed response of type ExportMessagesResponse is returned in the response field. The metadata field type for this operation is OperationMetadata.", "response": { "$ref": "Operation" }, "request": { "$ref": "ExportMessagesRequest" }, "parameters": { "name": { "description": "The name of the source HL7v2 store, in the format `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7v2Stores/{hl7v2_store_id}`", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "path": "v1beta1/{+name}:export", "httpMethod": "POST", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:export", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "healthcare.projects.locations.datasets.hl7V2Stores.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:testIamPermissions" }, "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+/hl7V2Stores/[^/]+$" } }, "id": "healthcare.projects.locations.datasets.hl7V2Stores.getIamPolicy", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}/hl7V2Stores/{hl7V2StoresId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+resource}:getIamPolicy" } } } }, "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1beta1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "required": true, "type": "string" }, "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:getIamPolicy", "id": "healthcare.projects.locations.datasets.getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "httpMethod": "POST", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "id": "healthcare.projects.locations.datasets.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1beta1/{+resource}:setIamPolicy" }, "deidentify": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:deidentify", "description": "Creates a new dataset containing de-identified data from the source dataset. The metadata field type is OperationMetadata. If the request is successful, the response field type is DeidentifySummary. The LRO result may still be successful if de-identification fails for some resources. The new de-identified dataset will not contain these failed resources. The number of resources processed are tracked in Operation.metadata. Error details are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging).", "id": "healthcare.projects.locations.datasets.deidentify", "parameterOrder": [ "sourceDataset" ], "response": { "$ref": "Operation" }, "request": { "$ref": "DeidentifyDatasetRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "sourceDataset": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "Source dataset resource name. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "required": true, "type": "string", "location": "path" } }, "path": "v1beta1/{+sourceDataset}:deidentify", "httpMethod": "POST" }, "get": { "parameters": { "name": { "location": "path", "required": true, "description": "The name of the dataset to read. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`.", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "healthcare.projects.locations.datasets.get", "path": "v1beta1/{+name}", "description": "Gets any metadata associated with a dataset.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "response": { "$ref": "Dataset" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}:testIamPermissions", "httpMethod": "POST", "path": "v1beta1/{+resource}:testIamPermissions", "id": "healthcare.projects.locations.datasets.testIamPermissions" }, "patch": { "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "description": "Resource name of the dataset, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`." }, "updateMask": { "format": "google-fieldmask", "description": "The update mask applies to the resource. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "type": "string", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.patch", "description": "Updates dataset metadata.", "path": "v1beta1/{+name}", "response": { "$ref": "Dataset" }, "parameterOrder": [ "name" ], "request": { "$ref": "Dataset" }, "httpMethod": "PATCH" }, "create": { "description": "Creates a new health dataset. Results are returned through the Operation interface which returns either an `Operation.response` which contains a Dataset or `Operation.error`. The metadata field type is OperationMetadata.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "healthcare.projects.locations.datasets.create", "parameters": { "datasetId": { "location": "query", "type": "string", "description": "The ID of the dataset that is being created. The string must match the following regex: `[\\p{L}\\p{N}_\\-\\.]{1,256}`." }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the project where the server creates the dataset. For example, `projects/{project_id}/locations/{location_id}`." } }, "path": "v1beta1/{+parent}/datasets", "httpMethod": "POST", "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets", "request": { "$ref": "Dataset" }, "parameterOrder": [ "parent" ] }, "list": { "path": "v1beta1/{+parent}/datasets", "response": { "$ref": "ListDatasetsResponse" }, "id": "healthcare.projects.locations.datasets.list", "parameters": { "pageToken": { "type": "string", "description": "The next_page_token value returned from a previous List request, if any.", "location": "query" }, "parent": { "location": "path", "required": true, "description": "The name of the project whose datasets should be listed. For example, `projects/{project_id}/locations/{location_id}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageSize": { "type": "integer", "description": "The maximum number of items to return. If not specified, 100 is used. May not be larger than 1000.", "location": "query", "format": "int32" } }, "httpMethod": "GET", "description": "Lists the health datasets in the current project.", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/datasets/[^/]+$", "location": "path", "description": "The name of the dataset to delete. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`." } }, "path": "v1beta1/{+name}", "description": "Deletes the specified health dataset and all data contained in the dataset. Deleting a dataset does not affect the sources from which the dataset was imported (if any).", "id": "healthcare.projects.locations.datasets.delete", "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/datasets/{datasetsId}", "parameterOrder": [ "name" ] } } }, "services": { "resources": { "nlp": { "methods": { "analyzeEntities": { "description": "Analyze heathcare entity in a document. Its response includes the recognized entity mentions and the relationships between them. AnalyzeEntities uses context aware models to detect entities. This method can only analyze documents written in English.", "path": "v1beta1/{+nlpService}:analyzeEntities", "httpMethod": "POST", "request": { "$ref": "AnalyzeEntitiesRequest" }, "parameters": { "nlpService": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/nlp$", "location": "path", "description": "The resource name of the service of the form: \"projects/{project_id}/locations/{location_id}/services/nlp\"." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/services/nlp:analyzeEntities", "response": { "$ref": "AnalyzeEntitiesResponse" }, "parameterOrder": [ "nlpService" ], "id": "healthcare.projects.locations.services.nlp.analyzeEntities" } } } } } }, "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "The maximum number of results to return. If not set, the service selects a default." }, "name": { "type": "string", "description": "The resource that owns the locations collection, if applicable.", "location": "path", "pattern": "^projects/[^/]+$", "required": true }, "pageToken": { "location": "query", "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "healthcare.projects.locations.list", "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations", "path": "v1beta1/{+name}/locations" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "id": "healthcare.projects.locations.get", "parameterOrder": [ "name" ], "description": "Gets information about a location.", "response": { "$ref": "Location" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Resource name for the location.", "type": "string", "location": "path" } }, "path": "v1beta1/{+name}" } } } } } }, "title": "Cloud Healthcare API", "rootUrl": "https://healthcare.googleapis.com/", "basePath": "", "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "enum": [ "json", "media", "proto" ], "type": "string", "location": "query", "description": "Data format for response." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "mtlsRootUrl": "https://healthcare.mtls.googleapis.com/", "baseUrl": "https://healthcare.googleapis.com/", "kind": "discovery#restDescription", "canonicalName": "Cloud Healthcare", "ownerDomain": "google.com", "revision": "20220705", "description": "Manage, store, and access healthcare data in Google Cloud Platform.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "fullyEncodeReservedExpansion": true, "protocol": "rest", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "discoveryVersion": "v1", "version": "v1beta1", "name": "healthcare", "id": "healthcare:v1beta1", "ownerName": "Google", "schemas": { "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } } } }, "SchemaPackage": { "properties": { "types": { "items": { "$ref": "Hl7TypesConfig" }, "description": "Schema type definitions that are layered based on their VersionSources that match the incoming message. Type definitions present in higher indices override those in lower indices with the same type name if their VersionSources all match an incoming message.", "type": "array" }, "schematizedParsingType": { "enum": [ "SCHEMATIZED_PARSING_TYPE_UNSPECIFIED", "SOFT_FAIL", "HARD_FAIL" ], "description": "Determines how messages that fail to parse are handled.", "enumDescriptions": [ "Unspecified schematized parsing type, equivalent to `SOFT_FAIL`.", "Messages that fail to parse are still stored and ACKed but a parser error is stored in place of the schematized data.", "Messages that fail to parse are rejected from ingestion/insertion and return an error code." ], "type": "string" }, "ignoreMinOccurs": { "description": "Flag to ignore all min_occurs restrictions in the schema. This means that incoming messages can omit any group, segment, field, component, or subcomponent.", "type": "boolean" }, "schemas": { "type": "array", "items": { "$ref": "Hl7SchemaConfig" }, "description": "Schema configs that are layered based on their VersionSources that match the incoming message. Schema configs present in higher indices override those in lower indices with the same message type and trigger event if their VersionSources all match an incoming message." }, "unexpectedSegmentHandling": { "enum": [ "UNEXPECTED_SEGMENT_HANDLING_MODE_UNSPECIFIED", "FAIL", "SKIP", "PARSE" ], "description": "Determines how unexpected segments (segments not matched to the schema) are handled.", "enumDescriptions": [ "Unspecified handling mode, equivalent to FAIL.", "Unexpected segments fail to parse and return an error.", "Unexpected segments do not fail, but are omitted from the output.", "Unexpected segments do not fail, but are parsed in place and added to the current group. If a segment has a type definition, it is used, otherwise it is parsed as VARIES." ], "type": "string" } }, "id": "SchemaPackage", "description": "A schema package contains a set of schemas and type definitions.", "type": "object" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "type": "object", "properties": {} }, "ValidationConfig": { "type": "object", "properties": { "disableFhirpathValidation": { "type": "boolean", "description": "Whether to disable FHIRPath validation for incoming resources. Set this to true to disable checking incoming resources for conformance against FHIRPath requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced." }, "disableRequiredFieldValidation": { "type": "boolean", "description": "Whether to disable required fields validation for incoming resources. Set this to true to disable checking incoming resources for conformance against required fields requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced." }, "disableReferenceTypeValidation": { "description": "Whether to disable reference type validation for incoming resources. Set this to true to disable checking incoming resources for conformance against reference type requirement defined in the FHIR specification. This property only affects resource types that do not have profiles configured for them, any rules in enabled implementation guides will still be enforced.", "type": "boolean" }, "enabledImplementationGuides": { "description": "A list of ImplementationGuide URLs in this FHIR store that are used to configure the profiles to use for validation. For example, to use the US Core profiles for validation, set `enabled_implementation_guides` to `[\"http://hl7.org/fhir/us/core/ImplementationGuide/ig\"]`. If `enabled_implementation_guides` is empty or omitted, then incoming resources are only required to conform to the base FHIR profiles. Otherwise, a resource must conform to at least one profile listed in the `global` property of one of the enabled ImplementationGuides. The Cloud Healthcare API does not currently enforce all of the rules in a StructureDefinition. The following rules are supported: - min/max - minValue/maxValue - maxLength - type - fixed[x] - pattern[x] on simple types - slicing, when using \"value\" as the discriminator type When a URL cannot be resolved (for example, in a type assertion), the server does not return an error.", "type": "array", "items": { "type": "string" } }, "disableProfileValidation": { "description": "Whether to disable profile validation for this FHIR store. Set this to true to disable checking incoming resources for conformance against StructureDefinitions in this FHIR store.", "type": "boolean" } }, "id": "ValidationConfig", "description": "Contains the configuration for FHIR profiles and validation." }, "NotificationConfig": { "properties": { "pubsubTopic": { "type": "string", "description": "The [Pub/Sub](https://cloud.google.com/pubsub/docs/) topic that notifications of changes are published on. Supplied by the client. PubsubMessage.Data contains the resource name. PubsubMessage.MessageId is the ID of this message. It is guaranteed to be unique within the topic. PubsubMessage.PublishTime is the time at which the message was published. Notifications are only sent if the topic is non-empty. [Topic names](https://cloud.google.com/pubsub/docs/overview#names) must be scoped to a project. Cloud Healthcare API service account must have publisher permissions on the given Pub/Sub topic. Not having adequate permissions causes the calls that send notifications to fail. If a notification can't be published to Pub/Sub, errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)). If the number of errors exceeds a certain rate, some aren't submitted. Note that not all operations trigger notifications, see [Configuring Pub/Sub notifications](https://cloud.google.com/healthcare/docs/how-tos/pubsub) for specific details." }, "sendForBulkImport": { "type": "boolean", "description": "Indicates whether or not to send Pub/Sub notifications on bulk import. Only supported for DICOM imports." } }, "type": "object", "id": "NotificationConfig", "description": "Specifies where to send notifications upon changes to a data store." }, "ExportDicomDataRequest": { "id": "ExportDicomDataRequest", "properties": { "bigqueryDestination": { "$ref": "GoogleCloudHealthcareV1beta1DicomBigQueryDestination", "description": "The BigQuery output destination. You can only export to a BigQuery dataset that's in the same project as the DICOM store you're exporting from. The Cloud Healthcare Service Agent requires two IAM roles on the BigQuery location: `roles/bigquery.dataEditor` and `roles/bigquery.jobUser`." }, "filterConfig": { "$ref": "DicomFilterConfig", "description": "Specifies the filter configuration." }, "gcsDestination": { "description": "The Cloud Storage output destination. The Cloud Healthcare Service Agent requires the `roles/storage.objectAdmin` Cloud IAM roles on the Cloud Storage location.", "$ref": "GoogleCloudHealthcareV1beta1DicomGcsDestination" } }, "description": "Exports data from the specified DICOM store. If a given resource, such as a DICOM object with the same SOPInstance UID, already exists in the output, it is overwritten with the version in the source dataset. Exported DICOM data persists when the DICOM store from which it was exported is deleted.", "type": "object" }, "AnnotationConfig": { "type": "object", "properties": { "annotationStoreName": { "type": "string", "description": "The name of the annotation store, in the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination annotation store must be in the same project as the source data. De-identifying data across multiple projects is not supported. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination annotation store must exist when using DeidentifyDicomStore or DeidentifyFhirStore. DeidentifyDataset automatically creates the destination annotation store." }, "storeQuote": { "description": "If set to true, the sensitive texts are included in SensitiveTextAnnotation of Annotation.", "type": "boolean" } }, "id": "AnnotationConfig", "description": "Specifies how to store annotations during de-identification operation." }, "FhirConfig": { "id": "FhirConfig", "properties": { "defaultKeepExtensions": { "type": "boolean", "description": "The behaviour for handling FHIR extensions that aren't otherwise specified for de-identification. If true, all extensions are preserved during de-identification by default. If false or unspecified, all extensions are removed during de-identification by default." }, "fieldMetadataList": { "items": { "$ref": "FieldMetadata" }, "description": "Specifies FHIR paths to match and how to transform them. Any field that is not matched by a FieldMetadata is passed through to the output dataset unmodified. All extensions will be processed according to `default_keep_extensions`. If a field can be matched by more than one FieldMetadata, the first FieldMetadata.Action is applied.", "type": "array" } }, "description": "Specifies how to handle de-identification of a FHIR store.", "type": "object" }, "DicomStore": { "description": "Represents a DICOM store.", "properties": { "notificationConfig": { "description": "Notification destination for new DICOM instances. Supplied by the client.", "$ref": "NotificationConfig" }, "streamConfigs": { "description": "A list of streaming configs used to configure the destination of streaming exports for every DICOM instance insertion in this DICOM store. After a new config is added to `stream_configs`, DICOM instance insertions are streamed to the new destination. When a config is removed from `stream_configs`, the server stops streaming to that destination. Each config must contain a unique destination.", "type": "array", "items": { "$ref": "GoogleCloudHealthcareV1beta1DicomStreamConfig" } }, "labels": { "description": "User-supplied key-value pairs used to organize DICOM stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "description": "Resource name of the DICOM store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`.", "type": "string" } }, "id": "DicomStore", "type": "object" }, "SchematizedData": { "description": "The content of an HL7v2 message in a structured format as specified by a schema.", "type": "object", "id": "SchematizedData", "properties": { "error": { "type": "string", "description": "The error output of the parser." }, "data": { "description": "JSON output of the parser.", "type": "string" } } }, "Feature": { "type": "object", "id": "Feature", "description": "A feature of an entity mention.", "properties": { "confidence": { "type": "number", "format": "double", "description": "The model's confidence in this feature annotation. A number between 0 and 1." }, "value": { "description": "The value of this feature annotation. Its range depends on the type of the feature.", "type": "string" } } }, "CloudHealthcareSource": { "properties": { "name": { "type": "string", "description": "Full path of a Cloud Healthcare API resource." } }, "type": "object", "description": "Cloud Healthcare API resource.", "id": "CloudHealthcareSource" }, "TagFilterList": { "id": "TagFilterList", "properties": { "tags": { "type": "array", "items": { "type": "string" }, "description": "Tags to be filtered. Tags must be DICOM Data Elements, File Meta Elements, or Directory Structuring Elements, as defined at: http://dicom.nema.org/medical/dicom/current/output/html/part06.html#table_6-1,. They may be provided by \"Keyword\" or \"Tag\". For example, \"PatientID\", \"00100010\"." } }, "description": "List of tags to be filtered.", "type": "object" }, "SensitiveTextAnnotation": { "description": "A TextAnnotation specifies a text range that includes sensitive information.", "id": "SensitiveTextAnnotation", "properties": { "details": { "additionalProperties": { "$ref": "Detail" }, "description": "Maps from a resource slice. For example, FHIR resource field path to a set of sensitive text findings. For example, Appointment.Narrative text1 --\u003e {findings_1, findings_2, findings_3}", "type": "object" } }, "type": "object" }, "ListAnnotationStoresResponse": { "description": "Lists the Annotation stores in the given dataset.", "id": "ListAnnotationStoresResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "annotationStores": { "type": "array", "description": "The returned Annotation stores. Won't be more Annotation stores than the value of page_size in the request.", "items": { "$ref": "AnnotationStore" } } } }, "ImportDicomDataResponse": { "type": "object", "id": "ImportDicomDataResponse", "properties": {}, "description": "Returns additional information in regards to a completed DICOM store import." }, "Field": { "type": "object", "description": "A (sub) field of a type.", "properties": { "table": { "description": "The HL7v2 table this field refers to. For example, PID-15 (Patient's Primary Language) usually refers to table \"0296\".", "type": "string" }, "name": { "description": "The name of the field. For example, \"PID-1\" or just \"1\".", "type": "string" }, "minOccurs": { "type": "integer", "description": "The minimum number of times this field must be present/repeated.", "format": "int32" }, "maxOccurs": { "description": "The maximum number of times this field can be repeated. 0 or -1 means unbounded.", "type": "integer", "format": "int32" }, "type": { "description": "The type of this field. A Type with this name must be defined in an Hl7TypesConfig.", "type": "string" } }, "id": "Field" }, "Empty": { "properties": {}, "id": "Empty", "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "InfoTypeTransformation": { "properties": { "replaceWithInfoTypeConfig": { "$ref": "ReplaceWithInfoTypeConfig", "description": "Config for replace with InfoType." }, "dateShiftConfig": { "$ref": "DateShiftConfig", "description": "Config for date shift." }, "infoTypes": { "description": "InfoTypes to apply this transformation to. If this is not specified, this transformation becomes the default transformation, and is used for any info_type that is not specified in another transformation.", "type": "array", "items": { "type": "string" } }, "cryptoHashConfig": { "description": "Config for crypto hash.", "$ref": "CryptoHashConfig" }, "characterMaskConfig": { "$ref": "CharacterMaskConfig", "description": "Config for character mask." }, "redactConfig": { "description": "Config for text redaction.", "$ref": "RedactConfig" } }, "type": "object", "id": "InfoTypeTransformation", "description": "A transformation to apply to text that is identified as a specific info_type." }, "GoogleCloudHealthcareV1beta1AnnotationGcsDestination": { "type": "object", "id": "GoogleCloudHealthcareV1beta1AnnotationGcsDestination", "properties": { "uriPrefix": { "description": "The Cloud Storage destination to export to. URI for a Cloud Storage directory where the server writes result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket referenced in `uri_prefix`.", "type": "string" } }, "description": "The Cloud Storage location for export." }, "Detail": { "description": "Contains multiple sensitive information findings for each resource slice.", "id": "Detail", "type": "object", "properties": { "findings": { "items": { "$ref": "Finding" }, "type": "array" } } }, "Dataset": { "properties": { "timeZone": { "type": "string", "description": "The default timezone used by this dataset. Must be a either a valid IANA time zone name such as \"America/New_York\" or empty, which defaults to UTC. This is used for parsing times in resources, such as HL7 messages, where no explicit timezone is specified." }, "name": { "type": "string", "description": "Resource name of the dataset, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}`." } }, "description": "A message representing a health dataset. A health dataset represents a collection of healthcare data pertaining to one or more patients. This may include multiple modalities of healthcare data, such as electronic medical records or medical imaging data.", "type": "object", "id": "Dataset" }, "IngestMessageRequest": { "id": "IngestMessageRequest", "properties": { "message": { "description": "HL7v2 message to ingest.", "$ref": "Message" } }, "type": "object", "description": "Ingests a message into the specified HL7v2 store." }, "StreamConfig": { "id": "StreamConfig", "description": "Contains configuration for streaming FHIR export.", "type": "object", "properties": { "bigqueryDestination": { "$ref": "GoogleCloudHealthcareV1beta1FhirBigQueryDestination", "description": "The destination BigQuery structure that contains both the dataset location and corresponding schema config. The output is organized in one table per resource type. The server reuses the existing tables (if any) that are named after the resource types, e.g. \"Patient\", \"Observation\". When there is no existing table for a given resource type, the server attempts to create one. When a table schema doesn't align with the schema config, either because of existing incompatible schema or out of band incompatible modification, the server does not stream in new data. One resolution in this case is to delete the incompatible table and let the server recreate one, though the newly created table only contains data after the table recreation. BigQuery imposes a 1 MB limit on streaming insert row size, therefore any resource mutation that generates more than 1 MB of BigQuery data will not be streamed. Results are written to BigQuery tables according to the parameters in BigQueryDestination.WriteDisposition. Different versions of the same resource are distinguishable by the meta.versionId and meta.lastUpdated columns. The operation (CREATE/UPDATE/DELETE) that results in the new version is recorded in the meta.tag. The tables contain all historical resource versions since streaming was enabled. For query convenience, the server also creates one view per table of the same name containing only the current resource version. The streamed data in the BigQuery dataset is not guaranteed to be completely unique. The combination of the id and meta.versionId columns should ideally identify a single unique row. But in rare cases, duplicates may exist. At query time, users may use the SQL select statement to keep only one of the duplicate rows given an id and meta.versionId pair. Alternatively, the server created view mentioned above also filters out duplicates. If a resource mutation cannot be streamed to BigQuery, errors will be logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging))." }, "resourceTypes": { "items": { "type": "string" }, "type": "array", "description": "Supply a FHIR resource type (such as \"Patient\" or \"Observation\"). See https://www.hl7.org/fhir/valueset-resource-types.html for a list of all FHIR resource types. The server treats an empty list as an intent to stream all the supported resource types in this FHIR store." }, "deidentifiedStoreDestination": { "$ref": "DeidentifiedStoreDestination", "description": "The destination FHIR store for de-identified resources. After this field is added, all subsequent creates/updates/patches to the source store will be de-identified using the provided configuration and applied to the destination store. Importing resources to the source store will not trigger the streaming. If the source store already contains resources when this option is enabled, those resources will not be copied to the destination store unless they are subsequently updated. This may result in invalid references in the destination store. Before adding this config, you must grant the healthcare.fhirResources.update permission on the destination store to your project's **Cloud Healthcare Service Agent** [service account](https://cloud.google.com/healthcare/docs/how-tos/permissions-healthcare-api-gcp-products#the_cloud_healthcare_service_agent). The destination store must set enable_update_create to true. The destination store must have disable_referential_integrity set to true. If a resource cannot be de-identified, errors will be logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging))." } } }, "Message": { "id": "Message", "properties": { "parsedData": { "description": "Output only. The parsed version of the raw message data.", "readOnly": true, "$ref": "ParsedData" }, "messageType": { "type": "string", "description": "The message type for this message. MSH-9.1." }, "labels": { "description": "User-supplied key-value pairs used to organize HL7v2 stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" }, "type": "object" }, "schematizedData": { "$ref": "SchematizedData", "description": "The parsed version of the raw message data schematized according to this store's schemas and type definitions." }, "sendFacility": { "description": "The hospital that this message came from. MSH-4.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The datetime when the message was created. Set by the server." }, "sendTime": { "type": "string", "format": "google-datetime", "description": "The datetime the sending application sent this message. MSH-7." }, "name": { "type": "string", "description": "Resource name of the Message, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7_v2_store_id}/messages/{message_id}`. Assigned by the server." }, "patientIds": { "type": "array", "description": "All patient IDs listed in the PID-2, PID-3, and PID-4 segments of this message.", "items": { "$ref": "PatientId" } }, "data": { "format": "byte", "description": "Raw message bytes.", "type": "string" } }, "description": "A complete HL7v2 message. See [Introduction to HL7 Standards] (https://www.hl7.org/implement/standards/index.cfm?ref=common) for details on the standard.", "type": "object" }, "TextConfig": { "properties": { "transformations": { "items": { "$ref": "InfoTypeTransformation" }, "type": "array", "description": "The transformations to apply to the detected data." } }, "id": "TextConfig", "type": "object" }, "ImportMessagesRequest": { "id": "ImportMessagesRequest", "description": "Request to import messages.", "properties": { "gcsSource": { "description": "Cloud Storage source data location and import configuration. The Cloud Healthcare Service Agent requires the `roles/storage.objectViewer` Cloud IAM roles on the Cloud Storage location.", "$ref": "GcsSource" } }, "type": "object" }, "EvaluateUserConsentsResponse": { "id": "EvaluateUserConsentsResponse", "properties": { "results": { "items": { "$ref": "Result" }, "description": "The consent evaluation result for each `data_id`.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list. This token is valid for 72 hours after it is created." } }, "type": "object" }, "GoogleCloudHealthcareV1beta1DeidentifyDeidentifyDicomStoreSummary": { "id": "GoogleCloudHealthcareV1beta1DeidentifyDeidentifyDicomStoreSummary", "description": "Contains a summary of the DeidentifyDicomStore operation.", "properties": {}, "type": "object" }, "FhirStore": { "id": "FhirStore", "description": "Represents a FHIR store.", "properties": { "notificationConfigs": { "type": "array", "description": "Specifies where and whether to send notifications upon changes to a Fhir store.", "items": { "$ref": "FhirNotificationConfig" } }, "disableResourceVersioning": { "type": "boolean", "description": "Immutable. Whether to disable resource versioning for this FHIR store. This field can not be changed after the creation of FHIR store. If set to false, which is the default behavior, all write operations cause historical versions to be recorded automatically. The historical versions can be fetched through the history APIs, but cannot be updated. If set to true, no historical versions are kept. The server sends errors for attempts to read the historical versions." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "User-supplied key-value pairs used to organize FHIR stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store." }, "notificationConfig": { "description": "If non-empty, publish all resource modifications of this FHIR store to this destination. The Pub/Sub message attributes contain a map with a string describing the action that has triggered the notification. For example, \"action\":\"CreateResource\".", "$ref": "NotificationConfig" }, "complexDataTypeReferenceParsing": { "description": "Enable parsing of references within complex FHIR data types such as Extensions. If this value is set to ENABLED, then features like referential integrity and Bundle reference rewriting apply to all references. If this flag has not been specified the behavior of the FHIR store will not change, references in complex data types will not be parsed. New stores will have this value set to ENABLED after a notification period. Warning: turning on this flag causes processing existing resources to fail if they contain references to non-existent resources.", "enum": [ "COMPLEX_DATA_TYPE_REFERENCE_PARSING_UNSPECIFIED", "DISABLED", "ENABLED" ], "type": "string", "enumDescriptions": [ "No parsing behavior specified. This is the same as DISABLED for backwards compatibility.", "References in complex data types are ignored.", "References in complex data types are parsed." ] }, "defaultSearchHandlingStrict": { "description": "If true, overrides the default search behavior for this FHIR store to `handling=strict` which returns an error for unrecognized search parameters. If false, uses the FHIR specification default `handling=lenient` which ignores unrecognized search parameters. The handling can always be changed from the default on an individual API call by setting the HTTP header `Prefer: handling=strict` or `Prefer: handling=lenient`.", "type": "boolean" }, "enableUpdateCreate": { "type": "boolean", "description": "Whether this FHIR store has the [updateCreate capability](https://www.hl7.org/fhir/capabilitystatement-definitions.html#CapabilityStatement.rest.resource.updateCreate). This determines if the client can use an Update operation to create a new resource with a client-specified ID. If false, all IDs are server-assigned through the Create operation and attempts to update a non-existent resource return errors. It is strongly advised not to include or encode any sensitive data such as patient identifiers in client-specified resource IDs. Those IDs are part of the FHIR resource path recorded in Cloud audit logs and Pub/Sub notifications. Those IDs can also be contained in reference fields within other resources." }, "searchConfig": { "$ref": "SearchConfig", "description": "Configuration for how FHIR resources can be searched." }, "streamConfigs": { "description": "A list of streaming configs that configure the destinations of streaming export for every resource mutation in this FHIR store. Each store is allowed to have up to 10 streaming configs. After a new config is added, the next resource mutation is streamed to the new location in addition to the existing ones. When a location is removed from the list, the server stops streaming to that location. Before adding a new config, you must add the required [`bigquery.dataEditor`](https://cloud.google.com/bigquery/docs/access-control#bigquery.dataEditor) role to your project's **Cloud Healthcare Service Agent** [service account](https://cloud.google.com/iam/docs/service-accounts). Some lag (typically on the order of dozens of seconds) is expected before the results show up in the streaming destination.", "type": "array", "items": { "$ref": "StreamConfig" } }, "disableReferentialIntegrity": { "type": "boolean", "description": "Immutable. Whether to disable referential integrity in this FHIR store. This field is immutable after FHIR store creation. The default value is false, meaning that the API enforces referential integrity and fails the requests that result in inconsistent state in the FHIR store. When this field is set to true, the API skips referential integrity checks. Consequently, operations that rely on references, such as GetPatientEverything, do not return all the results if broken references exist." }, "version": { "enum": [ "VERSION_UNSPECIFIED", "DSTU2", "STU3", "R4" ], "enumDescriptions": [ "VERSION_UNSPECIFIED is treated as STU3 to accommodate the existing FHIR stores.", "Draft Standard for Trial Use, [Release 2](https://www.hl7.org/fhir/DSTU2)", "Standard for Trial Use, [Release 3](https://www.hl7.org/fhir/STU3)", "[Release 4](https://www.hl7.org/fhir/R4)" ], "description": "Immutable. The FHIR specification version that this FHIR store supports natively. This field is immutable after store creation. Requests are rejected if they contain FHIR resources of a different version. Version is required for every FHIR store.", "type": "string" }, "name": { "description": "Output only. Resource name of the FHIR store, of the form `projects/{project_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "type": "string" }, "validationConfig": { "$ref": "ValidationConfig", "description": "Configuration for how to validate incoming FHIR resources against configured profiles." } }, "type": "object" }, "DeidentifyConfig": { "properties": { "text": { "description": "Configures de-identification of text wherever it is found in the source_dataset.", "$ref": "TextConfig" }, "annotation": { "$ref": "AnnotationConfig", "description": "Configures how annotations, meaning that the location and infoType of sensitive information findings, are created during de-identification. If unspecified, no annotations are created." }, "dicom": { "$ref": "DicomConfig", "description": "Configures de-id of application/DICOM content." }, "fhir": { "$ref": "FhirConfig", "description": "Configures de-id of application/FHIR content." }, "operationMetadata": { "$ref": "DeidentifyOperationMetadata", "description": "Details about the work the de-identify operation performed." }, "image": { "description": "Configures de-identification of image pixels wherever they are found in the source_dataset.", "$ref": "ImageConfig" } }, "id": "DeidentifyConfig", "type": "object", "description": "Configures de-id options specific to different types of content. Each submessage customizes the handling of an https://tools.ietf.org/html/rfc6838 media type or subtype. Configs are applied in a nested manner at runtime." }, "RejectConsentRequest": { "properties": { "consentArtifact": { "type": "string", "description": "Optional. The resource name of the Consent artifact that contains documentation of the user's rejection of the draft Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. If the draft Consent had a Consent artifact, this Consent artifact overwrites it." } }, "id": "RejectConsentRequest", "type": "object", "description": "Rejects the latest revision of the specified Consent by committing a new revision with `state` updated to `REJECTED`. If the latest revision of the given Consent is in the `REJECTED` state, no new revision is committed." }, "ConsentArtifact": { "description": "Documentation of a user's consent.", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name of the Consent artifact, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. Cannot be changed after creation." }, "userSignature": { "$ref": "Signature", "description": "Optional. User's signature." }, "consentContentVersion": { "description": "Optional. An string indicating the version of the consent information shown to the user.", "type": "string" }, "consentContentScreenshots": { "description": "Optional. Screenshots, PDFs, or other binary information documenting the user's consent.", "items": { "$ref": "Image" }, "type": "array" }, "witnessSignature": { "description": "Optional. A signature from a witness.", "$ref": "Signature" }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Metadata associated with the Consent artifact. For example, the consent locale or user agent version." }, "guardianSignature": { "$ref": "Signature", "description": "Optional. A signature from a guardian." } }, "id": "ConsentArtifact" }, "GoogleCloudHealthcareV1beta1ConsentGcsDestination": { "type": "object", "properties": { "uriPrefix": { "type": "string", "description": "URI for a Cloud Storage directory where the server writes result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket and directory referenced in `uri_prefix`." } }, "description": "The Cloud Storage location for export.", "id": "GoogleCloudHealthcareV1beta1ConsentGcsDestination" }, "Resources": { "id": "Resources", "description": "A list of FHIR resources.", "properties": { "resources": { "type": "array", "items": { "type": "string" }, "description": "List of resources IDs. For example, \"Patient/1234\"." } }, "type": "object" }, "ConsentEvaluation": { "id": "ConsentEvaluation", "type": "object", "properties": { "evaluationResult": { "type": "string", "enumDescriptions": [ "No evaluation result specified. This option is invalid.", "The Consent is not applicable to the requested access determination. For example, the Consent does not apply to the user for which the access determination is requested, or it has a `state` of `REVOKED`, or it has expired.", "The Consent does not have a policy that matches the `resource_attributes` of the evaluated resource.", "The Consent has at least one policy that matches the `resource_attributes` of the evaluated resource, but no `authorization_rule` was satisfied.", "The Consent has at least one policy that matches the `resource_attributes` of the evaluated resource, and at least one `authorization_rule` was satisfied." ], "enum": [ "EVALUATION_RESULT_UNSPECIFIED", "NOT_APPLICABLE", "NO_MATCHING_POLICY", "NO_SATISFIED_POLICY", "HAS_SATISFIED_POLICY" ], "description": "The evaluation result." } }, "description": "The detailed evaluation of a particular Consent." }, "FhirOutput": { "description": "Details about the FHIR store to write the output to.", "properties": { "fhirStore": { "description": "Name of the output FHIR store, which must already exist. You must grant the healthcare.fhirResources.update permission on the destination store to your project's **Cloud Healthcare Service Agent** [service account](https://cloud.google.com/healthcare/docs/how-tos/permissions-healthcare-api-gcp-products#the_cloud_healthcare_service_agent). The destination store must set `enable_update_create` to true. The destination store must use FHIR version R4. Writing these resources will consume FHIR operations quota from the project containing the source data. De-identify operation metadata is only generated for DICOM de-identification operations.", "type": "string" } }, "type": "object", "id": "FhirOutput" }, "FieldMetadata": { "type": "object", "id": "FieldMetadata", "description": "Specifies FHIR paths to match, and how to handle de-identification of matching fields.", "properties": { "paths": { "description": "List of paths to FHIR fields to redact. Each path is a period-separated list where each component is either a field name or FHIR type name. All types begin with an upper case letter. For example, the resource field \"Patient.Address.city\", which uses a string type, can be matched by \"Patient.Address.String\". Path also supports partial matching. For example, \"Patient.Address.city\" can be matched by \"Address.city\" (Patient omitted). Partial matching and type matching can be combined. For example, \"Patient.Address.city\" can be matched by \"Address.String\". For \"choice\" types (those defined in the FHIR spec with the form: field[x]), use two separate components. For example, \"deceasedAge.unit\" is matched by \"Deceased.Age.unit\". Supported types are: AdministrativeGenderCode, Base64Binary, Boolean, Code, Date, DateTime, Decimal, HumanName, Id, Instant, Integer, LanguageCode, Markdown, Oid, PositiveInt, String, UnsignedInt, Uri, Uuid, Xhtml. The sub-type for HumanName(for example HumanName.given, HumanName.family) can be omitted.", "type": "array", "items": { "type": "string" } }, "action": { "enumDescriptions": [ "No action specified.", "Transform the entire field based on transformations specified in TextConfig. When the specified transformation cannot be applied to a field, RedactConfig is used. For example, a Crypto Hash transformation can't be applied to a FHIR Date field.", "Inspect and transform any found PHI. When `AnnotationConfig` is provided, annotations of PHI will be generated, except for Date and Datetime.", "Do not transform." ], "type": "string", "description": "Deidentify action for one field.", "enum": [ "ACTION_UNSPECIFIED", "TRANSFORM", "INSPECT_AND_TRANSFORM", "DO_NOT_TRANSFORM" ] } } }, "SchemaGroup": { "id": "SchemaGroup", "description": "An HL7v2 logical group construct.", "properties": { "choice": { "description": "True indicates that this is a choice group, meaning that only one of its segments can exist in a given message.", "type": "boolean" }, "maxOccurs": { "description": "The maximum number of times this group can be repeated. 0 or -1 means unbounded.", "type": "integer", "format": "int32" }, "members": { "type": "array", "items": { "$ref": "GroupOrSegment" }, "description": "Nested groups and/or segments." }, "name": { "type": "string", "description": "The name of this group. For example, \"ORDER_DETAIL\"." }, "minOccurs": { "format": "int32", "type": "integer", "description": "The minimum number of times this group must be present/repeated." } }, "type": "object" }, "EvaluateAnnotationStoreResponse": { "properties": {}, "id": "EvaluateAnnotationStoreResponse", "type": "object", "description": "Response for successful Annotation store evaluation operations. This structure is included in the response upon operation completion." }, "OperationMetadata": { "type": "object", "properties": { "apiMethodName": { "type": "string", "description": "The name of the API method that initiated the operation." }, "counter": { "$ref": "ProgressCounter" }, "endTime": { "format": "google-datetime", "type": "string", "description": "The time at which execution was completed." }, "logsUrl": { "type": "string", "description": "A link to audit and error logs in the log viewer. Error logs are generated only by some operations, listed at [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging)." }, "cancelRequested": { "description": "Specifies if cancellation was requested for the operation.", "type": "boolean" }, "createTime": { "description": "The time at which the operation was created by the API.", "type": "string", "format": "google-datetime" } }, "id": "OperationMetadata", "description": "OperationMetadata provides information about the operation execution. Returned in the long-running operation's metadata field." }, "ListDatasetsResponse": { "id": "ListDatasetsResponse", "type": "object", "properties": { "datasets": { "type": "array", "description": "The first page of datasets.", "items": { "$ref": "Dataset" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "Lists the available datasets." }, "Hl7V2Store": { "properties": { "rejectDuplicateMessage": { "type": "boolean", "description": "Determines whether to reject duplicate messages. A duplicate message is a message with the same raw bytes as a message that has already been ingested/created in this HL7v2 store. The default value is false, meaning that the store accepts the duplicate messages and it also returns the same ACK message in the IngestMessageResponse as has been returned previously. Note that only one resource is created in the store. When this field is set to true, CreateMessage/IngestMessage requests with a duplicate message will be rejected by the store, and IngestMessageErrorDetail returns a NACK message upon rejection." }, "name": { "type": "string", "description": "Resource name of the HL7v2 store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/hl7V2Stores/{hl7v2_store_id}`." }, "parserConfig": { "$ref": "ParserConfig", "description": "The configuration for the parser. It determines how the server parses the messages." }, "notificationConfig": { "description": "The notification destination all messages (both Ingest & Create) are published on. Only the message name is sent as part of the notification. If this is unset, no notifications are sent. Supplied by the client.", "$ref": "NotificationConfig" }, "labels": { "description": "User-supplied key-value pairs used to organize HL7v2 stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values are optional, must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store.", "additionalProperties": { "type": "string" }, "type": "object" }, "notificationConfigs": { "type": "array", "description": "A list of notification configs. Each configuration uses a filter to determine whether to publish a message (both Ingest & Create) on the corresponding notification destination. Only the message name is sent as part of the notification. Supplied by the client.", "items": { "$ref": "Hl7V2NotificationConfig" } } }, "description": "Represents an HL7v2 store.", "id": "Hl7V2Store", "type": "object" }, "ReplaceWithInfoTypeConfig": { "type": "object", "description": "When using the INSPECT_AND_TRANSFORM action, each match is replaced with the name of the info_type. For example, \"My name is Jane\" becomes \"My name is [PERSON_NAME].\" The TRANSFORM action is equivalent to redacting.", "properties": {}, "id": "ReplaceWithInfoTypeConfig" }, "ExportAnnotationsResponse": { "type": "object", "description": "Response for successful annotation export operations. This structure is included in response upon operation completion.", "id": "ExportAnnotationsResponse", "properties": {} }, "DateShiftConfig": { "id": "DateShiftConfig", "description": "Shift a date forward or backward in time by a random amount which is consistent for a given patient and crypto key combination.", "properties": { "cryptoKey": { "type": "string", "description": "An AES 128/192/256 bit key. Causes the shift to be computed based on this key and the patient ID. A default key is generated for each de-identification operation and is used when neither `crypto_key` nor `kms_wrapped` is specified. Must not be set if `kms_wrapped` is set.", "format": "byte" }, "kmsWrapped": { "description": "KMS wrapped key. Must not be set if `crypto_key` is set.", "$ref": "KmsWrappedCryptoKey" } }, "type": "object" }, "FhirNotificationConfig": { "type": "object", "description": "Contains the configuration for FHIR notifications.", "properties": { "pubsubTopic": { "type": "string", "description": "The [Pub/Sub](https://cloud.google.com/pubsub/docs/) topic that notifications of changes are published on. Supplied by the client. The notification is a `PubsubMessage` with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.Data` contains the resource name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.MessageId` is the ID of this notification. It is guaranteed to be unique within the topic. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.PublishTime` is the time when the message was published. Note that notifications are only sent if the topic is non-empty. [Topic names](https://cloud.google.com/pubsub/docs/overview#names) must be scoped to a project. The Cloud Healthcare API service account, service-@gcp-sa-healthcare.iam.gserviceaccount.com, must have publisher permissions on the given Pub/Sub topic. Not having adequate permissions causes the calls that send notifications to fail. If a notification can't be published to Pub/Sub, errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare-api/docs/how-tos/logging)." }, "sendFullResource": { "type": "boolean", "description": "Whether to send full FHIR resource to this Pub/Sub topic for Create and Update operation. Note that setting this to true does not guarantee that all resources will be sent in the format of full FHIR resource. When a resource change is too large or during heavy traffic, only the resource name will be sent. Clients should always check the \"payloadType\" label from a Pub/Sub message to determine whether it needs to fetch the full resource as a separate operation." } }, "id": "FhirNotificationConfig" }, "Binding": { "type": "object", "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" }, "type": "array" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } } }, "Hl7TypesConfig": { "id": "Hl7TypesConfig", "properties": { "version": { "items": { "$ref": "VersionSource" }, "description": "The version selectors that this config applies to. A message must match ALL version sources to apply.", "type": "array" }, "type": { "description": "The HL7v2 type definitions.", "items": { "$ref": "Type" }, "type": "array" } }, "description": "Root config for HL7v2 datatype definitions for a specific HL7v2 version.", "type": "object" }, "ImageConfig": { "properties": { "textRedactionMode": { "enum": [ "TEXT_REDACTION_MODE_UNSPECIFIED", "REDACT_ALL_TEXT", "REDACT_SENSITIVE_TEXT", "REDACT_NO_TEXT" ], "description": "Determines how to redact text from image.", "enumDescriptions": [ "No text redaction specified. Same as REDACT_NO_TEXT.", "Redact all text.", "Redact sensitive text. Uses the set of [Default DICOM InfoTypes](https://cloud.google.com/healthcare-api/docs/how-tos/dicom-deidentify#default_dicom_infotypes).", "Do not redact text." ], "type": "string" } }, "type": "object", "id": "ImageConfig", "description": "Specifies how to handle de-identification of image pixels." }, "ListMessagesResponse": { "description": "Lists the messages in the specified HL7v2 store.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "hl7V2Messages": { "type": "array", "description": "The returned Messages. Won't be more Messages than the value of page_size in the request. See view for populated fields.", "items": { "$ref": "Message" } } }, "id": "ListMessagesResponse" }, "IngestMessageResponse": { "properties": { "message": { "$ref": "Message", "description": "Created message resource." }, "hl7Ack": { "format": "byte", "description": "HL7v2 ACK message.", "type": "string" } }, "description": "Acknowledges that a message has been ingested into the specified HL7v2 store.", "id": "IngestMessageResponse", "type": "object" }, "KmsWrappedCryptoKey": { "id": "KmsWrappedCryptoKey", "properties": { "cryptoKey": { "type": "string", "description": "Required. The resource name of the KMS CryptoKey to use for unwrapping. For example, `projects/{project_id}/locations/{location_id}/keyRings/{keyring}/cryptoKeys/{key}`." }, "wrappedKey": { "format": "byte", "type": "string", "description": "Required. The wrapped data crypto key." } }, "type": "object", "description": "Include to use an existing data crypto key wrapped by KMS. The wrapped key must be a 128-, 192-, or 256-bit key. The key must grant the Cloud IAM permission `cloudkms.cryptoKeyVersions.useToDecrypt` to the project's Cloud Healthcare Service Agent service account. For more information, see [Creating a wrapped key] (https://cloud.google.com/dlp/docs/create-wrapped-key)." }, "ParserConfig": { "type": "object", "properties": { "allowNullHeader": { "type": "boolean", "description": "Determines whether messages with no header are allowed." }, "version": { "enum": [ "PARSER_VERSION_UNSPECIFIED", "V1", "V2", "V3" ], "description": "Immutable. Determines the version of both the default parser to be used when `schema` is not given, as well as the schematized parser used when `schema` is specified. This field is immutable after HL7v2 store creation.", "enumDescriptions": [ "Unspecified parser version, equivalent to V1.", "The `parsed_data` includes every given non-empty message field except the Field Separator (MSH-1) field. As a result, the parsed MSH segment starts with the MSH-2 field and the field numbers are off-by-one with respect to the HL7 standard.", "The `parsed_data` includes every given non-empty message field.", "This version is the same as V2, with the following change. The `parsed_data` contains unescaped escaped field separators, component separators, sub-component separators, repetition separators, escape characters, and truncation characters. If `schema` is specified, the schematized parser uses improved parsing heuristics compared to previous versions." ], "type": "string" }, "segmentTerminator": { "format": "byte", "type": "string", "description": "Byte(s) to use as the segment terminator. If this is unset, '\\r' is used as segment terminator, matching the HL7 version 2 specification." }, "schema": { "$ref": "SchemaPackage", "description": "Schemas used to parse messages in this store, if schematized parsing is desired." } }, "id": "ParserConfig", "description": "The configuration for the parser. It determines how the server parses the messages." }, "LinkedEntity": { "description": "EntityMentions can be linked to multiple entities using a LinkedEntity message lets us add other fields, e.g. confidence.", "type": "object", "properties": { "entityId": { "type": "string", "description": "entity_id is a concept unique identifier. These are prefixed by a string that identifies the entity coding system, followed by the unique identifier within that system. For example, \"UMLS/C0000970\". This also supports ad hoc entities, which are formed by normalizing entity mention content." } }, "id": "LinkedEntity" }, "SearchResourcesRequest": { "type": "object", "properties": { "resourceType": { "description": "The FHIR resource type to search, such as Patient or Observation. For a complete list, see the FHIR Resource Index ([DSTU2](https://hl7.org/implement/standards/fhir/DSTU2/resourcelist.html), [STU3](https://hl7.org/implement/standards/fhir/STU3/resourcelist.html), [R4](https://hl7.org/implement/standards/fhir/R4/resourcelist.html)).", "type": "string" } }, "description": "Request to search the resources in the specified FHIR store.", "id": "SearchResourcesRequest" }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "description": "Request message for `TestIamPermissions` method.", "type": "object", "id": "TestIamPermissionsRequest" }, "ListConsentsResponse": { "type": "object", "id": "ListConsentsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "consents": { "items": { "$ref": "Consent" }, "description": "The returned Consents. The maximum number of Consents returned is determined by the value of page_size in the ListConsentsRequest.", "type": "array" } } }, "DeidentifyDatasetRequest": { "properties": { "destinationDataset": { "description": "The name of the dataset resource to create and write the redacted data to. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must be in the same location as the source dataset. De-identifying data across multiple locations is not supported.", "type": "string" }, "gcsConfigUri": { "type": "string", "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified." }, "config": { "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified.", "$ref": "DeidentifyConfig" } }, "type": "object", "id": "DeidentifyDatasetRequest", "description": "Redacts identifying information from the specified dataset." }, "GoogleCloudHealthcareV1beta1AnnotationGcsSource": { "type": "object", "properties": { "uri": { "type": "string", "description": "Points to a Cloud Storage URI containing file(s) with content only. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: '*' to match 0 or more non-separator characters '**' to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .dcm), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.json` imports all files with .json extensions in `my-directory/` and its sub-directories. '?' to match 1 character All other URI formats are invalid. Files matching the wildcard are expected to contain content only, no metadata." } }, "description": "Specifies the configuration for importing data from Cloud Storage.", "id": "GoogleCloudHealthcareV1beta1AnnotationGcsSource" }, "Image": { "description": "Raw bytes representing consent artifact content.", "properties": { "gcsUri": { "description": "Input only. Points to a Cloud Storage URI containing the consent artifact content. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The Cloud Healthcare API service account must have the `roles/storage.objectViewer` Cloud IAM role for this Cloud Storage location. The consent artifact content at this URI is copied to a Cloud Storage location managed by the Cloud Healthcare API. Responses to fetching requests return the consent artifact content in raw_bytes.", "type": "string" }, "rawBytes": { "format": "byte", "description": "Consent artifact content represented as a stream of bytes. This field is populated when returned in GetConsentArtifact response, but not included in CreateConsentArtifact and ListConsentArtifact response.", "type": "string" } }, "type": "object", "id": "Image" }, "GoogleCloudHealthcareV1beta1FhirImportResourcesResponse": { "id": "GoogleCloudHealthcareV1beta1FhirImportResourcesResponse", "description": "Final response of importing resources. This structure is included in the response to describe the detailed outcome after the operation finishes successfully.", "properties": {}, "type": "object" }, "DeidentifiedStoreDestination": { "description": "Contains configuration for streaming de-identified FHIR export.", "id": "DeidentifiedStoreDestination", "type": "object", "properties": { "store": { "description": "The full resource name of a Cloud Healthcare FHIR store, for example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`.", "type": "string" }, "config": { "description": "The configuration to use when de-identifying resources that are added to this store.", "$ref": "DeidentifyConfig" } } }, "ExportAnnotationsRequest": { "description": "Request to export Annotations. The export operation is not atomic. If a failure occurs, any annotations already exported are not removed.", "properties": { "gcsDestination": { "$ref": "GoogleCloudHealthcareV1beta1AnnotationGcsDestination", "description": "The Cloud Storage destination, which requires the `roles/storage.objectAdmin` Cloud IAM role." }, "bigqueryDestination": { "$ref": "GoogleCloudHealthcareV1beta1AnnotationBigQueryDestination", "description": "The BigQuery output destination, which requires two IAM roles: `roles/bigquery.dataEditor` and `roles/bigquery.jobUser`." } }, "id": "ExportAnnotationsRequest", "type": "object" }, "ActivateConsentRequest": { "type": "object", "id": "ActivateConsentRequest", "properties": { "consentArtifact": { "type": "string", "description": "Required. The resource name of the Consent artifact that contains documentation of the user's consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`. If the draft Consent had a Consent artifact, this Consent artifact overwrites it." }, "expireTime": { "type": "string", "format": "google-datetime", "description": "Timestamp in UTC of when this Consent is considered expired." }, "ttl": { "format": "google-duration", "type": "string", "description": "The time to live for this Consent from when it is marked as active." } }, "description": "Activates the latest revision of the specified Consent by committing a new revision with `state` updated to `ACTIVE`. If the latest revision of the given Consent is in the `ACTIVE` state, no new revision is committed. A FAILED_PRECONDITION error occurs if the latest revision of the given consent is in the `REJECTED` or `REVOKED` state." }, "Location": { "type": "object", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "GoogleCloudHealthcareV1beta1FhirGcsDestination": { "type": "object", "id": "GoogleCloudHealthcareV1beta1FhirGcsDestination", "properties": { "uriPrefix": { "description": "URI for a Cloud Storage directory where result files should be written (in the format `gs://{bucket-id}/{path/to/destination/dir}`). If there is no trailing slash, the service appends one when composing the object path. The Cloud Storage bucket referenced in `uri_prefix` must exist or an error occurs.", "type": "string" } }, "description": "The configuration for exporting to Cloud Storage." }, "ExportMessagesRequest": { "properties": { "gcsDestination": { "$ref": "GcsDestination", "description": "Export to a Cloud Storage destination." }, "startTime": { "description": "The start of the range in `send_time` (MSH.7, https://www.hl7.org/documentcenter/public_temp_2E58C1F9-1C23-BA17-0C6126475344DA9D/wg/conf/HL7MSH.htm) to process. If not specified, the UNIX epoch (1970-01-01T00:00:00Z) is used. This value has to come before the `end_time` defined below. Only messages whose `send_time` lies in the range `start_time` (inclusive) to `end_time` (exclusive) are exported.", "type": "string", "format": "google-datetime" }, "endTime": { "format": "google-datetime", "description": "The end of the range in `send_time` (MSH.7, https://www.hl7.org/documentcenter/public_temp_2E58C1F9-1C23-BA17-0C6126475344DA9D/wg/conf/HL7MSH.htm) to process. If not specified, the time when the export is scheduled is used. This value has to come after the `start_time` defined below. Only messages whose `send_time` lies in the range `start_time` (inclusive) to `end_time` (exclusive) are exported.", "type": "string" } }, "description": "Request to schedule an export.", "id": "ExportMessagesRequest", "type": "object" }, "ImageAnnotation": { "description": "Image annotation.", "type": "object", "properties": { "boundingPolys": { "type": "array", "description": "The list of polygons outlining the sensitive regions in the image.", "items": { "$ref": "BoundingPoly" } }, "frameIndex": { "type": "integer", "description": "0-based index of the image frame. For example, an image frame in a DICOM instance.", "format": "int32" } }, "id": "ImageAnnotation" }, "CheckDataAccessRequest": { "type": "object", "properties": { "requestAttributes": { "description": "The values of request attributes associated with this access request.", "additionalProperties": { "type": "string" }, "type": "object" }, "consentList": { "description": "Optional. Specific Consents to evaluate the access request against. These Consents must have the same `user_id` as the evaluated User data mapping, must exist in the current `consent_store`, and have a `state` of either `ACTIVE` or `DRAFT`. A maximum of 100 Consents can be provided here. If no selection is specified, the access request is evaluated against all `ACTIVE` unexpired Consents with the same `user_id` as the evaluated User data mapping.", "$ref": "ConsentList" }, "dataId": { "type": "string", "description": "Required. The unique identifier of the resource to check access for. This identifier must correspond to a User data mapping in the given consent store." }, "responseView": { "description": "Optional. The view for CheckDataAccessResponse. If unspecified, defaults to `BASIC` and returns `consented` as `TRUE` or `FALSE`.", "enumDescriptions": [ "No response view specified. The API will default to the BASIC view.", "Only the `consented` field is populated in CheckDataAccessResponse.", "All fields within CheckDataAccessResponse are populated. When set to `FULL`, all `ACTIVE` Consents are evaluated even if a matching policy is found during evaluation." ], "enum": [ "RESPONSE_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "type": "string" } }, "id": "CheckDataAccessRequest", "description": "Checks if a particular data_id of a User data mapping in the given consent store is consented for a given use." }, "SetIamPolicyRequest": { "type": "object", "description": "Request message for `SetIamPolicy` method.", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" } }, "id": "SetIamPolicyRequest" }, "Consent": { "description": "Represents a user's consent.", "type": "object", "id": "Consent", "properties": { "name": { "type": "string", "description": "Resource name of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`. Cannot be changed after creation." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "ARCHIVED", "REVOKED", "DRAFT", "REJECTED" ], "description": "Required. Indicates the current state of this Consent.", "enumDescriptions": [ "No state specified. Treated as ACTIVE only at the time of resource creation.", "The Consent is active and is considered when evaluating a user's consent on resources.", "The archived state is currently not being used.", "A revoked Consent is not considered when evaluating a user's consent on resources.", "A draft Consent is not considered when evaluating a user's consent on resources unless explicitly specified.", "When a draft Consent is rejected by a user, it is set to a rejected state. A rejected Consent is not considered when evaluating a user's consent on resources." ], "type": "string" }, "expireTime": { "description": "Timestamp in UTC of when this Consent is considered expired.", "type": "string", "format": "google-datetime" }, "ttl": { "type": "string", "format": "google-duration", "description": "Input only. The time to live for this Consent from when it is created." }, "revisionId": { "type": "string", "readOnly": true, "description": "Output only. The revision ID of the Consent. The format is an 8-character hexadecimal string. Refer to a specific revision of a Consent by appending `@{revision_id}` to the Consent's resource name." }, "revisionCreateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The timestamp that the revision was created." }, "userId": { "description": "Required. User's UUID provided by the client.", "type": "string" }, "consentArtifact": { "type": "string", "description": "Required. The resource name of the Consent artifact that contains proof of the end user's consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`." }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Optional. User-supplied key-value pairs used to organize Consent resources. Metadata keys must: - be between 1 and 63 characters long - have a UTF-8 encoding of maximum 128 bytes - begin with a letter - consist of up to 63 characters including lowercase letters, numeric characters, underscores, and dashes Metadata values must be: - be between 1 and 63 characters long - have a UTF-8 encoding of maximum 128 bytes - consist of up to 63 characters including lowercase letters, numeric characters, underscores, and dashes No more than 64 metadata entries can be associated with a given consent.", "type": "object" }, "policies": { "description": "Optional. Represents a user's consent in terms of the resources that can be accessed and under what conditions.", "items": { "$ref": "GoogleCloudHealthcareV1beta1ConsentPolicy" }, "type": "array" } } }, "ListConsentArtifactsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "consentArtifacts": { "description": "The returned Consent artifacts. The maximum number of artifacts returned is determined by the value of page_size in the ListConsentArtifactsRequest.", "type": "array", "items": { "$ref": "ConsentArtifact" } } }, "type": "object", "id": "ListConsentArtifactsResponse" }, "DicomFilterConfig": { "description": "Specifies the filter configuration for DICOM resources.", "properties": { "resourcePathsGcsUri": { "type": "string", "description": "The Cloud Storage location of the filter configuration file. The `gcs_uri` must be in the format `gs://bucket/path/to/object`. The filter configuration file must contain a list of resource paths separated by newline characters (\\n or \\r\\n). Each resource path must be in the format \"/studies/{studyUID}[/series/{seriesUID}[/instances/{instanceUID}]]\" The Cloud Healthcare API service account must have the `roles/storage.objectViewer` Cloud IAM role for this Cloud Storage location." } }, "id": "DicomFilterConfig", "type": "object" }, "CharacterMaskConfig": { "properties": { "maskingCharacter": { "type": "string", "description": "Character to mask the sensitive values. If not supplied, defaults to \"*\"." } }, "id": "CharacterMaskConfig", "description": "Mask a string by replacing its characters with a fixed character.", "type": "object" }, "SearchConfig": { "type": "object", "id": "SearchConfig", "description": "Contains the configuration for FHIR search.", "properties": { "searchParameters": { "description": "A list of search parameters in this FHIR store that are used to configure this FHIR store.", "type": "array", "items": { "$ref": "SearchParameter" } } } }, "AnalyzeEntitiesResponse": { "id": "AnalyzeEntitiesResponse", "description": "Includes recognized entity mentions and relationships between them.", "properties": { "entityMentions": { "type": "array", "items": { "$ref": "EntityMention" }, "description": "entity_mentions contains all the annotated medical entities that were mentioned in the provided document." }, "relationships": { "type": "array", "items": { "$ref": "EntityMentionRelationship" }, "description": "relationships contains all the binary relationships that were identified between entity mentions within the provided document." }, "entities": { "items": { "$ref": "Entity" }, "description": "The union of all the candidate entities that the entity_mentions in this response could link to. These are UMLS concepts or normalized mention content.", "type": "array" } }, "type": "object" }, "Annotation": { "description": "An annotation record.", "type": "object", "id": "Annotation", "properties": { "customData": { "description": "Additional information for this annotation record, such as annotator and verifier information or study campaign.", "type": "object", "additionalProperties": { "type": "string" } }, "imageAnnotation": { "$ref": "ImageAnnotation", "description": "Annotations for images. For example, bounding polygons." }, "name": { "type": "string", "description": "Resource name of the Annotation, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}/annotations/{annotation_id}`." }, "annotationSource": { "description": "Details of the source.", "$ref": "AnnotationSource" }, "textAnnotation": { "$ref": "SensitiveTextAnnotation", "description": "Annotations for sensitive texts. For example, a range that describes the location of sensitive text." }, "resourceAnnotation": { "$ref": "ResourceAnnotation", "description": "Annotations for resource. For example, classification tags." } } }, "TextSpan": { "id": "TextSpan", "type": "object", "properties": { "beginOffset": { "type": "integer", "description": "The unicode codepoint index of the beginning of this span.", "format": "int32" }, "content": { "type": "string", "description": "The original text contained in this span." } }, "description": "A span of text in the provided document." }, "ConfigureSearchRequest": { "type": "object", "properties": { "validateOnly": { "type": "boolean", "description": "If `validate_only` is set to true, the method will compile all the search parameters without actually setting the search config for the store and triggering the reindex." }, "canonicalUrls": { "type": "array", "items": { "type": "string" }, "description": "The canonical URLs of the search parameters that are intended to be used for the FHIR store. See https://www.hl7.org/fhir/references.html#canonical for explanation on FHIR canonical urls" } }, "id": "ConfigureSearchRequest", "description": "Request to configure the search parameters for the specified FHIR store." }, "DeidentifyOperationMetadata": { "description": "Details about the work the de-identify operation performed.", "id": "DeidentifyOperationMetadata", "properties": { "fhirOutput": { "$ref": "FhirOutput", "description": "Details about the FHIR store to write the output to." } }, "type": "object" }, "GoogleCloudHealthcareV1beta1DeidentifyDeidentifyFhirStoreSummary": { "id": "GoogleCloudHealthcareV1beta1DeidentifyDeidentifyFhirStoreSummary", "type": "object", "properties": {}, "description": "Contains a summary of the DeidentifyFhirStore operation." }, "GroupOrSegment": { "properties": { "segment": { "$ref": "SchemaSegment" }, "group": { "$ref": "SchemaGroup" } }, "type": "object", "id": "GroupOrSegment", "description": "Construct representing a logical group or a segment." }, "ListAnnotationsResponse": { "type": "object", "id": "ListAnnotationsResponse", "description": "Lists the Annotations in the specified Annotation store.", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results or empty if there are no more results in the list." }, "annotations": { "type": "array", "items": { "$ref": "Annotation" }, "description": "The returned Annotations. Won't be more values than the value of page_size in the request. See `AnnotationView` in the request for populated fields." } } }, "AnnotationSource": { "properties": { "cloudHealthcareSource": { "$ref": "CloudHealthcareSource", "description": "Cloud Healthcare API resource." } }, "description": "AnnotationSource holds the source information of the annotation.", "id": "AnnotationSource", "type": "object" }, "Policy": { "properties": { "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "type": "array", "items": { "$ref": "AuditConfig" } }, "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "etag": { "type": "string", "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "type": "object", "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "HttpBody": { "type": "object", "id": "HttpBody", "properties": { "contentType": { "type": "string", "description": "The HTTP Content-Type header value specifying the content type of the body." }, "extensions": { "description": "Application specific response metadata. Must be set in the first response for streaming APIs.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "data": { "description": "The HTTP request/response body as raw binary.", "type": "string", "format": "byte" } }, "description": "Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page. This message can be used both in streaming and non-streaming API methods in the request as well as the response. It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body. Example: message GetResourceRequest { // A unique request id. string request_id = 1; // The raw HTTP body is bound to this field. google.api.HttpBody http_body = 2; } service ResourceService { rpc GetResource(GetResourceRequest) returns (google.api.HttpBody); rpc UpdateResource(google.api.HttpBody) returns (google.protobuf.Empty); } Example with streaming methods: service CaldavService { rpc GetCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); rpc UpdateCalendar(stream google.api.HttpBody) returns (stream google.api.HttpBody); } Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged." }, "ImportAnnotationsResponse": { "type": "object", "id": "ImportAnnotationsResponse", "description": "Final response of importing Annotations in successful case. This structure is included in the response. It is only included when the operation finishes.", "properties": {} }, "GoogleCloudHealthcareV1beta1FhirBigQueryDestination": { "properties": { "schemaConfig": { "description": "The configuration for the exported BigQuery schema.", "$ref": "SchemaConfig" }, "force": { "type": "boolean", "description": "Use `write_disposition` instead. If `write_disposition` is specified, this parameter is ignored. force=false is equivalent to write_disposition=WRITE_EMPTY and force=true is equivalent to write_disposition=WRITE_TRUNCATE." }, "datasetUri": { "description": "BigQuery URI to an existing dataset, up to 2000 characters long, in the format `bq://projectId.bqDatasetId`.", "type": "string" }, "writeDisposition": { "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_EMPTY", "WRITE_TRUNCATE", "WRITE_APPEND" ], "type": "string", "description": "Determines if existing data in the destination dataset is overwritten, appended to, or not written if the tables contain data. If a write_disposition is specified, the `force` parameter is ignored.", "enumDescriptions": [ "Default behavior is the same as WRITE_EMPTY.", "Only export data if the destination tables are empty.", "Erase all existing data in the tables before writing the instances.", "Append data to the existing tables." ] } }, "description": "The configuration for exporting to BigQuery.", "type": "object", "id": "GoogleCloudHealthcareV1beta1FhirBigQueryDestination" }, "ArchiveUserDataMappingResponse": { "id": "ArchiveUserDataMappingResponse", "description": "Archives the specified User data mapping.", "properties": {}, "type": "object" }, "FilterList": { "description": "List of infoTypes to be filtered.", "properties": { "infoTypes": { "description": "These infoTypes are based on after the `eval_info_type_mapping` and `golden_info_type_mapping`.", "items": { "type": "string" }, "type": "array" } }, "id": "FilterList", "type": "object" }, "EvaluateAnnotationStoreRequest": { "properties": { "infoTypeConfig": { "$ref": "InfoTypeConfig" }, "goldenStore": { "type": "string", "description": "The Annotation store to use as ground truth, in the format of `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`." }, "evalInfoTypeMapping": { "additionalProperties": { "type": "string" }, "description": "Optional. InfoType mapping for `eval_store`. Different resources can map to the same infoType. For example, `PERSON_NAME`, `PERSON`, `NAME`, and `HUMAN` are different. To map all of these into a single infoType (such as `PERSON_NAME`), specify the following mapping: ``` info_type_mapping[\"PERSON\"] = \"PERSON_NAME\" info_type_mapping[\"NAME\"] = \"PERSON_NAME\" info_type_mapping[\"HUMAN\"] = \"PERSON_NAME\" ``` Unmentioned infoTypes, such as `DATE`, are treated as identity mapping. For example: ``` info_type_mapping[\"DATE\"] = \"DATE\" ``` InfoTypes are case-insensitive.", "type": "object" }, "goldenInfoTypeMapping": { "additionalProperties": { "type": "string" }, "description": "Optional. Similar to `eval_info_type_mapping`, infoType mapping for `golden_store`.", "type": "object" }, "bigqueryDestination": { "description": "The BigQuery table where the server writes the output. BigQueryDestination requires the `roles/bigquery.dataEditor` and `roles/bigquery.jobUser` Cloud IAM roles.", "$ref": "GoogleCloudHealthcareV1beta1AnnotationBigQueryDestination" } }, "description": "Request to evaluate an Annotation store against a ground truth [Annotation store].", "type": "object", "id": "EvaluateAnnotationStoreRequest" }, "GoogleCloudHealthcareV1beta1DicomStreamConfig": { "description": "StreamConfig specifies configuration for a streaming DICOM export.", "properties": { "bigqueryDestination": { "$ref": "GoogleCloudHealthcareV1beta1DicomBigQueryDestination", "description": "Results are appended to this table. The server creates a new table in the given BigQuery dataset if the specified table does not exist. To enable the Cloud Healthcare API to write to your BigQuery table, you must give the Cloud Healthcare API service account the bigquery.dataEditor role. The service account is: `service-{PROJECT_NUMBER}@gcp-sa-healthcare.iam.gserviceaccount.com`. The PROJECT_NUMBER identifies the project that the DICOM store resides in. To get the project number, go to the Cloud Console Dashboard. It is recommended to not have a custom schema in the destination table which could conflict with the schema created by the Cloud Healthcare API. Instance deletions are not applied to the destination table. The destination's table schema will be automatically updated in case a new instance's data is incompatible with the current schema. The schema should not be updated manually as this can cause incompatibilies that cannot be resolved automatically. One resolution in this case is to delete the incompatible table and let the server recreate one, though the newly created table only contains data after the table recreation. BigQuery imposes a 1 MB limit on streaming insert row size, therefore any instance that generates more than 1 MB of BigQuery data will not be streamed. If an instance cannot be streamed to BigQuery, errors will be logged to Cloud Logging (see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging))." } }, "type": "object", "id": "GoogleCloudHealthcareV1beta1DicomStreamConfig" }, "GoogleCloudHealthcareV1beta1ConsentPolicy": { "id": "GoogleCloudHealthcareV1beta1ConsentPolicy", "properties": { "resourceAttributes": { "items": { "$ref": "Attribute" }, "description": "The resources that this policy applies to. A resource is a match if it matches all the attributes listed here. If empty, this policy applies to all User data mappings for the given user.", "type": "array" }, "authorizationRule": { "description": "Required. The request conditions to meet to grant access. In addition to any supported comparison operators, authorization rules may have `IN` operator as well as at most 10 logical operators that are limited to `AND` (`&&`), `OR` (`||`).", "$ref": "Expr" } }, "type": "object", "description": "Represents a user's consent in terms of the resources that can be accessed and under what conditions." }, "ConsentList": { "id": "ConsentList", "properties": { "consents": { "description": "The resource names of the Consents to evaluate against, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consents/{consent_id}`.", "items": { "type": "string" }, "type": "array" } }, "description": "List of resource names of Consent resources.", "type": "object" }, "QueryAccessibleDataRequest": { "description": "Queries all data_ids that are consented for a given use in the given consent store and writes them to a specified destination. The returned Operation includes a progress counter for the number of User data mappings processed. Errors are logged to Cloud Logging (see [Viewing error logs in Cloud Logging] (https://cloud.google.com/healthcare/docs/how-tos/logging) and [QueryAccessibleData] for a sample log entry).", "type": "object", "id": "QueryAccessibleDataRequest", "properties": { "requestAttributes": { "type": "object", "description": "The values of request attributes associated with this access request.", "additionalProperties": { "type": "string" } }, "resourceAttributes": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. The values of resource attributes associated with the type of resources being requested. If no values are specified, then all resource types are included in the output." }, "gcsDestination": { "$ref": "GoogleCloudHealthcareV1beta1ConsentGcsDestination", "description": "The Cloud Storage destination. The Cloud Healthcare API service account must have the `roles/storage.objectAdmin` Cloud IAM role for this Cloud Storage location. The object name is in the following format: query-accessible-data-result-{operation_id}.txt where each line contains a single data_id." } } }, "Type": { "id": "Type", "description": "A type definition for some HL7v2 type (incl. Segments and Datatypes).", "type": "object", "properties": { "name": { "description": "The name of this type. This would be the segment or datatype name. For example, \"PID\" or \"XPN\".", "type": "string" }, "fields": { "description": "The (sub) fields this type has (if not primitive).", "type": "array", "items": { "$ref": "Field" } }, "primitive": { "enumDescriptions": [ "Not a primitive.", "String primitive.", "Element that can have unschematized children.", "Like STRING, but all delimiters below this element are ignored." ], "type": "string", "description": "If this is a primitive type then this field is the type of the primitive For example, STRING. Leave unspecified for composite types.", "enum": [ "PRIMITIVE_UNSPECIFIED", "STRING", "VARIES", "UNESCAPED_STRING" ] } } }, "ListConsentRevisionsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "consents": { "items": { "$ref": "Consent" }, "type": "array", "description": "The returned Consent revisions. The maximum number of revisions returned is determined by the value of `page_size` in the ListConsentRevisionsRequest." } }, "id": "ListConsentRevisionsResponse", "type": "object" }, "DeidentifyFhirStoreRequest": { "type": "object", "description": "Creates a new FHIR store with sensitive information de-identified.", "properties": { "gcsConfigUri": { "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified.", "type": "string" }, "resourceFilter": { "$ref": "FhirFilter", "description": "A filter specifying the resources to include in the output. If not specified, all resources are included in the output." }, "destinationStore": { "description": "The name of the FHIR store to create and write the redacted data to. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/fhirStores/{fhir_store_id}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The source dataset and destination dataset must both reside in the same location. De-identifying data across multiple locations is not supported. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination FHIR store must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The caller must have the healthcare.fhirResources.update permission to write to the destination FHIR store.", "type": "string" }, "config": { "$ref": "DeidentifyConfig", "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified." }, "skipModifiedResources": { "type": "boolean", "description": "If true, skips resources that are created or modified after the de-identify operation is created." } }, "id": "DeidentifyFhirStoreRequest" }, "ImportDicomDataRequest": { "id": "ImportDicomDataRequest", "description": "Imports data into the specified DICOM store. Returns an error if any of the files to import are not DICOM files. This API accepts duplicate DICOM instances by ignoring the newly-pushed instance. It does not overwrite.", "properties": { "gcsSource": { "$ref": "GoogleCloudHealthcareV1beta1DicomGcsSource", "description": "Cloud Storage source data location and import configuration. The Cloud Healthcare Service Agent requires the `roles/storage.objectViewer` Cloud IAM roles on the Cloud Storage location." } }, "type": "object" }, "ParsedData": { "properties": { "segments": { "items": { "$ref": "Segment" }, "type": "array" } }, "type": "object", "id": "ParsedData", "description": "The content of an HL7v2 message in a structured format." }, "GoogleCloudHealthcareV1beta1FhirGcsSource": { "description": "Specifies the configuration for importing data from Cloud Storage.", "type": "object", "properties": { "uri": { "type": "string", "description": "Points to a Cloud Storage URI containing file(s) to import. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*` to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `**` to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .ndjson), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.ndjson` imports all files with `.ndjson` extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `?` to match 1 character Files matching the wildcard are expected to contain content only, no metadata." } }, "id": "GoogleCloudHealthcareV1beta1FhirGcsSource" }, "ListAttributeDefinitionsResponse": { "id": "ListAttributeDefinitionsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "attributeDefinitions": { "type": "array", "items": { "$ref": "AttributeDefinition" }, "description": "The returned Attribute definitions. The maximum number of attributes returned is determined by the value of page_size in the ListAttributeDefinitionsRequest." } } }, "CreateMessageRequest": { "properties": { "message": { "$ref": "Message", "description": "HL7v2 message." } }, "description": "Creates a new message.", "type": "object", "id": "CreateMessageRequest" }, "GoogleCloudHealthcareV1beta1DicomGcsSource": { "id": "GoogleCloudHealthcareV1beta1DicomGcsSource", "properties": { "uri": { "description": "Points to a Cloud Storage URI containing file(s) with content only. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '*' to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '**' to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .dcm), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.dcm` imports all files with .dcm extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh '?' to match 1 character. All other URI formats are invalid. Files matching the wildcard are expected to contain content only, no metadata.", "type": "string" } }, "type": "object", "description": "Specifies the configuration for importing data from Cloud Storage." }, "SchemaSegment": { "description": "An HL7v2 Segment.", "id": "SchemaSegment", "type": "object", "properties": { "type": { "description": "The Segment type. For example, \"PID\".", "type": "string" }, "minOccurs": { "description": "The minimum number of times this segment can be present in this group.", "format": "int32", "type": "integer" }, "maxOccurs": { "description": "The maximum number of times this segment can be present in this group. 0 or -1 means unbounded.", "format": "int32", "type": "integer" } } }, "ImportAnnotationsRequest": { "id": "ImportAnnotationsRequest", "type": "object", "properties": { "gcsSource": { "$ref": "GoogleCloudHealthcareV1beta1AnnotationGcsSource" } }, "description": "Request to import Annotations. The Annotations to be imported must have client-supplied resource names which indicate the annotation resource. The import operation is not atomic. If a failure occurs, any annotations already imported are not removed." }, "ListFhirStoresResponse": { "id": "ListFhirStoresResponse", "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" }, "fhirStores": { "items": { "$ref": "FhirStore" }, "type": "array", "description": "The returned FHIR stores. Won't be more FHIR stores than the value of page_size in the request." } }, "description": "Lists the FHIR stores in the given dataset.", "type": "object" }, "ListUserDataMappingsResponse": { "properties": { "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "userDataMappings": { "items": { "$ref": "UserDataMapping" }, "description": "The returned User data mappings. The maximum number of User data mappings returned is determined by the value of page_size in the ListUserDataMappingsRequest.", "type": "array" } }, "type": "object", "id": "ListUserDataMappingsResponse" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } }, "type": "object", "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method." }, "InfoTypeConfig": { "description": "Specifies how to use infoTypes for evaluation. For example, a user might only want to evaluate `PERSON`, `LOCATION`, and `AGE`.", "type": "object", "properties": { "ignoreList": { "$ref": "FilterList" }, "strictMatching": { "description": "If `TRUE`, infoTypes described by `filter` are used for evaluation. Otherwise, infoTypes are not considered for evaluation. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Annotated text: \"Toronto is a location\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 1: `{\"infoType\": \"PERSON\", \"quote\": \"Toronto\", \"start\": 0, \"end\": 7}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 2: `{\"infoType\": \"CITY\", \"quote\": \"Toronto\", \"start\": 0, \"end\": 7}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 3: `{}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Ground truth: `{\"infoType\": \"LOCATION\", \"quote\": \"Toronto\", \"start\": 0, \"end\": 7}` When `strict_matching` is `TRUE`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 1: 1 false positive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 2: 1 false positive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 3: 1 false negative When `strict_matching` is `FALSE`: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 1: 1 true positive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 2: 1 true positive LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Finding 3: 1 false negative", "type": "boolean" }, "evaluateList": { "$ref": "FilterList" } }, "id": "InfoTypeConfig" }, "PatientId": { "id": "PatientId", "properties": { "type": { "type": "string", "description": "ID type. For example, MRN or NHS." }, "value": { "description": "The patient's unique identifier.", "type": "string" } }, "description": "A patient identifier and associated type.", "type": "object" }, "AttributeDefinition": { "type": "object", "id": "AttributeDefinition", "properties": { "allowedValues": { "description": "Required. Possible values for the attribute. The number of allowed values must not exceed 500. An empty list is invalid. The list can only be expanded after creation.", "type": "array", "items": { "type": "string" } }, "dataMappingDefaultValue": { "description": "Optional. Default value of the attribute in User data mappings. If no default value is specified, it defaults to an empty value. This field is only applicable to attributes of the category `RESOURCE`.", "type": "string" }, "category": { "type": "string", "enumDescriptions": [ "No category specified. This option is invalid.", "Specify this category when this attribute describes the properties of resources. For example, data anonymity or data type.", "Specify this category when this attribute describes the properties of requests. For example, requester's role or requester's organization." ], "enum": [ "CATEGORY_UNSPECIFIED", "RESOURCE", "REQUEST" ], "description": "Required. The category of the attribute. The value of this field cannot be changed after creation." }, "name": { "type": "string", "description": "Resource name of the Attribute definition, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/attributeDefinitions/{attribute_definition_id}`. Cannot be changed after creation." }, "consentDefaultValues": { "description": "Optional. Default values of the attribute in Consents. If no default values are specified, it defaults to an empty value.", "items": { "type": "string" }, "type": "array" }, "description": { "description": "Optional. A description of the attribute.", "type": "string" } }, "description": "A client-defined consent attribute." }, "ImportMessagesResponse": { "id": "ImportMessagesResponse", "properties": {}, "description": "Final response of importing messages. This structure is included in the response to describe the detailed outcome. It is only included when the operation finishes successfully.", "type": "object" }, "Result": { "description": "The consent evaluation result for a single `data_id`.", "type": "object", "properties": { "dataId": { "description": "The unique identifier of the evaluated resource.", "type": "string" }, "consented": { "description": "Whether the resource is consented for the given use.", "type": "boolean" }, "consentDetails": { "type": "object", "additionalProperties": { "$ref": "ConsentEvaluation" }, "description": "The resource names of all evaluated Consents mapped to their evaluation." } }, "id": "Result" }, "SearchParameter": { "properties": { "canonicalUrl": { "description": "The canonical url of the search parameter resource.", "type": "string" }, "parameter": { "description": "The versioned name of the search parameter resource. The format is projects/{project-id}/locations/{location}/datasets/{dataset-id}/fhirStores/{fhirStore-id}/fhir/SearchParameter/{resource-id}/_history/{version-id} For fhir stores with disable_resource_versioning=true, the format is projects/{project-id}/locations/{location}/datasets/{dataset-id}/fhirStores/{fhirStore-id}/fhir/SearchParameter/{resource-id}/", "type": "string" } }, "type": "object", "id": "SearchParameter", "description": "Contains the versioned name and the URL for one SearchParameter." }, "ExportDicomDataResponse": { "type": "object", "properties": {}, "description": "Returns additional information in regards to a completed DICOM store export.", "id": "ExportDicomDataResponse" }, "DeidentifyDicomStoreRequest": { "type": "object", "id": "DeidentifyDicomStoreRequest", "properties": { "gcsConfigUri": { "description": "Cloud Storage location to read the JSON cloud.healthcare.deidentify.DeidentifyConfig from, overriding the default config. Must be of the form `gs://{bucket_id}/path/to/object`. The Cloud Storage location must grant the Cloud IAM role `roles/storage.objectViewer` to the project's Cloud Healthcare Service Agent service account. Only one of `config` and `gcs_config_uri` can be specified.", "type": "string" }, "destinationStore": { "type": "string", "description": "The name of the DICOM store to create and write the redacted data to. For example, `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/dicomStores/{dicom_store_id}`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination dataset must exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The source dataset and destination dataset must both reside in the same location. De-identifying data across multiple locations is not supported. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The destination DICOM store must not exist. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The caller must have the necessary permissions to create the destination DICOM store." }, "filterConfig": { "$ref": "DicomFilterConfig", "description": "Filter configuration." }, "config": { "description": "Deidentify configuration. Only one of `config` and `gcs_config_uri` can be specified.", "$ref": "DeidentifyConfig" } }, "description": "Creates a new DICOM store with sensitive information de-identified." }, "ImportResourcesRequest": { "properties": { "gcsSource": { "description": "Cloud Storage source data location and import configuration. The Cloud Healthcare Service Agent requires the `roles/storage.objectViewer` Cloud IAM roles on the Cloud Storage location. The Healthcare Service Agent Each Cloud Storage object should be a text file that contains the format specified in ContentStructure.", "$ref": "GoogleCloudHealthcareV1beta1FhirGcsSource" }, "contentStructure": { "enumDescriptions": [ "If the content structure is not specified, the default value `BUNDLE` is used.", "The source file contains one or more lines of newline-delimited JSON (ndjson). Each line is a bundle that contains one or more resources.", "The source file contains one or more lines of newline-delimited JSON (ndjson). Each line is a single resource.", "The entire file is one JSON bundle. The JSON can span multiple lines.", "The entire file is one JSON resource. The JSON can span multiple lines." ], "type": "string", "description": "The content structure in the source location. If not specified, the server treats the input source files as BUNDLE.", "enum": [ "CONTENT_STRUCTURE_UNSPECIFIED", "BUNDLE", "RESOURCE", "BUNDLE_PRETTY", "RESOURCE_PRETTY" ] } }, "id": "ImportResourcesRequest", "type": "object", "description": "Request to import resources." }, "AuditConfig": { "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "id": "AuditConfig" }, "RevokeConsentRequest": { "description": "Revokes the latest revision of the specified Consent by committing a new revision with `state` updated to `REVOKED`. If the latest revision of the given Consent is in the `REVOKED` state, no new revision is committed.", "properties": { "consentArtifact": { "type": "string", "description": "Optional. The resource name of the Consent artifact that contains proof of the user's revocation of the Consent, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/consentArtifacts/{consent_artifact_id}`." } }, "id": "RevokeConsentRequest", "type": "object" }, "ListConsentStoresResponse": { "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "consentStores": { "description": "The returned consent stores. The maximum number of stores returned is determined by the value of page_size in the ListConsentStoresRequest.", "items": { "$ref": "ConsentStore" }, "type": "array" } }, "type": "object", "id": "ListConsentStoresResponse" }, "ProgressCounter": { "type": "object", "description": "ProgressCounter provides counters to describe an operation's progress.", "properties": { "success": { "type": "string", "description": "The number of units that succeeded in the operation.", "format": "int64" }, "failure": { "description": "The number of units that failed in the operation.", "type": "string", "format": "int64" }, "pending": { "format": "int64", "description": "The number of units that are pending in the operation.", "type": "string" } }, "id": "ProgressCounter" }, "GoogleCloudHealthcareV1beta1AnnotationBigQueryDestination": { "id": "GoogleCloudHealthcareV1beta1AnnotationBigQueryDestination", "description": "The BigQuery table for export.", "type": "object", "properties": { "tableUri": { "type": "string", "description": "BigQuery URI to a table, up to 2000 characters long, must be of the form bq://projectId.bqDatasetId.tableId." }, "writeDisposition": { "type": "string", "enumDescriptions": [ "Default behavior is the same as WRITE_EMPTY.", "Only export data if the destination table is empty.", "Erase all existing data in a table before writing the instances.", "Append data to the existing table." ], "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_EMPTY", "WRITE_TRUNCATE", "WRITE_APPEND" ], "description": "Determines if existing data in the destination dataset is overwritten, appended to, or not written if the tables contain data. If a write_disposition is specified, the `force` parameter is ignored." }, "force": { "description": "Use `write_disposition` instead. If `write_disposition` is specified, this parameter is ignored. force=false is equivalent to write_disposition=WRITE_EMPTY and force=true is equivalent to write_disposition=WRITE_TRUNCATE.", "type": "boolean" }, "schemaType": { "type": "string", "enum": [ "SCHEMA_TYPE_UNSPECIFIED", "SIMPLE" ], "description": "Specifies the schema format to export.", "enumDescriptions": [ "Same as SIMPLE.", "A flatterned version of Annotation." ] } } }, "RedactConfig": { "description": "Define how to redact sensitive values. Default behaviour is erase. For example, \"My name is Jane.\" becomes \"My name is .\"", "id": "RedactConfig", "type": "object", "properties": {} }, "Vertex": { "id": "Vertex", "description": "A 2D coordinate in an image. The origin is the top-left.", "type": "object", "properties": { "y": { "type": "number", "format": "float", "description": "Y coordinate." }, "x": { "type": "number", "description": "X coordinate.", "format": "float" } } }, "Hl7V2NotificationConfig": { "description": "Specifies where and whether to send notifications upon changes to a data store.", "type": "object", "properties": { "pubsubTopic": { "description": "The [Pub/Sub](https://cloud.google.com/pubsub/docs/) topic that notifications of changes are published on. Supplied by the client. The notification is a `PubsubMessage` with the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.Data` contains the resource name. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.MessageId` is the ID of this notification. It is guaranteed to be unique within the topic. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PubsubMessage.PublishTime` is the time when the message was published. Note that notifications are only sent if the topic is non-empty. [Topic names](https://cloud.google.com/pubsub/docs/overview#names) must be scoped to a project. Cloud Healthcare API service account must have publisher permissions on the given Pub/Sub topic. Not having adequate permissions causes the calls that send notifications to fail. If a notification can't be published to Pub/Sub, errors are logged to Cloud Logging. For more information, see [Viewing error logs in Cloud Logging](https://cloud.google.com/healthcare/docs/how-tos/logging).", "type": "string" }, "filter": { "type": "string", "description": "Restricts notifications sent for messages matching a filter. If this is empty, all messages are matched. The following syntax is available: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A string field value can be written as text inside quotation marks, for example `\"query text\"`. The only valid relational operation for text fields is equality (`=`), where text is searched within the field, rather than having the field be equal to the text. For example, `\"Comment = great\"` returns messages with `great` in the comment field. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A number field value can be written as an integer, a decimal, or an exponential. The valid relational operators for number fields are the equality operator (`=`), along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A date field value must be written in `yyyy-mm-dd` form. Fields with date and time use the RFC3339 time format. Leading zeros are required for one-digit months and days. The valid relational operators for date fields are the equality operator (`=`) , along with the less than/greater than operators (`\u003c`, `\u003c=`, `\u003e`, `\u003e=`). Note that there is no inequality (`!=`) operator. You can prepend the `NOT` operator to an expression to negate it. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Multiple field query expressions can be combined in one query by adding `AND` or `OR` operators between the expressions. If a boolean operator appears within a quoted string, it is not treated as special, it's just another part of the character string to be matched. You can prepend the `NOT` operator to an expression to negate it. Fields/functions available for filtering are: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `message_type`, from the MSH-9.1 field. For example, `NOT message_type = \"ADT\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_date` or `sendDate`, the YYYY-MM-DD date the message was sent in the dataset's time_zone, from the MSH-7 segment. For example, `send_date \u003c \"2017-01-02\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_time`, the timestamp when the message was sent, using the RFC3339 time format for comparisons, from the MSH-7 segment. For example, `send_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `create_time`, the timestamp when the message was created in the HL7v2 store. Use the RFC3339 time format for comparisons. For example, `create_time \u003c \"2017-01-02T00:00:00-05:00\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `send_facility`, the care center that the message came from, from the MSH-4 segment. For example, `send_facility = \"ABC\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `PatientId(value, type)`, which matches if the message lists a patient having an ID of the given value and type in the PID-2, PID-3, or PID-4 segments. For example, `PatientId(\"123456\", \"MRN\")`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels.x`, a string value of the label with key `x` as set using the Message.labels map. For example, `labels.\"priority\"=\"high\"`. The operator `:*` can be used to assert the existence of a label. For example, `labels.\"priority\":*`." } }, "id": "Hl7V2NotificationConfig" }, "BoundingPoly": { "type": "object", "description": "A bounding polygon for the detected image annotation.", "properties": { "vertices": { "description": "List of the vertices of this polygon.", "items": { "$ref": "Vertex" }, "type": "array" }, "label": { "type": "string", "description": "A description of this polygon." } }, "id": "BoundingPoly" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "exemptedMembers": { "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array" }, "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] } } }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object" }, "EntityMentionRelationship": { "properties": { "confidence": { "type": "number", "format": "double", "description": "The model's confidence in this annotation. A number between 0 and 1." }, "subjectId": { "description": "subject_id is the id of the subject entity mention.", "type": "string" }, "objectId": { "description": "object_id is the id of the object entity mention.", "type": "string" } }, "type": "object", "description": "Defines directed relationship from one entity mention to another.", "id": "EntityMentionRelationship" }, "AnnotationStore": { "id": "AnnotationStore", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. User-supplied key-value pairs used to organize Annotation stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62} Label values must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63} No more than 64 labels can be associated with a given store." }, "name": { "description": "Resource name of the Annotation store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/annotationStores/{annotation_store_id}`.", "type": "string" } }, "description": "An Annotation store that can store annotation resources such as labels and tags for text, image and audio.", "type": "object" }, "GoogleCloudHealthcareV1beta1DicomBigQueryDestination": { "type": "object", "description": "The BigQuery table where the server writes output.", "id": "GoogleCloudHealthcareV1beta1DicomBigQueryDestination", "properties": { "force": { "type": "boolean", "description": "Use `write_disposition` instead. If `write_disposition` is specified, this parameter is ignored. force=false is equivalent to write_disposition=WRITE_EMPTY and force=true is equivalent to write_disposition=WRITE_TRUNCATE." }, "tableUri": { "description": "BigQuery URI to a table, up to 2000 characters long, in the format `bq://projectId.bqDatasetId.tableId`", "type": "string" }, "writeDisposition": { "enum": [ "WRITE_DISPOSITION_UNSPECIFIED", "WRITE_EMPTY", "WRITE_TRUNCATE", "WRITE_APPEND" ], "type": "string", "description": "Determines whether the existing table in the destination is to be overwritten or appended to. If a write_disposition is specified, the `force` parameter is ignored.", "enumDescriptions": [ "Default behavior is the same as WRITE_EMPTY.", "Only export data if the destination table is empty.", "Erase all existing data in a table before writing the instances.", "Append data to the existing table." ] } } }, "Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." } } }, "SchemaConfig": { "properties": { "schemaType": { "type": "string", "description": "Specifies the output schema type. Schema type is required.", "enumDescriptions": [ "No schema type specified. This type is unsupported.", "A data-driven schema generated from the fields present in the FHIR data being exported, with no additional simplification.", "Analytics schema defined by the FHIR community. See https://github.com/FHIR/sql-on-fhir/blob/master/sql-on-fhir.md. BigQuery only allows a maximum of 10,000 columns per table. Due to this limitation, the server will not generate schemas for fields of type `Resource`, which can hold any resource type. The affected fields are `Parameters.parameter.resource`, `Bundle.entry.resource`, and `Bundle.entry.response.outcome`.", "Analytics V2, similar to schema defined by the FHIR community, with added support for extensions with one or more occurrences and contained resources in stringified JSON." ], "enum": [ "SCHEMA_TYPE_UNSPECIFIED", "LOSSLESS", "ANALYTICS", "ANALYTICS_V2" ] }, "recursiveStructureDepth": { "format": "int64", "type": "string", "description": "The depth for all recursive structures in the output analytics schema. For example, `concept` in the CodeSystem resource is a recursive structure; when the depth is 2, the CodeSystem table will have a column called `concept.concept` but not `concept.concept.concept`. If not specified or set to 0, the server will use the default value 2. The maximum depth allowed is 5." } }, "description": "Configuration for the FHIR BigQuery schema. Determines how the server generates the schema.", "id": "SchemaConfig", "type": "object" }, "ListDicomStoresResponse": { "properties": { "dicomStores": { "type": "array", "items": { "$ref": "DicomStore" }, "description": "The returned DICOM stores. Won't be more DICOM stores than the value of page_size in the request." }, "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" } }, "description": "Lists the DICOM stores in the given dataset.", "id": "ListDicomStoresResponse", "type": "object" }, "FhirFilter": { "properties": { "resources": { "$ref": "Resources", "description": "List of resources to include in the output. If this list is empty or not specified, all resources are included in the output." } }, "description": "Filter configuration.", "id": "FhirFilter", "type": "object" }, "ConsentStore": { "description": "Represents a consent store.", "id": "ConsentStore", "properties": { "defaultConsentTtl": { "description": "Optional. Default time to live for Consents created in this store. Must be at least 24 hours. Updating this field will not affect the expiration time of existing consents.", "format": "google-duration", "type": "string" }, "name": { "type": "string", "description": "Resource name of the consent store, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}`. Cannot be changed after creation." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. User-supplied key-value pairs used to organize consent stores. Label keys must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: \\p{Ll}\\p{Lo}{0,62}. Label values must be between 1 and 63 characters long, have a UTF-8 encoding of maximum 128 bytes, and must conform to the following PCRE regular expression: [\\p{Ll}\\p{Lo}\\p{N}_-]{0,63}. No more than 64 labels can be associated with a given store. For more information: https://cloud.google.com/healthcare/docs/how-tos/labeling-resources" }, "enableConsentCreateOnUpdate": { "description": "Optional. If `true`, UpdateConsent creates the Consent if it does not already exist. If unspecified, defaults to `false`.", "type": "boolean" } }, "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" }, "type": "array" } }, "description": "The response message for Operations.ListOperations." }, "DeidentifySummary": { "id": "DeidentifySummary", "properties": {}, "type": "object", "description": "Contains a detailed summary of the Deidentify operation." }, "Hl7SchemaConfig": { "type": "object", "id": "Hl7SchemaConfig", "description": "Root config message for HL7v2 schema. This contains a schema structure of groups and segments, and filters that determine which messages to apply the schema structure to.", "properties": { "messageSchemaConfigs": { "additionalProperties": { "$ref": "SchemaGroup" }, "description": "Map from each HL7v2 message type and trigger event pair, such as ADT_A04, to its schema configuration root group.", "type": "object" }, "version": { "type": "array", "description": "Each VersionSource is tested and only if they all match is the schema used for the message.", "items": { "$ref": "VersionSource" } } } }, "Signature": { "properties": { "signatureTime": { "type": "string", "description": "Optional. Timestamp of the signature.", "format": "google-datetime" }, "metadata": { "additionalProperties": { "type": "string" }, "description": "Optional. Metadata associated with the user's signature. For example, the user's name or the user's title.", "type": "object" }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "image": { "description": "Optional. An image of the user's signature.", "$ref": "Image" } }, "type": "object", "description": "User signature.", "id": "Signature" }, "GcsDestination": { "id": "GcsDestination", "properties": { "contentStructure": { "enumDescriptions": [ "If the content structure is not specified, the default value `MESSAGE_JSON` will be used.", "Messages are printed using the JSON format returned from the `GetMessage` API. Messages are delimited with newlines." ], "description": "The format of the exported HL7v2 message files.", "type": "string", "enum": [ "CONTENT_STRUCTURE_UNSPECIFIED", "MESSAGE_JSON" ] }, "messageView": { "description": "Specifies the parts of the Message resource to include in the export. If not specified, FULL is used.", "enumDescriptions": [ "Not specified, equivalent to FULL for getMessage, equivalent to BASIC for listMessages.", "Server responses include all the message fields except parsed_data, and schematized_data fields.", "Server responses include all the message fields except data and schematized_data fields.", "Server responses include all the message fields.", "Server responses include all the message fields except data and parsed_data fields.", "Server responses include only the name field." ], "enum": [ "MESSAGE_VIEW_UNSPECIFIED", "RAW_ONLY", "PARSED_ONLY", "FULL", "SCHEMATIZED_ONLY", "BASIC" ], "type": "string" }, "uriPrefix": { "type": "string", "description": "URI of an existing Cloud Storage directory where the server writes result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`. If there is no trailing slash, the service appends one when composing the object path." } }, "description": "The Cloud Storage output destination. The Cloud Healthcare Service Agent requires the `roles/storage.objectAdmin` Cloud IAM roles on the Cloud Storage location.", "type": "object" }, "ExportMessagesResponse": { "id": "ExportMessagesResponse", "type": "object", "description": "Final response for the export operation. This structure is included in the response to describe the detailed outcome.", "properties": {} }, "CryptoHashConfig": { "properties": { "cryptoKey": { "format": "byte", "type": "string", "description": "An AES 128/192/256 bit key. Causes the hash to be computed based on this key. A default key is generated for each Deidentify operation and is used when neither `crypto_key` nor `kms_wrapped` is specified. Must not be set if `kms_wrapped` is set." }, "kmsWrapped": { "$ref": "KmsWrappedCryptoKey", "description": "KMS wrapped key. Must not be set if `crypto_key` is set." } }, "type": "object", "id": "CryptoHashConfig", "description": "Pseudonymization method that generates surrogates via cryptographic hashing. Uses SHA-256. Outputs a base64-encoded representation of the hashed output. For example, `L7k0BHmF1ha5U3NfGykjro4xWi1MPVQPjhMAZbSV9mM=`." }, "AnalyzeEntitiesRequest": { "id": "AnalyzeEntitiesRequest", "description": "The request to analyze healthcare entities in a document.", "type": "object", "properties": { "licensedVocabularies": { "items": { "enumDescriptions": [ "No licensed vocabulary specified.", "ICD-10-CM vocabulary", "SNOMED CT (US version) vocabulary" ], "type": "string", "enum": [ "LICENSED_VOCABULARY_UNSPECIFIED", "ICD10CM", "SNOMEDCT_US" ] }, "type": "array", "description": "A list of licensed vocabularies to use in the request, in addition to the default unlicensed vocabularies." }, "documentContent": { "description": "document_content is a document to be annotated.", "type": "string" } } }, "BatchGetMessagesResponse": { "id": "BatchGetMessagesResponse", "description": "Gets multiple messages in a specified HL7v2 store.", "type": "object", "properties": { "messages": { "type": "array", "items": { "$ref": "Message" }, "description": "The returned Messages. See `MessageView` for populated fields." } } }, "GoogleCloudHealthcareV1beta1FhirExportResourcesResponse": { "properties": {}, "description": "Response when all resources export successfully. This structure is included in the response to describe the detailed outcome after the operation finishes successfully.", "id": "GoogleCloudHealthcareV1beta1FhirExportResourcesResponse", "type": "object" }, "ListHl7V2StoresResponse": { "description": "Lists the HL7v2 stores in the given dataset.", "properties": { "hl7V2Stores": { "items": { "$ref": "Hl7V2Store" }, "description": "The returned HL7v2 stores. Won't be more HL7v2 stores than the value of page_size in the request.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "id": "ListHl7V2StoresResponse" }, "ExportResourcesRequest": { "description": "Request to export resources.", "properties": { "_type": { "type": "string", "description": "String of comma-delimited FHIR resource types. If provided, only resources of the specified resource type(s) are exported." }, "_since": { "description": "If provided, only resources updated after this time are exported. The time uses the format YYYY-MM-DDThh:mm:ss.sss+zz:zz. For example, `2015-02-07T13:28:17.239+02:00` or `2017-01-01T00:00:00Z`. The time must be specified to the second and include a time zone.", "type": "string" }, "bigqueryDestination": { "description": "The BigQuery output destination. The Cloud Healthcare Service Agent requires two IAM roles on the BigQuery location: `roles/bigquery.dataEditor` and `roles/bigquery.jobUser`. The output is one BigQuery table per resource type. Unlike when setting `BigQueryDestination` for `StreamConfig`, `ExportResources` does not create BigQuery views.", "$ref": "GoogleCloudHealthcareV1beta1FhirBigQueryDestination" }, "gcsDestination": { "description": "The Cloud Storage output destination. The Cloud Healthcare Service Agent requires the `roles/storage.objectAdmin` Cloud IAM roles on the Cloud Storage location. The exported outputs are organized by FHIR resource types. The server creates one object per resource type. Each object contains newline delimited JSON, and each line is a FHIR resource.", "$ref": "GoogleCloudHealthcareV1beta1FhirGcsDestination" } }, "id": "ExportResourcesRequest", "type": "object" }, "ArchiveUserDataMappingRequest": { "properties": {}, "id": "ArchiveUserDataMappingRequest", "description": "Archives the specified User data mapping.", "type": "object" }, "QueryAccessibleDataResponse": { "properties": { "gcsUris": { "description": "List of files, each of which contains a list of data_id(s) that are consented for a specified use in the request.", "items": { "type": "string" }, "type": "array" } }, "description": "Response for successful QueryAccessibleData operations. This structure is included in the response upon operation completion.", "type": "object", "id": "QueryAccessibleDataResponse" }, "ResourceAnnotation": { "properties": { "label": { "type": "string", "description": "A description of the annotation record." } }, "type": "object", "description": "Resource level annotation.", "id": "ResourceAnnotation" }, "Finding": { "id": "Finding", "properties": { "infoType": { "type": "string", "description": "The type of information stored in this text range. For example, HumanName, BirthDate, or Address." }, "end": { "description": "Zero-based ending index of the found text, exclusively.", "format": "int64", "type": "string" }, "quote": { "type": "string", "description": "The snippet of the sensitive text. This field is only populated during deidentification if `store_quote` is set to true in DeidentifyConfig." }, "start": { "type": "string", "format": "int64", "description": "Zero-based starting index of the found text, inclusively." } }, "type": "object" }, "EntityMention": { "description": "An entity mention in the document.", "type": "object", "properties": { "mentionId": { "description": "mention_id uniquely identifies each entity mention in a single response.", "type": "string" }, "subject": { "$ref": "Feature", "description": "The subject this entity mention relates to. Its value is one of: PATIENT, FAMILY_MEMBER, OTHER" }, "certaintyAssessment": { "description": "The certainty assessment of the entity mention. Its value is one of: LIKELY, SOMEWHAT_LIKELY, UNCERTAIN, SOMEWHAT_UNLIKELY, UNLIKELY, CONDITIONAL", "$ref": "Feature" }, "temporalAssessment": { "$ref": "Feature", "description": "How this entity mention relates to the subject temporally. Its value is one of: CURRENT, CLINICAL_HISTORY, FAMILY_HISTORY, UPCOMING, ALLERGY" }, "linkedEntities": { "type": "array", "description": "linked_entities are candidate ontological concepts that this entity mention may refer to. They are sorted by decreasing confidence.it", "items": { "$ref": "LinkedEntity" } }, "text": { "description": "text is the location of the entity mention in the document.", "$ref": "TextSpan" }, "type": { "type": "string", "description": "The semantic type of the entity: UNKNOWN_ENTITY_TYPE, ALONE, ANATOMICAL_STRUCTURE, ASSISTED_LIVING, BF_RESULT, BM_RESULT, BM_UNIT, BM_VALUE, BODY_FUNCTION, BODY_MEASUREMENT, COMPLIANT, DOESNOT_FOLLOWUP, FAMILY, FOLLOWSUP, LABORATORY_DATA, LAB_RESULT, LAB_UNIT, LAB_VALUE, MEDICAL_DEVICE, MEDICINE, MED_DOSE, MED_DURATION, MED_FORM, MED_FREQUENCY, MED_ROUTE, MED_STATUS, MED_STRENGTH, MED_TOTALDOSE, MED_UNIT, NON_COMPLIANT, OTHER_LIVINGSTATUS, PROBLEM, PROCEDURE, PROCEDURE_RESULT, PROC_METHOD, REASON_FOR_NONCOMPLIANCE, SEVERITY, SUBSTANCE_ABUSE, UNCLEAR_FOLLOWUP." }, "confidence": { "format": "double", "type": "number", "description": "The model's confidence in this entity mention annotation. A number between 0 and 1." } }, "id": "EntityMention" }, "GcsSource": { "description": "Specifies the configuration for importing data from Cloud Storage.", "properties": { "uri": { "type": "string", "description": "Points to a Cloud Storage URI containing file(s) to import. The URI must be in the following format: `gs://{bucket_id}/{object_id}`. The URI can include wildcards in `object_id` and thus identify multiple files. Supported wildcards: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `*` to match 0 or more non-separator characters LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `**` to match 0 or more characters (including separators). Must be used at the end of a path and with no other wildcards in the path. Can also be used with a file extension (such as .ndjson), which imports all files with the extension in the specified directory and its sub-directories. For example, `gs://my-bucket/my-directory/**.ndjson` imports all files with `.ndjson` extensions in `my-directory/` and its sub-directories. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `?` to match 1 character Files matching the wildcard are expected to contain content only, no metadata." } }, "id": "GcsSource", "type": "object" }, "UserDataMapping": { "id": "UserDataMapping", "properties": { "dataId": { "type": "string", "description": "Required. A unique identifier for the mapped resource." }, "resourceAttributes": { "description": "Attributes of the resource. Only explicitly set attributes are displayed here. Attribute definitions with defaults set implicitly apply to these User data mappings. Attributes listed here must be single valued, that is, exactly one value is specified for the field \"values\" in each Attribute.", "type": "array", "items": { "$ref": "Attribute" } }, "archiveTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. Indicates the time when this mapping was archived." }, "name": { "description": "Resource name of the User data mapping, of the form `projects/{project_id}/locations/{location_id}/datasets/{dataset_id}/consentStores/{consent_store_id}/userDataMappings/{user_data_mapping_id}`.", "type": "string" }, "userId": { "type": "string", "description": "Required. User's UUID provided by the client." }, "archived": { "description": "Output only. Indicates whether this mapping is archived.", "type": "boolean", "readOnly": true } }, "description": "Maps a resource to the associated user and Attributes.", "type": "object" }, "Entity": { "description": "The candidate entities that an entity mention could link to.", "type": "object", "properties": { "entityId": { "description": "entity_id is a first class field entity_id uniquely identifies this concept and its meta-vocabulary. For example, \"UMLS/C0000970\".", "type": "string" }, "vocabularyCodes": { "items": { "type": "string" }, "type": "array", "description": "Vocabulary codes are first-class fields and differentiated from the concept unique identifier (entity_id). vocabulary_codes contains the representation of this concept in particular vocabularies, such as ICD-10, SNOMED-CT and RxNORM. These are prefixed by the name of the vocabulary, followed by the unique code within that vocabulary. For example, \"RXNORM/A10334543\"." }, "preferredTerm": { "description": "preferred_term is the preferred term for this concept. For example, \"Acetaminophen\". For ad hoc entities formed by normalization, this is the most popular unnormalized string.", "type": "string" } }, "id": "Entity" }, "EvaluateUserConsentsRequest": { "description": "Evaluate a user's Consents for all matching User data mappings. Note: User data mappings are indexed asynchronously, causing slight delays between the time mappings are created or updated and when they are included in EvaluateUserConsents results.", "type": "object", "properties": { "consentList": { "description": "Optional. Specific Consents to evaluate the access request against. These Consents must have the same `user_id` as the User data mappings being evalauted, must exist in the current `consent_store`, and must have a `state` of either `ACTIVE` or `DRAFT`. A maximum of 100 Consents can be provided here. If unspecified, all `ACTIVE` unexpired Consents in the current `consent_store` will be evaluated.", "$ref": "ConsentList" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. Limit on the number of User data mappings to return in a single response. If not specified, 100 is used. May not be larger than 1000." }, "responseView": { "enumDescriptions": [ "No response view specified. The API will default to the BASIC view.", "Only the `data_id` and `consented` fields are populated in the response.", "All fields within the response are populated. When set to `FULL`, all `ACTIVE` Consents are evaluated even if a matching policy is found during evaluation." ], "type": "string", "description": "Optional. The view for EvaluateUserConsentsResponse. If unspecified, defaults to `BASIC` and returns `consented` as `TRUE` or `FALSE`.", "enum": [ "RESPONSE_VIEW_UNSPECIFIED", "BASIC", "FULL" ] }, "resourceAttributes": { "description": "Optional. The values of resource attributes associated with the resources being requested. If no values are specified, then all resources are queried.", "type": "object", "additionalProperties": { "type": "string" } }, "requestAttributes": { "additionalProperties": { "type": "string" }, "description": "Required. The values of request attributes associated with this access request.", "type": "object" }, "userId": { "type": "string", "description": "Required. User ID to evaluate consents for." }, "pageToken": { "type": "string", "description": "Optional. Token to retrieve the next page of results, or empty to get the first page." } }, "id": "EvaluateUserConsentsRequest" }, "CheckDataAccessResponse": { "description": "Checks if a particular data_id of a User data mapping in the given consent store is consented for a given use.", "type": "object", "id": "CheckDataAccessResponse", "properties": { "consentDetails": { "additionalProperties": { "$ref": "ConsentEvaluation" }, "type": "object", "description": "The resource names of all evaluated Consents mapped to their evaluation." }, "consented": { "description": "Whether the requested resource is consented for the given use.", "type": "boolean" } } }, "DicomConfig": { "properties": { "filterProfile": { "enumDescriptions": [ "No tag filtration profile provided. Same as KEEP_ALL_PROFILE.", "Keep only tags required to produce valid DICOM.", "Remove tags based on DICOM Standard's Attribute Confidentiality Basic Profile (DICOM Standard Edition 2018e) http://dicom.nema.org/medical/dicom/2018e/output/chtml/part15/chapter_E.html.", "Keep all tags.", "Inspects within tag contents and replaces sensitive text. The process can be configured using the TextConfig. Applies to all tags with the following Value Representation names: AE, LO, LT, PN, SH, ST, UC, UT, DA, DT, AS" ], "enum": [ "TAG_FILTER_PROFILE_UNSPECIFIED", "MINIMAL_KEEP_LIST_PROFILE", "ATTRIBUTE_CONFIDENTIALITY_BASIC_PROFILE", "KEEP_ALL_PROFILE", "DEIDENTIFY_TAG_CONTENTS" ], "description": "Tag filtering profile that determines which tags to keep/remove.", "type": "string" }, "removeList": { "$ref": "TagFilterList", "description": "List of tags to remove. Keep all other tags." }, "keepList": { "$ref": "TagFilterList", "description": "List of tags to keep. Remove all other tags." }, "skipIdRedaction": { "description": "If true, skip replacing StudyInstanceUID, SeriesInstanceUID, SOPInstanceUID, and MediaStorageSOPInstanceUID and leave them untouched. The Cloud Healthcare API regenerates these UIDs by default based on the DICOM Standard's reasoning: \"Whilst these UIDs cannot be mapped directly to an individual out of context, given access to the original images, or to a database of the original images containing the UIDs, it would be possible to recover the individual's identity.\" http://dicom.nema.org/medical/dicom/current/output/chtml/part15/sect_E.3.9.html", "type": "boolean" } }, "id": "DicomConfig", "type": "object", "description": "Specifies the parameters needed for de-identification of DICOM stores." }, "GoogleCloudHealthcareV1beta1DicomGcsDestination": { "description": "The Cloud Storage location where the server writes the output and the export configuration.", "type": "object", "id": "GoogleCloudHealthcareV1beta1DicomGcsDestination", "properties": { "uriPrefix": { "type": "string", "description": "The Cloud Storage destination to export to. URI for a Cloud Storage directory where the server writes the result files, in the format `gs://{bucket-id}/{path/to/destination/dir}`). If there is no trailing slash, the service appends one when composing the object path. The user is responsible for creating the Cloud Storage bucket referenced in `uri_prefix`." }, "mimeType": { "description": "MIME types supported by DICOM spec. Each file is written in the following format: `.../{study_id}/{series_id}/{instance_id}[/{frame_number}].{extension}` The frame_number component exists only for multi-frame instances. Supported MIME types are consistent with supported formats in DICOMweb: https://cloud.google.com/healthcare/docs/dicom#retrieve_transaction. Specifically, the following are supported: - application/dicom; transfer-syntax=1.2.840.10008.1.2.1 (uncompressed DICOM) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.50 (DICOM with embedded JPEG Baseline) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.90 (DICOM with embedded JPEG 2000 Lossless Only) - application/dicom; transfer-syntax=1.2.840.10008.1.2.4.91 (DICOM with embedded JPEG 2000)h - application/dicom; transfer-syntax=* (DICOM with no transcoding) - application/octet-stream; transfer-syntax=1.2.840.10008.1.2.1 (raw uncompressed PixelData) - application/octet-stream; transfer-syntax=* (raw PixelData in whatever format it was uploaded in) - image/jpeg; transfer-syntax=1.2.840.10008.1.2.4.50 (Consumer JPEG) - image/png The following extensions are used for output files: - application/dicom -\u003e .dcm - image/jpeg -\u003e .jpg - image/png -\u003e .png - application/octet-stream -\u003e no extension If unspecified, the instances are exported in the original DICOM format they were uploaded in.", "type": "string" } } }, "Attribute": { "id": "Attribute", "type": "object", "properties": { "attributeDefinitionId": { "type": "string", "description": "Indicates the name of an attribute defined in the consent store." }, "values": { "description": "The value of the attribute. Must be an acceptable value as defined in the consent store. For example, if the consent store defines \"data type\" with acceptable values \"questionnaire\" and \"step-count\", when the attribute name is data type, this field must contain one of those values.", "items": { "type": "string" }, "type": "array" } }, "description": "An attribute value for a Consent or User data mapping. Each Attribute must have a corresponding AttributeDefinition in the consent store that defines the default and allowed values." }, "Segment": { "id": "Segment", "type": "object", "description": "A segment in a structured format.", "properties": { "setId": { "description": "Set ID for segments that can be in a set. This can be empty if it's missing or isn't applicable.", "type": "string" }, "segmentId": { "type": "string", "description": "A string that indicates the type of segment. For example, EVN or PID." }, "fields": { "description": "A mapping from the positional location to the value. The key string uses zero-based indexes separated by dots to identify Fields, components and sub-components. A bracket notation is also used to identify different instances of a repeated field. Regex for key: (\\d+)(\\[\\d+\\])?(.\\d+)?(.\\d+)? Examples of (key, value) pairs: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (0.1, \"hemoglobin\") denotes that the first component of Field 0 has the value \"hemoglobin\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (1.1.2, \"CBC\") denotes that the second sub-component of the first component of Field 1 has the value \"CBC\". LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh (1[0].1, \"HbA1c\") denotes that the first component of the first Instance of Field 1, which is repeated, has the value \"HbA1c\".", "type": "object", "additionalProperties": { "type": "string" } } } }, "Expr": { "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } } }, "VersionSource": { "properties": { "mshField": { "description": "The field to extract from the MSH segment. For example, \"3.1\" or \"18[1].1\".", "type": "string" }, "value": { "type": "string", "description": "The value to match with the field. For example, \"My Application Name\" or \"2.3\"." } }, "description": "Describes a selector for extracting and matching an MSH field to a value.", "id": "VersionSource", "type": "object" } }, "version_module": true, "batchPath": "batch", "documentationLink": "https://cloud.google.com/healthcare" }
]===]))
