local decode = require("cjson").new().decode
return assert(decode([===[
{ "basePath": "", "fullyEncodeReservedExpansion": true, "title": "IAM Service Account Credentials API", "name": "iamcredentials", "description": "Creates short-lived credentials for impersonating IAM service accounts. To enable this API, you must enable the IAM API (iam.googleapis.com). ", "schemas": { "GenerateIdTokenRequest": { "type": "object", "id": "GenerateIdTokenRequest", "properties": { "delegates": { "description": "The sequence of service accounts in a delegation chain. Each service account must be granted the `roles/iam.serviceAccountTokenCreator` role on its next service account in the chain. The last service account in the chain must be granted the `roles/iam.serviceAccountTokenCreator` role on the service account that is specified in the `name` field of the request. The delegates must have the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid.", "items": { "type": "string" }, "type": "array" }, "audience": { "description": "Required. The audience for the token, such as the API or account that this token grants access to.", "type": "string" }, "includeEmail": { "type": "boolean", "description": "Include the service account email in the token. If set to `true`, the token will contain `email` and `email_verified` claims." } } }, "SignBlobRequest": { "properties": { "delegates": { "description": "The sequence of service accounts in a delegation chain. Each service account must be granted the `roles/iam.serviceAccountTokenCreator` role on its next service account in the chain. The last service account in the chain must be granted the `roles/iam.serviceAccountTokenCreator` role on the service account that is specified in the `name` field of the request. The delegates must have the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid.", "type": "array", "items": { "type": "string" } }, "payload": { "format": "byte", "description": "Required. The bytes to sign.", "type": "string" } }, "id": "SignBlobRequest", "type": "object" }, "GenerateAccessTokenRequest": { "type": "object", "properties": { "lifetime": { "type": "string", "format": "google-duration", "description": "The desired lifetime duration of the access token in seconds. By default, the maximum allowed value is 1 hour. To set a lifetime of up to 12 hours, you can add the service account as an allowed value in an Organization Policy that enforces the `constraints/iam.allowServiceAccountCredentialLifetimeExtension` constraint. See detailed instructions at https://cloud.google.com/iam/help/credentials/lifetime If a value is not specified, the token's lifetime will be set to a default value of 1 hour." }, "delegates": { "items": { "type": "string" }, "description": "The sequence of service accounts in a delegation chain. This field is required for [delegated requests](https://cloud.google.com/iam/help/credentials/delegated-request). For [direct requests](https://cloud.google.com/iam/help/credentials/direct-request), which are more common, do not specify this field. Each service account must be granted the `roles/iam.serviceAccountTokenCreator` role on its next service account in the chain. The last service account in the chain must be granted the `roles/iam.serviceAccountTokenCreator` role on the service account that is specified in the `name` field of the request. The delegates must have the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid.", "type": "array" }, "scope": { "description": "Required. Code to identify the scopes to be included in the OAuth 2.0 access token. See https://developers.google.com/identity/protocols/googlescopes for more information. At least one value required.", "type": "array", "items": { "type": "string" } } }, "id": "GenerateAccessTokenRequest" }, "SignBlobResponse": { "id": "SignBlobResponse", "type": "object", "properties": { "signedBlob": { "type": "string", "description": "The signature for the blob. Does not include the original blob. After the key pair referenced by the `key_id` response field expires, Google no longer exposes the public key that can be used to verify the blob. As a result, the receiver can no longer verify the signature.", "format": "byte" }, "keyId": { "type": "string", "description": "The ID of the key used to sign the blob. The key used for signing will remain valid for at least 12 hours after the blob is signed. To verify the signature, you can retrieve the public key in several formats from the following endpoints: - RSA public key wrapped in an X.509 v3 certificate: `https://www.googleapis.com/service_accounts/v1/metadata/x509/{ACCOUNT_EMAIL}` - Raw key in JSON format: `https://www.googleapis.com/service_accounts/v1/metadata/raw/{ACCOUNT_EMAIL}` - JSON Web Key (JWK): `https://www.googleapis.com/service_accounts/v1/metadata/jwk/{ACCOUNT_EMAIL}`" } } }, "SignJwtRequest": { "properties": { "payload": { "type": "string", "description": "Required. The JWT payload to sign. Must be a serialized JSON object that contains a JWT Claims Set. For example: `{\"sub\": \"user@example.com\", \"iat\": 313435}` If the JWT Claims Set contains an expiration time (`exp`) claim, it must be an integer timestamp that is not in the past and no more than 12 hours in the future." }, "delegates": { "type": "array", "items": { "type": "string" }, "description": "The sequence of service accounts in a delegation chain. Each service account must be granted the `roles/iam.serviceAccountTokenCreator` role on its next service account in the chain. The last service account in the chain must be granted the `roles/iam.serviceAccountTokenCreator` role on the service account that is specified in the `name` field of the request. The delegates must have the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid." } }, "type": "object", "id": "SignJwtRequest" }, "GenerateAccessTokenResponse": { "type": "object", "properties": { "accessToken": { "type": "string", "description": "The OAuth 2.0 access token." }, "expireTime": { "description": "Token expiration time. The expiration time is always set.", "format": "google-datetime", "type": "string" } }, "id": "GenerateAccessTokenResponse" }, "SignJwtResponse": { "id": "SignJwtResponse", "type": "object", "properties": { "keyId": { "type": "string", "description": "The ID of the key used to sign the JWT. The key used for signing will remain valid for at least 12 hours after the JWT is signed. To verify the signature, you can retrieve the public key in several formats from the following endpoints: - RSA public key wrapped in an X.509 v3 certificate: `https://www.googleapis.com/service_accounts/v1/metadata/x509/{ACCOUNT_EMAIL}` - Raw key in JSON format: `https://www.googleapis.com/service_accounts/v1/metadata/raw/{ACCOUNT_EMAIL}` - JSON Web Key (JWK): `https://www.googleapis.com/service_accounts/v1/metadata/jwk/{ACCOUNT_EMAIL}`" }, "signedJwt": { "type": "string", "description": "The signed JWT. Contains the automatically generated header; the client-supplied payload; and the signature, which is generated using the key referenced by the `kid` field in the header. After the key pair referenced by the `key_id` response field expires, Google no longer exposes the public key that can be used to verify the JWT. As a result, the receiver can no longer verify the signature." } } }, "GenerateIdTokenResponse": { "type": "object", "id": "GenerateIdTokenResponse", "properties": { "token": { "description": "The OpenId Connect ID token.", "type": "string" } } } }, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "baseUrl": "https://iamcredentials.googleapis.com/", "resources": { "projects": { "resources": { "serviceAccounts": { "methods": { "generateIdToken": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/serviceAccounts/{serviceAccountsId}:generateIdToken", "request": { "$ref": "GenerateIdTokenRequest" }, "description": "Generates an OpenID Connect ID token for a service account.", "response": { "$ref": "GenerateIdTokenResponse" }, "httpMethod": "POST", "path": "v1/{+name}:generateIdToken", "parameterOrder": [ "name" ], "id": "iamcredentials.projects.serviceAccounts.generateIdToken", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/serviceAccounts/[^/]+$", "required": true, "description": "Required. The resource name of the service account for which the credentials are requested, in the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid." } } }, "signJwt": { "path": "v1/{+name}:signJwt", "parameterOrder": [ "name" ], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "iamcredentials.projects.serviceAccounts.signJwt", "parameters": { "name": { "pattern": "^projects/[^/]+/serviceAccounts/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the service account for which the credentials are requested, in the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid." } }, "flatPath": "v1/projects/{projectsId}/serviceAccounts/{serviceAccountsId}:signJwt", "request": { "$ref": "SignJwtRequest" }, "response": { "$ref": "SignJwtResponse" }, "description": "Signs a JWT using a service account's system-managed private key." }, "generateAccessToken": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GenerateAccessTokenRequest" }, "description": "Generates an OAuth 2.0 access token for a service account.", "httpMethod": "POST", "path": "v1/{+name}:generateAccessToken", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The resource name of the service account for which the credentials are requested, in the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid.", "required": true, "pattern": "^projects/[^/]+/serviceAccounts/[^/]+$", "location": "path" } }, "response": { "$ref": "GenerateAccessTokenResponse" }, "id": "iamcredentials.projects.serviceAccounts.generateAccessToken", "flatPath": "v1/projects/{projectsId}/serviceAccounts/{serviceAccountsId}:generateAccessToken" }, "signBlob": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "iamcredentials.projects.serviceAccounts.signBlob", "description": "Signs a blob using a service account's system-managed private key.", "path": "v1/{+name}:signBlob", "parameters": { "name": { "location": "path", "description": "Required. The resource name of the service account for which the credentials are requested, in the following format: `projects/-/serviceAccounts/{ACCOUNT_EMAIL_OR_UNIQUEID}`. The `-` wildcard character is required; replacing it with a project ID is invalid.", "type": "string", "required": true, "pattern": "^projects/[^/]+/serviceAccounts/[^/]+$" } }, "request": { "$ref": "SignBlobRequest" }, "response": { "$ref": "SignBlobResponse" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/serviceAccounts/{serviceAccountsId}:signBlob" } } } } } }, "ownerName": "Google", "ownerDomain": "google.com", "protocol": "rest", "kind": "discovery#restDescription", "version": "v1", "discoveryVersion": "v1", "version_module": true, "servicePath": "", "batchPath": "batch", "mtlsRootUrl": "https://iamcredentials.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/iam/docs/creating-short-lived-service-account-credentials", "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format." }, "alt": { "type": "string", "default": "json", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "revision": "20220624", "rootUrl": "https://iamcredentials.googleapis.com/", "canonicalName": "IAM Credentials", "id": "iamcredentials:v1" }
]===]))
