local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "documents": { "methods": { "analyzeEntitySentiment": { "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "AnalyzeEntitySentimentRequest" }, "path": "v1/documents:analyzeEntitySentiment", "flatPath": "v1/documents:analyzeEntitySentiment", "id": "language.documents.analyzeEntitySentiment", "parameters": {}, "response": { "$ref": "AnalyzeEntitySentimentResponse" }, "description": "Finds entities, similar to AnalyzeEntities in the text and analyzes sentiment associated with each entity and its mentions.", "parameterOrder": [], "httpMethod": "POST" }, "analyzeSyntax": { "parameters": {}, "response": { "$ref": "AnalyzeSyntaxResponse" }, "description": "Analyzes the syntax of the text and provides sentence boundaries and tokenization along with part of speech tags, dependency trees, and other properties.", "id": "language.documents.analyzeSyntax", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "AnalyzeSyntaxRequest" }, "httpMethod": "POST", "flatPath": "v1/documents:analyzeSyntax", "parameterOrder": [], "path": "v1/documents:analyzeSyntax" }, "analyzeSentiment": { "id": "language.documents.analyzeSentiment", "parameterOrder": [], "path": "v1/documents:analyzeSentiment", "description": "Analyzes the sentiment of the provided text.", "flatPath": "v1/documents:analyzeSentiment", "request": { "$ref": "AnalyzeSentimentRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "AnalyzeSentimentResponse" }, "parameters": {} }, "classifyText": { "flatPath": "v1/documents:classifyText", "httpMethod": "POST", "request": { "$ref": "ClassifyTextRequest" }, "response": { "$ref": "ClassifyTextResponse" }, "parameterOrder": [], "path": "v1/documents:classifyText", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "id": "language.documents.classifyText", "parameters": {}, "description": "Classifies a document into categories." }, "annotateText": { "parameters": {}, "description": "A convenience method that provides all the features that analyzeSentiment, analyzeEntities, and analyzeSyntax provide in one call.", "httpMethod": "POST", "request": { "$ref": "AnnotateTextRequest" }, "response": { "$ref": "AnnotateTextResponse" }, "path": "v1/documents:annotateText", "parameterOrder": [], "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "id": "language.documents.annotateText", "flatPath": "v1/documents:annotateText" }, "analyzeEntities": { "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/documents:analyzeEntities", "parameterOrder": [], "parameters": {}, "flatPath": "v1/documents:analyzeEntities", "response": { "$ref": "AnalyzeEntitiesResponse" }, "id": "language.documents.analyzeEntities", "description": "Finds named entities (currently proper names and common nouns) in the text along with entity types, salience, mentions for each entity, and other properties.", "httpMethod": "POST", "request": { "$ref": "AnalyzeEntitiesRequest" } } } } }, "protocol": "rest", "ownerDomain": "google.com", "id": "language:v1", "revision": "20220708", "batchPath": "batch", "ownerName": "Google", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "discoveryVersion": "v1", "fullyEncodeReservedExpansion": true, "description": "Provides natural language understanding technologies, such as sentiment analysis, entity recognition, entity sentiment analysis, and other text annotations, to developers.", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "alt": { "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ], "location": "query", "description": "V1 error format." }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" } }, "mtlsRootUrl": "https://language.mtls.googleapis.com/", "canonicalName": "Cloud Natural Language", "title": "Cloud Natural Language API", "documentationLink": "https://cloud.google.com/natural-language/", "version": "v1", "rootUrl": "https://language.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-language": { "description": "Apply machine learning models to reveal the structure and meaning of text" } } } }, "schemas": { "PartOfSpeech": { "id": "PartOfSpeech", "type": "object", "description": "Represents part of speech information for a token. Parts of speech are as defined in http://www.lrec-conf.org/proceedings/lrec2012/pdf/274_Paper.pdf", "properties": { "proper": { "enum": [ "PROPER_UNKNOWN", "PROPER", "NOT_PROPER" ], "enumDescriptions": [ "Proper is not applicable in the analyzed language or is not predicted.", "Proper", "Not proper" ], "type": "string", "description": "The grammatical properness." }, "case": { "enum": [ "CASE_UNKNOWN", "ACCUSATIVE", "ADVERBIAL", "COMPLEMENTIVE", "DATIVE", "GENITIVE", "INSTRUMENTAL", "LOCATIVE", "NOMINATIVE", "OBLIQUE", "PARTITIVE", "PREPOSITIONAL", "REFLEXIVE_CASE", "RELATIVE_CASE", "VOCATIVE" ], "type": "string", "description": "The grammatical case.", "enumDescriptions": [ "Case is not applicable in the analyzed language or is not predicted.", "Accusative", "Adverbial", "Complementive", "Dative", "Genitive", "Instrumental", "Locative", "Nominative", "Oblique", "Partitive", "Prepositional", "Reflexive", "Relative", "Vocative" ] }, "mood": { "type": "string", "description": "The grammatical mood.", "enum": [ "MOOD_UNKNOWN", "CONDITIONAL_MOOD", "IMPERATIVE", "INDICATIVE", "INTERROGATIVE", "JUSSIVE", "SUBJUNCTIVE" ], "enumDescriptions": [ "Mood is not applicable in the analyzed language or is not predicted.", "Conditional", "Imperative", "Indicative", "Interrogative", "Jussive", "Subjunctive" ] }, "tag": { "description": "The part of speech tag.", "enumDescriptions": [ "Unknown", "Adjective", "Adposition (preposition and postposition)", "Adverb", "Conjunction", "Determiner", "Noun (common and proper)", "Cardinal number", "Pronoun", "Particle or other function word", "Punctuation", "Verb (all tenses and modes)", "Other: foreign words, typos, abbreviations", "Affix" ], "enum": [ "UNKNOWN", "ADJ", "ADP", "ADV", "CONJ", "DET", "NOUN", "NUM", "PRON", "PRT", "PUNCT", "VERB", "X", "AFFIX" ], "type": "string" }, "person": { "enum": [ "PERSON_UNKNOWN", "FIRST", "SECOND", "THIRD", "REFLEXIVE_PERSON" ], "enumDescriptions": [ "Person is not applicable in the analyzed language or is not predicted.", "First", "Second", "Third", "Reflexive" ], "type": "string", "description": "The grammatical person." }, "gender": { "enum": [ "GENDER_UNKNOWN", "FEMININE", "MASCULINE", "NEUTER" ], "type": "string", "enumDescriptions": [ "Gender is not applicable in the analyzed language or is not predicted.", "Feminine", "Masculine", "Neuter" ], "description": "The grammatical gender." }, "number": { "enumDescriptions": [ "Number is not applicable in the analyzed language or is not predicted.", "Singular", "Plural", "Dual" ], "description": "The grammatical number.", "type": "string", "enum": [ "NUMBER_UNKNOWN", "SINGULAR", "PLURAL", "DUAL" ] }, "form": { "type": "string", "enum": [ "FORM_UNKNOWN", "ADNOMIAL", "AUXILIARY", "COMPLEMENTIZER", "FINAL_ENDING", "GERUND", "REALIS", "IRREALIS", "SHORT", "LONG", "ORDER", "SPECIFIC" ], "description": "The grammatical form.", "enumDescriptions": [ "Form is not applicable in the analyzed language or is not predicted.", "Adnomial", "Auxiliary", "Complementizer", "Final ending", "Gerund", "Realis", "Irrealis", "Short form", "Long form", "Order form", "Specific form" ] }, "aspect": { "type": "string", "enumDescriptions": [ "Aspect is not applicable in the analyzed language or is not predicted.", "Perfective", "Imperfective", "Progressive" ], "description": "The grammatical aspect.", "enum": [ "ASPECT_UNKNOWN", "PERFECTIVE", "IMPERFECTIVE", "PROGRESSIVE" ] }, "voice": { "type": "string", "description": "The grammatical voice.", "enumDescriptions": [ "Voice is not applicable in the analyzed language or is not predicted.", "Active", "Causative", "Passive" ], "enum": [ "VOICE_UNKNOWN", "ACTIVE", "CAUSATIVE", "PASSIVE" ] }, "reciprocity": { "description": "The grammatical reciprocity.", "enum": [ "RECIPROCITY_UNKNOWN", "RECIPROCAL", "NON_RECIPROCAL" ], "type": "string", "enumDescriptions": [ "Reciprocity is not applicable in the analyzed language or is not predicted.", "Reciprocal", "Non-reciprocal" ] }, "tense": { "enum": [ "TENSE_UNKNOWN", "CONDITIONAL_TENSE", "FUTURE", "PAST", "PRESENT", "IMPERFECT", "PLUPERFECT" ], "enumDescriptions": [ "Tense is not applicable in the analyzed language or is not predicted.", "Conditional", "Future", "Past", "Present", "Imperfect", "Pluperfect" ], "description": "The grammatical tense.", "type": "string" } } }, "Token": { "id": "Token", "description": "Represents the smallest syntactic building block of the text.", "properties": { "text": { "$ref": "TextSpan", "description": "The token text." }, "dependencyEdge": { "description": "Dependency tree parse for this token.", "$ref": "DependencyEdge" }, "lemma": { "description": "[Lemma](https://en.wikipedia.org/wiki/Lemma_%28morphology%29) of the token.", "type": "string" }, "partOfSpeech": { "$ref": "PartOfSpeech", "description": "Parts of speech tag for this token." } }, "type": "object" }, "Sentiment": { "id": "Sentiment", "type": "object", "properties": { "magnitude": { "type": "number", "format": "float", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment regardless of score (positive or negative)." }, "score": { "type": "number", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "format": "float" } }, "description": "Represents the feeling associated with the entire text or entities in the text." }, "ClassificationCategory": { "description": "Represents a category returned from the text classifier.", "properties": { "confidence": { "format": "float", "description": "The classifier's confidence of the category. Number represents how certain the classifier is that this category represents the given text.", "type": "number" }, "name": { "description": "The name of the category representing the document, from the [predefined taxonomy](https://cloud.google.com/natural-language/docs/categories).", "type": "string" } }, "id": "ClassificationCategory", "type": "object" }, "AnalyzeEntitySentimentRequest": { "id": "AnalyzeEntitySentimentRequest", "properties": { "encodingType": { "type": "string", "description": "The encoding type used by the API to calculate offsets.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ] }, "document": { "$ref": "Document", "description": "Required. Input document." } }, "type": "object", "description": "The entity-level sentiment analysis request message." }, "EntityMention": { "properties": { "text": { "description": "The mention text.", "$ref": "TextSpan" }, "type": { "enumDescriptions": [ "Unknown", "Proper name", "Common noun (or noun compound)" ], "enum": [ "TYPE_UNKNOWN", "PROPER", "COMMON" ], "type": "string", "description": "The type of the entity mention." }, "sentiment": { "$ref": "Sentiment", "description": "For calls to AnalyzeEntitySentiment or if AnnotateTextRequest.Features.extract_entity_sentiment is set to true, this field will contain the sentiment expressed for this mention of the entity in the provided document." } }, "description": "Represents a mention for an entity in the text. Currently, proper noun mentions are supported.", "type": "object", "id": "EntityMention" }, "Status": { "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "AnalyzeEntitySentimentResponse": { "properties": { "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "entities": { "description": "The recognized entities in the input document with associated sentiments.", "type": "array", "items": { "$ref": "Entity" } } }, "type": "object", "id": "AnalyzeEntitySentimentResponse", "description": "The entity-level sentiment analysis response message." }, "Document": { "description": "################################################################ # Represents the input to API methods.", "properties": { "gcsContentUri": { "type": "string", "description": "The Google Cloud Storage URI where the file content is located. This URI must be of the form: gs://bucket_name/object_name. For more details, see https://cloud.google.com/storage/docs/reference-uris. NOTE: Cloud Storage object versioning is not supported." }, "content": { "description": "The content of the input in string format. Cloud audit logging exempt since it is based on user data.", "type": "string" }, "language": { "description": "The language of the document (if not specified, the language is automatically detected). Both ISO and BCP-47 language codes are accepted. [Language Support](https://cloud.google.com/natural-language/docs/languages) lists currently supported languages for each API method. If the language (either specified by the caller or automatically detected) is not supported by the called API method, an `INVALID_ARGUMENT` error is returned.", "type": "string" }, "type": { "enum": [ "TYPE_UNSPECIFIED", "PLAIN_TEXT", "HTML" ], "type": "string", "enumDescriptions": [ "The content type is not specified.", "Plain text", "HTML" ], "description": "Required. If the type is not set or is `TYPE_UNSPECIFIED`, returns an `INVALID_ARGUMENT` error." } }, "id": "Document", "type": "object" }, "TextSpan": { "type": "object", "properties": { "beginOffset": { "format": "int32", "type": "integer", "description": "The API calculates the beginning offset of the content in the original document according to the EncodingType specified in the API request." }, "content": { "description": "The content of the output text.", "type": "string" } }, "description": "Represents an output piece of text.", "id": "TextSpan" }, "AnalyzeSentimentResponse": { "id": "AnalyzeSentimentResponse", "type": "object", "properties": { "documentSentiment": { "description": "The overall sentiment of the input document.", "$ref": "Sentiment" }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "sentences": { "items": { "$ref": "Sentence" }, "description": "The sentiment for all the sentences in the document.", "type": "array" } }, "description": "The sentiment analysis response message." }, "Features": { "type": "object", "description": "All available features for sentiment, syntax, and semantic analysis. Setting each one to true will enable that specific analysis for the input.", "properties": { "extractDocumentSentiment": { "description": "Extract document-level sentiment.", "type": "boolean" }, "classifyText": { "description": "Classify the full document into categories.", "type": "boolean" }, "extractSyntax": { "description": "Extract syntax information.", "type": "boolean" }, "extractEntitySentiment": { "type": "boolean", "description": "Extract entities and their associated sentiment." }, "extractEntities": { "description": "Extract entities.", "type": "boolean" } }, "id": "Features" }, "AnalyzeEntitiesResponse": { "description": "The entity analysis response message.", "properties": { "entities": { "type": "array", "description": "The recognized entities in the input document.", "items": { "$ref": "Entity" } }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." } }, "type": "object", "id": "AnalyzeEntitiesResponse" }, "ClassifyTextRequest": { "id": "ClassifyTextRequest", "type": "object", "description": "The document classification request message.", "properties": { "document": { "description": "Required. Input document.", "$ref": "Document" } } }, "AnalyzeSyntaxResponse": { "description": "The syntax analysis response message.", "id": "AnalyzeSyntaxResponse", "properties": { "tokens": { "type": "array", "description": "Tokens, along with their syntactic information, in the input document.", "items": { "$ref": "Token" } }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "sentences": { "items": { "$ref": "Sentence" }, "description": "Sentences in the input document.", "type": "array" } }, "type": "object" }, "DependencyEdge": { "description": "Represents dependency parse tree information for a token. (For more information on dependency labels, see http://www.aclweb.org/anthology/P13-2017", "properties": { "label": { "enumDescriptions": [ "Unknown", "Abbreviation modifier", "Adjectival complement", "Adverbial clause modifier", "Adverbial modifier", "Adjectival modifier of an NP", "Appositional modifier of an NP", "Attribute dependent of a copular verb", "Auxiliary (non-main) verb", "Passive auxiliary", "Coordinating conjunction", "Clausal complement of a verb or adjective", "Conjunct", "Clausal subject", "Clausal passive subject", "Dependency (unable to determine)", "Determiner", "Discourse", "Direct object", "Expletive", "Goes with (part of a word in a text not well edited)", "Indirect object", "Marker (word introducing a subordinate clause)", "Multi-word expression", "Multi-word verbal expression", "Negation modifier", "Noun compound modifier", "Noun phrase used as an adverbial modifier", "Nominal subject", "Passive nominal subject", "Numeric modifier of a noun", "Element of compound number", "Punctuation mark", "Parataxis relation", "Participial modifier", "The complement of a preposition is a clause", "Object of a preposition", "Possession modifier", "Postverbal negative particle", "Predicate complement", "Preconjunt", "Predeterminer", "Prefix", "Prepositional modifier", "The relationship between a verb and verbal morpheme", "Particle", "Associative or possessive marker", "Quantifier phrase modifier", "Relative clause modifier", "Complementizer in relative clause", "Ellipsis without a preceding predicate", "Referent", "Remnant", "Reparandum", "Root", "Suffix specifying a unit of number", "Suffix", "Temporal modifier", "Topic marker", "Clause headed by an infinite form of the verb that modifies a noun", "Vocative", "Open clausal complement", "Name suffix", "Name title", "Adverbial phrase modifier", "Causative auxiliary", "Helper auxiliary", "Rentaishi (Prenominal modifier)", "Foreign words", "Keyword", "List for chains of comparable items", "Nominalized clause", "Nominalized clausal subject", "Nominalized clausal passive", "Compound of numeric modifier", "Copula", "Dislocated relation (for fronted/topicalized elements)", "Aspect marker", "Genitive modifier", "Genitive object", "Infinitival modifier", "Measure", "Nominal complement of a noun" ], "enum": [ "UNKNOWN", "ABBREV", "ACOMP", "ADVCL", "ADVMOD", "AMOD", "APPOS", "ATTR", "AUX", "AUXPASS", "CC", "CCOMP", "CONJ", "CSUBJ", "CSUBJPASS", "DEP", "DET", "DISCOURSE", "DOBJ", "EXPL", "GOESWITH", "IOBJ", "MARK", "MWE", "MWV", "NEG", "NN", "NPADVMOD", "NSUBJ", "NSUBJPASS", "NUM", "NUMBER", "P", "PARATAXIS", "PARTMOD", "PCOMP", "POBJ", "POSS", "POSTNEG", "PRECOMP", "PRECONJ", "PREDET", "PREF", "PREP", "PRONL", "PRT", "PS", "QUANTMOD", "RCMOD", "RCMODREL", "RDROP", "REF", "REMNANT", "REPARANDUM", "ROOT", "SNUM", "SUFF", "TMOD", "TOPIC", "VMOD", "VOCATIVE", "XCOMP", "SUFFIX", "TITLE", "ADVPHMOD", "AUXCAUS", "AUXVV", "DTMOD", "FOREIGN", "KW", "LIST", "NOMC", "NOMCSUBJ", "NOMCSUBJPASS", "NUMC", "COP", "DISLOCATED", "ASP", "GMOD", "GOBJ", "INFMOD", "MES", "NCOMP" ], "type": "string", "description": "The parse label for the token." }, "headTokenIndex": { "type": "integer", "format": "int32", "description": "Represents the head of this token in the dependency tree. This is the index of the token which has an arc going to this token. The index is the position of the token in the array of tokens returned by the API method. If this token is a root token, then the `head_token_index` is its own index." } }, "type": "object", "id": "DependencyEdge" }, "AnalyzeSentimentRequest": { "type": "object", "properties": { "document": { "$ref": "Document", "description": "Required. Input document." }, "encodingType": { "type": "string", "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate sentence offsets.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] } }, "description": "The sentiment analysis request message.", "id": "AnalyzeSentimentRequest" }, "AnalyzeEntitiesRequest": { "id": "AnalyzeEntitiesRequest", "properties": { "encodingType": { "type": "string", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets." }, "document": { "$ref": "Document", "description": "Required. Input document." } }, "description": "The entity analysis request message.", "type": "object" }, "AnnotateTextResponse": { "id": "AnnotateTextResponse", "properties": { "documentSentiment": { "$ref": "Sentiment", "description": "The overall sentiment for the document. Populated if the user enables AnnotateTextRequest.Features.extract_document_sentiment." }, "tokens": { "type": "array", "items": { "$ref": "Token" }, "description": "Tokens, along with their syntactic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax." }, "sentences": { "type": "array", "description": "Sentences in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax.", "items": { "$ref": "Sentence" } }, "categories": { "items": { "$ref": "ClassificationCategory" }, "type": "array", "description": "Categories identified in the input document." }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "entities": { "description": "Entities, along with their semantic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_entities.", "type": "array", "items": { "$ref": "Entity" } } }, "type": "object", "description": "The text annotations response message." }, "Entity": { "type": "object", "properties": { "salience": { "description": "The salience score associated with the entity in the [0, 1.0] range. The salience score for an entity provides information about the importance or centrality of that entity to the entire document text. Scores closer to 0 are less salient, while scores closer to 1.0 are highly salient.", "format": "float", "type": "number" }, "type": { "description": "The entity type.", "enumDescriptions": [ "Unknown", "Person", "Location", "Organization", "Event", "Artwork", "Consumer product", "Other types of entities", "Phone number The metadata lists the phone number, formatted according to local convention, plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `number` - the actual number, broken down into sections as per local convention LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `national_prefix` - country code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `area_code` - region or area code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `extension` - phone extension (to be dialed after connection), if detected", "Address The metadata identifies the street number and locality plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_number` - street number LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locality` - city or town LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_name` - street/route name, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `postal_code` - postal code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `country` - country, if detected\u003c LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `broad_region` - administrative area, such as the state, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `narrow_region` - smaller administrative area, such as county, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sublocality` - used in Asian addresses to demark a district within a city, if detected", "Date The metadata identifies the components of the date: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `year` - four digit year, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `month` - two digit month number, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `day` - two digit day number, if detected", "Number The metadata is the number itself.", "Price The metadata identifies the `value` and `currency`." ], "enum": [ "UNKNOWN", "PERSON", "LOCATION", "ORGANIZATION", "EVENT", "WORK_OF_ART", "CONSUMER_GOOD", "OTHER", "PHONE_NUMBER", "ADDRESS", "DATE", "NUMBER", "PRICE" ], "type": "string" }, "metadata": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Metadata associated with the entity. For most entity types, the metadata is a Wikipedia URL (`wikipedia_url`) and Knowledge Graph MID (`mid`), if they are available. For the metadata associated with other entity types, see the Type table below." }, "sentiment": { "description": "For calls to AnalyzeEntitySentiment or if AnnotateTextRequest.Features.extract_entity_sentiment is set to true, this field will contain the aggregate sentiment expressed for this entity in the provided document.", "$ref": "Sentiment" }, "mentions": { "items": { "$ref": "EntityMention" }, "description": "The mentions of this entity in the input document. The API currently supports proper noun mentions.", "type": "array" }, "name": { "description": "The representative name for the entity.", "type": "string" } }, "id": "Entity", "description": "Represents a phrase in the text that is a known entity, such as a person, an organization, or location. The API associates information, such as salience and mentions, with entities." }, "Sentence": { "properties": { "sentiment": { "$ref": "Sentiment", "description": "For calls to AnalyzeSentiment or if AnnotateTextRequest.Features.extract_document_sentiment is set to true, this field will contain the sentiment for the sentence." }, "text": { "description": "The sentence text.", "$ref": "TextSpan" } }, "id": "Sentence", "description": "Represents a sentence in the input document.", "type": "object" }, "AnalyzeSyntaxRequest": { "type": "object", "id": "AnalyzeSyntaxRequest", "description": "The syntax analysis request message.", "properties": { "document": { "$ref": "Document", "description": "Required. Input document." }, "encodingType": { "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets.", "type": "string", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] } } }, "ClassifyTextResponse": { "id": "ClassifyTextResponse", "type": "object", "properties": { "categories": { "type": "array", "description": "Categories representing the input document.", "items": { "$ref": "ClassificationCategory" } } }, "description": "The document classification response message." }, "AnnotateTextRequest": { "properties": { "document": { "description": "Required. Input document.", "$ref": "Document" }, "encodingType": { "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "type": "string", "description": "The encoding type used by the API to calculate offsets.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] }, "features": { "description": "Required. The enabled features.", "$ref": "Features" } }, "description": "The request message for the text annotation API, which can perform multiple analysis types (sentiment, entities, and syntax) in one call.", "id": "AnnotateTextRequest", "type": "object" } }, "kind": "discovery#restDescription", "servicePath": "", "name": "language", "baseUrl": "https://language.googleapis.com/", "basePath": "" }
]===]))
