local decode = require("cjson").new().decode
return assert(decode([===[
{ "version": "v1beta1", "discoveryVersion": "v1", "title": "Cloud Natural Language API", "schemas": { "AnnotateTextRequest": { "id": "AnnotateTextRequest", "properties": { "features": { "description": "The enabled features.", "$ref": "Features" }, "encodingType": { "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and Javascript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets.", "type": "string" }, "document": { "$ref": "Document", "description": "Input document." } }, "description": "The request message for the text annotation API, which can perform multiple analysis types (sentiment, entities, and syntax) in one call.", "type": "object" }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "type": "array", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } }, "type": "object" }, "Token": { "properties": { "dependencyEdge": { "$ref": "DependencyEdge", "description": "Dependency tree parse for this token." }, "text": { "description": "The token text.", "$ref": "TextSpan" }, "partOfSpeech": { "description": "Parts of speech tag for this token.", "$ref": "PartOfSpeech" }, "lemma": { "description": "[Lemma](https://en.wikipedia.org/wiki/Lemma_%28morphology%29) of the token.", "type": "string" } }, "description": "Represents the smallest syntactic building block of the text.", "id": "Token", "type": "object" }, "AnalyzeSyntaxRequest": { "id": "AnalyzeSyntaxRequest", "properties": { "document": { "$ref": "Document", "description": "Input document." }, "encodingType": { "description": "The encoding type used by the API to calculate offsets.", "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and Javascript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "type": "string", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] } }, "type": "object", "description": "The syntax analysis request message." }, "AnalyzeSentimentResponse": { "properties": { "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" }, "sentences": { "type": "array", "items": { "$ref": "Sentence" }, "description": "The sentiment for all the sentences in the document." }, "documentSentiment": { "description": "The overall sentiment of the input document.", "$ref": "Sentiment" } }, "type": "object", "id": "AnalyzeSentimentResponse", "description": "The sentiment analysis response message." }, "AnalyzeSyntaxResponse": { "description": "The syntax analysis response message.", "id": "AnalyzeSyntaxResponse", "type": "object", "properties": { "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" }, "sentences": { "type": "array", "description": "Sentences in the input document.", "items": { "$ref": "Sentence" } }, "tokens": { "type": "array", "description": "Tokens, along with their syntactic information, in the input document.", "items": { "$ref": "Token" } } } }, "Sentence": { "description": "Represents a sentence in the input document.", "id": "Sentence", "type": "object", "properties": { "text": { "description": "The sentence text.", "$ref": "TextSpan" }, "sentiment": { "description": "For calls to AnalyzeSentiment or if AnnotateTextRequest.Features.extract_document_sentiment is set to true, this field will contain the sentiment for the sentence.", "$ref": "Sentiment" } } }, "Features": { "type": "object", "description": "All available features for sentiment, syntax, and semantic analysis. Setting each one to true will enable that specific analysis for the input.", "id": "Features", "properties": { "extractSyntax": { "description": "Extract syntax information.", "type": "boolean" }, "extractDocumentSentiment": { "description": "Extract document-level sentiment.", "type": "boolean" }, "extractEntities": { "type": "boolean", "description": "Extract entities." } } }, "AnalyzeEntitiesRequest": { "id": "AnalyzeEntitiesRequest", "description": "The entity analysis request message.", "type": "object", "properties": { "encodingType": { "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and Javascript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets.", "type": "string", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] }, "document": { "description": "Input document.", "$ref": "Document" } } }, "DependencyEdge": { "description": "Represents dependency parse tree information for a token.", "properties": { "label": { "enumDescriptions": [ "Unknown", "Abbreviation modifier", "Adjectival complement", "Adverbial clause modifier", "Adverbial modifier", "Adjectival modifier of an NP", "Appositional modifier of an NP", "Attribute dependent of a copular verb", "Auxiliary (non-main) verb", "Passive auxiliary", "Coordinating conjunction", "Clausal complement of a verb or adjective", "Conjunct", "Clausal subject", "Clausal passive subject", "Dependency (unable to determine)", "Determiner", "Discourse", "Direct object", "Expletive", "Goes with (part of a word in a text not well edited)", "Indirect object", "Marker (word introducing a subordinate clause)", "Multi-word expression", "Multi-word verbal expression", "Negation modifier", "Noun compound modifier", "Noun phrase used as an adverbial modifier", "Nominal subject", "Passive nominal subject", "Numeric modifier of a noun", "Element of compound number", "Punctuation mark", "Parataxis relation", "Participial modifier", "The complement of a preposition is a clause", "Object of a preposition", "Possession modifier", "Postverbal negative particle", "Predicate complement", "Preconjunt", "Predeterminer", "Prefix", "Prepositional modifier", "The relationship between a verb and verbal morpheme", "Particle", "Associative or possessive marker", "Quantifier phrase modifier", "Relative clause modifier", "Complementizer in relative clause", "Ellipsis without a preceding predicate", "Referent", "Remnant", "Reparandum", "Root", "Suffix specifying a unit of number", "Suffix", "Temporal modifier", "Topic marker", "Clause headed by an infinite form of the verb that modifies a noun", "Vocative", "Open clausal complement", "Name suffix", "Name title", "Adverbial phrase modifier", "Causative auxiliary", "Helper auxiliary", "Rentaishi (Prenominal modifier)", "Foreign words", "Keyword", "List for chains of comparable items", "Nominalized clause", "Nominalized clausal subject", "Nominalized clausal passive", "Compound of numeric modifier", "Copula", "Dislocated relation (for fronted/topicalized elements)", "Aspect marker", "Genitive modifier", "Genitive object", "Infinitival modifier", "Measure", "Nominal complement of a noun" ], "type": "string", "enum": [ "UNKNOWN", "ABBREV", "ACOMP", "ADVCL", "ADVMOD", "AMOD", "APPOS", "ATTR", "AUX", "AUXPASS", "CC", "CCOMP", "CONJ", "CSUBJ", "CSUBJPASS", "DEP", "DET", "DISCOURSE", "DOBJ", "EXPL", "GOESWITH", "IOBJ", "MARK", "MWE", "MWV", "NEG", "NN", "NPADVMOD", "NSUBJ", "NSUBJPASS", "NUM", "NUMBER", "P", "PARATAXIS", "PARTMOD", "PCOMP", "POBJ", "POSS", "POSTNEG", "PRECOMP", "PRECONJ", "PREDET", "PREF", "PREP", "PRONL", "PRT", "PS", "QUANTMOD", "RCMOD", "RCMODREL", "RDROP", "REF", "REMNANT", "REPARANDUM", "ROOT", "SNUM", "SUFF", "TMOD", "TOPIC", "VMOD", "VOCATIVE", "XCOMP", "SUFFIX", "TITLE", "ADVPHMOD", "AUXCAUS", "AUXVV", "DTMOD", "FOREIGN", "KW", "LIST", "NOMC", "NOMCSUBJ", "NOMCSUBJPASS", "NUMC", "COP", "DISLOCATED", "ASP", "GMOD", "GOBJ", "INFMOD", "MES", "NCOMP" ], "description": "The parse label for the token." }, "headTokenIndex": { "description": "Represents the head of this token in the dependency tree. This is the index of the token which has an arc going to this token. The index is the position of the token in the array of tokens returned by the API method. If this token is a root token, then the `head_token_index` is its own index.", "format": "int32", "type": "integer" } }, "type": "object", "id": "DependencyEdge" }, "AnalyzeSentimentRequest": { "description": "The sentiment analysis request message.", "type": "object", "properties": { "encodingType": { "type": "string", "description": "The encoding type used by the API to calculate sentence offsets for the sentence sentiment.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and Javascript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ] }, "document": { "$ref": "Document", "description": "Input document." } }, "id": "AnalyzeSentimentRequest" }, "Sentiment": { "properties": { "magnitude": { "type": "number", "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment regardless of score (positive or negative).", "format": "float" }, "score": { "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number", "format": "float" }, "polarity": { "format": "float", "type": "number", "description": "DEPRECATED FIELD - This field is being deprecated in favor of score. Please refer to our documentation at https://cloud.google.com/natural-language/docs for more information." } }, "description": "Represents the feeling associated with the entire text or entities in the text.", "type": "object", "id": "Sentiment" }, "TextSpan": { "id": "TextSpan", "type": "object", "description": "Represents an output piece of text.", "properties": { "beginOffset": { "format": "int32", "description": "The API calculates the beginning offset of the content in the original document according to the EncodingType specified in the API request.", "type": "integer" }, "content": { "type": "string", "description": "The content of the output text." } } }, "Entity": { "id": "Entity", "description": "Represents a phrase in the text that is a known entity, such as a person, an organization, or location. The API associates information, such as salience and mentions, with entities.", "properties": { "salience": { "format": "float", "type": "number", "description": "The salience score associated with the entity in the [0, 1.0] range. The salience score for an entity provides information about the importance or centrality of that entity to the entire document text. Scores closer to 0 are less salient, while scores closer to 1.0 are highly salient." }, "name": { "description": "The representative name for the entity.", "type": "string" }, "type": { "enumDescriptions": [ "Unknown", "Person", "Location", "Organization", "Event", "Work of art", "Consumer goods", "Other types" ], "enum": [ "UNKNOWN", "PERSON", "LOCATION", "ORGANIZATION", "EVENT", "WORK_OF_ART", "CONSUMER_GOOD", "OTHER" ], "type": "string", "description": "The entity type." }, "mentions": { "description": "The mentions of this entity in the input document. The API currently supports proper noun mentions.", "items": { "$ref": "EntityMention" }, "type": "array" }, "metadata": { "description": "Metadata associated with the entity. Currently, Wikipedia URLs and Knowledge Graph MIDs are provided, if available. The associated keys are \"wikipedia_url\" and \"mid\", respectively.", "type": "object", "additionalProperties": { "type": "string" } } }, "type": "object" }, "AnnotateTextResponse": { "type": "object", "description": "The text annotations response message.", "id": "AnnotateTextResponse", "properties": { "sentences": { "type": "array", "description": "Sentences in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax.", "items": { "$ref": "Sentence" } }, "entities": { "type": "array", "items": { "$ref": "Entity" }, "description": "Entities, along with their semantic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_entities." }, "tokens": { "type": "array", "description": "Tokens, along with their syntactic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax.", "items": { "$ref": "Token" } }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "documentSentiment": { "$ref": "Sentiment", "description": "The overall sentiment for the document. Populated if the user enables AnnotateTextRequest.Features.extract_document_sentiment." } } }, "AnalyzeEntitiesResponse": { "properties": { "entities": { "description": "The recognized entities in the input document.", "type": "array", "items": { "$ref": "Entity" } }, "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" } }, "type": "object", "description": "The entity analysis response message.", "id": "AnalyzeEntitiesResponse" }, "PartOfSpeech": { "type": "object", "description": "Represents part of speech information for a token.", "id": "PartOfSpeech", "properties": { "gender": { "enumDescriptions": [ "Gender is not applicable in the analyzed language or is not predicted.", "Feminine", "Masculine", "Neuter" ], "description": "The grammatical gender.", "enum": [ "GENDER_UNKNOWN", "FEMININE", "MASCULINE", "NEUTER" ], "type": "string" }, "number": { "enum": [ "NUMBER_UNKNOWN", "SINGULAR", "PLURAL", "DUAL" ], "enumDescriptions": [ "Number is not applicable in the analyzed language or is not predicted.", "Singular", "Plural", "Dual" ], "type": "string", "description": "The grammatical number." }, "tense": { "description": "The grammatical tense.", "type": "string", "enumDescriptions": [ "Tense is not applicable in the analyzed language or is not predicted.", "Conditional", "Future", "Past", "Present", "Imperfect", "Pluperfect" ], "enum": [ "TENSE_UNKNOWN", "CONDITIONAL_TENSE", "FUTURE", "PAST", "PRESENT", "IMPERFECT", "PLUPERFECT" ] }, "proper": { "enum": [ "PROPER_UNKNOWN", "PROPER", "NOT_PROPER" ], "type": "string", "description": "The grammatical properness.", "enumDescriptions": [ "Proper is not applicable in the analyzed language or is not predicted.", "Proper", "Not proper" ] }, "aspect": { "enumDescriptions": [ "Aspect is not applicable in the analyzed language or is not predicted.", "Perfective", "Imperfective", "Progressive" ], "description": "The grammatical aspect.", "type": "string", "enum": [ "ASPECT_UNKNOWN", "PERFECTIVE", "IMPERFECTIVE", "PROGRESSIVE" ] }, "case": { "type": "string", "description": "The grammatical case.", "enum": [ "CASE_UNKNOWN", "ACCUSATIVE", "ADVERBIAL", "COMPLEMENTIVE", "DATIVE", "GENITIVE", "INSTRUMENTAL", "LOCATIVE", "NOMINATIVE", "OBLIQUE", "PARTITIVE", "PREPOSITIONAL", "REFLEXIVE_CASE", "RELATIVE_CASE", "VOCATIVE" ], "enumDescriptions": [ "Case is not applicable in the analyzed language or is not predicted.", "Accusative", "Adverbial", "Complementive", "Dative", "Genitive", "Instrumental", "Locative", "Nominative", "Oblique", "Partitive", "Prepositional", "Reflexive", "Relative", "Vocative" ] }, "person": { "enum": [ "PERSON_UNKNOWN", "FIRST", "SECOND", "THIRD", "REFLEXIVE_PERSON" ], "type": "string", "description": "The grammatical person.", "enumDescriptions": [ "Person is not applicable in the analyzed language or is not predicted.", "First", "Second", "Third", "Reflexive" ] }, "voice": { "type": "string", "description": "The grammatical voice.", "enumDescriptions": [ "Voice is not applicable in the analyzed language or is not predicted.", "Active", "Causative", "Passive" ], "enum": [ "VOICE_UNKNOWN", "ACTIVE", "CAUSATIVE", "PASSIVE" ] }, "mood": { "enum": [ "MOOD_UNKNOWN", "CONDITIONAL_MOOD", "IMPERATIVE", "INDICATIVE", "INTERROGATIVE", "JUSSIVE", "SUBJUNCTIVE" ], "enumDescriptions": [ "Mood is not applicable in the analyzed language or is not predicted.", "Conditional", "Imperative", "Indicative", "Interrogative", "Jussive", "Subjunctive" ], "type": "string", "description": "The grammatical mood." }, "form": { "enumDescriptions": [ "Form is not applicable in the analyzed language or is not predicted.", "Adnomial", "Auxiliary", "Complementizer", "Final ending", "Gerund", "Realis", "Irrealis", "Short form", "Long form", "Order form", "Specific form" ], "description": "The grammatical form.", "enum": [ "FORM_UNKNOWN", "ADNOMIAL", "AUXILIARY", "COMPLEMENTIZER", "FINAL_ENDING", "GERUND", "REALIS", "IRREALIS", "SHORT", "LONG", "ORDER", "SPECIFIC" ], "type": "string" }, "tag": { "enumDescriptions": [ "Unknown", "Adjective", "Adposition (preposition and postposition)", "Adverb", "Conjunction", "Determiner", "Noun (common and proper)", "Cardinal number", "Pronoun", "Particle or other function word", "Punctuation", "Verb (all tenses and modes)", "Other: foreign words, typos, abbreviations", "Affix" ], "enum": [ "UNKNOWN", "ADJ", "ADP", "ADV", "CONJ", "DET", "NOUN", "NUM", "PRON", "PRT", "PUNCT", "VERB", "X", "AFFIX" ], "description": "The part of speech tag.", "type": "string" }, "reciprocity": { "enum": [ "RECIPROCITY_UNKNOWN", "RECIPROCAL", "NON_RECIPROCAL" ], "description": "The grammatical reciprocity.", "enumDescriptions": [ "Reciprocity is not applicable in the analyzed language or is not predicted.", "Reciprocal", "Non-reciprocal" ], "type": "string" } } }, "Document": { "description": "################################################################ # Represents the input to API methods.", "type": "object", "properties": { "content": { "description": "The content of the input in string format. Cloud audit logging exempt since it is based on user data.", "type": "string" }, "type": { "enumDescriptions": [ "The content type is not specified.", "Plain text", "HTML" ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "PLAIN_TEXT", "HTML" ], "description": "Required. If the type is not set or is `TYPE_UNSPECIFIED`, returns an `INVALID_ARGUMENT` error." }, "gcsContentUri": { "type": "string", "description": "The Google Cloud Storage URI where the file content is located. This URI must be of the form: gs://bucket_name/object_name. For more details, see https://cloud.google.com/storage/docs/reference-uris. NOTE: Cloud Storage object versioning is not supported." }, "language": { "description": "The language of the document (if not specified, the language is automatically detected). Both ISO and BCP-47 language codes are accepted. [Language Support](https://cloud.google.com/natural-language/docs/languages) lists currently supported languages for each API method. If the language (either specified by the caller or automatically detected) is not supported by the called API method, an `INVALID_ARGUMENT` error is returned.", "type": "string" } }, "id": "Document" }, "EntityMention": { "description": "Represents a mention for an entity in the text. Currently, proper noun mentions are supported.", "properties": { "type": { "type": "string", "enumDescriptions": [ "Unknown", "Proper name", "Common noun (or noun compound)" ], "enum": [ "TYPE_UNKNOWN", "PROPER", "COMMON" ], "description": "The type of the entity mention." }, "text": { "description": "The mention text.", "$ref": "TextSpan" } }, "type": "object", "id": "EntityMention" } }, "mtlsRootUrl": "https://language.mtls.googleapis.com/", "parameters": { "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "alt": { "type": "string", "description": "Data format for response.", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" } }, "documentationLink": "https://cloud.google.com/natural-language/", "canonicalName": "Cloud Natural Language", "batchPath": "batch", "rootUrl": "https://language.googleapis.com/", "name": "language", "ownerDomain": "google.com", "version_module": true, "id": "language:v1beta1", "resources": { "documents": { "methods": { "annotateText": { "path": "v1beta1/documents:annotateText", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "AnnotateTextRequest" }, "httpMethod": "POST", "response": { "$ref": "AnnotateTextResponse" }, "flatPath": "v1beta1/documents:annotateText", "id": "language.documents.annotateText", "description": "A convenience method that provides all the features that analyzeSentiment, analyzeEntities, and analyzeSyntax provide in one call.", "parameterOrder": [] }, "analyzeSentiment": { "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [], "flatPath": "v1beta1/documents:analyzeSentiment", "description": "Analyzes the sentiment of the provided text.", "response": { "$ref": "AnalyzeSentimentResponse" }, "path": "v1beta1/documents:analyzeSentiment", "request": { "$ref": "AnalyzeSentimentRequest" }, "id": "language.documents.analyzeSentiment", "httpMethod": "POST", "parameters": {} }, "analyzeSyntax": { "parameters": {}, "request": { "$ref": "AnalyzeSyntaxRequest" }, "response": { "$ref": "AnalyzeSyntaxResponse" }, "parameterOrder": [], "id": "language.documents.analyzeSyntax", "path": "v1beta1/documents:analyzeSyntax", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/documents:analyzeSyntax", "description": "Analyzes the syntax of the text and provides sentence boundaries and tokenization along with part of speech tags, dependency trees, and other properties." }, "analyzeEntities": { "description": "Finds named entities (currently proper names and common nouns) in the text along with entity types, salience, mentions for each entity, and other properties.", "path": "v1beta1/documents:analyzeEntities", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "parameters": {}, "id": "language.documents.analyzeEntities", "request": { "$ref": "AnalyzeEntitiesRequest" }, "flatPath": "v1beta1/documents:analyzeEntities", "httpMethod": "POST", "parameterOrder": [], "response": { "$ref": "AnalyzeEntitiesResponse" } } } } }, "kind": "discovery#restDescription", "revision": "20220708", "servicePath": "", "description": "Provides natural language understanding technologies, such as sentiment analysis, entity recognition, entity sentiment analysis, and other text annotations, to developers.", "protocol": "rest", "baseUrl": "https://language.googleapis.com/", "ownerName": "Google", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-language": { "description": "Apply machine learning models to reveal the structure and meaning of text" } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "" }
]===]))
