local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "Provides natural language understanding technologies, such as sentiment analysis, entity recognition, entity sentiment analysis, and other text annotations, to developers.", "version": "v1beta2", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription", "protocol": "rest", "version_module": true, "discoveryVersion": "v1", "name": "language", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "servicePath": "", "parameters": { "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "prettyPrint": { "default": "true", "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "$.xgafv": { "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ] }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "default": "json" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "title": "Cloud Natural Language API", "resources": { "documents": { "methods": { "analyzeEntitySentiment": { "request": { "$ref": "AnalyzeEntitySentimentRequest" }, "path": "v1beta2/documents:analyzeEntitySentiment", "id": "language.documents.analyzeEntitySentiment", "parameterOrder": [], "httpMethod": "POST", "response": { "$ref": "AnalyzeEntitySentimentResponse" }, "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "description": "Finds entities, similar to AnalyzeEntities in the text and analyzes sentiment associated with each entity and its mentions.", "flatPath": "v1beta2/documents:analyzeEntitySentiment" }, "annotateText": { "id": "language.documents.annotateText", "request": { "$ref": "AnnotateTextRequest" }, "description": "A convenience method that provides all syntax, sentiment, entity, and classification features in one call.", "parameterOrder": [], "flatPath": "v1beta2/documents:annotateText", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "AnnotateTextResponse" }, "path": "v1beta2/documents:annotateText", "parameters": {} }, "analyzeSyntax": { "response": { "$ref": "AnalyzeSyntaxResponse" }, "id": "language.documents.analyzeSyntax", "parameterOrder": [], "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta2/documents:analyzeSyntax", "description": "Analyzes the syntax of the text and provides sentence boundaries and tokenization along with part of speech tags, dependency trees, and other properties.", "path": "v1beta2/documents:analyzeSyntax", "parameters": {}, "request": { "$ref": "AnalyzeSyntaxRequest" } }, "analyzeSentiment": { "httpMethod": "POST", "flatPath": "v1beta2/documents:analyzeSentiment", "id": "language.documents.analyzeSentiment", "description": "Analyzes the sentiment of the provided text.", "parameterOrder": [], "parameters": {}, "response": { "$ref": "AnalyzeSentimentResponse" }, "request": { "$ref": "AnalyzeSentimentRequest" }, "path": "v1beta2/documents:analyzeSentiment", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ] }, "classifyText": { "description": "Classifies a document into categories.", "parameterOrder": [], "parameters": {}, "path": "v1beta2/documents:classifyText", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta2/documents:classifyText", "response": { "$ref": "ClassifyTextResponse" }, "id": "language.documents.classifyText", "request": { "$ref": "ClassifyTextRequest" } }, "analyzeEntities": { "response": { "$ref": "AnalyzeEntitiesResponse" }, "httpMethod": "POST", "path": "v1beta2/documents:analyzeEntities", "request": { "$ref": "AnalyzeEntitiesRequest" }, "parameterOrder": [], "flatPath": "v1beta2/documents:analyzeEntities", "parameters": {}, "description": "Finds named entities (currently proper names and common nouns) in the text along with entity types, salience, mentions for each entity, and other properties.", "id": "language.documents.analyzeEntities", "scopes": [ "https://www.googleapis.com/auth/cloud-language", "https://www.googleapis.com/auth/cloud-platform" ] } } } }, "schemas": { "Sentence": { "properties": { "text": { "$ref": "TextSpan", "description": "The sentence text." }, "sentiment": { "description": "For calls to AnalyzeSentiment or if AnnotateTextRequest.Features.extract_document_sentiment is set to true, this field will contain the sentiment for the sentence.", "$ref": "Sentiment" } }, "description": "Represents a sentence in the input document.", "type": "object", "id": "Sentence" }, "Status": { "type": "object", "properties": { "code": { "format": "int32", "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code." }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "AnalyzeEntitiesRequest": { "id": "AnalyzeEntitiesRequest", "type": "object", "properties": { "document": { "description": "Required. Input document.", "$ref": "Document" }, "encodingType": { "type": "string", "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] } }, "description": "The entity analysis request message." }, "PartOfSpeech": { "description": "Represents part of speech information for a token.", "properties": { "reciprocity": { "enumDescriptions": [ "Reciprocity is not applicable in the analyzed language or is not predicted.", "Reciprocal", "Non-reciprocal" ], "enum": [ "RECIPROCITY_UNKNOWN", "RECIPROCAL", "NON_RECIPROCAL" ], "description": "The grammatical reciprocity.", "type": "string" }, "aspect": { "enumDescriptions": [ "Aspect is not applicable in the analyzed language or is not predicted.", "Perfective", "Imperfective", "Progressive" ], "type": "string", "enum": [ "ASPECT_UNKNOWN", "PERFECTIVE", "IMPERFECTIVE", "PROGRESSIVE" ], "description": "The grammatical aspect." }, "mood": { "description": "The grammatical mood.", "type": "string", "enumDescriptions": [ "Mood is not applicable in the analyzed language or is not predicted.", "Conditional", "Imperative", "Indicative", "Interrogative", "Jussive", "Subjunctive" ], "enum": [ "MOOD_UNKNOWN", "CONDITIONAL_MOOD", "IMPERATIVE", "INDICATIVE", "INTERROGATIVE", "JUSSIVE", "SUBJUNCTIVE" ] }, "tag": { "description": "The part of speech tag.", "enum": [ "UNKNOWN", "ADJ", "ADP", "ADV", "CONJ", "DET", "NOUN", "NUM", "PRON", "PRT", "PUNCT", "VERB", "X", "AFFIX" ], "enumDescriptions": [ "Unknown", "Adjective", "Adposition (preposition and postposition)", "Adverb", "Conjunction", "Determiner", "Noun (common and proper)", "Cardinal number", "Pronoun", "Particle or other function word", "Punctuation", "Verb (all tenses and modes)", "Other: foreign words, typos, abbreviations", "Affix" ], "type": "string" }, "proper": { "description": "The grammatical properness.", "enumDescriptions": [ "Proper is not applicable in the analyzed language or is not predicted.", "Proper", "Not proper" ], "enum": [ "PROPER_UNKNOWN", "PROPER", "NOT_PROPER" ], "type": "string" }, "form": { "type": "string", "enum": [ "FORM_UNKNOWN", "ADNOMIAL", "AUXILIARY", "COMPLEMENTIZER", "FINAL_ENDING", "GERUND", "REALIS", "IRREALIS", "SHORT", "LONG", "ORDER", "SPECIFIC" ], "enumDescriptions": [ "Form is not applicable in the analyzed language or is not predicted.", "Adnomial", "Auxiliary", "Complementizer", "Final ending", "Gerund", "Realis", "Irrealis", "Short form", "Long form", "Order form", "Specific form" ], "description": "The grammatical form." }, "case": { "type": "string", "enum": [ "CASE_UNKNOWN", "ACCUSATIVE", "ADVERBIAL", "COMPLEMENTIVE", "DATIVE", "GENITIVE", "INSTRUMENTAL", "LOCATIVE", "NOMINATIVE", "OBLIQUE", "PARTITIVE", "PREPOSITIONAL", "REFLEXIVE_CASE", "RELATIVE_CASE", "VOCATIVE" ], "enumDescriptions": [ "Case is not applicable in the analyzed language or is not predicted.", "Accusative", "Adverbial", "Complementive", "Dative", "Genitive", "Instrumental", "Locative", "Nominative", "Oblique", "Partitive", "Prepositional", "Reflexive", "Relative", "Vocative" ], "description": "The grammatical case." }, "gender": { "enumDescriptions": [ "Gender is not applicable in the analyzed language or is not predicted.", "Feminine", "Masculine", "Neuter" ], "description": "The grammatical gender.", "type": "string", "enum": [ "GENDER_UNKNOWN", "FEMININE", "MASCULINE", "NEUTER" ] }, "tense": { "description": "The grammatical tense.", "enumDescriptions": [ "Tense is not applicable in the analyzed language or is not predicted.", "Conditional", "Future", "Past", "Present", "Imperfect", "Pluperfect" ], "type": "string", "enum": [ "TENSE_UNKNOWN", "CONDITIONAL_TENSE", "FUTURE", "PAST", "PRESENT", "IMPERFECT", "PLUPERFECT" ] }, "number": { "enum": [ "NUMBER_UNKNOWN", "SINGULAR", "PLURAL", "DUAL" ], "enumDescriptions": [ "Number is not applicable in the analyzed language or is not predicted.", "Singular", "Plural", "Dual" ], "description": "The grammatical number.", "type": "string" }, "person": { "enum": [ "PERSON_UNKNOWN", "FIRST", "SECOND", "THIRD", "REFLEXIVE_PERSON" ], "enumDescriptions": [ "Person is not applicable in the analyzed language or is not predicted.", "First", "Second", "Third", "Reflexive" ], "type": "string", "description": "The grammatical person." }, "voice": { "enumDescriptions": [ "Voice is not applicable in the analyzed language or is not predicted.", "Active", "Causative", "Passive" ], "type": "string", "enum": [ "VOICE_UNKNOWN", "ACTIVE", "CAUSATIVE", "PASSIVE" ], "description": "The grammatical voice." } }, "id": "PartOfSpeech", "type": "object" }, "Entity": { "type": "object", "properties": { "mentions": { "type": "array", "items": { "$ref": "EntityMention" }, "description": "The mentions of this entity in the input document. The API currently supports proper noun mentions." }, "sentiment": { "$ref": "Sentiment", "description": "For calls to AnalyzeEntitySentiment or if AnnotateTextRequest.Features.extract_entity_sentiment is set to true, this field will contain the aggregate sentiment expressed for this entity in the provided document." }, "salience": { "description": "The salience score associated with the entity in the [0, 1.0] range. The salience score for an entity provides information about the importance or centrality of that entity to the entire document text. Scores closer to 0 are less salient, while scores closer to 1.0 are highly salient.", "format": "float", "type": "number" }, "metadata": { "description": "Metadata associated with the entity. For most entity types, the metadata is a Wikipedia URL (`wikipedia_url`) and Knowledge Graph MID (`mid`), if they are available. For the metadata associated with other entity types, see the Type table below.", "additionalProperties": { "type": "string" }, "type": "object" }, "type": { "enum": [ "UNKNOWN", "PERSON", "LOCATION", "ORGANIZATION", "EVENT", "WORK_OF_ART", "CONSUMER_GOOD", "OTHER", "PHONE_NUMBER", "ADDRESS", "DATE", "NUMBER", "PRICE" ], "enumDescriptions": [ "Unknown", "Person", "Location", "Organization", "Event", "Artwork", "Consumer product", "Other types of entities", "Phone number The metadata lists the phone number, formatted according to local convention, plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `number` - the actual number, broken down into sections as per local convention LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `national_prefix` - country code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `area_code` - region or area code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `extension` - phone extension (to be dialed after connection), if detected", "Address The metadata identifies the street number and locality plus whichever additional elements appear in the text: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_number` - street number LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locality` - city or town LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `street_name` - street/route name, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `postal_code` - postal code, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `country` - country, if detected\u003c LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `broad_region` - administrative area, such as the state, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `narrow_region` - smaller administrative area, such as county, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `sublocality` - used in Asian addresses to demark a district within a city, if detected", "Date The metadata identifies the components of the date: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `year` - four digit year, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `month` - two digit month number, if detected LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `day` - two digit day number, if detected", "Number The metadata is the number itself.", "Price The metadata identifies the `value` and `currency`." ], "type": "string", "description": "The entity type." }, "name": { "type": "string", "description": "The representative name for the entity." } }, "id": "Entity", "description": "Represents a phrase in the text that is a known entity, such as a person, an organization, or location. The API associates information, such as salience and mentions, with entities." }, "AnalyzeSyntaxResponse": { "description": "The syntax analysis response message.", "type": "object", "properties": { "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "sentences": { "description": "Sentences in the input document.", "items": { "$ref": "Sentence" }, "type": "array" }, "tokens": { "type": "array", "items": { "$ref": "Token" }, "description": "Tokens, along with their syntactic information, in the input document." } }, "id": "AnalyzeSyntaxResponse" }, "ClassificationCategory": { "type": "object", "id": "ClassificationCategory", "description": "Represents a category returned from the text classifier.", "properties": { "name": { "type": "string", "description": "The name of the category representing the document, from the [predefined taxonomy](https://cloud.google.com/natural-language/docs/categories)." }, "confidence": { "type": "number", "description": "The classifier's confidence of the category. Number represents how certain the classifier is that this category represents the given text.", "format": "float" } } }, "AnalyzeSyntaxRequest": { "id": "AnalyzeSyntaxRequest", "description": "The syntax analysis request message.", "type": "object", "properties": { "document": { "description": "Required. Input document.", "$ref": "Document" }, "encodingType": { "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "type": "string", "description": "The encoding type used by the API to calculate offsets." } } }, "DependencyEdge": { "description": "Represents dependency parse tree information for a token.", "type": "object", "properties": { "headTokenIndex": { "type": "integer", "description": "Represents the head of this token in the dependency tree. This is the index of the token which has an arc going to this token. The index is the position of the token in the array of tokens returned by the API method. If this token is a root token, then the `head_token_index` is its own index.", "format": "int32" }, "label": { "enumDescriptions": [ "Unknown", "Abbreviation modifier", "Adjectival complement", "Adverbial clause modifier", "Adverbial modifier", "Adjectival modifier of an NP", "Appositional modifier of an NP", "Attribute dependent of a copular verb", "Auxiliary (non-main) verb", "Passive auxiliary", "Coordinating conjunction", "Clausal complement of a verb or adjective", "Conjunct", "Clausal subject", "Clausal passive subject", "Dependency (unable to determine)", "Determiner", "Discourse", "Direct object", "Expletive", "Goes with (part of a word in a text not well edited)", "Indirect object", "Marker (word introducing a subordinate clause)", "Multi-word expression", "Multi-word verbal expression", "Negation modifier", "Noun compound modifier", "Noun phrase used as an adverbial modifier", "Nominal subject", "Passive nominal subject", "Numeric modifier of a noun", "Element of compound number", "Punctuation mark", "Parataxis relation", "Participial modifier", "The complement of a preposition is a clause", "Object of a preposition", "Possession modifier", "Postverbal negative particle", "Predicate complement", "Preconjunt", "Predeterminer", "Prefix", "Prepositional modifier", "The relationship between a verb and verbal morpheme", "Particle", "Associative or possessive marker", "Quantifier phrase modifier", "Relative clause modifier", "Complementizer in relative clause", "Ellipsis without a preceding predicate", "Referent", "Remnant", "Reparandum", "Root", "Suffix specifying a unit of number", "Suffix", "Temporal modifier", "Topic marker", "Clause headed by an infinite form of the verb that modifies a noun", "Vocative", "Open clausal complement", "Name suffix", "Name title", "Adverbial phrase modifier", "Causative auxiliary", "Helper auxiliary", "Rentaishi (Prenominal modifier)", "Foreign words", "Keyword", "List for chains of comparable items", "Nominalized clause", "Nominalized clausal subject", "Nominalized clausal passive", "Compound of numeric modifier", "Copula", "Dislocated relation (for fronted/topicalized elements)", "Aspect marker", "Genitive modifier", "Genitive object", "Infinitival modifier", "Measure", "Nominal complement of a noun" ], "description": "The parse label for the token.", "enum": [ "UNKNOWN", "ABBREV", "ACOMP", "ADVCL", "ADVMOD", "AMOD", "APPOS", "ATTR", "AUX", "AUXPASS", "CC", "CCOMP", "CONJ", "CSUBJ", "CSUBJPASS", "DEP", "DET", "DISCOURSE", "DOBJ", "EXPL", "GOESWITH", "IOBJ", "MARK", "MWE", "MWV", "NEG", "NN", "NPADVMOD", "NSUBJ", "NSUBJPASS", "NUM", "NUMBER", "P", "PARATAXIS", "PARTMOD", "PCOMP", "POBJ", "POSS", "POSTNEG", "PRECOMP", "PRECONJ", "PREDET", "PREF", "PREP", "PRONL", "PRT", "PS", "QUANTMOD", "RCMOD", "RCMODREL", "RDROP", "REF", "REMNANT", "REPARANDUM", "ROOT", "SNUM", "SUFF", "TMOD", "TOPIC", "VMOD", "VOCATIVE", "XCOMP", "SUFFIX", "TITLE", "ADVPHMOD", "AUXCAUS", "AUXVV", "DTMOD", "FOREIGN", "KW", "LIST", "NOMC", "NOMCSUBJ", "NOMCSUBJPASS", "NUMC", "COP", "DISLOCATED", "ASP", "GMOD", "GOBJ", "INFMOD", "MES", "NCOMP" ], "type": "string" } }, "id": "DependencyEdge" }, "Sentiment": { "type": "object", "id": "Sentiment", "properties": { "score": { "format": "float", "description": "Sentiment score between -1.0 (negative sentiment) and 1.0 (positive sentiment).", "type": "number" }, "magnitude": { "description": "A non-negative number in the [0, +inf) range, which represents the absolute magnitude of sentiment regardless of score (positive or negative).", "format": "float", "type": "number" } }, "description": "Represents the feeling associated with the entire text or entities in the text. Next ID: 6" }, "AnalyzeSentimentRequest": { "properties": { "document": { "description": "Required. Input document.", "$ref": "Document" }, "encodingType": { "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate sentence offsets for the sentence sentiment.", "type": "string" } }, "description": "The sentiment analysis request message.", "id": "AnalyzeSentimentRequest", "type": "object" }, "TextSpan": { "description": "Represents an output piece of text.", "properties": { "beginOffset": { "format": "int32", "description": "The API calculates the beginning offset of the content in the original document according to the EncodingType specified in the API request.", "type": "integer" }, "content": { "type": "string", "description": "The content of the output text." } }, "type": "object", "id": "TextSpan" }, "AnnotateTextRequest": { "description": "The request message for the text annotation API, which can perform multiple analysis types (sentiment, entities, and syntax) in one call.", "properties": { "encodingType": { "type": "string", "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ], "description": "The encoding type used by the API to calculate offsets." }, "features": { "$ref": "Features", "description": "Required. The enabled features." }, "document": { "$ref": "Document", "description": "Required. Input document." } }, "type": "object", "id": "AnnotateTextRequest" }, "AnalyzeSentimentResponse": { "properties": { "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" }, "documentSentiment": { "$ref": "Sentiment", "description": "The overall sentiment of the input document." }, "sentences": { "type": "array", "items": { "$ref": "Sentence" }, "description": "The sentiment for all the sentences in the document." } }, "type": "object", "id": "AnalyzeSentimentResponse", "description": "The sentiment analysis response message." }, "AnalyzeEntitySentimentResponse": { "description": "The entity-level sentiment analysis response message.", "id": "AnalyzeEntitySentimentResponse", "properties": { "entities": { "type": "array", "description": "The recognized entities in the input document with associated sentiments.", "items": { "$ref": "Entity" } }, "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" } }, "type": "object" }, "ClassifyTextRequest": { "description": "The document classification request message.", "type": "object", "properties": { "document": { "$ref": "Document", "description": "Required. Input document." } }, "id": "ClassifyTextRequest" }, "Features": { "id": "Features", "description": "All available features for sentiment, syntax, and semantic analysis. Setting each one to true will enable that specific analysis for the input. Next ID: 10", "type": "object", "properties": { "classifyText": { "description": "Classify the full document into categories. If this is true, the API will use the default model which classifies into a [predefined taxonomy](https://cloud.google.com/natural-language/docs/categories).", "type": "boolean" }, "extractSyntax": { "description": "Extract syntax information.", "type": "boolean" }, "extractEntitySentiment": { "type": "boolean", "description": "Extract entities and their associated sentiment." }, "extractEntities": { "type": "boolean", "description": "Extract entities." }, "extractDocumentSentiment": { "description": "Extract document-level sentiment.", "type": "boolean" } } }, "Document": { "description": "################################################################ # Represents the input to API methods.", "type": "object", "properties": { "gcsContentUri": { "description": "The Google Cloud Storage URI where the file content is located. This URI must be of the form: gs://bucket_name/object_name. For more details, see https://cloud.google.com/storage/docs/reference-uris. NOTE: Cloud Storage object versioning is not supported.", "type": "string" }, "type": { "type": "string", "enumDescriptions": [ "The content type is not specified.", "Plain text", "HTML" ], "description": "Required. If the type is not set or is `TYPE_UNSPECIFIED`, returns an `INVALID_ARGUMENT` error.", "enum": [ "TYPE_UNSPECIFIED", "PLAIN_TEXT", "HTML" ] }, "language": { "type": "string", "description": "The language of the document (if not specified, the language is automatically detected). Both ISO and BCP-47 language codes are accepted. [Language Support](https://cloud.google.com/natural-language/docs/languages) lists currently supported languages for each API method. If the language (either specified by the caller or automatically detected) is not supported by the called API method, an `INVALID_ARGUMENT` error is returned." }, "referenceWebUri": { "description": "The web URI where the document comes from. This URI is not used for fetching the content, but as a hint for analyzing the document.", "type": "string" }, "content": { "description": "The content of the input in string format. Cloud audit logging exempt since it is based on user data.", "type": "string" }, "boilerplateHandling": { "enum": [ "BOILERPLATE_HANDLING_UNSPECIFIED", "SKIP_BOILERPLATE", "KEEP_BOILERPLATE" ], "enumDescriptions": [ "The boilerplate handling is not specified.", "Do not analyze detected boilerplate. Reference web URI is required for detecting boilerplate.", "Treat boilerplate the same as content." ], "type": "string", "description": "Indicates how detected boilerplate(e.g. advertisements, copyright declarations, banners) should be handled for this document. If not specified, boilerplate will be treated the same as content." } }, "id": "Document" }, "Token": { "id": "Token", "properties": { "dependencyEdge": { "description": "Dependency tree parse for this token.", "$ref": "DependencyEdge" }, "text": { "description": "The token text.", "$ref": "TextSpan" }, "lemma": { "description": "[Lemma](https://en.wikipedia.org/wiki/Lemma_%28morphology%29) of the token.", "type": "string" }, "partOfSpeech": { "description": "Parts of speech tag for this token.", "$ref": "PartOfSpeech" } }, "type": "object", "description": "Represents the smallest syntactic building block of the text." }, "AnalyzeEntitiesResponse": { "properties": { "language": { "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details.", "type": "string" }, "entities": { "description": "The recognized entities in the input document.", "items": { "$ref": "Entity" }, "type": "array" } }, "id": "AnalyzeEntitiesResponse", "description": "The entity analysis response message.", "type": "object" }, "AnnotateTextResponse": { "type": "object", "description": "The text annotations response message.", "properties": { "documentSentiment": { "description": "The overall sentiment for the document. Populated if the user enables AnnotateTextRequest.Features.extract_document_sentiment.", "$ref": "Sentiment" }, "categories": { "items": { "$ref": "ClassificationCategory" }, "description": "Categories identified in the input document.", "type": "array" }, "tokens": { "description": "Tokens, along with their syntactic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax.", "items": { "$ref": "Token" }, "type": "array" }, "sentences": { "items": { "$ref": "Sentence" }, "description": "Sentences in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_syntax.", "type": "array" }, "language": { "type": "string", "description": "The language of the text, which will be the same as the language specified in the request or, if not specified, the automatically-detected language. See Document.language field for more details." }, "entities": { "type": "array", "items": { "$ref": "Entity" }, "description": "Entities, along with their semantic information, in the input document. Populated if the user enables AnnotateTextRequest.Features.extract_entities." } }, "id": "AnnotateTextResponse" }, "EntityMention": { "properties": { "type": { "description": "The type of the entity mention.", "enumDescriptions": [ "Unknown", "Proper name", "Common noun (or noun compound)" ], "type": "string", "enum": [ "TYPE_UNKNOWN", "PROPER", "COMMON" ] }, "text": { "$ref": "TextSpan", "description": "The mention text." }, "sentiment": { "description": "For calls to AnalyzeEntitySentiment or if AnnotateTextRequest.Features.extract_entity_sentiment is set to true, this field will contain the sentiment expressed for this mention of the entity in the provided document.", "$ref": "Sentiment" } }, "description": "Represents a mention for an entity in the text. Currently, proper noun mentions are supported.", "type": "object", "id": "EntityMention" }, "ClassifyTextResponse": { "properties": { "categories": { "items": { "$ref": "ClassificationCategory" }, "type": "array", "description": "Categories representing the input document." } }, "id": "ClassifyTextResponse", "type": "object", "description": "The document classification response message." }, "AnalyzeEntitySentimentRequest": { "type": "object", "description": "The entity-level sentiment analysis request message.", "id": "AnalyzeEntitySentimentRequest", "properties": { "document": { "$ref": "Document", "description": "Required. Input document." }, "encodingType": { "type": "string", "enumDescriptions": [ "If `EncodingType` is not specified, encoding-dependent information (such as `begin_offset`) will be set at `-1`.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-8 encoding of the input. C++ and Go are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-16 encoding of the input. Java and JavaScript are examples of languages that use this encoding natively.", "Encoding-dependent information (such as `begin_offset`) is calculated based on the UTF-32 encoding of the input. Python is an example of a language that uses this encoding natively." ], "description": "The encoding type used by the API to calculate offsets.", "enum": [ "NONE", "UTF8", "UTF16", "UTF32" ] } } } }, "basePath": "", "canonicalName": "Cloud Natural Language", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/cloud-language": { "description": "Apply machine learning models to reveal the structure and meaning of text" } } } }, "rootUrl": "https://language.googleapis.com/", "ownerName": "Google", "revision": "20220708", "baseUrl": "https://language.googleapis.com/", "ownerDomain": "google.com", "batchPath": "batch", "mtlsRootUrl": "https://language.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/natural-language/", "id": "language:v1beta2" }
]===]))
