local decode = require("cjson").new().decode
return assert(decode([===[
{ "fullyEncodeReservedExpansion": true, "id": "managedidentities:v1", "schemas": { "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "type": "object", "properties": { "instanceType": { "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not.", "type": "string" }, "updateTime": { "description": "Output only. Timestamp when the resource was last modified.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details." }, "consumerDefinedName": { "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances.", "type": "string" }, "maintenancePolicyNames": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug." }, "softwareVersions": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services." }, "maintenanceSettings": { "description": "Optional. The MaintenanceSettings associated with instance.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings" }, "maintenanceSchedules": { "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions.", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "type": "object" }, "tenantProjectId": { "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata.", "readOnly": true, "type": "string" }, "provisionedResources": { "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "readOnly": true, "type": "array", "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata." }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ], "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "readOnly": true, "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use)." }, "createTime": { "readOnly": true, "description": "Output only. Timestamp when the resource was created.", "format": "google-datetime", "type": "string" }, "producerMetadata": { "type": "object", "readOnly": true, "additionalProperties": { "type": "string" }, "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata." }, "notificationParameters": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose." }, "sloMetadata": { "readOnly": true, "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description." }, "slmInstanceTemplate": { "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance" }, "SqlIntegration": { "type": "object", "description": "Represents the SQL instance integrated with Managed AD.", "properties": { "name": { "description": "The unique name of the SQL integration in the form of `projects/{project_id}/locations/global/domains/{domain_name}/sqlIntegrations/{sql_integration}`", "type": "string" }, "sqlInstance": { "type": "string", "description": "The full resource name of an integrated SQL instance" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the SQL integration was created." }, "state": { "description": "Output only. The current state of the SQL integration.", "type": "string", "readOnly": true, "enumDescriptions": [ "Not Set", "The SQL integration is being created.", "The SQL integration is being deleted.", "The SQL integration is ready." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "DELETING", "READY" ] }, "updateTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the SQL integration was updated." } }, "id": "SqlIntegration" }, "Schedule": { "description": "Configure the schedule.", "properties": { "duration": { "description": "Output only. Duration of the time window, set by service producer.", "type": "string", "format": "google-duration" }, "startTime": { "description": "Time within the window to start the operations.", "$ref": "TimeOfDay" }, "day": { "type": "string", "description": "Allows to define schedule that runs specified day of the week.", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] } }, "type": "object", "id": "Schedule" }, "GoogleCloudManagedidentitiesV1alpha1OpMetadata": { "properties": { "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "verb": { "type": "string", "description": "Output only. Name of the verb executed by the operation.", "readOnly": true }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running." } }, "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "GoogleCloudManagedidentitiesV1alpha1OpMetadata" }, "Date": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "id": "Date", "type": "object", "properties": { "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32", "type": "integer" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "type": "object", "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "properties": { "canReschedule": { "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.", "type": "boolean" }, "scheduleDeadlineTime": { "format": "google-datetime", "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline.", "type": "string" }, "startTime": { "description": "The scheduled start time for the maintenance.", "type": "string", "format": "google-datetime" }, "endTime": { "description": "The scheduled end time for the maintenance.", "type": "string", "format": "google-datetime" }, "rolloutManagementPolicy": { "type": "string", "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "OperationMetadata": { "id": "OperationMetadata", "properties": { "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "cancelRequested": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "endTime": { "type": "string", "description": "Output only. The time the operation finished running.", "readOnly": true, "format": "google-datetime" }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "statusDetail": { "type": "string", "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true } }, "description": "Represents the metadata of the long-running operation.", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information.", "properties": { "nodeId": { "type": "string", "description": "The id of the node. This should be equal to SaasInstanceNode.node_id." }, "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs." }, "location": { "description": "The location of the node, if different from instance location.", "type": "string" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata", "type": "object" }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {} }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "properties": { "maintenancePolicies": { "type": "object", "additionalProperties": { "$ref": "MaintenancePolicy" }, "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed (like in the deprecated Instance.maintenance_policy_names field) then only populate MaintenancePolicy.name." }, "exclude": { "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.", "type": "boolean" }, "isRollback": { "description": "Optional. If the update call is triggered from rollback, set the value as true.", "type": "boolean" } }, "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter", "properties": { "values": { "items": { "type": "string" }, "description": "Optional. Array of string values. e.g. instance's replica information.", "type": "array" } }, "description": "Contains notification related data.", "type": "object" }, "GoogleCloudManagedidentitiesV1beta1OpMetadata": { "type": "object", "properties": { "endTime": { "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation was created." }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." } }, "id": "GoogleCloudManagedidentitiesV1beta1OpMetadata", "description": "Represents the metadata of the long-running operation." }, "ListBackupsResponse": { "id": "ListBackupsResponse", "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "backups": { "description": "A list of Cloud AD backups in the domain.", "type": "array", "items": { "$ref": "Backup" } }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." } }, "type": "object", "description": "ListBackupsResponse is the response message for ListBackups method." }, "UpdatePolicy": { "type": "object", "description": "Maintenance policy applicable to instance updates.", "id": "UpdatePolicy", "properties": { "window": { "description": "Optional. Maintenance window that is applied to resources covered by this policy.", "$ref": "MaintenanceWindow" }, "channel": { "description": "Optional. Relative scheduling channel applied to resource.", "type": "string", "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ], "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ] }, "denyMaintenancePeriods": { "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one.", "items": { "$ref": "DenyMaintenancePeriod" }, "type": "array" } } }, "Backup": { "type": "object", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the backups was created.", "readOnly": true }, "type": { "type": "string", "enumDescriptions": [ "Backup was manually created.", "Backup was manually created.", "Backup was automatically created." ], "description": "Output only. Indicates whether it’s an on-demand backup or scheduled.", "readOnly": true, "enum": [ "TYPE_UNSPECIFIED", "ON_DEMAND", "SCHEDULED" ] }, "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "state": { "enumDescriptions": [ "Not set.", "Backup is being created.", "Backup has been created and validated.", "Backup has been created but failed validation.", "Backup is being deleted." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING" ], "type": "string", "description": "Output only. The current state of the backup.", "readOnly": true }, "statusMessage": { "description": "Output only. Additional information about the current status of this backup, if available.", "type": "string", "readOnly": true }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. Last update time." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The unique name of the Backup in the form of `projects/{project_id}/locations/global/domains/{domain_name}/backups/{name}`" } }, "id": "Backup", "description": "Represents a Managed Microsoft Identities backup." }, "ListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } } }, "WeeklyCycle": { "description": "Time window specified for weekly operations.", "id": "WeeklyCycle", "type": "object", "properties": { "schedule": { "items": { "$ref": "Schedule" }, "type": "array", "description": "User can specify multiple windows in a week. Minimum of 1 window." } } }, "Certificate": { "type": "object", "properties": { "subjectAlternativeName": { "type": "array", "description": "The additional hostnames for the domain.", "items": { "type": "string" } }, "subject": { "type": "string", "description": "The certificate subject." }, "issuingCertificate": { "$ref": "Certificate", "description": "The issuer of this certificate." }, "expireTime": { "description": "The certificate expire time.", "type": "string", "format": "google-datetime" }, "thumbprint": { "description": "The certificate thumbprint which uniquely identifies the certificate.", "type": "string" } }, "id": "Certificate", "description": "Certificate used to configure LDAPS." }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "etag": { "format": "byte", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "type": "string" }, "version": { "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } }, "type": "object", "id": "Policy" }, "TestIamPermissionsRequest": { "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "properties": { "eligible": { "description": "Whether an instance is eligible or ineligible.", "type": "boolean" }, "reason": { "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed.", "type": "string" } }, "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "type": "object" }, "Peering": { "id": "Peering", "properties": { "labels": { "description": "Optional. Resource labels to represent user-provided metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Additional information about the current status of this peering, if available." }, "name": { "description": "Output only. Unique name of the peering in this scope including projects and location using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`.", "readOnly": true, "type": "string" }, "authorizedNetwork": { "type": "string", "description": "Required. The full names of the Google Compute Engine [networks](/compute/docs/networks-and-firewalls#networks) to which the instance is connected. Caller needs to make sure that CIDR subnets do not overlap between networks, else peering creation will fail." }, "domainResource": { "description": "Required. Full domain resource path for the Managed AD Domain involved in peering. The resource path should be in the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "type": "string" }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Last update time.", "type": "string" }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the instance was created.", "type": "string" }, "state": { "enumDescriptions": [ "Not set.", "Peering is being created.", "Peering is connected.", "Peering is disconnected.", "Peering is being deleted." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "CONNECTED", "DISCONNECTED", "DELETING" ], "readOnly": true, "type": "string", "description": "Output only. The current state of this Peering." } }, "description": "Represents a Managed Service for Microsoft Active Directory Peering.", "type": "object" }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "properties": {} }, "ValidateTrustRequest": { "id": "ValidateTrustRequest", "type": "object", "properties": { "trust": { "$ref": "Trust", "description": "Required. The domain trust to validate trust state for." } }, "description": "Request message for ValidateTrust" }, "ReconfigureTrustRequest": { "properties": { "targetDnsIpAddresses": { "items": { "type": "string" }, "description": "Required. The target DNS server IP addresses to resolve the remote domain involved in the trust.", "type": "array" }, "targetDomainName": { "description": "Required. The fully-qualified target domain name which will be in trust with current domain.", "type": "string" } }, "id": "ReconfigureTrustRequest", "type": "object", "description": "Request message for ReconfigureTrust" }, "DenyMaintenancePeriod": { "properties": { "time": { "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC", "$ref": "TimeOfDay" }, "endDate": { "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end.", "$ref": "Date" }, "startDate": { "$ref": "Date", "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start." } }, "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.", "type": "object", "id": "DenyMaintenancePeriod" }, "Operation": { "type": "object", "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "MaintenanceWindow": { "id": "MaintenanceWindow", "properties": { "weeklyCycle": { "description": "Weekly cycle.", "$ref": "WeeklyCycle" }, "dailyCycle": { "description": "Daily cycle.", "$ref": "DailyCycle" } }, "description": "MaintenanceWindow definition.", "type": "object" }, "GoogleCloudManagedidentitiesV1OpMetadata": { "description": "Represents the metadata of the long-running operation.", "properties": { "endTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the operation finished running.", "readOnly": true }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation was created.", "format": "google-datetime" }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "requestedCancellation": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." } }, "id": "GoogleCloudManagedidentitiesV1OpMetadata", "type": "object" }, "ResetAdminPasswordRequest": { "id": "ResetAdminPasswordRequest", "type": "object", "properties": {}, "description": "Request message for ResetAdminPassword" }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "id": "SetIamPolicyRequest", "type": "object", "description": "Request message for `SetIamPolicy` method." }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "type": "object", "properties": { "hours": { "type": "integer", "format": "int32", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time." }, "seconds": { "type": "integer", "format": "int32", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "minutes": { "format": "int32", "description": "Minutes of hour of day. Must be from 0 to 59.", "type": "integer" }, "nanos": { "type": "integer", "format": "int32", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." } }, "id": "TimeOfDay" }, "Domain": { "id": "Domain", "type": "object", "description": "Represents a managed Microsoft Active Directory domain. If the domain is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "properties": { "createTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the instance was created." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The last update time.", "readOnly": true }, "locations": { "type": "array", "description": "Required. Locations where domain needs to be provisioned. regions e.g. us-west1 or us-east4 Service supports up to 4 locations at once. Each location will use a /26 block.", "items": { "type": "string" } }, "name": { "description": "Required. The unique name of the domain using the form: `projects/{project_id}/locations/global/domains/{domain_name}`.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "DELETING", "REPAIRING", "PERFORMING_MAINTENANCE", "UNAVAILABLE" ], "type": "string", "readOnly": true, "enumDescriptions": [ "Not set.", "The domain is being created.", "The domain has been created and is fully usable.", "The domain's configuration is being updated.", "The domain is being deleted.", "The domain is being repaired and may be unusable. Details can be found in the `status_message` field.", "The domain is undergoing maintenance.", "The domain is not serving requests." ], "description": "Output only. The current state of this domain." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels that can contain user-provided metadata." }, "authorizedNetworks": { "description": "Optional. The full names of the Google Compute Engine [networks](/compute/docs/networks-and-firewalls#networks) the domain instance is connected to. Networks can be added using UpdateDomain. The domain is only available on networks listed in `authorized_networks`. If CIDR subnets overlap between networks, domain creation will fail.", "type": "array", "items": { "type": "string" } }, "statusMessage": { "description": "Output only. Additional information about the current status of this domain, if available.", "type": "string", "readOnly": true }, "reservedIpRange": { "description": "Required. The CIDR range of internal addresses that are reserved for this domain. Reserved networks must be /24 or larger. Ranges must be unique and non-overlapping with existing subnets in [Domain].[authorized_networks].", "type": "string" }, "auditLogsEnabled": { "type": "boolean", "description": "Optional. Configuration for audit logs. True if audit logs are enabled, else false. Default is audit logs disabled." }, "fqdn": { "readOnly": true, "description": "Output only. The fully-qualified domain name of the exposed domain used by clients to connect to the service. Similar to what would be chosen for an Active Directory set up on an internal network.", "type": "string" }, "trusts": { "items": { "$ref": "Trust" }, "description": "Output only. The current trusts associated with the domain.", "type": "array", "readOnly": true }, "admin": { "type": "string", "description": "Optional. The name of delegated administrator account used to perform Active Directory operations. If not specified, `setupadmin` will be used." } } }, "AttachTrustRequest": { "properties": { "trust": { "description": "Required. The domain trust resource.", "$ref": "Trust" } }, "type": "object", "description": "Request message for AttachTrust", "id": "AttachTrustRequest" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } } }, "ListDomainsResponse": { "id": "ListDomainsResponse", "type": "object", "properties": { "domains": { "description": "A list of Managed Identities Service domains in the project.", "type": "array", "items": { "$ref": "Domain" } }, "unreachable": { "description": "A list of locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "A token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "description": "Response message for ListDomains" }, "RestoreDomainRequest": { "id": "RestoreDomainRequest", "type": "object", "description": "RestoreDomainRequest is the request received by RestoreDomain rpc", "properties": { "backupId": { "type": "string", "description": "Required. ID of the backup to be restored" } } }, "DailyCycle": { "description": "Time window specified for daily operations.", "properties": { "duration": { "format": "google-duration", "type": "string", "description": "Output only. Duration of the time window, set by service producer." }, "startTime": { "$ref": "TimeOfDay", "description": "Time within the day to start the operations." } }, "type": "object", "id": "DailyCycle" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "properties": { "nodes": { "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch.", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "type": "array" }, "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs." }, "tier": { "type": "string", "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty." } }, "description": "SloMetadata contains resources required for proper SLO classification of the instance.", "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata" }, "Expr": { "id": "Expr", "type": "object", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "Location": { "properties": { "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "ListPeeringsResponse": { "type": "object", "properties": { "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "peerings": { "type": "array", "description": "A list of Managed Identities Service Peerings in the project.", "items": { "$ref": "Peering" } } }, "id": "ListPeeringsResponse", "description": "ListPeeringsResponse is the response message for ListPeerings method." }, "ResetAdminPasswordResponse": { "properties": { "password": { "description": "A random password. See admin for more information.", "type": "string" } }, "type": "object", "description": "Response message for ResetAdminPassword", "id": "ResetAdminPasswordResponse" }, "DetachTrustRequest": { "description": "Request message for DetachTrust", "properties": { "trust": { "description": "Required. The domain trust resource to removed.", "$ref": "Trust" } }, "id": "DetachTrustRequest", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "description": "Describes provisioned dataplane resources.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource", "properties": { "resourceType": { "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'.", "type": "string" }, "resourceUrl": { "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\".", "type": "string" } }, "type": "object" }, "ListSqlIntegrationsResponse": { "properties": { "sqlIntegrations": { "type": "array", "description": "A list of SQLIntegrations of a domain.", "items": { "$ref": "SqlIntegration" } }, "unreachable": { "items": { "type": "string" }, "description": "A list of locations that could not be reached.", "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } }, "type": "object", "description": "ListSqlIntegrationsResponse is the response message for ListSqlIntegrations method.", "id": "ListSqlIntegrationsResponse" }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility.", "type": "object", "properties": { "eligibilities": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" }, "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted.", "type": "object" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" }, "Trust": { "properties": { "targetDnsIpAddresses": { "items": { "type": "string" }, "type": "array", "description": "Required. The target DNS server IP addresses which can resolve the remote domain involved in the trust." }, "lastTrustHeartbeatTime": { "description": "Output only. The last heartbeat time when the trust was known to be connected.", "readOnly": true, "format": "google-datetime", "type": "string" }, "trustType": { "description": "Required. The type of trust represented by the trust resource.", "enumDescriptions": [ "Not set.", "The forest trust.", "The external domain trust." ], "enum": [ "TRUST_TYPE_UNSPECIFIED", "FOREST", "EXTERNAL" ], "type": "string" }, "state": { "description": "Output only. The current state of the trust.", "readOnly": true, "type": "string", "enumDescriptions": [ "Not set.", "The domain trust is being created.", "The domain trust is being updated.", "The domain trust is being deleted.", "The domain trust is connected.", "The domain trust is disconnected." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "UPDATING", "DELETING", "CONNECTED", "DISCONNECTED" ] }, "selectiveAuthentication": { "type": "boolean", "description": "Optional. The trust authentication type, which decides whether the trusted side has forest/domain wide access or selective access to an approved set of resources." }, "trustDirection": { "enum": [ "TRUST_DIRECTION_UNSPECIFIED", "INBOUND", "OUTBOUND", "BIDIRECTIONAL" ], "enumDescriptions": [ "Not set.", "The inbound direction represents the trusting side.", "The outboud direction represents the trusted side.", "The bidirectional direction represents the trusted / trusting side." ], "description": "Required. The trust direction, which decides if the current domain is trusted, trusting, or both.", "type": "string" }, "targetDomainName": { "description": "Required. The fully qualified target domain name which will be in trust with the current domain.", "type": "string" }, "trustHandshakeSecret": { "type": "string", "description": "Required. The trust secret used for the handshake with the target domain. This will not be stored." }, "stateDescription": { "description": "Output only. Additional information about the current state of the trust, if available.", "readOnly": true, "type": "string" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time the instance was created.", "format": "google-datetime" }, "updateTime": { "description": "Output only. The last update time.", "format": "google-datetime", "type": "string", "readOnly": true } }, "description": "Represents a relationship between two domains. This allows a controller in one domain to authenticate a user in another domain. If the trust is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "type": "object", "id": "Trust" }, "LDAPSSettings": { "description": "LDAPSSettings represents the ldaps settings for domain resource. LDAP is the Lightweight Directory Access Protocol, defined in https://tools.ietf.org/html/rfc4511. The settings object configures LDAP over SSL/TLS, whether it is over port 636 or the StartTLS operation. If LDAPSSettings is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "type": "object", "id": "LDAPSSettings", "properties": { "certificate": { "description": "Output only. The certificate used to configure LDAPS. Certificates can be chained with a maximum length of 15.", "readOnly": true, "$ref": "Certificate" }, "certificatePfx": { "description": "Input only. The uploaded PKCS12-formatted certificate to configure LDAPS with. It will enable the domain controllers in this domain to accept LDAPS connections (either LDAP over SSL/TLS or the StartTLS operation). A valid certificate chain must form a valid x.509 certificate chain (or be comprised of a single self-signed certificate. It must be encrypted with either: 1) PBES2 + PBKDF2 + AES256 encryption and SHA256 PRF; or 2) pbeWithSHA1And3-KeyTripleDES-CBC Private key must be included for the leaf / single self-signed certificate. Note: For a fqdn your-example-domain.com, the wildcard fqdn is *.your-example-domain.com. Specifically the leaf certificate must have: - Either a blank subject or a subject with CN matching the wildcard fqdn. - Exactly two SANs - the fqdn and wildcard fqdn. - Encipherment and digital key signature key usages. - Server authentication extended key usage (OID=1.3.6.1.5.5.7.3.1) - Private key must be in one of the following formats: RSA, ECDSA, ED25519. - Private key must have appropriate key length: 2048 for RSA, 256 for ECDSA - Signature algorithm of the leaf certificate cannot be MD2, MD5 or SHA1.", "type": "string", "format": "byte" }, "certificatePassword": { "type": "string", "description": "Input only. The password used to encrypt the uploaded PFX certificate." }, "name": { "description": "The resource name of the LDAPS settings. Uses the form: `projects/{project}/locations/{location}/domains/{domain}`.", "type": "string" }, "state": { "readOnly": true, "type": "string", "description": "Output only. The current state of this LDAPS settings.", "enumDescriptions": [ "Not Set", "The LDAPS setting is being updated.", "The LDAPS setting is ready.", "The LDAPS setting is not applied correctly." ], "enum": [ "STATE_UNSPECIFIED", "UPDATING", "ACTIVE", "FAILED" ] }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Last update time." } } }, "Status": { "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "type": "object" }, "Binding": { "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" } }, "type": "object" }, "MaintenancePolicy": { "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time when the resource was updated." }, "description": { "type": "string", "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "type": "object" }, "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ], "description": "Optional. The state of the policy.", "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ] }, "updatePolicy": { "$ref": "UpdatePolicy", "description": "Maintenance policy applicable to instance update." }, "createTime": { "description": "Output only. The time when the resource was created.", "format": "google-datetime", "type": "string" }, "name": { "type": "string", "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`." } }, "type": "object", "id": "MaintenancePolicy", "description": "Defines policies to service maintenance events." } }, "batchPath": "batch", "baseUrl": "https://managedidentities.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "response": { "$ref": "Location" }, "parameters": { "name": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "managedidentities.projects.locations.get", "description": "Gets information about a location.", "parameterOrder": [ "name" ], "httpMethod": "GET" }, "list": { "flatPath": "v1/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "path": "v1/{+name}/locations", "id": "managedidentities.projects.locations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "name": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "The resource that owns the locations collection, if applicable.", "location": "path" } }, "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET" } }, "resources": { "global": { "resources": { "operations": { "methods": { "list": { "id": "managedidentities.projects.locations.global.operations.list", "flatPath": "v1/projects/{projectsId}/locations/global/operations", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1/{+name}", "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageSize": { "location": "query", "description": "The standard list page size.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "name": { "required": true, "pattern": "^projects/[^/]+/locations/global/operations$", "type": "string", "location": "path", "description": "The name of the operation's parent resource." } }, "httpMethod": "GET" }, "get": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/global/operations/{operationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.operations.get" }, "delete": { "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/operations/{operationsId}", "path": "v1/{+name}", "id": "managedidentities.projects.locations.global.operations.delete", "response": { "$ref": "Empty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$", "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be deleted." } }, "httpMethod": "DELETE" }, "cancel": { "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameters": { "name": { "type": "string", "required": true, "description": "The name of the operation resource to be cancelled.", "location": "path", "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CancelOperationRequest" }, "id": "managedidentities.projects.locations.global.operations.cancel", "flatPath": "v1/projects/{projectsId}/locations/global/operations/{operationsId}:cancel", "httpMethod": "POST" } } }, "domains": { "resources": { "sqlIntegrations": { "methods": { "get": { "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/sqlIntegrations/[^/]+$", "type": "string", "required": true, "description": "Required. SQLIntegration resource name using the form: `projects/{project_id}/locations/global/domains/{domain}/sqlIntegrations/{name}`" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "SqlIntegration" }, "description": "Gets details of a single sqlIntegration.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "managedidentities.projects.locations.global.domains.sqlIntegrations.get", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/sqlIntegrations/{sqlIntegrationsId}" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/sqlIntegrations", "response": { "$ref": "ListSqlIntegrationsResponse" }, "id": "managedidentities.projects.locations.global.domains.sqlIntegrations.list", "description": "Lists SqlIntegrations in a given domain.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "orderBy": { "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order.", "location": "query", "type": "string" }, "pageToken": { "location": "query", "description": "Optional. The next_page_token value returned from a previous List request, if any.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the SqlIntegrations using the form: `projects/{project_id}/locations/global/domains/*`", "type": "string" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response'ANIZATIONs next_page_token to determine if there are more instances left to be queried." }, "filter": { "description": "Optional. Filter specifying constraints of a list operation. For example, `SqlIntegration.name=\"sql\"`.", "location": "query", "type": "string" } }, "path": "v1/{+parent}/sqlIntegrations", "parameterOrder": [ "parent" ] } } }, "backups": { "methods": { "patch": { "httpMethod": "PATCH", "path": "v1/{+name}", "description": "Updates the labels for specified Backup.", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "response": { "$ref": "Operation" }, "id": "managedidentities.projects.locations.global.domains.backups.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Backup" }, "parameterOrder": [ "name" ], "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Backup: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels`" }, "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "location": "path", "required": true, "description": "Output only. The unique name of the Backup in the form of `projects/{project_id}/locations/global/domains/{domain_name}/backups/{name}`", "type": "string" } } }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "id": "managedidentities.projects.locations.global.domains.backups.setIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:setIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "request": { "$ref": "SetIamPolicyRequest" }, "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" } }, "create": { "parameters": { "parent": { "required": true, "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "type": "string" }, "backupId": { "type": "string", "location": "query", "description": "Required. Backup Id, unique name to identify the backups with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be lowercase letters, numbers, and hyphens LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the domain." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "Operation" }, "description": "Creates a Backup for a domain.", "id": "managedidentities.projects.locations.global.domains.backups.create", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups", "path": "v1/{+parent}/backups", "parameterOrder": [ "parent" ], "request": { "$ref": "Backup" } }, "list": { "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order." }, "pageSize": { "location": "query", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "format": "int32", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "Optional. Filter specifying constraints of a list operation." }, "pageToken": { "description": "Optional. The `next_page_token` value returned from a previous List request, if any.", "location": "query", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "required": true } }, "id": "managedidentities.projects.locations.global.domains.backups.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Backup in a given project.", "response": { "$ref": "ListBackupsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups", "path": "v1/{+parent}/backups", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "parameters": { "resource": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "managedidentities.projects.locations.global.domains.backups.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:testIamPermissions", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The backup resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}/backups/{backup_id}`", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "location": "path" } }, "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes identified Backup.", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "path": "v1/{+name}", "id": "managedidentities.projects.locations.global.domains.backups.delete" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.domains.backups.get", "response": { "$ref": "Backup" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "description": "Gets details of a single Backup.", "parameters": { "name": { "type": "string", "description": "Required. The backup resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}/backups/{backup_id}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$" } } }, "getIamPolicy": { "parameters": { "resource": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "id": "managedidentities.projects.locations.global.domains.backups.getIamPolicy", "httpMethod": "GET" } } } }, "methods": { "setIamPolicy": { "id": "managedidentities.projects.locations.global.domains.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path" }, "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "path": "v1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:getIamPolicy", "httpMethod": "GET", "id": "managedidentities.projects.locations.global.domains.getIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" } }, "resetAdminPassword": { "response": { "$ref": "ResetAdminPasswordResponse" }, "httpMethod": "POST", "path": "v1/{+name}:resetAdminPassword", "request": { "$ref": "ResetAdminPasswordRequest" }, "id": "managedidentities.projects.locations.global.domains.resetAdminPassword", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:resetAdminPassword", "parameterOrder": [ "name" ], "description": "Resets a domain's administrator password.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.domains.get", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}", "description": "Gets information about a domain.", "parameters": { "name": { "type": "string", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "required": true } }, "response": { "$ref": "Domain" } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}", "id": "managedidentities.projects.locations.global.domains.patch", "description": "Updates the metadata and configuration of a domain.", "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include fields from Domain: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locations` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `authorized_networks` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `audit_logs_enabled`", "type": "string", "format": "google-fieldmask", "location": "query" }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "required": true, "description": "Required. The unique name of the domain using the form: `projects/{project_id}/locations/global/domains/{domain_name}`." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Domain" } }, "list": { "id": "managedidentities.projects.locations.global.domains.list", "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists domains in a project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/domains", "flatPath": "v1/projects/{projectsId}/locations/global/domains", "response": { "$ref": "ListDomainsResponse" }, "parameters": { "pageSize": { "type": "integer", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used. Regardless of the page_size value, the response may include a partial list. Callers should rely on a response's next_page_token to determine if there are additional results to list.", "format": "int32", "location": "query" }, "pageToken": { "description": "Optional. The `next_page_token` value returned from a previous ListDomainsRequest request, if any.", "location": "query", "type": "string" }, "filter": { "type": "string", "description": "Optional. A filter specifying constraints of a list operation. For example, `Domain.fqdn=\"mydomain.myorginization\"`.", "location": "query" }, "orderBy": { "description": "Optional. Specifies the ordering of results. See [Sorting order](https://cloud.google.com/apis/design/design_patterns#sorting_order) for more information.", "location": "query", "type": "string" }, "parent": { "description": "Required. The resource name of the domain location using the form: `projects/{project_id}/locations/global`", "pattern": "^projects/[^/]+/locations/global$", "location": "path", "required": true, "type": "string" } } }, "getLdapssettings": { "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/ldapssettings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Gets the domain ldaps settings.", "id": "managedidentities.projects.locations.global.domains.getLdapssettings", "response": { "$ref": "LDAPSSettings" }, "path": "v1/{+name}/ldapssettings", "httpMethod": "GET", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`" } } }, "validateTrust": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Validates a trust state, that the target domain is reachable, and that the target domain is able to accept incoming trust requests.", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Required. The resource domain name, project name, and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "type": "string", "required": true, "location": "path" } }, "path": "v1/{+name}:validateTrust", "httpMethod": "POST", "request": { "$ref": "ValidateTrustRequest" }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:validateTrust", "id": "managedidentities.projects.locations.global.domains.validateTrust", "response": { "$ref": "Operation" } }, "updateLdapssettings": { "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.domains.updateLdapssettings", "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}/ldapssettings", "request": { "$ref": "LDAPSSettings" }, "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask" }, "name": { "type": "string", "description": "The resource name of the LDAPS settings. Uses the form: `projects/{project}/locations/{location}/domains/{domain}`.", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "required": true, "location": "path" } }, "description": "Patches a single ldaps settings.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/ldapssettings" }, "create": { "parameters": { "domainName": { "location": "query", "description": "Required. The fully qualified domain name. e.g. mydomain.myorganization.com, with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, periods and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 2-64 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must not start with period. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh First segment length (mydomain for example above) shouldn't exceed 15 chars. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The last segment cannot be fully numeric. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the customer project.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/global$", "description": "Required. The resource project name and location using the form: `projects/{project_id}/locations/global`", "type": "string", "location": "path", "required": true } }, "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/domains", "description": "Creates a Microsoft AD domain.", "id": "managedidentities.projects.locations.global.domains.create", "request": { "$ref": "Domain" }, "flatPath": "v1/projects/{projectsId}/locations/global/domains", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "restore": { "path": "v1/{+name}:restore", "response": { "$ref": "Operation" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. Resource name for the domain to which the backup belongs", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.domains.restore", "parameterOrder": [ "name" ], "request": { "$ref": "RestoreDomainRequest" }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:restore", "description": "RestoreDomain restores domain backup mentioned in the RestoreDomainRequest", "httpMethod": "POST" }, "attachTrust": { "httpMethod": "POST", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:attachTrust", "path": "v1/{+name}:attachTrust", "request": { "$ref": "AttachTrustRequest" }, "description": "Adds an AD trust to a domain.", "parameters": { "name": { "required": true, "description": "Required. The resource domain name, project name and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.domains.attachTrust", "response": { "$ref": "Operation" } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "managedidentities.projects.locations.global.domains.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path" } }, "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:testIamPermissions", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST" }, "detachTrust": { "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:detachTrust", "path": "v1/{+name}:detachTrust", "id": "managedidentities.projects.locations.global.domains.detachTrust", "response": { "$ref": "Operation" }, "request": { "$ref": "DetachTrustRequest" }, "httpMethod": "POST", "description": "Removes an AD trust.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "description": "Required. The resource domain name, project name, and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "reconfigureTrust": { "parameters": { "name": { "required": true, "description": "Required. The resource domain name, project name and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "type": "string" } }, "id": "managedidentities.projects.locations.global.domains.reconfigureTrust", "description": "Updates the DNS conditional forwarder.", "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}:reconfigureTrust", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "ReconfigureTrustRequest" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1/{+name}:reconfigureTrust" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/domains/{domainsId}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "id": "managedidentities.projects.locations.global.domains.delete", "description": "Deletes a domain.", "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$" } } } } }, "peerings": { "methods": { "create": { "response": { "$ref": "Operation" }, "description": "Creates a Peering for Managed AD instance.", "path": "v1/{+parent}/peerings", "flatPath": "v1/projects/{projectsId}/locations/global/peerings", "request": { "$ref": "Peering" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "pattern": "^projects/[^/]+/locations/global$", "type": "string", "location": "path", "description": "Required. Resource project name and location using the form: `projects/{project_id}/locations/global`" }, "peeringId": { "description": "Required. Peering Id, unique name to identify peering. It should follow the regex format \"^(?:[a-z](?:[-a-z0-9]{0,61}[a-z0-9])?)$\"", "location": "query", "type": "string" } }, "httpMethod": "POST", "id": "managedidentities.projects.locations.global.peerings.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "description": "Lists Peerings in a given project.", "id": "managedidentities.projects.locations.global.peerings.list", "httpMethod": "GET", "response": { "$ref": "ListPeeringsResponse" }, "parameters": { "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous List request, if any.", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order." }, "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "format": "int32" }, "parent": { "description": "Required. The resource name of the peering location using the form: `projects/{project_id}/locations/global`", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/global$", "required": true }, "filter": { "type": "string", "location": "query", "description": "Optional. Filter specifying constraints of a list operation. For example, `peering.authorized_network=\"projects/myprojectid/global/networks/mynetwork\"`." } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/peerings", "flatPath": "v1/projects/{projectsId}/locations/global/peerings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}:getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$" } }, "id": "managedidentities.projects.locations.global.peerings.getIamPolicy" }, "delete": { "id": "managedidentities.projects.locations.global.peerings.delete", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "response": { "$ref": "Operation" }, "description": "Deletes identified Peering.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "type": "string", "description": "Required. Peering resource name using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`" } }, "parameterOrder": [ "name" ] }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.peerings.setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}:setIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}:testIamPermissions", "id": "managedidentities.projects.locations.global.peerings.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" } }, "patch": { "id": "managedidentities.projects.locations.global.peerings.patch", "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "parameterOrder": [ "name" ], "path": "v1/{+name}", "request": { "$ref": "Peering" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Peering: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels`", "type": "string" }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "type": "string", "required": true, "description": "Output only. Unique name of the peering in this scope including projects and location using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`." } }, "response": { "$ref": "Operation" }, "description": "Updates the labels for specified Peering." }, "get": { "flatPath": "v1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "description": "Gets details of a single Peering.", "path": "v1/{+name}", "id": "managedidentities.projects.locations.global.peerings.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "location": "path", "description": "Required. Peering resource name using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`", "required": true, "type": "string" } }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Peering" } } } } } } } } } } }, "documentationLink": "https://cloud.google.com/managed-microsoft-ad/", "basePath": "", "title": "Managed Service for Microsoft Active Directory API", "description": "The Managed Service for Microsoft Active Directory API is used for managing a highly available, hardened service running Microsoft Active Directory (AD).", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "rootUrl": "https://managedidentities.googleapis.com/", "revision": "20220609", "name": "managedidentities", "kind": "discovery#restDescription", "ownerDomain": "google.com", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "discoveryVersion": "v1", "mtlsRootUrl": "https://managedidentities.mtls.googleapis.com/", "protocol": "rest", "version": "v1", "parameters": { "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "alt": { "enum": [ "json", "media", "proto" ], "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "default": "json" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ] }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" } }, "canonicalName": "Managed Service for Microsoft Active Directory Consumer API", "version_module": true, "ownerName": "Google" }
]===]))
