local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "basePath": "", "ownerDomain": "google.com", "protocol": "rest", "title": "Managed Service for Microsoft Active Directory API", "baseUrl": "https://managedidentities.googleapis.com/", "parameters": { "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "alt": { "location": "query", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" } }, "documentationLink": "https://cloud.google.com/managed-microsoft-ad/", "revision": "20220609", "schemas": { "Location": { "id": "Location", "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" } }, "type": "object", "description": "A resource that represents Google Cloud Platform location." }, "Schedule": { "id": "Schedule", "type": "object", "properties": { "startTime": { "$ref": "TimeOfDay", "description": "Time within the window to start the operations." }, "duration": { "type": "string", "description": "Output only. Duration of the time window, set by service producer.", "format": "google-duration" }, "day": { "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "Allows to define schedule that runs specified day of the week.", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] } }, "description": "Configure the schedule." }, "ResetAdminPasswordResponse": { "properties": { "password": { "description": "A random password. See admin for more information.", "type": "string" } }, "type": "object", "id": "ResetAdminPasswordResponse" }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "properties": { "location": { "type": "string", "description": "The location of the node, if different from instance location." }, "perSliEligibility": { "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" }, "nodeId": { "type": "string", "description": "The id of the node. This should be equal to SaasInstanceNode.node_id." } }, "type": "object", "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "properties": { "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ], "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "readOnly": true, "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).", "type": "string" }, "updateTime": { "description": "Output only. Timestamp when the resource was last modified.", "type": "string", "readOnly": true, "format": "google-datetime" }, "maintenancePolicyNames": { "description": "Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug.", "additionalProperties": { "type": "string" }, "type": "object" }, "labels": { "type": "object", "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "additionalProperties": { "type": "string" } }, "softwareVersions": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services." }, "name": { "type": "string", "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details." }, "slmInstanceTemplate": { "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions.", "type": "string" }, "notificationParameters": { "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" } }, "maintenanceSettings": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "description": "Optional. The MaintenanceSettings associated with instance." }, "provisionedResources": { "readOnly": true, "type": "array", "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata.", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" } }, "sloMetadata": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "readOnly": true, "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description." }, "producerMetadata": { "readOnly": true, "type": "object", "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.", "additionalProperties": { "type": "string" } }, "maintenanceSchedules": { "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions.", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "type": "object" }, "tenantProjectId": { "readOnly": true, "type": "string", "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata." }, "instanceType": { "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not.", "type": "string" }, "consumerDefinedName": { "type": "string", "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Timestamp when the resource was created." } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance" }, "ExtendSchemaRequest": { "properties": { "fileContents": { "format": "byte", "description": "File uploaded as a byte stream input.", "type": "string" }, "description": { "type": "string", "description": "Required. Description for Schema Change." }, "gcsPath": { "type": "string", "description": "File stored in Cloud Storage bucket and represented in the form projects/{project_id}/buckets/{bucket_name}/objects/{object_name} File should be in the same project as the domain." } }, "description": "ExtendSchemaRequest is the request message for ExtendSchema method.", "id": "ExtendSchemaRequest", "type": "object" }, "GoogleCloudManagedidentitiesV1OpMetadata": { "description": "Represents the metadata of the long-running operation.", "type": "object", "id": "GoogleCloudManagedidentitiesV1OpMetadata", "properties": { "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "createTime": { "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "endTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string" }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true } } }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "properties": { "isRollback": { "description": "Optional. If the update call is triggered from rollback, set the value as true.", "type": "boolean" }, "maintenancePolicies": { "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed (like in the deprecated Instance.maintenance_policy_names field) then only populate MaintenancePolicy.name.", "type": "object", "additionalProperties": { "$ref": "MaintenancePolicy" } }, "exclude": { "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.", "type": "boolean" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance.", "type": "object" }, "ListBackupsResponse": { "type": "object", "description": "ListBackupsResponse is the response message for ListBackups method.", "properties": { "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "backups": { "description": "A list of Cloud AD backups in the domain.", "type": "array", "items": { "$ref": "Backup" } } }, "id": "ListBackupsResponse" }, "GoogleCloudManagedidentitiesV1beta1OpMetadata": { "type": "object", "id": "GoogleCloudManagedidentitiesV1beta1OpMetadata", "properties": { "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string" }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation was created." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" } }, "description": "Represents the metadata of the long-running operation." }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason.", "properties": { "reason": { "type": "string", "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed." }, "eligible": { "description": "Whether an instance is eligible or ineligible.", "type": "boolean" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "properties": { "eligibilities": { "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted.", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" }, "type": "object" } }, "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility.", "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" }, "Trust": { "type": "object", "description": "Represents a relationship between two domains which makes it possible for users in one domain to be authenticated by a dc in another domain. Refer https://docs.microsoft.com/en-us/previous-versions/windows/it-pro/windows-server-2008-R2-and-2008/cc731335(v%3dws.10) If the trust is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "properties": { "trustHandshakeSecret": { "type": "string", "description": "Input only, and will not be stored. The trust secret used for handshake with target domain." }, "targetDomainName": { "type": "string", "description": "The fully qualified target domain name which will be in trust with current domain." }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. Last update time." }, "trustType": { "enum": [ "TRUST_TYPE_UNSPECIFIED", "FOREST", "EXTERNAL" ], "type": "string", "description": "The type of trust represented by the trust resource.", "enumDescriptions": [ "Not Set", "The forest trust.", "The external domain trust." ] }, "state": { "type": "string", "enumDescriptions": [ "Not Set", "Domain trust is being created.", "Domain trust is being updated.", "Domain trust is being deleted.", "Domain trust is connected.", "Domain trust is disconnected." ], "description": "Output only. The current state of this trust.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "UPDATING", "DELETING", "CONNECTED", "DISCONNECTED" ] }, "lastKnownTrustConnectedHeartbeatTime": { "description": "Output only. The last heartbeat time when the trust was known to be connected.", "type": "string", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the instance was created." }, "targetDnsIpAddresses": { "description": "The target dns server ip addresses which can resolve the remote domain involved in trust.", "items": { "type": "string" }, "type": "array" }, "stateDescription": { "type": "string", "description": "Output only. Additional information about the current state of this trust, if available." }, "selectiveAuthentication": { "description": "The trust authentication type which decides whether the trusted side has forest/domain wide access or selective access to approved set of resources.", "type": "boolean" }, "trustDirection": { "enumDescriptions": [ "Not Set", "The inbound direction represents the trusting side.", "The outboud direction represents the trusted side.", "The bidirectional direction represents the trusted / trusting side." ], "description": "The trust direction decides the current domain is trusted, trusting or both.", "enum": [ "TRUST_DIRECTION_UNSPECIFIED", "INBOUND", "OUTBOUND", "BIDIRECTIONAL" ], "type": "string" } }, "id": "Trust" }, "ListPeeringsResponse": { "id": "ListPeeringsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "peerings": { "type": "array", "description": "A list of Managed Identities Service Peerings in the project.", "items": { "$ref": "Peering" } }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "description": "ListPeeringsResponse is the response message for ListPeerings method.", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule", "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "properties": { "scheduleDeadlineTime": { "format": "google-datetime", "type": "string", "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline." }, "endTime": { "format": "google-datetime", "description": "The scheduled end time for the maintenance.", "type": "string" }, "rolloutManagementPolicy": { "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy.", "type": "string" }, "startTime": { "format": "google-datetime", "description": "The scheduled start time for the maintenance.", "type": "string" }, "canReschedule": { "type": "boolean", "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers." } } }, "GoogleCloudManagedidentitiesV1alpha1OpMetadata": { "description": "Represents the metadata of the long-running operation.", "properties": { "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "type": "string", "format": "google-datetime" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string" }, "requestedCancellation": { "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudManagedidentitiesV1alpha1OpMetadata" }, "ValidateTrustRequest": { "properties": { "trust": { "description": "The domain trust to validate trust state for.", "$ref": "Trust" } }, "id": "ValidateTrustRequest", "type": "object" }, "LDAPSSettings": { "description": "LDAPSSettings represents the ldaps settings for domain resource. LDAP is the Lightweight Directory Access Protocol, defined in https://tools.ietf.org/html/rfc4511. The settings object configures LDAP over SSL/TLS, whether it is over port 636 or the StartTLS operation. If LDAPSSettings is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "properties": { "state": { "type": "string", "description": "Output only. The current state of this LDAPS settings.", "enumDescriptions": [ "Not Set", "The LDAPS setting is being updated.", "The LDAPS setting is ready.", "The LDAPS setting is not applied correctly." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "UPDATING", "ACTIVE", "FAILED" ] }, "certificatePfx": { "format": "byte", "description": "Input only. The uploaded PKCS12-formatted certificate to configure LDAPS with. It will enable the domain controllers in this domain to accept LDAPS connections (either LDAP over SSL/TLS or the StartTLS operation). A valid certificate chain must form a valid x.509 certificate chain (or be comprised of a single self-signed certificate. It must be encrypted with either: 1) PBES2 + PBKDF2 + AES256 encryption and SHA256 PRF; or 2) pbeWithSHA1And3-KeyTripleDES-CBC Private key must be included for the leaf / single self-signed certificate. Note: For a fqdn your-example-domain.com, the wildcard fqdn is *.your-example-domain.com. Specifically the leaf certificate must have: - Either a blank subject or a subject with CN matching the wildcard fqdn. - Exactly two SANs - the fqdn and wildcard fqdn. - Encipherment and digital key signature key usages. - Server authentication extended key usage (OID=1.3.6.1.5.5.7.3.1) - Private key must be in one of the following formats: RSA, ECDSA, ED25519. - Private key must have appropriate key length: 2048 for RSA, 256 for ECDSA - Signature algorithm of the leaf certificate cannot be MD2, MD5 or SHA1.", "type": "string" }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. Last update time.", "format": "google-datetime" }, "certificatePassword": { "type": "string", "description": "Input only. The password used to encrypt the uploaded pfx certificate." }, "certificate": { "$ref": "Certificate", "readOnly": true, "description": "Output only. The certificate used to configure LDAPS. Certificates can be chained with a maximum length of 15." }, "name": { "description": "The resource name of the LDAPS settings. Uses the form: `projects/{project}/locations/{location}/domains/{domain}`.", "type": "string" } }, "type": "object", "id": "LDAPSSettings" }, "RestoreDomainRequest": { "id": "RestoreDomainRequest", "type": "object", "description": "RestoreDomainRequest is the request received by RestoreDomain rpc", "properties": { "backupId": { "description": "Required. ID of the backup to be restored", "type": "string" } } }, "Status": { "type": "object", "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" } } }, "DenyMaintenancePeriod": { "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.", "type": "object", "properties": { "endDate": { "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end.", "$ref": "Date" }, "time": { "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC", "$ref": "TimeOfDay" }, "startDate": { "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start.", "$ref": "Date" } }, "id": "DenyMaintenancePeriod" }, "Policy": { "id": "Policy", "properties": { "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "Date": { "properties": { "month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer" }, "day": { "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer" }, "year": { "type": "integer", "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." } }, "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "type": "object", "id": "Date" }, "TestIamPermissionsResponse": { "type": "object", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method." }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource", "properties": { "resourceUrl": { "type": "string", "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\"." }, "resourceType": { "type": "string", "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'." } }, "description": "Describes provisioned dataplane resources." }, "DetachTrustRequest": { "id": "DetachTrustRequest", "properties": { "trust": { "$ref": "Trust", "description": "The domain trust resource to removed." } }, "type": "object" }, "OperationMetadata": { "type": "object", "properties": { "statusDetail": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string" }, "target": { "readOnly": true, "type": "string", "description": "Output only. Server-defined resource path for the target of the operation." }, "endTime": { "readOnly": true, "description": "Output only. The time the operation finished running.", "type": "string", "format": "google-datetime" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true } }, "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation." }, "Backup": { "properties": { "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the backups was created." }, "name": { "readOnly": true, "description": "Output only. The unique name of the Backup in the form of projects/{project_id}/locations/global/domains/{domain_name}/backups/{name}", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Resource labels to represent user provided metadata." }, "description": { "type": "string", "description": "Optional. A short description of the backup." }, "type": { "readOnly": true, "enum": [ "TYPE_UNSPECIFIED", "ON_DEMAND", "SCHEDULED", "SCHEMA_EXTENSION" ], "type": "string", "enumDescriptions": [ "Backup type not specified.", "Backup was manually created.", "Backup was automatically created.", "Backup was taken as part of Schema Extension request." ], "description": "Output only. Indicates whether it’s an on-demand backup or scheduled." }, "statusMessage": { "readOnly": true, "description": "Output only. Additional information about the current status of this backup, if available.", "type": "string" }, "updateTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Last update time." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "FAILED", "DELETING" ], "type": "string", "description": "Output only. The current state of the backup.", "readOnly": true, "enumDescriptions": [ "Not set.", "Backup is being created.", "Backup has been created and validated.", "Backup has been created but failed validation.", "Backup is being deleted." ] } }, "description": "Represents a Managed Microsoft Identities backup.", "type": "object", "id": "Backup" }, "SQLIntegration": { "properties": { "name": { "type": "string", "description": "The unique name of the sql integration in the form of `projects/{project_id}/locations/global/domains/{domain_name}/sqlIntegrations/{sql_integration}`" }, "state": { "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "DELETING", "READY" ], "enumDescriptions": [ "Not Set", "The sqlIntegration is being created.", "The sqlIntegration is being deleted.", "The sqlIntegration is ready." ], "readOnly": true, "description": "Output only. The current state of the managed OU." }, "sqlInstance": { "description": "The full resource name of an integrated sql instance", "type": "string" }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Last update time for this SQL instance." }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the instance was created." } }, "id": "SQLIntegration", "type": "object", "description": "Represents the SQL instance integrated with AD." }, "ListSQLIntegrationsResponse": { "description": "ListSQLIntegrationsResponse is the response message for ListSQLIntegrations method.", "id": "ListSQLIntegrationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "Token to retrieve the next page of results, or empty if there are no more results in the list." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "A list of locations that could not be reached." }, "sqlIntegrations": { "items": { "$ref": "SQLIntegration" }, "type": "array", "description": "A list of SQLIntegrations of a domain." } } }, "MaintenanceWindow": { "id": "MaintenanceWindow", "properties": { "weeklyCycle": { "$ref": "WeeklyCycle", "description": "Weekly cycle." }, "dailyCycle": { "$ref": "DailyCycle", "description": "Daily cycle." } }, "type": "object", "description": "MaintenanceWindow definition." }, "ReconfigureTrustRequest": { "type": "object", "id": "ReconfigureTrustRequest", "properties": { "trust": { "description": "The domain trust resource with updated dns conditional forwarder.", "$ref": "Trust" } } }, "DailyCycle": { "description": "Time window specified for daily operations.", "properties": { "startTime": { "$ref": "TimeOfDay", "description": "Time within the day to start the operations." }, "duration": { "format": "google-duration", "description": "Output only. Duration of the time window, set by service producer.", "type": "string" } }, "type": "object", "id": "DailyCycle" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "type": "object", "properties": { "tier": { "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty.", "type": "string" }, "nodes": { "type": "array", "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch.", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" } }, "perSliEligibility": { "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "SloMetadata contains resources required for proper SLO classification of the instance." }, "Domain": { "properties": { "locations": { "description": "Required. Locations where domain needs to be provisioned. regions e.g. us-west1 or us-east4 Service supports up to 4 locations at once. Each location will use a /26 block.", "type": "array", "items": { "type": "string" } }, "authorizedNetworks": { "type": "array", "description": "Optional. The full names of the Google Compute Engine [networks](/compute/docs/networks-and-firewalls#networks) to which the instance is connected. Network can be added using UpdateDomain later. Domain is only available on network part of authorized_networks. Caller needs to make sure that CIDR subnets do not overlap between networks, else domain creation will fail.", "items": { "type": "string" } }, "trusts": { "type": "array", "items": { "$ref": "Trust" }, "description": "Output only. The current trusts associated with the domain." }, "name": { "description": "Output only. Unique name of the domain in this scope including projects and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`.", "type": "string" }, "fqdn": { "type": "string", "description": "Output only. Fully-qualified domain name of the exposed domain used by clients to connect to the service. Similar to what would be chosen for an Active Directory that is set up on an internal network." }, "reservedIpRange": { "type": "string", "description": "Required. The CIDR range of internal addresses that are reserved for this domain. Reserved networks must be /24 or larger. Ranges must be unique and non-overlapping with existing subnets in [Domain].[authorized_networks]." }, "state": { "description": "Output only. The current state of this domain.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "DELETING", "REPAIRING", "PERFORMING_MAINTENANCE", "DOWN" ], "type": "string", "enumDescriptions": [ "Not set.", "ManagedIdentities domain is being created.", "ManagedIdentities domain has been created and is fully usable.", "ManagedIdentities domain configuration is being updated.", "ManagedIdentities domain is being deleted.", "ManagedIdentities domain is being repaired and may be unusable. Details can be found in the `status_message` field.", "ManagedIdentities domain is undergoing maintenance.", "ManagedIdentities domain is not serving customer requests." ] }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the instance was created. Synthetic field is populated automatically by CCFE. go/ccfe-synthetic-field-user-guide" }, "updateTime": { "type": "string", "description": "Output only. Last update time. Synthetic field is populated automatically by CCFE.", "format": "google-datetime" }, "managedIdentitiesAdminName": { "description": "Optional. Name of customer-visible admin used to perform Active Directory operations. If not specified `setupadmin` would be used.", "type": "string" }, "statusMessage": { "type": "string", "description": "Output only. Additional information about the current status of this domain, if available." }, "auditLogsEnabled": { "type": "boolean", "description": "Optional. Configuration for audit logs. True if audit logs are enabled, else false. Default is audit logs disabled." }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Resource labels to represent user provided metadata" } }, "type": "object", "description": "If the domain is being changed, it will be placed into the UPDATING state, which indicates that the resource is being reconciled. At this point, Get will reflect an intermediate state.", "id": "Domain" }, "Binding": { "type": "object", "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "Operation": { "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation" }, "ResetAdminPasswordRequest": { "properties": {}, "id": "ResetAdminPasswordRequest", "type": "object" }, "UpdatePolicy": { "description": "Maintenance policy applicable to instance updates.", "type": "object", "id": "UpdatePolicy", "properties": { "denyMaintenancePeriods": { "type": "array", "items": { "$ref": "DenyMaintenancePeriod" }, "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one." }, "channel": { "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ], "description": "Optional. Relative scheduling channel applied to resource.", "type": "string", "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ] }, "window": { "description": "Optional. Maintenance window that is applied to resources covered by this policy.", "$ref": "MaintenanceWindow" } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } } }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" }, "TimeOfDay": { "type": "object", "id": "TimeOfDay", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "properties": { "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "format": "int32", "type": "integer" }, "seconds": { "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "type": "integer", "format": "int32" }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32", "type": "integer" }, "nanos": { "format": "int32", "type": "integer", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." } } }, "AttachTrustRequest": { "type": "object", "properties": { "trust": { "$ref": "Trust", "description": "The domain trust resource." } }, "id": "AttachTrustRequest" }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "id": "SetIamPolicyRequest", "type": "object", "description": "Request message for `SetIamPolicy` method." }, "CancelOperationRequest": { "properties": {}, "id": "CancelOperationRequest", "type": "object", "description": "The request message for Operations.CancelOperation." }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "type": "object", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } }, "id": "TestIamPermissionsRequest" }, "Peering": { "type": "object", "id": "Peering", "properties": { "domainResource": { "type": "string", "description": "Required. Full domain resource path for the Managed AD Domain involved in peering. The resource path should be in the form: `projects/{project_id}/locations/global/domains/{domain_name}`" }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the instance was created." }, "name": { "type": "string", "description": "Output only. Unique name of the peering in this scope including projects and location using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`.", "readOnly": true }, "authorizedNetwork": { "description": "Required. The full names of the Google Compute Engine [networks](/compute/docs/networks-and-firewalls#networks) to which the instance is connected. Caller needs to make sure that CIDR subnets do not overlap between networks, else peering creation will fail.", "type": "string" }, "labels": { "description": "Optional. Resource labels to represent user provided metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "updateTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. Last update time." }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "CONNECTED", "DISCONNECTED", "DELETING" ], "type": "string", "description": "Output only. The current state of this Peering.", "readOnly": true, "enumDescriptions": [ "Not set.", "Peering is being created.", "Peering is connected.", "Peering is disconnected.", "Peering is being deleted." ] }, "statusMessage": { "readOnly": true, "description": "Output only. Additional information about the current status of this peering, if available.", "type": "string" } }, "description": "Represents a Managed Microsoft Identities Peering." }, "WeeklyCycle": { "properties": { "schedule": { "items": { "$ref": "Schedule" }, "description": "User can specify multiple windows in a week. Minimum of 1 window.", "type": "array" } }, "type": "object", "id": "WeeklyCycle", "description": "Time window specified for weekly operations." }, "ListLocationsResponse": { "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object" }, "ListDomainsResponse": { "properties": { "domains": { "type": "array", "items": { "$ref": "Domain" }, "description": "A list of Managed Identities Service domains in the project." }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "type": "object", "id": "ListDomainsResponse" }, "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "properties": { "values": { "description": "Optional. Array of string values. e.g. instance's replica information.", "items": { "type": "string" }, "type": "array" } }, "description": "Contains notification related data.", "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "ListOperationsResponse": { "type": "object", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } } }, "description": "The response message for Operations.ListOperations." }, "MaintenancePolicy": { "id": "MaintenancePolicy", "type": "object", "properties": { "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time when the resource was updated." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time when the resource was created." }, "labels": { "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`." }, "updatePolicy": { "description": "Maintenance policy applicable to instance update.", "$ref": "UpdatePolicy" }, "state": { "type": "string", "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ], "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ], "description": "Optional. The state of the policy." }, "description": { "type": "string", "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512." } }, "description": "Defines policies to service maintenance events." }, "Certificate": { "properties": { "thumbprint": { "type": "string", "description": "The certificate thumbprint which uniquely identifies the certificate." }, "issuingCertificate": { "description": "The issuer of this certificate.", "$ref": "Certificate" }, "subject": { "description": "The certificate subject.", "type": "string" }, "expireTime": { "format": "google-datetime", "type": "string", "description": "The certificate expire time." }, "subjectAlternativeName": { "items": { "type": "string" }, "description": "The additional hostnames for the domain.", "type": "array" } }, "id": "Certificate", "description": "Certificate used to configure LDAPS.", "type": "object" } }, "rootUrl": "https://managedidentities.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version_module": true, "discoveryVersion": "v1", "canonicalName": "Managed Service for Microsoft Active Directory Consumer API", "resources": { "projects": { "resources": { "locations": { "resources": { "global": { "resources": { "operations": { "methods": { "cancel": { "request": { "$ref": "CancelOperationRequest" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}:cancel", "response": { "$ref": "Empty" }, "id": "managedidentities.projects.locations.global.operations.cancel", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/operations/{operationsId}:cancel" }, "get": { "id": "managedidentities.projects.locations.global.operations.get", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/operations/{operationsId}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "description": "The name of the operation resource.", "location": "path", "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$", "required": true, "type": "string" } } }, "list": { "parameters": { "name": { "required": true, "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/global$", "type": "string", "location": "path" }, "pageToken": { "description": "The standard list page token.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "description": "The standard list page size.", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.operations.list", "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1alpha1/{+name}/operations", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/operations", "response": { "$ref": "ListOperationsResponse" } }, "delete": { "id": "managedidentities.projects.locations.global.operations.delete", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/operations/{operationsId}", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/global/operations/[^/]+$" } }, "httpMethod": "DELETE", "path": "v1alpha1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ] } } }, "domains": { "resources": { "backups": { "methods": { "testIamPermissions": { "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.domains.backups.testIamPermissions", "path": "v1alpha1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } }, "get": { "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Backup" }, "id": "managedidentities.projects.locations.global.domains.backups.get", "httpMethod": "GET", "description": "Gets details of a single Backup.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. The backup resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}/backups/{backup_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "required": true } } }, "getIamPolicy": { "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "required": true, "type": "string", "location": "path" }, "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" } }, "id": "managedidentities.projects.locations.global.domains.backups.getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "path": "v1alpha1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:getIamPolicy" }, "list": { "response": { "$ref": "ListBackupsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups", "httpMethod": "GET", "description": "Lists Backup in a given project.", "parameterOrder": [ "parent" ], "path": "v1alpha1/{+parent}/backups", "id": "managedidentities.projects.locations.global.domains.backups.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "Optional. Filter specifying constraints of a list operation." }, "pageSize": { "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "location": "query", "format": "int32", "type": "integer" }, "orderBy": { "type": "string", "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order.", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. The next_page_token value returned from a previous List request, if any.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "request": { "$ref": "Backup" }, "httpMethod": "PATCH", "description": "Updates the labels for specified Backup.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "id": "managedidentities.projects.locations.global.domains.backups.patch", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "description": "Output only. The unique name of the Backup in the form of projects/{project_id}/locations/global/domains/{domain_name}/backups/{name}", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "location": "path" }, "updateMask": { "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Backup: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels`", "format": "google-fieldmask", "location": "query" } } }, "setIamPolicy": { "id": "managedidentities.projects.locations.global.domains.backups.setIamPolicy", "parameters": { "resource": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "path": "v1alpha1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "httpMethod": "POST", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}:setIamPolicy" }, "create": { "request": { "$ref": "Backup" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "required": true, "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "location": "path" }, "backupId": { "type": "string", "description": "Required. Backup Id, unique name to identify the backups with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be lowercase letters, numbers, and hyphens LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the domain.", "location": "query" } }, "response": { "$ref": "Operation" }, "path": "v1alpha1/{+parent}/backups", "id": "managedidentities.projects.locations.global.domains.backups.create", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups", "description": "Creates a Backup for a domain.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "delete": { "id": "managedidentities.projects.locations.global.domains.backups.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Required. The backup resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}/backups/{backup_id}`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/backups/[^/]+$" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/backups/{backupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes identified Backup.", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "v1alpha1/{+name}" } } }, "sqlIntegrations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+parent}/sqlIntegrations", "httpMethod": "GET", "parameters": { "filter": { "description": "Optional. Filter specifying constraints of a list operation. For example, `SqlIntegration.name=\"sql\"`.", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous List request, if any.", "type": "string", "location": "query" }, "parent": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Required. The resource name of the SqlIntegrations using the form: `projects/{project_id}/locations/global/domains/*`" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response'ANIZATIONs next_page_token to determine if there are more instances left to be queried." }, "orderBy": { "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ], "id": "managedidentities.projects.locations.global.domains.sqlIntegrations.list", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/sqlIntegrations", "description": "Lists SQLIntegrations in a given domain.", "response": { "$ref": "ListSQLIntegrationsResponse" } }, "get": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/sqlIntegrations/{sqlIntegrationsId}", "response": { "$ref": "SQLIntegration" }, "httpMethod": "GET", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+/sqlIntegrations/[^/]+$", "type": "string", "description": "Required. MangedOU resource name using the form: `projects/{project_id}/locations/global/domains/*/sqlIntegrations/{name}`" } }, "description": "Gets details of a single sqlIntegration.", "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.domains.sqlIntegrations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}" } } } }, "methods": { "create": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains", "path": "v1alpha1/{+parent}/domains", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global$", "description": "Resource project name and location using the form: `projects/{project_id}/locations/global`" }, "domainName": { "type": "string", "location": "query", "description": "The fully qualified domain name. e.g. mydomain.myorganization.com, with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, periods and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain between 2-64 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must not start with period. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the project. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh First segment length (mydomain form example above) shouldn't exceed 15 chars. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The last segment cannot be fully numeric." } }, "httpMethod": "POST", "description": "Creates a Microsoft AD Domain in a given project. Operation", "request": { "$ref": "Domain" }, "parameterOrder": [ "parent" ], "id": "managedidentities.projects.locations.global.domains.create" }, "reconfigureTrust": { "request": { "$ref": "ReconfigureTrustRequest" }, "path": "v1alpha1/{+name}:reconfigureTrust", "id": "managedidentities.projects.locations.global.domains.reconfigureTrust", "httpMethod": "POST", "description": "Updates the dns conditional forwarder. Operation", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:reconfigureTrust", "parameters": { "name": { "required": true, "description": "The resource domain name, project name and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$" } }, "response": { "$ref": "Operation" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Domain" }, "id": "managedidentities.projects.locations.global.domains.get", "path": "v1alpha1/{+name}", "parameters": { "name": { "required": true, "type": "string", "description": "Domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path" } }, "parameterOrder": [ "name" ], "description": "Gets details of a single Domain.", "httpMethod": "GET", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}" }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:getIamPolicy", "path": "v1alpha1/{+resource}:getIamPolicy", "id": "managedidentities.projects.locations.global.domains.getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "parameterOrder": [ "resource" ] }, "setIamPolicy": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:setIamPolicy", "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ], "path": "v1alpha1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "managedidentities.projects.locations.global.domains.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "id": "managedidentities.projects.locations.global.domains.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1alpha1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "Optional. Filter specifying constraints of a list operation. For example, `Domain.fqdn=\"mydomain.myorginization\"`." }, "pageSize": { "description": "If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "location": "query", "description": "The next_page_token value returned from a previous List request, if any.", "type": "string" }, "orderBy": { "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order.", "type": "string", "location": "query" }, "parent": { "location": "path", "type": "string", "description": "Required. The resource name of the domain location using the form: `projects/{project_id}/locations/global`", "pattern": "^projects/[^/]+/locations/global$", "required": true } }, "parameterOrder": [ "parent" ], "id": "managedidentities.projects.locations.global.domains.list", "httpMethod": "GET", "response": { "$ref": "ListDomainsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains", "description": "Lists Domains in a given project.", "path": "v1alpha1/{+parent}/domains" }, "delete": { "id": "managedidentities.projects.locations.global.domains.delete", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "type": "string", "required": true } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Deletes identified domain. Operation", "path": "v1alpha1/{+name}" }, "restore": { "request": { "$ref": "RestoreDomainRequest" }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1alpha1/{+name}:restore", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:restore", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Required. resource name for the domain to which the backup belongs" } }, "id": "managedidentities.projects.locations.global.domains.restore", "description": "RestoreDomain restores domain backup mentioned in the RestoreDomainRequest", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getLdapssettings": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/ldapssettings", "id": "managedidentities.projects.locations.global.domains.getLdapssettings", "path": "v1alpha1/{+name}/ldapssettings", "response": { "$ref": "LDAPSSettings" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the domain ldaps settings.", "httpMethod": "GET" }, "updateLdapssettings": { "parameters": { "updateMask": { "description": "Required. Mask of fields to update. At least one path must be supplied in this field. For the `FieldMask` definition, see https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "location": "path", "description": "The resource name of the LDAPS settings. Uses the form: `projects/{project}/locations/{location}/domains/{domain}`." } }, "description": "Patches a single ldaps settings.", "id": "managedidentities.projects.locations.global.domains.updateLdapssettings", "httpMethod": "PATCH", "parameterOrder": [ "name" ], "request": { "$ref": "LDAPSSettings" }, "response": { "$ref": "Operation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}/ldapssettings", "path": "v1alpha1/{+name}/ldapssettings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "resetAdminPassword": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:resetAdminPassword", "request": { "$ref": "ResetAdminPasswordRequest" }, "id": "managedidentities.projects.locations.global.domains.resetAdminPassword", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Resets managed identities admin password identified by managed_identities_admin_name", "path": "v1alpha1/{+name}:resetAdminPassword", "httpMethod": "POST", "response": { "$ref": "ResetAdminPasswordResponse" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "required": true, "description": "The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "type": "string" } } }, "attachTrust": { "httpMethod": "POST", "path": "v1alpha1/{+name}:attachTrust", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "required": true, "location": "path", "description": "The resource domain name, project name and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`" } }, "id": "managedidentities.projects.locations.global.domains.attachTrust", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:attachTrust", "description": "Adds AD trust in a given domain. Operation", "response": { "$ref": "Operation" }, "request": { "$ref": "AttachTrustRequest" } }, "extendSchema": { "path": "v1alpha1/{+domain}:extendSchema", "request": { "$ref": "ExtendSchemaRequest" }, "id": "managedidentities.projects.locations.global.domains.extendSchema", "response": { "$ref": "Operation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:extendSchema", "description": "Extend Schema for Domain", "parameterOrder": [ "domain" ], "parameters": { "domain": { "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "description": "Required. The domain resource name using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Updates the metadata and configuration of a specified domain. Operation", "httpMethod": "PATCH", "request": { "$ref": "Domain" }, "response": { "$ref": "Operation" }, "path": "v1alpha1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Domain: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `locations` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `authorized_networks` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `audit_logs_enabled`", "type": "string" }, "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "description": "Output only. Unique name of the domain in this scope including projects and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`." } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}", "id": "managedidentities.projects.locations.global.domains.patch" }, "detachTrust": { "description": "Removes identified trust. Operation", "path": "v1alpha1/{+name}:detachTrust", "httpMethod": "POST", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$", "type": "string", "description": "The resource domain name, project name, and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "required": true } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:detachTrust", "request": { "$ref": "DetachTrustRequest" }, "id": "managedidentities.projects.locations.global.domains.detachTrust", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "validateTrust": { "request": { "$ref": "ValidateTrustRequest" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/domains/{domainsId}:validateTrust", "description": "Validate the trust state Operation", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "path": "v1alpha1/{+name}:validateTrust", "httpMethod": "POST", "id": "managedidentities.projects.locations.global.domains.validateTrust", "parameters": { "name": { "type": "string", "description": "The resource domain name, project name, and location using the form: `projects/{project_id}/locations/global/domains/{domain_name}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/global/domains/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "peerings": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}:getIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "id": "managedidentities.projects.locations.global.peerings.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" }, "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "location": "path", "required": true } }, "httpMethod": "GET" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.peerings.testIamPermissions", "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "path": "v1alpha1/{+resource}:testIamPermissions" }, "delete": { "httpMethod": "DELETE", "description": "Deletes identified Peering.", "parameters": { "name": { "location": "path", "description": "Required. Peering resource name using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$" } }, "parameterOrder": [ "name" ], "id": "managedidentities.projects.locations.global.peerings.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "response": { "$ref": "Operation" }, "path": "v1alpha1/{+name}" }, "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "managedidentities.projects.locations.global.peerings.setIamPolicy", "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1alpha1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}:setIamPolicy", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "type": "string", "required": true } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Peering" }, "id": "managedidentities.projects.locations.global.peerings.patch", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "path": "v1alpha1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "parameters": { "updateMask": { "type": "string", "description": "Required. Mask of fields to update. At least one path must be supplied in this field. The elements of the repeated paths field may only include these fields from Peering: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `labels`", "location": "query", "format": "google-fieldmask" }, "name": { "required": true, "description": "Output only. Unique name of the peering in this scope including projects and location using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$" } }, "description": "Updates the labels for specified Peering." }, "create": { "parameterOrder": [ "parent" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings", "description": "Creates a Peering for Managed AD instance.", "httpMethod": "POST", "path": "v1alpha1/{+parent}/peerings", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/global$", "location": "path", "type": "string", "description": "Required. Resource project name and location using the form: `projects/{project_id}/locations/global`", "required": true }, "peeringId": { "type": "string", "location": "query", "description": "Required. Peering Id, unique name to identify peering." } }, "id": "managedidentities.projects.locations.global.peerings.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Peering" }, "response": { "$ref": "Operation" } }, "list": { "parameters": { "pageToken": { "description": "Optional. The next_page_token value returned from a previous List request, if any.", "location": "query", "type": "string" }, "orderBy": { "location": "query", "description": "Optional. Specifies the ordering of results following syntax at https://cloud.google.com/apis/design/design_patterns#sorting_order.", "type": "string" }, "parent": { "description": "Required. The resource name of the domain location using the form: `projects/{project_id}/locations/global`", "pattern": "^projects/[^/]+/locations/global$", "type": "string", "location": "path", "required": true }, "pageSize": { "type": "integer", "location": "query", "description": "Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the page_size value, the response may include a partial list and a caller should only rely on response's next_page_token to determine if there are more instances left to be queried.", "format": "int32" }, "filter": { "description": "Optional. Filter specifying constraints of a list operation. For example, `peering.authoized_network =\"/projects/myprojectid\"`.", "type": "string", "location": "query" } }, "id": "managedidentities.projects.locations.global.peerings.list", "description": "Lists Peerings in a given project.", "response": { "$ref": "ListPeeringsResponse" }, "path": "v1alpha1/{+parent}/peerings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "get": { "description": "Gets details of a single Peering.", "response": { "$ref": "Peering" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/global/peerings/{peeringsId}", "id": "managedidentities.projects.locations.global.peerings.get", "path": "v1alpha1/{+name}", "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/peerings/[^/]+$", "location": "path", "description": "Required. Peering resource name using the form: `projects/{project_id}/locations/global/peerings/{peering_id}`", "required": true, "type": "string" } }, "parameterOrder": [ "name" ] } } } } } }, "methods": { "get": { "parameters": { "name": { "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}", "response": { "$ref": "Location" }, "id": "managedidentities.projects.locations.get", "description": "Gets information about a location." }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists information about the supported locations for this service.", "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query", "type": "string" }, "name": { "location": "path", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "required": true, "type": "string" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "location": "query", "type": "integer" } }, "id": "managedidentities.projects.locations.list", "path": "v1alpha1/{+name}/locations", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/projects/{projectsId}/locations", "response": { "$ref": "ListLocationsResponse" } } } } } } }, "fullyEncodeReservedExpansion": true, "ownerName": "Google", "version": "v1alpha1", "id": "managedidentities:v1alpha1", "name": "managedidentities", "description": "The Managed Service for Microsoft Active Directory API is used for managing a highly available, hardened service running Microsoft Active Directory (AD).", "servicePath": "", "mtlsRootUrl": "https://managedidentities.mtls.googleapis.com/", "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
