local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "Product": { "id": "Product", "type": "object", "description": "Product data.", "properties": { "contentLanguage": { "type": "string", "description": "The content language of the product as a two-letter ISO 639-1 language code (for example, en)." }, "issues": { "description": "A server-generated list of issues associated with the product.", "type": "array", "items": { "$ref": "Issue" } }, "destinationStatuses": { "type": "array", "items": { "$ref": "DestinationStatus" }, "description": "The status of the destinations." }, "attributes": { "$ref": "Attributes", "description": "Attributes of the product uploaded to the Manufacturer Center. Manually edited attributes are taken into account." }, "targetCountry": { "description": "The target country of the product as a CLDR territory code (for example, US).", "type": "string" }, "parent": { "description": "Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account.", "type": "string" }, "name": { "description": "Name in the format `{target_country}:{content_language}:{product_id}`. `target_country` - The target country of the product as a CLDR territory code (for example, US). `content_language` - The content language of the product as a two-letter ISO 639-1 language code (for example, en). `product_id` - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id.", "type": "string" }, "productId": { "type": "string", "description": "The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id." } } }, "Issue": { "properties": { "type": { "description": "The server-generated type of the issue, for example, “INCORRECT_TEXT_FORMATTING”, “IMAGE_NOT_SERVEABLE”, etc.", "type": "string" }, "resolution": { "enumDescriptions": [ "Unspecified resolution, never used.", "The user who provided the data must act in order to resolve the issue (for example by correcting some data).", "The issue will be resolved automatically (for example image crawl or Google review). No action is required now. Resolution might lead to another issue (for example if crawl fails)." ], "type": "string", "description": "What needs to happen to resolve the issue.", "enum": [ "RESOLUTION_UNSPECIFIED", "USER_ACTION", "PENDING_PROCESSING" ] }, "timestamp": { "description": "The timestamp when this issue appeared.", "format": "google-datetime", "type": "string" }, "severity": { "enumDescriptions": [ "Unspecified severity, never used.", "Error severity. The issue prevents the usage of the whole item.", "Warning severity. The issue is either one that prevents the usage of the attribute that triggered it or one that will soon prevent the usage of the whole item.", "Info severity. The issue is one that doesn't require immediate attention. It is, for example, used to communicate which attributes are still pending review." ], "description": "The severity of the issue.", "type": "string", "enum": [ "SEVERITY_UNSPECIFIED", "ERROR", "WARNING", "INFO" ] }, "description": { "type": "string", "description": "Longer description of the issue focused on how to resolve it." }, "destination": { "type": "string", "description": "The destination this issue applies to." }, "title": { "description": "Short title describing the nature of the issue.", "type": "string" }, "attribute": { "description": "If present, the attribute that triggered the issue. For more information about attributes, see https://support.google.com/manufacturers/answer/6124116.", "type": "string" } }, "type": "object", "description": "Product issue.", "id": "Issue" }, "ProductDetail": { "type": "object", "properties": { "sectionName": { "description": "A short section name that can be reused between multiple product details.", "type": "string" }, "attributeValue": { "description": "The value of the attribute.", "type": "string" }, "attributeName": { "type": "string", "description": "The name of the attribute." } }, "id": "ProductDetail", "description": "A product detail of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productdetail." }, "Capacity": { "id": "Capacity", "description": "The capacity of a product. For more information, see https://support.google.com/manufacturers/answer/6124116#capacity.", "type": "object", "properties": { "unit": { "type": "string", "description": "The unit of the capacity, i.e., MB, GB, or TB." }, "value": { "type": "string", "description": "The numeric value of the capacity.", "format": "int64" } } }, "FeatureDescription": { "type": "object", "description": "A feature description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#featuredesc.", "properties": { "image": { "$ref": "Image", "description": "An optional image describing the feature." }, "text": { "type": "string", "description": "A detailed description of the feature." }, "headline": { "type": "string", "description": "A short description of the feature." } }, "id": "FeatureDescription" }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "DestinationStatus": { "properties": { "status": { "enum": [ "UNKNOWN", "ACTIVE", "PENDING", "DISAPPROVED" ], "description": "The status of the destination.", "type": "string", "enumDescriptions": [ "Unspecified status, never used.", "The product is used for this destination.", "The decision is still pending.", "The product is disapproved. Please look at the issues." ] }, "destination": { "type": "string", "description": "The name of the destination." } }, "id": "DestinationStatus", "description": "The destination status.", "type": "object" }, "Count": { "properties": { "value": { "description": "The numeric value of the number of products in a package.", "type": "string", "format": "int64" }, "unit": { "description": "The unit in which these products are counted.", "type": "string" } }, "type": "object", "description": "The number of products in a single package. For more information, see https://support.google.com/manufacturers/answer/6124116#count.", "id": "Count" }, "Price": { "properties": { "currency": { "type": "string", "description": "The currency in which the price is denoted." }, "amount": { "type": "string", "description": "The numeric value of the price." } }, "type": "object", "description": "A price.", "id": "Price" }, "ListProductsResponse": { "properties": { "nextPageToken": { "description": "The token for the retrieval of the next page of product statuses.", "type": "string" }, "products": { "description": "List of the products.", "items": { "$ref": "Product" }, "type": "array" } }, "type": "object", "id": "ListProductsResponse" }, "Attributes": { "properties": { "productDetail": { "type": "array", "description": "The details of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productdetail.", "items": { "$ref": "ProductDetail" } }, "productLine": { "description": "The name of the group of products related to the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productline.", "type": "string" }, "disclosureDate": { "description": "The disclosure date of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#disclosure.", "type": "string" }, "count": { "$ref": "Count", "description": "The count of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#count." }, "excludedDestination": { "items": { "type": "string" }, "description": "A list of excluded destinations such as \"ClientExport\", \"ClientShoppingCatalog\" or \"PartnerShoppingCatalog\". For more information, see https://support.google.com/manufacturers/answer/7443550", "type": "array" }, "pattern": { "type": "string", "description": "The pattern of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#pattern." }, "gtin": { "type": "array", "items": { "type": "string" }, "description": "The Global Trade Item Number (GTIN) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#gtin." }, "mpn": { "type": "string", "description": "The Manufacturer Part Number (MPN) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#mpn." }, "theme": { "type": "string", "description": "The theme of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#theme." }, "productPageUrl": { "description": "The URL of the detail page of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productpage.", "type": "string" }, "releaseDate": { "description": "The release date of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#release.", "type": "string" }, "targetClientId": { "type": "string", "description": "The target client id. Should only be used in the accounts of the data partners. For more information, see https://support.google.com/manufacturers/answer/10857344" }, "capacity": { "description": "The capacity of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#capacity.", "$ref": "Capacity" }, "format": { "type": "string", "description": "The format of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#format." }, "scent": { "description": "The scent of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#scent.", "type": "string" }, "includedDestination": { "description": "A list of included destinations such as \"ClientExport\", \"ClientShoppingCatalog\" or \"PartnerShoppingCatalog\". For more information, see https://support.google.com/manufacturers/answer/7443550", "items": { "type": "string" }, "type": "array" }, "additionalImageLink": { "items": { "$ref": "Image" }, "description": "The additional images of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#addlimage.", "type": "array" }, "itemGroupId": { "description": "The item group id of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#itemgroupid.", "type": "string" }, "brand": { "type": "string", "description": "The brand name of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#brand." }, "size": { "description": "The size of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#size.", "type": "string" }, "material": { "type": "string", "description": "The material of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#material." }, "description": { "description": "The description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#description.", "type": "string" }, "flavor": { "description": "The flavor of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#flavor.", "type": "string" }, "productType": { "description": "The type or category of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#producttype.", "type": "array", "items": { "type": "string" } }, "richProductContent": { "description": "Rich product content. For more information, see https://support.google.com/manufacturers/answer/9389865", "type": "array", "items": { "type": "string" } }, "color": { "type": "string", "description": "The color of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#color." }, "gender": { "description": "The target gender of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#gender.", "type": "string" }, "title": { "type": "string", "description": "The title of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#title." }, "videoLink": { "type": "array", "description": "The videos of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#video.", "items": { "type": "string" } }, "productHighlight": { "type": "array", "items": { "type": "string" }, "description": "The product highlights. For more information, see https://support.google.com/manufacturers/answer/10066942" }, "featureDescription": { "description": "The rich format description of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#featuredesc.", "items": { "$ref": "FeatureDescription" }, "type": "array" }, "suggestedRetailPrice": { "$ref": "Price", "description": "The suggested retail price (MSRP) of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#price." }, "ageGroup": { "description": "The target age group of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#agegroup.", "type": "string" }, "sizeSystem": { "type": "string", "description": "The size system of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#sizesystem." }, "sizeType": { "items": { "type": "string" }, "type": "array", "description": "The size type of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#sizetype." }, "imageLink": { "description": "The image of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#image.", "$ref": "Image" }, "productName": { "type": "string", "description": "The canonical name of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#productname." } }, "id": "Attributes", "type": "object", "description": "Attributes of the product. For more information, see https://support.google.com/manufacturers/answer/6124116." }, "Image": { "properties": { "status": { "enum": [ "STATUS_UNSPECIFIED", "PENDING_PROCESSING", "PENDING_CRAWL", "OK", "ROBOTED", "XROBOTED", "CRAWL_ERROR", "PROCESSING_ERROR", "DECODING_ERROR", "TOO_BIG", "CRAWL_SKIPPED", "HOSTLOADED", "HTTP_404" ], "description": "The status of the image. @OutputOnly", "enumDescriptions": [ "The image status is unspecified. Should not be used.", "The image was uploaded and is being processed.", "The image crawl is still pending.", "The image was processed and it meets the requirements.", "The image URL is protected by robots.txt file and cannot be crawled.", "The image URL is protected by X-Robots-Tag and cannot be crawled.", "There was an error while crawling the image.", "The image cannot be processed.", "The image cannot be decoded.", "The image is too big.", "The image was manually overridden and will not be crawled.", "The image crawl was postponed to avoid overloading the host.", "The image URL returned a \"404 Not Found\" error." ], "type": "string" }, "imageUrl": { "description": "The URL of the image. For crawled images, this is the provided URL. For uploaded images, this is a serving URL from Google if the image has been processed successfully.", "type": "string" }, "type": { "enumDescriptions": [ "Type is unspecified. Should not be used.", "The image was crawled from a provided URL.", "The image was uploaded." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "CRAWLED", "UPLOADED" ], "description": "The type of the image, i.e., crawled or uploaded. @OutputOnly" } }, "type": "object", "description": "An image.", "id": "Image" } }, "resources": { "accounts": { "resources": { "products": { "methods": { "get": { "path": "v1/{+parent}/products/{+name}", "parameterOrder": [ "parent", "name" ], "id": "manufacturers.accounts.products.get", "flatPath": "v1/accounts/{accountsId}/products/{productsId}", "description": "Gets the product from a Manufacturer Center account, including product issues. A recently updated product takes around 15 minutes to process. Changes are only visible after it has been processed. While some issues may be available once the product has been processed, other issues may take days to appear.", "response": { "$ref": "Product" }, "scopes": [ "https://www.googleapis.com/auth/manufacturercenter" ], "httpMethod": "GET", "parameters": { "include": { "repeated": true, "enum": [ "UNKNOWN", "ATTRIBUTES", "ISSUES", "DESTINATION_STATUSES" ], "enumDescriptions": [ "Unknown, never used.", "Include the attributes of the product.", "Include the issues of the product.", "Include the destination statuses of the product." ], "type": "string", "location": "query", "description": "The information to be included in the response. Only sections listed here will be returned." }, "name": { "type": "string", "location": "path", "description": "Name in the format `{target_country}:{content_language}:{product_id}`. `target_country` - The target country of the product as a CLDR territory code (for example, US). `content_language` - The content language of the product as a two-letter ISO 639-1 language code (for example, en). `product_id` - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id.", "pattern": "^[^/]+$", "required": true }, "parent": { "required": true, "location": "path", "type": "string", "pattern": "^accounts/[^/]+$", "description": "Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account." } } }, "list": { "id": "manufacturers.accounts.products.list", "response": { "$ref": "ListProductsResponse" }, "scopes": [ "https://www.googleapis.com/auth/manufacturercenter" ], "path": "v1/{+parent}/products", "httpMethod": "GET", "description": "Lists all the products in a Manufacturer Center account.", "flatPath": "v1/accounts/{accountsId}/products", "parameters": { "parent": { "description": "Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account.", "type": "string", "pattern": "^accounts/[^/]+$", "location": "path", "required": true }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of product statuses to return in the response, used for paging.", "location": "query" }, "include": { "repeated": true, "enumDescriptions": [ "Unknown, never used.", "Include the attributes of the product.", "Include the issues of the product.", "Include the destination statuses of the product." ], "enum": [ "UNKNOWN", "ATTRIBUTES", "ISSUES", "DESTINATION_STATUSES" ], "description": "The information to be included in the response. Only sections listed here will be returned.", "type": "string", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "The token returned by the previous request." } }, "parameterOrder": [ "parent" ] }, "update": { "scopes": [ "https://www.googleapis.com/auth/manufacturercenter" ], "parameters": { "parent": { "description": "Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account.", "pattern": "^accounts/[^/]+$", "type": "string", "location": "path", "required": true }, "name": { "location": "path", "pattern": "^[^/]+$", "type": "string", "description": "Name in the format `{target_country}:{content_language}:{product_id}`. `target_country` - The target country of the product as a CLDR territory code (for example, US). `content_language` - The content language of the product as a two-letter ISO 639-1 language code (for example, en). `product_id` - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id.", "required": true } }, "request": { "$ref": "Attributes" }, "httpMethod": "PUT", "flatPath": "v1/accounts/{accountsId}/products/{productsId}", "id": "manufacturers.accounts.products.update", "response": { "$ref": "Empty" }, "parameterOrder": [ "parent", "name" ], "path": "v1/{+parent}/products/{+name}", "description": "Inserts or updates the attributes of the product in a Manufacturer Center account. Creates a product with the provided attributes. If the product already exists, then all attributes are replaced with the new ones. The checks at upload time are minimal. All required attributes need to be present for a product to be valid. Issues may show up later after the API has accepted a new upload for a product and it is possible to overwrite an existing valid product with an invalid product. To detect this, you should retrieve the product and check it for issues once the new version is available. Uploaded attributes first need to be processed before they can be retrieved. Until then, new products will be unavailable, and retrieval of previously uploaded products will return the original state of the product." }, "delete": { "response": { "$ref": "Empty" }, "id": "manufacturers.accounts.products.delete", "description": "Deletes the product from a Manufacturer Center account.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/manufacturercenter" ], "parameterOrder": [ "parent", "name" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^accounts/[^/]+$", "description": "Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account." }, "name": { "location": "path", "required": true, "type": "string", "description": "Name in the format `{target_country}:{content_language}:{product_id}`. `target_country` - The target country of the product as a CLDR territory code (for example, US). `content_language` - The content language of the product as a two-letter ISO 639-1 language code (for example, en). `product_id` - The ID of the product. For more information, see https://support.google.com/manufacturers/answer/6124116#id.", "pattern": "^[^/]+$" } }, "path": "v1/{+parent}/products/{+name}", "flatPath": "v1/accounts/{accountsId}/products/{productsId}" } } } } } }, "servicePath": "", "batchPath": "batch", "canonicalName": "Manufacturer Center", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "description": "Public API for managing Manufacturer Center related data.", "title": "Manufacturer Center API", "ownerName": "Google", "rootUrl": "https://manufacturers.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/manufacturercenter": { "description": "Manage your product listings for Google Manufacturer Center" } } } }, "kind": "discovery#restDescription", "mtlsRootUrl": "https://manufacturers.mtls.googleapis.com/", "parameters": { "prettyPrint": { "location": "query", "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "default": "json", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." } }, "id": "manufacturers:v1", "name": "manufacturers", "ownerDomain": "google.com", "baseUrl": "https://manufacturers.googleapis.com/", "discoveryVersion": "v1", "revision": "20220706", "version_module": true, "basePath": "", "version": "v1", "documentationLink": "https://developers.google.com/manufacturers/" }
]===]))
