local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Cloud Memorystore for Memcached API", "batchPath": "batch", "resources": { "projects": { "resources": { "locations": { "resources": { "instances": { "methods": { "applyParameters": { "parameterOrder": [ "name" ], "id": "memcache.projects.locations.instances.applyParameters", "response": { "$ref": "Operation" }, "httpMethod": "POST", "description": "`ApplyParameters` restarts the set of specified nodes in order to update them to the current set of parameters for the Memcached Instance.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "required": true, "description": "Required. Resource name of the Memcached instance for which parameter group updates should be applied." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:applyParameters", "path": "v1/{+name}:applyParameters", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ApplyParametersRequest" } }, "create": { "path": "v1/{+parent}/instances", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Instance in a given location.", "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true, "type": "string" }, "instanceId": { "location": "query", "description": "Required. The logical name of the Memcached instance in the user project with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-40 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the user project / location. If any of the above are not met, the API raises an invalid argument error.", "type": "string" } }, "id": "memcache.projects.locations.instances.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Instance" } }, "updateParameters": { "parameters": { "name": { "required": true, "location": "path", "description": "Required. Resource name of the Memcached instance for which the parameters should be updated.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "id": "memcache.projects.locations.instances.updateParameters", "description": "Updates the defined Memcached parameters for an existing instance. This method only stages the parameters, it must be followed by `ApplyParameters` to apply the parameters to nodes of the Memcached instance.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:updateParameters", "request": { "$ref": "UpdateParametersRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:updateParameters" }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "memcache.projects.locations.instances.patch", "httpMethod": "PATCH", "description": "Updates an existing Instance in a given project and location.", "parameterOrder": [ "name" ], "request": { "$ref": "Instance" }, "path": "v1/{+name}", "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Required. Mask of fields to update. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName`" }, "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Memcached instances are managed and addressed at the regional level so `location_id` here refers to a Google Cloud region; however, users may choose which zones Memcached nodes should be provisioned in within an instance. Refer to zones field for more details.", "location": "path" } } }, "get": { "path": "v1/{+name}", "parameters": { "name": { "description": "Required. Memcached instance resource name in the format: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true } }, "description": "Gets details of a single Instance.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "parameterOrder": [ "name" ], "response": { "$ref": "Instance" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "memcache.projects.locations.instances.get", "httpMethod": "GET" }, "rescheduleMaintenance": { "request": { "$ref": "RescheduleMaintenanceRequest" }, "httpMethod": "POST", "parameterOrder": [ "instance" ], "path": "v1/{+instance}:rescheduleMaintenance", "description": "Reschedules upcoming maintenance event.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:rescheduleMaintenance", "response": { "$ref": "Operation" }, "id": "memcache.projects.locations.instances.rescheduleMaintenance", "parameters": { "instance": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "Required. Memcache instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "parameterOrder": [ "parent" ], "response": { "$ref": "ListInstancesResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "memcache.projects.locations.instances.list", "description": "Lists Instances in a given location.", "path": "v1/{+parent}/instances", "parameters": { "filter": { "description": "List filter. For example, exclude all Memcached instances with name as my-instance by specifying `\"name != my-instance\"`.", "type": "string", "location": "query" }, "orderBy": { "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).", "location": "query", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The `next_page_token` value returned from a previous List request, if any." }, "pageSize": { "description": "The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the `page_size` value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more instances left to be queried.", "format": "int32", "type": "integer", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region", "location": "path" } } }, "delete": { "parameters": { "name": { "description": "Required. Memcached instance resource name in the format: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "type": "string" } }, "path": "v1/{+name}", "id": "memcache.projects.locations.instances.delete", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "description": "Deletes a single Instance." } } }, "operations": { "methods": { "list": { "id": "memcache.projects.locations.operations.list", "response": { "$ref": "ListOperationsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}/operations", "parameterOrder": [ "name" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "location": "path", "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "pageSize": { "description": "The standard list page size.", "format": "int32", "type": "integer", "location": "query" }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" } }, "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "delete": { "httpMethod": "DELETE", "path": "v1/{+name}", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "The name of the operation resource to be deleted.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "id": "memcache.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`." }, "cancel": { "id": "memcache.projects.locations.operations.cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CancelOperationRequest" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "required": true, "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "Empty" }, "path": "v1/{+name}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ] }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "required": true } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "memcache.projects.locations.operations.get", "httpMethod": "GET", "path": "v1/{+name}" } } } }, "methods": { "list": { "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32" }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "name": { "type": "string", "location": "path", "description": "The resource that owns the locations collection, if applicable.", "required": true, "pattern": "^projects/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations", "id": "memcache.projects.locations.list", "description": "Lists information about the supported locations for this service.", "path": "v1/{+name}/locations" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Resource name for the location.", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "memcache.projects.locations.get", "description": "Gets information about a location.", "response": { "$ref": "Location" }, "path": "v1/{+name}" } } } } } }, "revision": "20220622", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "rootUrl": "https://memcache.googleapis.com/", "discoveryVersion": "v1", "id": "memcache:v1", "kind": "discovery#restDescription", "mtlsRootUrl": "https://memcache.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/memorystore/", "name": "memcache", "description": "Google Cloud Memorystore for Memcached API is used for creating and managing Memcached instances in GCP.", "version": "v1", "ownerName": "Google", "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ] }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "prettyPrint": { "location": "query", "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "canonicalName": "Cloud Memorystore for Memcached", "baseUrl": "https://memcache.googleapis.com/", "schemas": { "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request." } }, "description": "The response message for Operations.ListOperations." }, "DenyMaintenancePeriod": { "properties": { "time": { "$ref": "TimeOfDay", "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC" }, "endDate": { "$ref": "Date", "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end." }, "startDate": { "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start.", "$ref": "Date" } }, "id": "DenyMaintenancePeriod", "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.", "type": "object" }, "WeeklyCycle": { "type": "object", "properties": { "schedule": { "items": { "$ref": "Schedule" }, "description": "User can specify multiple windows in a week. Minimum of 1 window.", "type": "array" } }, "description": "Time window specified for weekly operations.", "id": "WeeklyCycle" }, "Schedule": { "description": "Configure the schedule.", "properties": { "day": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string", "description": "Allows to define schedule that runs specified day of the week." }, "startTime": { "description": "Time within the window to start the operations.", "$ref": "TimeOfDay" }, "duration": { "description": "Output only. Duration of the time window, set by service producer.", "format": "google-duration", "type": "string" } }, "type": "object", "id": "Schedule" }, "GoogleCloudMemcacheV1LocationMetadata": { "properties": { "availableZones": { "type": "object", "readOnly": true, "additionalProperties": { "$ref": "GoogleCloudMemcacheV1ZoneMetadata" }, "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in the `zones` field when creating a Memcached instance." } }, "description": "Metadata for the given google.cloud.location.Location.", "id": "GoogleCloudMemcacheV1LocationMetadata", "type": "object" }, "UpdatePolicy": { "properties": { "window": { "$ref": "MaintenanceWindow", "description": "Optional. Maintenance window that is applied to resources covered by this policy." }, "channel": { "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ], "description": "Optional. Relative scheduling channel applied to resource.", "type": "string", "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ] }, "denyMaintenancePeriods": { "items": { "$ref": "DenyMaintenancePeriod" }, "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one.", "type": "array" } }, "description": "Maintenance policy applicable to instance updates.", "id": "UpdatePolicy", "type": "object" }, "Operation": { "id": "Operation", "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter", "type": "object", "properties": { "values": { "type": "array", "description": "Optional. Array of string values. e.g. instance's replica information.", "items": { "type": "string" } } }, "description": "Contains notification related data." }, "MaintenanceSchedule": { "type": "object", "properties": { "startTime": { "type": "string", "readOnly": true, "description": "Output only. The start time of any upcoming scheduled maintenance for this instance.", "format": "google-datetime" }, "scheduleDeadlineTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The deadline that the maintenance schedule start time can not go beyond, including reschedule.", "type": "string" }, "endTime": { "description": "Output only. The end time of any upcoming scheduled maintenance for this instance.", "readOnly": true, "type": "string", "format": "google-datetime" } }, "description": "Upcoming maintenance schedule.", "id": "MaintenanceSchedule" }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "properties": { "eligibilities": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" }, "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted.", "type": "object" } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility." }, "OperationMetadata": { "properties": { "cancelRequested": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "endTime": { "type": "string", "description": "Output only. Time when the operation finished running.", "readOnly": true, "format": "google-datetime" }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "statusDetail": { "type": "string", "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true }, "createTime": { "format": "google-datetime", "description": "Output only. Time when the operation was created.", "type": "string", "readOnly": true } }, "description": "Represents the metadata of a long-running operation.", "id": "OperationMetadata", "type": "object" }, "Date": { "id": "Date", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "type": "object", "properties": { "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer", "format": "int32" }, "day": { "format": "int32", "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "year": { "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "format": "int32" } } }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "properties": {} }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "properties": { "isRollback": { "type": "boolean", "description": "Optional. If the update call is triggered from rollback, set the value as true." }, "maintenancePolicies": { "type": "object", "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed (like in the deprecated Instance.maintenance_policy_names field) then only populate MaintenancePolicy.name.", "additionalProperties": { "$ref": "MaintenancePolicy" } }, "exclude": { "type": "boolean", "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted." } }, "type": "object", "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance." }, "RescheduleMaintenanceRequest": { "description": "Request for RescheduleMaintenance.", "properties": { "rescheduleType": { "description": "Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.", "enum": [ "RESCHEDULE_TYPE_UNSPECIFIED", "IMMEDIATE", "NEXT_AVAILABLE_WINDOW", "SPECIFIC_TIME" ], "enumDescriptions": [ "Not set.", "If the user wants to schedule the maintenance to happen now.", "If the user wants to use the existing maintenance policy to find the next available window.", "If the user wants to reschedule the maintenance to a specific time." ], "type": "string" }, "scheduleTime": { "format": "google-datetime", "type": "string", "description": "Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`." } }, "id": "RescheduleMaintenanceRequest", "type": "object" }, "MaintenanceWindow": { "type": "object", "id": "MaintenanceWindow", "description": "MaintenanceWindow definition.", "properties": { "weeklyCycle": { "$ref": "WeeklyCycle", "description": "Weekly cycle." }, "dailyCycle": { "$ref": "DailyCycle", "description": "Daily cycle." } } }, "MaintenancePolicy": { "properties": { "updatePolicy": { "description": "Maintenance policy applicable to instance update.", "$ref": "UpdatePolicy" }, "state": { "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ], "type": "string", "description": "Optional. The state of the policy.", "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ] }, "updateTime": { "type": "string", "description": "Output only. The time when the resource was updated.", "format": "google-datetime" }, "name": { "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`.", "type": "string" }, "labels": { "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "additionalProperties": { "type": "string" }, "type": "object" }, "createTime": { "description": "Output only. The time when the resource was created.", "format": "google-datetime", "type": "string" }, "description": { "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.", "type": "string" } }, "type": "object", "id": "MaintenancePolicy", "description": "Defines policies to service maintenance events." }, "Instance": { "type": "object", "id": "Instance", "properties": { "nodeCount": { "format": "int32", "type": "integer", "description": "Required. Number of nodes in the Memcached instance." }, "instanceMessages": { "description": "List of messages that describe the current state of the Memcached instance.", "type": "array", "items": { "$ref": "InstanceMessage" } }, "maintenancePolicy": { "description": "The maintenance policy for the instance. If not provided, the maintenance event will be performed based on Memorystore internal rollout schedule.", "$ref": "GoogleCloudMemcacheV1MaintenancePolicy" }, "memcacheVersion": { "type": "string", "enum": [ "MEMCACHE_VERSION_UNSPECIFIED", "MEMCACHE_1_5" ], "description": "The major version of Memcached software. If not provided, latest supported version will be used. Currently the latest supported major version is `MEMCACHE_1_5`. The minor version will be automatically determined by our system based on the latest supported minor version.", "enumDescriptions": [ "", "Memcached 1.5 version." ] }, "name": { "type": "string", "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Memcached instances are managed and addressed at the regional level so `location_id` here refers to a Google Cloud region; however, users may choose which zones Memcached nodes should be provisioned in within an instance. Refer to zones field for more details." }, "zones": { "description": "Zones in which Memcached nodes should be provisioned. Memcached nodes will be equally distributed across these zones. If not provided, the service will by default create nodes in all zones in the region for the instance.", "type": "array", "items": { "type": "string" } }, "state": { "type": "string", "description": "Output only. The state of this Memcached instance.", "enumDescriptions": [ "State not set.", "Memcached instance is being created.", "Memcached instance has been created and ready to be used.", "Memcached instance is updating configuration such as maintenance policy and schedule.", "Memcached instance is being deleted.", "Memcached instance is going through maintenance, e.g. data plane rollout." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "DELETING", "PERFORMING_MAINTENANCE" ] }, "labels": { "type": "object", "description": "Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "additionalProperties": { "type": "string" } }, "updateTime": { "description": "Output only. The time the instance was updated.", "readOnly": true, "type": "string", "format": "google-datetime" }, "nodeConfig": { "$ref": "NodeConfig", "description": "Required. Configuration for Memcached nodes." }, "maintenanceSchedule": { "description": "Output only. Published maintenance schedule.", "$ref": "MaintenanceSchedule", "readOnly": true }, "discoveryEndpoint": { "readOnly": true, "description": "Output only. Endpoint for the Discovery API.", "type": "string" }, "memcacheFullVersion": { "readOnly": true, "type": "string", "description": "Output only. The full version of memcached server running on this instance. System automatically determines the full memcached version for an instance based on the input MemcacheVersion. The full version format will be \"memcached-1.5.16\"." }, "authorizedNetwork": { "description": "The full name of the Google Compute Engine [network](/compute/docs/networks-and-firewalls#networks) to which the instance is connected. If left unspecified, the `default` network will be used.", "type": "string" }, "parameters": { "description": "User defined parameters to apply to the memcached process on each node.", "$ref": "MemcacheParameters" }, "createTime": { "description": "Output only. The time the instance was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "memcacheNodes": { "readOnly": true, "items": { "$ref": "Node" }, "type": "array", "description": "Output only. List of Memcached nodes. Refer to Node message for more details." }, "displayName": { "description": "User provided name for the instance, which is only used for display purposes. Cannot be more than 80 characters.", "type": "string" } }, "description": "A Memorystore for Memcached instance" }, "WeeklyMaintenanceWindow": { "description": "Time window specified for weekly operations.", "properties": { "duration": { "description": "Required. Duration of the time window.", "format": "google-duration", "type": "string" }, "day": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "description": "Required. Allows to define schedule that runs specified day of the week.", "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ] }, "startTime": { "$ref": "TimeOfDay", "description": "Required. Start time of the window in UTC." } }, "id": "WeeklyMaintenanceWindow", "type": "object" }, "ListLocationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." } }, "type": "object", "id": "ListLocationsResponse", "description": "The response message for Locations.ListLocations." }, "DailyCycle": { "id": "DailyCycle", "description": "Time window specified for daily operations.", "type": "object", "properties": { "duration": { "format": "google-duration", "type": "string", "description": "Output only. Duration of the time window, set by service producer." }, "startTime": { "$ref": "TimeOfDay", "description": "Time within the day to start the operations." } } }, "TimeOfDay": { "type": "object", "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "properties": { "hours": { "format": "int32", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer" }, "seconds": { "type": "integer", "format": "int32", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "nanos": { "type": "integer", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32" }, "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "type": "integer", "format": "int32" } }, "id": "TimeOfDay" }, "GoogleCloudMemcacheV1OperationMetadata": { "description": "Represents the metadata of a long-running operation.", "id": "GoogleCloudMemcacheV1OperationMetadata", "properties": { "createTime": { "format": "google-datetime", "description": "Output only. Time when the operation was created.", "readOnly": true, "type": "string" }, "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "cancelRequested": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "statusDetail": { "readOnly": true, "description": "Output only. Human-readable status of the operation, if any.", "type": "string" }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. Time when the operation finished running." } }, "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" } }, "id": "Location", "type": "object" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" }, "Node": { "properties": { "parameters": { "description": "User defined parameters currently applied to the node.", "$ref": "MemcacheParameters" }, "state": { "description": "Output only. Current state of the Memcached node.", "enumDescriptions": [ "Node state is not set.", "Node is being created.", "Node has been created and ready to be used.", "Node is being deleted.", "Node is being updated." ], "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING" ] }, "host": { "readOnly": true, "description": "Output only. Hostname or IP address of the Memcached node used by the clients to connect to the Memcached server on this node.", "type": "string" }, "port": { "format": "int32", "type": "integer", "description": "Output only. The port number of the Memcached server on this node.", "readOnly": true }, "nodeId": { "type": "string", "readOnly": true, "description": "Output only. Identifier of the Memcached node. The node id does not include project or location like the Memcached instance name." }, "zone": { "readOnly": true, "description": "Output only. Location (GCP Zone) for the Memcached node.", "type": "string" } }, "type": "object", "id": "Node" }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata", "properties": { "perSliEligibility": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs." }, "nodeId": { "type": "string", "description": "The id of the node. This should be equal to SaasInstanceNode.node_id." }, "location": { "type": "string", "description": "The location of the node, if different from instance location." } }, "type": "object", "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information." }, "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "type": "object", "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user." }, "updateTime": { "type": "string", "description": "Output only. Timestamp when the resource was last modified.", "format": "google-datetime", "readOnly": true }, "instanceType": { "type": "string", "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not." }, "maintenanceSchedules": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "type": "object", "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions." }, "maintenancePolicyNames": { "type": "object", "description": "Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug.", "additionalProperties": { "type": "string" } }, "name": { "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details.", "type": "string" }, "notificationParameters": { "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose.", "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" } }, "createTime": { "type": "string", "description": "Output only. Timestamp when the resource was created.", "readOnly": true, "format": "google-datetime" }, "softwareVersions": { "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services.", "additionalProperties": { "type": "string" }, "type": "object" }, "slmInstanceTemplate": { "type": "string", "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions." }, "maintenanceSettings": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "description": "Optional. The MaintenanceSettings associated with instance." }, "provisionedResources": { "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata.", "readOnly": true, "type": "array" }, "sloMetadata": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description.", "readOnly": true }, "producerMetadata": { "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.", "readOnly": true, "additionalProperties": { "type": "string" }, "type": "object" }, "consumerDefinedName": { "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances.", "type": "string" }, "tenantProjectId": { "readOnly": true, "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata.", "type": "string" }, "state": { "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ], "type": "string", "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).", "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "readOnly": true } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "SloMetadata contains resources required for proper SLO classification of the instance.", "properties": { "perSliEligibility": { "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" }, "tier": { "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty.", "type": "string" }, "nodes": { "type": "array", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch." } } }, "ZoneMetadata": { "type": "object", "properties": {}, "id": "ZoneMetadata" }, "UpdateParametersRequest": { "description": "Request for UpdateParameters.", "properties": { "parameters": { "$ref": "MemcacheParameters", "description": "The parameters to apply to the instance." }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update." } }, "id": "UpdateParametersRequest", "type": "object" }, "MemcacheParameters": { "properties": { "params": { "type": "object", "description": "User defined set of parameters to use in the memcached process.", "additionalProperties": { "type": "string" } }, "id": { "description": "Output only. The unique ID associated with this set of parameters. Users can use this id to determine if the parameters associated with the instance differ from the parameters associated with the nodes. A discrepancy between parameter ids can inform users that they may need to take action to apply parameters on nodes.", "readOnly": true, "type": "string" } }, "id": "MemcacheParameters", "type": "object" }, "GoogleCloudMemcacheV1ZoneMetadata": { "id": "GoogleCloudMemcacheV1ZoneMetadata", "properties": {}, "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule", "properties": { "canReschedule": { "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.", "type": "boolean" }, "rolloutManagementPolicy": { "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy.", "type": "string" }, "endTime": { "format": "google-datetime", "description": "The scheduled end time for the maintenance.", "type": "string" }, "startTime": { "format": "google-datetime", "type": "string", "description": "The scheduled start time for the maintenance." }, "scheduleDeadlineTime": { "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline.", "format": "google-datetime", "type": "string" } }, "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "type": "object" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "type": "object", "properties": { "reason": { "type": "string", "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed." }, "eligible": { "type": "boolean", "description": "Whether an instance is eligible or ineligible." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason." }, "NodeConfig": { "id": "NodeConfig", "properties": { "cpuCount": { "description": "Required. Number of cpus per Memcached node.", "format": "int32", "type": "integer" }, "memorySizeMb": { "format": "int32", "description": "Required. Memory size in MiB for each Memcached node.", "type": "integer" } }, "type": "object", "description": "Configuration for a Memcached Node." }, "ListInstancesResponse": { "type": "object", "description": "Response for ListInstances.", "id": "ListInstancesResponse", "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "instances": { "description": "A list of Memcached instances in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated.", "type": "array", "items": { "$ref": "Instance" } }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" } } }, "ApplyParametersRequest": { "type": "object", "description": "Request for ApplyParameters.", "properties": { "applyAll": { "type": "boolean", "description": "Whether to apply instance-level parameter group to all nodes. If set to true, users are restricted from specifying individual nodes, and `ApplyParameters` updates all nodes within the instance." }, "nodeIds": { "description": "Nodes to which the instance-level parameter group is applied.", "items": { "type": "string" }, "type": "array" } }, "id": "ApplyParametersRequest" }, "InstanceMessage": { "id": "InstanceMessage", "properties": { "message": { "type": "string", "description": "Message on memcached instance which will be exposed to users." }, "code": { "description": "A code that correspond to one type of user-facing message.", "type": "string", "enum": [ "CODE_UNSPECIFIED", "ZONE_DISTRIBUTION_UNBALANCED" ], "enumDescriptions": [ "Message Code not set.", "Memcached nodes are distributed unevenly." ] } }, "type": "object" }, "Status": { "id": "Status", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource", "properties": { "resourceUrl": { "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\".", "type": "string" }, "resourceType": { "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'.", "type": "string" } }, "description": "Describes provisioned dataplane resources.", "type": "object" }, "GoogleCloudMemcacheV1MaintenancePolicy": { "description": "Maintenance policy per instance.", "id": "GoogleCloudMemcacheV1MaintenancePolicy", "type": "object", "properties": { "createTime": { "description": "Output only. The time when the policy was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "weeklyMaintenanceWindow": { "items": { "$ref": "WeeklyMaintenanceWindow" }, "description": "Required. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_maintenance_windows is expected to be one.", "type": "array" }, "description": { "type": "string", "description": "Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512." }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. The time when the policy was updated.", "format": "google-datetime" } } }, "LocationMetadata": { "id": "LocationMetadata", "description": "Metadata for the given google.cloud.location.Location.", "properties": { "availableZones": { "readOnly": true, "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in the `zones` field when creating a Memcached instance.", "type": "object", "additionalProperties": { "$ref": "ZoneMetadata" } } }, "type": "object" } }, "servicePath": "", "version_module": true, "ownerDomain": "google.com", "basePath": "", "fullyEncodeReservedExpansion": true }
]===]))
