local decode = require("cjson").new().decode
return assert(decode([===[
{ "rootUrl": "https://memcache.googleapis.com/", "documentationLink": "https://cloud.google.com/memorystore/", "version": "v1beta2", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "canonicalName": "Cloud Memorystore for Memcached", "baseUrl": "https://memcache.googleapis.com/", "id": "memcache:v1beta2", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "response": { "$ref": "Location" }, "httpMethod": "GET", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}", "id": "memcache.projects.locations.get", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Resource name for the location.", "location": "path" } }, "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta2/{+name}", "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "format": "int32", "location": "query" }, "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" } }, "id": "memcache.projects.locations.list", "httpMethod": "GET", "flatPath": "v1beta2/projects/{projectsId}/locations", "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta2/{+name}/locations", "parameterOrder": [ "name" ] } }, "resources": { "operations": { "methods": { "cancel": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource to be cancelled.", "required": true } }, "id": "memcache.projects.locations.operations.cancel", "parameterOrder": [ "name" ], "path": "v1beta2/{+name}:cancel", "request": { "$ref": "CancelOperationRequest" }, "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel" }, "get": { "id": "memcache.projects.locations.operations.get", "httpMethod": "GET", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta2/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource.", "type": "string", "location": "path" } }, "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "path": "v1beta2/{+name}/operations", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "required": true, "location": "path" }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" } }, "response": { "$ref": "ListOperationsResponse" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "memcache.projects.locations.operations.list", "parameterOrder": [ "name" ] }, "delete": { "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string" } }, "id": "memcache.projects.locations.operations.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "path": "v1beta2/{+name}", "response": { "$ref": "Empty" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" } } }, "instances": { "methods": { "applyParameters": { "id": "memcache.projects.locations.instances.applyParameters", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:applyParameters", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "description": "Required. Resource name of the Memcached instance for which parameter group updates should be applied.", "location": "path" } }, "description": "`ApplyParameters` restarts the set of specified nodes in order to update them to the current set of parameters for the Memcached Instance.", "request": { "$ref": "ApplyParametersRequest" }, "path": "v1beta2/{+name}:applyParameters", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "description": "Gets details of a single Instance.", "response": { "$ref": "Instance" }, "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "Required. Memcached instance resource name in the format: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "httpMethod": "GET", "id": "memcache.projects.locations.instances.get", "path": "v1beta2/{+name}" }, "create": { "httpMethod": "POST", "request": { "$ref": "Instance" }, "path": "v1beta2/{+parent}/instances", "parameterOrder": [ "parent" ], "id": "memcache.projects.locations.instances.create", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Instance in a given location.", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances", "parameters": { "instanceId": { "type": "string", "location": "query", "description": "Required. The logical name of the Memcached instance in the user project with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-40 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the user project / location. If any of the above are not met, the API raises an invalid argument error." }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region", "location": "path", "required": true } } }, "applySoftwareUpdate": { "response": { "$ref": "Operation" }, "parameters": { "instance": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Resource name of the Memcached instance for which software update should be applied.", "location": "path", "required": true, "type": "string" } }, "description": "Updates software on the selected nodes of the Instance.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "memcache.projects.locations.instances.applySoftwareUpdate", "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:applySoftwareUpdate", "request": { "$ref": "ApplySoftwareUpdateRequest" }, "parameterOrder": [ "instance" ], "path": "v1beta2/{+instance}:applySoftwareUpdate" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "path": "v1beta2/{+name}", "id": "memcache.projects.locations.instances.patch", "parameters": { "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. Mask of fields to update. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `displayName`" }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Memcached instances are managed and addressed at the regional level so `location_id` here refers to a Google Cloud region; however, users may choose which zones Memcached nodes should be provisioned in within an instance. Refer to zones field for more details.", "type": "string", "required": true } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "description": "Updates an existing Instance in a given project and location.", "request": { "$ref": "Instance" }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" } }, "list": { "path": "v1beta2/{+parent}/instances", "description": "Lists Instances in a given location.", "response": { "$ref": "ListInstancesResponse" }, "httpMethod": "GET", "id": "memcache.projects.locations.instances.list", "parameters": { "parent": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The resource name of the instance location using the form: `projects/{project_id}/locations/{location_id}` where `location_id` refers to a GCP region", "location": "path" }, "filter": { "description": "List filter. For example, exclude all Memcached instances with name as my-instance by specifying `\"name != my-instance\"`.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Sort results. Supported values are \"name\", \"name desc\" or \"\" (unsorted).", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the `page_size` value, the response may include a partial list and a caller should only rely on response's `next_page_token` to determine if there are more instances left to be queried." }, "pageToken": { "location": "query", "description": "The `next_page_token` value returned from a previous List request, if any.", "type": "string" } }, "parameterOrder": [ "parent" ], "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}", "parameters": { "name": { "required": true, "type": "string", "description": "Required. Memcached instance resource name in the format: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "id": "memcache.projects.locations.instances.delete", "description": "Deletes a single Instance.", "path": "v1beta2/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "updateParameters": { "response": { "$ref": "Operation" }, "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Resource name of the Memcached instance for which the parameters should be updated.", "type": "string" } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:updateParameters", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the defined Memcached parameters for an existing instance. This method only stages the parameters, it must be followed by `ApplyParameters` to apply the parameters to nodes of the Memcached instance.", "id": "memcache.projects.locations.instances.updateParameters", "request": { "$ref": "UpdateParametersRequest" }, "parameterOrder": [ "name" ], "path": "v1beta2/{+name}:updateParameters", "httpMethod": "PATCH" }, "rescheduleMaintenance": { "path": "v1beta2/{+instance}:rescheduleMaintenance", "id": "memcache.projects.locations.instances.rescheduleMaintenance", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameters": { "instance": { "type": "string", "location": "path", "required": true, "description": "Required. Memcache instance resource name using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` where `location_id` refers to a GCP region.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "flatPath": "v1beta2/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:rescheduleMaintenance", "request": { "$ref": "RescheduleMaintenanceRequest" }, "parameterOrder": [ "instance" ], "description": "Performs the apply phase of the RescheduleMaintenance verb.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } }, "title": "Cloud Memorystore for Memcached API", "protocol": "rest", "kind": "discovery#restDescription", "parameters": { "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "default": "json", "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "location": "query" } }, "ownerName": "Google", "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "batchPath": "batch", "ownerDomain": "google.com", "fullyEncodeReservedExpansion": true, "revision": "20220709", "basePath": "", "description": "Google Cloud Memorystore for Memcached API is used for creating and managing Memcached instances in GCP.", "discoveryVersion": "v1", "name": "memcache", "schemas": { "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter": { "properties": { "values": { "description": "Optional. Array of string values. e.g. instance's replica information.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "Contains notification related data.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "MemcacheParameters": { "id": "MemcacheParameters", "type": "object", "properties": { "params": { "type": "object", "description": "User defined set of parameters to use in the memcached process.", "additionalProperties": { "type": "string" } }, "id": { "description": "Output only. The unique ID associated with this set of parameters. Users can use this id to determine if the parameters associated with the instance differ from the parameters associated with the nodes. A discrepancy between parameter ids can inform users that they may need to take action to apply parameters on nodes.", "type": "string", "readOnly": true } } }, "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata": { "id": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata", "type": "object", "properties": { "nodeId": { "type": "string", "description": "The id of the node. This should be equal to SaasInstanceNode.node_id." }, "location": { "description": "The location of the node, if different from instance location.", "type": "string" }, "perSliEligibility": { "description": "If present, this will override eligibility for the node coming from instance or exclusions for specified SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" } }, "description": "Node information for custom per-node SLO implementations. SSA does not support per-node SLO, but producers can populate per-node information in SloMetadata for custom precomputations. SSA Eligibility Exporter will emit per-node metric based on this information." }, "Instance": { "id": "Instance", "type": "object", "properties": { "zones": { "type": "array", "description": "Zones in which Memcached nodes should be provisioned. Memcached nodes will be equally distributed across these zones. If not provided, the service will by default create nodes in all zones in the region for the instance.", "items": { "type": "string" } }, "labels": { "description": "Resource labels to represent user-provided metadata. Refer to cloud documentation on labels for more details. https://cloud.google.com/compute/docs/labeling-resources", "type": "object", "additionalProperties": { "type": "string" } }, "updateAvailable": { "type": "boolean", "description": "Output only. Returns true if there is an update waiting to be applied", "readOnly": true }, "parameters": { "$ref": "MemcacheParameters", "description": "User defined parameters to apply to the memcached process on each node." }, "nodeCount": { "type": "integer", "format": "int32", "description": "Required. Number of nodes in the Memcached instance." }, "state": { "enumDescriptions": [ "State not set.", "Memcached instance is being created.", "Memcached instance has been created and ready to be used.", "Memcached instance is updating configuration such as maintenance policy and schedule.", "Memcached instance is being deleted.", "Memcached instance is going through maintenance, e.g. data plane rollout." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "DELETING", "PERFORMING_MAINTENANCE" ], "readOnly": true, "type": "string", "description": "Output only. The state of this Memcached instance." }, "maintenanceSchedule": { "readOnly": true, "$ref": "MaintenanceSchedule", "description": "Output only. Published maintenance schedule." }, "updateTime": { "readOnly": true, "type": "string", "description": "Output only. The time the instance was updated.", "format": "google-datetime" }, "nodeConfig": { "$ref": "NodeConfig", "description": "Required. Configuration for Memcached nodes." }, "displayName": { "type": "string", "description": "User provided name for the instance, which is only used for display purposes. Cannot be more than 80 characters." }, "instanceMessages": { "items": { "$ref": "InstanceMessage" }, "type": "array", "description": "List of messages that describe the current state of the Memcached instance." }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time the instance was created.", "readOnly": true }, "maintenancePolicy": { "description": "The maintenance policy for the instance. If not provided, the maintenance event will be performed based on Memorystore internal rollout schedule.", "$ref": "GoogleCloudMemcacheV1beta2MaintenancePolicy" }, "name": { "description": "Required. Unique name of the resource in this scope including project and location using the form: `projects/{project_id}/locations/{location_id}/instances/{instance_id}` Note: Memcached instances are managed and addressed at the regional level so `location_id` here refers to a Google Cloud region; however, users may choose which zones Memcached nodes should be provisioned in within an instance. Refer to zones field for more details.", "type": "string" }, "memcacheVersion": { "enumDescriptions": [ "", "Memcached 1.5 version." ], "type": "string", "enum": [ "MEMCACHE_VERSION_UNSPECIFIED", "MEMCACHE_1_5" ], "description": "The major version of Memcached software. If not provided, latest supported version will be used. Currently the latest supported major version is `MEMCACHE_1_5`. The minor version will be automatically determined by our system based on the latest supported minor version." }, "memcacheNodes": { "type": "array", "items": { "$ref": "Node" }, "description": "Output only. List of Memcached nodes. Refer to Node message for more details.", "readOnly": true }, "memcacheFullVersion": { "type": "string", "description": "Output only. The full version of memcached server running on this instance. System automatically determines the full memcached version for an instance based on the input MemcacheVersion. The full version format will be \"memcached-1.5.16\".", "readOnly": true }, "discoveryEndpoint": { "description": "Output only. Endpoint for the Discovery API.", "readOnly": true, "type": "string" }, "authorizedNetwork": { "type": "string", "description": "The full name of the Google Compute Engine [network](https://cloud.google.com/vpc/docs/vpc) to which the instance is connected. If left unspecified, the `default` network will be used." } }, "description": "A Memorystore for Memcached instance" }, "ApplyParametersRequest": { "properties": { "nodeIds": { "description": "Nodes to which the instance-level parameter group is applied.", "items": { "type": "string" }, "type": "array" }, "applyAll": { "type": "boolean", "description": "Whether to apply instance-level parameter group to all nodes. If set to true, users are restricted from specifying individual nodes, and `ApplyParameters` updates all nodes within the instance." } }, "description": "Request for ApplyParameters.", "type": "object", "id": "ApplyParametersRequest" }, "Location": { "type": "object", "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource": { "type": "object", "description": "Describes provisioned dataplane resources.", "id": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource", "properties": { "resourceType": { "description": "Type of the resource. This can be either a GCP resource or a custom one (e.g. another cloud provider's VM). For GCP compute resources use singular form of the names listed in GCP compute API documentation (https://cloud.google.com/compute/docs/reference/rest/v1/), prefixed with 'compute-', for example: 'compute-instance', 'compute-disk', 'compute-autoscaler'.", "type": "string" }, "resourceUrl": { "description": "URL identifying the resource, e.g. \"https://www.googleapis.com/compute/v1/projects/...)\".", "type": "string" } } }, "WeeklyMaintenanceWindow": { "id": "WeeklyMaintenanceWindow", "description": "Time window specified for weekly operations.", "properties": { "day": { "type": "string", "description": "Required. Allows to define schedule that runs specified day of the week.", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] }, "duration": { "description": "Required. Duration of the time window.", "format": "google-duration", "type": "string" }, "startTime": { "description": "Required. Start time of the window in UTC.", "$ref": "TimeOfDay" } }, "type": "object" }, "ZoneMetadata": { "id": "ZoneMetadata", "properties": {}, "type": "object" }, "GoogleCloudMemcacheV1beta2LocationMetadata": { "id": "GoogleCloudMemcacheV1beta2LocationMetadata", "description": "Metadata for the given google.cloud.location.Location.", "type": "object", "properties": { "availableZones": { "type": "object", "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in the `zones` field when creating a Memcached instance.", "readOnly": true, "additionalProperties": { "$ref": "GoogleCloudMemcacheV1beta2ZoneMetadata" } } } }, "GoogleCloudMemcacheV1beta2ZoneMetadata": { "id": "GoogleCloudMemcacheV1beta2ZoneMetadata", "type": "object", "properties": {} }, "TimeOfDay": { "type": "object", "id": "TimeOfDay", "properties": { "nanos": { "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32", "type": "integer" }, "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "format": "int32", "type": "integer" }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer", "format": "int32" }, "seconds": { "format": "int32", "type": "integer", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." } }, "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`." }, "MaintenanceSchedule": { "id": "MaintenanceSchedule", "description": "Upcoming maintenance schedule.", "properties": { "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The end time of any upcoming scheduled maintenance for this instance." }, "startTime": { "description": "Output only. The start time of any upcoming scheduled maintenance for this instance.", "readOnly": true, "format": "google-datetime", "type": "string" }, "scheduleDeadlineTime": { "format": "google-datetime", "description": "Output only. The deadline that the maintenance schedule start time can not go beyond, including reschedule.", "type": "string", "readOnly": true } }, "type": "object" }, "InstanceMessage": { "id": "InstanceMessage", "type": "object", "properties": { "message": { "type": "string", "description": "Message on memcached instance which will be exposed to users." }, "code": { "enum": [ "CODE_UNSPECIFIED", "ZONE_DISTRIBUTION_UNBALANCED" ], "enumDescriptions": [ "Message Code not set.", "Memcached nodes are distributed unevenly." ], "type": "string", "description": "A code that correspond to one type of user-facing message." } } }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule": { "description": "Maintenance schedule which is exposed to customer and potentially end user, indicating published upcoming future maintenance schedule", "type": "object", "properties": { "canReschedule": { "description": "This field is deprecated, and will be always set to true since reschedule can happen multiple times now. This field should not be removed until all service producers remove this for their customers.", "type": "boolean" }, "endTime": { "description": "The scheduled end time for the maintenance.", "type": "string", "format": "google-datetime" }, "scheduleDeadlineTime": { "type": "string", "format": "google-datetime", "description": "schedule_deadline_time is the time deadline any schedule start time cannot go beyond, including reschedule. It's normally the initial schedule start time plus maintenance window length (1 day or 1 week). Maintenance cannot be scheduled to start beyond this deadline." }, "rolloutManagementPolicy": { "description": "The rollout management policy this maintenance schedule is associated with. When doing reschedule update request, the reschedule should be against this given policy.", "type": "string" }, "startTime": { "description": "The scheduled start time for the maintenance.", "type": "string", "format": "google-datetime" } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility": { "type": "object", "properties": { "eligibilities": { "type": "object", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility" }, "description": "An entry in the eligibilities map specifies an eligibility for a particular SLI for the given instance. The SLI key in the name must be a valid SLI name specified in the Eligibility Exporter binary flags otherwise an error will be emitted by Eligibility Exporter and the oncaller will be alerted. If an SLI has been defined in the binary flags but the eligibilities map does not contain it, the corresponding SLI time series will not be emitted by the Eligibility Exporter. This ensures a smooth rollout and compatibility between the data produced by different versions of the Eligibility Exporters. If eligibilities map contains a key for an SLI which has not been declared in the binary flags, there will be an error message emitted in the Eligibility Exporter log and the metric for the SLI in question will not be emitted." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility", "description": "PerSliSloEligibility is a mapping from an SLI name to eligibility." }, "Date": { "id": "Date", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "type": "object", "properties": { "month": { "type": "integer", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32" }, "day": { "type": "integer", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "format": "int32" }, "year": { "format": "int32", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer" } } }, "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings": { "properties": { "maintenancePolicies": { "additionalProperties": { "$ref": "MaintenancePolicy" }, "description": "Optional. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the embedded policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug. If only the name is needed, then only populate MaintenancePolicy.name.", "type": "object" }, "isRollback": { "type": "boolean", "description": "Optional. If the update call is triggered from rollback, set the value as true." }, "exclude": { "description": "Optional. Exclude instance from maintenance. When true, rollout service will not attempt maintenance on the instance. Rollout service will include the instance in reported rollout progress as not attempted.", "type": "boolean" } }, "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings", "description": "Maintenance settings associated with instance. Allows service producers and end users to assign settings that controls maintenance on this instance." }, "DailyCycle": { "id": "DailyCycle", "description": "Time window specified for daily operations.", "properties": { "startTime": { "$ref": "TimeOfDay", "description": "Time within the day to start the operations." }, "duration": { "description": "Output only. Duration of the time window, set by service producer.", "format": "google-duration", "type": "string" } }, "type": "object" }, "GoogleCloudMemcacheV1beta2MaintenancePolicy": { "description": "Maintenance policy per instance.", "properties": { "weeklyMaintenanceWindow": { "items": { "$ref": "WeeklyMaintenanceWindow" }, "type": "array", "description": "Required. Maintenance window that is applied to resources covered by this policy. Minimum 1. For the current version, the maximum number of weekly_maintenance_windows is expected to be one." }, "createTime": { "description": "Output only. The time when the policy was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "description": { "type": "string", "description": "Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512." }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time when the policy was updated." } }, "id": "GoogleCloudMemcacheV1beta2MaintenancePolicy", "type": "object" }, "WeeklyCycle": { "type": "object", "properties": { "schedule": { "type": "array", "description": "User can specify multiple windows in a week. Minimum of 1 window.", "items": { "$ref": "Schedule" } } }, "description": "Time window specified for weekly operations.", "id": "WeeklyCycle" }, "ListInstancesResponse": { "type": "object", "id": "ListInstancesResponse", "description": "Response for ListInstances.", "properties": { "resources": { "description": "A list of Memcached instances in the project in the specified location, or across all locations. If the `location_id` in the parent field of the request is \"-\", all regions available to the project are queried, and the results aggregated.", "items": { "$ref": "Instance" }, "type": "array" }, "nextPageToken": { "description": "Token to retrieve the next page of results, or empty if there are no more results in the list.", "type": "string" }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } } } }, "UpdatePolicy": { "id": "UpdatePolicy", "type": "object", "properties": { "denyMaintenancePeriods": { "type": "array", "description": "Deny Maintenance Period that is applied to resource to indicate when maintenance is forbidden. User can specify zero or more non-overlapping deny periods. Maximum number of deny_maintenance_periods expected is one.", "items": { "$ref": "DenyMaintenancePeriod" } }, "channel": { "description": "Optional. Relative scheduling channel applied to resource.", "enumDescriptions": [ "Unspecified channel.", "Early channel within a customer project.", "Later channel within a customer project." ], "enum": [ "UPDATE_CHANNEL_UNSPECIFIED", "EARLIER", "LATER" ], "type": "string" }, "window": { "$ref": "MaintenanceWindow", "description": "Optional. Maintenance window that is applied to resources covered by this policy." } }, "description": "Maintenance policy applicable to instance updates." }, "DenyMaintenancePeriod": { "id": "DenyMaintenancePeriod", "description": "DenyMaintenancePeriod definition. Maintenance is forbidden within the deny period. The start_date must be less than the end_date.", "properties": { "endDate": { "$ref": "Date", "description": "Deny period end date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be before the end." }, "startDate": { "description": "Deny period start date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day value, with a zero year. Allows recurring deny periods each year. Date matching this period will have to be the same or after the start.", "$ref": "Date" }, "time": { "description": "Time in UTC when the Blackout period starts on start_date and ends on end_date. This can be: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Full time. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh All zeros for 00:00:00 UTC", "$ref": "TimeOfDay" } }, "type": "object" }, "OperationMetadata": { "id": "OperationMetadata", "type": "object", "description": "Represents the metadata of a long-running operation.", "properties": { "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. Time when the operation finished running." }, "cancelRequested": { "type": "boolean", "readOnly": true, "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "createTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. Time when the operation was created." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "type": "string", "readOnly": true }, "statusDetail": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "readOnly": true, "type": "string" } } }, "MaintenanceWindow": { "id": "MaintenanceWindow", "properties": { "dailyCycle": { "description": "Daily cycle.", "$ref": "DailyCycle" }, "weeklyCycle": { "$ref": "WeeklyCycle", "description": "Weekly cycle." } }, "type": "object", "description": "MaintenanceWindow definition." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "items": { "$ref": "Operation" }, "description": "A list of operations that matches the specified filter in the request.", "type": "array" } }, "description": "The response message for Operations.ListOperations." }, "ApplySoftwareUpdateRequest": { "properties": { "nodeIds": { "description": "Nodes to which we should apply the update to. Note all the selected nodes are updated in parallel.", "items": { "type": "string" }, "type": "array" }, "applyAll": { "type": "boolean", "description": "Whether to apply the update to all nodes. If set to true, will explicitly restrict users from specifying any nodes, and apply software update to all nodes (where applicable) within the instance." } }, "description": "Request for ApplySoftwareUpdate.", "id": "ApplySoftwareUpdateRequest", "type": "object" }, "Node": { "type": "object", "properties": { "state": { "enumDescriptions": [ "Node state is not set.", "Node is being created.", "Node has been created and ready to be used.", "Node is being deleted.", "Node is being updated." ], "description": "Output only. Current state of the Memcached node.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "DELETING", "UPDATING" ], "type": "string" }, "updateAvailable": { "description": "Output only. Returns true if there is an update waiting to be applied", "type": "boolean", "readOnly": true }, "host": { "description": "Output only. Hostname or IP address of the Memcached node used by the clients to connect to the Memcached server on this node.", "type": "string", "readOnly": true }, "nodeId": { "description": "Output only. Identifier of the Memcached node. The node id does not include project or location like the Memcached instance name.", "readOnly": true, "type": "string" }, "parameters": { "$ref": "MemcacheParameters", "description": "User defined parameters currently applied to the node." }, "port": { "description": "Output only. The port number of the Memcached server on this node.", "format": "int32", "readOnly": true, "type": "integer" }, "zone": { "readOnly": true, "type": "string", "description": "Output only. Location (GCP Zone) for the Memcached node." } }, "id": "Node" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility": { "properties": { "reason": { "description": "User-defined reason for the current value of instance eligibility. Usually, this can be directly mapped to the internal state. An empty reason is allowed.", "type": "string" }, "eligible": { "type": "boolean", "description": "Whether an instance is eligible or ineligible." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloEligibility", "type": "object", "description": "SloEligibility is a tuple containing eligibility value: true if an instance is eligible for SLO calculation or false if it should be excluded from all SLO-related calculations along with a user-defined reason." }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "type": "object", "properties": { "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "properties": {}, "id": "CancelOperationRequest" }, "Schedule": { "id": "Schedule", "type": "object", "description": "Configure the schedule.", "properties": { "startTime": { "description": "Time within the window to start the operations.", "$ref": "TimeOfDay" }, "day": { "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "Allows to define schedule that runs specified day of the week.", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] }, "duration": { "format": "google-duration", "description": "Output only. Duration of the time window, set by service producer.", "type": "string" } } }, "NodeConfig": { "type": "object", "properties": { "cpuCount": { "type": "integer", "format": "int32", "description": "Required. Number of cpus per Memcached node." }, "memorySizeMb": { "description": "Required. Memory size in MiB for each Memcached node.", "format": "int32", "type": "integer" } }, "description": "Configuration for a Memcached Node.", "id": "NodeConfig" }, "LocationMetadata": { "properties": { "availableZones": { "readOnly": true, "description": "Output only. The set of available zones in the location. The map is keyed by the lowercase ID of each zone, as defined by GCE. These keys can be specified in the `zones` field when creating a Memcached instance.", "additionalProperties": { "$ref": "ZoneMetadata" }, "type": "object" } }, "type": "object", "description": "Metadata for the given google.cloud.location.Location.", "id": "LocationMetadata" }, "UpdateParametersRequest": { "type": "object", "properties": { "parameters": { "$ref": "MemcacheParameters", "description": "The parameters to apply to the instance." }, "updateMask": { "type": "string", "description": "Required. Mask of fields to update.", "format": "google-fieldmask" } }, "description": "Request for UpdateParameters.", "id": "UpdateParametersRequest" }, "Status": { "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "id": "Status" }, "GoogleCloudMemcacheV1beta2OperationMetadata": { "description": "Represents the metadata of a long-running operation.", "type": "object", "properties": { "target": { "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string" }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "statusDetail": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "createTime": { "format": "google-datetime", "description": "Output only. Time when the operation was created.", "type": "string", "readOnly": true }, "cancelRequested": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "endTime": { "description": "Output only. Time when the operation finished running.", "format": "google-datetime", "type": "string", "readOnly": true } }, "id": "GoogleCloudMemcacheV1beta2OperationMetadata" }, "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata": { "type": "object", "id": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "SloMetadata contains resources required for proper SLO classification of the instance.", "properties": { "tier": { "description": "Name of the SLO tier the Instance belongs to. This name will be expected to match the tiers specified in the service SLO configuration. Field is mandatory and must not be empty.", "type": "string" }, "nodes": { "description": "Optional. List of nodes. Some producers need to use per-node metadata to calculate SLO. This field allows such producers to publish per-node SLO meta data, which will be consumed by SSA Eligibility Exporter and published in the form of per node metric to Monarch.", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NodeSloMetadata" }, "type": "array" }, "perSliEligibility": { "description": "Optional. Multiple per-instance SLI eligibilities which apply for individual SLIs.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1PerSliSloEligibility" } } }, "Empty": { "type": "object", "id": "Empty", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "RescheduleMaintenanceRequest": { "description": "Request for RescheduleMaintenance.", "id": "RescheduleMaintenanceRequest", "type": "object", "properties": { "rescheduleType": { "enum": [ "RESCHEDULE_TYPE_UNSPECIFIED", "IMMEDIATE", "NEXT_AVAILABLE_WINDOW", "SPECIFIC_TIME" ], "enumDescriptions": [ "Not set.", "If the user wants to schedule the maintenance to happen now.", "If the user wants to use the existing maintenance policy to find the next available window.", "If the user wants to reschedule the maintenance to a specific time." ], "description": "Required. If reschedule type is SPECIFIC_TIME, must set up schedule_time as well.", "type": "string" }, "scheduleTime": { "format": "google-datetime", "description": "Timestamp when the maintenance shall be rescheduled to if reschedule_type=SPECIFIC_TIME, in RFC 3339 format, for example `2012-11-15T16:19:00.094Z`.", "type": "string" } } }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." } }, "type": "object", "id": "Operation" }, "GoogleCloudSaasacceleratorManagementProvidersV1Instance": { "properties": { "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "READY", "UPDATING", "REPAIRING", "DELETING", "ERROR" ], "description": "Output only. Current lifecycle state of the resource (e.g. if it's being created or ready to use).", "enumDescriptions": [ "Unspecified state.", "Instance is being created.", "Instance has been created and is ready to use.", "Instance is being updated.", "Instance is unheathy and under repair.", "Instance is being deleted.", "Instance encountered an error and is in indeterministic state." ], "type": "string" }, "consumerDefinedName": { "type": "string", "description": "consumer_defined_name is the name that is set by the consumer. On the other hand Name field represents system-assigned id of an instance so consumers are not necessarily aware of it. consumer_defined_name is used for notification/UI purposes for consumer to recognize their instances." }, "name": { "type": "string", "description": "Unique name of the resource. It uses the form: `projects/{project_number}/locations/{location_id}/instances/{instance_id}` Note: This name is passed, stored and logged across the rollout system. So use of consumer project_id or any other consumer PII in the name is strongly discouraged for wipeout (go/wipeout) compliance. See go/elysium/project_ids#storage-guidance for more details." }, "slmInstanceTemplate": { "description": "Link to the SLM instance template. Only populated when updating SLM instances via SSA's Actuation service adaptor. Service producers with custom control plane (e.g. Cloud SQL) doesn't need to populate this field. Instead they should use software_versions.", "type": "string" }, "sloMetadata": { "readOnly": true, "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1SloMetadata", "description": "Output only. SLO metadata for instance classification in the Standardized dataplane SLO platform. See go/cloud-ssa-standard-slo for feature description." }, "maintenanceSettings": { "description": "Optional. The MaintenanceSettings associated with instance.", "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSettings" }, "provisionedResources": { "type": "array", "items": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1ProvisionedResource" }, "description": "Output only. The list of data plane resources provisioned for this instance, e.g. compute VMs. See go/get-instance-metadata.", "readOnly": true }, "softwareVersions": { "type": "object", "description": "Software versions that are used to deploy this instance. This can be mutated by rollout services.", "additionalProperties": { "type": "string" } }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Timestamp when the resource was created." }, "labels": { "type": "object", "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user.", "additionalProperties": { "type": "string" } }, "instanceType": { "type": "string", "description": "Optional. The instance_type of this instance of format: projects/{project_number}/locations/{location_id}/instanceTypes/{instance_type_id}. Instance Type represents a high-level tier or SKU of the service that this instance belong to. When enabled(eg: Maintenance Rollout), Rollout uses 'instance_type' along with 'software_versions' to determine whether instance needs an update or not." }, "producerMetadata": { "readOnly": true, "type": "object", "description": "Output only. Custom string attributes used primarily to expose producer-specific information in monitoring dashboards. See go/get-instance-metadata.", "additionalProperties": { "type": "string" } }, "tenantProjectId": { "type": "string", "readOnly": true, "description": "Output only. ID of the associated GCP tenant project. See go/get-instance-metadata." }, "notificationParameters": { "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1NotificationParameter" }, "description": "Optional. notification_parameter are information that service producers may like to include that is not relevant to Rollout. This parameter will only be passed to Gamma and Cloud Logging for notification/logging purpose.", "type": "object" }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Timestamp when the resource was last modified.", "type": "string" }, "maintenanceSchedules": { "description": "The MaintenanceSchedule contains the scheduling information of published maintenance schedule with same key as software_versions.", "additionalProperties": { "$ref": "GoogleCloudSaasacceleratorManagementProvidersV1MaintenanceSchedule" }, "type": "object" }, "maintenancePolicyNames": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Deprecated. The MaintenancePolicies that have been attached to the instance. The key must be of the type name of the oneof policy name defined in MaintenancePolicy, and the referenced policy must define the same policy type. For complete details of MaintenancePolicy, please refer to go/cloud-saas-mw-ug." } }, "id": "GoogleCloudSaasacceleratorManagementProvidersV1Instance", "type": "object" }, "MaintenancePolicy": { "id": "MaintenancePolicy", "description": "Defines policies to service maintenance events.", "type": "object", "properties": { "state": { "description": "Optional. The state of the policy.", "type": "string", "enumDescriptions": [ "Unspecified state.", "Resource is ready to be used.", "Resource is being deleted. It can no longer be attached to instances." ], "enum": [ "STATE_UNSPECIFIED", "READY", "DELETING" ] }, "updateTime": { "format": "google-datetime", "type": "string", "description": "Output only. The time when the resource was updated." }, "updatePolicy": { "description": "Maintenance policy applicable to instance update.", "$ref": "UpdatePolicy" }, "description": { "description": "Optional. Description of what this policy is for. Create/Update methods return INVALID_ARGUMENT if the length is greater than 512.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Resource labels to represent user provided metadata. Each label is a key-value pair, where both the key and the value are arbitrary strings provided by the user." }, "createTime": { "description": "Output only. The time when the resource was created.", "type": "string", "format": "google-datetime" }, "name": { "description": "Required. MaintenancePolicy name using the form: `projects/{project_id}/locations/{location_id}/maintenancePolicies/{maintenance_policy_id}` where {project_id} refers to a GCP consumer project ID, {location_id} refers to a GCP region/zone, {maintenance_policy_id} must be 1-63 characters long and match the regular expression `[a-z0-9]([-a-z0-9]*[a-z0-9])?`.", "type": "string" } } } }, "mtlsRootUrl": "https://memcache.mtls.googleapis.com/" }
]===]))
