local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } ", "properties": {}, "type": "object" }, "BackendMetastore": { "type": "object", "description": "Represents a backend metastore for the federation.", "id": "BackendMetastore", "properties": { "metastoreType": { "description": "The type of the backend metastore.", "type": "string", "enum": [ "METASTORE_TYPE_UNSPECIFIED", "DATAPROC_METASTORE" ], "enumDescriptions": [ "The metastore type is not set.", "The backend metastore is Dataproc Metastore." ] }, "name": { "type": "string", "description": "The relative resource name of the metastore that is being federated. The formats of the relative resource names for the currently supported metastores are listed below: Dataplex: projects/{project_id}/locations/{location}/lakes/{lake_id} BigQuery: projects/{project_id} Dataproc Metastore: projects/{project_id}/locations/{location}/services/{service_id}" } } }, "OperationMetadata": { "id": "OperationMetadata", "description": "Represents the metadata of a long-running operation.", "type": "object", "properties": { "endTime": { "format": "google-datetime", "description": "Output only. The time the operation finished running.", "type": "string", "readOnly": true }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the caller has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED." }, "verb": { "type": "string", "readOnly": true, "description": "Output only. Name of the verb executed by the operation." }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation was created." }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true, "type": "string" }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "type": "string", "readOnly": true } } }, "Service": { "properties": { "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "User-defined labels for the metastore service." }, "releaseChannel": { "enum": [ "RELEASE_CHANNEL_UNSPECIFIED", "CANARY", "STABLE" ], "type": "string", "enumDescriptions": [ "Release channel is not specified.", "The CANARY release channel contains the newest features, which may be unstable and subject to unresolved issues with no known workarounds. Services using the CANARY release channel are not subject to any SLAs.", "The STABLE release channel contains features that are considered stable and have been validated for production use." ], "description": "Immutable. The release channel of the service. If unspecified, defaults to STABLE." }, "maintenanceWindow": { "description": "The one hour maintenance window of the metastore service. This specifies when the service can be restarted for maintenance purposes in UTC time. Maintenance window is not needed for services with the SPANNER database type.", "$ref": "MaintenanceWindow" }, "artifactGcsUri": { "readOnly": true, "type": "string", "description": "Output only. A Cloud Storage URI (starting with gs://) that specifies where artifacts related to the metastore service are stored." }, "endpointUri": { "type": "string", "description": "Output only. The URI of the endpoint used to access the metastore service.", "readOnly": true }, "name": { "description": "Immutable. The relative resource name of the metastore service, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "type": "string" }, "metadataManagementActivity": { "$ref": "MetadataManagementActivity", "description": "Output only. The metadata management activities of the metastore service.", "readOnly": true }, "metadataIntegration": { "$ref": "MetadataIntegration", "description": "The setting that defines how metastore metadata should be integrated with external services and systems." }, "stateMessage": { "readOnly": true, "type": "string", "description": "Output only. Additional information about the current state of the metastore service, if available." }, "networkConfig": { "description": "Immutable. The configuration specifying the network settings for the Dataproc Metastore service.", "$ref": "NetworkConfig" }, "tier": { "enum": [ "TIER_UNSPECIFIED", "DEVELOPER", "ENTERPRISE" ], "description": "The tier of the service.", "enumDescriptions": [ "The tier is not set.", "The developer tier provides limited scalability and no fault tolerance. Good for low-cost proof-of-concept.", "The enterprise tier provides multi-zone high availability, and sufficient scalability for enterprise-level Dataproc Metastore workloads." ], "type": "string" }, "createTime": { "readOnly": true, "type": "string", "description": "Output only. The time when the metastore service was created.", "format": "google-datetime" }, "updateTime": { "description": "Output only. The time when the metastore service was last updated.", "readOnly": true, "type": "string", "format": "google-datetime" }, "state": { "enumDescriptions": [ "The state of the metastore service is unknown.", "The metastore service is in the process of being created.", "The metastore service is running and ready to serve queries.", "The metastore service is entering suspension. Its query-serving availability may cease unexpectedly.", "The metastore service is suspended and unable to serve queries.", "The metastore service is being updated. It remains usable but cannot accept additional update requests or be deleted at this time.", "The metastore service is undergoing deletion. It cannot be used.", "The metastore service has encountered an error and cannot be used. The metastore service should be deleted." ], "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "SUSPENDING", "SUSPENDED", "UPDATING", "DELETING", "ERROR" ], "description": "Output only. The current state of the metastore service.", "readOnly": true }, "databaseType": { "enumDescriptions": [ "The DATABASE_TYPE is not set.", "MySQL is used to persist the metastore data.", "Spanner is used to persist the metastore data." ], "description": "Immutable. The database type that the Metastore service stores its data.", "enum": [ "DATABASE_TYPE_UNSPECIFIED", "MYSQL", "SPANNER" ], "type": "string" }, "network": { "description": "Immutable. The relative resource name of the VPC network on which the instance can be accessed. It is specified in the following form:projects/{project_number}/global/networks/{network_id}.", "type": "string" }, "port": { "description": "The TCP port at which the metastore service is reached. Default: 9083.", "type": "integer", "format": "int32" }, "hiveMetastoreConfig": { "$ref": "HiveMetastoreConfig", "description": "Configuration information specific to running Hive metastore software as the metastore service." }, "encryptionConfig": { "$ref": "EncryptionConfig", "description": "Immutable. Information used to configure the Dataproc Metastore service to encrypt customer data at rest. Cannot be updated." }, "uid": { "type": "string", "description": "Output only. The globally unique resource identifier of the metastore service.", "readOnly": true } }, "description": "A managed metastore service that serves metadata queries.", "type": "object", "id": "Service" }, "RemoveIamPolicyResponse": { "type": "object", "id": "RemoveIamPolicyResponse", "description": "Response message for DataprocMetastore.RemoveIamPolicy.", "properties": { "success": { "type": "boolean", "description": "whether related policies are removed" } } }, "RestoreServiceRequest": { "type": "object", "id": "RestoreServiceRequest", "properties": { "restoreType": { "enum": [ "RESTORE_TYPE_UNSPECIFIED", "FULL", "METADATA_ONLY" ], "type": "string", "enumDescriptions": [ "The restore type is unknown.", "The service's metadata and configuration are restored.", "Only the service's metadata is restored." ], "description": "Optional. The type of restore. If unspecified, defaults to METADATA_ONLY." }, "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." }, "backup": { "description": "Required. The relative resource name of the metastore service backup to restore from, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "type": "string" } }, "description": "Request message for DataprocMetastore.Restore." }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec.Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "NetworkConfig": { "type": "object", "description": "Network configuration for the Dataproc Metastore service.", "properties": { "consumers": { "description": "Immutable. The consumer-side network configuration for the Dataproc Metastore instance.", "type": "array", "items": { "$ref": "Consumer" } } }, "id": "NetworkConfig" }, "ListServicesResponse": { "properties": { "services": { "items": { "$ref": "Service" }, "type": "array", "description": "The services in the specified location." }, "nextPageToken": { "type": "string", "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." } }, "description": "Response message for DataprocMetastore.ListServices.", "id": "ListServicesResponse", "type": "object" }, "Policy": { "id": "Policy", "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources.A Policy is a collection of bindings. A binding binds one or more members, or principals, to a single role. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role.For some types of Google Cloud resources, a binding can also specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).JSON example: { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } YAML example: bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the IAM documentation (https://cloud.google.com/iam/docs/).", "properties": { "etag": { "format": "byte", "description": "etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy.Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.", "type": "string" }, "version": { "type": "integer", "description": "Specifies the format of the policy.Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected.Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations: Getting a policy that includes a conditional role binding Adding a conditional role binding to a policy Changing a conditional role binding in a policy Removing any role binding, with or without a condition, from a policy that includes conditionsImportant: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "bindings": { "description": "Associates a list of members, or principals, with a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one principal.The bindings in a Policy can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the bindings grant 50 different roles to user:alice@example.com, and not to any other principal, then you can add another 1,450 principals to the bindings in the Policy.", "items": { "$ref": "Binding" }, "type": "array" } } }, "RemoveIamPolicyRequest": { "properties": {}, "description": "Request message for DataprocMetastore.RemoveIamPolicy.", "type": "object", "id": "RemoveIamPolicyRequest" }, "KerberosConfig": { "id": "KerberosConfig", "properties": { "principal": { "type": "string", "description": "A Kerberos principal that exists in the both the keytab the KDC to authenticate as. A typical principal is of the form primary/instance@REALM, but there is no exact format." }, "keytab": { "$ref": "Secret", "description": "A Kerberos keytab file that can be used to authenticate a service principal with a Kerberos Key Distribution Center (KDC)." }, "krb5ConfigGcsUri": { "description": "A Cloud Storage URI that specifies the path to a krb5.conf file. It is of the form gs://{bucket_name}/path/to/krb5.conf, although the file does not need to be named krb5.conf explicitly.", "type": "string" } }, "type": "object", "description": "Configuration information for a Kerberos principal." }, "AuditConfig": { "id": "AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs.If there are AuditConfigs for both allServices and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted.Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "properties": { "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, storage.googleapis.com, cloudsql.googleapis.com. allServices is a special value that covers all services." }, "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" } } }, "type": "object" }, "MetadataImport": { "id": "MetadataImport", "description": "A metastore resource that imports metadata.", "properties": { "name": { "type": "string", "description": "Immutable. The relative resource name of the metadata import, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{metadata_import_id}." }, "description": { "type": "string", "description": "The description of the metadata import." }, "createTime": { "description": "Output only. The time when the metadata import was started.", "format": "google-datetime", "type": "string", "readOnly": true }, "databaseDump": { "$ref": "DatabaseDump", "description": "Immutable. A database dump from a pre-existing metastore's database." }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "UPDATING", "FAILED" ], "description": "Output only. The current state of the metadata import.", "enumDescriptions": [ "The state of the metadata import is unknown.", "The metadata import is running.", "The metadata import completed successfully.", "The metadata import is being updated.", "The metadata import failed, and attempted metadata changes were rolled back." ], "type": "string", "readOnly": true }, "updateTime": { "format": "google-datetime", "description": "Output only. The time when the metadata import was last updated.", "type": "string", "readOnly": true }, "endTime": { "readOnly": true, "description": "Output only. The time when the metadata import finished.", "type": "string", "format": "google-datetime" } }, "type": "object" }, "Consumer": { "description": "Contains information of the customer's network configurations.", "id": "Consumer", "properties": { "endpointUri": { "readOnly": true, "type": "string", "description": "Output only. The URI of the endpoint used to access the metastore service." }, "subnetwork": { "description": "The subnetwork of the customer project from which an IP address is reserved and used as the Dataproc Metastore service's endpoint. It is accessible to hosts in the subnet and to all hosts in a subnet in the same region and same network. There must be at least one IP address available in the subnet's primary range. The subnet is specified in the following form:`projects/{project_number}/regions/{region_id}/subnetworks/{subnetwork_id}", "type": "string" } }, "type": "object" }, "ExportMetadataRequest": { "description": "Request message for DataprocMetastore.ExportMetadata.", "type": "object", "id": "ExportMetadataRequest", "properties": { "databaseDumpType": { "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ], "type": "string", "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ], "description": "Optional. The type of the database dump. If unspecified, defaults to MYSQL." }, "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." }, "destinationGcsFolder": { "type": "string", "description": "A Cloud Storage URI of a folder, in the format gs:///. A sub-folder containing exported files will be created below it." } } }, "ListMetadataImportsResponse": { "id": "ListMetadataImportsResponse", "properties": { "unreachable": { "items": { "type": "string" }, "type": "array", "description": "Locations that could not be reached." }, "metadataImports": { "description": "The imports in the specified service.", "type": "array", "items": { "$ref": "MetadataImport" } }, "nextPageToken": { "type": "string", "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." } }, "description": "Response message for DataprocMetastore.ListMetadataImports.", "type": "object" }, "HiveMetastoreConfig": { "id": "HiveMetastoreConfig", "type": "object", "description": "Specifies configuration information specific to running Hive metastore software as the metastore service.", "properties": { "version": { "type": "string", "description": "Immutable. The Hive metastore schema version." }, "kerberosConfig": { "$ref": "KerberosConfig", "description": "Information used to configure the Hive metastore service as a service principal in a Kerberos realm. To disable Kerberos, use the UpdateService method and specify this field's path (hive_metastore_config.kerberos_config) in the request's update_mask while omitting this field from the request's service." }, "endpointProtocol": { "enumDescriptions": [ "The protocol is not set.", "Use the legacy Apache Thrift protocol for the metastore service endpoint.", "Use the modernized gRPC protocol for the metastore service endpoint." ], "description": "The protocol to use for the metastore service endpoint. If unspecified, defaults to THRIFT.", "type": "string", "enum": [ "ENDPOINT_PROTOCOL_UNSPECIFIED", "THRIFT", "GRPC" ] }, "configOverrides": { "type": "object", "additionalProperties": { "type": "string" }, "description": "A mapping of Hive metastore configuration key-value pairs to apply to the Hive metastore (configured in hive-site.xml). The mappings override system defaults (some keys cannot be overridden). These overrides are also applied to auxiliary versions and can be further customized in the auxiliary version's AuxiliaryVersionConfig." }, "auxiliaryVersions": { "type": "object", "additionalProperties": { "$ref": "AuxiliaryVersionConfig" }, "description": "A mapping of Hive metastore version to the auxiliary version configuration. When specified, a secondary Hive metastore service is created along with the primary service. All auxiliary versions must be less than the service's primary version. The key is the auxiliary service name and it must match the regular expression a-z?. This means that the first character must be a lowercase letter, and all the following characters must be hyphens, lowercase letters, or digits, except the last character, which cannot be a hyphen." } } }, "MetadataExport": { "properties": { "databaseDumpType": { "type": "string", "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ], "readOnly": true, "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ], "description": "Output only. The type of the database dump." }, "startTime": { "description": "Output only. The time when the export started.", "type": "string", "readOnly": true, "format": "google-datetime" }, "destinationGcsUri": { "type": "string", "readOnly": true, "description": "Output only. A Cloud Storage URI of a folder that metadata are exported to, in the form of gs:////, where is automatically generated." }, "state": { "enumDescriptions": [ "The state of the metadata export is unknown.", "The metadata export is running.", "The metadata export completed successfully.", "The metadata export failed.", "The metadata export is cancelled." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "description": "Output only. The current state of the export.", "type": "string" }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time when the export ended.", "format": "google-datetime" } }, "id": "MetadataExport", "type": "object", "description": "The details of a metadata export operation." }, "DataCatalogConfig": { "id": "DataCatalogConfig", "properties": { "enabled": { "type": "boolean", "description": "Defines whether the metastore metadata should be synced to Data Catalog. The default value is to disable syncing metastore metadata to Data Catalog." } }, "description": "Specifies how metastore metadata should be integrated with the Data Catalog service.", "type": "object" }, "Backup": { "properties": { "description": { "type": "string", "description": "The description of the backup." }, "createTime": { "type": "string", "description": "Output only. The time when the backup was started.", "readOnly": true, "format": "google-datetime" }, "serviceRevision": { "description": "Output only. The revision of the service at the time of backup.", "readOnly": true, "$ref": "Service" }, "restoringServices": { "description": "Output only. Services that are restoring from the backup.", "items": { "type": "string" }, "type": "array", "readOnly": true }, "state": { "description": "Output only. The current state of the backup.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "DELETING", "ACTIVE", "FAILED", "RESTORING" ], "enumDescriptions": [ "The state of the backup is unknown.", "The backup is being created.", "The backup is being deleted.", "The backup is active and ready to use.", "The backup failed.", "The backup is being restored." ], "type": "string", "readOnly": true }, "endTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time when the backup finished creating." }, "name": { "type": "string", "description": "Immutable. The relative resource name of the backup, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}" } }, "type": "object", "description": "The details of a backup resource.", "id": "Backup" }, "Secret": { "id": "Secret", "properties": { "cloudSecret": { "type": "string", "description": "The relative resource name of a Secret Manager secret version, in the following form:projects/{project_number}/secrets/{secret_id}/versions/{version_id}." } }, "type": "object", "description": "A securely stored value." }, "DatabaseDump": { "type": "object", "id": "DatabaseDump", "description": "A specification of the location of and metadata about a database dump from a relational database management system.", "properties": { "sourceDatabase": { "type": "string", "description": "The name of the source database." }, "type": { "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ], "description": "Optional. The type of the database dump. If unspecified, defaults to MYSQL.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ] }, "gcsUri": { "description": "A Cloud Storage object or folder URI that specifies the source from which to import metadata. It must begin with gs://.", "type": "string" }, "databaseType": { "enum": [ "DATABASE_TYPE_UNSPECIFIED", "MYSQL" ], "description": "The type of the database.", "enumDescriptions": [ "The type of the source database is unknown.", "The type of the source database is MySQL." ], "type": "string" } } }, "MaintenanceWindow": { "properties": { "dayOfWeek": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "type": "string", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "description": "The day of week, when the window starts." }, "hourOfDay": { "format": "int32", "type": "integer", "description": "The hour of day (0-23) when the window starts." } }, "id": "MaintenanceWindow", "type": "object", "description": "Maintenance window. This specifies when Dataproc Metastore may perform system maintenance operation to the service." }, "MetadataManagementActivity": { "description": "The metadata management activities of the metastore service.", "type": "object", "id": "MetadataManagementActivity", "properties": { "metadataExports": { "description": "Output only. The latest metadata exports of the metastore service.", "items": { "$ref": "MetadataExport" }, "readOnly": true, "type": "array" }, "restores": { "items": { "$ref": "Restore" }, "type": "array", "readOnly": true, "description": "Output only. The latest restores of the metastore service." } } }, "DataplexConfig": { "type": "object", "id": "DataplexConfig", "properties": { "lakeResources": { "type": "object", "additionalProperties": { "$ref": "Lake" }, "description": "A reference to the Lake resources that this metastore service is attached to. The key is the lake resource name. Example: projects/{project_number}/locations/{location_id}/lakes/{lake_id}." } }, "description": "Specifies how metastore metadata should be integrated with the Dataplex service." }, "Operation": { "id": "Operation", "type": "object", "properties": { "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.", "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "description": "If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.", "type": "boolean" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "LocationMetadata": { "id": "LocationMetadata", "properties": { "supportedHiveMetastoreVersions": { "description": "The versions of Hive Metastore that can be used when creating a new metastore service in this location. The server guarantees that exactly one HiveMetastoreVersion in the list will set is_default.", "items": { "$ref": "HiveMetastoreVersion" }, "type": "array" } }, "description": "Metadata about the service in a location.", "type": "object" }, "ListFederationsResponse": { "type": "object", "description": "Response message for ListFederations", "id": "ListFederationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "federations": { "type": "array", "items": { "$ref": "Federation" }, "description": "The services in the specified location." }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } } } }, "ListOperationsResponse": { "type": "object", "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "Status": { "description": "The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide (https://cloud.google.com/apis/design/errors).", "properties": { "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." } }, "id": "Status", "type": "object" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"} " }, "locationId": { "description": "The canonical id for this location. For example: \"us-east1\".", "type": "string" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: \"projects/example-project/locations/us-east1\"" } }, "type": "object" }, "Binding": { "id": "Binding", "description": "Associates members, or principals, with a role.", "properties": { "role": { "type": "string", "description": "Role that is assigned to the list of members, or principals. For example, roles/viewer, roles/editor, or roles/owner." }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding. deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding. deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding. domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com." }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding.If the condition evaluates to true, then this binding applies to the current request.If the condition evaluates to false, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "type": "object" }, "AuxiliaryVersionConfig": { "properties": { "configOverrides": { "description": "A mapping of Hive metastore configuration key-value pairs to apply to the auxiliary Hive metastore (configured in hive-site.xml) in addition to the primary version's overrides. If keys are present in both the auxiliary version's overrides and the primary version's overrides, the value from the auxiliary version's overrides takes precedence.", "type": "object", "additionalProperties": { "type": "string" } }, "version": { "type": "string", "description": "The Hive metastore version of the auxiliary service. It must be less than the primary Hive metastore service's version." }, "networkConfig": { "readOnly": true, "description": "Output only. The network configuration contains the endpoint URI(s) of the auxiliary Hive metastore service.", "$ref": "NetworkConfig" } }, "description": "Configuration information for the auxiliary service versions.", "id": "AuxiliaryVersionConfig", "type": "object" }, "Lake": { "description": "Represents a Lake resource", "properties": { "name": { "description": "The Lake resource name. Example: projects/{project_number}/locations/{location_id}/lakes/{lake_id}", "type": "string" } }, "id": "Lake", "type": "object" }, "TestIamPermissionsResponse": { "description": "Response message for TestIamPermissions method.", "type": "object", "properties": { "permissions": { "type": "array", "description": "A subset of TestPermissionsRequest.permissions that the caller is allowed.", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse" }, "Federation": { "id": "Federation", "type": "object", "description": "Represents a federation of multiple backend metastores.", "properties": { "uid": { "description": "Output only. The globally unique resource identifier of the metastore federation.", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. The time when the metastore federation was last updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "createTime": { "description": "Output only. The time when the metastore federation was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "name": { "description": "Immutable. The relative resource name of the federation, of the form: projects/{project_number}/locations/{location_id}/federations/{federation_id}`.", "type": "string" }, "state": { "readOnly": true, "enumDescriptions": [ "The state of the metastore federation is unknown.", "The metastore federation is in the process of being created.", "The metastore federation is running and ready to serve queries.", "The metastore federation is being updated. It remains usable but cannot accept additional update requests or be deleted at this time.", "The metastore federation is undergoing deletion. It cannot be used.", "The metastore federation has encountered an error and cannot be used. The metastore federation should be deleted." ], "description": "Output only. The current state of the federation.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "UPDATING", "DELETING", "ERROR" ], "type": "string" }, "endpointUri": { "description": "Output only. The federation endpoint.", "readOnly": true, "type": "string" }, "labels": { "description": "User-defined labels for the metastore federation.", "additionalProperties": { "type": "string" }, "type": "object" }, "backendMetastores": { "additionalProperties": { "$ref": "BackendMetastore" }, "description": "A map from BackendMetastore rank to BackendMetastores from which the federation service serves metadata at query time. The map key represents the order in which BackendMetastores should be evaluated to resolve database names at query time and should be greater than or equal to zero. A BackendMetastore with a lower number will be evaluated before a BackendMetastore with a higher number.", "type": "object" }, "stateMessage": { "description": "Output only. Additional information about the current state of the metastore federation, if available.", "type": "string", "readOnly": true }, "version": { "description": "Immutable. The Apache Hive metastore version of the federation. All backend metastore versions must be compatible with the federation version.", "type": "string" } } }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse", "type": "object" }, "Restore": { "type": "object", "id": "Restore", "properties": { "state": { "description": "Output only. The current state of the restore.", "type": "string", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "The state of the metadata restore is unknown.", "The metadata restore is running.", "The metadata restore completed successfully.", "The metadata restore failed.", "The metadata restore is cancelled." ] }, "type": { "enum": [ "RESTORE_TYPE_UNSPECIFIED", "FULL", "METADATA_ONLY" ], "type": "string", "description": "Output only. The type of restore.", "enumDescriptions": [ "The restore type is unknown.", "The service's metadata and configuration are restored.", "Only the service's metadata is restored." ], "readOnly": true }, "backup": { "description": "Output only. The relative resource name of the metastore service backup to restore from, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "type": "string", "readOnly": true }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time when the restore ended.", "format": "google-datetime" }, "details": { "type": "string", "readOnly": true, "description": "Output only. The restore details containing the revision of the service to be restored to, in format of JSON." }, "startTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time when the restore started." } }, "description": "The details of a metadata restore operation." }, "MetadataIntegration": { "type": "object", "properties": { "dataplexConfig": { "description": "The integration config for the Dataplex service.", "$ref": "DataplexConfig" }, "dataCatalogConfig": { "description": "The integration config for the Data Catalog service.", "$ref": "DataCatalogConfig" } }, "description": "Specifies how metastore metadata should be integrated with external services.", "id": "MetadataIntegration" }, "SetIamPolicyRequest": { "properties": { "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used:paths: \"bindings, etag\"", "format": "google-fieldmask", "type": "string" }, "policy": { "description": "REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" } }, "id": "SetIamPolicyRequest", "description": "Request message for SetIamPolicy method.", "type": "object" }, "HiveMetastoreVersion": { "properties": { "version": { "description": "The semantic version of the Hive Metastore software.", "type": "string" }, "isDefault": { "type": "boolean", "description": "Whether version will be chosen by the server if a metastore service is created with a HiveMetastoreConfig that omits the version." } }, "description": "A specification of a supported version of the Hive Metastore software.", "id": "HiveMetastoreVersion", "type": "object" }, "AuditLogConfig": { "type": "object", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array", "items": { "type": "string" } } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "EncryptionConfig": { "id": "EncryptionConfig", "properties": { "kmsKey": { "type": "string", "description": "The fully qualified customer provided Cloud KMS key name to use for customer data encryption, in the following form:projects/{project_number}/locations/{location_id}/keyRings/{key_ring_id}/cryptoKeys/{crypto_key_id}." } }, "type": "object", "description": "Encryption settings for the service." }, "TestIamPermissionsRequest": { "description": "Request message for TestIamPermissions method.", "type": "object", "properties": { "permissions": { "description": "The set of permissions to check for the resource. Permissions with wildcards (such as LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh or storage.*) are not allowed. For more information see IAM Overview (https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" }, "type": "array" } }, "id": "TestIamPermissionsRequest" }, "ListBackupsResponse": { "description": "Response message for DataprocMetastore.ListBackups.", "type": "object", "properties": { "backups": { "type": "array", "description": "The backups of the specified service.", "items": { "$ref": "Backup" } }, "unreachable": { "description": "Locations that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } }, "id": "ListBackupsResponse" } }, "basePath": "", "documentationLink": "https://cloud.google.com/dataproc-metastore/docs", "fullyEncodeReservedExpansion": true, "version": "v1alpha", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "id": "metastore:v1alpha", "rootUrl": "https://metastore.googleapis.com/", "ownerDomain": "google.com", "baseUrl": "https://metastore.googleapis.com/", "kind": "discovery#restDescription", "mtlsRootUrl": "https://metastore.mtls.googleapis.com/", "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "location": "query", "default": "json", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "description": "V1 error format.", "type": "string", "location": "query", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "location": "query", "default": "true", "type": "boolean", "description": "Returns response with indentations and line breaks." } }, "title": "Dataproc Metastore API", "name": "metastore", "batchPath": "batch", "revision": "20220711", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "description": "Lists information about the supported locations for this service.", "flatPath": "v1alpha/projects/{projectsId}/locations", "httpMethod": "GET", "response": { "$ref": "ListLocationsResponse" }, "id": "metastore.projects.locations.list", "parameterOrder": [ "name" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "A page token received from the next_page_token field in the response. Send that page token to receive the subsequent page." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "type": "integer", "location": "query" }, "name": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The resource that owns the locations collection, if applicable." }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like \"displayName=tokyo\", and is documented in more detail in AIP-160 (https://google.aip.dev/160).", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}/locations" }, "get": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "location": "path" } }, "httpMethod": "GET", "response": { "$ref": "Location" }, "description": "Gets information about a location.", "id": "metastore.projects.locations.get" } }, "resources": { "federations": { "methods": { "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The relative resource name of the metastore federation to retrieve, in the following form:projects/{project_number}/locations/{location_id}/federations/{federation_id}." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Federation" }, "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.federations.get", "description": "Gets the details of a single federation.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}", "httpMethod": "GET" }, "getIamPolicy": { "path": "v1alpha/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.federations.getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32", "type": "integer" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:getIamPolicy", "httpMethod": "GET" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}", "path": "v1alpha/{+name}", "request": { "$ref": "Federation" }, "description": "Updates the fields of a federation.", "response": { "$ref": "Operation" }, "id": "metastore.projects.locations.federations.patch", "httpMethod": "PATCH", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. A field mask used to specify the fields to be overwritten in the metastore federation resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "location": "query" }, "requestId": { "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string" }, "name": { "description": "Immutable. The relative resource name of the federation, of the form: projects/{project_number}/locations/{location_id}/federations/{federation_id}`.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$" } } }, "create": { "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The relative resource name of the location in which to create a federation service, in the following form:projects/{project_number}/locations/{location_id}.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." }, "federationId": { "description": "Required. The ID of the metastore federation, which is used as the final component of the metastore federation's name.This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens.", "type": "string", "location": "query" } }, "request": { "$ref": "Federation" }, "path": "v1alpha/{+parent}/federations", "id": "metastore.projects.locations.federations.create", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations", "description": "Creates a metastore federation in a project and location.", "httpMethod": "POST" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:setIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "id": "metastore.projects.locations.federations.setIamPolicy", "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:setIamPolicy" }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}", "description": "Deletes a single federation.", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "id": "metastore.projects.locations.federations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "type": "string", "required": true, "location": "path", "description": "Required. The relative resource name of the metastore federation to delete, in the following form:projects/{project_number}/locations/{location_id}/federations/{federation_id}." } }, "httpMethod": "DELETE" }, "testIamPermissions": { "id": "metastore.projects.locations.federations.testIamPermissions", "path": "v1alpha/{+resource}:testIamPermissions", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" } }, "list": { "id": "metastore.projects.locations.federations.list", "description": "Lists federations in a project and location.", "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. The filter to apply to list results." }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "type": "string", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. The relative resource name of the location of metastore federations to list, in the following form: projects/{project_number}/locations/{location_id}." }, "pageSize": { "location": "query", "format": "int32", "description": "Optional. The maximum number of federations to return. The response may contain less than the maximum number. If unspecified, no more than 500 services are returned. The maximum value is 1000; values above 1000 are changed to 1000.", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous ListFederationServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to ListFederationServices must match the call that provided the page token." } }, "response": { "$ref": "ListFederationsResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/federations", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/federations" } } }, "services": { "methods": { "list": { "id": "metastore.projects.locations.services.list", "path": "v1alpha/{+parent}/services", "httpMethod": "GET", "description": "Lists services in a project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services", "response": { "$ref": "ListServicesResponse" }, "parameters": { "parent": { "description": "Required. The relative resource name of the location of metastore services to list, in the following form:projects/{project_number}/locations/{location_id}.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" }, "filter": { "description": "Optional. The filter to apply to list results.", "type": "string", "location": "query" }, "pageSize": { "description": "Optional. The maximum number of services to return. The response may contain less than the maximum number. If unspecified, no more than 500 services are returned. The maximum value is 1000; values above 1000 are changed to 1000.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "location": "query", "description": "Optional. A page token, received from a previous DataprocMetastore.ListServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListServices must match the call that provided the page token.", "type": "string" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "location": "query", "type": "string" } }, "parameterOrder": [ "parent" ] }, "exportMetadata": { "httpMethod": "POST", "path": "v1alpha/{+service}:exportMetadata", "description": "Exports metadata from a service.", "request": { "$ref": "ExportMetadataRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:exportMetadata", "parameterOrder": [ "service" ], "id": "metastore.projects.locations.services.exportMetadata", "response": { "$ref": "Operation" }, "parameters": { "service": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "type": "string", "description": "Required. The relative resource name of the metastore service to run export, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}." } } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:setIamPolicy", "id": "metastore.projects.locations.services.setIamPolicy", "response": { "$ref": "Policy" } }, "restore": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "service": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "description": "Required. The relative resource name of the metastore service to run restore, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}." } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:restore", "httpMethod": "POST", "request": { "$ref": "RestoreServiceRequest" }, "path": "v1alpha/{+service}:restore", "parameterOrder": [ "service" ], "description": "Restores a service from a backup.", "id": "metastore.projects.locations.services.restore" }, "delete": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "Required. The relative resource name of the metastore service to delete, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true }, "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "location": "query" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "id": "metastore.projects.locations.services.delete", "path": "v1alpha/{+name}", "description": "Deletes a single service." }, "removeIamPolicy": { "id": "metastore.projects.locations.services.removeIamPolicy", "description": "Removes the attached IAM policies for a resource", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/{servicesId1}:removeIamPolicy", "httpMethod": "POST", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/.*$", "description": "Required. The relative resource name of the dataplane resource to remove IAM policy, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/databases/{database_id} or projects/{project_id}/locations/{location_id}/services/{service_id}/databases/{database_id}/tables/{table_id}.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "RemoveIamPolicyResponse" }, "request": { "$ref": "RemoveIamPolicyRequest" }, "path": "v1alpha/{+resource}:removeIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ] }, "create": { "parameters": { "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "location": "query" }, "parent": { "location": "path", "description": "Required. The relative resource name of the location in which to create a metastore service, in the following form:projects/{project_number}/locations/{location_id}.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "serviceId": { "location": "query", "type": "string", "description": "Required. The ID of the metastore service, which is used as the final component of the metastore service's name.This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens." } }, "request": { "$ref": "Service" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services", "path": "v1alpha/{+parent}/services", "description": "Creates a metastore service in a project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "id": "metastore.projects.locations.services.create", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ] }, "testIamPermissions": { "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "metastore.projects.locations.services.testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+resource}:testIamPermissions", "httpMethod": "POST" }, "getIamPolicy": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+resource}:getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "id": "metastore.projects.locations.services.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "type": "integer", "format": "int32" }, "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "Required. The relative resource name of the metastore service to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "location": "path" } }, "id": "metastore.projects.locations.services.get", "response": { "$ref": "Service" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "description": "Gets the details of a single service.", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "httpMethod": "GET" }, "patch": { "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "description": "Updates the parameters of a single service.", "parameterOrder": [ "name" ], "request": { "$ref": "Service" }, "parameters": { "name": { "description": "Immutable. The relative resource name of the metastore service, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "type": "string", "required": true }, "updateMask": { "description": "Required. A field mask used to specify the fields to be overwritten in the metastore service resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "type": "string", "format": "google-fieldmask", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." } }, "id": "metastore.projects.locations.services.patch", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "backups": { "methods": { "getIamPolicy": { "id": "metastore.projects.locations.services.backups.getIamPolicy", "path": "v1alpha/{+resource}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "location": "path" } }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:getIamPolicy", "httpMethod": "GET" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "path": "v1alpha/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "id": "metastore.projects.locations.services.backups.testIamPermissions", "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:testIamPermissions" }, "delete": { "id": "metastore.projects.locations.services.backups.delete", "httpMethod": "DELETE", "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." }, "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "description": "Required. The relative resource name of the backup to delete, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}." } }, "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Deletes a single backup." }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new backup in a given project and location.", "id": "metastore.projects.locations.services.backups.create", "httpMethod": "POST", "parameters": { "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "location": "query" }, "backupId": { "location": "query", "type": "string", "description": "Required. The ID of the backup, which is used as the final component of the backup's name.This value must be between 1 and 64 characters long, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens." }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "description": "Required. The relative resource name of the service in which to create a backup of the following form:projects/{project_number}/locations/{location_id}/services/{service_id}." } }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "request": { "$ref": "Backup" }, "path": "v1alpha/{+parent}/backups", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups" }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "path": "v1alpha/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:setIamPolicy", "id": "metastore.projects.locations.services.backups.setIamPolicy", "parameters": { "resource": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST" }, "get": { "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "description": "Required. The relative resource name of the backup to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "type": "string", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Backup" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}", "httpMethod": "GET", "description": "Gets details of a single backup.", "id": "metastore.projects.locations.services.backups.get" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups", "parameterOrder": [ "parent" ], "parameters": { "filter": { "description": "Optional. The filter to apply to list results.", "location": "query", "type": "string" }, "parent": { "required": true, "type": "string", "description": "Required. The relative resource name of the service whose backups to list, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous DataprocMetastore.ListBackups call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListBackups must match the call that provided the page token.", "location": "query" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of backups to return. The response may contain less than the maximum number. If unspecified, no more than 500 backups are returned. The maximum value is 1000; values above 1000 are changed to 1000.", "location": "query" } }, "response": { "$ref": "ListBackupsResponse" }, "httpMethod": "GET", "id": "metastore.projects.locations.services.backups.list", "description": "Lists backups in a service.", "path": "v1alpha/{+parent}/backups" } } }, "databases": { "resources": { "tables": { "methods": { "getIamPolicy": { "id": "metastore.projects.locations.services.databases.tables.getIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:getIamPolicy", "response": { "$ref": "Policy" }, "path": "v1alpha/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1alpha/{+resource}:testIamPermissions", "id": "metastore.projects.locations.services.databases.tables.testIamPermissions", "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:testIamPermissions", "parameterOrder": [ "resource" ], "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:setIamPolicy", "path": "v1alpha/{+resource}:setIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "required": true } }, "parameterOrder": [ "resource" ], "id": "metastore.projects.locations.services.databases.tables.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" } } } } }, "methods": { "getIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1alpha/{+resource}:getIamPolicy", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.services.databases.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$", "required": true, "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } } }, "setIamPolicy": { "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$", "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:setIamPolicy", "httpMethod": "POST", "path": "v1alpha/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "id": "metastore.projects.locations.services.databases.setIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$", "location": "path" } }, "httpMethod": "POST", "parameterOrder": [ "resource" ], "id": "metastore.projects.locations.services.databases.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1alpha/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" } } } }, "metadataImports": { "methods": { "create": { "httpMethod": "POST", "parameterOrder": [ "parent" ], "description": "Creates a new MetadataImport in a given project and location.", "response": { "$ref": "Operation" }, "request": { "$ref": "MetadataImport" }, "id": "metastore.projects.locations.services.metadataImports.create", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+parent}/metadataImports", "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "description": "Required. The relative resource name of the service in which to create a metastore import, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "type": "string" }, "requestId": { "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "location": "query" }, "metadataImportId": { "location": "query", "type": "string", "description": "Required. The ID of the metadata import, which is used as the final component of the metadata import's name.This value must be between 1 and 64 characters long, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens." } } }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a single import. Only the description field of MetadataImport is supported to be updated.", "parameterOrder": [ "name" ], "path": "v1alpha/{+name}", "request": { "$ref": "MetadataImport" }, "id": "metastore.projects.locations.services.metadataImports.patch", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Required. A field mask used to specify the fields to be overwritten in the metadata import resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/metadataImports/[^/]+$", "required": true, "description": "Immutable. The relative resource name of the metadata import, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{metadata_import_id}.", "location": "path", "type": "string" }, "requestId": { "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports/{metadataImportsId}" }, "list": { "id": "metastore.projects.locations.services.metadataImports.list", "path": "v1alpha/{+parent}/metadataImports", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports", "parameters": { "pageToken": { "description": "Optional. A page token, received from a previous DataprocMetastore.ListServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListServices must match the call that provided the page token.", "location": "query", "type": "string" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "Optional. The filter to apply to list results." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum number of imports to return. The response may contain less than the maximum number. If unspecified, no more than 500 imports are returned. The maximum value is 1000; values above 1000 are changed to 1000." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "Required. The relative resource name of the service whose metadata imports to list, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports.", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists imports in a service.", "response": { "$ref": "ListMetadataImportsResponse" }, "httpMethod": "GET", "parameterOrder": [ "parent" ] }, "get": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports/{metadataImportsId}", "response": { "$ref": "MetadataImport" }, "parameters": { "name": { "type": "string", "required": true, "description": "Required. The relative resource name of the metadata import to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{import_id}.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/metadataImports/[^/]+$" } }, "httpMethod": "GET", "id": "metastore.projects.locations.services.metadataImports.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single import.", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ] } } } } }, "operations": { "methods": { "get": { "httpMethod": "GET", "parameters": { "name": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource." } }, "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.operations.get", "parameterOrder": [ "name" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1alpha/{+name}" }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "required": true, "type": "string", "location": "path" } }, "path": "v1alpha/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED.", "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "metastore.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ] }, "list": { "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "id": "metastore.projects.locations.operations.list", "parameters": { "pageSize": { "format": "int32", "type": "integer", "description": "The standard list page size.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." }, "name": { "required": true, "location": "path", "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." } }, "response": { "$ref": "ListOperationsResponse" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}/operations" } } } } } } } }, "canonicalName": "Dataproc Metastore", "ownerName": "Google", "version_module": true, "discoveryVersion": "v1", "description": "The Dataproc Metastore API is used to manage the lifecycle and configuration of metastore services.", "protocol": "rest", "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } } }
]===]))
