local decode = require("cjson").new().decode
return assert(decode([===[
{ "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "description": "Gets information about a location.", "httpMethod": "GET", "id": "metastore.projects.locations.get", "path": "v1beta/{+name}", "parameters": { "name": { "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Location" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}" }, "list": { "id": "metastore.projects.locations.list", "response": { "$ref": "ListLocationsResponse" }, "path": "v1beta/{+name}/locations", "parameters": { "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path" }, "pageToken": { "description": "A page token received from the next_page_token field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like \"displayName=tokyo\", and is documented in more detail in AIP-160 (https://google.aip.dev/160).", "location": "query", "type": "string" } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists information about the supported locations for this service.", "flatPath": "v1beta/projects/{projectsId}/locations" } }, "resources": { "services": { "resources": { "databases": { "resources": { "tables": { "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:getIamPolicy", "parameterOrder": [ "resource" ], "path": "v1beta/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query", "format": "int32" } }, "id": "metastore.projects.locations.services.databases.tables.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "id": "metastore.projects.locations.services.databases.tables.setIamPolicy", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:setIamPolicy", "path": "v1beta/{+resource}:setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "testIamPermissions": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}/tables/{tablesId}:testIamPermissions", "path": "v1beta/{+resource}:testIamPermissions", "id": "metastore.projects.locations.services.databases.tables.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+/tables/[^/]+$", "location": "path", "required": true } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "httpMethod": "POST" } } } }, "methods": { "getIamPolicy": { "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.services.databases.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$", "type": "string", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "path": "v1beta/{+resource}:getIamPolicy" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "id": "metastore.projects.locations.services.databases.setIamPolicy", "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:setIamPolicy", "parameters": { "resource": { "required": true, "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors." }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/databases/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/databases/{databasesId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "metastore.projects.locations.services.databases.testIamPermissions", "path": "v1beta/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" } } } }, "metadataImports": { "methods": { "patch": { "response": { "$ref": "Operation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports/{metadataImportsId}", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a single import. Only the description field of MetadataImport is supported to be updated.", "httpMethod": "PATCH", "id": "metastore.projects.locations.services.metadataImports.patch", "request": { "$ref": "MetadataImport" }, "parameterOrder": [ "name" ], "parameters": { "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Required. A field mask used to specify the fields to be overwritten in the metadata import resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "location": "query" }, "name": { "description": "Immutable. The relative resource name of the metadata import, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{metadata_import_id}.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/metadataImports/[^/]+$", "required": true, "type": "string" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists imports in a service.", "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. The filter to apply to list results." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum number of imports to return. The response may contain less than the maximum number. If unspecified, no more than 500 imports are returned. The maximum value is 1000; values above 1000 are changed to 1000." }, "parent": { "description": "Required. The relative resource name of the service whose metadata imports to list, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "location": "path", "type": "string" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "type": "string", "location": "query" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous DataprocMetastore.ListServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListServices must match the call that provided the page token.", "location": "query" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports", "response": { "$ref": "ListMetadataImportsResponse" }, "id": "metastore.projects.locations.services.metadataImports.list", "parameterOrder": [ "parent" ], "path": "v1beta/{+parent}/metadataImports", "httpMethod": "GET" }, "get": { "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/metadataImports/[^/]+$", "description": "Required. The relative resource name of the metadata import to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{import_id}.", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "MetadataImport" }, "id": "metastore.projects.locations.services.metadataImports.get", "description": "Gets details of a single import.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports/{metadataImportsId}", "httpMethod": "GET" }, "create": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/metadataImports", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "request": { "$ref": "MetadataImport" }, "description": "Creates a new MetadataImport in a given project and location.", "parameters": { "parent": { "required": true, "description": "Required. The relative resource name of the service in which to create a metastore import, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "location": "path" }, "metadataImportId": { "type": "string", "description": "Required. The ID of the metadata import, which is used as the final component of the metadata import's name.This value must be between 1 and 64 characters long, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens.", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.services.metadataImports.create", "path": "v1beta/{+parent}/metadataImports" } } }, "backups": { "methods": { "list": { "httpMethod": "GET", "description": "Lists backups in a service.", "response": { "$ref": "ListBackupsResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups", "id": "metastore.projects.locations.services.backups.list", "parameters": { "filter": { "type": "string", "location": "query", "description": "Optional. The filter to apply to list results." }, "parent": { "description": "Required. The relative resource name of the service whose backups to list, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "type": "string", "location": "path" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "location": "query", "type": "string" }, "pageToken": { "description": "Optional. A page token, received from a previous DataprocMetastore.ListBackups call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListBackups must match the call that provided the page token.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of backups to return. The response may contain less than the maximum number. If unspecified, no more than 500 backups are returned. The maximum value is 1000; values above 1000 are changed to 1000.", "location": "query", "format": "int32" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/backups" }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "DELETE", "id": "metastore.projects.locations.services.backups.delete", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}", "response": { "$ref": "Operation" }, "parameters": { "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" }, "name": { "description": "Required. The relative resource name of the backup to delete, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "type": "string", "location": "path", "required": true } }, "description": "Deletes a single backup.", "path": "v1beta/{+name}" }, "create": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups", "description": "Creates a new backup in a given project and location.", "path": "v1beta/{+parent}/backups", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "backupId": { "location": "query", "type": "string", "description": "Required. The ID of the backup, which is used as the final component of the backup's name.This value must be between 1 and 64 characters long, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens." }, "parent": { "location": "path", "description": "Required. The relative resource name of the service in which to create a backup of the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." } }, "request": { "$ref": "Backup" }, "id": "metastore.projects.locations.services.backups.create", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "setIamPolicy": { "id": "metastore.projects.locations.services.backups.setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "location": "path" } }, "response": { "$ref": "Policy" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+resource}:setIamPolicy", "httpMethod": "POST" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "path": "v1beta/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.services.backups.testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" } } }, "get": { "parameterOrder": [ "name" ], "description": "Gets details of a single backup.", "response": { "$ref": "Backup" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}", "parameters": { "name": { "location": "path", "required": true, "description": "Required. The relative resource name of the backup to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "type": "string" } }, "path": "v1beta/{+name}", "id": "metastore.projects.locations.services.backups.get" }, "getIamPolicy": { "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/backups/{backupsId}:getIamPolicy", "id": "metastore.projects.locations.services.backups.getIamPolicy", "path": "v1beta/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/backups/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true }, "options.requestedPolicyVersion": { "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" } } } } } }, "methods": { "create": { "parameters": { "parent": { "location": "path", "description": "Required. The relative resource name of the location in which to create a metastore service, in the following form:projects/{project_number}/locations/{location_id}.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." }, "serviceId": { "type": "string", "location": "query", "description": "Required. The ID of the metastore service, which is used as the final component of the metastore service's name.This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens." } }, "request": { "$ref": "Service" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/services", "description": "Creates a metastore service in a project and location.", "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services", "id": "metastore.projects.locations.services.create", "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" } }, "get": { "path": "v1beta/{+name}", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. The relative resource name of the metastore service to retrieve, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" } }, "response": { "$ref": "Service" }, "parameterOrder": [ "name" ], "id": "metastore.projects.locations.services.get", "description": "Gets the details of a single service.", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}" }, "setIamPolicy": { "path": "v1beta/{+resource}:setIamPolicy", "parameters": { "resource": { "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "metastore.projects.locations.services.setIamPolicy", "response": { "$ref": "Policy" } }, "getIamPolicy": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query", "format": "int32", "type": "integer" }, "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "metastore.projects.locations.services.getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1beta/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "removeIamPolicy": { "description": "Removes the attached IAM policies for a resource", "path": "v1beta/{+resource}:removeIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "parameters": { "resource": { "description": "Required. The relative resource name of the dataplane resource to remove IAM policy, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/databases/{database_id} or projects/{project_id}/locations/{location_id}/services/{service_id}/databases/{database_id}/tables/{table_id}.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+/.*$", "type": "string" } }, "request": { "$ref": "RemoveIamPolicyRequest" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}/{servicesId1}:removeIamPolicy", "response": { "$ref": "RemoveIamPolicyResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "metastore.projects.locations.services.removeIamPolicy" }, "testIamPermissions": { "id": "metastore.projects.locations.services.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:testIamPermissions", "httpMethod": "POST", "path": "v1beta/{+resource}:testIamPermissions" }, "delete": { "id": "metastore.projects.locations.services.delete", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The relative resource name of the metastore service to delete, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "location": "path", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported." } }, "path": "v1beta/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "description": "Deletes a single service.", "response": { "$ref": "Operation" } }, "list": { "parameters": { "filter": { "location": "query", "type": "string", "description": "Optional. The filter to apply to list results." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum number of services to return. The response may contain less than the maximum number. If unspecified, no more than 500 services are returned. The maximum value is 1000; values above 1000 are changed to 1000." }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous DataprocMetastore.ListServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to DataprocMetastore.ListServices must match the call that provided the page token." }, "parent": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The relative resource name of the location of metastore services to list, in the following form:projects/{project_number}/locations/{location_id}.", "location": "path", "type": "string" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "location": "query", "type": "string" } }, "response": { "$ref": "ListServicesResponse" }, "id": "metastore.projects.locations.services.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services", "description": "Lists services in a project and location.", "path": "v1beta/{+parent}/services", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "patch": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}", "path": "v1beta/{+name}", "parameters": { "updateMask": { "type": "string", "location": "query", "description": "Required. A field mask used to specify the fields to be overwritten in the metastore service resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "format": "google-fieldmask" }, "name": { "required": true, "location": "path", "description": "Immutable. The relative resource name of the metastore service, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" }, "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" } }, "request": { "$ref": "Service" }, "id": "metastore.projects.locations.services.patch", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates the parameters of a single service." }, "restore": { "parameterOrder": [ "service" ], "response": { "$ref": "Operation" }, "description": "Restores a service from a backup.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "RestoreServiceRequest" }, "parameters": { "service": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$", "required": true, "description": "Required. The relative resource name of the metastore service to run restore, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}.", "location": "path" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:restore", "id": "metastore.projects.locations.services.restore", "path": "v1beta/{+service}:restore" }, "exportMetadata": { "description": "Exports metadata from a service.", "id": "metastore.projects.locations.services.exportMetadata", "parameterOrder": [ "service" ], "response": { "$ref": "Operation" }, "path": "v1beta/{+service}:exportMetadata", "parameters": { "service": { "required": true, "type": "string", "location": "path", "description": "Required. The relative resource name of the metastore service to run export, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}.", "pattern": "^projects/[^/]+/locations/[^/]+/services/[^/]+$" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/services/{servicesId}:exportMetadata", "request": { "$ref": "ExportMetadataRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" } } }, "federations": { "methods": { "create": { "id": "metastore.projects.locations.federations.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/federations", "response": { "$ref": "Operation" }, "parameters": { "parent": { "description": "Required. The relative resource name of the location in which to create a federation service, in the following form:projects/{project_number}/locations/{location_id}.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" }, "federationId": { "location": "query", "description": "Required. The ID of the metastore federation, which is used as the final component of the metastore federation's name.This value must be between 2 and 63 characters long inclusive, begin with a letter, end with a letter or number, and consist of alpha-numeric ASCII characters or hyphens.", "type": "string" } }, "httpMethod": "POST", "description": "Creates a metastore federation in a project and location.", "request": { "$ref": "Federation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations" }, "list": { "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations", "parameters": { "pageSize": { "description": "Optional. The maximum number of federations to return. The response may contain less than the maximum number. If unspecified, no more than 500 services are returned. The maximum value is 1000; values above 1000 are changed to 1000.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous ListFederationServices call. Provide this token to retrieve the subsequent page.To retrieve the first page, supply an empty page token.When paginating, other parameters provided to ListFederationServices must match the call that provided the page token.", "location": "query" }, "parent": { "required": true, "location": "path", "description": "Required. The relative resource name of the location of metastore federations to list, in the following form: projects/{project_number}/locations/{location_id}.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "orderBy": { "description": "Optional. Specify the ordering of results as described in Sorting Order (https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order.", "location": "query", "type": "string" }, "filter": { "description": "Optional. The filter to apply to list results.", "type": "string", "location": "query" } }, "id": "metastore.projects.locations.federations.list", "response": { "$ref": "ListFederationsResponse" }, "path": "v1beta/{+parent}/federations", "description": "Lists federations in a project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "id": "metastore.projects.locations.federations.getIamPolicy", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy.Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected.Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset.The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "location": "query" } }, "parameterOrder": [ "resource" ], "path": "v1beta/{+resource}:getIamPolicy", "httpMethod": "GET" }, "patch": { "description": "Updates the fields of a federation.", "parameters": { "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Immutable. The relative resource name of the federation, of the form: projects/{project_number}/locations/{location_id}/federations/{federation_id}`." }, "updateMask": { "description": "Required. A field mask used to specify the fields to be overwritten in the metastore federation resource by the update. Fields specified in the update_mask are relative to the resource (not to the full request). A field is overwritten if it is in the mask.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "httpMethod": "PATCH", "id": "metastore.projects.locations.federations.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "request": { "$ref": "Federation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}", "response": { "$ref": "Operation" } }, "delete": { "parameters": { "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format) A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "location": "query", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "required": true, "description": "Required. The relative resource name of the metastore federation to delete, in the following form:projects/{project_number}/locations/{location_id}/federations/{federation_id}.", "type": "string", "location": "path" } }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a single federation.", "path": "v1beta/{+name}", "id": "metastore.projects.locations.federations.delete", "response": { "$ref": "Operation" }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}" }, "setIamPolicy": { "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy.Can return NOT_FOUND, INVALID_ARGUMENT, and PERMISSION_DENIED errors.", "response": { "$ref": "Policy" }, "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:setIamPolicy", "path": "v1beta/{+resource}:setIamPolicy", "id": "metastore.projects.locations.federations.setIamPolicy" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "path": "v1beta/{+resource}:testIamPermissions", "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See Resource names (https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error.Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "id": "metastore.projects.locations.federations.testIamPermissions" }, "get": { "description": "Gets the details of a single federation.", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/federations/[^/]+$", "description": "Required. The relative resource name of the metastore federation to retrieve, in the following form:projects/{project_number}/locations/{location_id}/federations/{federation_id}.", "required": true, "type": "string" } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/federations/{federationsId}", "id": "metastore.projects.locations.federations.get", "response": { "$ref": "Federation" }, "parameterOrder": [ "name" ] } } }, "operations": { "methods": { "list": { "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "The name of the operation's parent resource.", "location": "path" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" }, "pageSize": { "type": "integer", "location": "query", "description": "The standard list page size.", "format": "int32" }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" } }, "httpMethod": "GET", "response": { "$ref": "ListOperationsResponse" }, "id": "metastore.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns UNIMPLEMENTED.NOTE: the name binding allows API services to override the binding to use different resource name schemes, such as users/*/operations. To override the binding, API services can add a binding such as \"/v1/{name=users/*}/operations\" to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1beta/{+name}/operations" }, "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "metastore.projects.locations.operations.get", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "type": "string", "location": "path", "description": "The name of the operation resource." } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "httpMethod": "GET" }, "delete": { "parameterOrder": [ "name" ], "id": "metastore.projects.locations.operations.delete", "response": { "$ref": "Empty" }, "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "required": true } }, "flatPath": "v1beta/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns google.rpc.Code.UNIMPLEMENTED.", "httpMethod": "DELETE", "path": "v1beta/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } }, "canonicalName": "Dataproc Metastore", "baseUrl": "https://metastore.googleapis.com/", "batchPath": "batch", "fullyEncodeReservedExpansion": true, "kind": "discovery#restDescription", "servicePath": "", "schemas": { "MetadataIntegration": { "type": "object", "description": "Specifies how metastore metadata should be integrated with external services.", "id": "MetadataIntegration", "properties": { "dataplexConfig": { "$ref": "DataplexConfig", "description": "The integration config for the Dataplex service." }, "dataCatalogConfig": { "$ref": "DataCatalogConfig", "description": "The integration config for the Data Catalog service." } } }, "MaintenanceWindow": { "id": "MaintenanceWindow", "description": "Maintenance window. This specifies when Dataproc Metastore may perform system maintenance operation to the service.", "type": "object", "properties": { "dayOfWeek": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "The day of week, when the window starts.", "type": "string", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] }, "hourOfDay": { "description": "The hour of day (0-23) when the window starts.", "type": "integer", "format": "int32" } } }, "MetadataExport": { "type": "object", "properties": { "destinationGcsUri": { "readOnly": true, "type": "string", "description": "Output only. A Cloud Storage URI of a folder that metadata are exported to, in the form of gs:////, where is automatically generated." }, "databaseDumpType": { "description": "Output only. The type of the database dump.", "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ], "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ], "type": "string", "readOnly": true }, "state": { "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "description": "Output only. The current state of the export.", "type": "string", "readOnly": true, "enumDescriptions": [ "The state of the metadata export is unknown.", "The metadata export is running.", "The metadata export completed successfully.", "The metadata export failed.", "The metadata export is cancelled." ] }, "endTime": { "description": "Output only. The time when the export ended.", "type": "string", "format": "google-datetime", "readOnly": true }, "startTime": { "description": "Output only. The time when the export started.", "readOnly": true, "type": "string", "format": "google-datetime" } }, "id": "MetadataExport", "description": "The details of a metadata export operation." }, "Policy": { "type": "object", "properties": { "etag": { "format": "byte", "description": "etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy.Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.", "type": "string" }, "version": { "format": "int32", "description": "Specifies the format of the policy.Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected.Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations: Getting a policy that includes a conditional role binding Adding a conditional role binding to a policy Changing a conditional role binding in a policy Removing any role binding, with or without a condition, from a policy that includes conditionsImportant: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost.If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "bindings": { "type": "array", "description": "Associates a list of members, or principals, with a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one principal.The bindings in a Policy can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the bindings grant 50 different roles to user:alice@example.com, and not to any other principal, then you can add another 1,450 principals to the bindings in the Policy.", "items": { "$ref": "Binding" } }, "auditConfigs": { "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" } }, "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources.A Policy is a collection of bindings. A binding binds one or more members, or principals, to a single role. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role.For some types of Google Cloud resources, a binding can also specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).JSON example: { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } YAML example: bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the IAM documentation (https://cloud.google.com/iam/docs/)." }, "Service": { "description": "A managed metastore service that serves metadata queries.", "type": "object", "properties": { "uid": { "readOnly": true, "type": "string", "description": "Output only. The globally unique resource identifier of the metastore service." }, "tier": { "enum": [ "TIER_UNSPECIFIED", "DEVELOPER", "ENTERPRISE" ], "type": "string", "enumDescriptions": [ "The tier is not set.", "The developer tier provides limited scalability and no fault tolerance. Good for low-cost proof-of-concept.", "The enterprise tier provides multi-zone high availability, and sufficient scalability for enterprise-level Dataproc Metastore workloads." ], "description": "The tier of the service." }, "hiveMetastoreConfig": { "description": "Configuration information specific to running Hive metastore software as the metastore service.", "$ref": "HiveMetastoreConfig" }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "SUSPENDING", "SUSPENDED", "UPDATING", "DELETING", "ERROR" ], "type": "string", "description": "Output only. The current state of the metastore service.", "enumDescriptions": [ "The state of the metastore service is unknown.", "The metastore service is in the process of being created.", "The metastore service is running and ready to serve queries.", "The metastore service is entering suspension. Its query-serving availability may cease unexpectedly.", "The metastore service is suspended and unable to serve queries.", "The metastore service is being updated. It remains usable but cannot accept additional update requests or be deleted at this time.", "The metastore service is undergoing deletion. It cannot be used.", "The metastore service has encountered an error and cannot be used. The metastore service should be deleted." ] }, "labels": { "description": "User-defined labels for the metastore service.", "type": "object", "additionalProperties": { "type": "string" } }, "releaseChannel": { "type": "string", "enumDescriptions": [ "Release channel is not specified.", "The CANARY release channel contains the newest features, which may be unstable and subject to unresolved issues with no known workarounds. Services using the CANARY release channel are not subject to any SLAs.", "The STABLE release channel contains features that are considered stable and have been validated for production use." ], "enum": [ "RELEASE_CHANNEL_UNSPECIFIED", "CANARY", "STABLE" ], "description": "Immutable. The release channel of the service. If unspecified, defaults to STABLE." }, "artifactGcsUri": { "description": "Output only. A Cloud Storage URI (starting with gs://) that specifies where artifacts related to the metastore service are stored.", "readOnly": true, "type": "string" }, "network": { "description": "Immutable. The relative resource name of the VPC network on which the instance can be accessed. It is specified in the following form:projects/{project_number}/global/networks/{network_id}.", "type": "string" }, "stateMessage": { "type": "string", "readOnly": true, "description": "Output only. Additional information about the current state of the metastore service, if available." }, "networkConfig": { "$ref": "NetworkConfig", "description": "Immutable. The configuration specifying the network settings for the Dataproc Metastore service." }, "encryptionConfig": { "description": "Immutable. Information used to configure the Dataproc Metastore service to encrypt customer data at rest. Cannot be updated.", "$ref": "EncryptionConfig" }, "updateTime": { "description": "Output only. The time when the metastore service was last updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "metadataIntegration": { "$ref": "MetadataIntegration", "description": "The setting that defines how metastore metadata should be integrated with external services and systems." }, "endpointUri": { "description": "Output only. The URI of the endpoint used to access the metastore service.", "type": "string", "readOnly": true }, "metadataManagementActivity": { "readOnly": true, "description": "Output only. The metadata management activities of the metastore service.", "$ref": "MetadataManagementActivity" }, "databaseType": { "description": "Immutable. The database type that the Metastore service stores its data.", "enumDescriptions": [ "The DATABASE_TYPE is not set.", "MySQL is used to persist the metastore data.", "Spanner is used to persist the metastore data." ], "enum": [ "DATABASE_TYPE_UNSPECIFIED", "MYSQL", "SPANNER" ], "type": "string" }, "maintenanceWindow": { "$ref": "MaintenanceWindow", "description": "The one hour maintenance window of the metastore service. This specifies when the service can be restarted for maintenance purposes in UTC time. Maintenance window is not needed for services with the SPANNER database type." }, "createTime": { "type": "string", "description": "Output only. The time when the metastore service was created.", "format": "google-datetime", "readOnly": true }, "name": { "type": "string", "description": "Immutable. The relative resource name of the metastore service, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}." }, "port": { "description": "The TCP port at which the metastore service is reached. Default: 9083.", "format": "int32", "type": "integer" } }, "id": "Service" }, "OperationMetadata": { "type": "object", "properties": { "endTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time the operation finished running." }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "apiVersion": { "readOnly": true, "type": "string", "description": "Output only. API version used to start the operation." }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the caller has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to Code.CANCELLED." } }, "description": "Represents the metadata of a long-running operation.", "id": "OperationMetadata" }, "BackendMetastore": { "type": "object", "properties": { "metastoreType": { "enumDescriptions": [ "The metastore type is not set.", "The backend metastore is Dataproc Metastore." ], "type": "string", "enum": [ "METASTORE_TYPE_UNSPECIFIED", "DATAPROC_METASTORE" ], "description": "The type of the backend metastore." }, "name": { "description": "The relative resource name of the metastore that is being federated. The formats of the relative resource names for the currently supported metastores are listed below: Dataplex: projects/{project_id}/locations/{location}/lakes/{lake_id} BigQuery: projects/{project_id} Dataproc Metastore: projects/{project_id}/locations/{location}/services/{service_id}", "type": "string" } }, "id": "BackendMetastore", "description": "Represents a backend metastore for the federation." }, "RemoveIamPolicyResponse": { "id": "RemoveIamPolicyResponse", "description": "Response message for DataprocMetastore.RemoveIamPolicy.", "properties": { "success": { "description": "whether related policies are removed", "type": "boolean" } }, "type": "object" }, "Secret": { "description": "A securely stored value.", "properties": { "cloudSecret": { "type": "string", "description": "The relative resource name of a Secret Manager secret version, in the following form:projects/{project_number}/secrets/{secret_id}/versions/{version_id}." } }, "id": "Secret", "type": "object" }, "AuditConfig": { "id": "AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs.If there are AuditConfigs for both allServices and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted.Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts jose@example.com from DATA_READ logging, and aliya@example.com from DATA_WRITE logging.", "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, storage.googleapis.com, cloudsql.googleapis.com. allServices is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "type": "array", "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission." } } }, "AuxiliaryVersionConfig": { "description": "Configuration information for the auxiliary service versions.", "id": "AuxiliaryVersionConfig", "type": "object", "properties": { "networkConfig": { "readOnly": true, "description": "Output only. The network configuration contains the endpoint URI(s) of the auxiliary Hive metastore service.", "$ref": "NetworkConfig" }, "configOverrides": { "type": "object", "description": "A mapping of Hive metastore configuration key-value pairs to apply to the auxiliary Hive metastore (configured in hive-site.xml) in addition to the primary version's overrides. If keys are present in both the auxiliary version's overrides and the primary version's overrides, the value from the auxiliary version's overrides takes precedence.", "additionalProperties": { "type": "string" } }, "version": { "description": "The Hive metastore version of the auxiliary service. It must be less than the primary Hive metastore service's version.", "type": "string" } } }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "AuditLogConfig", "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables." }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } } }, "DataCatalogConfig": { "properties": { "enabled": { "description": "Defines whether the metastore metadata should be synced to Data Catalog. The default value is to disable syncing metastore metadata to Data Catalog.", "type": "boolean" } }, "id": "DataCatalogConfig", "description": "Specifies how metastore metadata should be integrated with the Data Catalog service.", "type": "object" }, "DataplexConfig": { "id": "DataplexConfig", "type": "object", "description": "Specifies how metastore metadata should be integrated with the Dataplex service.", "properties": { "lakeResources": { "type": "object", "additionalProperties": { "$ref": "Lake" }, "description": "A reference to the Lake resources that this metastore service is attached to. The key is the lake resource name. Example: projects/{project_number}/locations/{location_id}/lakes/{lake_id}." } } }, "EncryptionConfig": { "description": "Encryption settings for the service.", "properties": { "kmsKey": { "type": "string", "description": "The fully qualified customer provided Cloud KMS key name to use for customer data encryption, in the following form:projects/{project_number}/locations/{location_id}/keyRings/{key_ring_id}/cryptoKeys/{crypto_key_id}." } }, "type": "object", "id": "EncryptionConfig" }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used:paths: \"bindings, etag\"", "format": "google-fieldmask" } }, "description": "Request message for SetIamPolicy method." }, "KerberosConfig": { "type": "object", "description": "Configuration information for a Kerberos principal.", "id": "KerberosConfig", "properties": { "principal": { "description": "A Kerberos principal that exists in the both the keytab the KDC to authenticate as. A typical principal is of the form primary/instance@REALM, but there is no exact format.", "type": "string" }, "keytab": { "description": "A Kerberos keytab file that can be used to authenticate a service principal with a Kerberos Key Distribution Center (KDC).", "$ref": "Secret" }, "krb5ConfigGcsUri": { "description": "A Cloud Storage URI that specifies the path to a krb5.conf file. It is of the form gs://{bucket_name}/path/to/krb5.conf, although the file does not need to be named krb5.conf explicitly.", "type": "string" } } }, "ListBackupsResponse": { "description": "Response message for DataprocMetastore.ListBackups.", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "backups": { "description": "The backups of the specified service.", "type": "array", "items": { "$ref": "Backup" } } }, "id": "ListBackupsResponse", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "items": { "$ref": "Operation" }, "type": "array", "description": "A list of operations that matches the specified filter in the request." } } }, "Lake": { "id": "Lake", "type": "object", "description": "Represents a Lake resource", "properties": { "name": { "type": "string", "description": "The Lake resource name. Example: projects/{project_number}/locations/{location_id}/lakes/{lake_id}" } } }, "RemoveIamPolicyRequest": { "id": "RemoveIamPolicyRequest", "properties": {}, "description": "Request message for DataprocMetastore.RemoveIamPolicy.", "type": "object" }, "Federation": { "id": "Federation", "properties": { "updateTime": { "description": "Output only. The time when the metastore federation was last updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "stateMessage": { "description": "Output only. Additional information about the current state of the metastore federation, if available.", "type": "string", "readOnly": true }, "backendMetastores": { "type": "object", "additionalProperties": { "$ref": "BackendMetastore" }, "description": "A map from BackendMetastore rank to BackendMetastores from which the federation service serves metadata at query time. The map key represents the order in which BackendMetastores should be evaluated to resolve database names at query time and should be greater than or equal to zero. A BackendMetastore with a lower number will be evaluated before a BackendMetastore with a higher number." }, "version": { "type": "string", "description": "Immutable. The Apache Hive metastore version of the federation. All backend metastore versions must be compatible with the federation version." }, "name": { "type": "string", "description": "Immutable. The relative resource name of the federation, of the form: projects/{project_number}/locations/{location_id}/federations/{federation_id}`." }, "state": { "type": "string", "description": "Output only. The current state of the federation.", "readOnly": true, "enumDescriptions": [ "The state of the metastore federation is unknown.", "The metastore federation is in the process of being created.", "The metastore federation is running and ready to serve queries.", "The metastore federation is being updated. It remains usable but cannot accept additional update requests or be deleted at this time.", "The metastore federation is undergoing deletion. It cannot be used.", "The metastore federation has encountered an error and cannot be used. The metastore federation should be deleted." ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "UPDATING", "DELETING", "ERROR" ] }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time when the metastore federation was created." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "User-defined labels for the metastore federation." }, "uid": { "readOnly": true, "type": "string", "description": "Output only. The globally unique resource identifier of the metastore federation." }, "endpointUri": { "readOnly": true, "type": "string", "description": "Output only. The federation endpoint." } }, "type": "object", "description": "Represents a federation of multiple backend metastores." }, "Empty": { "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } ", "id": "Empty", "type": "object" }, "DatabaseDump": { "type": "object", "id": "DatabaseDump", "properties": { "type": { "type": "string", "description": "Optional. The type of the database dump. If unspecified, defaults to MYSQL.", "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ], "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ] }, "databaseType": { "enumDescriptions": [ "The type of the source database is unknown.", "The type of the source database is MySQL." ], "type": "string", "description": "The type of the database.", "enum": [ "DATABASE_TYPE_UNSPECIFIED", "MYSQL" ] }, "sourceDatabase": { "description": "The name of the source database.", "type": "string" }, "gcsUri": { "description": "A Cloud Storage object or folder URI that specifies the source from which to import metadata. It must begin with gs://.", "type": "string" } }, "description": "A specification of the location of and metadata about a database dump from a relational database management system." }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "properties": { "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"} ", "type": "object", "additionalProperties": { "type": "string" } }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: \"us-east1\"." }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: \"projects/example-project/locations/us-east1\"", "type": "string" }, "metadata": { "type": "object", "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "type": "object" }, "Binding": { "type": "object", "id": "Binding", "description": "Associates members, or principals, with a role.", "properties": { "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding. deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding. deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding. domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com." }, "role": { "type": "string", "description": "Role that is assigned to the list of members, or principals. For example, roles/viewer, roles/editor, or roles/owner." }, "condition": { "description": "The condition that is associated with this binding.If the condition evaluates to true, then this binding applies to the current request.If the condition evaluates to false, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding.To learn which resources support conditions in their IAM policies, see the IAM documentation (https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } } }, "MetadataImport": { "properties": { "name": { "description": "Immutable. The relative resource name of the metadata import, of the form:projects/{project_number}/locations/{location_id}/services/{service_id}/metadataImports/{metadata_import_id}.", "type": "string" }, "endTime": { "readOnly": true, "description": "Output only. The time when the metadata import finished.", "type": "string", "format": "google-datetime" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time when the metadata import was started." }, "state": { "description": "Output only. The current state of the metadata import.", "type": "string", "enumDescriptions": [ "The state of the metadata import is unknown.", "The metadata import is running.", "The metadata import completed successfully.", "The metadata import is being updated.", "The metadata import failed, and attempted metadata changes were rolled back." ], "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "UPDATING", "FAILED" ] }, "updateTime": { "description": "Output only. The time when the metadata import was last updated.", "readOnly": true, "type": "string", "format": "google-datetime" }, "databaseDump": { "$ref": "DatabaseDump", "description": "Immutable. A database dump from a pre-existing metastore's database." }, "description": { "description": "The description of the metadata import.", "type": "string" } }, "description": "A metastore resource that imports metadata.", "type": "object", "id": "MetadataImport" }, "LocationMetadata": { "id": "LocationMetadata", "type": "object", "description": "Metadata about the service in a location.", "properties": { "supportedHiveMetastoreVersions": { "items": { "$ref": "HiveMetastoreVersion" }, "description": "The versions of Hive Metastore that can be used when creating a new metastore service in this location. The server guarantees that exactly one HiveMetastoreVersion in the list will set is_default.", "type": "array" } } }, "HiveMetastoreConfig": { "id": "HiveMetastoreConfig", "type": "object", "properties": { "version": { "type": "string", "description": "Immutable. The Hive metastore schema version." }, "configOverrides": { "description": "A mapping of Hive metastore configuration key-value pairs to apply to the Hive metastore (configured in hive-site.xml). The mappings override system defaults (some keys cannot be overridden). These overrides are also applied to auxiliary versions and can be further customized in the auxiliary version's AuxiliaryVersionConfig.", "additionalProperties": { "type": "string" }, "type": "object" }, "auxiliaryVersions": { "additionalProperties": { "$ref": "AuxiliaryVersionConfig" }, "type": "object", "description": "A mapping of Hive metastore version to the auxiliary version configuration. When specified, a secondary Hive metastore service is created along with the primary service. All auxiliary versions must be less than the service's primary version. The key is the auxiliary service name and it must match the regular expression a-z?. This means that the first character must be a lowercase letter, and all the following characters must be hyphens, lowercase letters, or digits, except the last character, which cannot be a hyphen." }, "endpointProtocol": { "type": "string", "enum": [ "ENDPOINT_PROTOCOL_UNSPECIFIED", "THRIFT", "GRPC" ], "enumDescriptions": [ "The protocol is not set.", "Use the legacy Apache Thrift protocol for the metastore service endpoint.", "Use the modernized gRPC protocol for the metastore service endpoint." ], "description": "The protocol to use for the metastore service endpoint. If unspecified, defaults to THRIFT." }, "kerberosConfig": { "description": "Information used to configure the Hive metastore service as a service principal in a Kerberos realm. To disable Kerberos, use the UpdateService method and specify this field's path (hive_metastore_config.kerberos_config) in the request's update_mask while omitting this field from the request's service.", "$ref": "KerberosConfig" } }, "description": "Specifies configuration information specific to running Hive metastore software as the metastore service." }, "ExportMetadataRequest": { "type": "object", "properties": { "databaseDumpType": { "type": "string", "enum": [ "TYPE_UNSPECIFIED", "MYSQL", "AVRO" ], "description": "Optional. The type of the database dump. If unspecified, defaults to MYSQL.", "enumDescriptions": [ "The type of the database dump is unknown.", "Database dump is a MySQL dump file.", "Database dump contains Avro files." ] }, "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string" }, "destinationGcsFolder": { "description": "A Cloud Storage URI of a folder, in the format gs:///. A sub-folder containing exported files will be created below it.", "type": "string" } }, "description": "Request message for DataprocMetastore.ExportMetadata.", "id": "ExportMetadataRequest" }, "TestIamPermissionsRequest": { "description": "Request message for TestIamPermissions method.", "type": "object", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the resource. Permissions with wildcards (such as LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh or storage.*) are not allowed. For more information see IAM Overview (https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } } }, "Backup": { "type": "object", "properties": { "name": { "type": "string", "description": "Immutable. The relative resource name of the backup, in the following form:projects/{project_number}/locations/{location_id}/services/{service_id}/backups/{backup_id}" }, "createTime": { "type": "string", "description": "Output only. The time when the backup was started.", "readOnly": true, "format": "google-datetime" }, "restoringServices": { "items": { "type": "string" }, "readOnly": true, "description": "Output only. Services that are restoring from the backup.", "type": "array" }, "serviceRevision": { "description": "Output only. The revision of the service at the time of backup.", "readOnly": true, "$ref": "Service" }, "endTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The time when the backup finished creating." }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "CREATING", "DELETING", "ACTIVE", "FAILED", "RESTORING" ], "description": "Output only. The current state of the backup.", "enumDescriptions": [ "The state of the backup is unknown.", "The backup is being created.", "The backup is being deleted.", "The backup is active and ready to use.", "The backup failed.", "The backup is being restored." ], "type": "string" }, "description": { "description": "The description of the backup.", "type": "string" } }, "id": "Backup", "description": "The details of a backup resource." }, "Restore": { "id": "Restore", "type": "object", "properties": { "backup": { "description": "Output only. The relative resource name of the metastore service backup to restore from, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "readOnly": true, "type": "string" }, "type": { "description": "Output only. The type of restore.", "readOnly": true, "enumDescriptions": [ "The restore type is unknown.", "The service's metadata and configuration are restored.", "Only the service's metadata is restored." ], "enum": [ "RESTORE_TYPE_UNSPECIFIED", "FULL", "METADATA_ONLY" ], "type": "string" }, "startTime": { "type": "string", "description": "Output only. The time when the restore started.", "readOnly": true, "format": "google-datetime" }, "endTime": { "description": "Output only. The time when the restore ended.", "format": "google-datetime", "type": "string", "readOnly": true }, "state": { "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLED" ], "enumDescriptions": [ "The state of the metadata restore is unknown.", "The metadata restore is running.", "The metadata restore completed successfully.", "The metadata restore failed.", "The metadata restore is cancelled." ], "type": "string", "description": "Output only. The current state of the restore." }, "details": { "readOnly": true, "description": "Output only. The restore details containing the revision of the service to be restored to, in format of JSON.", "type": "string" } }, "description": "The details of a metadata restore operation." }, "RestoreServiceRequest": { "id": "RestoreServiceRequest", "description": "Request message for DataprocMetastore.Restore.", "type": "object", "properties": { "restoreType": { "enumDescriptions": [ "The restore type is unknown.", "The service's metadata and configuration are restored.", "Only the service's metadata is restored." ], "type": "string", "description": "Optional. The type of restore. If unspecified, defaults to METADATA_ONLY.", "enum": [ "RESTORE_TYPE_UNSPECIFIED", "FULL", "METADATA_ONLY" ] }, "requestId": { "description": "Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request.For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments.The request ID must be a valid UUID (https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). A zero UUID (00000000-0000-0000-0000-000000000000) is not supported.", "type": "string" }, "backup": { "description": "Required. The relative resource name of the metastore service backup to restore from, in the following form:projects/{project_id}/locations/{location_id}/services/{service_id}/backups/{backup_id}.", "type": "string" } } }, "Consumer": { "id": "Consumer", "properties": { "endpointUri": { "type": "string", "readOnly": true, "description": "Output only. The URI of the endpoint used to access the metastore service." }, "subnetwork": { "type": "string", "description": "The subnetwork of the customer project from which an IP address is reserved and used as the Dataproc Metastore service's endpoint. It is accessible to hosts in the subnet and to all hosts in a subnet in the same region and same network. There must be at least one IP address available in the subnet's primary range. The subnet is specified in the following form:`projects/{project_number}/regions/{region_id}/subnetworks/{subnetwork_id}" } }, "type": "object", "description": "Contains information of the customer's network configurations." }, "ListServicesResponse": { "description": "Response message for DataprocMetastore.ListServices.", "type": "object", "properties": { "services": { "items": { "$ref": "Service" }, "description": "The services in the specified location.", "type": "array" }, "nextPageToken": { "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" } }, "id": "ListServicesResponse" }, "TestIamPermissionsResponse": { "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of TestPermissionsRequest.permissions that the caller is allowed.", "type": "array" } }, "description": "Response message for TestIamPermissions method.", "type": "object", "id": "TestIamPermissionsResponse" }, "ListLocationsResponse": { "type": "object", "id": "ListLocationsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" } }, "description": "The response message for Locations.ListLocations." }, "Operation": { "type": "object", "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}." }, "done": { "description": "If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available.", "type": "boolean" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } } }, "ListFederationsResponse": { "id": "ListFederationsResponse", "description": "Response message for ListFederations", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages." }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" }, "federations": { "description": "The services in the specified location.", "type": "array", "items": { "$ref": "Federation" } } } }, "HiveMetastoreVersion": { "description": "A specification of a supported version of the Hive Metastore software.", "type": "object", "properties": { "isDefault": { "description": "Whether version will be chosen by the server if a metastore service is created with a HiveMetastoreConfig that omits the version.", "type": "boolean" }, "version": { "description": "The semantic version of the Hive Metastore software.", "type": "string" } }, "id": "HiveMetastoreVersion" }, "Status": { "type": "object", "description": "The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC (https://github.com/grpc). Each Status message contains three pieces of data: error code, error message, and error details.You can find out more about this error model and how to work with it in the API Design Guide (https://cloud.google.com/apis/design/errors).", "id": "Status", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } } }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec.Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." } } }, "ListMetadataImportsResponse": { "properties": { "nextPageToken": { "description": "A token that can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "metadataImports": { "items": { "$ref": "MetadataImport" }, "type": "array", "description": "The imports in the specified service." } }, "type": "object", "id": "ListMetadataImportsResponse", "description": "Response message for DataprocMetastore.ListMetadataImports." }, "NetworkConfig": { "description": "Network configuration for the Dataproc Metastore service.", "type": "object", "properties": { "consumers": { "description": "Immutable. The consumer-side network configuration for the Dataproc Metastore instance.", "type": "array", "items": { "$ref": "Consumer" } } }, "id": "NetworkConfig" }, "MetadataManagementActivity": { "description": "The metadata management activities of the metastore service.", "properties": { "restores": { "description": "Output only. The latest restores of the metastore service.", "items": { "$ref": "Restore" }, "type": "array", "readOnly": true }, "metadataExports": { "description": "Output only. The latest metadata exports of the metastore service.", "readOnly": true, "type": "array", "items": { "$ref": "MetadataExport" } } }, "type": "object", "id": "MetadataManagementActivity" } }, "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ], "type": "string", "description": "V1 error format." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "alt": { "description": "Data format for response.", "type": "string", "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" } }, "revision": "20220711", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "version": "v1beta", "ownerDomain": "google.com", "version_module": true, "name": "metastore", "ownerName": "Google", "description": "The Dataproc Metastore API is used to manage the lifecycle and configuration of metastore services.", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "protocol": "rest", "mtlsRootUrl": "https://metastore.mtls.googleapis.com/", "title": "Dataproc Metastore API", "id": "metastore:v1beta", "basePath": "", "rootUrl": "https://metastore.googleapis.com/", "documentationLink": "https://cloud.google.com/dataproc-metastore/docs", "discoveryVersion": "v1" }
]===]))
