local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "My Business Business Calls API", "canonicalName": "My Business Business Calls", "batchPath": "batch", "schemas": { "AggregateMetrics": { "properties": { "missedCallsCount": { "format": "int32", "type": "integer", "description": "Total count of missed calls." }, "weekdayMetrics": { "description": "A list of metrics by day of week.", "type": "array", "items": { "$ref": "WeekDayMetrics" } }, "startDate": { "description": "Date for this metric. If metric is monthly, only year and month are used.", "$ref": "Date" }, "endDate": { "$ref": "Date", "description": "End date for this metric." }, "answeredCallsCount": { "description": "Total count of answered calls.", "format": "int32", "type": "integer" }, "hourlyMetrics": { "items": { "$ref": "HourlyMetrics" }, "description": "A list of metrics by hour of day.", "type": "array" } }, "type": "object", "id": "AggregateMetrics", "description": "Metrics aggregated over the input time range." }, "BusinessCallsInsights": { "type": "object", "properties": { "metricType": { "enum": [ "METRIC_TYPE_UNSPECIFIED", "AGGREGATE_COUNT" ], "type": "string", "enumDescriptions": [ "Type of metric is unspecified.", "The metrics provided are counts aggregated over the input time_range." ], "description": "The metric for which the value applies." }, "name": { "description": "Required. The resource name of the calls insights. Format: locations/{location}/businesscallsinsights", "type": "string" }, "aggregateMetrics": { "description": "Metric for the time range based on start_date and end_date.", "$ref": "AggregateMetrics" } }, "description": "Insights for calls made to a location.", "id": "BusinessCallsInsights" }, "HourlyMetrics": { "id": "HourlyMetrics", "type": "object", "properties": { "hour": { "format": "int32", "type": "integer", "description": "Hour of the day. Allowed values are 0-23." }, "missedCallsCount": { "format": "int32", "type": "integer", "description": "Total count of missed calls for this hour." } }, "description": "Metrics for an hour." }, "Date": { "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "month": { "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "format": "int32", "type": "integer" }, "year": { "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.", "type": "integer", "format": "int32" }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." } }, "id": "Date", "type": "object" }, "WeekDayMetrics": { "properties": { "missedCallsCount": { "format": "int32", "description": "Total count of missed calls for this hour.", "type": "integer" }, "day": { "type": "string", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "Day of the week. Allowed values are Sunday - Saturday." } }, "description": "Metrics for a week day.", "type": "object", "id": "WeekDayMetrics" }, "BusinessCallsSettings": { "id": "BusinessCallsSettings", "type": "object", "description": "Business calls settings for a location.", "properties": { "consentTime": { "format": "google-datetime", "type": "string", "description": "Input only. Time when the end user provided consent to the API user to enable business calls." }, "name": { "type": "string", "description": "Required. The resource name of the calls settings. Format: locations/{location}/businesscallssettings" }, "callsState": { "type": "string", "enumDescriptions": [ "Unspecified.", "Business calls is enabled for the location.", "Business calls is disabled for the location." ], "description": "Required. The state of this location's enrollment in Business calls.", "enum": [ "CALLS_STATE_UNSPECIFIED", "ENABLED", "DISABLED" ] } } }, "ListBusinessCallsInsightsResponse": { "description": "Response message for ListBusinessCallsInsights.", "type": "object", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages. Some of the metric_types (e.g, AGGREGATE_COUNT) returns a single page. For these metrics, the next_page_token will be empty.", "type": "string" }, "businessCallsInsights": { "type": "array", "description": "A collection of business calls insights for the location.", "items": { "$ref": "BusinessCallsInsights" } } }, "id": "ListBusinessCallsInsightsResponse" } }, "baseUrl": "https://mybusinessbusinesscalls.googleapis.com/", "version": "v1", "kind": "discovery#restDescription", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "revision": "20220712", "mtlsRootUrl": "https://mybusinessbusinesscalls.mtls.googleapis.com/", "servicePath": "", "ownerDomain": "google.com", "rootUrl": "https://mybusinessbusinesscalls.googleapis.com/", "ownerName": "Google", "description": "The My Business Business Calls API manages business calls information of a location on Google and collect insights like the number of missed calls to their location. Additional information about Business calls can be found at https://support.google.com/business/answer/9688285?p=call_history. If the Google Business Profile links to a Google Ads account and call history is turned on, calls that last longer than a specific time, and that can be attributed to an ad interaction, will show in the linked Google Ads account under the \"Calls from Ads\" conversion. If smart bidding and call conversions are used in the optimization strategy, there could be a change in ad spend. Learn more about smart bidding. To view and perform actions on a location's calls, you need to be a `OWNER`, `CO_OWNER` or `MANAGER` of the location.", "protocol": "rest", "documentationLink": "https://developers.google.com/my-business/", "version_module": true, "basePath": "", "parameters": { "alt": { "type": "string", "description": "Data format for response.", "default": "json", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "$.xgafv": { "description": "V1 error format.", "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "enum": [ "1", "2" ] } }, "discoveryVersion": "v1", "resources": { "locations": { "methods": { "updateBusinesscallssettings": { "id": "mybusinessbusinesscalls.locations.updateBusinesscallssettings", "parameterOrder": [ "name" ], "description": "Updates the Business call settings for the specified location.", "request": { "$ref": "BusinessCallsSettings" }, "response": { "$ref": "BusinessCallsSettings" }, "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "name": { "pattern": "^locations/[^/]+/businesscallssettings$", "description": "Required. The resource name of the calls settings. Format: locations/{location}/businesscallssettings", "type": "string", "required": true, "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Required. The list of fields to update." } }, "flatPath": "v1/locations/{locationsId}/businesscallssettings" }, "getBusinesscallssettings": { "parameterOrder": [ "name" ], "flatPath": "v1/locations/{locationsId}/businesscallssettings", "parameters": { "name": { "type": "string", "description": "Required. The BusinessCallsSettings to get. The `name` field is used to identify the business call settings to get. Format: locations/{location_id}/businesscallssettings.", "pattern": "^locations/[^/]+/businesscallssettings$", "required": true, "location": "path" } }, "response": { "$ref": "BusinessCallsSettings" }, "path": "v1/{+name}", "id": "mybusinessbusinesscalls.locations.getBusinesscallssettings", "httpMethod": "GET", "description": "Returns the Business calls settings resource for the given location." } }, "resources": { "businesscallsinsights": { "methods": { "list": { "response": { "$ref": "ListBusinessCallsInsightsResponse" }, "path": "v1/{+parent}/businesscallsinsights", "id": "mybusinessbusinesscalls.locations.businesscallsinsights.list", "httpMethod": "GET", "parameters": { "parent": { "type": "string", "pattern": "^locations/[^/]+$", "required": true, "location": "path", "description": "Required. The parent location to fetch calls insights for. Format: locations/{location_id}" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `ListBusinessCallsInsights` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBusinessCallsInsights` must match the call that provided the page token. Some of the metric_types (e.g, AGGREGATE_COUNT) returns a single page. For these metrics, the pake_token is ignored.", "location": "query" }, "filter": { "location": "query", "description": "Optional. A filter constraining the calls insights to return. The response includes only entries that match the filter. If the MetricType is not provided, AGGREGATE_COUNT is returned. If no end_date is provided, the last date for which data is available is used. If no start_date is provided, we will default to the first date for which data is available, which is currently 6 months. If start_date is before the date when data is available, data is returned starting from the date when it is available. At this time we support following filters. 1. start_date=\"DATE\" where date is in YYYY-MM-DD format. 2. end_date=\"DATE\" where date is in YYYY-MM-DD format. 3. metric_type=XYZ where XYZ is a valid MetricType. 4. Conjunctions(AND) of all of the above. e.g., \"start_date=2021-08-01 AND end_date=2021-08-10 AND metric_type=AGGREGATE_COUNT\" The AGGREGATE_COUNT metric_type ignores the DD part of the date.", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of BusinessCallsInsights to return. If unspecified, at most 20 will be returned. Some of the metric_types(e.g, AGGREGATE_COUNT) returns a single page. For these metrics, the page_size is ignored.", "location": "query", "format": "int32" } }, "description": "Returns insights for Business calls for a location.", "flatPath": "v1/locations/{locationsId}/businesscallsinsights", "parameterOrder": [ "parent" ] } } } } } }, "name": "mybusinessbusinesscalls", "id": "mybusinessbusinesscalls:v1", "fullyEncodeReservedExpansion": true }
]===]))
