local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "The My Business Business Information API provides an interface for managing business information on Google.", "version_module": true, "name": "mybusinessbusinessinformation", "rootUrl": "https://mybusinessbusinessinformation.googleapis.com/", "kind": "discovery#restDescription", "version": "v1", "parameters": { "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "alt": { "type": "string", "default": "json", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ] }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "fullyEncodeReservedExpansion": true, "baseUrl": "https://mybusinessbusinessinformation.googleapis.com/", "ownerName": "Google", "title": "My Business Business Information API", "servicePath": "", "revision": "20220712", "id": "mybusinessbusinessinformation:v1", "ownerDomain": "google.com", "canonicalName": "My Business Business Information", "resources": { "googleLocations": { "methods": { "search": { "parameters": {}, "response": { "$ref": "SearchGoogleLocationsResponse" }, "description": "Search all of the possible locations that are a match to the specified request.", "path": "v1/googleLocations:search", "parameterOrder": [], "id": "mybusinessbusinessinformation.googleLocations.search", "request": { "$ref": "SearchGoogleLocationsRequest" }, "httpMethod": "POST", "flatPath": "v1/googleLocations:search" } } }, "chains": { "methods": { "search": { "id": "mybusinessbusinessinformation.chains.search", "path": "v1/chains:search", "parameters": { "pageSize": { "location": "query", "description": "The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500.", "format": "int32", "type": "integer" }, "chainName": { "description": "Required. Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: \"walmart\", \"wal-mart\", \"walmmmart\", \"沃尔玛\"", "location": "query", "type": "string" } }, "flatPath": "v1/chains:search", "description": "Searches the chain based on chain name.", "httpMethod": "GET", "parameterOrder": [], "response": { "$ref": "SearchChainsResponse" } }, "get": { "httpMethod": "GET", "response": { "$ref": "Chain" }, "path": "v1/{+name}", "description": "Gets the specified chain. Returns `NOT_FOUND` if the chain does not exist.", "id": "mybusinessbusinessinformation.chains.get", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^chains/[^/]+$", "required": true, "description": "Required. The chain's resource name, in the format `chains/{chain_place_id}`." } }, "flatPath": "v1/chains/{chainsId}" } } }, "locations": { "resources": { "attributes": { "methods": { "getGoogleUpdated": { "flatPath": "v1/locations/{locationsId}/attributes:getGoogleUpdated", "path": "v1/{+name}:getGoogleUpdated", "description": "Gets the Google-updated version of the specified location.", "id": "mybusinessbusinessinformation.locations.attributes.getGoogleUpdated", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^locations/[^/]+/attributes$", "location": "path", "description": "Required. Google identifier for this location in the form of `locations/{location_id}/attributes`." } }, "httpMethod": "GET", "response": { "$ref": "Attributes" } } } } }, "methods": { "patch": { "parameters": { "validateOnly": { "location": "query", "description": "Optional. If true, the request is validated without actually updating the location. When this field is set, we will only return validation errors if there were any. The response will be empty if no errors were found.", "type": "boolean" }, "updateMask": { "description": "Required. The specific fields to update.", "format": "google-fieldmask", "location": "query", "type": "string" }, "name": { "description": "Google identifier for this location in the form: `locations/{location_id}`.", "pattern": "^locations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1/locations/{locationsId}", "response": { "$ref": "Location" }, "id": "mybusinessbusinessinformation.locations.patch", "description": "Updates the specified location.", "request": { "$ref": "Location" }, "httpMethod": "PATCH" }, "associate": { "request": { "$ref": "AssociateLocationRequest" }, "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "description": "Associates a location to a place ID. Any previous association is overwritten. This operation is only valid if the location is unverified. The association must be valid, that is, it appears in the list of `SearchGoogleLocations`.", "httpMethod": "POST", "id": "mybusinessbusinessinformation.locations.associate", "flatPath": "v1/locations/{locationsId}:associate", "path": "v1/{+name}:associate", "parameters": { "name": { "location": "path", "description": "Required. The resource name of the location to associate.", "type": "string", "pattern": "^locations/[^/]+$", "required": true } } }, "clearLocationAssociation": { "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "description": "Required. The resource name of the location to disassociate.", "pattern": "^locations/[^/]+$", "type": "string", "required": true } }, "description": "Clears an association between a location and its place ID. This operation is only valid if the location is unverified.", "id": "mybusinessbusinessinformation.locations.clearLocationAssociation", "response": { "$ref": "Empty" }, "path": "v1/{+name}:clearLocationAssociation", "httpMethod": "POST", "flatPath": "v1/locations/{locationsId}:clearLocationAssociation", "request": { "$ref": "ClearLocationAssociationRequest" } }, "delete": { "parameters": { "name": { "required": true, "pattern": "^locations/[^/]+$", "description": "Required. The name of the location to delete.", "type": "string", "location": "path" } }, "path": "v1/{+name}", "description": "Deletes a location. If this location cannot be deleted using the API and it is marked so in the `google.mybusiness.businessinformation.v1.LocationState`, use the [Google Business Profile](https://business.google.com/manage/) website.", "flatPath": "v1/locations/{locationsId}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "parameterOrder": [ "name" ], "id": "mybusinessbusinessinformation.locations.delete" }, "getGoogleUpdated": { "parameters": { "readMask": { "type": "string", "description": "Required. Read mask to specify what fields will be returned in the response.", "location": "query", "format": "google-fieldmask" }, "name": { "required": true, "pattern": "^locations/[^/]+$", "location": "path", "description": "Required. The name of the location to fetch.", "type": "string" } }, "path": "v1/{+name}:getGoogleUpdated", "id": "mybusinessbusinessinformation.locations.getGoogleUpdated", "parameterOrder": [ "name" ], "description": "Gets the Google-updated version of the specified location.", "response": { "$ref": "GoogleUpdatedLocation" }, "flatPath": "v1/locations/{locationsId}:getGoogleUpdated", "httpMethod": "GET" }, "updateAttributes": { "description": "Update attributes for a given location.", "id": "mybusinessbusinessinformation.locations.updateAttributes", "request": { "$ref": "Attributes" }, "path": "v1/{+name}", "httpMethod": "PATCH", "flatPath": "v1/locations/{locationsId}/attributes", "parameters": { "name": { "description": "Required. Google identifier for this location in the form of `locations/{location_id}/attributes`.", "type": "string", "required": true, "pattern": "^locations/[^/]+/attributes$", "location": "path" }, "attributeMask": { "format": "google-fieldmask", "description": "Required. Attribute name of attributes that you'd like to update. Represented by `attributes/{attribute}`. Updates: All attributes provided in the attributes field that you would like to update must be set in the `attribute_mask`. Attributes set in the above list but not in the `attribute_mask` will be ignored. Deletes: If you'd like to delete certain attributes, they must be specified in the `attribute_mask` with no matching entry in the attributes list. If you'd like to delete all attributes set on a location, you should look up all the applicable attributes for the location and then add them to the `attribute_mask` with an empty attributes field.", "type": "string", "location": "query" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Attributes" } }, "get": { "path": "v1/{+name}", "id": "mybusinessbusinessinformation.locations.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "readMask": { "description": "Required. Read mask to specify what fields will be returned in the response.", "location": "query", "format": "google-fieldmask", "type": "string" }, "name": { "pattern": "^locations/[^/]+$", "type": "string", "description": "Required. The name of the location to fetch.", "location": "path", "required": true } }, "description": "Returns the specified location.", "response": { "$ref": "Location" }, "flatPath": "v1/locations/{locationsId}" }, "getAttributes": { "httpMethod": "GET", "id": "mybusinessbusinessinformation.locations.getAttributes", "response": { "$ref": "Attributes" }, "description": "Looks up all the attributes set for a given location.", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Google identifier for this location in the form of `locations/{location_id}/attributes`.", "pattern": "^locations/[^/]+/attributes$", "type": "string", "location": "path", "required": true } }, "path": "v1/{+name}", "flatPath": "v1/locations/{locationsId}/attributes" } } }, "attributes": { "methods": { "list": { "flatPath": "v1/attributes", "id": "mybusinessbusinessinformation.attributes.list", "path": "v1/attributes", "description": "Returns the list of attributes that would be available for a location with the given primary category and country.", "parameters": { "languageCode": { "type": "string", "description": "The BCP 47 code of language to get attribute display names in. If this language is not available, they will be provided in English.", "location": "query" }, "regionCode": { "location": "query", "description": "The ISO 3166-1 alpha-2 country code to find available attributes.", "type": "string" }, "pageSize": { "description": "How many attributes to include per page. Default is 200, minimum is 1.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "description": "Resource name of the location to look up available attributes. If this field is set, category_name, region_code, language_code and show_all are not required and must not be set.", "type": "string", "location": "query" }, "categoryName": { "type": "string", "location": "query", "description": "The primary category stable ID to find available attributes. Must be of the format categories/{category_id}." }, "showAll": { "type": "boolean", "description": "Metadata for all available attributes are returned when this field is set to true, disregarding parent and category_name fields. language_code and region_code are required when show_all is set to true.", "location": "query" }, "pageToken": { "description": "If specified, the next page of attribute metadata is retrieved.", "location": "query", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [], "response": { "$ref": "ListAttributeMetadataResponse" } } } }, "accounts": { "resources": { "locations": { "methods": { "list": { "id": "mybusinessbusinessinformation.accounts.locations.list", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/locations", "response": { "$ref": "ListLocationsResponse" }, "description": "Lists the locations for the specified account.", "flatPath": "v1/accounts/{accountsId}/locations", "parameters": { "filter": { "description": "Optional. A filter constraining the locations to return. The response includes only entries that match the filter. If `filter` is empty, then constraints are applied and all locations (paginated) are retrieved for the requested account. For more information about valid fields and example usage, see [Work with Location Data Guide](https://developers.google.com/my-business/content/location-data#filter_results_when_you_list_locations).", "type": "string", "location": "query" }, "parent": { "location": "path", "description": "Required. The name of the account to fetch locations from. If the parent Account is of AccountType PERSONAL, only Locations that are directly owned by the Account are returned, otherwise it will return all accessible locations from the Account, either directly or indirectly.", "pattern": "^accounts/[^/]+$", "required": true, "type": "string" }, "readMask": { "format": "google-fieldmask", "location": "query", "description": "Required. Read mask to specify what fields will be returned in the response.", "type": "string" }, "pageSize": { "type": "integer", "description": "Optional. How many locations to fetch per page. Default value is 10 if not set. Minimum is 1, and maximum page size is 100.", "format": "int32", "location": "query" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. If specified, it fetches the next `page` of locations. The page token is returned by previous calls to `ListLocations` when there were more locations than could fit in the requested page size." }, "orderBy": { "location": "query", "description": "Optional. Sorting order for the request. Multiple fields should be comma-separated, following SQL syntax. The default sorting order is ascending. To specify descending order, a suffix \" desc\" should be added. Valid fields to order_by are title and store_code. For example: \"title, store_code desc\" or \"title\" or \"store_code desc\"", "type": "string" } }, "httpMethod": "GET" }, "create": { "description": "Creates a new Location that will be owned by the logged in user.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "required": true, "pattern": "^accounts/[^/]+$", "description": "Required. The name of the account in which to create this location.", "type": "string" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A unique request ID for the server to detect duplicated requests. We recommend using UUIDs. Max length is 50 characters." }, "validateOnly": { "description": "Optional. If true, the request is validated without actually creating the location.", "type": "boolean", "location": "query" } }, "response": { "$ref": "Location" }, "httpMethod": "POST", "flatPath": "v1/accounts/{accountsId}/locations", "id": "mybusinessbusinessinformation.accounts.locations.create", "path": "v1/{+parent}/locations", "request": { "$ref": "Location" } } } } } }, "categories": { "methods": { "batchGet": { "id": "mybusinessbusinessinformation.categories.batchGet", "parameterOrder": [], "parameters": { "languageCode": { "location": "query", "type": "string", "description": "Required. The BCP 47 code of language that the category names should be returned in." }, "regionCode": { "description": "Optional. The ISO 3166-1 alpha-2 country code used to infer non-standard language.", "location": "query", "type": "string" }, "view": { "location": "query", "enum": [ "CATEGORY_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "description": "Required. Specifies which parts to the Category resource should be returned in the response.", "type": "string", "enumDescriptions": [ "Not specified, equivalent to CATEGORY_METADATA_ONLY.", "The server response will only include Category fields display_name, category_id and language_code. It omits any service type metadata related fields.", "Returns all the fields in the response." ] }, "names": { "location": "query", "repeated": true, "type": "string", "description": "Required. At least one name must be set. The GConcept ids the localized category names should be returned for. To return details for more than one category, repeat this parameter in the request." } }, "flatPath": "v1/categories:batchGet", "description": "Returns a list of business categories for the provided language and GConcept ids.", "response": { "$ref": "BatchGetCategoriesResponse" }, "httpMethod": "GET", "path": "v1/categories:batchGet" }, "list": { "parameterOrder": [], "httpMethod": "GET", "id": "mybusinessbusinessinformation.categories.list", "flatPath": "v1/categories", "description": "Returns a list of business categories. Search will match the category name but not the category ID. Search only matches the front of a category name (that is, 'food' may return 'Food Court' but not 'Fast Food Restaurant').", "path": "v1/categories", "response": { "$ref": "ListCategoriesResponse" }, "parameters": { "view": { "location": "query", "description": "Required. Specifies which parts to the Category resource should be returned in the response.", "type": "string", "enumDescriptions": [ "Not specified, equivalent to CATEGORY_METADATA_ONLY.", "The server response will only include Category fields display_name, category_id and language_code. It omits any service type metadata related fields.", "Returns all the fields in the response." ], "enum": [ "CATEGORY_VIEW_UNSPECIFIED", "BASIC", "FULL" ] }, "regionCode": { "description": "Required. The ISO 3166-1 alpha-2 country code.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Optional. How many categories to fetch per page. Default is 100, minimum is 1, and maximum page size is 100.", "location": "query" }, "languageCode": { "location": "query", "type": "string", "description": "Required. The BCP 47 code of language." }, "filter": { "location": "query", "type": "string", "description": "Optional. Filter string from user. The only field that supported is `displayName`. Eg: `filter=displayName=foo`." }, "pageToken": { "description": "Optional. If specified, the next page of categories will be fetched.", "type": "string", "location": "query" } } } } } }, "protocol": "rest", "basePath": "", "discoveryVersion": "v1", "schemas": { "SpecialHourPeriod": { "id": "SpecialHourPeriod", "properties": { "openTime": { "description": "Optional. Valid values are 00:00-24:00 where 24:00 represents midnight at the end of the specified day field. Must be specified if `closed` is false.", "$ref": "TimeOfDay" }, "endDate": { "description": "Optional. The calendar date this special hour period ends on. If `end_date` field is not set, default to the date specified in `start_date`. If set, this field must be equal to or at most 1 day after `start_date`.", "$ref": "Date" }, "closed": { "type": "boolean", "description": "Optional. If true, `end_date`, `open_time`, and `close_time` are ignored, and the date specified in `start_date` is treated as the location being closed for the entire day." }, "closeTime": { "$ref": "TimeOfDay", "description": "Optional. Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field. Must be specified if `closed` is false." }, "startDate": { "description": "Required. The calendar date this special hour period starts on.", "$ref": "Date" } }, "description": "Represents a single time period when a location's operational hours differ from its normal business hours. A special hour period must represent a range of less than 24 hours. The `open_time` and `start_date` must predate the `close_time` and `end_date`. The `close_time` and `end_date` can extend to 11:59 a.m. on the day after the specified `start_date`. For example, the following inputs are valid: start_date=2015-11-23, open_time=08:00, close_time=18:00 start_date=2015-11-23, end_date=2015-11-23, open_time=08:00, close_time=18:00 start_date=2015-11-23, end_date=2015-11-24, open_time=13:00, close_time=11:59 The following inputs are not valid: start_date=2015-11-23, open_time=13:00, close_time=11:59 start_date=2015-11-23, end_date=2015-11-24, open_time=13:00, close_time=12:00 start_date=2015-11-23, end_date=2015-11-25, open_time=08:00, close_time=18:00", "type": "object" }, "UriAttributeValue": { "description": "Values for an attribute with a `value_type` of URL.", "properties": { "uri": { "description": "Required. The proposed URI value for this attribute.", "type": "string" } }, "type": "object", "id": "UriAttributeValue" }, "SpecialHours": { "description": "Represents a set of time periods when a location's operational hours differ from its normal business hours.", "id": "SpecialHours", "type": "object", "properties": { "specialHourPeriods": { "items": { "$ref": "SpecialHourPeriod" }, "description": "Required. A list of exceptions to the business's regular hours.", "type": "array" } } }, "Date": { "properties": { "year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." }, "month": { "type": "integer", "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day." }, "day": { "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.", "type": "integer", "format": "int32" } }, "type": "object", "id": "Date", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp" }, "ServiceItem": { "id": "ServiceItem", "type": "object", "description": "A message that describes a single service item. It is used to describe the type of service that the merchant provides. For example, haircut can be a service.", "properties": { "freeFormServiceItem": { "$ref": "FreeFormServiceItem", "description": "Optional. This field will be set case of free-form services data." }, "structuredServiceItem": { "description": "Optional. This field will be set case of structured services data.", "$ref": "StructuredServiceItem" }, "price": { "$ref": "Money", "description": "Optional. Represents the monetary price of the service item. We recommend that currency_code and units should be set when including a price. This will be treated as a fixed price for the service item." } } }, "AdWordsLocationExtensions": { "description": "Additional information that is surfaced in AdWords.", "id": "AdWordsLocationExtensions", "type": "object", "properties": { "adPhone": { "description": "Required. An alternate phone number to display on AdWords location extensions instead of the location's primary phone number.", "type": "string" } } }, "Chain": { "properties": { "websites": { "type": "array", "items": { "$ref": "ChainUri" }, "description": "Websites of the chain." }, "chainNames": { "type": "array", "items": { "$ref": "ChainName" }, "description": "Names of the chain." }, "name": { "description": "Required. The chain's resource name, in the format `chains/{chain_id}`.", "type": "string" }, "locationCount": { "description": "Number of locations that are part of this chain.", "format": "int32", "type": "integer" } }, "type": "object", "id": "Chain", "description": "A chain is a brand that your business's locations can be affiliated with." }, "Metadata": { "type": "object", "description": "Additional non-user-editable information about the location.", "properties": { "newReviewUri": { "type": "string", "readOnly": true, "description": "Output only. A link to the page on Google Search where a customer can leave a review for the location." }, "canOperateHealthData": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether the location can operate on Health data." }, "canOperateLodgingData": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether the location can operate on Lodging data." }, "hasGoogleUpdated": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates whether the place ID associated with this location has updates that need to be updated or rejected by the client. If this boolean is set, you should call the `getGoogleUpdated` method to lookup information that's needs to be verified." }, "canDelete": { "readOnly": true, "description": "Output only. Indicates whether the location can be deleted using the API.", "type": "boolean" }, "hasPendingEdits": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates whether any of this Location's properties are in the edit pending state." }, "duplicateLocation": { "description": "Output only. The location resource that this location duplicates.", "type": "string", "readOnly": true }, "hasVoiceOfMerchant": { "description": "Output only. Indicates if the listing has Voice of Merchant. If this boolean is false, you should call the locations.getVoiceOfMerchantState API to get details as to why they do not have Voice of Merchant.", "readOnly": true, "type": "boolean" }, "canHaveBusinessCalls": { "description": "Output only. Indicates if the listing is eligible for business calls.", "type": "boolean", "readOnly": true }, "mapsUri": { "description": "Output only. A link to the location on Maps.", "type": "string", "readOnly": true }, "placeId": { "description": "Output only. If this locationappears on Google Maps, this field is populated with the place ID for the location. This ID can be used in various Places APIs. This field can be set during Create calls, but not for Update.", "readOnly": true, "type": "string" }, "canOperateLocalPost": { "readOnly": true, "description": "Output only. Indicates if the listing can manage local posts.", "type": "boolean" }, "canModifyServiceList": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates if the listing can modify the service list." }, "canHaveFoodMenus": { "description": "Output only. Indicates if the listing is eligible for food menu.", "type": "boolean", "readOnly": true } }, "id": "Metadata" }, "RelationshipData": { "description": "Information of all parent and children locations related to this one.", "properties": { "parentLocation": { "description": "The parent location that this location has relations with.", "$ref": "RelevantLocation" }, "parentChain": { "description": "The resource name of the Chain that this location is member of. How to find Chain ID", "type": "string" }, "childrenLocations": { "type": "array", "description": "The list of children locations that this location has relations with.", "items": { "$ref": "RelevantLocation" } } }, "id": "RelationshipData", "type": "object" }, "Attributes": { "description": "A container for all the attributes for a given location.", "type": "object", "properties": { "name": { "type": "string", "description": "Required. Google identifier for this location in the form of `locations/{location_id}/attributes`." }, "attributes": { "type": "array", "description": "A collection of attributes that need to be updated.", "items": { "$ref": "Attribute" } } }, "id": "Attributes" }, "TimePeriod": { "type": "object", "id": "TimePeriod", "description": "Represents a span of time that the business is open, starting on the specified open day/time and closing on the specified close day/time. The closing time must occur after the opening time, for example later in the same day, or on a subsequent day.", "properties": { "openDay": { "description": "Required. Indicates the day of the week this period starts on.", "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] }, "closeTime": { "$ref": "TimeOfDay", "description": "Required. Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field." }, "closeDay": { "description": "Required. Indicates the day of the week this period ends on.", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string" }, "openTime": { "$ref": "TimeOfDay", "description": "Required. Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field." } } }, "FreeFormServiceItem": { "id": "FreeFormServiceItem", "type": "object", "properties": { "category": { "description": "Required. This field represents the category name (i.e. the category's stable ID). The `category` and `service_type_id` should match the possible combinations provided in the `Category` message.", "type": "string" }, "label": { "description": "Required. Language-tagged labels for the item. We recommend that item names be 140 characters or less, and descriptions 250 characters or less. This field should only be set if the input is a custom service item. Standardized service types should be updated via service_type_id.", "$ref": "Label" } }, "description": "Represents a free-form service offered by the merchant. These are services that are not exposed as part of our structure service data. The merchant manually enters the names for of such services via a geomerchant surface." }, "Location": { "type": "object", "properties": { "websiteUri": { "description": "Optional. A URL for this business. If possible, use a URL that represents this individual business location instead of a generic website/URL that represents all locations, or the brand.", "type": "string" }, "storeCode": { "type": "string", "description": "Optional. External identifier for this location, which must be unique within a given account. This is a means of associating the location with your own records." }, "serviceItems": { "items": { "$ref": "ServiceItem" }, "description": "Optional. List of services supported by merchants. A service can be haircut, install water heater, etc. Duplicated service items will be removed automatically.", "type": "array" }, "storefrontAddress": { "description": "Optional. A precise, accurate address to describe your business location. PO boxes or mailboxes located at remote locations are not acceptable. At this time, you can specify a maximum of five `address_lines` values in the address. This field should only be set for businesses that have a storefront. This field should not be set for locations of type `CUSTOMER_LOCATION_ONLY`.", "$ref": "PostalAddress" }, "categories": { "$ref": "Categories", "description": "Optional. The different categories that describe the business." }, "metadata": { "readOnly": true, "$ref": "Metadata", "description": "Output only. Additional non-user-editable information." }, "moreHours": { "items": { "$ref": "MoreHours" }, "type": "array", "description": "Optional. More hours for a business's different departments or specific customers." }, "phoneNumbers": { "description": "Optional. The different phone numbers that customers can use to get in touch with the business.", "$ref": "PhoneNumbers" }, "relationshipData": { "description": "Optional. All locations and chain related to this one.", "$ref": "RelationshipData" }, "specialHours": { "description": "Optional. Special hours for the business. This typically includes holiday hours, and other times outside of regular operating hours. These override regular business hours. This field cannot be set without regular hours.", "$ref": "SpecialHours" }, "adWordsLocationExtensions": { "description": "Optional. Additional information that is surfaced in AdWords.", "$ref": "AdWordsLocationExtensions" }, "openInfo": { "$ref": "OpenInfo", "description": "Optional. A flag that indicates whether the location is currently open for business." }, "labels": { "description": "Optional. A collection of free-form strings to allow you to tag your business. These labels are NOT user facing; only you can see them. Must be between 1-255 characters per label.", "items": { "type": "string" }, "type": "array" }, "title": { "type": "string", "description": "Required. Location name should reflect your business's real-world name, as used consistently on your storefront, website, and stationery, and as known to customers. Any additional information, when relevant, can be included in other fields of the resource (for example, `Address`, `Categories`). Don't add unnecessary information to your name (for example, prefer \"Google\" over \"Google Inc. - Mountain View Corporate Headquarters\"). Don't include marketing taglines, store codes, special characters, hours or closed/open status, phone numbers, website URLs, service/product information, location/address or directions, or containment information (for example, \"Chase ATM in Duane Reade\")." }, "regularHours": { "description": "Optional. Operating hours for the business.", "$ref": "BusinessHours" }, "latlng": { "description": "Optional. User-provided latitude and longitude. When creating a location, this field is ignored if the provided address geocodes successfully. This field is only returned on get requests if the user-provided `latlng` value was accepted during create, or the `latlng` value was updated through the Google Business Profile website. This field can only be updated by approved clients.", "$ref": "LatLng" }, "serviceArea": { "description": "Optional. Service area businesses provide their service at the customer's location. If this business is a service area business, this field describes the area(s) serviced by the business.", "$ref": "ServiceAreaBusiness" }, "profile": { "$ref": "Profile", "description": "Optional. Describes your business in your own voice and shares with users the unique story of your business and offerings. This field is required for all categories except lodging categories (e.g. hotels, motels, inns)." }, "name": { "description": "Google identifier for this location in the form: `locations/{location_id}`.", "type": "string" }, "languageCode": { "description": "Immutable. The language of the location. Set during creation and not updateable.", "type": "string" } }, "description": "A location. See the [help center article] (https://support.google.com/business/answer/3038177) for a detailed description of these fields, or the [category endpoint](/my-business/reference/rest/v4/categories) for a list of valid business categories.", "id": "Location" }, "BusinessHours": { "description": "Represents the time periods that this location is open for business. Holds a collection of TimePeriod instances.", "properties": { "periods": { "type": "array", "items": { "$ref": "TimePeriod" }, "description": "Required. A collection of times that this location is open for business. Each period represents a range of hours when the location is open during the week." } }, "type": "object", "id": "BusinessHours" }, "StructuredServiceItem": { "type": "object", "description": "Represents a structured service offered by the merchant. For eg: toilet_installation.", "properties": { "serviceTypeId": { "type": "string", "description": "Required. The `service_type_id` field is a Google provided unique ID that can be found in `ServiceType`. This information is provided by `BatchGetCategories` rpc service." }, "description": { "type": "string", "description": "Optional. Description of structured service item. The character limit is 300." } }, "id": "StructuredServiceItem" }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "properties": { "seconds": { "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "format": "int32", "type": "integer" }, "hours": { "type": "integer", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32" }, "nanos": { "format": "int32", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer" }, "minutes": { "format": "int32", "type": "integer", "description": "Minutes of hour of day. Must be from 0 to 59." } }, "type": "object", "id": "TimeOfDay" }, "Categories": { "id": "Categories", "description": "A collection of categories that describes the business. During updates, both fields must be set. Clients are prohibited from individually updating the primary or additional categories using the update mask.", "type": "object", "properties": { "primaryCategory": { "$ref": "Category", "description": "Required. Category that best describes the core business this location engages in." }, "additionalCategories": { "type": "array", "items": { "$ref": "Category" }, "description": "Optional. Additional categories to describe your business. Categories help your customers find accurate, specific results for services they're interested in. To keep your business information accurate and live, make sure that you use as few categories as possible to describe your overall core business. Choose categories that are as specific as possible, but representative of your main business." } } }, "AttributeMetadata": { "description": "Metadata for an attribute. Contains display information for the attribute, including a localized name and a heading for grouping related attributes together.", "properties": { "valueMetadata": { "items": { "$ref": "AttributeValueMetadata" }, "description": "For some types of attributes (for example, enums), a list of supported values and corresponding display names for those values is provided.", "type": "array" }, "valueType": { "description": "The value type for the attribute. Values set and retrieved should be expected to be of this type.", "enumDescriptions": [ "Not specified.", "The values for this attribute are boolean values.", "The attribute has a predetermined list of available values that can be used. Metadata for this attribute will list these values.", "The values for this attribute are URLs.", "The attribute value is an enum with multiple possible values that can be explicitly set or unset." ], "enum": [ "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED", "BOOL", "ENUM", "URL", "REPEATED_ENUM" ], "type": "string" }, "repeatable": { "type": "boolean", "description": "If true, the attribute supports multiple values. If false, only a single value should be provided." }, "groupDisplayName": { "description": "The localized display name of the group that contains this attribute, if available; otherwise, the English group name. Related attributes are collected into a group and should be displayed together under the heading given here.", "type": "string" }, "parent": { "description": "The unique identifier for the attribute.", "type": "string" }, "displayName": { "type": "string", "description": "The localized display name for the attribute, if available; otherwise, the English display name." }, "deprecated": { "type": "boolean", "description": "If true, the attribute is deprecated and should no longer be used. If deprecated, updating this attribute will not result in an error, but updates will not be saved. At some point after being deprecated, the attribute will be removed entirely and it will become an error." } }, "id": "AttributeMetadata", "type": "object" }, "MoreHoursType": { "id": "MoreHoursType", "type": "object", "description": "More hours types that a business can offers, in addition to its regular hours.", "properties": { "localizedDisplayName": { "description": "Output only. The human-readable localized display name for the hours type.", "readOnly": true, "type": "string" }, "hoursTypeId": { "readOnly": true, "description": "Output only. A stable ID provided by Google for this hours type.", "type": "string" }, "displayName": { "description": "Output only. The human-readable English display name for the hours type.", "type": "string", "readOnly": true } } }, "Category": { "properties": { "name": { "description": "Required. A stable ID (provided by Google) for this category. The value must be specified when modifying the category (when creating or updating a location).", "type": "string" }, "serviceTypes": { "type": "array", "description": "Output only. A list of all the service types that are available for this business category.", "readOnly": true, "items": { "$ref": "ServiceType" } }, "moreHoursTypes": { "type": "array", "items": { "$ref": "MoreHoursType" }, "readOnly": true, "description": "Output only. More hours types that are available for this business category." }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. The human-readable name of the category. This is set when reading the location. When modifying the location, `category_id` must be set." } }, "id": "Category", "description": "A category describing what this business is (not what it does). For a list of valid category IDs, and the mappings to their human-readable names, see `categories.list`.", "type": "object" }, "ListAttributeMetadataResponse": { "properties": { "attributeMetadata": { "items": { "$ref": "AttributeMetadata" }, "description": "A collection of attribute metadata for the available attributes.", "type": "array" }, "nextPageToken": { "type": "string", "description": "If the number of attributes exceeded the requested page size, this field will be populated with a token to fetch the next page of attributes on a subsequent call to `attributes.list`. If there are no more attributes, this field will not be present in the response." } }, "description": "Response for AttributesService.ListAttributeMetadata.", "type": "object", "id": "ListAttributeMetadataResponse" }, "Money": { "description": "Represents an amount of money with its currency type.", "properties": { "nanos": { "type": "integer", "description": "Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.", "format": "int32" }, "currencyCode": { "type": "string", "description": "The three-letter currency code defined in ISO 4217." }, "units": { "format": "int64", "type": "string", "description": "The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar." } }, "id": "Money", "type": "object" }, "BatchGetCategoriesResponse": { "id": "BatchGetCategoriesResponse", "type": "object", "properties": { "categories": { "description": "Categories that match the GConcept ids provided in the request. They will not come in the same order as category ids in the request.", "items": { "$ref": "Category" }, "type": "array" } }, "description": "Response message for BusinessCategories.BatchGetBusinessCategories." }, "ListLocationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "If the number of locations exceeded the requested page size, this field is populated with a token to fetch the next page of locations on a subsequent call to `ListLocations`. If there are no more locations, this field is not present in the response." }, "totalSize": { "type": "integer", "description": "The approximate number of Locations in the list irrespective of pagination.", "format": "int32" }, "locations": { "description": "The locations.", "type": "array", "items": { "$ref": "Location" } } }, "type": "object", "id": "ListLocationsResponse", "description": "Response message for Locations.ListLocations." }, "ChainName": { "id": "ChainName", "properties": { "languageCode": { "type": "string", "description": "The BCP 47 code of language of the name." }, "displayName": { "type": "string", "description": "The display name for this chain." } }, "type": "object", "description": "Name to be used when displaying the chain." }, "Attribute": { "type": "object", "properties": { "valueType": { "type": "string", "enumDescriptions": [ "Not specified.", "The values for this attribute are boolean values.", "The attribute has a predetermined list of available values that can be used. Metadata for this attribute will list these values.", "The values for this attribute are URLs.", "The attribute value is an enum with multiple possible values that can be explicitly set or unset." ], "readOnly": true, "enum": [ "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED", "BOOL", "ENUM", "URL", "REPEATED_ENUM" ], "description": "Output only. The type of value that this attribute contains. This should be used to determine how to interpret the value." }, "uriValues": { "description": "When the attribute value type is URL, this field contains the value(s) for this attribute, and the other values fields must be empty.", "items": { "$ref": "UriAttributeValue" }, "type": "array" }, "name": { "description": "Required. The resource name for this attribute.", "type": "string" }, "repeatedEnumValue": { "description": "When the attribute value type is REPEATED_ENUM, this contains the attribute value, and the other values fields must be empty.", "$ref": "RepeatedEnumAttributeValue" }, "values": { "items": { "type": "any" }, "description": "The values for this attribute. The type of the values supplied must match that expected for that attribute. This is a repeated field where multiple attribute values may be provided. Attribute types only support one value.", "type": "array" } }, "id": "Attribute", "description": "A location attribute. Attributes provide additional information about a location. The attributes that can be set on a location may vary based on the properties of that location (for example, category). Available attributes are determined by Google and may be added and removed without API changes." }, "SearchChainsResponse": { "type": "object", "id": "SearchChainsResponse", "description": "Response message for Locations.SearchChains.", "properties": { "chains": { "description": "Chains that match the queried chain_display_name in SearchChainsRequest. If there are no matches, this field will be empty. Results are listed in order of relevance.", "type": "array", "items": { "$ref": "Chain" } } } }, "RelevantLocation": { "properties": { "placeId": { "type": "string", "description": "Required. Specify the location that is on the other side of the relation by its placeID." }, "relationType": { "enumDescriptions": [ "Type unspecified.", "This represents a relation between 2 locations which share one physical area, same brand/upper management/organization, but with different key attributes like store hours or phone numbers. For example, Costco Pharmacy is a department in Costco Wholesale.", "This represents the cases where 2 locations are co-located in the same physical location, but from different companies (e.g. Starbucks in a Safeway, shops in a mall)." ], "type": "string", "description": "Required. The type of the relationship.", "enum": [ "RELATION_TYPE_UNSPECIFIED", "DEPARTMENT_OF", "INDEPENDENT_ESTABLISHMENT_IN" ] } }, "type": "object", "description": "Information about another location that is related to current one. The relation can be any one of DEPARTMENT_OF or INDEPENDENT_ESTABLISHMENT_OF, and the location specified here can be on either side (parent/child) of the location.", "id": "RelevantLocation" }, "ChainUri": { "properties": { "uri": { "description": "The uri for this chain.", "type": "string" } }, "description": "Url to be used when displaying the chain.", "id": "ChainUri", "type": "object" }, "ServiceType": { "properties": { "displayName": { "description": "Output only. The human-readable display name for the service type.", "type": "string", "readOnly": true }, "serviceTypeId": { "readOnly": true, "type": "string", "description": "Output only. A stable ID (provided by Google) for this service type." } }, "type": "object", "description": "A message describing a service type that the business offers.", "id": "ServiceType" }, "Label": { "id": "Label", "properties": { "languageCode": { "type": "string", "description": "Optional. The BCP-47 language code that these strings apply for. Only one set of labels may be set per language." }, "description": { "description": "Optional. Description of the price list, section, or item.", "type": "string" }, "displayName": { "type": "string", "description": "Required. Display name for the price list, section, or item." } }, "description": "Label to be used when displaying the price list, section, or item.", "type": "object" }, "ListCategoriesResponse": { "id": "ListCategoriesResponse", "description": "Response message for BusinessCategories.ListCategories.", "properties": { "categories": { "items": { "$ref": "Category" }, "description": "The matching categories based on the requested parameters.", "type": "array" }, "nextPageToken": { "type": "string", "description": "If the number of categories exceeded the requested page size, this field will be populated with a token to fetch the next page of categories on a subsequent call to `ListCategories`." } }, "type": "object" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "type": "object", "properties": {} }, "OpenInfo": { "description": "Information related to the opening state of the business.", "type": "object", "id": "OpenInfo", "properties": { "canReopen": { "description": "Output only. Indicates whether this business is eligible for re-open.", "type": "boolean", "readOnly": true }, "status": { "description": "Required. Indicates whether or not the Location is currently open for business. All locations are open by default, unless updated to be closed.", "type": "string", "enumDescriptions": [ "Not specified.", "Indicates that the location is open.", "Indicates that the location has been permanently closed.", "Indicates that the location has been temporarily closed." ], "enum": [ "OPEN_FOR_BUSINESS_UNSPECIFIED", "OPEN", "CLOSED_PERMANENTLY", "CLOSED_TEMPORARILY" ] }, "openingDate": { "$ref": "Date", "description": "Optional. The date on which the location first opened. If the exact day is not known, month and year only can be provided. The date must be in the past or be no more than one year in the future." } } }, "SearchGoogleLocationsResponse": { "properties": { "googleLocations": { "type": "array", "items": { "$ref": "GoogleLocation" }, "description": "A collection of GoogleLocations that are potential matches to the specified request, listed in order from most to least accuracy." } }, "id": "SearchGoogleLocationsResponse", "description": "Response message for GoogleLocations.SearchGoogleLocations.", "type": "object" }, "MoreHours": { "properties": { "hoursTypeId": { "type": "string", "description": "Required. Type of hours. Clients should call {#link businessCategories:BatchGet} to get supported hours types for categories of their locations." }, "periods": { "items": { "$ref": "TimePeriod" }, "description": "Required. A collection of times that this location is open. Each period represents a range of hours when the location is open during the week.", "type": "array" } }, "type": "object", "id": "MoreHours", "description": "The time periods during which a location is open for certain types of business." }, "RepeatedEnumAttributeValue": { "id": "RepeatedEnumAttributeValue", "properties": { "setValues": { "description": "Enum values that are set.", "items": { "type": "string" }, "type": "array" }, "unsetValues": { "items": { "type": "string" }, "description": "Enum values that are unset.", "type": "array" } }, "description": "Values for an attribute with a `value_type` of REPEATED_ENUM. This consists of two lists of value IDs: those that are set (true) and those that are unset (false). Values absent are considered unknown. At least one value must be specified.", "type": "object" }, "SearchGoogleLocationsRequest": { "properties": { "pageSize": { "type": "integer", "format": "int32", "description": "The number of matches to return. The default value is 3, with a maximum of 10. Note that latency may increase if more are requested. There is no pagination." }, "query": { "description": "Text query to search for. The search results from a query string will be less accurate than if providing an exact location, but can provide more inexact matches.", "type": "string" }, "location": { "$ref": "Location", "description": "Location to search for. If provided, will find locations which match the provided location details." } }, "description": "Request message for GoogleLocations.SearchGoogleLocations.", "type": "object", "id": "SearchGoogleLocationsRequest" }, "Profile": { "type": "object", "id": "Profile", "properties": { "description": { "description": "Required. Description of the location in your own voice, not editable by anyone else.", "type": "string" } }, "description": "All information pertaining to the location's profile." }, "AssociateLocationRequest": { "properties": { "placeId": { "type": "string", "description": "The association to establish. If not set, it indicates no match." } }, "id": "AssociateLocationRequest", "description": "Request message for Locations.AssociateLocationRequest.", "type": "object" }, "GoogleLocation": { "properties": { "location": { "$ref": "Location", "description": "The sparsely populated Location information. This field can be re-used in CreateLocation if it is not currently claimed by a user." }, "requestAdminRightsUri": { "type": "string", "description": "A URL that will redirect the user to the request admin rights UI. This field is only present if the location has already been claimed by any user, including the current user." }, "name": { "description": "Resource name of this GoogleLocation, in the format `googleLocations/{googleLocationId}`.", "type": "string" } }, "type": "object", "id": "GoogleLocation", "description": "Represents a Location that is present on Google. This can be a location that has been claimed by the user, someone else, or could be unclaimed." }, "PhoneNumbers": { "properties": { "additionalPhones": { "type": "array", "items": { "type": "string" }, "description": "Optional. Up to two phone numbers (mobile or landline, no fax) at which your business can be called, in addition to your primary phone number." }, "primaryPhone": { "type": "string", "description": "Required. A phone number that connects to your individual business location as directly as possible. Use a local phone number instead of a central, call center helpline number whenever possible." } }, "type": "object", "id": "PhoneNumbers", "description": "A collection of phone numbers for the business. During updates, both fields must be set. Clients may not update just the primary or additional phone numbers using the update mask. International phone format is preferred, such as \"+1 415 555 0132\", see more in (https://developers.google.com/style/phone-numbers#international-phone-numbers)." }, "GoogleUpdatedLocation": { "id": "GoogleUpdatedLocation", "properties": { "location": { "$ref": "Location", "description": "The Google-updated version of this location." }, "diffMask": { "description": "The fields that Google updated.", "format": "google-fieldmask", "type": "string" }, "pendingMask": { "type": "string", "format": "google-fieldmask", "description": "The fields that have pending edits that haven't yet been pushed to Maps and Search." } }, "type": "object", "description": "Represents a location that was modified by Google." }, "ServiceAreaBusiness": { "id": "ServiceAreaBusiness", "properties": { "businessType": { "enum": [ "BUSINESS_TYPE_UNSPECIFIED", "CUSTOMER_LOCATION_ONLY", "CUSTOMER_AND_BUSINESS_LOCATION" ], "enumDescriptions": [ "Output only. Not specified.", "Offers service only in the surrounding area (not at the business address). If a business is being updated from a CUSTOMER_AND_BUSINESS_LOCATION to a CUSTOMER_LOCATION_ONLY, the location update must include field mask `storefront_address` and set the field to empty.", "Offers service at the business address and the surrounding area." ], "type": "string", "description": "Required. Indicates the type of the service area business." }, "regionCode": { "type": "string", "description": "Immutable. CLDR region code of the country/region that this service area business is based in. See http://cldr.unicode.org/ and http://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland. This field is required for CUSTOMER_LOCATION_ONLY businesses, and is ignored otherwise. The region specified here can be different from regions for the areas that this business serves (e.g. service area businesses that provide services in regions other than the one that they are based in). If this location requires verification after creation, the address provided for verification purposes *must* be located within this region, and the business owner or their authorized representative *must* be able to receive postal mail at the provided verification address." }, "places": { "description": "The area that this business serves defined through a set of places.", "$ref": "Places" } }, "type": "object", "description": "Service area businesses provide their service at the customer's location (for example, a locksmith or plumber)." }, "PlaceInfo": { "properties": { "placeId": { "description": "Required. The ID of the place. Must correspond to a region. (https://developers.google.com/places/web-service/supported_types#table3)", "type": "string" }, "placeName": { "description": "Required. The localized name of the place. For example, `Scottsdale, AZ`.", "type": "string" } }, "id": "PlaceInfo", "type": "object", "description": "Defines an area that's represented by a place ID." }, "Places": { "type": "object", "id": "Places", "properties": { "placeInfos": { "description": "The areas represented by place IDs. Limited to a maximum of 20 places.", "items": { "$ref": "PlaceInfo" }, "type": "array" } }, "description": "Defines the union of areas represented by a set of places." }, "LatLng": { "type": "object", "properties": { "latitude": { "type": "number", "description": "The latitude in degrees. It must be in the range [-90.0, +90.0].", "format": "double" }, "longitude": { "type": "number", "format": "double", "description": "The longitude in degrees. It must be in the range [-180.0, +180.0]." } }, "description": "An object that represents a latitude/longitude pair. This is expressed as a pair of doubles to represent degrees latitude and degrees longitude. Unless specified otherwise, this object must conform to the WGS84 standard. Values must be within normalized ranges.", "id": "LatLng" }, "PostalAddress": { "properties": { "administrativeArea": { "type": "string", "description": "Optional. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. \"Barcelona\" and not \"Catalonia\"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated." }, "sortingCode": { "type": "string", "description": "Optional. Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like \"CEDEX\", optionally followed by a number (e.g. \"CEDEX 7\"), or just a number alone, representing the \"sector code\" (Jamaica), \"delivery area indicator\" (Malawi) or \"post office indicator\" (e.g. Côte d'Ivoire)." }, "recipients": { "items": { "type": "string" }, "description": "Optional. The recipient at the address. This field may, under certain circumstances, contain multiline information. For example, it might contain \"care of\" information.", "type": "array" }, "organization": { "description": "Optional. The name of the organization at the address.", "type": "string" }, "sublocality": { "type": "string", "description": "Optional. Sublocality of the address. For example, this can be neighborhoods, boroughs, districts." }, "languageCode": { "type": "string", "description": "Optional. BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. If this value is not known, it should be omitted (rather than specifying a possibly incorrect default). Examples: \"zh-Hant\", \"ja\", \"ja-Latn\", \"en\"." }, "revision": { "format": "int32", "type": "integer", "description": "The schema revision of the `PostalAddress`. This must be set to 0, which is the latest revision. All new revisions **must** be backward compatible with old revisions." }, "postalCode": { "type": "string", "description": "Optional. Postal code of the address. Not all countries use or require postal codes to be present, but where they are used, they may trigger additional validation with other parts of the address (e.g. state/zip validation in the U.S.A.)." }, "addressLines": { "description": "Unstructured address lines describing the lower levels of an address. Because values in address_lines do not have type information and may sometimes contain multiple values in a single field (e.g. \"Austin, TX\"), it is important that the line order is clear. The order of address lines should be \"envelope order\" for the country/region of the address. In places where this can vary (e.g. Japan), address_language is used to make it explicit (e.g. \"ja\" for large-to-small ordering and \"ja-Latn\" or \"en\" for small-to-large). This way, the most specific line of an address can be selected based on the language. The minimum permitted structural representation of an address consists of a region_code with all remaining information placed in the address_lines. It would be possible to format such an address very approximately without geocoding, but no semantic reasoning could be made about any of the address components until it was at least partially resolved. Creating an address only containing a region_code and address_lines, and then geocoding is the recommended way to handle completely unstructured addresses (as opposed to guessing which parts of the address should be localities or administrative areas).", "type": "array", "items": { "type": "string" } }, "regionCode": { "description": "Required. CLDR region code of the country/region of the address. This is never inferred and it is up to the user to ensure the value is correct. See https://cldr.unicode.org/ and https://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland.", "type": "string" }, "locality": { "description": "Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines.", "type": "string" } }, "description": "Represents a postal address, e.g. for postal delivery or payments addresses. Given a postal address, a postal service can deliver items to a premise, P.O. Box or similar. It is not intended to model geographical locations (roads, towns, mountains). In typical usage an address would be created via user input or from importing existing data, depending on the type of process. Advice on address input / editing: - Use an internationalization-ready address widget such as https://github.com/google/libaddressinput) - Users should not be presented with UI elements for input or editing of fields outside countries where that field is used. For more guidance on how to use this schema, please see: https://support.google.com/business/answer/6397478", "id": "PostalAddress", "type": "object" }, "AttributeValueMetadata": { "description": "Metadata for supported attribute values.", "type": "object", "properties": { "value": { "type": "any", "description": "The attribute value." }, "displayName": { "description": "The display name for this value, localized where available; otherwise, in English. The value display name is intended to be used in context with the attribute display name. For example, for a \"WiFi\" enum attribute, this could contain \"Paid\" to represent paid Wi-Fi.", "type": "string" } }, "id": "AttributeValueMetadata" }, "ClearLocationAssociationRequest": { "description": "Request message for Locations.ClearLocationAssociationRequest.", "type": "object", "id": "ClearLocationAssociationRequest", "properties": {} } }, "batchPath": "batch", "documentationLink": "https://developers.google.com/my-business/", "mtlsRootUrl": "https://mybusinessbusinessinformation.mtls.googleapis.com/", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" } }
]===]))
