local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "mybusinesslodging:v1", "name": "mybusinesslodging", "canonicalName": "My Business Lodging", "ownerDomain": "google.com", "version": "v1", "kind": "discovery#restDescription", "schemas": { "PersonalProtection": { "properties": { "protectiveEquipmentAvailable": { "description": "Masks and/or gloves available for guests.", "type": "boolean" }, "guestRoomHygieneKitsAvailableException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Guest room hygiene kits available exception.", "type": "string" }, "commonAreasOfferSanitizingItems": { "type": "boolean", "description": "Hand-sanitizer and/or sanitizing wipes are offered in common areas." }, "protectiveEquipmentAvailableException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Protective equipment available exception." }, "faceMaskRequiredException": { "type": "string", "description": "Face mask required exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "commonAreasOfferSanitizingItemsException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Common areas offer sanitizing items exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "faceMaskRequired": { "type": "boolean", "description": "Masks required on the property." }, "guestRoomHygieneKitsAvailable": { "description": "In-room hygiene kits with masks, hand sanitizer, and/or antibacterial wipes.", "type": "boolean" } }, "description": "Personal protection measures implemented by the hotel during COVID-19.", "type": "object", "id": "PersonalProtection" }, "LivingAreaEating": { "description": "Information about eating features in the living area.", "id": "LivingAreaEating", "type": "object", "properties": { "refrigeratorException": { "type": "string", "description": "Refrigerator exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "teaStationException": { "description": "Tea station exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "teaStation": { "description": "Tea station. A small area with the supplies needed to heat water and make tea.", "type": "boolean" }, "outdoorGrill": { "type": "boolean", "description": "Outdoor grill. Metal grates on which food is cooked over an open flame or electric heat source. Part of an outdoor apparatus that supports the grates. Also known as barbecue grill or barbecue." }, "microwaveException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Microwave exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "stove": { "type": "boolean", "description": "Stove. A kitchen appliance powered by gas or electricity for the purpose of creating a flame or hot surface on which pots of food can be cooked. Also known as cooktop or hob." }, "sink": { "type": "boolean", "description": "Sink. A basin with a faucet attached to a water source and used for the purpose of washing and rinsing." }, "microwave": { "description": "Microwave. An electric oven that quickly cooks and heats food by microwave energy. Smaller than a standing or wall mounted oven. Usually placed on a kitchen counter, a shelf or tabletop or mounted above a cooktop.", "type": "boolean" }, "dishwasher": { "type": "boolean", "description": "Dishwasher. A counter-height electrical cabinet containing racks for dirty dishware, cookware and cutlery, and a dispenser for soap built into the pull-down door. The cabinet is attached to the plumbing system to facilitate the automatic cleaning of its contents." }, "stoveException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Stove exception.", "type": "string" }, "oven": { "description": "Oven. A temperature controlled, heated metal cabinet powered by gas or electricity in which food is placed for the purpose of cooking or reheating.", "type": "boolean" }, "minibar": { "description": "Minibar. A small refrigerated cabinet in the guestroom containing bottles/cans of soft drinks, mini bottles of alcohol, and snacks. The items are most commonly available for a fee.", "type": "boolean" }, "snackbar": { "type": "boolean", "description": "Snackbar. A small cabinet in the guestroom containing snacks. The items are most commonly available for a fee." }, "cookware": { "type": "boolean", "description": "Cookware. Kitchen pots, pans and utensils used in connection with the preparation of food." }, "minibarException": { "description": "Minibar exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "coffeeMaker": { "description": "Coffee maker. An electric appliance that brews coffee by heating and forcing water through ground coffee.", "type": "boolean" }, "indoorGrill": { "description": "Indoor grill. Metal grates built into an indoor cooktop on which food is cooked over an open flame or electric heat source.", "type": "boolean" }, "snackbarException": { "description": "Snackbar exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "dishwasherException": { "description": "Dishwasher exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "cookwareException": { "description": "Cookware exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "toaster": { "description": "Toaster. A small, temperature controlled electric appliance with rectangular slots at the top that are lined with heated coils for the purpose of browning slices of bread products.", "type": "boolean" }, "toasterException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Toaster exception." }, "coffeeMakerException": { "description": "Coffee maker exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "sinkException": { "description": "Sink exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "kettle": { "description": "Kettle. A covered container with a handle and a spout used for boiling water.", "type": "boolean" }, "kitchenAvailableException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Kitchen available exception." }, "indoorGrillException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Indoor grill exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "ovenException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Oven exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "kitchenAvailable": { "description": "Kitchen available. An area of the guestroom designated for the preparation and storage of food via the presence of a refrigerator, cook top, oven and sink, as well as cutlery, dishes and cookware. Usually includes small appliances such a coffee maker and a microwave. May or may not include an automatic dishwasher.", "type": "boolean" }, "outdoorGrillException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Outdoor grill exception." }, "refrigerator": { "type": "boolean", "description": "Refrigerator. A large, climate-controlled electrical cabinet with vertical doors. Built for the purpose of chilling and storing perishable foods." }, "kettleException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Kettle exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } } }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "id": "TimeOfDay", "type": "object", "properties": { "hours": { "type": "integer", "format": "int32", "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time." }, "nanos": { "type": "integer", "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32" }, "seconds": { "format": "int32", "type": "integer", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "type": "integer", "format": "int32" } } }, "WaterConservation": { "type": "object", "id": "WaterConservation", "properties": { "waterSavingShowersException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Water saving showers exception." }, "waterSavingToilets": { "description": "Water saving toilets. All of the property's toilets use 1.6 gallons per flush, or less.", "type": "boolean" }, "waterSavingSinks": { "description": "Water saving sinks. All of the property's guest rooms have bathroom faucets that use a maximum of 1.5 gallons per minute (gpm), public restroom faucets do not exceed 0.5 gpm, and kitchen faucets (excluding faucets used exclusively for filling operations) do not exceed 2.2 gpm.", "type": "boolean" }, "linenReuseProgramException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Linen reuse program exception." }, "waterSavingSinksException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Water saving sinks exception." }, "linenReuseProgram": { "description": "Linen reuse program. The property offers a linen reuse program.", "type": "boolean" }, "independentOrganizationAuditsWaterUse": { "type": "boolean", "description": "Independent organization audits water use. The property conducts a water conservation audit every 5 years, the results of which are either verified by a third-party and/or published in external communications. A water conservation audit is a detailed assessment of the facility, providing recommendations to existing operations and procedures to improve water efficiency, available incentives or rebates, and opportunities for improvements through renovations or upgrades. Examples of organizations who conduct credible third party audits include: Engie Impact, and local utility providers (they often provide energy and water audits)." }, "waterSavingToiletsException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Water saving toilets exception." }, "waterSavingShowers": { "description": "Water saving showers. All of the property's guest rooms have shower heads that use no more than 2.0 gallons per minute (gpm).", "type": "boolean" }, "towelReuseProgram": { "description": "Towel reuse program. The property offers a towel reuse program.", "type": "boolean" }, "towelReuseProgramException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Towel reuse program exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "independentOrganizationAuditsWaterUseException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Independent organization audits water use exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } }, "description": "Water conservation practices implemented at the hotel." }, "Sustainability": { "properties": { "waterConservation": { "description": "Water conservation practices implemented at the hotel.", "$ref": "WaterConservation" }, "energyEfficiency": { "description": "Energy efficiency practices implemented at the hotel.", "$ref": "EnergyEfficiency" }, "wasteReduction": { "$ref": "WasteReduction", "description": "Waste reduction practices implemented at the hotel." }, "sustainableSourcing": { "description": "Sustainable sourcing practices implemented at the hotel.", "$ref": "SustainableSourcing" }, "sustainabilityCertifications": { "description": "Sustainability certifications the hotel has been awarded.", "$ref": "SustainabilityCertifications" } }, "description": "Sustainability practices implemented at the hotel.", "id": "Sustainability", "type": "object" }, "EnergyEfficiency": { "properties": { "greenBuildingDesignException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "readOnly": true, "description": "Output only. Green building design exception." }, "energyConservationProgramException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Energy conservation program exception." }, "carbonFreeEnergySources": { "type": "boolean", "description": "Carbon free energy sources. Property sources carbon-free electricity via at least one of the following methods: on-site clean energy generation, power purchase agreement(s) with clean energy generators, green power provided by electricity supplier, or purchases of Energy Attribute Certificates (such as Renewable Energy Certificates or Guarantees of Origin)." }, "energySavingThermostats": { "description": "Energy saving thermostats. The property installed energy-saving thermostats throughout the building to conserve energy when rooms or areas are not in use. Energy-saving thermostats are devices that control heating/cooling in the building by learning temperature preferences and automatically adjusting to energy-saving temperatures as the default. The thermostats are automatically set to a temperature between 68-78 degrees F (20-26 °C), depending on seasonality. In the winter, set the thermostat to 68°F (20°C) when the room is occupied, lowering room temperature when unoccupied. In the summer, set the thermostat to 78°F (26°C) when the room is occupied.", "type": "boolean" }, "greenBuildingDesign": { "description": "Output only. Green building design. True if BREEAM-* or LEED-* certified.", "type": "boolean", "readOnly": true }, "energyConservationProgram": { "description": "Energy conservation program. The property tracks corporate-level Scope 1 and 2 GHG emissions, and Scope 3 emissions if available. The property has a commitment to implement initiatives that reduce GHG emissions year over year. The property has shown an absolute reduction in emissions for at least 2 years. Emissions are either verfied by a third-party and/or published in external communications.", "type": "boolean" }, "energyEfficientLightingException": { "description": "Energy efficient lighting exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "energySavingThermostatsException": { "description": "Energy saving thermostats exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "independentOrganizationAuditsEnergyUseException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Independent organization audits energy use exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "carbonFreeEnergySourcesException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Carbon free energy sources exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "independentOrganizationAuditsEnergyUse": { "description": "Independent organization audits energy use. The property conducts an energy audit at least every 5 years, the results of which are either verified by a third-party and/or published in external communications. An energy audit is a detailed assessment of the facility which provides recommendations to existing operations and procedures to improve energy efficiency, available incentives or rebates,and opportunities for improvements through renovations or upgrades. Examples of organizations that conduct credible third party audits include: Engie Impact, DNV GL (EU), Dexma, and local utility providers (they often provide energy and water audits).", "type": "boolean" }, "energyEfficientLighting": { "type": "boolean", "description": "Energy efficient lighting. At least 75% of the property's lighting is energy efficient, using lighting that is more than 45 lumens per watt – typically LED or CFL lightbulbs." }, "energyEfficientHeatingAndCoolingSystemsException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Energy efficient heating and cooling systems exception.", "type": "string" }, "energyEfficientHeatingAndCoolingSystems": { "description": "Energy efficient heating and cooling systems. The property doesn't use chlorofluorocarbon (CFC)-based refrigerants in heating, ventilating, and air-conditioning systems unless a third-party audit shows it's not economically feasible. The CFC-based refrigerants which are used should have a Global Warming Potential (GWP) ≤ 10. The property uses occupancy sensors on HVAC systems in back-of-house spaces, meeting rooms, and other low-traffic areas.", "type": "boolean" } }, "id": "EnergyEfficiency", "description": "Energy efficiency practices implemented at the hotel.", "type": "object" }, "LivingAreaSleeping": { "type": "object", "description": "Information about sleeping features in the living area.", "properties": { "hypoallergenicBeddingException": { "description": "Hypoallergenic bedding exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "doubleBedsCountException": { "description": "Double beds count exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "singleOrTwinBedsCount": { "type": "integer", "description": "Single or twin count beds. The number of smaller beds measuring 38\"W x 75\"L (97cm x 191cm) that can accommodate one adult.", "format": "int32" }, "sofaBedsCountException": { "description": "Sofa beds count exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "otherBedsCount": { "type": "integer", "description": "Other beds count. The number of beds that are not standard mattress and boxspring setups such as Japanese tatami mats, trundle beds, air mattresses and cots.", "format": "int32" }, "rollAwayBedsCountException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Roll away beds count exception." }, "cribsCount": { "type": "integer", "description": "Cribs count. The number of small beds for an infant or toddler that the guestroom can obtain. The bed is surrounded by a high railing to prevent the child from falling or climbing out of the bed", "format": "int32" }, "bunkBedsCountException": { "type": "string", "description": "Bunk beds count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "kingBedsCountException": { "description": "King beds count exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "memoryFoamPillows": { "description": "Memory foam pillows. The option for guests to obtain bed pillows that are stuffed with a man-made foam that responds to body heat by conforming to the body closely, and then recovers its shape when the pillow cools down.", "type": "boolean" }, "bunkBedsCount": { "format": "int32", "description": "Bunk beds count. The number of furniture pieces in which one framed mattress is fixed directly above another by means of a physical frame. This allows one person(s) to sleep in the bottom bunk and one person(s) to sleep in the top bunk. Also known as double decker bed.", "type": "integer" }, "rollAwayBedsCount": { "type": "integer", "format": "int32", "description": "Roll away beds count. The number of mattresses on wheeled frames that can be folded in half and rolled away for easy storage that the guestroom can obtain upon request." }, "queenBedsCountException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Queen beds count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "singleOrTwinBedsCountException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Single or twin beds count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "bedsCountException": { "type": "string", "description": "Beds count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "featherPillows": { "description": "Feather pillows. The option for guests to obtain bed pillows that are stuffed with the feathers and down of ducks or geese.", "type": "boolean" }, "bedsCount": { "format": "int32", "type": "integer", "description": "Beds count. The number of permanent beds present in a guestroom. Does not include rollaway beds, cribs or sofabeds." }, "queenBedsCount": { "description": "Queen beds count. The number of medium-large beds measuring 60\"W x 80\"L (152cm x 102cm).", "format": "int32", "type": "integer" }, "featherPillowsException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Feather pillows exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "sofaBedsCount": { "format": "int32", "type": "integer", "description": "Sofa beds count. The number of specially designed sofas that can be made to serve as a bed by lowering its hinged upholstered back to horizontal position or by pulling out a concealed mattress." }, "doubleBedsCount": { "type": "integer", "format": "int32", "description": "Double beds count. The number of medium beds measuring 53\"W x 75\"L (135cm x 191cm). Also known as full size bed." }, "hypoallergenicBedding": { "type": "boolean", "description": "Hypoallergenic bedding. Bedding such as linens, pillows, mattress covers and/or mattresses that are made of materials known to be resistant to allergens such as mold, dust and dander." }, "kingBedsCount": { "format": "int32", "description": "King beds count. The number of large beds measuring 76\"W x 80\"L (193cm x 102cm). Most often meant to accompany two people. Includes California king and super king.", "type": "integer" }, "otherBedsCountException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Other beds count exception." }, "syntheticPillowsException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Synthetic pillows exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "cribsCountException": { "type": "string", "description": "Cribs count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "memoryFoamPillowsException": { "description": "Memory foam pillows exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "syntheticPillows": { "type": "boolean", "description": "Synthetic pillows. The option for guests to obtain bed pillows stuffed with polyester material crafted to reproduce the feel of a pillow stuffed with down and feathers." } }, "id": "LivingAreaSleeping" }, "SustainableSourcing": { "type": "object", "description": "Sustainable sourcing practices implemented at the hotel.", "properties": { "organicCageFreeEggsException": { "description": "Organic cage free eggs exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "veganMealsException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Vegan meals exception." }, "veganMeals": { "description": "Vegan meals. The property provides vegan menu options for guests. Vegan food does not contain animal products or byproducts.", "type": "boolean" }, "responsiblePurchasingPolicy": { "description": "Responsible purchasing policy. The property has a responsible procurement policy in place. Responsible means integration of social, ethical, and/or environmental performance factors into the procurement process when selecting suppliers.", "type": "boolean" }, "organicCageFreeEggs": { "type": "boolean", "description": "Organic cage free eggs. The property sources 100% certified organic and cage-free eggs (shell, liquid, and egg products). Cage-free means hens are able to walk, spread their wings and lay their eggs in nests)." }, "ecoFriendlyToiletriesException": { "description": "Eco friendly toiletries exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "organicFoodAndBeverages": { "type": "boolean", "description": "Organic food and beverages. At least 25% of food and beverages, by spend, are certified organic. Organic means products that are certified to one of the organic standard listed in the IFOAM family of standards. Qualifying certifications include USDA Organic and EU Organic, among others." }, "locallySourcedFoodAndBeverages": { "type": "boolean", "description": "Locally sourced food and beverages. Property sources locally in order to lower the environmental footprint from reduced transportation and to stimulate the local economy. Products produced less than 62 miles from the establishment are normally considered as locally produced." }, "responsiblySourcesSeafood": { "type": "boolean", "description": "Responsibly sources seafood. The property does not source seafood from the Monterey Bay Aquarium Seafood Watch \"avoid\" list, and must sustainably source seafood listed as \"good alternative,\" \"eco-certified,\" and \"best choice\". The property has a policy outlining a commitment to source Marine Stewardship Council (MSC) and/or Aquaculture Stewardship Council (ASC) Chain of Custody certified seafood." }, "organicFoodAndBeveragesException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Organic food and beverages exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "responsiblePurchasingPolicyException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Responsible purchasing policy exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "vegetarianMeals": { "description": "Vegetarian meals. The property provides vegetarian menu options for guests. Vegetarian food does not contain meat, poultry, fish, or seafood.", "type": "boolean" }, "responsiblySourcesSeafoodException": { "description": "Responsibly sources seafood exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "ecoFriendlyToiletries": { "description": "Eco friendly toiletries. Soap, shampoo, lotion, and other toiletries provided for guests have a nationally or internationally recognized sustainability certification, such as USDA Organic, EU Organic, or cruelty-free.", "type": "boolean" }, "vegetarianMealsException": { "description": "Vegetarian meals exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "locallySourcedFoodAndBeveragesException": { "description": "Locally sourced food and beverages exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" } }, "id": "SustainableSourcing" }, "LivingAreaAccessibility": { "type": "object", "description": "Accessibility features of the living area.", "id": "LivingAreaAccessibility", "properties": { "adaCompliantUnit": { "type": "boolean", "description": "ADA compliant unit. A guestroom designed to accommodate the physical challenges of a guest with mobility and/or auditory and/or visual issues, as determined by legislative policy. Usually features enlarged doorways, roll-in showers with seats, bathroom grab bars, and communication equipment for the hearing and sight challenged." }, "hearingAccessibleDoorbell": { "type": "boolean", "description": "Hearing-accessible doorbell. A visual indicator(s) of a knock or ring at the door." }, "hearingAccessibleDoorbellException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Hearing-accessible doorbell exception.", "type": "string" }, "hearingAccessibleFireAlarm": { "type": "boolean", "description": "Hearing-accessible fire alarm. A device that gives warning of a fire through flashing lights." }, "mobilityAccessibleBathtubException": { "description": "Mobility-accessible bathtub exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "mobilityAccessibleUnit": { "description": "Mobility-accessible unit. A guestroom designed to accommodate the physical challenges of a guest with mobility and/or auditory and/or visual issues. Usually features enlarged doorways, roll-in showers with seats, bathroom grab bars, and communication equipment for the hearing and sight challenged.", "type": "boolean" }, "hearingAccessibleUnit": { "type": "boolean", "description": "Hearing-accessible unit. A guestroom designed to accommodate the physical challenges of a guest with auditory issues." }, "mobilityAccessibleShowerException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Mobility-accessible shower exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "mobilityAccessibleBathtub": { "description": "Mobility-accessible bathtub. A bathtub that accomodates the physically challenged with additional railings or hand grips, a transfer seat or lift, and/or a door to enable walking into the tub.", "type": "boolean" }, "mobilityAccessibleToilet": { "type": "boolean", "description": "Mobility-accessible toilet. A toilet with a higher seat, grab bars, and/or a larger area around it to accommodate the physically challenged." }, "mobilityAccessibleShower": { "description": "Mobility-accessible shower. A shower with an enlarged door or access point to accommodate a wheelchair or a waterproof seat for the physically challenged.", "type": "boolean" }, "adaCompliantUnitException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "ADA compliant unit exception." }, "hearingAccessibleFireAlarmException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Hearing-accessible fire alarm exception." }, "mobilityAccessibleToiletException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Mobility-accessible toilet exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "mobilityAccessibleUnitException": { "type": "string", "description": "Mobility-accessible unit exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "hearingAccessibleUnitException": { "description": "Hearing-accessible unit exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" } } }, "Activities": { "properties": { "beachAccess": { "description": "Beach access. The hotel property is in close proximity to a beach and offers a way to get to that beach. This can include a route to the beach such as stairs down if hotel is on a bluff, or a short trail. Not the same as beachfront (with beach access, the hotel's proximity is close to but not right on the beach).", "type": "boolean" }, "privateBeachException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Private beach exception.", "type": "string" }, "watercraftRental": { "description": "Watercraft rental. The hotel owns water vessels that it permits guests to borrow and use. Can be free or for a fee. Watercraft may include boats, pedal boats, rowboats, sailboats, powerboats, canoes, kayaks, or personal watercraft (such as a Jet Ski).", "type": "boolean" }, "bicycleRental": { "type": "boolean", "description": "Bicycle rental. The hotel owns bicycles that it permits guests to borrow and use. Can be free or for a fee." }, "boutiqueStoresException": { "description": "Boutique stores exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "scuba": { "description": "Scuba. The provision for guests to dive under naturally occurring water fitted with a self-contained underwater breathing apparatus (SCUBA) for the purpose of exploring underwater life. Apparatus consists of a tank providing oxygen to the diver through a mask. Requires certification of the diver and supervision. The hotel may have the activity at its own waterfront or have an affiliation with a nearby facility. Required equipment is most often supplied to guests. Can be free or for a fee. Not snorkeling. Not done in a swimming pool.", "type": "boolean" }, "freeWatercraftRental": { "description": "Free watercraft rental. The hotel owns watercraft that it permits guests to borrow and use for free.", "type": "boolean" }, "casino": { "description": "Casino. A space designated for gambling and gaming featuring croupier-run table and card games, as well as electronic slot machines. May be on hotel premises or located nearby.", "type": "boolean" }, "snorkeling": { "type": "boolean", "description": "Snorkeling. The provision for guests to participate in a recreational water activity in which swimmers wear a diving mask, a simple, shaped breathing tube and flippers/swim fins for the purpose of exploring below the surface of an ocean, gulf or lake. Does not usually require user certification or professional supervision. Equipment may or may not be available for rent or purchase. Not scuba diving." }, "golf": { "type": "boolean", "description": "Golf. There is a golf course on hotel grounds or there is a nearby, independently run golf course that allows use by hotel guests. Can be free or for a fee." }, "boutiqueStores": { "type": "boolean", "description": "Boutique stores. There are stores selling clothing, jewelry, art and decor either on hotel premises or very close by. Does not refer to the hotel gift shop or convenience store." }, "snorkelingException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Snorkeling exception." }, "nightclubException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Nightclub exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "waterSkiing": { "type": "boolean", "description": "Water skiing. The provision of giving guests the opportunity to be pulled across naturally occurring water while standing on skis and holding a tow rope attached to a motorboat. Can occur on hotel premises or at a nearby waterfront. Most often performed in a lake or ocean." }, "beachFrontException": { "type": "string", "description": "Beach front exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "gameRoom": { "type": "boolean", "description": "Game room. There is a room at the hotel containing electronic machines for play such as pinball, prize machines, driving simulators, and other items commonly found at a family fun center or arcade. May also include non-electronic games like pool, foosball, darts, and more. May or may not be designed for children. Also known as arcade, fun room, or family fun center." }, "golfException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Golf exception.", "type": "string" }, "gameRoomException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Game room exception." }, "privateBeach": { "description": "Private beach. The beach which is in close proximity to the hotel is open only to guests.", "type": "boolean" }, "beachAccessException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Beach access exception." }, "horsebackRidingException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Horseback riding exception.", "type": "string" }, "casinoException": { "type": "string", "description": "Casino exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "horsebackRiding": { "type": "boolean", "description": "Horseback riding. The hotel has a horse barn onsite or an affiliation with a nearby barn to allow for guests to sit astride a horse and direct it to walk, trot, cantor, gallop and/or jump. Can be in a riding ring, on designated paths, or in the wilderness. May or may not involve instruction." }, "waterSkiingException": { "description": "Water skiing exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "scubaException": { "type": "string", "description": "Scuba exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "tennisException": { "description": "Tennis exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "bicycleRentalException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Bicycle rental exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "tennis": { "description": "Tennis. The hotel has the requisite court(s) on site or has an affiliation with a nearby facility for the purpose of providing guests with the opportunity to play a two-sided court-based game in which players use a stringed racquet to hit a ball across a net to the side of the opposing player. The court can be indoors or outdoors. Instructors, racquets and balls may or may not be provided.", "type": "boolean" }, "nightclub": { "type": "boolean", "description": "Nightclub. There is a room at the hotel with a bar, a dance floor, and seating where designated staffers play dance music. There may also be a designated area for the performance of live music, singing and comedy acts." }, "freeBicycleRentalException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Free bicycle rental exception." }, "beachFront": { "type": "boolean", "description": "Breach front. The hotel property is physically located on the beach alongside an ocean, sea, gulf, or bay. It is not on a lake, river, stream, or pond. The hotel is not separated from the beach by a public road allowing vehicular, pedestrian, or bicycle traffic." }, "freeWatercraftRentalException": { "description": "Free Watercraft rental exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "watercraftRentalException": { "description": "Watercraft rental exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "freeBicycleRental": { "type": "boolean", "description": "Free bicycle rental. The hotel owns bicycles that it permits guests to borrow and use for free." } }, "type": "object", "id": "Activities", "description": "Amenities and features related to leisure and play." }, "LivingArea": { "type": "object", "properties": { "accessibility": { "description": "Accessibility features of the living area.", "$ref": "LivingAreaAccessibility" }, "layout": { "description": "Information about the layout of the living area.", "$ref": "LivingAreaLayout" }, "sleeping": { "$ref": "LivingAreaSleeping", "description": "Information about sleeping features in the living area." }, "features": { "$ref": "LivingAreaFeatures", "description": "Features in the living area." }, "eating": { "$ref": "LivingAreaEating", "description": "Information about eating features in the living area." } }, "description": "An individual room, such as kitchen, bathroom, bedroom, within a bookable guest unit.", "id": "LivingArea" }, "EnhancedCleaning": { "description": "Enhanced cleaning measures implemented by the hotel during COVID-19.", "type": "object", "properties": { "commonAreasEnhancedCleaningException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Common areas enhanced cleaning exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "commonAreasEnhancedCleaning": { "description": "Enhanced cleaning of common areas.", "type": "boolean" }, "employeesWearProtectiveEquipmentException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Employees wear protective equipment exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "employeesTrainedThoroughHandWashingException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Employees trained thorough hand washing exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "commercialGradeDisinfectantCleaning": { "type": "boolean", "description": "Commercial-grade disinfectant used to clean the property." }, "employeesTrainedCleaningProcedures": { "type": "boolean", "description": "Employees trained in COVID-19 cleaning procedures." }, "commercialGradeDisinfectantCleaningException": { "description": "Commercial grade disinfectant cleaning exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "guestRoomsEnhancedCleaning": { "type": "boolean", "description": "Enhanced cleaning of guest rooms." }, "guestRoomsEnhancedCleaningException": { "description": "Guest rooms enhanced cleaning exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "employeesTrainedCleaningProceduresException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Employees trained cleaning procedures exception." }, "employeesWearProtectiveEquipment": { "type": "boolean", "description": "Employees wear masks, face shields, and/or gloves." }, "employeesTrainedThoroughHandWashing": { "type": "boolean", "description": "Employees trained in thorough hand-washing." } }, "id": "EnhancedCleaning" }, "Pets": { "id": "Pets", "description": "Policies regarding guest-owned animals.", "type": "object", "properties": { "dogsAllowed": { "description": "Dogs allowed. Domesticated canines are permitted at the property and allowed to stay in the guest room of their owner. May or may not require a fee.", "type": "boolean" }, "petsAllowed": { "description": "Pets allowed. Household animals are allowed at the property and in the specific guest room of their owner. May or may not include dogs, cats, reptiles and/or fish. May or may not require a fee. Service animals are not considered to be pets, so not governed by this policy.", "type": "boolean" }, "dogsAllowedException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Dogs allowed exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "catsAllowedException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Cats allowed exception." }, "catsAllowed": { "description": "Cats allowed. Domesticated felines are permitted at the property and allowed to stay in the guest room of their owner. May or may not require a fee.", "type": "boolean" }, "petsAllowedFreeException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Pets allowed free exception." }, "petsAllowedFree": { "description": "Pets allowed free. Household animals are allowed at the property and in the specific guest room of their owner for free. May or may not include dogs, cats, reptiles, and/or fish.", "type": "boolean" }, "petsAllowedException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Pets allowed exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } } }, "HealthAndSafety": { "type": "object", "properties": { "enhancedCleaning": { "$ref": "EnhancedCleaning", "description": "Enhanced cleaning measures implemented by the hotel during COVID-19." }, "personalProtection": { "description": "Personal protection measures implemented by the hotel during COVID-19.", "$ref": "PersonalProtection" }, "increasedFoodSafety": { "$ref": "IncreasedFoodSafety", "description": "Increased food safety measures implemented by the hotel during COVID-19." }, "physicalDistancing": { "$ref": "PhysicalDistancing", "description": "Physical distancing measures implemented by the hotel during COVID-19." }, "minimizedContact": { "$ref": "MinimizedContact", "description": "Minimized contact measures implemented by the hotel during COVID-19." } }, "id": "HealthAndSafety", "description": "Health and safety measures implemented by the hotel during COVID-19." }, "WasteReduction": { "id": "WasteReduction", "description": "Waste reduction practices implemented at the hotel.", "type": "object", "properties": { "noSingleUsePlasticWaterBottles": { "description": "No single use plastic water bottles. The property bans single-use plastic water bottles.", "type": "boolean" }, "waterBottleFillingStations": { "description": "Water bottle filling stations. The property offers water stations throughout the building for guest use.", "type": "boolean" }, "safelyDisposesBatteriesException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Safely disposes batteries exception." }, "toiletryDonationProgram": { "type": "boolean", "description": "Toiletry donation program. The property participates in a toiletry donation program such as Clean the World or something similar." }, "safelyHandlesHazardousSubstancesException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Safely handles hazardous substances exception." }, "refillableToiletryContainersException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Refillable toiletry containers exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "noSingleUsePlasticStraws": { "type": "boolean", "description": "No single use plastic straws. The property bans single-use plastic straws." }, "noSingleUsePlasticWaterBottlesException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "No single use plastic water bottles exception." }, "donatesExcessFoodException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Donates excess food exception." }, "compostsExcessFoodException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Composts excess food exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "safelyDisposesLightbulbsException": { "description": "Safely disposes lightbulbs exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "safelyHandlesHazardousSubstances": { "type": "boolean", "description": "Safely handles hazardous substances. The property has a hazardous waste management program aligned wit GreenSeal and LEED requirements, and meets all regulatory requirements for hazardous waste disposal and recycling. Hazardous means substances that are classified as \"hazardous\" by an authoritative body (such as OSHA or DOT), are labeled with signal words such as \"Danger,\" \"Caution,\" \"Warning,\" or are flammable, corrosive, or ignitable. Requirements include: - The property shall maintain records of the efforts it has made to replace the hazardous substances it uses with less hazardous alternatives. - An inventory of the hazardous materials stored on-site. - Products intended for cleaning, dishwashing, laundry, and pool maintenance shall be stored in clearly labeled containers. These containers shall be checked regularly for leaks, and replaced a necessary. - Spill containment devices shall be installed to collect spills, drips, or leaching of chemicals." }, "donatesExcessFood": { "description": "Donates excess food. The property has a program and/or policy for diverting waste from landfill that may include efforts to donate for human consumption or divert food for animal feed.", "type": "boolean" }, "recyclingProgramException": { "description": "Recycling program exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "waterBottleFillingStationsException": { "description": "Water bottle filling stations exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "compostsExcessFood": { "type": "boolean", "description": "Composts excess food. The property has a program and/or policy for diverting waste from landfill by composting food and yard waste, either through compost collection and off-site processing or on-site compost processing." }, "noStyrofoamFoodContainersException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "No styrofoam food containers exception.", "type": "string" }, "safelyDisposesElectronicsException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Safely disposes electronics exception.", "type": "string" }, "noSingleUsePlasticStrawsException": { "description": "No single use plastic straws exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "safelyDisposesBatteries": { "type": "boolean", "description": "Safely disposes batteries. The property safely stores and disposes batteries." }, "recyclingProgram": { "description": "Recycling program. The property has a recycling program, aligned with LEED waste requirements, and a policy outlining efforts to send less than 50% of waste to landfill. The recycling program includes storage locations for recyclable materials, including mixed paper, corrugated cardboard, glass, plastics, and metals.", "type": "boolean" }, "refillableToiletryContainers": { "type": "boolean", "description": "Refillable toiletry containers. The property has replaced miniature individual containers with refillable amenity dispensers for shampoo, conditioner, soap, and lotion." }, "compostableFoodContainersAndCutleryException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Compostable food containers and cutlery exception.", "type": "string" }, "noStyrofoamFoodContainers": { "description": "No styrofoam food containers. The property eliminates the use of Styrofoam in disposable food service items.", "type": "boolean" }, "soapDonationProgramException": { "description": "Soap donation program exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "foodWasteReductionProgram": { "description": "Food waste reduction program. The property has established a food waste reduction and donation program, aiming to reduce food waste by half. These programs typically use tools such as the Hotel Kitchen Toolkit and others to track waste and measure progress.", "type": "boolean" }, "toiletryDonationProgramException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Toiletry donation program exception.", "type": "string" }, "compostableFoodContainersAndCutlery": { "type": "boolean", "description": "Compostable food containers and cutlery. 100% of food service containers and to-go cutlery are compostable, and reusable utensils are offered wherever possible. Compostable materials are capable of undergoing biological decomposition in a compost site, such that material is not visually distinguishable and breaks down into carbon dioxide, water, inorganic compounds, and biomass." }, "soapDonationProgram": { "description": "Soap donation program. The property participates in a soap donation program such as Clean the World or something similar.", "type": "boolean" }, "safelyDisposesLightbulbs": { "description": "Safely disposes lightbulbs. The property safely stores and disposes lightbulbs.", "type": "boolean" }, "foodWasteReductionProgramException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Food waste reduction program exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "safelyDisposesElectronics": { "type": "boolean", "description": "Safely disposes electronics. The property has a reputable recycling program that keeps hazardous electronic parts and chemical compounds out of landfills, dumps and other unauthorized abandonment sites, and recycles/reuses applicable materials. (e.g. certified electronics recyclers)." } } }, "Families": { "type": "object", "properties": { "babysittingException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Babysitting exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "kidsActivities": { "type": "boolean", "description": "Kids activities. Recreational options such as sports, films, crafts and games designed for the enjoyment of children and offered at the hotel. May or may not be supervised. May or may not be at a designated time or place. Cab be free or for a fee." }, "kidsClub": { "description": "Kids club. An organized program of group activities held at the hotel and designed for the enjoyment of children. Facilitated by hotel staff (or staff procured by the hotel) in an area(s) designated for the purpose of entertaining children without their parents. May include games, outings, water sports, team sports, arts and crafts, and films. Usually has set hours. Can be free or for a fee. Also known as Kids Camp or Kids program.", "type": "boolean" }, "babysitting": { "description": "Babysitting. Child care that is offered by hotel staffers or coordinated by hotel staffers with local child care professionals. Can be free or for a fee.", "type": "boolean" }, "kidsClubException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Kids club exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "kidsActivitiesException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Kids activities exception." } }, "id": "Families", "description": "Services and amenities for families and young guests." }, "Policies": { "properties": { "kidsStayFreeException": { "description": "Kids stay free exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "checkinTime": { "description": "Check-in time. The time of the day at which the hotel begins providing guests access to their unit at the beginning of their stay.", "$ref": "TimeOfDay" }, "smokeFreePropertyException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Smoke free property exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "maxChildAge": { "type": "integer", "format": "int32", "description": "Max child age. The hotel allows children up to a certain age to stay in the room/suite of a parent or adult without an additional fee." }, "checkinTimeException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Check-in time exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "maxChildAgeException": { "description": "Max child age exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "maxKidsStayFreeCount": { "format": "int32", "type": "integer", "description": "Max kids stay free count. The hotel allows a specific, defined number of children to stay in the room/suite of a parent or adult without an additional fee." }, "allInclusiveOnly": { "description": "All inclusive only. The only rate option offered by the hotel is a rate that includes the cost of the room, meals, activities and other amenities that might otherwise be charged separately.", "type": "boolean" }, "smokeFreeProperty": { "type": "boolean", "description": "Smoke free property. Smoking is not allowed inside the building, on balconies, or in outside spaces. Hotels that offer a designated area for guests to smoke are not considered smoke-free properties." }, "maxKidsStayFreeCountException": { "description": "Max kids stay free count exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "allInclusiveAvailable": { "description": "All inclusive available. The hotel offers a rate option that includes the cost of the room, meals, activities, and other amenities that might otherwise be charged separately.", "type": "boolean" }, "paymentOptions": { "description": "Forms of payment accepted at the property.", "$ref": "PaymentOptions" }, "allInclusiveOnlyException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "All inclusive only exception.", "type": "string" }, "kidsStayFree": { "description": "Kids stay free. The children of guests are allowed to stay in the room/suite of a parent or adult without an additional fee. The policy may or may not stipulate a limit of the child's age or the overall number of children allowed.", "type": "boolean" }, "checkoutTime": { "description": "Check-out time. The time of the day on the last day of a guest's reserved stay at which the guest must vacate their room and settle their bill. Some hotels may offer late or early check out for a fee.", "$ref": "TimeOfDay" }, "allInclusiveAvailableException": { "description": "All inclusive available exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "checkoutTimeException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Check-out time exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" } }, "id": "Policies", "description": "Property rules that impact guests.", "type": "object" }, "Transportation": { "type": "object", "description": "Vehicles or vehicular services facilitated or owned by the property.", "id": "Transportation", "properties": { "transfer": { "description": "Transfer. Hotel provides a shuttle service or car service to take guests to and from the nearest airport or train station. Can be free or for a fee. Guests may share the vehicle with other guests unknown to them.", "type": "boolean" }, "carRentalOnProperty": { "type": "boolean", "description": "Car rental on property. A branch of a rental car company with a processing desk in the hotel. Available cars for rent may be awaiting at the hotel or in a nearby lot." }, "carRentalOnPropertyException": { "description": "Car rental on property exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "airportShuttle": { "type": "boolean", "description": "Airport shuttle. The hotel provides guests with a chauffeured van or bus to and from the airport. Can be free or for a fee. Guests may share the vehicle with other guests unknown to them. Applies if the hotel has a third-party shuttle service (office/desk etc.) within the hotel. As long as hotel provides this service, it doesn't matter if it's directly with them or a third party they work with. Does not apply if guest has to coordinate with an entity outside/other than the hotel." }, "freePrivateCarServiceException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Free private car service exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "freeAirportShuttleException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Free airport shuttle exception." }, "privateCarServiceException": { "type": "string", "description": "Private car service exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "privateCarService": { "type": "boolean", "description": "Private car service. Hotel provides a private chauffeured car to transport guests to destinations. Passengers in the car are either alone or are known to one another and have requested the car together. Service can be free or for a fee and travel distance is usually limited to a specific range. Not a taxi." }, "freePrivateCarService": { "type": "boolean", "description": "Free private car service. Private chauffeured car service is free to guests." }, "localShuttleException": { "description": "Local shuttle exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "freeAirportShuttle": { "description": "Free airport shuttle. Airport shuttle is free to guests. Must be free to all guests without any conditions.", "type": "boolean" }, "airportShuttleException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Airport shuttle exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "transferException": { "type": "string", "description": "Transfer exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "localShuttle": { "type": "boolean", "description": "Local shuttle. A car, van or bus provided by the hotel to transport guests to destinations within a specified range of distance around the hotel. Usually shopping and/or convention centers, downtown districts, or beaches. Can be free or for a fee." } } }, "Business": { "type": "object", "description": "Features of the property of specific interest to the business traveler.", "id": "Business", "properties": { "meetingRoomsException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Meeting rooms exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "meetingRooms": { "description": "Meeting rooms. Rooms at the hotel designated for business-related gatherings. Rooms are usually equipped with tables or desks, office chairs and audio/visual facilities to allow for presentations and conference calls. Also known as conference rooms.", "type": "boolean" }, "meetingRoomsCount": { "description": "Meeting rooms count. The number of meeting rooms at the property.", "type": "integer", "format": "int32" }, "meetingRoomsCountException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Meeting rooms count exception.", "type": "string" }, "businessCenterException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Business center exception." }, "businessCenter": { "type": "boolean", "description": "Business center. A designated room at the hotel with one or more desks and equipped with guest-use computers, printers, fax machines and/or photocopiers. May or may not be open 24/7. May or may not require a key to access. Not a meeting room or conference room." } } }, "Connectivity": { "type": "object", "id": "Connectivity", "properties": { "publicAreaWifiAvailable": { "type": "boolean", "description": "Public area wifi available. Guests have the ability to wirelessly connect to the internet in the areas of the hotel accessible to anyone. Can be free or for a fee." }, "publicAreaWifiAvailableException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Public area wifi available exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "publicInternetTerminal": { "type": "boolean", "description": "Public internet terminal. An area of the hotel supplied with computers and designated for the purpose of providing guests with the ability to access the internet." }, "wifiAvailable": { "description": "Wifi available. The hotel provides the ability for guests to wirelessly connect to the internet. Can be in the public areas of the hotel and/or in the guest rooms. Can be free or for a fee.", "type": "boolean" }, "freeWifi": { "type": "boolean", "description": "Free wifi. The hotel offers guests wifi for free." }, "publicInternetTerminalException": { "description": "Public internet terminal exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "wifiAvailableException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Wifi available exception.", "type": "string" }, "freeWifiException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Free wifi exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" } }, "description": "The ways in which the property provides guests with the ability to access the internet." }, "FoodAndDrink": { "description": "Meals, snacks, and beverages available at the property.", "id": "FoodAndDrink", "type": "object", "properties": { "tableService": { "type": "boolean", "description": "Table service. A restaurant in which a staff member is assigned to a guest's table to take their order, deliver and clear away food, and deliver the bill, if applicable. Also known as sit-down restaurant." }, "bar": { "description": "Bar. A designated room, lounge or area of an on-site restaurant with seating at a counter behind which a hotel staffer takes the guest's order and provides the requested alcoholic drink. Can be indoors or outdoors. Also known as Pub.", "type": "boolean" }, "buffetException": { "description": "Buffet exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "restaurantsCountException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Restaurants count exception." }, "restaurantsCount": { "format": "int32", "type": "integer", "description": "Restaurants count. The number of restaurants at the hotel." }, "roomService": { "type": "boolean", "description": "Room service. A hotel staffer delivers meals prepared onsite to a guest's room as per their request. May or may not be available during specific hours. Services should be available to all guests (not based on rate/room booked/reward program, etc)." }, "dinnerBuffetException": { "type": "string", "description": "Dinner buffet exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "freeBreakfastException": { "description": "Free breakfast exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "twentyFourHourRoomServiceException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "24hr room service exception." }, "vendingMachineException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Vending machine exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "breakfastBuffetException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Breakfast buffet exception." }, "restaurant": { "type": "boolean", "description": "Restaurant. A business onsite at the hotel that is open to the public as well as guests, and offers meals and beverages to consume at tables or counters. May or may not include table service. Also known as cafe, buffet, eatery. A \"breakfast room\" where the hotel serves breakfast only to guests (not the general public) does not count as a restaurant." }, "buffet": { "type": "boolean", "description": "Buffet. A type of meal where guests serve themselves from a variety of dishes/foods that are put out on a table. Includes lunch and/or dinner meals. A breakfast-only buffet is not sufficient." }, "dinnerBuffet": { "description": "Dinner buffet. Dinner meal service where guests serve themselves from a variety of dishes/foods that are put out on a table.", "type": "boolean" }, "barException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Bar exception." }, "twentyFourHourRoomService": { "type": "boolean", "description": "24hr room service. Room service is available 24 hours a day." }, "vendingMachine": { "type": "boolean", "description": "Vending machine. A glass-fronted mechanized cabinet displaying and dispensing snacks and beverages for purchase by coins, paper money and/or credit cards." }, "tableServiceException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Table service exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "breakfastAvailable": { "description": "Breakfast available. The morning meal is offered to all guests. Can be free or for a fee.", "type": "boolean" }, "breakfastBuffet": { "description": "Breakfast buffet. Breakfast meal service where guests serve themselves from a variety of dishes/foods that are put out on a table.", "type": "boolean" }, "freeBreakfast": { "description": "Free breakfast. Breakfast is offered for free to all guests. Does not apply if limited to certain room packages.", "type": "boolean" }, "roomServiceException": { "type": "string", "description": "Room service exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "restaurantException": { "description": "Restaurant exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "breakfastAvailableException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Breakfast available exception.", "type": "string" } } }, "LanguageSpoken": { "type": "object", "description": "Language spoken by at least one staff member.", "id": "LanguageSpoken", "properties": { "languageCode": { "description": "Required. The BCP-47 language code for the spoken language. Currently accepted codes: ar, de, en, es, fil, fr, hi, id, it, ja, ko, nl, pt, ru, vi, yue, zh.", "type": "string" }, "spoken": { "description": "At least one member of the staff can speak the language.", "type": "boolean" }, "spokenException": { "description": "Spoken exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" } } }, "GuestUnitType": { "id": "GuestUnitType", "type": "object", "description": "A specific type of unit primarily defined by its features.", "properties": { "label": { "description": "Required. Short, English label or name of the GuestUnitType. Target \u003c50 chars.", "type": "string" }, "features": { "description": "Features and available amenities of the GuestUnitType.", "$ref": "GuestUnitFeatures" }, "codes": { "items": { "type": "string" }, "type": "array", "description": "Required. Unit or room code identifiers for a single GuestUnitType. Each code must be unique within a Lodging instance." } } }, "Property": { "description": "General factual information about the property's physical structure and important dates.", "properties": { "builtYear": { "format": "int32", "type": "integer", "description": "Built year. The year that construction of the property was completed." }, "roomsCountException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Rooms count exception." }, "floorsCount": { "description": "Floors count. The number of stories the building has from the ground floor to the top floor that are accessible to guests.", "type": "integer", "format": "int32" }, "lastRenovatedYear": { "format": "int32", "type": "integer", "description": "Last renovated year. The year when the most recent renovation of the property was completed. Renovation may include all or any combination of the following: the units, the public spaces, the exterior, or the interior." }, "roomsCount": { "format": "int32", "type": "integer", "description": "Rooms count. The total number of rooms and suites bookable by guests for an overnight stay. Does not include event space, public spaces, conference rooms, fitness rooms, business centers, spa, salon, restaurants/bars, or shops." }, "floorsCountException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Floors count exception." }, "lastRenovatedYearException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Last renovated year exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "builtYearException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Built year exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" } }, "id": "Property", "type": "object" }, "LivingAreaFeatures": { "type": "object", "properties": { "bidet": { "type": "boolean", "description": "Bidet. A plumbing fixture attached to a toilet or a low, fixed sink designed for the purpose of washing after toilet use." }, "airConditioningException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Air conditioning exception." }, "inunitSafeException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "In-unit safe exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "showerException": { "description": "Shower exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "inunitSafe": { "type": "boolean", "description": "In-unit safe. A strong fireproof cabinet with a programmable lock, used for the protected storage of valuables in a guestroom. Often built into a closet." }, "hairdryerException": { "type": "string", "description": "Hairdryer exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "hairdryer": { "type": "boolean", "description": "Hairdryer. A handheld electric appliance that blows temperature-controlled air for the purpose of drying wet hair. Can be mounted to a bathroom wall or a freestanding device stored in the guestroom's bathroom or closet." }, "airConditioning": { "type": "boolean", "description": "Air conditioning. An electrical machine used to cool the temperature of the guestroom." }, "tvException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "TV exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "bathtubException": { "description": "Bathtub exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "electronicRoomKey": { "description": "Electronic room key. A card coded by the check-in computer that is read by the lock on the hotel guestroom door to allow for entry.", "type": "boolean" }, "fireplaceException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Fireplace exception." }, "payPerViewMovies": { "type": "boolean", "description": "Pay per view movies. Televisions with channels that offer films that can be viewed for a fee, and have an interface to allow the viewer to accept the terms and approve payment." }, "heating": { "type": "boolean", "description": "Heating. An electrical machine used to warm the temperature of the guestroom." }, "shower": { "type": "boolean", "description": "Shower. A fixed plumbing fixture for standing bathing that features a tall spray spout or faucet through which water flows, a knob or knobs that control the water's temperature, and a drain in the floor." }, "toiletException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Toilet exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "ironingEquipmentException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Ironing equipment exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "payPerViewMoviesException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Pay per view movies exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "tv": { "description": "TV. A television is available in the guestroom.", "type": "boolean" }, "electronicRoomKeyException": { "description": "Electronic room key exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "privateBathroom": { "description": "Private bathroom. A bathroom designated for the express use of the guests staying in a specific guestroom.", "type": "boolean" }, "dryerException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Dryer exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "bathtub": { "type": "boolean", "description": "Bathtub. A fixed plumbing feature set on the floor and consisting of a large container that accommodates the body of an adult for the purpose of seated bathing. Includes knobs or fixtures to control the temperature of the water, a faucet through which the water flows, and a drain that can be closed for filling and opened for draining." }, "ironingEquipment": { "description": "Ironing equipment. A device, usually with a flat metal base, that is heated to smooth, finish, or press clothes and a flat, padded, cloth-covered surface on which the clothes are worked.", "type": "boolean" }, "inunitWifiAvailable": { "type": "boolean", "description": "In-unit Wifi available. Guests can wirelessly connect to the Internet in the guestroom. Can be free or for a fee." }, "privateBathroomException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Private bathroom exception." }, "tvStreamingException": { "description": "TV streaming exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "tvCastingException": { "description": "TV exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "tvStreaming": { "description": "TV streaming. Televisions that embed a range of web-based apps to allow for watching media from those apps.", "type": "boolean" }, "tvCasting": { "type": "boolean", "description": "TV casting. A television equipped with a device through which the video entertainment accessed on a personal computer, phone or tablet can be wirelessly delivered to and viewed on the guestroom's television." }, "washer": { "type": "boolean", "description": "Washer. An electrical machine connected to a running water source designed to launder clothing." }, "toilet": { "type": "boolean", "description": "Toilet. A fixed bathroom feature connected to a sewer or septic system and consisting of a water-flushed bowl with a seat, as well as a device that elicites the water-flushing action. Used for the process and disposal of human waste." }, "washerException": { "description": "Washer exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "universalPowerAdaptersException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Universal power adapters exception.", "type": "string" }, "inunitWifiAvailableException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "In-unit Wifi available exception." }, "dryer": { "description": "Dryer. An electrical machine designed to dry clothing.", "type": "boolean" }, "bidetException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Bidet exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "fireplace": { "type": "boolean", "description": "Fireplace. A framed opening (aka hearth) at the base of a chimney in which logs or an electrical fire feature are burned to provide a relaxing ambiance or to heat the room. Often made of bricks or stone." }, "heatingException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Heating exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "universalPowerAdapters": { "description": "Universal power adapters. A power supply for electronic devices which plugs into a wall for the purpose of converting AC to a single DC voltage. Also know as AC adapter or charger.", "type": "boolean" } }, "id": "LivingAreaFeatures", "description": "Features in the living area." }, "Services": { "properties": { "fullServiceLaundryException": { "description": "Full service laundry exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "giftShopException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Gift shop exception." }, "selfServiceLaundry": { "description": "Self service laundry. On-site clothes washers and dryers accessible to guests for the purpose of washing and drying their own clothes. May or may not require payment to use the machines.", "type": "boolean" }, "baggageStorageException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Baggage storage exception." }, "elevator": { "type": "boolean", "description": "Elevator. A passenger elevator that transports guests from one story to another. Also known as lift." }, "twentyFourHourFrontDeskException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "24hr front desk exception." }, "currencyExchangeException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Currency exchange exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "fullServiceLaundry": { "description": "Full service laundry. Laundry and dry cleaning facilitated and handled by the hotel on behalf of the guest. Does not include the provision for guests to do their own laundry in on-site machines.", "type": "boolean" }, "convenienceStore": { "type": "boolean", "description": "Convenience store. A shop at the hotel primarily selling snacks, drinks, non-prescription medicines, health and beauty aids, magazines and newspapers." }, "wakeUpCalls": { "description": "Wake up calls. By direction of the guest, a hotel staff member will phone the guest unit at the requested hour. Also known as morning call.", "type": "boolean" }, "frontDeskException": { "type": "string", "description": "Front desk exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "baggageStorage": { "description": "Baggage storage. A provision for guests to leave their bags at the hotel when they arrive for their stay before the official check-in time. May or may not apply for guests who wish to leave their bags after check-out and before departing the locale. Also known as bag dropoff.", "type": "boolean" }, "giftShop": { "description": "Gift shop. An on-site store primarily selling souvenirs, mementos and other gift items. May or may not also sell sundries, magazines and newspapers, clothing, or snacks.", "type": "boolean" }, "frontDesk": { "type": "boolean", "description": "Front desk. A counter or desk in the lobby or the immediate interior of the hotel where a member of the staff greets guests and processes the information related to their stay (including check-in and check-out). May or may not be manned and open 24/7." }, "selfServiceLaundryException": { "description": "Self service laundry exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "elevatorException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Elevator exception." }, "wakeUpCallsException": { "description": "Wake up calls exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "twentyFourHourFrontDesk": { "type": "boolean", "description": "24hr front desk. Front desk is staffed 24 hours a day." }, "socialHourException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Social hour exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "socialHour": { "type": "boolean", "description": "Social hour. A reception with complimentary soft drinks, tea, coffee, wine and/or cocktails in the afternoon or evening. Can be hosted by hotel staff or guests may serve themselves. Also known as wine hour. The availability of coffee/tea in the lobby throughout the day does not constitute a social or wine hour." }, "conciergeException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Concierge exception." }, "languagesSpoken": { "items": { "$ref": "LanguageSpoken" }, "type": "array", "description": "Languages spoken by at least one staff member." }, "concierge": { "type": "boolean", "description": "Concierge. Hotel staff member(s) responsible for facilitating an easy, comfortable stay through making reservations for meals, sourcing theater tickets, arranging tours, finding a doctor, making recommendations, and answering questions." }, "convenienceStoreException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Convenience store exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "currencyExchange": { "type": "boolean", "description": "Currency exchange. A staff member or automated machine tasked with the transaction of providing the native currency of the hotel's locale in exchange for the foreign currency provided by a guest." } }, "description": "Conveniences or help provided by the property to facilitate an easier, more comfortable stay.", "type": "object", "id": "Services" }, "SustainabilityCertifications": { "id": "SustainabilityCertifications", "type": "object", "description": "Sustainability certifications the hotel has been awarded.", "properties": { "leedCertification": { "enumDescriptions": [ "Default LeedCertification. Do not use.", "Not certified.", "LEED Certified.", "LEED Silver.", "LEED Gold.", "LEED Platinum." ], "type": "string", "description": "LEED certification.", "enum": [ "LEED_CERTIFICATION_UNSPECIFIED", "NO_LEED_CERTIFICATION", "LEED_CERTIFIED", "LEED_SILVER", "LEED_GOLD", "LEED_PLATINUM" ] }, "breeamCertificationException": { "description": "BREEAM certification exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "breeamCertification": { "enum": [ "BREEAM_CERTIFICATION_UNSPECIFIED", "NO_BREEAM_CERTIFICATION", "BREEAM_PASS", "BREEAM_GOOD", "BREEAM_VERY_GOOD", "BREEAM_EXCELLENT", "BREEAM_OUTSTANDING" ], "enumDescriptions": [ "Default BreeamCertification. Do not use.", "Not certified.", "BREEAM Pass.", "BREEAM Good.", "BREEAM Very Good.", "BREEAM Excellent.", "BREEAM Outstanding." ], "description": "BREEAM certification.", "type": "string" }, "ecoCertifications": { "type": "array", "items": { "$ref": "EcoCertification" }, "description": "The eco certificates awarded to the hotel." }, "leedCertificationException": { "description": "LEED certification exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } } }, "MinimizedContact": { "id": "MinimizedContact", "description": "Minimized contact measures implemented by the hotel during COVID-19.", "type": "object", "properties": { "noHighTouchItemsCommonAreasException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "No high touch items common areas exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "noHighTouchItemsCommonAreas": { "type": "boolean", "description": "High-touch items, such as magazines, removed from common areas." }, "roomBookingsBuffer": { "type": "boolean", "description": "Buffer maintained between room bookings." }, "housekeepingScheduledRequestOnly": { "type": "boolean", "description": "Housekeeping scheduled by request only." }, "contactlessCheckinCheckout": { "description": "No-contact check-in and check-out.", "type": "boolean" }, "roomBookingsBufferException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Room bookings buffer exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "digitalGuestRoomKeysException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Digital guest room keys exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "digitalGuestRoomKeys": { "type": "boolean", "description": "Keyless mobile entry to guest rooms." }, "noHighTouchItemsGuestRooms": { "type": "boolean", "description": "High-touch items, such as decorative pillows, removed from guest rooms." }, "housekeepingScheduledRequestOnlyException": { "description": "Housekeeping scheduled request only exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "contactlessCheckinCheckoutException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Contactless check-in check-out exception.", "type": "string" }, "plasticKeycardsDisinfected": { "type": "boolean", "description": "Plastic key cards are disinfected or discarded." }, "noHighTouchItemsGuestRoomsException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "No high touch items guest rooms exception.", "type": "string" }, "plasticKeycardsDisinfectedException": { "description": "Plastic keycards disinfected exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } } }, "Accessibility": { "description": "Physical adaptations made to the property in consideration of varying levels of human physical ability.", "type": "object", "properties": { "mobilityAccessiblePool": { "type": "boolean", "description": "Mobility accessible pool. A swimming pool equipped with a mechanical chair that can be lowered and raised for the purpose of moving physically challenged guests into and out of the pool. May be powered by electricity or water. Also known as pool lift." }, "mobilityAccessibleException": { "description": "Mobility accessible exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "mobilityAccessible": { "description": "Mobility accessible. Throughout the property there are physical adaptations to ease the stay of a person in a wheelchair, such as auto-opening doors, wide elevators, wide bathrooms or ramps.", "type": "boolean" }, "mobilityAccessibleElevator": { "type": "boolean", "description": "Mobility accessible elevator. A lift that transports people from one level to another and is built to accommodate a wheelchair-using passenger owing to the width of its doors and placement of call buttons." }, "mobilityAccessiblePoolException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Mobility accessible pool exception.", "type": "string" }, "mobilityAccessibleElevatorException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Mobility accessible elevator exception." }, "mobilityAccessibleParking": { "type": "boolean", "description": "Mobility accessible parking. The presence of a marked, designated area of prescribed size in which only registered, labeled vehicles transporting a person with physical challenges may park." }, "mobilityAccessibleParkingException": { "description": "Mobility accessible parking exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] } }, "id": "Accessibility" }, "PhysicalDistancing": { "id": "PhysicalDistancing", "description": "Physical distancing measures implemented by the hotel during COVID-19.", "properties": { "physicalDistancingRequiredException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Physical distancing required exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "sharedAreasLimitedOccupancyException": { "description": "Shared areas limited occupancy exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "physicalDistancingRequired": { "type": "boolean", "description": "Physical distancing required." }, "sharedAreasLimitedOccupancy": { "description": "Guest occupancy limited within shared facilities.", "type": "boolean" }, "safetyDividersException": { "description": "Safety dividers exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "commonAreasPhysicalDistancingArranged": { "type": "boolean", "description": "Common areas arranged to maintain physical distancing." }, "wellnessAreasHavePrivateSpaces": { "type": "boolean", "description": "Private spaces designated in spa and wellness areas." }, "safetyDividers": { "type": "boolean", "description": "Safety dividers at front desk and other locations." }, "commonAreasPhysicalDistancingArrangedException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Common areas physical distancing arranged exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "wellnessAreasHavePrivateSpacesException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Wellness areas have private spaces exception." } }, "type": "object" }, "Lodging": { "description": "Lodging of a location that provides accomodations.", "properties": { "policies": { "description": "Property rules that impact guests.", "$ref": "Policies" }, "property": { "description": "General factual information about the property's physical structure and important dates.", "$ref": "Property" }, "transportation": { "$ref": "Transportation", "description": "Vehicles or vehicular services facilitated or owned by the property." }, "wellness": { "$ref": "Wellness", "description": "Guest facilities at the property to promote or maintain health, beauty, and fitness." }, "healthAndSafety": { "$ref": "HealthAndSafety", "description": "Health and safety measures implemented by the hotel during COVID-19." }, "commonLivingArea": { "description": "Features of the shared living areas available in this Lodging.", "$ref": "LivingArea" }, "housekeeping": { "$ref": "Housekeeping", "description": "Conveniences provided in guest units to facilitate an easier, more comfortable stay." }, "business": { "$ref": "Business", "description": "Features of the property of specific interest to the business traveler." }, "someUnits": { "$ref": "GuestUnitFeatures", "readOnly": true, "description": "Output only. Some units on the property have as much as these attributes." }, "allUnits": { "readOnly": true, "description": "Output only. All units on the property have at least these attributes.", "$ref": "GuestUnitFeatures" }, "metadata": { "$ref": "LodgingMetadata", "description": "Required. Metadata for the lodging." }, "activities": { "description": "Amenities and features related to leisure and play.", "$ref": "Activities" }, "sustainability": { "description": "Sustainability practices implemented at the hotel.", "$ref": "Sustainability" }, "families": { "$ref": "Families", "description": "Services and amenities for families and young guests." }, "foodAndDrink": { "description": "Meals, snacks, and beverages available at the property.", "$ref": "FoodAndDrink" }, "connectivity": { "$ref": "Connectivity", "description": "The ways in which the property provides guests with the ability to access the internet." }, "accessibility": { "$ref": "Accessibility", "description": "Physical adaptations made to the property in consideration of varying levels of human physical ability." }, "parking": { "description": "Parking options at the property.", "$ref": "Parking" }, "pools": { "$ref": "Pools", "description": "Swimming pool or recreational water facilities available at the hotel." }, "services": { "$ref": "Services", "description": "Conveniences or help provided by the property to facilitate an easier, more comfortable stay." }, "name": { "description": "Required. Google identifier for this location in the form: `locations/{location_id}/lodging`", "type": "string" }, "pets": { "description": "Policies regarding guest-owned animals.", "$ref": "Pets" }, "guestUnits": { "items": { "$ref": "GuestUnitType" }, "description": "Individual GuestUnitTypes that are available in this Lodging.", "type": "array" } }, "type": "object", "id": "Lodging" }, "Housekeeping": { "properties": { "dailyHousekeeping": { "description": "Daily housekeeping. Guest units are cleaned by hotel staff daily during guest's stay.", "type": "boolean" }, "housekeepingAvailable": { "description": "Housekeeping available. Guest units are cleaned by hotel staff during guest's stay. Schedule may vary from daily, weekly, or specific days of the week.", "type": "boolean" }, "housekeepingAvailableException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Housekeeping available exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "turndownService": { "type": "boolean", "description": "Turndown service. Hotel staff enters guest units to prepare the bed for sleep use. May or may not include some light housekeeping. May or may not include an evening snack or candy. Also known as evening service." }, "dailyHousekeepingException": { "description": "Daily housekeeping exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "turndownServiceException": { "type": "string", "description": "Turndown service exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] } }, "id": "Housekeeping", "type": "object", "description": "Conveniences provided in guest units to facilitate an easier, more comfortable stay." }, "ViewsFromUnit": { "description": "Views available from the guest unit itself.", "id": "ViewsFromUnit", "type": "object", "properties": { "beachView": { "description": "Beach view. A guestroom that features a window through which guests can see the beach.", "type": "boolean" }, "poolViewException": { "description": "Pool view exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "valleyViewException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Valley view exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "landmarkView": { "type": "boolean", "description": "Landmark view. A guestroom that features a window through which guests can see a landmark such as the countryside, a golf course, the forest, a park, a rain forst, a mountain or a slope." }, "beachViewException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Beach view exception." }, "valleyView": { "description": "Valley view. A guestroom that features a window through which guests can see over a valley.", "type": "boolean" }, "landmarkViewException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Landmark view exception." }, "cityView": { "description": "City view. A guestroom that features a window through which guests can see the buildings, parks and/or streets of the city.", "type": "boolean" }, "poolView": { "description": "Pool view. A guestroom that features a window through which guests can see the hotel's swimming pool.", "type": "boolean" }, "oceanViewException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Ocean view exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "gardenViewException": { "type": "string", "description": "Garden view exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "lakeView": { "description": "Lake view.", "type": "boolean" }, "lakeViewException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Lake view exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "oceanView": { "type": "boolean", "description": "Ocean view. A guestroom that features a window through which guests can see the ocean." }, "cityViewException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "City view exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "gardenView": { "description": "Garden view. A guestroom that features a window through which guests can see a garden.", "type": "boolean" } } }, "LodgingMetadata": { "id": "LodgingMetadata", "properties": { "updateTime": { "format": "google-datetime", "type": "string", "description": "Required. The latest time at which the Lodging data is asserted to be true in the real world. This is not necessarily the time at which the request is made." } }, "type": "object", "description": "Metadata for the Lodging." }, "GetGoogleUpdatedLodgingResponse": { "properties": { "lodging": { "description": "Required. The Google updated Lodging.", "$ref": "Lodging" }, "diffMask": { "description": "Required. The fields in the Lodging that have been updated by Google. Repeated field items are not individually specified.", "type": "string", "format": "google-fieldmask" } }, "id": "GetGoogleUpdatedLodgingResponse", "description": "Response message for LodgingService.GetGoogleUpdatedLodging", "type": "object" }, "EcoCertification": { "properties": { "ecoCertificate": { "enum": [ "ECO_CERTIFICATE_UNSPECIFIED", "ISO14001", "ISO50001", "ASIAN_ECOTOURISM", "BIOSPHERE_RESPOSNIBLE_TOURISM", "BUREAU_VERITAS", "CONTROL_UNION", "EARTHCHECK", "ECO_CERTIFICATION_MALTA", "ECOTOURISM_AUSTRALIAS_ECO", "GREAT_GREEN_DEAL", "GREEN_GLOBE", "GREEN_GROWTH2050", "GREEN_KEY", "GREEN_KEY_ECO_RATING", "GREEN_SEAL", "GREEN_STAR", "GREEN_TOURISM_ACTIVE", "HILTON_LIGHTSTAY", "HOSTELLING_INTERNATIONALS_QUALITY_AND_SUSTAINABILITY", "HOTELES_MAS_VERDES", "NORDIC_SWAN_ECOLABEL", "PREFERRED_BY_NATURE_SUSTAINABLE_TOURISM", "SUSTAINABLE_TRAVEL_IRELAND", "TOF_TIGERS_INITITIVES_PUG", "TRAVELIFE", "UNITED_CERTIFICATION_SYSTEMS_LIMITED", "VIREO_SRL" ], "description": "Required. The eco certificate.", "enumDescriptions": [ "Default EcoCertificate. Do not use.", "ISO14001.", "ISO50001.", "Asian Ecotourism Standard for Accommodations (AESA).", "Biosphere Responsible Tourism Standard.", "Bureau Veritas.", "Control Union.", "EarthCheck.", "Eco-Certification Malta Standard.", "Ecotourism Australia's ECO Certification Standard.", "GREAT Green Deal Certification.", "Green Globe.", "Green Growth 2050 Standard.", "Green Key.", "Geen Key Eco Rating.", "Green Seal.", "Green Star Hotel Standard.", "Green Tourism Active Standard.", "Hilton LightStay.", "Hostelling International's Quality and Sustainability Standard.", "Hoteles más Verdes (AHT) Standard.", "Nordic Swan Ecolabel.", "Preferred by Nature Sustainable Tourism Standard for Accommodation.", "Sustainable Travel Ireland – GSTC Industry Criteria.", "TOFTigers Initiative's Pug Standard.", "Travelife Standard for Hotels & Accommodations.", "United Certification Systems Limited.", "Vireo Srl." ], "type": "string" }, "awardedException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Awarded exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "awarded": { "description": "Whether the eco certificate was awarded or not.", "type": "boolean" } }, "type": "object", "id": "EcoCertification", "description": "An eco certificate awarded to the hotel." }, "GuestUnitFeatures": { "id": "GuestUnitFeatures", "properties": { "privateHomeException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Private home exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "suite": { "description": "Suite. A guestroom category that implies both a bedroom area and a separate living area. There may or may not be full walls and doors separating the two areas, but regardless, they are very distinct. Does not mean a couch or chair in a bedroom.", "type": "boolean" }, "tierException": { "description": "Tier exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "maxAdultOccupantsCountException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Max adult occupants count exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string" }, "bungalowOrVillaException": { "description": "Bungalow or villa exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "maxOccupantsCount": { "format": "int32", "description": "Max occupants count. The total number of guests allowed to stay overnight in the guestroom.", "type": "integer" }, "bungalowOrVilla": { "type": "boolean", "description": "Bungalow or villa. An independent structure that is part of a hotel or resort that is rented to one party for a vacation stay. The hotel or resort may be completely comprised of bungalows or villas, or they may be one of several guestroom options. Guests in the bungalows or villas most often have the same, if not more, amenities and services offered to guests in other guestroom types." }, "maxAdultOccupantsCount": { "format": "int32", "description": "Max adult occupants count. The total number of adult guests allowed to stay overnight in the guestroom.", "type": "integer" }, "connectingUnitAvailableException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Connecting unit available exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "executiveFloorException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Executive floor exception." }, "executiveFloor": { "type": "boolean", "description": "Executive floor. A floor of the hotel where the guestrooms are only bookable by members of the hotel's frequent guest membership program. Benefits of this room class include access to a designated lounge which may or may not feature free breakfast, cocktails or other perks specific to members of the program." }, "totalLivingAreas": { "description": "Features available in the living areas in the guest unit.", "$ref": "LivingArea" }, "maxChildOccupantsCount": { "description": "Max child occupants count. The total number of children allowed to stay overnight in the room.", "type": "integer", "format": "int32" }, "tier": { "enum": [ "UNIT_TIER_UNSPECIFIED", "STANDARD_UNIT", "DELUXE_UNIT" ], "enumDescriptions": [ "Default tier. Equivalent to STANDARD. Prefer using STANDARD directly.", "Standard unit. The predominant and most basic guestroom type available at the hotel. All other guestroom types include the features/amenities of this room, as well as additional features/amenities.", "Deluxe unit. A guestroom type that builds on the features of the standard guestroom by offering additional amenities and/or more space, and/or views. The room rate is higher than that of the standard room type. Also known as Superior. Only allowed if another unit type is a standard tier." ], "type": "string", "description": "Tier. Classification of the unit based on available features/amenities. A non-standard tier is only permitted if at least one other unit type falls under the standard tier." }, "maxChildOccupantsCountException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Max child occupants count exception." }, "views": { "description": "Views available from the guest unit itself.", "$ref": "ViewsFromUnit" }, "privateHome": { "description": "Private home. A privately owned home (house, townhouse, apartment, cabin, bungalow etc) that may or not serve as the owner's residence, but is rented out in its entirety or by the room(s) to paying guest(s) for vacation stays. Not for lease-based, long-term residency.", "type": "boolean" }, "connectingUnitAvailable": { "type": "boolean", "description": "Connecting unit available. A guestroom type that features access to an adjacent guestroom for the purpose of booking both rooms. Most often used by families who need more than one room to accommodate the number of people in their group." }, "suiteException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Suite exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "maxOccupantsCountException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Max occupants count exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } }, "description": "Features and available amenities in the guest unit.", "type": "object" }, "IncreasedFoodSafety": { "description": "Increased food safety measures implemented by the hotel during COVID-19.", "properties": { "disposableFlatware": { "type": "boolean", "description": "Disposable flatware." }, "foodPreparationAndServingAdditionalSafetyException": { "description": "Food preparation and serving additional safety exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "disposableFlatwareException": { "type": "string", "description": "Disposable flatware exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "diningAreasAdditionalSanitationException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Dining areas additional sanitation exception." }, "singleUseFoodMenusException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Single use food menus exception.", "type": "string" }, "foodPreparationAndServingAdditionalSafety": { "type": "boolean", "description": "Additional safety measures during food prep and serving." }, "singleUseFoodMenus": { "description": "Single-use menus.", "type": "boolean" }, "individualPackagedMeals": { "description": "Individually-packaged meals.", "type": "boolean" }, "individualPackagedMealsException": { "description": "Individual packaged meals exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "diningAreasAdditionalSanitation": { "description": "Additional sanitation in dining areas.", "type": "boolean" } }, "id": "IncreasedFoodSafety", "type": "object" }, "LivingAreaLayout": { "type": "object", "description": "Information about the layout of the living area.", "properties": { "nonSmokingException": { "description": "Non smoking exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "patioException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Patio exception." }, "nonSmoking": { "type": "boolean", "description": "Non smoking. A guestroom in which the smoking of cigarettes, cigars and pipes is prohibited." }, "balconyException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Balcony exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "loft": { "description": "Loft. A three-walled upper area accessed by stairs or a ladder that overlooks the lower area of a room.", "type": "boolean" }, "balcony": { "description": "Balcony. An outdoor platform attached to a building and surrounded by a short wall, fence or other safety railing. The balcony is accessed through a door in a guestroom or suite and is for use by the guest staying in that room. May or may not include seating or outdoor furniture. Is not located on the ground floor. Also lanai.", "type": "boolean" }, "livingAreaSqMetersException": { "description": "Living area sq meters exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "stairs": { "description": "Stairs. There are steps leading from one level or story to another in the unit.", "type": "boolean" }, "stairsException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Stairs exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "patio": { "description": "Patio. A paved, outdoor area with seating attached to and accessed through a ground-floor guestroom for use by the occupants of the guestroom.", "type": "boolean" }, "loftException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Loft exception." }, "livingAreaSqMeters": { "format": "float", "type": "number", "description": "Living area sq meters. The measurement in meters of the area of a guestroom's living space." } }, "id": "LivingAreaLayout" }, "PaymentOptions": { "type": "object", "id": "PaymentOptions", "properties": { "cashException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Cash exception.", "type": "string" }, "creditCardException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Credit card exception." }, "cheque": { "type": "boolean", "description": "Cheque. The hotel accepts a printed document issued by the guest's bank in the guest's name as a form of payment." }, "debitCard": { "description": "Debit card. The hotel accepts a bank-issued card that immediately deducts the charged funds from the guest's bank account upon processing.", "type": "boolean" }, "debitCardException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Debit card exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "mobileNfc": { "description": "Mobile nfc. The hotel has the compatible computer hardware terminal that reads and charges a payment app on the guest's smartphone without requiring the two devices to make physical contact. Also known as Apple Pay, Google Pay, Samsung Pay.", "type": "boolean" }, "cash": { "type": "boolean", "description": "Cash. The hotel accepts payment by paper/coin currency." }, "mobileNfcException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Mobile nfc exception." }, "chequeException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Cheque exception." }, "creditCard": { "type": "boolean", "description": "Credit card. The hotel accepts payment by a card issued by a bank or credit card company. Also known as charge card, debit card, bank card, or charge plate." } }, "description": "Forms of payment accepted at the property." }, "Wellness": { "type": "object", "properties": { "weightMachineException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Weight machine exception." }, "spa": { "description": "Spa. A designated area, room or building at the hotel offering health and beauty treatment through such means as steam baths, exercise equipment, and massage. May also offer facials, nail care, and hair care. Services are usually available by appointment and for an additional fee. Does not apply if hotel only offers a steam room; must offer other beauty and/or health treatments as well.", "type": "boolean" }, "salonException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Salon exception." }, "ellipticalMachineException": { "description": "Elliptical machine exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "salon": { "type": "boolean", "description": "Salon. A room at the hotel where professionals provide hair styling services such as shampooing, blow drying, hair dos, hair cutting and hair coloring. Also known as hairdresser or beauty salon." }, "freeFitnessCenter": { "type": "boolean", "description": "Free fitness center. Guests may use the fitness center for free." }, "fitnessCenterException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Fitness center exception." }, "doctorOnCall": { "description": "Doctor on call. The hotel has a contract with a medical professional who provides services to hotel guests should they fall ill during their stay. The doctor may or may not have an on-site office or be at the hotel at all times.", "type": "boolean" }, "freeWeights": { "type": "boolean", "description": "Free weights. Individual handheld fitness equipment of varied weights used for upper body strength training or bodybuilding. Also known as barbells, dumbbells, or kettlebells. Often stored on a rack with the weights arranged from light to heavy. Commonly found in a gym, fitness room, health center, or health club." }, "fitnessCenter": { "description": "Fitness center. A room or building at the hotel containing equipment to promote physical activity, such as treadmills, elliptical machines, stationary bikes, weight machines, free weights, and/or stretching mats. Use of the fitness center can be free or for a fee. May or may not be staffed. May or may not offer instructor-led classes in various styles of physical conditioning. May or may not be open 24/7. May or may not include locker rooms and showers. Also known as health club, gym, fitness room, health center.", "type": "boolean" }, "massage": { "type": "boolean", "description": "Massage. A service provided by a trained massage therapist involving the physical manipulation of a guest's muscles in order to achieve relaxation or pain relief." }, "freeFitnessCenterException": { "description": "Free fitness center exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "freeWeightsException": { "description": "Free weights exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "weightMachine": { "description": "Weight machine. Non-electronic fitness equipment designed for the user to target the exertion of different muscles. Usually incorporates a padded seat, a stack of flat weights and various bars and pulleys. May be designed for toning a specific part of the body or may involve different user-controlled settings, hardware and pulleys so as to provide an overall workout in one machine. Commonly found in a gym, fitness center, fitness room, or health club.", "type": "boolean" }, "massageException": { "description": "Massage exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "doctorOnCallException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Doctor on call exception.", "type": "string" }, "spaException": { "type": "string", "description": "Spa exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "sauna": { "type": "boolean", "description": "Sauna. A wood-paneled room heated to a high temperature where guests sit on built-in wood benches for the purpose of perspiring and relaxing their muscles. Can be dry or slightly wet heat. Not a steam room." }, "treadmillException": { "description": "Treadmill exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "saunaException": { "description": "Sauna exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "ellipticalMachine": { "type": "boolean", "description": "Elliptical machine. An electric, stationary fitness machine with pedals that simulates climbing, walking or running and provides a user-controlled range of speeds and tensions. May not have arm-controlled levers to work out the upper body as well. Commonly found in a gym, fitness room, health center, or health club." }, "treadmill": { "description": "Treadmill. An electric stationary fitness machine that simulates a moving path to promote walking or running within a range of user-controlled speeds and inclines. Also known as running machine. Commonly found in a gym, fitness room, health center, or health club.", "type": "boolean" } }, "description": "Guest facilities at the property to promote or maintain health, beauty, and fitness.", "id": "Wellness" }, "Parking": { "id": "Parking", "properties": { "electricCarChargingStations": { "description": "Electric car charging stations. Electric power stations, usually located outdoors, into which guests plug their electric cars to receive a charge.", "type": "boolean" }, "freeSelfParkingException": { "description": "Free self parking exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "electricCarChargingStationsException": { "description": "Electric car charging stations exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "freeParking": { "type": "boolean", "description": "Free parking. The hotel allows the cars of guests to be parked for free. Parking facility may be an outdoor lot or an indoor garage, but must be onsite. Nearby parking does not apply. Parking may be performed by the guest or by hotel staff. Free parking must be available to all guests (limited conditions does not apply)." }, "freeSelfParking": { "description": "Free self parking. Guests park their own cars for free. Parking facility may be an outdoor lot or an indoor garage, but must be onsite. Nearby parking does not apply.", "type": "boolean" }, "freeValetParking": { "type": "boolean", "description": "Free valet parking. Hotel staff member parks the cars of guests. Parking with this service is free." }, "freeParkingException": { "description": "Free parking exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "freeValetParkingException": { "description": "Free valet parking exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "valetParkingAvailable": { "description": "Valet parking available. Hotel staff member parks the cars of guests. Parking with this service can be free or for a fee.", "type": "boolean" }, "valetParkingAvailableException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Valet parking available exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string" }, "selfParkingAvailable": { "type": "boolean", "description": "Self parking available. Guests park their own cars. Parking facility may be an outdoor lot or an indoor garage, but must be onsite. Nearby parking does not apply. Can be free or for a fee." }, "parkingAvailableException": { "description": "Parking available exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "parkingAvailable": { "type": "boolean", "description": "Parking available. The hotel allows the cars of guests to be parked. Can be free or for a fee. Parking facility may be an outdoor lot or an indoor garage, but must be onsite. Nearby parking does not apply. Parking may be performed by the guest or by hotel staff." }, "selfParkingAvailableException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Self parking available exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] } }, "type": "object", "description": "Parking options at the property." }, "Pools": { "properties": { "wavePool": { "description": "Wave pool. A large indoor or outdoor pool with a machine that produces water currents to mimic the ocean's crests.", "type": "boolean" }, "adultPool": { "description": "Adult pool. A pool restricted for use by adults only. Can be indoors or outdoors.", "type": "boolean" }, "poolException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Pool exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "adultPoolException": { "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Adult pool exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "waterslideException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Waterslide exception.", "type": "string" }, "waterslide": { "description": "Waterslide. A continuously wetted chute positioned by an indoor or outdoor pool which people slide down into the water.", "type": "boolean" }, "wadingPool": { "description": "Wading pool. A shallow pool designed for small children to play in. Can be indoors or outdoors. Also known as kiddie pool.", "type": "boolean" }, "outdoorPoolException": { "description": "Outdoor pool exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "poolsCountException": { "description": "Pools count exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "wavePoolException": { "type": "string", "description": "Wave pool exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "hotTubException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Hot tub exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "lazyRiver": { "type": "boolean", "description": "Lazy river. A man-made pool or several interconnected recreational pools built to mimic the shape and current of a winding river where guests float in the water on inflated rubber tubes. Can be indoors or outdoors." }, "pool": { "description": "Pool. The presence of a pool, either indoors or outdoors, for guests to use for swimming and/or soaking. Use may or may not be restricted to adults and/or children.", "type": "boolean" }, "lifeguard": { "type": "boolean", "description": "Lifeguard. A trained member of the hotel staff stationed by the hotel's indoor or outdoor swimming area and responsible for the safety of swimming guests." }, "wadingPoolException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Wading pool exception.", "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "indoorPool": { "type": "boolean", "description": "Indoor pool. A pool located inside the hotel and available for guests to use for swimming and/or soaking. Use may or may not be restricted to adults and/or children." }, "waterParkException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Water park exception.", "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "outdoorPoolsCountException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "description": "Outdoor pools count exception." }, "poolsCount": { "format": "int32", "type": "integer", "description": "Pools count. The sum of all pools at the hotel." }, "indoorPoolsCountException": { "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "description": "Indoor pools count exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ] }, "indoorPoolException": { "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "description": "Indoor pool exception.", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] }, "lifeguardException": { "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ], "type": "string", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "description": "Lifeguard exception." }, "waterPark": { "description": "Water park. An aquatic recreation area with a large pool or series of pools that has features such as a water slide or tube, wavepool, fountains, rope swings, and/or obstacle course. Can be indoors or outdoors. Also known as adventure pool.", "type": "boolean" }, "hotTub": { "type": "boolean", "description": "Hot tub. A man-made pool containing bubbling water maintained at a higher temperature and circulated by aerating jets for the purpose of soaking, relaxation and hydrotherapy. Can be indoors or outdoors. Not used for active swimming. Also known as Jacuzzi. Hot tub must be in a common area where all guests can access it. Does not apply to room-specific hot tubs that are only accessible to guest occupying that room." }, "outdoorPool": { "type": "boolean", "description": "Outdoor pool. A pool located outside on the grounds of the hotel and available for guests to use for swimming, soaking or recreation. Use may or may not be restricted to adults and/or children." }, "indoorPoolsCount": { "description": "Indoor pools count. The sum of all indoor pools at the hotel.", "type": "integer", "format": "int32" }, "outdoorPoolsCount": { "description": "Outdoor pools count. The sum of all outdoor pools at the hotel.", "format": "int32", "type": "integer" }, "lazyRiverException": { "description": "Lazy river exception.", "enum": [ "EXCEPTION_UNSPECIFIED", "UNDER_CONSTRUCTION", "DEPENDENT_ON_SEASON", "DEPENDENT_ON_DAY_OF_WEEK" ], "type": "string", "enumDescriptions": [ "Default unspecified exception. Use this only if a more specific exception does not match.", "Amenity or service is unavailable due to ongoing work orders.", "Amenity or service availability is seasonal.", "Amenity or service availability depends on the day of the week." ] } }, "id": "Pools", "type": "object", "description": "Swimming pool or recreational water facilities available at the hotel." } }, "mtlsRootUrl": "https://mybusinesslodging.mtls.googleapis.com/", "batchPath": "batch", "rootUrl": "https://mybusinesslodging.googleapis.com/", "servicePath": "", "fullyEncodeReservedExpansion": true, "protocol": "rest", "revision": "20220712", "parameters": { "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "type": "string", "default": "json", "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string", "location": "query", "description": "V1 error format." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true" }, "callback": { "type": "string", "description": "JSONP", "location": "query" } }, "description": "The My Business Lodging API enables managing lodging business information on Google.", "baseUrl": "https://mybusinesslodging.googleapis.com/", "ownerName": "Google", "version_module": true, "title": "My Business Lodging API", "resources": { "locations": { "resources": { "lodging": { "methods": { "getGoogleUpdated": { "path": "v1/{+name}:getGoogleUpdated", "description": "Returns the Google updated Lodging of a specific location.", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GetGoogleUpdatedLodgingResponse" }, "parameters": { "name": { "location": "path", "pattern": "^locations/[^/]+/lodging$", "required": true, "type": "string", "description": "Required. Google identifier for this location in the form: `accounts/{account_id}/locations/{location_id}/lodging`" }, "readMask": { "type": "string", "location": "query", "description": "Required. The specific fields to return. Use \"*\" to include all fields. Repeated field items cannot be individually specified.", "format": "google-fieldmask" } }, "flatPath": "v1/locations/{locationsId}/lodging:getGoogleUpdated", "id": "mybusinesslodging.locations.lodging.getGoogleUpdated" } } } }, "methods": { "updateLodging": { "description": "Updates the Lodging of a specific location.", "parameterOrder": [ "name" ], "response": { "$ref": "Lodging" }, "request": { "$ref": "Lodging" }, "parameters": { "name": { "description": "Required. Google identifier for this location in the form: `locations/{location_id}/lodging`", "pattern": "^locations/[^/]+/lodging$", "type": "string", "required": true, "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "description": "Required. The specific fields to update. Use \"*\" to update all fields, which may include unsetting empty fields in the request. Repeated field items cannot be individually updated.", "type": "string" } }, "id": "mybusinesslodging.locations.updateLodging", "flatPath": "v1/locations/{locationsId}/lodging", "httpMethod": "PATCH", "path": "v1/{+name}" }, "getLodging": { "description": "Returns the Lodging of a specific location.", "id": "mybusinesslodging.locations.getLodging", "path": "v1/{+name}", "parameters": { "readMask": { "format": "google-fieldmask", "type": "string", "description": "Required. The specific fields to return. Use \"*\" to include all fields. Repeated field items cannot be individually specified.", "location": "query" }, "name": { "type": "string", "description": "Required. Google identifier for this location in the form: `locations/{location_id}/lodging`", "required": true, "location": "path", "pattern": "^locations/[^/]+/lodging$" } }, "parameterOrder": [ "name" ], "flatPath": "v1/locations/{locationsId}/lodging", "response": { "$ref": "Lodging" }, "httpMethod": "GET" } } } }, "basePath": "", "discoveryVersion": "v1", "documentationLink": "https://developers.google.com/my-business/", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" } }
]===]))
