local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "canonicalName": "My Business Q&A", "revision": "20220712", "description": "The My Business Q&A API allows questions and answers to be posted for specific listings.", "rootUrl": "https://mybusinessqanda.googleapis.com/", "documentationLink": "https://developers.google.com/my-business/", "schemas": { "Empty": { "type": "object", "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "Answer": { "description": "Represents an answer to a question", "properties": { "text": { "description": "Required. The text of the answer. It should contain at least one non-whitespace character. The maximum length is 4096 characters.", "type": "string" }, "upvoteCount": { "type": "integer", "format": "int32", "readOnly": true, "description": "Output only. The number of upvotes for the answer." }, "updateTime": { "type": "string", "readOnly": true, "description": "Output only. The timestamp for when the answer was last modified.", "format": "google-datetime" }, "author": { "description": "Output only. The author of the answer. Will only be set during list operations.", "$ref": "Author", "readOnly": true }, "name": { "type": "string", "description": "Output only. The unique name for the answer locations/*/questions/*/answers/*", "readOnly": true }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The timestamp for when the answer was written. Only retrieved during ListResponse fetching.", "format": "google-datetime" } }, "id": "Answer", "type": "object" }, "Question": { "type": "object", "properties": { "upvoteCount": { "readOnly": true, "format": "int32", "description": "Output only. The number of upvotes for the question.", "type": "integer" }, "text": { "type": "string", "description": "Required. The text of the question. It should contain at least three words and the total length should be greater than or equal to 10 characters. The maximum length is 4096 characters." }, "name": { "type": "string", "description": "Immutable. The unique name for the question. locations/*/questions/* This field will be ignored if set during question creation." }, "totalAnswerCount": { "readOnly": true, "format": "int32", "description": "Output only. The total number of answers posted for this question.", "type": "integer" }, "topAnswers": { "readOnly": true, "description": "Output only. A list of answers to the question, sorted by upvotes. This may not be a complete list of answers depending on the request parameters (answers_per_question)", "type": "array", "items": { "$ref": "Answer" } }, "createTime": { "readOnly": true, "description": "Output only. The timestamp for when the question was written.", "type": "string", "format": "google-datetime" }, "author": { "$ref": "Author", "description": "Output only. The author of the question.", "readOnly": true }, "updateTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The timestamp for when the question was last modified." } }, "id": "Question", "description": "Represents a single question and some of its answers." }, "ListAnswersResponse": { "type": "object", "description": "Response message for QuestionsAndAnswers.ListAnswers", "properties": { "totalSize": { "description": "The total number of answers posted for this question across all pages.", "type": "integer", "format": "int32" }, "answers": { "description": "The requested answers.", "items": { "$ref": "Answer" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "If the number of answers exceeds the requested max page size, this field is populated with a token to fetch the next page of answers on a subsequent call. If there are no more answers, this field is not present in the response." } }, "id": "ListAnswersResponse" }, "UpsertAnswerRequest": { "type": "object", "id": "UpsertAnswerRequest", "description": "Request message for QuestionsAndAnswers.UpsertAnswer", "properties": { "answer": { "$ref": "Answer", "description": "Required. The new answer." } } }, "Author": { "id": "Author", "properties": { "type": { "enumDescriptions": [ "This should not be used.", "A regular user.", "A Local Guide", "The owner/manager of the location" ], "enum": [ "AUTHOR_TYPE_UNSPECIFIED", "REGULAR_USER", "LOCAL_GUIDE", "MERCHANT" ], "type": "string", "description": "The type of user the author is." }, "displayName": { "description": "The display name of the user", "type": "string" }, "profilePhotoUri": { "description": "The profile photo URI of the user.", "type": "string" } }, "type": "object", "description": "Represents the author of a question or answer" }, "ListQuestionsResponse": { "id": "ListQuestionsResponse", "type": "object", "properties": { "questions": { "description": "The requested questions,", "items": { "$ref": "Question" }, "type": "array" }, "nextPageToken": { "description": "If the number of questions exceeds the requested max page size, this field is populated with a token to fetch the next page of questions on a subsequent call. If there are no more questions, this field is not present in the response.", "type": "string" }, "totalSize": { "description": "The total number of questions posted for this location across all pages.", "type": "integer", "format": "int32" } }, "description": "Response message for QuestionsAndAnswers.ListQuestions" } }, "basePath": "", "protocol": "rest", "kind": "discovery#restDescription", "servicePath": "", "baseUrl": "https://mybusinessqanda.googleapis.com/", "parameters": { "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "alt": { "default": "json", "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" } }, "id": "mybusinessqanda:v1", "title": "My Business Q&A API", "discoveryVersion": "v1", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "resources": { "locations": { "resources": { "questions": { "methods": { "patch": { "response": { "$ref": "Question" }, "parameterOrder": [ "name" ], "request": { "$ref": "Question" }, "id": "mybusinessqanda.locations.questions.patch", "description": "Updates a specific question written by the current user.", "path": "v1/{+name}", "httpMethod": "PATCH", "flatPath": "v1/locations/{locationsId}/questions/{questionsId}", "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Required. The specific fields to update. Only question text can be updated.", "type": "string", "location": "query" }, "name": { "type": "string", "description": "Immutable. The unique name for the question. locations/*/questions/* This field will be ignored if set during question creation.", "pattern": "^locations/[^/]+/questions/[^/]+$", "required": true, "location": "path" } } }, "list": { "flatPath": "v1/locations/{locationsId}/questions", "id": "mybusinessqanda.locations.questions.list", "path": "v1/{+parent}", "httpMethod": "GET", "response": { "$ref": "ListQuestionsResponse" }, "description": "Returns the paginated list of questions and some of its answers for a specified location. This operation is only valid if the specified location is verified.", "parameters": { "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. How many questions to fetch per page. The default and maximum `page_size` values are 10." }, "orderBy": { "type": "string", "description": "Optional. The order to return the questions. Valid options include 'update_time desc' and 'upvote_count desc', which will return the questions sorted descendingly by the requested field. The default sort order is 'update_time desc'.", "location": "query" }, "answersPerQuestion": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. How many answers to fetch per question. The default and maximum `answers_per_question` values are 10." }, "pageToken": { "description": "Optional. If specified, the next page of questions is retrieved.", "type": "string", "location": "query" }, "parent": { "description": "Required. The name of the location to fetch questions for.", "required": true, "type": "string", "location": "path", "pattern": "^locations/[^/]+/questions$" }, "filter": { "type": "string", "location": "query", "description": "Optional. A filter constraining the questions to return. The only filter currently supported is \"ignore_answered=true\"" } }, "parameterOrder": [ "parent" ] }, "create": { "path": "v1/{+parent}", "parameterOrder": [ "parent" ], "flatPath": "v1/locations/{locationsId}/questions", "request": { "$ref": "Question" }, "parameters": { "parent": { "pattern": "^locations/[^/]+/questions$", "description": "Required. The name of the location to write a question for.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Question" }, "httpMethod": "POST", "description": "Adds a question for the specified location.", "id": "mybusinessqanda.locations.questions.create" }, "delete": { "description": "Deletes a specific question written by the current user.", "path": "v1/{+name}", "response": { "$ref": "Empty" }, "flatPath": "v1/locations/{locationsId}/questions/{questionsId}", "id": "mybusinessqanda.locations.questions.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^locations/[^/]+/questions/[^/]+$", "description": "Required. The name of the question to delete.", "location": "path" } } } }, "resources": { "answers": { "methods": { "delete": { "description": "Deletes the answer written by the current user to a question.", "id": "mybusinessqanda.locations.questions.answers.delete", "parameterOrder": [ "name" ], "flatPath": "v1/locations/{locationsId}/questions/{questionsId}/answers:delete", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "path": "v1/{+name}/answers:delete", "parameters": { "name": { "location": "path", "pattern": "^locations/[^/]+/questions/[^/]+$", "type": "string", "required": true, "description": "Required. The name of the question to delete an answer for." } } }, "upsert": { "id": "mybusinessqanda.locations.questions.answers.upsert", "path": "v1/{+parent}/answers:upsert", "request": { "$ref": "UpsertAnswerRequest" }, "flatPath": "v1/locations/{locationsId}/questions/{questionsId}/answers:upsert", "response": { "$ref": "Answer" }, "description": "Creates an answer or updates the existing answer written by the user for the specified question. A user can only create one answer per question.", "parameters": { "parent": { "location": "path", "description": "Required. The name of the question to write an answer for.", "required": true, "type": "string", "pattern": "^locations/[^/]+/questions/[^/]+$" } }, "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "list": { "response": { "$ref": "ListAnswersResponse" }, "id": "mybusinessqanda.locations.questions.answers.list", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. If specified, the next page of answers is retrieved." }, "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. How many answers to fetch per page. The default and maximum `page_size` values are 10." }, "parent": { "location": "path", "required": true, "type": "string", "pattern": "^locations/[^/]+/questions/[^/]+$", "description": "Required. The name of the question to fetch answers for." }, "orderBy": { "type": "string", "description": "Optional. The order to return the answers. Valid options include 'update_time desc' and 'upvote_count desc', which will return the answers sorted descendingly by the requested field. The default sort order is 'update_time desc'.", "location": "query" } }, "flatPath": "v1/locations/{locationsId}/questions/{questionsId}/answers", "description": "Returns the paginated list of answers for a specified question.", "path": "v1/{+parent}/answers", "httpMethod": "GET", "parameterOrder": [ "parent" ] } } } } } } } }, "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://mybusinessqanda.mtls.googleapis.com/", "name": "mybusinessqanda", "ownerDomain": "google.com", "ownerName": "Google", "version": "v1" }
]===]))
