local decode = require("cjson").new().decode
return assert(decode([===[
{ "kind": "discovery#restDescription", "ownerName": "Google", "batchPath": "batch", "documentationLink": "https://cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest", "title": "Network Connectivity API", "mtlsRootUrl": "https://networkconnectivity.mtls.googleapis.com/", "servicePath": "", "schemas": { "ListHubsResponse": { "type": "object", "properties": { "hubs": { "type": "array", "items": { "$ref": "Hub" }, "description": "The requested hubs." }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached.", "type": "array" }, "nextPageToken": { "description": "The next pagination token in the List response. It should be used as page_token for the following request. An empty value means no more result.", "type": "string" } }, "id": "ListHubsResponse", "description": "Response for HubService.ListHubs method." }, "Expr": { "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } } }, "OperationMetadata": { "description": "Represents the metadata of the long-running operation.", "id": "OperationMetadata", "properties": { "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "createTime": { "description": "Output only. The time the operation was created.", "readOnly": true, "type": "string", "format": "google-datetime" }, "target": { "type": "string", "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have been cancelled successfully have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "endTime": { "description": "Output only. The time the operation finished running.", "readOnly": true, "format": "google-datetime", "type": "string" } }, "type": "object" }, "RoutingVPC": { "type": "object", "id": "RoutingVPC", "description": "RoutingVPC contains information about the VPC networks that are associated with a hub's spokes.", "properties": { "requiredForNewSiteToSiteDataTransferSpokes": { "readOnly": true, "type": "boolean", "description": "Output only. If true, indicates that this VPC network is currently associated with spokes that use the data transfer feature (spokes where the site_to_site_data_transfer field is set to true). If you create new spokes that use data transfer, they must be associated with this VPC network. At most, one VPC network will have this field set to true." }, "uri": { "description": "The URI of the VPC network.", "type": "string" } } }, "Policy": { "type": "object", "id": "Policy", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "format": "int32", "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } } } }, "GoogleLongrunningCancelOperationRequest": { "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object", "id": "GoogleLongrunningCancelOperationRequest" }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`" } }, "description": "Request message for `SetIamPolicy` method." }, "LinkedRouterApplianceInstances": { "properties": { "instances": { "description": "The list of router appliance instances.", "items": { "$ref": "RouterApplianceInstance" }, "type": "array" }, "siteToSiteDataTransfer": { "type": "boolean", "description": "A value that controls whether site-to-site data transfer is enabled for these resources. Data transfer is available only in [supported locations](https://cloud.google.com/network-connectivity/docs/network-connectivity-center/concepts/locations)." } }, "type": "object", "description": "A collection of router appliance instances. If you configure multiple router appliance instances to receive data from the same set of sites outside of Google Cloud, we recommend that you associate those instances with the same spoke.", "id": "LinkedRouterApplianceInstances" }, "GoogleLongrunningListOperationsResponse": { "type": "object", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "id": "GoogleLongrunningListOperationsResponse" }, "AuditLogConfig": { "properties": { "exemptedMembers": { "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "type": "array" }, "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string", "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] } }, "type": "object", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "LinkedVpnTunnels": { "description": "A collection of Cloud VPN tunnel resources. These resources should be redundant HA VPN tunnels that all advertise the same prefixes to Google Cloud. Alternatively, in a passive/active configuration, all tunnels should be capable of advertising the same prefixes.", "id": "LinkedVpnTunnels", "properties": { "siteToSiteDataTransfer": { "description": "A value that controls whether site-to-site data transfer is enabled for these resources. Data transfer is available only in [supported locations](https://cloud.google.com/network-connectivity/docs/network-connectivity-center/concepts/locations).", "type": "boolean" }, "uris": { "description": "The URIs of linked VPN tunnel resources.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "LocationMetadata": { "type": "object", "description": "Metadata about locations", "properties": { "locationFeatures": { "type": "array", "items": { "type": "string", "enumDescriptions": [ "No publicly supported feature in this location", "Site-to-cloud spokes are supported in this location", "Site-to-site spokes are supported in this location" ], "enum": [ "LOCATION_FEATURE_UNSPECIFIED", "SITE_TO_CLOUD_SPOKES", "SITE_TO_SITE_SPOKES" ] }, "description": "List of supported features" } }, "id": "LocationMetadata" }, "GoogleRpcStatus": { "id": "GoogleRpcStatus", "type": "object", "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "LinkedInterconnectAttachments": { "id": "LinkedInterconnectAttachments", "properties": { "siteToSiteDataTransfer": { "description": "A value that controls whether site-to-site data transfer is enabled for these resources. Data transfer is available only in [supported locations](https://cloud.google.com/network-connectivity/docs/network-connectivity-center/concepts/locations).", "type": "boolean" }, "uris": { "description": "The URIs of linked interconnect attachment resources", "type": "array", "items": { "type": "string" } } }, "type": "object", "description": "A collection of VLAN attachment resources. These resources should be redundant attachments that all advertise the same prefixes to Google Cloud. Alternatively, in active/passive configurations, all attachments should be capable of advertising the same prefixes." }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "type": "object" }, "ListSpokesResponse": { "id": "ListSpokesResponse", "properties": { "spokes": { "type": "array", "description": "The requested spokes.", "items": { "$ref": "Spoke" } }, "nextPageToken": { "description": "The next pagination token in the List response. It should be used as page_token for the following request. An empty value means no more result.", "type": "string" }, "unreachable": { "description": "Locations that could not be reached.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "The response for HubService.ListSpokes." }, "Hub": { "type": "object", "description": "A hub is a collection of spokes. A single hub can contain spokes from multiple regions. However, if any of a hub's spokes use the data transfer feature, the resources associated with those spokes must all reside in the same VPC network. Spokes that do not use data transfer can be associated with any VPC network in your project.", "id": "Hub", "properties": { "updateTime": { "description": "Output only. The time the hub was last updated.", "type": "string", "format": "google-datetime", "readOnly": true }, "description": { "description": "An optional description of the hub.", "type": "string" }, "uniqueId": { "type": "string", "readOnly": true, "description": "Output only. The Google-generated UUID for the hub. This value is unique across all hub resources. If a hub is deleted and another with the same name is created, the new hub is assigned a different unique_id." }, "name": { "description": "Immutable. The name of the hub. Hub names must be unique. They use the following form: `projects/{project_number}/locations/global/hubs/{hub_id}`", "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. The time the hub was created.", "type": "string", "readOnly": true }, "state": { "enumDescriptions": [ "No state information available", "The resource's create operation is in progress", "The resource is active", "The resource's Delete operation is in progress" ], "readOnly": true, "description": "Output only. The current lifecycle state of this hub.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING" ] }, "labels": { "type": "object", "description": "Optional labels in key:value format. For more information about labels, see [Requirements for labels](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements).", "additionalProperties": { "type": "string" } }, "routingVpcs": { "description": "The VPC networks associated with this hub's spokes. This field is read-only. Network Connectivity Center automatically populates it based on the set of spokes attached to the hub.", "items": { "$ref": "RoutingVPC" }, "type": "array" } } }, "Location": { "type": "object", "description": "A resource that represents Google Cloud Platform location.", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } }, "id": "Location" }, "GoogleLongrunningOperation": { "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" } }, "type": "object", "id": "GoogleLongrunningOperation", "description": "This resource represents a long-running operation that is the result of a network API call." }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "type": "array", "description": "The configuration for logging of each type of permission." }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } }, "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig" }, "ListLocationsResponse": { "type": "object", "description": "The response message for Locations.ListLocations.", "id": "ListLocationsResponse", "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } } }, "Spoke": { "id": "Spoke", "type": "object", "description": "A spoke represents a connection between your Google Cloud network resources and a non-Google-Cloud network. When you create a spoke, you associate it with a hub. You must also identify a value for exactly one of the following fields: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh linked_vpn_tunnels LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh linked_interconnect_attachments LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh linked_router_appliance_instances", "properties": { "uniqueId": { "type": "string", "readOnly": true, "description": "Output only. The Google-generated UUID for the spoke. This value is unique across all spoke resources. If a spoke is deleted and another with the same name is created, the new spoke is assigned a different unique_id." }, "description": { "description": "An optional description of the spoke.", "type": "string" }, "updateTime": { "description": "Output only. The time the spoke was last updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "linkedVpnTunnels": { "$ref": "LinkedVpnTunnels", "description": "VPN tunnels that are associated with the spoke." }, "name": { "type": "string", "description": "Immutable. The name of the spoke. Spoke names must be unique. They use the following form: `projects/{project_number}/locations/{region}/spokes/{spoke_id}`" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional labels in key:value format. For more information about labels, see [Requirements for labels](https://cloud.google.com/resource-manager/docs/creating-managing-labels#requirements)." }, "hub": { "description": "Immutable. The name of the hub that this spoke is attached to.", "type": "string" }, "linkedInterconnectAttachments": { "$ref": "LinkedInterconnectAttachments", "description": "VLAN attachments that are associated with the spoke." }, "linkedRouterApplianceInstances": { "description": "Router appliance instances that are associated with the spoke.", "$ref": "LinkedRouterApplianceInstances" }, "createTime": { "description": "Output only. The time the spoke was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "state": { "description": "Output only. The current lifecycle state of this spoke.", "readOnly": true, "type": "string", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING" ], "enumDescriptions": [ "No state information available", "The resource's create operation is in progress", "The resource is active", "The resource's Delete operation is in progress" ] } } }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {}, "type": "object" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } } }, "Binding": { "id": "Binding", "type": "object", "description": "Associates `members`, or principals, with a `role`.", "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "members": { "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } } }, "RouterApplianceInstance": { "properties": { "ipAddress": { "description": "The IP address on the VM to use for peering.", "type": "string" }, "virtualMachine": { "description": "The URI of the VM.", "type": "string" } }, "id": "RouterApplianceInstance", "description": "A router appliance instance is a Compute Engine virtual machine (VM) instance that acts as a BGP speaker. A router appliance instance is specified by the URI of the VM and the internal IP address of one of the VM's network interfaces.", "type": "object" } }, "canonicalName": "networkconnectivity", "baseUrl": "https://networkconnectivity.googleapis.com/", "fullyEncodeReservedExpansion": true, "revision": "20220505", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerDomain": "google.com", "id": "networkconnectivity:v1", "parameters": { "alt": { "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "enum": [ "json", "media", "proto" ], "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." } }, "basePath": "", "version": "v1", "protocol": "rest", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "description": "The Network Connectivity API provides access to Network Connectivity Center.", "rootUrl": "https://networkconnectivity.googleapis.com/", "name": "networkconnectivity", "version_module": true, "discoveryVersion": "v1", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "flatPath": "v1/projects/{projectsId}/locations", "id": "networkconnectivity.projects.locations.list", "parameters": { "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "required": true, "type": "string", "pattern": "^projects/[^/]+$", "location": "path" }, "filter": { "type": "string", "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "format": "int32", "type": "integer" } }, "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}/locations" }, "get": { "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "response": { "$ref": "Location" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "networkconnectivity.projects.locations.get", "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Resource name for the location.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } } } }, "resources": { "global": { "resources": { "policyBasedRoutes": { "methods": { "setIamPolicy": { "httpMethod": "POST", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global/policyBasedRoutes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetIamPolicyRequest" }, "path": "v1/{+resource}:setIamPolicy", "id": "networkconnectivity.projects.locations.global.policyBasedRoutes.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v1/projects/{projectsId}/locations/global/policyBasedRoutes/{policyBasedRoutesId}:setIamPolicy" }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/global/policyBasedRoutes/{policyBasedRoutesId}:testIamPermissions", "id": "networkconnectivity.projects.locations.global.policyBasedRoutes.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/policyBasedRoutes/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ] }, "getIamPolicy": { "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/global/policyBasedRoutes/{policyBasedRoutesId}:getIamPolicy", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.global.policyBasedRoutes.getIamPolicy", "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/policyBasedRoutes/[^/]+$", "type": "string" }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1/{+resource}:getIamPolicy" } } }, "hubs": { "methods": { "getIamPolicy": { "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "httpMethod": "GET", "id": "networkconnectivity.projects.locations.global.hubs.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "response": { "$ref": "Policy" } }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "httpMethod": "POST", "id": "networkconnectivity.projects.locations.global.hubs.setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$" } } }, "get": { "parameters": { "name": { "description": "Required. The name of the hub resource to get.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "required": true } }, "description": "Gets details about the specified hub.", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}", "response": { "$ref": "Hub" }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.global.hubs.get", "parameterOrder": [ "name" ] }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+parent}/hubs", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/global/hubs", "description": "Creates a new hub in the specified project.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.global.hubs.create", "request": { "$ref": "Hub" }, "parameters": { "requestId": { "location": "query", "type": "string", "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "parent": { "description": "Required. The parent resource.", "type": "string", "pattern": "^projects/[^/]+/locations/global$", "required": true, "location": "path" }, "hubId": { "type": "string", "location": "query", "description": "Required. A unique identifier for the hub." } } }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}", "httpMethod": "PATCH", "description": "Updates the description and/or labels of the specified hub.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1/{+name}", "request": { "$ref": "Hub" }, "parameters": { "name": { "description": "Immutable. The name of the hub. Hub names must be unique. They use the following form: `projects/{project_number}/locations/global/hubs/{hub_id}`", "type": "string", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "location": "path", "required": true }, "requestId": { "location": "query", "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "updateMask": { "description": "Optional. In the case of an update to an existing hub, field mask is used to specify the fields to be overwritten. The fields specified in the update_mask are relative to the resource, not the full request. A field is overwritten if it is in the mask. If the user does not provide a mask, then all fields are overwritten.", "type": "string", "format": "google-fieldmask", "location": "query" } }, "parameterOrder": [ "name" ], "id": "networkconnectivity.projects.locations.global.hubs.patch" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "id": "networkconnectivity.projects.locations.global.hubs.testIamPermissions", "httpMethod": "POST", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "location": "path", "type": "string" } }, "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/global/hubs", "parameterOrder": [ "parent" ], "description": "Lists hubs in a given project.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "type": "integer", "location": "query", "format": "int32", "description": "The maximum number of results per page that should be returned." }, "pageToken": { "description": "The page token.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "type": "string", "description": "Sort the results by a certain order." }, "filter": { "location": "query", "description": "An expression that filters the results listed in the response.", "type": "string" }, "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/global$", "description": "Required. The parent resource's name.", "required": true } }, "id": "networkconnectivity.projects.locations.global.hubs.list", "response": { "$ref": "ListHubsResponse" }, "path": "v1/{+parent}/hubs" }, "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "description": "Required. The name of the hub to delete.", "type": "string", "required": true, "location": "path" }, "requestId": { "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "response": { "$ref": "GoogleLongrunningOperation" }, "description": "Deletes the specified hub.", "flatPath": "v1/projects/{projectsId}/locations/global/hubs/{hubsId}", "parameterOrder": [ "name" ], "id": "networkconnectivity.projects.locations.global.hubs.delete" } } } } }, "spokes": { "methods": { "create": { "path": "v1/{+parent}/spokes", "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes", "description": "Creates a spoke in the specified project and location.", "id": "networkconnectivity.projects.locations.spokes.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "parent": { "required": true, "description": "Required. The parent resource.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "spokeId": { "description": "Required. Unique id for the spoke to create.", "location": "query", "type": "string" }, "requestId": { "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "request": { "$ref": "Spoke" } }, "delete": { "description": "Deletes the specified spoke.", "id": "networkconnectivity.projects.locations.spokes.delete", "response": { "$ref": "GoogleLongrunningOperation" }, "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "type": "string", "description": "Required. The name of the spoke to delete." }, "requestId": { "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}" }, "testIamPermissions": { "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "id": "networkconnectivity.projects.locations.spokes.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:testIamPermissions", "parameters": { "resource": { "type": "string", "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "required": true } } }, "list": { "httpMethod": "GET", "response": { "$ref": "ListSpokesResponse" }, "description": "Lists the spokes in the specified project and location.", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.spokes.list", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Sort the results by a certain order." }, "filter": { "location": "query", "description": "An expression that filters the results listed in the response.", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "The page token." }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of results per page that should be returned.", "type": "integer" }, "parent": { "type": "string", "description": "Required. The parent resource.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "path": "v1/{+parent}/spokes" }, "patch": { "description": "Updates the parameters of the specified spoke.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}", "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "PATCH", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "description": "Immutable. The name of the spoke. Spoke names must be unique. They use the following form: `projects/{project_number}/locations/{region}/spokes/{spoke_id}`", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Optional. In the case of an update to an existing spoke, field mask is used to specify the fields to be overwritten. The fields specified in the update_mask are relative to the resource, not the full request. A field is overwritten if it is in the mask. If the user does not provide a mask, then all fields are overwritten.", "location": "query" }, "requestId": { "type": "string", "location": "query", "description": "Optional. A unique request ID (optional). If you specify this ID, you can use it in cases when you need to retry your request. When you need to retry, this ID lets the server know that it can ignore the request if it has already been completed. The server guarantees that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check to see whether the original operation was received. If it was, the server ignores the second request. This behavior prevents clients from mistakenly creating duplicate commitments. The request ID must be a valid UUID, with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "request": { "$ref": "Spoke" }, "id": "networkconnectivity.projects.locations.spokes.patch", "parameterOrder": [ "name" ] }, "get": { "parameters": { "name": { "required": true, "location": "path", "description": "Required. The name of the spoke resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Spoke" }, "description": "Gets details about the specified spoke.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}", "httpMethod": "GET", "path": "v1/{+name}", "id": "networkconnectivity.projects.locations.spokes.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "id": "networkconnectivity.projects.locations.spokes.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" } }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "type": "string", "location": "path" } }, "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "id": "networkconnectivity.projects.locations.spokes.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ] } } }, "operations": { "methods": { "cancel": { "path": "v1/{+name}:cancel", "httpMethod": "POST", "response": { "$ref": "Empty" }, "id": "networkconnectivity.projects.locations.operations.cancel", "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be cancelled.", "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.operations.list", "path": "v1/{+name}/operations", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "parameters": { "name": { "description": "The name of the operation's parent resource.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string" }, "filter": { "description": "The standard list filter.", "type": "string", "location": "query" }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The standard list page size." } } }, "get": { "response": { "$ref": "GoogleLongrunningOperation" }, "parameterOrder": [ "name" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.operations.get", "httpMethod": "GET", "parameters": { "name": { "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "type": "string", "location": "path" } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "delete": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "networkconnectivity.projects.locations.operations.delete", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be deleted.", "required": true, "location": "path" } }, "httpMethod": "DELETE", "response": { "$ref": "Empty" } } } } } } } } } }
]===]))
