local decode = require("cjson").new().decode
return assert(decode([===[
{ "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "description": "The Network Connectivity API provides access to Network Connectivity Center.", "id": "networkconnectivity:v1alpha1", "rootUrl": "https://networkconnectivity.googleapis.com/", "ownerDomain": "google.com", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "title": "Network Connectivity API", "baseUrl": "https://networkconnectivity.googleapis.com/", "fullyEncodeReservedExpansion": true, "batchPath": "batch", "schemas": { "OperationMetadata": { "properties": { "verb": { "readOnly": true, "type": "string", "description": "Output only. Name of the verb executed by the operation." }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation was created." }, "endTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time the operation finished running.", "readOnly": true }, "statusMessage": { "description": "Output only. Human-readable status of the operation, if any.", "type": "string", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean", "readOnly": true }, "apiVersion": { "description": "Output only. API version used to start the operation.", "type": "string", "readOnly": true } }, "description": "Represents the metadata of the long-running operation.", "type": "object", "id": "OperationMetadata" }, "ListLocationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." } }, "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations." }, "Hub": { "description": "Network Connectivity Center is a hub-and-spoke abstraction for network connectivity management in Google Cloud. It reduces operational complexity through a simple, centralized connectivity management model. Following is the resource message of a hub.", "type": "object", "id": "Hub", "properties": { "state": { "description": "Output only. The current lifecycle state of this Hub.", "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING" ], "readOnly": true, "type": "string", "enumDescriptions": [ "No state information available", "The resource's create operation is in progress", "The resource is active", "The resource's Delete operation is in progress" ] }, "labels": { "description": "User-defined labels.", "type": "object", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Immutable. The name of a Hub resource." }, "spokes": { "description": "Output only. A list of the URIs of all attached spokes. This field is deprecated and will not be included in future API versions. Call ListSpokes on each region instead.", "readOnly": true, "type": "array", "items": { "type": "string" } }, "uniqueId": { "description": "Output only. Google-generated UUID for this resource. This is unique across all Hub resources. If a Hub resource is deleted and another with the same name is created, it gets a different unique_id.", "readOnly": true, "type": "string" }, "description": { "type": "string", "description": "Short description of the hub resource." }, "updateTime": { "description": "Time when the Hub was updated.", "format": "google-datetime", "type": "string" }, "createTime": { "type": "string", "description": "Time when the Hub was created.", "format": "google-datetime" } } }, "RouterApplianceInstance": { "id": "RouterApplianceInstance", "type": "object", "description": "RouterAppliance represents a Router appliance which is specified by a VM URI and a NIC address.", "properties": { "virtualMachine": { "description": "The URI of the virtual machine resource", "type": "string" }, "ipAddress": { "description": "The IP address of the network interface to use for peering.", "type": "string" }, "networkInterface": { "type": "string" } } }, "GoogleLongrunningOperation": { "id": "GoogleLongrunningOperation", "type": "object", "properties": { "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "GoogleRpcStatus" }, "metadata": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } }, "description": "This resource represents a long-running operation that is the result of a network API call." }, "Location": { "type": "object", "properties": { "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." } }, "type": "object" }, "Policy": { "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "auditConfigs": { "type": "array", "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" } }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array", "items": { "$ref": "Binding" } }, "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" } }, "id": "Policy" }, "Empty": { "id": "Empty", "type": "object", "properties": {}, "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "SetIamPolicyRequest": { "id": "SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string", "format": "google-fieldmask" } }, "type": "object", "description": "Request message for `SetIamPolicy` method." }, "Binding": { "properties": { "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "type": "object" }, "ListHubsResponse": { "type": "object", "description": "Response for HubService.ListHubs method.", "properties": { "nextPageToken": { "description": "The next pagination token in the List response. It should be used as page_token for the following request. An empty value means no more result.", "type": "string" }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached." }, "hubs": { "description": "Hubs to be returned.", "items": { "$ref": "Hub" }, "type": "array" } }, "id": "ListHubsResponse" }, "GoogleLongrunningListOperationsResponse": { "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "GoogleLongrunningOperation" }, "type": "array" } }, "type": "object", "id": "GoogleLongrunningListOperationsResponse" }, "TestIamPermissionsRequest": { "id": "TestIamPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "type": "object", "description": "Request message for `TestIamPermissions` method." }, "ListSpokesResponse": { "description": "The response for HubService.ListSpokes.", "id": "ListSpokesResponse", "type": "object", "properties": { "spokes": { "description": "Spokes to be returned.", "type": "array", "items": { "$ref": "Spoke" } }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "The next pagination token in the List response. It should be used as page_token for the following request. An empty value means no more result." } } }, "Spoke": { "id": "Spoke", "properties": { "hub": { "description": "The resource URL of the hub resource that the spoke is attached to", "type": "string" }, "uniqueId": { "description": "Output only. Google-generated UUID for this resource. This is unique across all Spoke resources. If a Spoke resource is deleted and another with the same name is created, it gets a different unique_id.", "type": "string", "readOnly": true }, "linkedVpnTunnels": { "description": "The URIs of linked VPN tunnel resources", "items": { "type": "string" }, "type": "array" }, "linkedRouterApplianceInstances": { "type": "array", "description": "The URIs of linked Router appliance resources", "items": { "$ref": "RouterApplianceInstance" } }, "updateTime": { "format": "google-datetime", "type": "string", "description": "The time when the Spoke was updated." }, "state": { "readOnly": true, "enumDescriptions": [ "No state information available", "The resource's create operation is in progress", "The resource is active", "The resource's Delete operation is in progress" ], "enum": [ "STATE_UNSPECIFIED", "CREATING", "ACTIVE", "DELETING" ], "description": "Output only. The current lifecycle state of this Hub.", "type": "string" }, "name": { "type": "string", "description": "Immutable. The name of a Spoke resource." }, "createTime": { "description": "The time when the Spoke was created.", "type": "string", "format": "google-datetime" }, "description": { "description": "Short description of the spoke resource", "type": "string" }, "linkedInterconnectAttachments": { "items": { "type": "string" }, "type": "array", "description": "The URIs of linked interconnect attachment resources" }, "labels": { "description": "User-defined labels.", "additionalProperties": { "type": "string" }, "type": "object" } }, "type": "object", "description": "A Spoke is an abstraction of a network attachment being attached to a Hub. A Spoke can be underlying a VPN tunnel, a VLAN (interconnect) attachment, a Router appliance, etc." }, "AuditConfig": { "id": "AuditConfig", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "properties": { "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "type": "array", "items": { "$ref": "AuditLogConfig" } }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } } }, "GoogleRpcStatus": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array" }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "type": "object", "id": "GoogleRpcStatus", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig", "type": "object", "properties": { "logType": { "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } } }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "type": "object", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "items": { "type": "string" }, "type": "array", "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed." } } }, "GoogleLongrunningCancelOperationRequest": { "id": "GoogleLongrunningCancelOperationRequest", "type": "object", "description": "The request message for Operations.CancelOperation.", "properties": {} } }, "mtlsRootUrl": "https://networkconnectivity.mtls.googleapis.com/", "basePath": "", "ownerName": "Google", "documentationLink": "https://cloud.google.com/network-connectivity/docs/reference/networkconnectivity/rest", "discoveryVersion": "v1", "version": "v1alpha1", "servicePath": "", "version_module": true, "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListLocationsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations", "id": "networkconnectivity.projects.locations.list", "parameterOrder": [ "name" ], "parameters": { "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query" }, "filter": { "location": "query", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string" }, "name": { "location": "path", "pattern": "^projects/[^/]+$", "description": "The resource that owns the locations collection, if applicable.", "type": "string", "required": true } }, "path": "v1alpha1/{+name}/locations", "description": "Lists information about the supported locations for this service." }, "get": { "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Gets information about a location.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}", "parameters": { "name": { "location": "path", "required": true, "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "id": "networkconnectivity.projects.locations.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Location" }, "path": "v1alpha1/{+name}" } }, "resources": { "global": { "resources": { "hubs": { "methods": { "delete": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}", "path": "v1alpha1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "description": "Required. The name of the Hub to delete.", "required": true, "location": "path", "type": "string" }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" } }, "description": "Deletes a single Hub.", "id": "networkconnectivity.projects.locations.global.hubs.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "GoogleLongrunningOperation" } }, "testIamPermissions": { "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "id": "networkconnectivity.projects.locations.global.hubs.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1alpha1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST" }, "list": { "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "orderBy": { "description": "Sort the results by a certain order.", "location": "query", "type": "string" }, "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/global$", "description": "Required. The parent resource's name.", "type": "string", "required": true }, "pageSize": { "description": "The maximum number of results per page that should be returned.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "description": "The page token.", "type": "string", "location": "query" }, "filter": { "description": "A filter expression that filters the results listed in the response.", "location": "query", "type": "string" } }, "response": { "$ref": "ListHubsResponse" }, "id": "networkconnectivity.projects.locations.global.hubs.list", "path": "v1alpha1/{+parent}/hubs", "description": "Lists Hubs in a given project and location.", "httpMethod": "GET", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs" }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1alpha1/{+resource}:setIamPolicy", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}:setIamPolicy", "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" } }, "request": { "$ref": "SetIamPolicyRequest" }, "id": "networkconnectivity.projects.locations.global.hubs.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "httpMethod": "POST" }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "type": "string", "location": "path", "required": true, "description": "Required. Name of the Hub resource to get." } }, "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "networkconnectivity.projects.locations.global.hubs.get", "parameterOrder": [ "name" ], "response": { "$ref": "Hub" }, "description": "Gets details of a single Hub." }, "create": { "id": "networkconnectivity.projects.locations.global.hubs.create", "parameterOrder": [ "parent" ], "path": "v1alpha1/{+parent}/hubs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "Hub" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs", "parameters": { "hubId": { "location": "query", "description": "Optional. Unique id for the Hub to create.", "type": "string" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/global$", "description": "Required. The parent resource's name of the Hub.", "location": "path", "required": true }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "description": "Creates a new Hub in a given project and location.", "httpMethod": "POST", "response": { "$ref": "GoogleLongrunningOperation" } }, "getIamPolicy": { "path": "v1alpha1/{+resource}:getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ], "id": "networkconnectivity.projects.locations.global.hubs.getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}:getIamPolicy", "parameters": { "resource": { "type": "string", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query", "type": "integer" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "request": { "$ref": "Hub" }, "httpMethod": "PATCH", "response": { "$ref": "GoogleLongrunningOperation" }, "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/global/hubs/{hubsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "description": "Immutable. The name of a Hub resource.", "pattern": "^projects/[^/]+/locations/global/hubs/[^/]+$", "required": true }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "updateMask": { "description": "Optional. Field mask is used to specify the fields to be overwritten in the Hub resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "format": "google-fieldmask", "type": "string", "location": "query" } }, "id": "networkconnectivity.projects.locations.global.hubs.patch", "description": "Updates the parameters of a single Hub." } } } } }, "connectionPolicies": { "methods": { "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionPolicies/{connectionPoliciesId}:setIamPolicy", "path": "v1alpha1/{+resource}:setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "networkconnectivity.projects.locations.connectionPolicies.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connectionPolicies/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } } }, "getIamPolicy": { "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/connectionPolicies/[^/]+$" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "networkconnectivity.projects.locations.connectionPolicies.getIamPolicy", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionPolicies/{connectionPoliciesId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+resource}:getIamPolicy" }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1alpha1/{+resource}:testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/connectionPolicies/{connectionPoliciesId}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/connectionPolicies/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "id": "networkconnectivity.projects.locations.connectionPolicies.testIamPermissions", "parameterOrder": [ "resource" ] } } }, "operations": { "methods": { "delete": { "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the operation resource to be deleted." } }, "path": "v1alpha1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "response": { "$ref": "Empty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "networkconnectivity.projects.locations.operations.delete", "httpMethod": "DELETE" }, "get": { "parameters": { "name": { "description": "The name of the operation resource.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "networkconnectivity.projects.locations.operations.get", "path": "v1alpha1/{+name}", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "GoogleLongrunningOperation" }, "httpMethod": "GET" }, "cancel": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+name}:cancel", "response": { "$ref": "Empty" }, "httpMethod": "POST", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleLongrunningCancelOperationRequest" }, "id": "networkconnectivity.projects.locations.operations.cancel" }, "list": { "response": { "$ref": "GoogleLongrunningListOperationsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "parameters": { "filter": { "type": "string", "location": "query", "description": "The standard list filter." }, "pageSize": { "location": "query", "type": "integer", "description": "The standard list page size.", "format": "int32" }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "The name of the operation's parent resource." }, "pageToken": { "type": "string", "location": "query", "description": "The standard list page token." } }, "path": "v1alpha1/{+name}/operations", "httpMethod": "GET", "id": "networkconnectivity.projects.locations.operations.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "serviceInstances": { "methods": { "setIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "httpMethod": "POST", "path": "v1alpha1/{+resource}:setIamPolicy", "id": "networkconnectivity.projects.locations.serviceInstances.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/serviceInstances/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/serviceInstances/{serviceInstancesId}:setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "testIamPermissions": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/serviceInstances/{serviceInstancesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/serviceInstances/[^/]+$", "required": true, "location": "path", "type": "string" } }, "path": "v1alpha1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.serviceInstances.testIamPermissions", "parameterOrder": [ "resource" ], "httpMethod": "POST" }, "getIamPolicy": { "path": "v1alpha1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "GET", "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/serviceInstances/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } }, "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.serviceInstances.getIamPolicy", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/serviceInstances/{serviceInstancesId}:getIamPolicy" } } }, "internalRanges": { "methods": { "getIamPolicy": { "id": "networkconnectivity.projects.locations.internalRanges.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/internalRanges/{internalRangesId}:getIamPolicy", "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "parameters": { "resource": { "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/internalRanges/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkconnectivity.projects.locations.internalRanges.testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1alpha1/{+resource}:testIamPermissions", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/internalRanges/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/internalRanges/{internalRangesId}:testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" } }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/internalRanges/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string" } }, "httpMethod": "POST", "id": "networkconnectivity.projects.locations.internalRanges.setIamPolicy", "path": "v1alpha1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/internalRanges/{internalRangesId}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "spokes": { "methods": { "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1alpha1/{+name}", "parameterOrder": [ "name" ], "description": "Gets details of a single Spoke.", "id": "networkconnectivity.projects.locations.spokes.get", "parameters": { "name": { "description": "Required. The name of Spoke resource.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}", "response": { "$ref": "Spoke" } }, "patch": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "required": true, "type": "string", "description": "Immutable. The name of a Spoke resource.", "location": "path" }, "requestId": { "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "updateMask": { "format": "google-fieldmask", "location": "query", "description": "Optional. Field mask is used to specify the fields to be overwritten in the Spoke resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string" } }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}", "parameterOrder": [ "name" ], "description": "Updates the parameters of a single Spoke.", "httpMethod": "PATCH", "id": "networkconnectivity.projects.locations.spokes.patch", "request": { "$ref": "Spoke" }, "path": "v1alpha1/{+name}", "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "path": "v1alpha1/{+resource}:getIamPolicy", "id": "networkconnectivity.projects.locations.spokes.getIamPolicy", "httpMethod": "GET", "parameterOrder": [ "resource" ], "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "location": "path", "type": "string", "required": true } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "create": { "response": { "$ref": "GoogleLongrunningOperation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "spokeId": { "description": "Optional. Unique id for the Spoke to create.", "location": "query", "type": "string" }, "parent": { "required": true, "type": "string", "location": "path", "description": "Required. The parent's resource name of the Spoke.", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "path": "v1alpha1/{+parent}/spokes", "id": "networkconnectivity.projects.locations.spokes.create", "parameterOrder": [ "parent" ], "request": { "$ref": "Spoke" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes", "httpMethod": "POST", "description": "Creates a new Spoke in a given project and location." }, "setIamPolicy": { "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:setIamPolicy", "id": "networkconnectivity.projects.locations.spokes.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha1/{+resource}:setIamPolicy", "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" } }, "httpMethod": "POST", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" } }, "delete": { "httpMethod": "DELETE", "id": "networkconnectivity.projects.locations.spokes.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleLongrunningOperation" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}", "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}", "description": "Deletes a single Spoke.", "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. An optional request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes after the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "name": { "location": "path", "required": true, "type": "string", "description": "Required. The name of the Spoke to delete.", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$" } } }, "list": { "id": "networkconnectivity.projects.locations.spokes.list", "response": { "$ref": "ListSpokesResponse" }, "path": "v1alpha1/{+parent}/spokes", "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes", "parameters": { "parent": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent's resource name.", "required": true }, "filter": { "type": "string", "description": "A filter expression that filters the results listed in the response.", "location": "query" }, "pageSize": { "format": "int32", "description": "The maximum number of results per page that should be returned.", "type": "integer", "location": "query" }, "pageToken": { "description": "The page token.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "description": "Sort the results by a certain order.", "location": "query" } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists Spokes in a given project and location.", "httpMethod": "GET" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "networkconnectivity.projects.locations.spokes.testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1alpha1/projects/{projectsId}/locations/{locationsId}/spokes/{spokesId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "path": "v1alpha1/{+resource}:testIamPermissions", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/spokes/[^/]+$", "type": "string" } } } } } } } } } }, "revision": "20220505", "canonicalName": "networkconnectivity", "parameters": { "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "alt": { "default": "json", "type": "string", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ] }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "name": "networkconnectivity", "kind": "discovery#restDescription" }
]===]))
