local decode = require("cjson").new().decode
return assert(decode([===[
{ "rootUrl": "https://networksecurity.googleapis.com/", "ownerName": "Google", "protocol": "rest", "kind": "discovery#restDescription", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "basePath": "", "revision": "20220707", "version": "v1beta1", "mtlsRootUrl": "https://networksecurity.mtls.googleapis.com/", "baseUrl": "https://networksecurity.googleapis.com/", "discoveryVersion": "v1", "schemas": { "HttpHeaderMatch": { "id": "HttpHeaderMatch", "type": "object", "properties": { "headerName": { "description": "Required. The name of the HTTP header to match. For matching against the HTTP request's authority, use a headerMatch with the header name \":authority\". For matching a request's method, use the headerName \":method\".", "type": "string" }, "regexMatch": { "type": "string", "description": "Required. The value of the header must match the regular expression specified in regexMatch. For regular expression grammar, please see: en.cppreference.com/w/cpp/regex/ecmascript For matching against a port specified in the HTTP request, use a headerMatch with headerName set to Host and a regular expression that satisfies the RFC2616 Host header's port specifier." } }, "description": "Specification of HTTP header match attributes." }, "Expr": { "id": "Expr", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } }, "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "ListServerTlsPoliciesResponse": { "type": "object", "description": "Response returned by the ListServerTlsPolicies method.", "properties": { "serverTlsPolicies": { "items": { "$ref": "ServerTlsPolicy" }, "type": "array", "description": "List of ServerTlsPolicy resources." }, "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" } }, "id": "ListServerTlsPoliciesResponse" }, "GoogleIamV1TestIamPermissionsResponse": { "id": "GoogleIamV1TestIamPermissionsResponse", "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "description": "Response message for `TestIamPermissions` method." }, "Rule": { "properties": { "sources": { "description": "Optional. List of attributes for the traffic source. All of the sources must match. A source is a match if both principals and ip_blocks match. If not set, the action specified in the 'action' field will be applied without any rule checks for the source.", "items": { "$ref": "Source" }, "type": "array" }, "destinations": { "items": { "$ref": "Destination" }, "type": "array", "description": "Optional. List of attributes for the traffic destination. All of the destinations must match. A destination is a match if a request matches all the specified hosts, ports, methods and headers. If not set, the action specified in the 'action' field will be applied without any rule checks for the destination." } }, "description": "Specification of rules.", "type": "object", "id": "Rule" }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "GoogleIamV1SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "id": "GoogleIamV1SetIamPolicyRequest", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "GoogleIamV1Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask", "type": "string" } }, "type": "object" }, "Status": { "id": "Status", "type": "object", "properties": { "details": { "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" } }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer", "format": "int32" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors)." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "description": "The response message for Operations.ListOperations.", "type": "object" }, "MTLSPolicy": { "id": "MTLSPolicy", "type": "object", "properties": { "clientValidationCa": { "type": "array", "items": { "$ref": "ValidationCA" }, "description": " Defines the mechanism to obtain the Certificate Authority certificate to validate the client certificate." } }, "description": "Specification of the MTLSPolicy." }, "GoogleIamV1TestIamPermissionsRequest": { "type": "object", "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "id": "GoogleIamV1TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." }, "GoogleCloudNetworksecurityV1beta1CertificateProvider": { "properties": { "grpcEndpoint": { "description": "gRPC specific configuration to access the gRPC server to obtain the cert and private key.", "$ref": "GoogleCloudNetworksecurityV1beta1GrpcEndpoint" }, "certificateProviderInstance": { "description": "The certificate provider instance specification that will be passed to the data plane, which will be used to load necessary credential information.", "$ref": "CertificateProviderInstance" } }, "description": "Specification of certificate provider. Defines the mechanism to obtain the certificate and private key for peer to peer authentication.", "id": "GoogleCloudNetworksecurityV1beta1CertificateProvider", "type": "object" }, "Location": { "type": "object", "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location" }, "Operation": { "type": "object", "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation", "properties": { "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object" }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." } } }, "Destination": { "type": "object", "id": "Destination", "description": "Specification of traffic destination attributes.", "properties": { "ports": { "items": { "type": "integer", "format": "uint32" }, "description": "Required. List of destination ports to match. At least one port should match.", "type": "array" }, "httpHeaderMatch": { "description": "Optional. Match against key:value pair in http header. Provides a flexible match based on HTTP headers, for potentially advanced use cases. At least one header should match. Avoid using header matches to make authorization decisions unless there is a strong guarantee that requests arrive through a trusted client or proxy.", "$ref": "HttpHeaderMatch" }, "methods": { "description": "Optional. A list of HTTP methods to match. At least one method should match. Should not be set for gRPC services.", "items": { "type": "string" }, "type": "array" }, "hosts": { "description": "Required. List of host names to match. Matched against the \":authority\" header in http requests. At least one host should match. Each host can be an exact match, or a prefix match (example \"mydomain.*\") or a suffix match (example \"*.myorg.com\") or a presence (any) match \"*\".", "items": { "type": "string" }, "type": "array" } } }, "Source": { "properties": { "ipBlocks": { "items": { "type": "string" }, "description": "Optional. List of CIDR ranges to match based on source IP address. At least one IP block should match. Single IP (e.g., \"1.2.3.4\") and CIDR (e.g., \"1.2.3.0/24\") are supported. Authorization based on source IP alone should be avoided. The IP addresses of any load balancers or proxies should be considered untrusted.", "type": "array" }, "principals": { "items": { "type": "string" }, "type": "array", "description": "Optional. List of peer identities to match for authorization. At least one principal should match. Each peer can be an exact match, or a prefix match (example, \"namespace/*\") or a suffix match (example, \"*/service-account\") or a presence match \"*\". Authorization based on the principal name without certificate validation (configured by ServerTlsPolicy resource) is considered insecure." } }, "id": "Source", "description": "Specification of traffic source attributes.", "type": "object" }, "GoogleIamV1AuditConfig": { "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "GoogleIamV1AuditConfig", "properties": { "auditLogConfigs": { "type": "array", "description": "The configuration for logging of each type of permission.", "items": { "$ref": "GoogleIamV1AuditLogConfig" } }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } } }, "GoogleIamV1AuditLogConfig": { "properties": { "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "type": "string", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] }, "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "id": "GoogleIamV1AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging." }, "GoogleIamV1Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "properties": { "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "auditConfigs": { "type": "array", "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "GoogleIamV1Binding" }, "type": "array" } }, "id": "GoogleIamV1Policy", "type": "object" }, "OperationMetadata": { "type": "object", "id": "OperationMetadata", "properties": { "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "statusMessage": { "readOnly": true, "type": "string", "description": "Output only. Human-readable status of the operation, if any." }, "createTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. The time the operation was created." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "endTime": { "type": "string", "description": "Output only. The time the operation finished running.", "format": "google-datetime", "readOnly": true } }, "description": "Represents the metadata of the long-running operation." }, "ServerTlsPolicy": { "description": "ServerTlsPolicy is a resource that specifies how a server should authenticate incoming requests. This resource itself does not affect configuration unless it is attached to a target https proxy or endpoint config selector resource.", "properties": { "description": { "description": "Free-text description of the resource.", "type": "string" }, "updateTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp when the resource was updated." }, "labels": { "description": "Set of label tags associated with the resource.", "additionalProperties": { "type": "string" }, "type": "object" }, "name": { "description": "Required. Name of the ServerTlsPolicy resource. It matches the pattern `projects/*/locations/{location}/serverTlsPolicies/{server_tls_policy}`", "type": "string" }, "serverCertificate": { "$ref": "GoogleCloudNetworksecurityV1beta1CertificateProvider", "description": " Defines a mechanism to provision server identity (public and private keys). Cannot be combined with `allow_open` as a permissive mode that allows both plain text and TLS is not supported." }, "mtlsPolicy": { "$ref": "MTLSPolicy", "description": " Defines a mechanism to provision peer validation certificates for peer to peer authentication (Mutual TLS - mTLS). If not specified, client certificate will not be requested. The connection is treated as TLS and not mTLS. If `allow_open` and `mtls_policy` are set, server allows both plain text and mTLS connections." }, "allowOpen": { "description": " Determines if server allows plaintext connections. If set to true, server allows plain text connections. By default, it is set to false. This setting is not exclusive of other encryption modes. For example, if `allow_open` and `mtls_policy` are set, server allows both plain text and mTLS connections. See documentation of other encryption modes to confirm compatibility. Consider using it if you wish to upgrade in place your deployment to TLS while having mixed TLS and non-TLS traffic reaching port :80.", "type": "boolean" }, "createTime": { "description": "Output only. The timestamp when the resource was created.", "readOnly": true, "format": "google-datetime", "type": "string" } }, "type": "object", "id": "ServerTlsPolicy" }, "ListLocationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "type": "array", "items": { "$ref": "Location" }, "description": "A list of locations that matches the specified filter in the request." } }, "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations." }, "ListAuthorizationPoliciesResponse": { "id": "ListAuthorizationPoliciesResponse", "description": "Response returned by the ListAuthorizationPolicies method.", "properties": { "authorizationPolicies": { "items": { "$ref": "AuthorizationPolicy" }, "description": "List of AuthorizationPolicies resources.", "type": "array" }, "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`." } }, "type": "object" }, "CertificateProviderInstance": { "id": "CertificateProviderInstance", "description": "Specification of a TLS certificate provider instance. Workloads may have one or more CertificateProvider instances (plugins) and one of them is enabled and configured by specifying this message. Workloads use the values from this message to locate and load the CertificateProvider instance configuration.", "properties": { "pluginInstance": { "type": "string", "description": "Required. Plugin instance name, used to locate and load CertificateProvider instance configuration. Set to \"google_cloud_private_spiffe\" to use Certificate Authority Service certificate provider instance." } }, "type": "object" }, "GoogleCloudNetworksecurityV1beta1GrpcEndpoint": { "type": "object", "description": "Specification of the GRPC Endpoint.", "id": "GoogleCloudNetworksecurityV1beta1GrpcEndpoint", "properties": { "targetUri": { "type": "string", "description": "Required. The target URI of the gRPC endpoint. Only UDS path is supported, and should start with \"unix:\"." } } }, "ClientTlsPolicy": { "description": "ClientTlsPolicy is a resource that specifies how a client should authenticate connections to backends of a service. This resource itself does not affect configuration unless it is attached to a backend service resource.", "type": "object", "id": "ClientTlsPolicy", "properties": { "labels": { "description": "Optional. Set of label tags associated with the resource.", "type": "object", "additionalProperties": { "type": "string" } }, "description": { "description": "Optional. Free-text description of the resource.", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "Output only. The timestamp when the resource was updated.", "type": "string", "readOnly": true }, "name": { "type": "string", "description": "Required. Name of the ClientTlsPolicy resource. It matches the pattern `projects/*/locations/{location}/clientTlsPolicies/{client_tls_policy}`" }, "sni": { "description": "Optional. Server Name Indication string to present to the server during TLS handshake. E.g: \"secure.example.com\".", "type": "string" }, "clientCertificate": { "$ref": "GoogleCloudNetworksecurityV1beta1CertificateProvider", "description": "Optional. Defines a mechanism to provision client identity (public and private keys) for peer to peer authentication. The presence of this dictates mTLS." }, "createTime": { "description": "Output only. The timestamp when the resource was created.", "format": "google-datetime", "type": "string", "readOnly": true }, "serverValidationCa": { "description": "Optional. Defines the mechanism to obtain the Certificate Authority certificate to validate the server certificate. If empty, client does not validate the server certificate.", "items": { "$ref": "ValidationCA" }, "type": "array" } } }, "CancelOperationRequest": { "id": "CancelOperationRequest", "properties": {}, "description": "The request message for Operations.CancelOperation.", "type": "object" }, "ListClientTlsPoliciesResponse": { "type": "object", "properties": { "clientTlsPolicies": { "description": "List of ClientTlsPolicy resources.", "items": { "$ref": "ClientTlsPolicy" }, "type": "array" }, "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" } }, "id": "ListClientTlsPoliciesResponse", "description": "Response returned by the ListClientTlsPolicies method." }, "AuthorizationPolicy": { "properties": { "rules": { "type": "array", "description": "Optional. List of rules to match. Note that at least one of the rules must match in order for the action specified in the 'action' field to be taken. A rule is a match if there is a matching source and destination. If left blank, the action specified in the `action` field will be applied on every request.", "items": { "$ref": "Rule" } }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Set of label tags associated with the AuthorizationPolicy resource." }, "createTime": { "type": "string", "description": "Output only. The timestamp when the resource was created.", "format": "google-datetime", "readOnly": true }, "action": { "enumDescriptions": [ "Default value.", "Grant access.", "Deny access. Deny rules should be avoided unless they are used to provide a default \"deny all\" fallback." ], "description": "Required. The action to take when a rule match is found. Possible values are \"ALLOW\" or \"DENY\".", "enum": [ "ACTION_UNSPECIFIED", "ALLOW", "DENY" ], "type": "string" }, "name": { "type": "string", "description": "Required. Name of the AuthorizationPolicy resource. It matches pattern `projects/{project}/locations/{location}/authorizationPolicies/`." }, "updateTime": { "description": "Output only. The timestamp when the resource was updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "description": { "description": "Optional. Free-text description of the resource.", "type": "string" } }, "type": "object", "description": "AuthorizationPolicy is a resource that specifies how a server should authorize incoming connections. This resource in itself does not change the configuration unless it's attached to a target https proxy or endpoint config selector resource.", "id": "AuthorizationPolicy" }, "GoogleIamV1Binding": { "id": "GoogleIamV1Binding", "properties": { "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" } }, "type": "object", "description": "Associates `members`, or principals, with a `role`." }, "ValidationCA": { "properties": { "grpcEndpoint": { "$ref": "GoogleCloudNetworksecurityV1beta1GrpcEndpoint", "description": "gRPC specific configuration to access the gRPC server to obtain the CA certificate." }, "certificateProviderInstance": { "description": "The certificate provider instance specification that will be passed to the data plane, which will be used to load necessary credential information.", "$ref": "CertificateProviderInstance" } }, "id": "ValidationCA", "type": "object", "description": "Specification of ValidationCA. Defines the mechanism to obtain the Certificate Authority certificate to validate the peer certificate." } }, "servicePath": "", "ownerDomain": "google.com", "canonicalName": "NetworkSecurity", "title": "Network Security API", "fullyEncodeReservedExpansion": true, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "description": "", "name": "networksecurity", "id": "networksecurity:v1beta1", "resources": { "projects": { "resources": { "locations": { "resources": { "serverTlsPolicies": { "methods": { "getIamPolicy": { "id": "networksecurity.projects.locations.serverTlsPolicies.getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}:getIamPolicy", "path": "v1beta1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "location": "path" }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" } } }, "delete": { "parameters": { "name": { "description": "Required. A name of the ServerTlsPolicy to delete. Must be in the format `projects/*/locations/{location}/serverTlsPolicies/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "type": "string", "required": true, "location": "path" } }, "description": "Deletes a single ServerTlsPolicy.", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networksecurity.projects.locations.serverTlsPolicies.delete", "parameterOrder": [ "name" ] }, "create": { "id": "networksecurity.projects.locations.serverTlsPolicies.create", "request": { "$ref": "ServerTlsPolicy" }, "description": "Creates a new ServerTlsPolicy in a given project and location.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies", "parameters": { "serverTlsPolicyId": { "description": "Required. Short name of the ServerTlsPolicy resource to be created. This value should be 1-63 characters long, containing only letters, numbers, hyphens, and underscores, and should not start with a number. E.g. \"server_mtls_policy\".", "type": "string", "location": "query" }, "parent": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the ServerTlsPolicy. Must be in the format `projects/*/locations/{location}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "path": "v1beta1/{+parent}/serverTlsPolicies", "httpMethod": "POST" }, "list": { "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Maximum number of ServerTlsPolicies to return per call." }, "parent": { "description": "Required. The project and location from which the ServerTlsPolicies should be listed, specified in the format `projects/*/locations/{location}`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true }, "pageToken": { "description": "The value returned by the last `ListServerTlsPoliciesResponse` Indicates that this is a continuation of a prior `ListServerTlsPolicies` call, and that the system should return the next page of data.", "location": "query", "type": "string" } }, "path": "v1beta1/{+parent}/serverTlsPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "ListServerTlsPoliciesResponse" }, "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies", "description": "Lists ServerTlsPolicies in a given project and location.", "id": "networksecurity.projects.locations.serverTlsPolicies.list" }, "setIamPolicy": { "httpMethod": "POST", "id": "networksecurity.projects.locations.serverTlsPolicies.setIamPolicy", "path": "v1beta1/{+resource}:setIamPolicy", "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1Policy" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } } }, "get": { "httpMethod": "GET", "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "description": "Required. A name of the ServerTlsPolicy to get. Must be in the format `projects/*/locations/{location}/serverTlsPolicies/*`.", "type": "string" } }, "response": { "$ref": "ServerTlsPolicy" }, "id": "networksecurity.projects.locations.serverTlsPolicies.get", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of a single ServerTlsPolicy.", "path": "v1beta1/{+name}" }, "patch": { "httpMethod": "PATCH", "parameterOrder": [ "name" ], "description": "Updates the parameters of a single ServerTlsPolicy.", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ServerTlsPolicy" }, "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "required": true, "description": "Required. Name of the ServerTlsPolicy resource. It matches the pattern `projects/*/locations/{location}/serverTlsPolicies/{server_tls_policy}`", "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "location": "query", "description": "Optional. Field mask is used to specify the fields to be overwritten in the ServerTlsPolicy resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "response": { "$ref": "Operation" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}", "id": "networksecurity.projects.locations.serverTlsPolicies.patch" }, "testIamPermissions": { "id": "networksecurity.projects.locations.serverTlsPolicies.testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/serverTlsPolicies/{serverTlsPoliciesId}:testIamPermissions", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/serverTlsPolicies/[^/]+$", "required": true } }, "parameterOrder": [ "resource" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1beta1/{+resource}:testIamPermissions" } } }, "operations": { "methods": { "list": { "id": "networksecurity.projects.locations.operations.list", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "path": "v1beta1/{+name}/operations", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." }, "filter": { "description": "The standard list filter.", "location": "query", "type": "string" }, "name": { "location": "path", "description": "The name of the operation's parent resource.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" } }, "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "response": { "$ref": "ListOperationsResponse" } }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "location": "path", "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "required": true } }, "id": "networksecurity.projects.locations.operations.delete", "path": "v1beta1/{+name}", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`." }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "networksecurity.projects.locations.operations.get", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "type": "string" } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service." }, "cancel": { "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}:cancel", "id": "networksecurity.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "location": "path", "description": "The name of the operation resource to be cancelled.", "type": "string" } }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel" } } }, "clientTlsPolicies": { "methods": { "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameters": { "options.requestedPolicyVersion": { "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "id": "networksecurity.projects.locations.clientTlsPolicies.getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}:getIamPolicy", "response": { "$ref": "GoogleIamV1Policy" } }, "get": { "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}", "response": { "$ref": "ClientTlsPolicy" }, "description": "Gets details of a single ClientTlsPolicy.", "id": "networksecurity.projects.locations.clientTlsPolicies.get", "parameters": { "name": { "required": true, "description": "Required. A name of the ClientTlsPolicy to get. Must be in the format `projects/*/locations/{location}/clientTlsPolicies/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$", "location": "path" } }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "list": { "id": "networksecurity.projects.locations.clientTlsPolicies.list", "description": "Lists ClientTlsPolicies in a given project and location.", "response": { "$ref": "ListClientTlsPoliciesResponse" }, "path": "v1beta1/{+parent}/clientTlsPolicies", "httpMethod": "GET", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies", "parameters": { "pageSize": { "format": "int32", "description": "Maximum number of ClientTlsPolicies to return per call.", "type": "integer", "location": "query" }, "parent": { "type": "string", "required": true, "location": "path", "description": "Required. The project and location from which the ClientTlsPolicies should be listed, specified in the format `projects/*/locations/{location}`.", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "pageToken": { "type": "string", "location": "query", "description": "The value returned by the last `ListClientTlsPoliciesResponse` Indicates that this is a continuation of a prior `ListClientTlsPolicies` call, and that the system should return the next page of data." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "parameters": { "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Optional. Field mask is used to specify the fields to be overwritten in the ClientTlsPolicy resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$", "description": "Required. Name of the ClientTlsPolicy resource. It matches the pattern `projects/*/locations/{location}/clientTlsPolicies/{client_tls_policy}`", "location": "path", "required": true, "type": "string" } }, "parameterOrder": [ "name" ], "description": "Updates the parameters of a single ClientTlsPolicy.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networksecurity.projects.locations.clientTlsPolicies.patch", "httpMethod": "PATCH", "request": { "$ref": "ClientTlsPolicy" }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}" }, "delete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}", "description": "Deletes a single ClientTlsPolicy.", "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networksecurity.projects.locations.clientTlsPolicies.delete", "parameters": { "name": { "description": "Required. A name of the ClientTlsPolicy to delete. Must be in the format `projects/*/locations/{location}/clientTlsPolicies/*`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$" } }, "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "setIamPolicy": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "required": true } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "networksecurity.projects.locations.clientTlsPolicies.setIamPolicy", "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "path": "v1beta1/{+resource}:setIamPolicy" }, "testIamPermissions": { "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/clientTlsPolicies/[^/]+$", "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies/{clientTlsPoliciesId}:testIamPermissions", "id": "networksecurity.projects.locations.clientTlsPolicies.testIamPermissions", "httpMethod": "POST", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" }, "path": "v1beta1/{+resource}:testIamPermissions", "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." }, "create": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/clientTlsPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networksecurity.projects.locations.clientTlsPolicies.create", "description": "Creates a new ClientTlsPolicy in a given project and location.", "response": { "$ref": "Operation" }, "request": { "$ref": "ClientTlsPolicy" }, "parameterOrder": [ "parent" ], "parameters": { "clientTlsPolicyId": { "description": "Required. Short name of the ClientTlsPolicy resource to be created. This value should be 1-63 characters long, containing only letters, numbers, hyphens, and underscores, and should not start with a number. E.g. \"client_mtls_policy\".", "location": "query", "type": "string" }, "parent": { "description": "Required. The parent resource of the ClientTlsPolicy. Must be in the format `projects/*/locations/{location}`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true } }, "path": "v1beta1/{+parent}/clientTlsPolicies", "httpMethod": "POST" } } }, "authorizationPolicies": { "methods": { "delete": { "id": "networksecurity.projects.locations.authorizationPolicies.delete", "parameters": { "name": { "type": "string", "location": "path", "description": "Required. A name of the AuthorizationPolicy to delete. Must be in the format `projects/{project}/locations/{location}/authorizationPolicies/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$" } }, "response": { "$ref": "Operation" }, "description": "Deletes a single AuthorizationPolicy.", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}" }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameters": { "name": { "location": "path", "description": "Required. Name of the AuthorizationPolicy resource. It matches pattern `projects/{project}/locations/{location}/authorizationPolicies/`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Optional. Field mask is used to specify the fields to be overwritten in the AuthorizationPolicy resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "httpMethod": "PATCH", "id": "networksecurity.projects.locations.authorizationPolicies.patch", "parameterOrder": [ "name" ], "request": { "$ref": "AuthorizationPolicy" }, "description": "Updates the parameters of a single AuthorizationPolicy.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}", "response": { "$ref": "Operation" } }, "getIamPolicy": { "httpMethod": "GET", "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networksecurity.projects.locations.authorizationPolicies.getIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$" } }, "response": { "$ref": "GoogleIamV1Policy" } }, "get": { "parameterOrder": [ "name" ], "description": "Gets details of a single AuthorizationPolicy.", "response": { "$ref": "AuthorizationPolicy" }, "path": "v1beta1/{+name}", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}", "parameters": { "name": { "description": "Required. A name of the AuthorizationPolicy to get. Must be in the format `projects/{project}/locations/{location}/authorizationPolicies/*`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$", "required": true } }, "id": "networksecurity.projects.locations.authorizationPolicies.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "create": { "request": { "$ref": "AuthorizationPolicy" }, "response": { "$ref": "Operation" }, "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The parent resource of the AuthorizationPolicy. Must be in the format `projects/{project}/locations/{location}`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "authorizationPolicyId": { "location": "query", "description": "Required. Short name of the AuthorizationPolicy resource to be created. This value should be 1-63 characters long, containing only letters, numbers, hyphens, and underscores, and should not start with a number. E.g. \"authz_policy\".", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/authorizationPolicies", "id": "networksecurity.projects.locations.authorizationPolicies.create", "description": "Creates a new AuthorizationPolicy in a given project and location.", "httpMethod": "POST", "parameterOrder": [ "parent" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies" }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "networksecurity.projects.locations.authorizationPolicies.testIamPermissions", "path": "v1beta1/{+resource}:testIamPermissions", "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleIamV1TestIamPermissionsResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}:testIamPermissions", "parameterOrder": [ "resource" ], "httpMethod": "POST", "request": { "$ref": "GoogleIamV1TestIamPermissionsRequest" } }, "list": { "description": "Lists AuthorizationPolicies in a given project and location.", "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+parent}/authorizationPolicies", "parameters": { "parent": { "location": "path", "description": "Required. The project and location from which the AuthorizationPolicies should be listed, specified in the format `projects/{project}/locations/{location}`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "pageToken": { "description": "The value returned by the last `ListAuthorizationPoliciesResponse` Indicates that this is a continuation of a prior `ListAuthorizationPolicies` call, and that the system should return the next page of data.", "location": "query", "type": "string" }, "pageSize": { "type": "integer", "description": "Maximum number of AuthorizationPolicies to return per call.", "location": "query", "format": "int32" } }, "id": "networksecurity.projects.locations.authorizationPolicies.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListAuthorizationPoliciesResponse" } }, "setIamPolicy": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/authorizationPolicies/{authorizationPoliciesId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1beta1/{+resource}:setIamPolicy", "id": "networksecurity.projects.locations.authorizationPolicies.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "response": { "$ref": "GoogleIamV1Policy" }, "parameterOrder": [ "resource" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/authorizationPolicies/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string" } }, "request": { "$ref": "GoogleIamV1SetIamPolicyRequest" } } } } }, "methods": { "list": { "response": { "$ref": "ListLocationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageSize": { "description": "The maximum number of results to return. If not set, the service selects a default.", "format": "int32", "type": "integer", "location": "query" }, "name": { "location": "path", "required": true, "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$" }, "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "type": "string", "location": "query" } }, "parameterOrder": [ "name" ], "id": "networksecurity.projects.locations.list", "httpMethod": "GET", "description": "Lists information about the supported locations for this service.", "path": "v1beta1/{+name}/locations", "flatPath": "v1beta1/projects/{projectsId}/locations" }, "get": { "path": "v1beta1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "location": "path", "required": true, "type": "string" } }, "response": { "$ref": "Location" }, "id": "networksecurity.projects.locations.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } }, "version_module": true, "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "alt": { "enum": [ "json", "media", "proto" ], "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "type": "string" }, "$.xgafv": { "location": "query", "type": "string", "description": "V1 error format.", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" } }, "batchPath": "batch", "documentationLink": "https://cloud.google.com/networking" }
]===]))
