local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "", "canonicalName": "NetworkServices", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "version": "v1", "discoveryVersion": "v1", "documentationLink": "https://cloud.google.com/networking", "baseUrl": "https://networkservices.googleapis.com/", "title": "Network Services API", "name": "networkservices", "schemas": { "GrpcRouteRetryPolicy": { "id": "GrpcRouteRetryPolicy", "description": "The specifications for retries.", "properties": { "numRetries": { "type": "integer", "format": "uint32", "description": "Specifies the allowed number of retries. This number must be \u003e 0. If not specpfied, default to 1." }, "retryConditions": { "items": { "type": "string" }, "type": "array", "description": "- connect-failure: Router will retry on failures connecting to Backend Services, for example due to connection timeouts. - refused-stream: Router will retry if the backend service resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry. - cancelled: Router will retry if the gRPC status code in the response header is set to cancelled - deadline-exceeded: Router will retry if the gRPC status code in the response header is set to deadline-exceeded - resource-exhausted: Router will retry if the gRPC status code in the response header is set to resource-exhausted - unavailable: Router will retry if the gRPC status code in the response header is set to unavailable" } }, "type": "object" }, "TlsRouteRouteDestination": { "type": "object", "id": "TlsRouteRouteDestination", "properties": { "weight": { "type": "integer", "format": "int32", "description": "Optional. Specifies the proportion of requests forwareded to the backend referenced by the service_name field. This is computed as: weight/Sum(weights in destinations) Weights in all destinations does not need to sum up to 100." }, "serviceName": { "description": "Required. The URL of a BackendService to route traffic to.", "type": "string" } }, "description": "Describe the destination for traffic to be routed to." }, "Empty": { "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty", "properties": {} }, "EndpointMatcherMetadataLabelMatcher": { "properties": { "metadataLabelMatchCriteria": { "type": "string", "enumDescriptions": [ "Default value. Should not be used.", "At least one of the Labels specified in the matcher should match the metadata presented by xDS client.", "The metadata presented by the xDS client should contain all of the labels specified here." ], "enum": [ "METADATA_LABEL_MATCH_CRITERIA_UNSPECIFIED", "MATCH_ANY", "MATCH_ALL" ], "description": "Specifies how matching should be done. Supported values are: MATCH_ANY: At least one of the Labels specified in the matcher should match the metadata presented by xDS client. MATCH_ALL: The metadata presented by the xDS client should contain all of the labels specified here. The selection is determined based on the best match. For example, suppose there are three EndpointPolicy resources P1, P2 and P3 and if P1 has a the matcher as MATCH_ANY , P2 has MATCH_ALL , and P3 has MATCH_ALL . If a client with label connects, the config from P1 will be selected. If a client with label connects, the config from P2 will be selected. If a client with label connects, the config from P3 will be selected. If there is more than one best match, (for example, if a config P4 with selector exists and if a client with label connects), an error will be thrown." }, "metadataLabels": { "description": "The list of label value pairs that must match labels in the provided metadata based on filterMatchCriteria This list can have at most 64 entries. The list can be empty if the match criteria is MATCH_ANY, to specify a wildcard match (i.e this matches any client).", "items": { "$ref": "EndpointMatcherMetadataLabelMatcherMetadataLabels" }, "type": "array" } }, "description": "The matcher that is based on node metadata presented by xDS clients.", "id": "EndpointMatcherMetadataLabelMatcher", "type": "object" }, "EndpointMatcher": { "id": "EndpointMatcher", "type": "object", "description": "A definition of a matcher that selects endpoints to which the policies should be applied.", "properties": { "metadataLabelMatcher": { "$ref": "EndpointMatcherMetadataLabelMatcher", "description": "The matcher is based on node metadata presented by xDS clients." } } }, "TcpRouteRouteDestination": { "description": "Describe the destination for traffic to be routed to.", "properties": { "weight": { "description": "Optional. Specifies the proportion of requests forwarded to the backend referenced by the serviceName field. This is computed as: weight/Sum(weights in this destination list). For non-zero values, there may be some epsilon from the exact proportion defined here depending on the precision an implementation supports. If only one serviceName is specified and it has a weight greater than 0, 100% of the traffic is forwarded to that backend. If weights are specified for any one service name, they need to be specified for all of them. If weights are unspecified for all services, then, traffic is distributed in equal proportions to all of them.", "type": "integer", "format": "int32" }, "serviceName": { "type": "string", "description": "Required. The URL of a BackendService to route traffic to." } }, "id": "TcpRouteRouteDestination", "type": "object" }, "GrpcRouteFaultInjectionPolicyDelay": { "id": "GrpcRouteFaultInjectionPolicyDelay", "properties": { "fixedDelay": { "description": "Specify a fixed delay before forwarding the request.", "format": "google-duration", "type": "string" }, "percentage": { "description": "The percentage of traffic on which delay will be injected. The value must be between [0, 100]", "type": "integer", "format": "int32" } }, "description": "Specification of how client requests are delayed as part of fault injection before being sent to a destination.", "type": "object" }, "GrpcRouteFaultInjectionPolicyAbort": { "properties": { "httpStatus": { "description": "The HTTP status code used to abort the request. The value must be between 200 and 599 inclusive.", "format": "int32", "type": "integer" }, "percentage": { "type": "integer", "description": "The percentage of traffic which will be aborted. The value must be between [0, 100]", "format": "int32" } }, "id": "GrpcRouteFaultInjectionPolicyAbort", "description": "Specification of how client requests are aborted as part of fault injection before being sent to a destination.", "type": "object" }, "HttpRouteRouteMatch": { "type": "object", "properties": { "ignoreCase": { "type": "boolean", "description": "Specifies if prefix_match and full_path_match matches are case sensitive. The default value is false." }, "prefixMatch": { "type": "string", "description": "The HTTP request path value must begin with specified prefix_match. prefix_match must begin with a /. Only one of full_path_match, prefix_match, or regex_match should be used." }, "fullPathMatch": { "type": "string", "description": "The HTTP request path value should exactly match this value. Only one of full_path_match, prefix_match, or regex_match should be used." }, "regexMatch": { "description": "The HTTP request path value must satisfy the regular expression specified by regex_match after removing any query parameters and anchor supplied with the original URL. For regular expression grammar, please see https://github.com/google/re2/wiki/Syntax Only one of full_path_match, prefix_match, or regex_match should be used.", "type": "string" }, "queryParameters": { "description": "Specifies a list of query parameters to match against. ALL of the query parameters must be matched.", "items": { "$ref": "HttpRouteQueryParameterMatch" }, "type": "array" }, "headers": { "items": { "$ref": "HttpRouteHeaderMatch" }, "description": "Specifies a list of HTTP request headers to match against. ALL of the supplied headers must be matched.", "type": "array" } }, "id": "HttpRouteRouteMatch", "description": "RouteMatch defines specifications used to match requests. If multiple match types are set, this RouteMatch will match if ALL type of matches are matched." }, "GrpcRouteRouteMatch": { "type": "object", "description": "Criteria for matching traffic. A RouteMatch will be considered to match when all supplied fields match.", "properties": { "method": { "$ref": "GrpcRouteMethodMatch", "description": "Optional. A gRPC method to match against. If this field is empty or omitted, will match all methods." }, "headers": { "type": "array", "description": "Optional. Specifies a collection of headers to match.", "items": { "$ref": "GrpcRouteHeaderMatch" } } }, "id": "GrpcRouteRouteMatch" }, "TcpRouteRouteMatch": { "type": "object", "id": "TcpRouteRouteMatch", "properties": { "address": { "type": "string", "description": "Required. Must be specified in the CIDR range format. A CIDR range consists of an IP Address and a prefix length to construct the subnet mask. By default, the prefix length is 32 (i.e. matches a single IP address). Only IPV4 addresses are supported. Examples: \"10.0.0.1\" - matches against this exact IP address. \"10.0.0.0/8\" - matches against any IP address within the 10.0.0.0 subnet and 255.255.255.0 mask. \"0.0.0.0/0\" - matches against any IP address'." }, "port": { "description": "Required. Specifies the destination port to match against.", "type": "string" } }, "description": "RouteMatch defines the predicate used to match requests to a given action. Multiple match types are \"OR\"ed for evaluation. If no routeMatch field is specified, this rule will unconditionally match traffic." }, "OperationMetadata": { "type": "object", "description": "Represents the metadata of the long-running operation.", "id": "OperationMetadata", "properties": { "requestedCancellation": { "readOnly": true, "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`." }, "verb": { "readOnly": true, "description": "Output only. Name of the verb executed by the operation.", "type": "string" }, "statusMessage": { "type": "string", "description": "Output only. Human-readable status of the operation, if any.", "readOnly": true }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "endTime": { "type": "string", "readOnly": true, "description": "Output only. The time the operation finished running.", "format": "google-datetime" }, "apiVersion": { "readOnly": true, "description": "Output only. API version used to start the operation.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. The time the operation was created." } } }, "EndpointMatcherMetadataLabelMatcherMetadataLabels": { "id": "EndpointMatcherMetadataLabelMatcherMetadataLabels", "description": "Defines a name-pair value for a single label.", "properties": { "labelName": { "type": "string", "description": "Required. Label name presented as key in xDS Node Metadata." }, "labelValue": { "type": "string", "description": "Required. Label value presented as value corresponding to the above key, in xDS Node Metadata." } }, "type": "object" }, "ListLocationsResponse": { "id": "ListLocationsResponse", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "items": { "$ref": "Location" }, "type": "array" }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } }, "type": "object", "description": "The response message for Locations.ListLocations." }, "HttpRouteURLRewrite": { "description": "The specification for modifying the URL of the request, prior to forwarding the request to the destination.", "id": "HttpRouteURLRewrite", "properties": { "hostRewrite": { "type": "string", "description": "Prior to forwarding the request to the selected destination, the requests host header is replaced by this value." }, "pathPrefixRewrite": { "type": "string", "description": "Prior to forwarding the request to the selected destination, the matching portion of the requests path is replaced by this value." } }, "type": "object" }, "CancelOperationRequest": { "description": "The request message for Operations.CancelOperation.", "properties": {}, "type": "object", "id": "CancelOperationRequest" }, "AuditConfig": { "id": "AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" } } }, "AuditLogConfig": { "properties": { "logType": { "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "type": "string" }, "exemptedMembers": { "items": { "type": "string" }, "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } }, "id": "AuditLogConfig", "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object" }, "Status": { "properties": { "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32", "type": "integer" } }, "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "id": "Status" }, "ServiceBinding": { "properties": { "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" }, "updateTime": { "type": "string", "description": "Output only. The timestamp when the resource was updated.", "readOnly": true, "format": "google-datetime" }, "name": { "description": "Required. Name of the ServiceBinding resource. It matches pattern `projects/*/locations/global/serviceBindings/service_binding_name\u003e`.", "type": "string" }, "service": { "description": "Required. The full service directory service name of the format /projects/*/locations/*/namespaces/*/services/*", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Set of label tags associated with the ServiceBinding resource." }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp when the resource was created.", "type": "string" } }, "type": "object", "id": "ServiceBinding", "description": "ServiceBinding is the resource that defines a Service Directory Service to be used in a BackendService resource." }, "ListGrpcRoutesResponse": { "type": "object", "description": "Response returned by the ListGrpcRoutes method.", "properties": { "grpcRoutes": { "type": "array", "description": "List of GrpcRoute resources.", "items": { "$ref": "GrpcRoute" } }, "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" } }, "id": "ListGrpcRoutesResponse" }, "ListGatewaysResponse": { "description": "Response returned by the ListGateways method.", "type": "object", "id": "ListGatewaysResponse", "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "gateways": { "description": "List of Gateway resources.", "type": "array", "items": { "$ref": "Gateway" } } } }, "HttpRouteHeaderMatchIntegerRange": { "type": "object", "description": "Represents an integer value range.", "properties": { "end": { "type": "integer", "format": "int32", "description": "End of the range (exclusive)" }, "start": { "description": "Start of the range (inclusive)", "type": "integer", "format": "int32" } }, "id": "HttpRouteHeaderMatchIntegerRange" }, "ListHttpRoutesResponse": { "id": "ListHttpRoutesResponse", "description": "Response returned by the ListHttpRoutes method.", "type": "object", "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "httpRoutes": { "items": { "$ref": "HttpRoute" }, "type": "array", "description": "List of HttpRoute resources." } } }, "GrpcRouteFaultInjectionPolicy": { "type": "object", "properties": { "abort": { "$ref": "GrpcRouteFaultInjectionPolicyAbort", "description": "The specification for aborting to client requests." }, "delay": { "$ref": "GrpcRouteFaultInjectionPolicyDelay", "description": "The specification for injecting delay to client requests." } }, "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to destination service failure. As part of fault injection, when clients send requests to a destination, delays can be introduced on a percentage of requests before sending those requests to the destination service. Similarly requests from clients can be aborted by for a percentage of requests.", "id": "GrpcRouteFaultInjectionPolicy" }, "HttpRoute": { "id": "HttpRoute", "description": "HttpRoute is the resource defining how HTTP traffic should be routed by a Mesh or Gateway resource.", "properties": { "meshes": { "items": { "type": "string" }, "type": "array", "description": "Optional. Meshes defines a list of meshes this HttpRoute is attached to, as one of the routing rules to route the requests served by the mesh. Each mesh reference should match the pattern: `projects/*/locations/global/meshes/` The attached Mesh should be of a type SIDECAR" }, "selfLink": { "type": "string", "readOnly": true, "description": "Output only. Server-defined URL of this resource" }, "createTime": { "description": "Output only. The timestamp when the resource was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "description": "Required. Name of the HttpRoute resource. It matches pattern `projects/*/locations/global/httpRoutes/http_route_name\u003e`.", "type": "string" }, "gateways": { "items": { "type": "string" }, "description": "Optional. Gateways defines a list of gateways this HttpRoute is attached to, as one of the routing rules to route the requests served by the gateway. Each gateway reference should match the pattern: `projects/*/locations/global/gateways/`", "type": "array" }, "rules": { "type": "array", "items": { "$ref": "HttpRouteRouteRule" }, "description": "Required. Rules that define how traffic is routed and handled. Rules will be matched sequentially based on the RouteMatch specified for the rule." }, "labels": { "type": "object", "description": "Optional. Set of label tags associated with the HttpRoute resource.", "additionalProperties": { "type": "string" } }, "hostnames": { "items": { "type": "string" }, "description": "Required. Hostnames define a set of hosts that should match against the HTTP host header to select a HttpRoute to process the request. Hostname is the fully qualified domain name of a network host, as defined by RFC 1123 with the exception that: - IPs are not allowed. - A hostname may be prefixed with a wildcard label (*.). The wildcard label must appear by itself as the first label. Hostname can be \"precise\" which is a domain name without the terminating dot of a network host (e.g. \"foo.example.com\") or \"wildcard\", which is a domain name prefixed with a single wildcard label (e.g. *.example.com). Note that as per RFC1035 and RFC1123, a label must consist of lower case alphanumeric characters or '-', and must start and end with an alphanumeric character. No other punctuation is allowed. The routes associated with a Mesh or Gateways must have unique hostnames. If you attempt to attach multiple routes with conflicting hostnames, the configuration will be rejected. For example, while it is acceptable for routes for the hostnames \"*.foo.bar.com\" and \"*.bar.com\" to be associated with the same Mesh (or Gateways under the same scope), it is not possible to associate two routes both with \"*.bar.com\" or both with \"bar.com\".", "type": "array" }, "updateTime": { "description": "Output only. The timestamp when the resource was updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" } }, "type": "object" }, "TlsRouteRouteRule": { "type": "object", "id": "TlsRouteRouteRule", "description": "Specifies how to match traffic and how to route traffic when traffic is matched.", "properties": { "matches": { "items": { "$ref": "TlsRouteRouteMatch" }, "description": "Required. RouteMatch defines the predicate used to match requests to a given action. Multiple match types are \"OR\"ed for evaluation.", "type": "array" }, "action": { "description": "Required. The detailed rule defining how to route matched traffic.", "$ref": "TlsRouteRouteAction" } } }, "GrpcRouteRouteRule": { "description": "Describes how to route traffic.", "properties": { "action": { "description": "Required. A detailed rule defining how to route traffic. This field is required.", "$ref": "GrpcRouteRouteAction" }, "matches": { "type": "array", "items": { "$ref": "GrpcRouteRouteMatch" }, "description": "Optional. Matches define conditions used for matching the rule against incoming gRPC requests. Each match is independent, i.e. this rule will be matched if ANY one of the matches is satisfied. If no matches field is specified, this rule will unconditionally match traffic." } }, "type": "object", "id": "GrpcRouteRouteRule" }, "HttpRouteHeaderMatch": { "id": "HttpRouteHeaderMatch", "description": "Specifies how to select a route rule based on HTTP request headers.", "properties": { "presentMatch": { "type": "boolean", "description": "A header with header_name must exist. The match takes place whether or not the header has a value." }, "regexMatch": { "type": "string", "description": "The value of the header must match the regular expression specified in regex_match. For regular expression grammar, please see: https://github.com/google/re2/wiki/Syntax" }, "exactMatch": { "type": "string", "description": "The value of the header should match exactly the content of exact_match." }, "header": { "description": "The name of the HTTP header to match against.", "type": "string" }, "suffixMatch": { "description": "The value of the header must end with the contents of suffix_match.", "type": "string" }, "rangeMatch": { "description": "If specified, the rule will match if the request header value is within the range.", "$ref": "HttpRouteHeaderMatchIntegerRange" }, "invertMatch": { "type": "boolean", "description": "If specified, the match result will be inverted before checking. Default value is set to false." }, "prefixMatch": { "description": "The value of the header must start with the contents of prefix_match.", "type": "string" } }, "type": "object" }, "ListServiceBindingsResponse": { "type": "object", "description": "Response returned by the ListServiceBindings method.", "id": "ListServiceBindingsResponse", "properties": { "serviceBindings": { "description": "List of ServiceBinding resources.", "items": { "$ref": "ServiceBinding" }, "type": "array" }, "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`." } } }, "Gateway": { "description": "Gateway represents the configuration for a proxy, typically a load balancer. It captures the ip:port over which the services are exposed by the proxy, along with any policy configurations. Routes have reference to to Gateways to dictate how requests should be routed by this Gateway.", "type": "object", "properties": { "scope": { "description": "Required. Immutable. Scope determines how configuration across multiple Gateway instances are merged. The configuration for multiple Gateway instances with the same scope will be merged as presented as a single coniguration to the proxy/load balancer. Max length 64 characters. Scope should start with a letter and can only have letters, numbers, hyphens.", "type": "string" }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp when the resource was updated.", "type": "string" }, "serverTlsPolicy": { "type": "string", "description": "Optional. A fully-qualified ServerTLSPolicy URL reference. Specifies how TLS traffic is terminated. If empty, TLS termination is disabled." }, "selfLink": { "type": "string", "description": "Output only. Server-defined URL of this resource", "readOnly": true }, "type": { "description": "Immutable. The type of the customer managed gateway.", "type": "string", "enum": [ "TYPE_UNSPECIFIED", "OPEN_MESH", "SECURE_WEB_GATEWAY" ], "enumDescriptions": [ "The type of the customer managed gateway is unspecified.", "The type of the customer managed gateway is TrafficDirector Open Mesh.", "The type of the customer managed gateway is SecureWebGateway (SWG)." ] }, "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" }, "name": { "type": "string", "description": "Required. Name of the Gateway resource. It matches pattern `projects/*/locations/*/gateways/`." }, "ports": { "description": "Required. One or more ports that the Gateway must receive traffic on. The proxy binds to the ports specified. Gateway listen on 0.0.0.0 on the ports specified below.", "items": { "format": "int32", "type": "integer" }, "type": "array" }, "labels": { "description": "Optional. Set of label tags associated with the Gateway resource.", "additionalProperties": { "type": "string" }, "type": "object" }, "createTime": { "readOnly": true, "description": "Output only. The timestamp when the resource was created.", "format": "google-datetime", "type": "string" } }, "id": "Gateway" }, "TlsRouteRouteMatch": { "description": "RouteMatch defines the predicate used to match requests to a given action. Multiple match types are \"AND\"ed for evaluation. If no routeMatch field is specified, this rule will unconditionally match traffic.", "type": "object", "properties": { "alpn": { "description": "Optional. ALPN (Application-Layer Protocol Negotiation) to match against. Examples: \"http/1.1\", \"h2\". At least one of sni_host and alpn is required. Up to 5 alpns across all matches can be set.", "items": { "type": "string" }, "type": "array" }, "sniHost": { "items": { "type": "string" }, "description": "Optional. SNI (server name indicator) to match against. SNI will be matched against all wildcard domains, i.e. www.example.com will be first matched against www.example.com, then *.example.com, then *.com. Partial wildcards are not supported, and values like *w.example.com are invalid. At least one of sni_host and alpn is required. Up to 5 sni hosts across all matches can be set.", "type": "array" } }, "id": "TlsRouteRouteMatch" }, "TestIamPermissionsResponse": { "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "type": "object", "properties": { "policy": { "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them.", "$ref": "Policy" }, "updateMask": { "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string", "format": "google-fieldmask" } }, "id": "SetIamPolicyRequest" }, "HttpRouteHeaderModifier": { "id": "HttpRouteHeaderModifier", "properties": { "remove": { "items": { "type": "string" }, "description": "Remove headers (matching by header names) specified in the list.", "type": "array" }, "add": { "description": "Add the headers with given map where key is the name of the header, value is the value of the header.", "additionalProperties": { "type": "string" }, "type": "object" }, "set": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Completely overwrite/replace the headers with given map where key is the name of the header, value is the value of the header." } }, "type": "object", "description": "The specification for modifying HTTP header in HTTP request and HTTP response." }, "ListEndpointPoliciesResponse": { "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "endpointPolicies": { "description": "List of EndpointPolicy resources.", "type": "array", "items": { "$ref": "EndpointPolicy" } } }, "description": "Response returned by the ListEndpointPolicies method.", "id": "ListEndpointPoliciesResponse", "type": "object" }, "HttpRouteFaultInjectionPolicyDelay": { "description": "Specification of how client requests are delayed as part of fault injection before being sent to a destination.", "properties": { "fixedDelay": { "description": "Specify a fixed delay before forwarding the request.", "type": "string", "format": "google-duration" }, "percentage": { "format": "int32", "type": "integer", "description": "The percentage of traffic on which delay will be injected. The value must be between [0, 100]" } }, "id": "HttpRouteFaultInjectionPolicyDelay", "type": "object" }, "TrafficPortSelector": { "type": "object", "properties": { "ports": { "type": "array", "items": { "type": "string" }, "description": "Optional. A list of ports. Can be port numbers or port range (example, [80-90] specifies all ports from 80 to 90, including 80 and 90) or named ports or LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh to specify all ports. If the list is empty, all ports are selected." } }, "description": "Specification of a port-based selector.", "id": "TrafficPortSelector" }, "HttpRouteRouteRule": { "id": "HttpRouteRouteRule", "properties": { "matches": { "items": { "$ref": "HttpRouteRouteMatch" }, "type": "array", "description": "A list of matches define conditions used for matching the rule against incoming HTTP requests. Each match is independent, i.e. this rule will be matched if ANY one of the matches is satisfied. If no matches field is specified, this rule will unconditionally match traffic. If a default rule is desired to be configured, add a rule with no matches specified to the end of the rules list." }, "action": { "$ref": "HttpRouteRouteAction", "description": "The detailed rule defining how to route matched traffic." } }, "type": "object", "description": "Specifies how to match traffic and how to route traffic when traffic is matched." }, "HttpRouteRequestMirrorPolicy": { "properties": { "destination": { "$ref": "HttpRouteDestination", "description": "The destination the requests will be mirrored to. The weight of the destination will be ignored." } }, "id": "HttpRouteRequestMirrorPolicy", "type": "object", "description": "Specifies the policy on how requests are shadowed to a separate mirrored destination service. The proxy does not wait for responses from the shadow service. Prior to sending traffic to the shadow service, the host/authority header is suffixed with -shadow." }, "GrpcRoute": { "type": "object", "properties": { "hostnames": { "type": "array", "items": { "type": "string" }, "description": "Required. Service hostnames with an optional port for which this route describes traffic. Format: [:] Hostname is the fully qualified domain name of a network host. This matches the RFC 1123 definition of a hostname with 2 notable exceptions: - IPs are not allowed. - A hostname may be prefixed with a wildcard label (*.). The wildcard label must appear by itself as the first label. Hostname can be \"precise\" which is a domain name without the terminating dot of a network host (e.g. \"foo.example.com\") or \"wildcard\", which is a domain name prefixed with a single wildcard label (e.g. *.example.com). Note that as per RFC1035 and RFC1123, a label must consist of lower case alphanumeric characters or '-', and must start and end with an alphanumeric character. No other punctuation is allowed. The routes associated with a Mesh or Gateway must have unique hostnames. If you attempt to attach multiple routes with conflicting hostnames, the configuration will be rejected. For example, while it is acceptable for routes for the hostnames \"*.foo.bar.com\" and \"*.bar.com\" to be associated with the same route, it is not possible to associate two routes both with \"*.bar.com\" or both with \"bar.com\". If a port is specified, then gRPC clients must use the channel URI with the port to match this rule (i.e. \"xds:///service:123\"), otherwise they must supply the URI without a port (i.e. \"xds:///service\")." }, "rules": { "items": { "$ref": "GrpcRouteRouteRule" }, "description": "Required. A list of detailed rules defining how to route traffic. Within a single GrpcRoute, the GrpcRoute.RouteAction associated with the first matching GrpcRoute.RouteRule will be executed. At least one rule must be supplied.", "type": "array" }, "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "Output only. The timestamp when the resource was created.", "readOnly": true }, "selfLink": { "description": "Output only. Server-defined URL of this resource", "type": "string", "readOnly": true }, "updateTime": { "description": "Output only. The timestamp when the resource was updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "labels": { "type": "object", "description": "Optional. Set of label tags associated with the GrpcRoute resource.", "additionalProperties": { "type": "string" } }, "meshes": { "description": "Optional. Meshes defines a list of meshes this GrpcRoute is attached to, as one of the routing rules to route the requests served by the mesh. Each mesh reference should match the pattern: `projects/*/locations/global/meshes/`", "items": { "type": "string" }, "type": "array" }, "name": { "description": "Required. Name of the GrpcRoute resource. It matches pattern `projects/*/locations/global/grpcRoutes/`", "type": "string" }, "gateways": { "items": { "type": "string" }, "description": "Optional. Gateways defines a list of gateways this GrpcRoute is attached to, as one of the routing rules to route the requests served by the gateway. Each gateway reference should match the pattern: `projects/*/locations/global/gateways/`", "type": "array" } }, "id": "GrpcRoute", "description": "GrpcRoute is the resource defining how gRPC traffic routed by a Mesh or Gateway resource is routed." }, "HttpRouteCorsPolicy": { "id": "HttpRouteCorsPolicy", "description": "The Specification for allowing client side cross-origin requests.", "properties": { "maxAge": { "type": "string", "description": "Specifies how long result of a preflight request can be cached in seconds. This translates to the Access-Control-Max-Age header." }, "exposeHeaders": { "description": "Specifies the content for Access-Control-Expose-Headers header.", "items": { "type": "string" }, "type": "array" }, "allowCredentials": { "type": "boolean", "description": "In response to a preflight request, setting this to true indicates that the actual request can include user credentials. This translates to the Access-Control-Allow-Credentials header. Default value is false." }, "disabled": { "type": "boolean", "description": "If true, the CORS policy is disabled. The default value is false, which indicates that the CORS policy is in effect." }, "allowHeaders": { "type": "array", "description": "Specifies the content for Access-Control-Allow-Headers header.", "items": { "type": "string" } }, "allowOriginRegexes": { "description": "Specifies the regular expression patterns that match allowed origins. For regular expression grammar, please see https://github.com/google/re2/wiki/Syntax.", "items": { "type": "string" }, "type": "array" }, "allowMethods": { "description": "Specifies the content for Access-Control-Allow-Methods header.", "items": { "type": "string" }, "type": "array" }, "allowOrigins": { "description": "Specifies the list of origins that will be allowed to do CORS requests. An origin is allowed if it matches either an item in allow_origins or an item in allow_origin_regexes.", "type": "array", "items": { "type": "string" } } }, "type": "object" }, "GrpcRouteHeaderMatch": { "type": "object", "id": "GrpcRouteHeaderMatch", "description": "A match against a collection of headers.", "properties": { "value": { "type": "string", "description": "Required. The value of the header." }, "type": { "type": "string", "description": "Optional. Specifies how to match against the value of the header. If not specified, a default value of EXACT is used.", "enum": [ "TYPE_UNSPECIFIED", "EXACT", "REGULAR_EXPRESSION" ], "enumDescriptions": [ "Unspecified.", "Will only match the exact value provided.", "Will match paths conforming to the prefix specified by value. RE2 syntax is supported." ] }, "key": { "description": "Required. The key of the header.", "type": "string" } } }, "Operation": { "type": "object", "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`." }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "HttpRouteRetryPolicy": { "description": "The specifications for retries.", "id": "HttpRouteRetryPolicy", "type": "object", "properties": { "retryConditions": { "items": { "type": "string" }, "type": "array", "description": "Specifies one or more conditions when this retry policy applies. Valid values are: 5xx: Proxy will attempt a retry if the destination service responds with any 5xx response code, of if the destination service does not respond at all, example: disconnect, reset, read timeout, connection failure and refused streams. gateway-error: Similar to 5xx, but only applies to response codes 502, 503, 504. reset: Proxy will attempt a retry if the destination service does not respond at all (disconnect/reset/read timeout) connect-failure: Proxy will retry on failures connecting to destination for example due to connection timeouts. retriable-4xx: Proxy will retry fro retriable 4xx response codes. Currently the only retriable error supported is 409. refused-stream: Proxy will retry if the destination resets the stream with a REFUSED_STREAM error code. This reset type indicates that it is safe to retry." }, "perTryTimeout": { "type": "string", "description": "Specifies a non-zero timeout per retry attempt.", "format": "google-duration" }, "numRetries": { "type": "integer", "description": "Specifies the allowed number of retries. This number must be \u003e 0. If not specified, default to 1.", "format": "int32" } } }, "TcpRouteRouteRule": { "properties": { "action": { "$ref": "TcpRouteRouteAction", "description": "Required. The detailed rule defining how to route matched traffic." }, "matches": { "type": "array", "items": { "$ref": "TcpRouteRouteMatch" }, "description": "Optional. RouteMatch defines the predicate used to match requests to a given action. Multiple match types are \"OR\"ed for evaluation. If no routeMatch field is specified, this rule will unconditionally match traffic." } }, "type": "object", "description": "Specifies how to match traffic and how to route traffic when traffic is matched.", "id": "TcpRouteRouteRule" }, "GrpcRouteDestination": { "description": "The destination to which traffic will be routed.", "properties": { "serviceName": { "type": "string", "description": "Required. The URL of a destination service to which to route traffic. Must refer to either a BackendService or ServiceDirectoryService." }, "weight": { "type": "integer", "format": "int32", "description": "Optional. Specifies the proportion of requests forwarded to the backend referenced by the serviceName field. This is computed as: weight/Sum(weights in this destination list). For non-zero values, there may be some epsilon from the exact proportion defined here depending on the precision an implementation supports. If only one serviceName is specified and it has a weight greater than 0, 100% of the traffic is forwarded to that backend. If weights are specified for any one service name, they need to be specified for all of them. If weights are unspecified for all services, then, traffic is distributed in equal proportions to all of them." } }, "id": "GrpcRouteDestination", "type": "object" }, "ListTcpRoutesResponse": { "description": "Response returned by the ListTcpRoutes method.", "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "tcpRoutes": { "items": { "$ref": "TcpRoute" }, "description": "List of TcpRoute resources.", "type": "array" } }, "id": "ListTcpRoutesResponse", "type": "object" }, "GrpcRouteMethodMatch": { "type": "object", "id": "GrpcRouteMethodMatch", "description": "Specifies a match against a method.", "properties": { "caseSensitive": { "type": "boolean", "description": "Optional. Specifies that matches are case sensitive. The default value is true. case_sensitive must not be used with a type of REGULAR_EXPRESSION." }, "type": { "enumDescriptions": [ "Unspecified.", "Will only match the exact name provided.", "Will interpret grpc_method and grpc_service as regexes. RE2 syntax is supported." ], "type": "string", "description": "Optional. Specifies how to match against the name. If not specified, a default value of \"EXACT\" is used.", "enum": [ "TYPE_UNSPECIFIED", "EXACT", "REGULAR_EXPRESSION" ] }, "grpcMethod": { "type": "string", "description": "Required. Name of the method to match against. If unspecified, will match all methods." }, "grpcService": { "description": "Required. Name of the service to match against. If unspecified, will match all services.", "type": "string" } } }, "ListOperationsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "description": "A list of operations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Operation" } } }, "type": "object", "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations." }, "HttpRouteRedirect": { "id": "HttpRouteRedirect", "type": "object", "description": "The specification for redirecting traffic.", "properties": { "portRedirect": { "description": "The port that will be used in the redirected request instead of the one that was supplied in the request.", "type": "integer", "format": "int32" }, "httpsRedirect": { "type": "boolean", "description": "If set to true, the URL scheme in the redirected request is set to https. If set to false, the URL scheme of the redirected request will remain the same as that of the request. The default is set to false." }, "hostRedirect": { "description": "The host that will be used in the redirect response instead of the one that was supplied in the request.", "type": "string" }, "prefixRewrite": { "description": "Indicates that during redirection, the matched prefix (or path) should be swapped with this value. This option allows URLs be dynamically created based on the request.", "type": "string" }, "responseCode": { "description": "The HTTP Status code to use for the redirect.", "enum": [ "RESPONSE_CODE_UNSPECIFIED", "MOVED_PERMANENTLY_DEFAULT", "FOUND", "SEE_OTHER", "TEMPORARY_REDIRECT", "PERMANENT_REDIRECT" ], "enumDescriptions": [ "Default value", "Corresponds to 301.", "Corresponds to 302.", "Corresponds to 303.", "Corresponds to 307. In this case, the request method will be retained.", "Corresponds to 308. In this case, the request method will be retained." ], "type": "string" }, "pathRedirect": { "description": "The path that will be used in the redirect response instead of the one that was supplied in the request. path_redirect can not be supplied together with prefix_redirect. Supply one alone or neither. If neither is supplied, the path of the original request will be used for the redirect.", "type": "string" }, "stripQuery": { "description": "if set to true, any accompanying query portion of the original URL is removed prior to redirecting the request. If set to false, the query portion of the original URL is retained. The default is set to false.", "type": "boolean" } } }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "id": "TestIamPermissionsRequest", "type": "object" }, "HttpRouteRouteAction": { "properties": { "requestMirrorPolicy": { "$ref": "HttpRouteRequestMirrorPolicy", "description": "Specifies the policy on how requests intended for the routes destination are shadowed to a separate mirrored destination. Proxy will not wait for the shadow destination to respond before returning the response. Prior to sending traffic to the shadow service, the host/authority header is suffixed with -shadow." }, "responseHeaderModifier": { "$ref": "HttpRouteHeaderModifier", "description": "The specification for modifying the headers of a response prior to sending the response back to the client." }, "redirect": { "$ref": "HttpRouteRedirect", "description": "If set, the request is directed as configured by this field." }, "destinations": { "description": "The destination to which traffic should be forwarded.", "type": "array", "items": { "$ref": "HttpRouteDestination" } }, "retryPolicy": { "description": "Specifies the retry policy associated with this route.", "$ref": "HttpRouteRetryPolicy" }, "urlRewrite": { "description": "The specification for rewrite URL before forwarding requests to the destination.", "$ref": "HttpRouteURLRewrite" }, "corsPolicy": { "$ref": "HttpRouteCorsPolicy", "description": "The specification for allowing client side cross-origin requests." }, "faultInjectionPolicy": { "$ref": "HttpRouteFaultInjectionPolicy", "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to backend service failure. As part of fault injection, when clients send requests to a backend service, delays can be introduced on a percentage of requests before sending those requests to the backend service. Similarly requests from clients can be aborted for a percentage of requests. timeout and retry_policy will be ignored by clients that are configured with a fault_injection_policy" }, "timeout": { "format": "google-duration", "description": "Specifies the timeout for selected route. Timeout is computed from the time the request has been fully processed (i.e. end of stream) up until the response has been completely processed. Timeout includes all retries.", "type": "string" }, "requestHeaderModifier": { "$ref": "HttpRouteHeaderModifier", "description": "The specification for modifying the headers of a matching request prior to delivery of the request to the destination." } }, "id": "HttpRouteRouteAction", "type": "object", "description": "The specifications for routing traffic and applying associated policies." }, "HttpRouteDestination": { "id": "HttpRouteDestination", "properties": { "serviceName": { "type": "string", "description": "The URL of a BackendService to route traffic to." }, "weight": { "format": "int32", "type": "integer", "description": "Specifies the proportion of requests forwarded to the backend referenced by the serviceName field. This is computed as: weight/Sum(weights in this destination list). For non-zero values, there may be some epsilon from the exact proportion defined here depending on the precision an implementation supports. If only one serviceName is specified and it has a weight greater than 0, 100% of the traffic is forwarded to that backend. If weights are specified for any one service name, they need to be specified for all of them. If weights are unspecified for all services, then, traffic is distributed in equal proportions to all of them." } }, "description": "Specifications of a destination to which the request should be routed to.", "type": "object" }, "TcpRoute": { "type": "object", "properties": { "meshes": { "description": "Optional. Meshes defines a list of meshes this TcpRoute is attached to, as one of the routing rules to route the requests served by the mesh. Each mesh reference should match the pattern: `projects/*/locations/global/meshes/` The attached Mesh should be of a type SIDECAR", "items": { "type": "string" }, "type": "array" }, "updateTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The timestamp when the resource was updated." }, "name": { "type": "string", "description": "Required. Name of the TcpRoute resource. It matches pattern `projects/*/locations/global/tcpRoutes/tcp_route_name\u003e`." }, "labels": { "type": "object", "description": "Optional. Set of label tags associated with the TcpRoute resource.", "additionalProperties": { "type": "string" } }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The timestamp when the resource was created.", "readOnly": true }, "rules": { "type": "array", "description": "Required. Rules that define how traffic is routed and handled. At least one RouteRule must be supplied. If there are multiple rules then the action taken will be the first rule to match.", "items": { "$ref": "TcpRouteRouteRule" } }, "selfLink": { "description": "Output only. Server-defined URL of this resource", "readOnly": true, "type": "string" }, "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" }, "gateways": { "type": "array", "items": { "type": "string" }, "description": "Optional. Gateways defines a list of gateways this TcpRoute is attached to, as one of the routing rules to route the requests served by the gateway. Each gateway reference should match the pattern: `projects/*/locations/global/gateways/`" } }, "description": "TcpRoute is the resource defining how TCP traffic should be routed by a Mesh/Gateway resource.", "id": "TcpRoute" }, "HttpRouteQueryParameterMatch": { "properties": { "presentMatch": { "description": "Specifies that the QueryParameterMatcher matches if request contains query parameter, irrespective of whether the parameter has a value or not. Only one of exact_match, regex_match, or present_match must be set.", "type": "boolean" }, "regexMatch": { "description": "The value of the query parameter must match the regular expression specified by regex_match. For regular expression grammar, please see https://github.com/google/re2/wiki/Syntax Only one of exact_match, regex_match, or present_match must be set.", "type": "string" }, "exactMatch": { "description": "The value of the query parameter must exactly match the contents of exact_match. Only one of exact_match, regex_match, or present_match must be set.", "type": "string" }, "queryParameter": { "type": "string", "description": "The name of the query parameter to match." } }, "description": "Specifications to match a query parameter in the request.", "type": "object", "id": "HttpRouteQueryParameterMatch" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "type": "object", "properties": { "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." } } }, "ListMeshesResponse": { "type": "object", "description": "Response returned by the ListMeshes method.", "id": "ListMeshesResponse", "properties": { "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`." }, "meshes": { "items": { "$ref": "Mesh" }, "type": "array", "description": "List of Mesh resources." } } }, "TlsRouteRouteAction": { "id": "TlsRouteRouteAction", "description": "The specifications for routing traffic and applying associated policies.", "properties": { "destinations": { "type": "array", "description": "Required. The destination services to which traffic should be forwarded. At least one destination service is required.", "items": { "$ref": "TlsRouteRouteDestination" } } }, "type": "object" }, "ListTlsRoutesResponse": { "id": "ListTlsRoutesResponse", "properties": { "nextPageToken": { "description": "If there might be more results than those appearing in this response, then `next_page_token` is included. To get the next set of results, call this method again using the value of `next_page_token` as `page_token`.", "type": "string" }, "tlsRoutes": { "description": "List of TlsRoute resources.", "items": { "$ref": "TlsRoute" }, "type": "array" } }, "description": "Response returned by the ListTlsRoutes method.", "type": "object" }, "HttpRouteFaultInjectionPolicy": { "type": "object", "id": "HttpRouteFaultInjectionPolicy", "properties": { "abort": { "$ref": "HttpRouteFaultInjectionPolicyAbort", "description": "The specification for aborting to client requests." }, "delay": { "$ref": "HttpRouteFaultInjectionPolicyDelay", "description": "The specification for injecting delay to client requests." } }, "description": "The specification for fault injection introduced into traffic to test the resiliency of clients to destination service failure. As part of fault injection, when clients send requests to a destination, delays can be introduced by client proxy on a percentage of requests before sending those requests to the destination service. Similarly requests can be aborted by client proxy for a percentage of requests." }, "Location": { "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object", "properties": { "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" }, "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" }, "type": "object" }, "metadata": { "description": "Service-specific metadata. For example the available capacity at the given location.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" } } }, "EndpointPolicy": { "type": "object", "id": "EndpointPolicy", "properties": { "description": { "type": "string", "description": "Optional. A free-text description of the resource. Max length 1024 characters." }, "serverTlsPolicy": { "description": "Optional. A URL referring to ServerTlsPolicy resource. ServerTlsPolicy is used to determine the authentication policy to be applied to terminate the inbound traffic at the identified backends. If this field is not set, authentication is disabled(open) for this endpoint.", "type": "string" }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The timestamp when the resource was created.", "type": "string" }, "endpointMatcher": { "description": "Required. A matcher that selects endpoints to which the policies should be applied.", "$ref": "EndpointMatcher" }, "trafficPortSelector": { "description": "Optional. Port selector for the (matched) endpoints. If no port selector is provided, the matched config is applied to all ports.", "$ref": "TrafficPortSelector" }, "type": { "type": "string", "enumDescriptions": [ "Default value. Must not be used.", "Represents a proxy deployed as a sidecar.", "Represents a proxyless gRPC backend." ], "description": "Required. The type of endpoint policy. This is primarily used to validate the configuration.", "enum": [ "ENDPOINT_POLICY_TYPE_UNSPECIFIED", "SIDECAR_PROXY", "GRPC_SERVER" ] }, "authorizationPolicy": { "type": "string", "description": "Optional. This field specifies the URL of AuthorizationPolicy resource that applies authorization policies to the inbound traffic at the matched endpoints. Refer to Authorization. If this field is not specified, authorization is disabled(no authz checks) for this endpoint." }, "clientTlsPolicy": { "description": "Optional. A URL referring to a ClientTlsPolicy resource. ClientTlsPolicy can be set to specify the authentication for traffic from the proxy to the actual endpoints. More specifically, it is applied to the outgoing traffic from the proxy to the endpoint. This is typically used for sidecar model where the proxy identifies itself as endpoint to the control plane, with the connection between sidecar and endpoint requiring authentication. If this field is not set, authentication is disabled(open). Applicable only when EndpointPolicyType is SIDECAR_PROXY.", "type": "string" }, "name": { "type": "string", "description": "Required. Name of the EndpointPolicy resource. It matches pattern `projects/{project}/locations/global/endpointPolicies/{endpoint_policy}`." }, "labels": { "type": "object", "description": "Optional. Set of label tags associated with the EndpointPolicy resource.", "additionalProperties": { "type": "string" } }, "updateTime": { "type": "string", "format": "google-datetime", "description": "Output only. The timestamp when the resource was updated.", "readOnly": true } }, "description": "EndpointPolicy is a resource that helps apply desired configuration on the endpoints that match specific criteria. For example, this resource can be used to apply \"authentication config\" an all endpoints that serve on port 8080." }, "TcpRouteRouteAction": { "description": "The specifications for routing traffic and applying associated policies.", "properties": { "destinations": { "description": "Optional. The destination services to which traffic should be forwarded. At least one destination service is required.", "items": { "$ref": "TcpRouteRouteDestination" }, "type": "array" }, "originalDestination": { "type": "boolean", "description": "Optional. If true, Router will use the destination IP and port of the original connection as the destination of the request. Default is false." } }, "id": "TcpRouteRouteAction", "type": "object" }, "Policy": { "properties": { "etag": { "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte" }, "bindings": { "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "items": { "$ref": "Binding" } }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" }, "auditConfigs": { "description": "Specifies cloud audit logging configuration for this policy.", "items": { "$ref": "AuditConfig" }, "type": "array" } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy" }, "GrpcRouteRouteAction": { "description": "Specifies how to route matched traffic.", "type": "object", "id": "GrpcRouteRouteAction", "properties": { "destinations": { "description": "Optional. The destination services to which traffic should be forwarded. If multiple destinations are specified, traffic will be split between Backend Service(s) according to the weight field of these destinations.", "type": "array", "items": { "$ref": "GrpcRouteDestination" } }, "retryPolicy": { "description": "Optional. Specifies the retry policy associated with this route.", "$ref": "GrpcRouteRetryPolicy" }, "timeout": { "type": "string", "format": "google-duration", "description": "Optional. Specifies the timeout for selected route. Timeout is computed from the time the request has been fully processed (i.e. end of stream) up until the response has been completely processed. Timeout includes all retries." }, "faultInjectionPolicy": { "$ref": "GrpcRouteFaultInjectionPolicy", "description": "Optional. The specification for fault injection introduced into traffic to test the resiliency of clients to destination service failure. As part of fault injection, when clients send requests to a destination, delays can be introduced on a percentage of requests before sending those requests to the destination service. Similarly requests from clients can be aborted by for a percentage of requests. timeout and retry_policy will be ignored by clients that are configured with a fault_injection_policy" } } }, "Mesh": { "description": "Mesh represents a logical configuration grouping for workload to workload communication within a service mesh. Routes that point to mesh dictate how requests are routed within this logical mesh boundary.", "id": "Mesh", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Optional. Set of label tags associated with the Mesh resource.", "type": "object" }, "name": { "description": "Required. Name of the Mesh resource. It matches pattern `projects/*/locations/global/meshes/`.", "type": "string" }, "interceptionPort": { "type": "integer", "format": "int32", "description": "Optional. If set to a valid TCP port (1-65535), instructs the SIDECAR proxy to listen on the specified port of localhost (127.0.0.1) address. The SIDECAR proxy will expect all traffic to be redirected to this port regardless of its actual ip:port destination. If unset, a port '15001' is used as the interception port. This will is applicable only for sidecar proxy deployments." }, "description": { "type": "string", "description": "Optional. A free-text description of the resource. Max length 1024 characters." }, "updateTime": { "description": "Output only. The timestamp when the resource was updated.", "type": "string", "format": "google-datetime", "readOnly": true }, "selfLink": { "type": "string", "readOnly": true, "description": "Output only. Server-defined URL of this resource" }, "createTime": { "format": "google-datetime", "description": "Output only. The timestamp when the resource was created.", "readOnly": true, "type": "string" } }, "type": "object" }, "Binding": { "type": "object", "properties": { "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } }, "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." } }, "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "HttpRouteFaultInjectionPolicyAbort": { "properties": { "httpStatus": { "description": "The HTTP status code used to abort the request. The value must be between 200 and 599 inclusive.", "type": "integer", "format": "int32" }, "percentage": { "description": "The percentage of traffic which will be aborted. The value must be between [0, 100]", "format": "int32", "type": "integer" } }, "type": "object", "id": "HttpRouteFaultInjectionPolicyAbort", "description": "Specification of how client requests are aborted as part of fault injection before being sent to a destination." }, "TlsRoute": { "description": "TlsRoute defines how traffic should be routed based on SNI and other matching L3 attributes.", "id": "TlsRoute", "properties": { "name": { "type": "string", "description": "Required. Name of the TlsRoute resource. It matches pattern `projects/*/locations/global/tlsRoutes/tls_route_name\u003e`." }, "updateTime": { "description": "Output only. The timestamp when the resource was updated.", "type": "string", "readOnly": true, "format": "google-datetime" }, "rules": { "description": "Required. Rules that define how traffic is routed and handled. At least one RouteRule must be supplied. If there are multiple rules then the action taken will be the first rule to match.", "type": "array", "items": { "$ref": "TlsRouteRouteRule" } }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. The timestamp when the resource was created.", "format": "google-datetime" }, "selfLink": { "description": "Output only. Server-defined URL of this resource", "readOnly": true, "type": "string" }, "meshes": { "description": "Optional. Meshes defines a list of meshes this TlsRoute is attached to, as one of the routing rules to route the requests served by the mesh. Each mesh reference should match the pattern: `projects/*/locations/global/meshes/` The attached Mesh should be of a type SIDECAR", "items": { "type": "string" }, "type": "array" }, "gateways": { "description": "Optional. Gateways defines a list of gateways this TlsRoute is attached to, as one of the routing rules to route the requests served by the gateway. Each gateway reference should match the pattern: `projects/*/locations/global/gateways/`", "items": { "type": "string" }, "type": "array" }, "description": { "description": "Optional. A free-text description of the resource. Max length 1024 characters.", "type": "string" } }, "type": "object" } }, "ownerDomain": "google.com", "kind": "discovery#restDescription", "fullyEncodeReservedExpansion": true, "servicePath": "", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "revision": "20220623", "mtlsRootUrl": "https://networkservices.mtls.googleapis.com/", "id": "networkservices:v1", "protocol": "rest", "version_module": true, "batchPath": "batch", "rootUrl": "https://networkservices.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "methods": { "get": { "response": { "$ref": "Location" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Resource name for the location.", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "id": "networkservices.projects.locations.get", "path": "v1/{+name}", "description": "Gets information about a location.", "parameterOrder": [ "name" ] }, "list": { "path": "v1/{+name}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "type": "string", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "location": "query" }, "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" } }, "flatPath": "v1/projects/{projectsId}/locations", "parameterOrder": [ "name" ], "id": "networkservices.projects.locations.list", "description": "Lists information about the supported locations for this service.", "response": { "$ref": "ListLocationsResponse" }, "httpMethod": "GET" } }, "resources": { "grpcRoutes": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/grpcRoutes", "path": "v1/{+parent}/grpcRoutes", "parameters": { "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The project and location from which the GrpcRoutes should be listed, specified in the format `projects/*/locations/global`." }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum number of GrpcRoutes to return per call.", "location": "query" }, "pageToken": { "type": "string", "description": "The value returned by the last `ListGrpcRoutesResponse` Indicates that this is a continuation of a prior `ListGrpcRoutes` call, and that the system should return the next page of data.", "location": "query" } }, "parameterOrder": [ "parent" ], "id": "networkservices.projects.locations.grpcRoutes.list", "httpMethod": "GET", "response": { "$ref": "ListGrpcRoutesResponse" }, "description": "Lists GrpcRoutes in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/grpcRoutes/[^/]+$", "required": true, "description": "Required. A name of the GrpcRoute to get. Must be in the format `projects/*/locations/global/grpcRoutes/*`.", "type": "string", "location": "path" } }, "description": "Gets details of a single GrpcRoute.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/grpcRoutes/{grpcRoutesId}", "httpMethod": "GET", "path": "v1/{+name}", "id": "networkservices.projects.locations.grpcRoutes.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GrpcRoute" } }, "delete": { "description": "Deletes a single GrpcRoute.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/grpcRoutes/{grpcRoutesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "type": "string", "description": "Required. A name of the GrpcRoute to delete. Must be in the format `projects/*/locations/global/grpcRoutes/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/grpcRoutes/[^/]+$", "required": true } }, "id": "networkservices.projects.locations.grpcRoutes.delete", "httpMethod": "DELETE" }, "create": { "id": "networkservices.projects.locations.grpcRoutes.create", "path": "v1/{+parent}/grpcRoutes", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GrpcRoute" }, "parameters": { "grpcRouteId": { "location": "query", "description": "Required. Short name of the GrpcRoute resource to be created.", "type": "string" }, "parent": { "description": "Required. The parent resource of the GrpcRoute. Must be in the format `projects/*/locations/global`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true } }, "description": "Creates a new GrpcRoute in a given project and location.", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/grpcRoutes", "parameterOrder": [ "parent" ] }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.grpcRoutes.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/grpcRoutes/{grpcRoutesId}", "path": "v1/{+name}", "description": "Updates the parameters of a single GrpcRoute.", "parameters": { "name": { "description": "Required. Name of the GrpcRoute resource. It matches pattern `projects/*/locations/global/grpcRoutes/`", "pattern": "^projects/[^/]+/locations/[^/]+/grpcRoutes/[^/]+$", "type": "string", "required": true, "location": "path" }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. Field mask is used to specify the fields to be overwritten in the GrpcRoute resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query" } }, "request": { "$ref": "GrpcRoute" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ] } } }, "edgeCacheServices": { "methods": { "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheServices/{edgeCacheServicesId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer" }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheServices/[^/]+$", "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "id": "networkservices.projects.locations.edgeCacheServices.getIamPolicy", "response": { "$ref": "Policy" } }, "setIamPolicy": { "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheServices/[^/]+$" } }, "id": "networkservices.projects.locations.edgeCacheServices.setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheServices/{edgeCacheServicesId}:setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } }, "testIamPermissions": { "parameters": { "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheServices/[^/]+$", "location": "path" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+resource}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheServices/{edgeCacheServicesId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "id": "networkservices.projects.locations.edgeCacheServices.testIamPermissions" } } }, "endpointPolicies": { "methods": { "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}", "description": "Gets details of a single EndpointPolicy.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$", "location": "path", "description": "Required. A name of the EndpointPolicy to get. Must be in the format `projects/*/locations/global/endpointPolicies/*`.", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "EndpointPolicy" }, "id": "networkservices.projects.locations.endpointPolicies.get", "httpMethod": "GET", "path": "v1/{+name}" }, "patch": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "request": { "$ref": "EndpointPolicy" }, "parameters": { "updateMask": { "type": "string", "description": "Optional. Field mask is used to specify the fields to be overwritten in the EndpointPolicy resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query", "format": "google-fieldmask" }, "name": { "description": "Required. Name of the EndpointPolicy resource. It matches pattern `projects/{project}/locations/global/endpointPolicies/{endpoint_policy}`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$" } }, "description": "Updates the parameters of a single EndpointPolicy.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.endpointPolicies.patch", "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}" }, "create": { "path": "v1/{+parent}/endpointPolicies", "parameters": { "endpointPolicyId": { "description": "Required. Short name of the EndpointPolicy resource to be created. E.g. \"CustomECS\".", "type": "string", "location": "query" }, "parent": { "required": true, "type": "string", "description": "Required. The parent resource of the EndpointPolicy. Must be in the format `projects/*/locations/global`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "request": { "$ref": "EndpointPolicy" }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies", "httpMethod": "POST", "description": "Creates a new EndpointPolicy in a given project and location.", "id": "networkservices.projects.locations.endpointPolicies.create" }, "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}:getIamPolicy", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string" }, "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "networkservices.projects.locations.endpointPolicies.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ] }, "list": { "description": "Lists EndpointPolicies in a given project and location.", "id": "networkservices.projects.locations.endpointPolicies.list", "response": { "$ref": "ListEndpointPoliciesResponse" }, "httpMethod": "GET", "path": "v1/{+parent}/endpointPolicies", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true, "description": "Required. The project and location from which the EndpointPolicies should be listed, specified in the format `projects/*/locations/global`." }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "Maximum number of EndpointPolicies to return per call." }, "pageToken": { "description": "The value returned by the last `ListEndpointPoliciesResponse` Indicates that this is a continuation of a prior `ListEndpointPolicies` call, and that the system should return the next page of data.", "type": "string", "location": "query" } } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "networkservices.projects.locations.endpointPolicies.setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}:setIamPolicy" }, "delete": { "id": "networkservices.projects.locations.endpointPolicies.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a single EndpointPolicy.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. A name of the EndpointPolicy to delete. Must be in the format `projects/*/locations/global/endpointPolicies/*`." } } }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/endpointPolicies/[^/]+$", "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "networkservices.projects.locations.endpointPolicies.testIamPermissions", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/endpointPolicies/{endpointPoliciesId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions" } } }, "edgeCacheKeysets": { "methods": { "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheKeysets/{edgeCacheKeysetsId}:getIamPolicy", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "networkservices.projects.locations.edgeCacheKeysets.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query" }, "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheKeysets/[^/]+$", "type": "string", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ] }, "testIamPermissions": { "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheKeysets/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.edgeCacheKeysets.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheKeysets/{edgeCacheKeysetsId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheKeysets/{edgeCacheKeysetsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheKeysets/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "networkservices.projects.locations.edgeCacheKeysets.setIamPolicy", "httpMethod": "POST" } } }, "httpRoutes": { "methods": { "create": { "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v1/{+parent}/httpRoutes", "response": { "$ref": "Operation" }, "id": "networkservices.projects.locations.httpRoutes.create", "request": { "$ref": "HttpRoute" }, "description": "Creates a new HttpRoute in a given project and location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "httpRouteId": { "type": "string", "description": "Required. Short name of the HttpRoute resource to be created.", "location": "query" }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "description": "Required. The parent resource of the HttpRoute. Must be in the format `projects/*/locations/global`." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/httpRoutes" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "HttpRoute" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Gets details of a single HttpRoute.", "id": "networkservices.projects.locations.httpRoutes.get", "parameters": { "name": { "description": "Required. A name of the HttpRoute to get. Must be in the format `projects/*/locations/global/httpRoutes/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/httpRoutes/[^/]+$", "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/httpRoutes/{httpRoutesId}" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/httpRoutes", "httpMethod": "GET", "parameters": { "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "Maximum number of HttpRoutes to return per call." }, "pageToken": { "description": "The value returned by the last `ListHttpRoutesResponse` Indicates that this is a continuation of a prior `ListRouters` call, and that the system should return the next page of data.", "type": "string", "location": "query" }, "parent": { "type": "string", "description": "Required. The project and location from which the HttpRoutes should be listed, specified in the format `projects/*/locations/global`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "path": "v1/{+parent}/httpRoutes", "id": "networkservices.projects.locations.httpRoutes.list", "parameterOrder": [ "parent" ], "response": { "$ref": "ListHttpRoutesResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists HttpRoute in a given project and location." }, "patch": { "description": "Updates the parameters of a single HttpRoute.", "id": "networkservices.projects.locations.httpRoutes.patch", "parameterOrder": [ "name" ], "path": "v1/{+name}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "updateMask": { "format": "google-fieldmask", "description": "Optional. Field mask is used to specify the fields to be overwritten in the HttpRoute resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query", "type": "string" }, "name": { "description": "Required. Name of the HttpRoute resource. It matches pattern `projects/*/locations/global/httpRoutes/http_route_name\u003e`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/httpRoutes/[^/]+$", "required": true, "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/httpRoutes/{httpRoutesId}", "httpMethod": "PATCH", "request": { "$ref": "HttpRoute" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "networkservices.projects.locations.httpRoutes.delete", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/httpRoutes/{httpRoutesId}", "description": "Deletes a single HttpRoute.", "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/httpRoutes/[^/]+$", "type": "string", "description": "Required. A name of the HttpRoute to delete. Must be in the format `projects/*/locations/global/httpRoutes/*`." } }, "httpMethod": "DELETE" } } }, "tcpRoutes": { "methods": { "list": { "httpMethod": "GET", "response": { "$ref": "ListTcpRoutesResponse" }, "path": "v1/{+parent}/tcpRoutes", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tcpRoutes", "description": "Lists TcpRoute in a given project and location.", "id": "networkservices.projects.locations.tcpRoutes.list", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "description": "The value returned by the last `ListTcpRoutesResponse` Indicates that this is a continuation of a prior `ListRouters` call, and that the system should return the next page of data.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "description": "Maximum number of TcpRoutes to return per call.", "format": "int32", "type": "integer" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The project and location from which the TcpRoutes should be listed, specified in the format `projects/*/locations/global`.", "type": "string", "required": true } } }, "delete": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tcpRoutes/{tcpRoutesId}", "parameters": { "name": { "location": "path", "description": "Required. A name of the TcpRoute to delete. Must be in the format `projects/*/locations/global/tcpRoutes/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/tcpRoutes/[^/]+$" } }, "id": "networkservices.projects.locations.tcpRoutes.delete", "description": "Deletes a single TcpRoute.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE" }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "id": "networkservices.projects.locations.tcpRoutes.patch", "parameterOrder": [ "name" ], "request": { "$ref": "TcpRoute" }, "path": "v1/{+name}", "description": "Updates the parameters of a single TcpRoute.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tcpRoutes/{tcpRoutesId}", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/tcpRoutes/[^/]+$", "description": "Required. Name of the TcpRoute resource. It matches pattern `projects/*/locations/global/tcpRoutes/tcp_route_name\u003e`.", "required": true }, "updateMask": { "format": "google-fieldmask", "type": "string", "description": "Optional. Field mask is used to specify the fields to be overwritten in the TcpRoute resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "location": "query" } } }, "create": { "parameterOrder": [ "parent" ], "id": "networkservices.projects.locations.tcpRoutes.create", "path": "v1/{+parent}/tcpRoutes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "httpMethod": "POST", "request": { "$ref": "TcpRoute" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tcpRoutes", "description": "Creates a new TcpRoute in a given project and location.", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "description": "Required. The parent resource of the TcpRoute. Must be in the format `projects/*/locations/global`.", "required": true, "type": "string" }, "tcpRouteId": { "location": "query", "type": "string", "description": "Required. Short name of the TcpRoute resource to be created. E.g. TODO(Add an example)." } } }, "get": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tcpRoutes/{tcpRoutesId}", "httpMethod": "GET", "path": "v1/{+name}", "parameters": { "name": { "description": "Required. A name of the TcpRoute to get. Must be in the format `projects/*/locations/global/tcpRoutes/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/tcpRoutes/[^/]+$", "type": "string", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TcpRoute" }, "id": "networkservices.projects.locations.tcpRoutes.get", "description": "Gets details of a single TcpRoute." } } }, "operations": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "path": "v1/{+name}/operations", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "response": { "$ref": "ListOperationsResponse" }, "id": "networkservices.projects.locations.operations.list", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "The name of the operation's parent resource.", "type": "string" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "The standard list page size." }, "pageToken": { "location": "query", "description": "The standard list page token.", "type": "string" }, "filter": { "location": "query", "description": "The standard list filter.", "type": "string" } } }, "get": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path", "description": "The name of the operation resource.", "required": true } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "id": "networkservices.projects.locations.operations.get" }, "delete": { "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "type": "string", "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$" } }, "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "networkservices.projects.locations.operations.delete" }, "cancel": { "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "type": "string", "description": "The name of the operation resource to be cancelled." } }, "request": { "$ref": "CancelOperationRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "path": "v1/{+name}:cancel", "id": "networkservices.projects.locations.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "httpMethod": "POST" } } }, "tlsRoutes": { "methods": { "create": { "path": "v1/{+parent}/tlsRoutes", "description": "Creates a new TlsRoute in a given project and location.", "parameters": { "tlsRouteId": { "type": "string", "location": "query", "description": "Required. Short name of the TlsRoute resource to be created. E.g. TODO(Add an example)." }, "parent": { "type": "string", "description": "Required. The parent resource of the TlsRoute. Must be in the format `projects/*/locations/global`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "required": true } }, "request": { "$ref": "TlsRoute" }, "parameterOrder": [ "parent" ], "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.tlsRoutes.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tlsRoutes", "httpMethod": "POST" }, "list": { "parameterOrder": [ "parent" ], "response": { "$ref": "ListTlsRoutesResponse" }, "parameters": { "pageToken": { "description": "The value returned by the last `ListTlsRoutesResponse` Indicates that this is a continuation of a prior `ListRouters` call, and that the system should return the next page of data.", "location": "query", "type": "string" }, "pageSize": { "description": "Maximum number of TlsRoutes to return per call.", "format": "int32", "location": "query", "type": "integer" }, "parent": { "description": "Required. The project and location from which the TlsRoutes should be listed, specified in the format `projects/*/locations/global`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "id": "networkservices.projects.locations.tlsRoutes.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/tlsRoutes", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tlsRoutes", "description": "Lists TlsRoute in a given project and location." }, "patch": { "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/tlsRoutes/[^/]+$", "type": "string", "description": "Required. Name of the TlsRoute resource. It matches pattern `projects/*/locations/global/tlsRoutes/tls_route_name\u003e`." }, "updateMask": { "description": "Optional. Field mask is used to specify the fields to be overwritten in the TlsRoute resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten.", "type": "string", "location": "query", "format": "google-fieldmask" } }, "description": "Updates the parameters of a single TlsRoute.", "request": { "$ref": "TlsRoute" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tlsRoutes/{tlsRoutesId}", "path": "v1/{+name}", "id": "networkservices.projects.locations.tlsRoutes.patch" }, "delete": { "response": { "$ref": "Operation" }, "id": "networkservices.projects.locations.tlsRoutes.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. A name of the TlsRoute to delete. Must be in the format `projects/*/locations/global/tlsRoutes/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/tlsRoutes/[^/]+$" } }, "description": "Deletes a single TlsRoute.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tlsRoutes/{tlsRoutesId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "id": "networkservices.projects.locations.tlsRoutes.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/tlsRoutes/[^/]+$", "required": true, "location": "path", "description": "Required. A name of the TlsRoute to get. Must be in the format `projects/*/locations/global/tlsRoutes/*`.", "type": "string" } }, "description": "Gets details of a single TlsRoute.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/tlsRoutes/{tlsRoutesId}", "parameterOrder": [ "name" ], "response": { "$ref": "TlsRoute" }, "path": "v1/{+name}" } } }, "edgeCacheOrigins": { "methods": { "setIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheOrigins/{edgeCacheOriginsId}:setIamPolicy", "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheOrigins/[^/]+$" } }, "path": "v1/{+resource}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "id": "networkservices.projects.locations.edgeCacheOrigins.setIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors." }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheOrigins/{edgeCacheOriginsId}:getIamPolicy", "response": { "$ref": "Policy" }, "id": "networkservices.projects.locations.edgeCacheOrigins.getIamPolicy", "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheOrigins/[^/]+$", "location": "path" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "httpMethod": "GET", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/edgeCacheOrigins/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "location": "path" } }, "path": "v1/{+resource}:testIamPermissions", "id": "networkservices.projects.locations.edgeCacheOrigins.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/edgeCacheOrigins/{edgeCacheOriginsId}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "TestIamPermissionsRequest" } } } }, "meshes": { "methods": { "patch": { "description": "Updates the parameters of a single Mesh.", "path": "v1/{+name}", "request": { "$ref": "Mesh" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "name": { "description": "Required. Name of the Mesh resource. It matches pattern `projects/*/locations/global/meshes/`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Optional. Field mask is used to specify the fields to be overwritten in the Mesh resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "id": "networkservices.projects.locations.meshes.patch", "parameterOrder": [ "name" ] }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}:getIamPolicy", "parameters": { "resource": { "location": "path", "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$" }, "options.requestedPolicyVersion": { "type": "integer", "format": "int32", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "Policy" }, "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "path": "v1/{+resource}:getIamPolicy", "id": "networkservices.projects.locations.meshes.getIamPolicy" }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}:setIamPolicy", "parameterOrder": [ "resource" ], "response": { "$ref": "Policy" }, "parameters": { "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "path": "v1/{+resource}:setIamPolicy", "httpMethod": "POST", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "networkservices.projects.locations.meshes.setIamPolicy" }, "create": { "description": "Creates a new Mesh in a given project and location.", "response": { "$ref": "Operation" }, "path": "v1/{+parent}/meshes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes", "parameters": { "meshId": { "location": "query", "type": "string", "description": "Required. Short name of the Mesh resource to be created." }, "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The parent resource of the Mesh. Must be in the format `projects/*/locations/global`." } }, "id": "networkservices.projects.locations.meshes.create", "parameterOrder": [ "parent" ], "request": { "$ref": "Mesh" } }, "delete": { "parameters": { "name": { "required": true, "description": "Required. A name of the Mesh to delete. Must be in the format `projects/*/locations/global/meshes/*`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$" } }, "id": "networkservices.projects.locations.meshes.delete", "description": "Deletes a single Mesh.", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}", "httpMethod": "DELETE", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ] }, "testIamPermissions": { "parameters": { "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "networkservices.projects.locations.meshes.testIamPermissions", "httpMethod": "POST", "parameterOrder": [ "resource" ] }, "list": { "parameterOrder": [ "parent" ], "path": "v1/{+parent}/meshes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Required. The project and location from which the Meshes should be listed, specified in the format `projects/*/locations/global`.", "type": "string" }, "pageSize": { "type": "integer", "description": "Maximum number of Meshes to return per call.", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "description": "The value returned by the last `ListMeshesResponse` Indicates that this is a continuation of a prior `ListMeshes` call, and that the system should return the next page of data.", "type": "string" } }, "description": "Lists Meshes in a given project and location.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes", "id": "networkservices.projects.locations.meshes.list", "httpMethod": "GET", "response": { "$ref": "ListMeshesResponse" } }, "get": { "description": "Gets details of a single Mesh.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. A name of the Mesh to get. Must be in the format `projects/*/locations/global/meshes/*`.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/meshes/[^/]+$" } }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/meshes/{meshesId}", "parameterOrder": [ "name" ], "id": "networkservices.projects.locations.meshes.get", "httpMethod": "GET", "response": { "$ref": "Mesh" } } } }, "serviceBindings": { "methods": { "getIamPolicy": { "parameters": { "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "resource": { "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/serviceBindings/[^/]+$", "location": "path" } }, "response": { "$ref": "Policy" }, "path": "v1/{+resource}:getIamPolicy", "parameterOrder": [ "resource" ], "httpMethod": "GET", "id": "networkservices.projects.locations.serviceBindings.getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings/{serviceBindingsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "setIamPolicy": { "id": "networkservices.projects.locations.serviceBindings.setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings/{serviceBindingsId}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/serviceBindings/[^/]+$", "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string" } } }, "testIamPermissions": { "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings/{serviceBindingsId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "parameterOrder": [ "resource" ], "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "id": "networkservices.projects.locations.serviceBindings.testIamPermissions", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/serviceBindings/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "path": "v1/{+parent}/serviceBindings", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.serviceBindings.list", "description": "Lists ServiceBinding in a given project and location.", "response": { "$ref": "ListServiceBindingsResponse" }, "parameters": { "pageSize": { "location": "query", "description": "Maximum number of ServiceBindings to return per call.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "The value returned by the last `ListServiceBindingsResponse` Indicates that this is a continuation of a prior `ListRouters` call, and that the system should return the next page of data." }, "parent": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The project and location from which the ServiceBindings should be listed, specified in the format `projects/*/locations/global`." } }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings", "httpMethod": "GET" }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings", "parameters": { "parent": { "location": "path", "description": "Required. The parent resource of the ServiceBinding. Must be in the format `projects/*/locations/global`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "serviceBindingId": { "location": "query", "description": "Required. Short name of the ServiceBinding resource to be created.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Creates a new ServiceBinding in a given project and location.", "id": "networkservices.projects.locations.serviceBindings.create", "parameterOrder": [ "parent" ], "httpMethod": "POST", "path": "v1/{+parent}/serviceBindings", "request": { "$ref": "ServiceBinding" } }, "delete": { "response": { "$ref": "Operation" }, "id": "networkservices.projects.locations.serviceBindings.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "description": "Deletes a single ServiceBinding.", "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings/{serviceBindingsId}", "parameters": { "name": { "description": "Required. A name of the ServiceBinding to delete. Must be in the format `projects/*/locations/global/serviceBindings/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/serviceBindings/[^/]+$", "required": true, "type": "string" } }, "path": "v1/{+name}" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.serviceBindings.get", "description": "Gets details of a single ServiceBinding.", "path": "v1/{+name}", "response": { "$ref": "ServiceBinding" }, "httpMethod": "GET", "parameters": { "name": { "location": "path", "description": "Required. A name of the ServiceBinding to get. Must be in the format `projects/*/locations/global/serviceBindings/*`.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/serviceBindings/[^/]+$" } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/serviceBindings/{serviceBindingsId}" } } }, "gateways": { "methods": { "delete": { "path": "v1/{+name}", "httpMethod": "DELETE", "description": "Deletes a single Gateway.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.gateways.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "response": { "$ref": "Operation" }, "parameters": { "name": { "location": "path", "required": true, "description": "Required. A name of the Gateway to delete. Must be in the format `projects/*/locations/*/gateways/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$" } } }, "get": { "id": "networkservices.projects.locations.gateways.get", "parameters": { "name": { "type": "string", "description": "Required. A name of the Gateway to get. Must be in the format `projects/*/locations/*/gateways/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Gateway" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "GET", "description": "Gets details of a single Gateway." }, "setIamPolicy": { "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "path": "v1/{+resource}:setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:setIamPolicy", "parameterOrder": [ "resource" ], "id": "networkservices.projects.locations.gateways.setIamPolicy" }, "create": { "path": "v1/{+parent}/gateways", "description": "Creates a new Gateway in a given project and location.", "request": { "$ref": "Gateway" }, "id": "networkservices.projects.locations.gateways.create", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "description": "Required. The parent resource of the Gateway. Must be in the format `projects/*/locations/*`.", "required": true }, "gatewayId": { "type": "string", "location": "query", "description": "Required. Short name of the Gateway resource to be created." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "list": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways", "parameters": { "pageToken": { "location": "query", "description": "The value returned by the last `ListGatewaysResponse` Indicates that this is a continuation of a prior `ListGateways` call, and that the system should return the next page of data.", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "Maximum number of Gateways to return per call.", "type": "integer" }, "parent": { "description": "Required. The project and location from which the Gateways should be listed, specified in the format `projects/*/locations/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" } }, "path": "v1/{+parent}/gateways", "id": "networkservices.projects.locations.gateways.list", "httpMethod": "GET", "description": "Lists Gateways in a given project and location.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListGatewaysResponse" } }, "getIamPolicy": { "response": { "$ref": "Policy" }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "networkservices.projects.locations.gateways.getIamPolicy", "httpMethod": "GET", "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32", "location": "query" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:getIamPolicy", "path": "v1/{+resource}:getIamPolicy" }, "testIamPermissions": { "path": "v1/{+resource}:testIamPermissions", "id": "networkservices.projects.locations.gateways.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "required": true, "location": "path", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}:testIamPermissions" }, "patch": { "description": "Updates the parameters of a single Gateway.", "request": { "$ref": "Gateway" }, "parameterOrder": [ "name" ], "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/gateways/{gatewaysId}", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/gateways/[^/]+$", "description": "Required. Name of the Gateway resource. It matches pattern `projects/*/locations/*/gateways/`.", "type": "string", "required": true, "location": "path" }, "updateMask": { "location": "query", "format": "google-fieldmask", "type": "string", "description": "Optional. Field mask is used to specify the fields to be overwritten in the Gateway resource by the update. The fields specified in the update_mask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. If the user does not provide a mask then all fields will be overwritten." } }, "id": "networkservices.projects.locations.gateways.patch", "path": "v1/{+name}" } } } } } } } }, "basePath": "", "parameters": { "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "enum": [ "1", "2" ] }, "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "location": "query", "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true" }, "alt": { "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "ownerName": "Google" }
]===]))
