local decode = require("cjson").new().decode
return assert(decode([===[
{ "protocol": "rest", "servicePath": "", "documentationLink": "https://cloud.google.com/notebooks/docs/", "mtlsRootUrl": "https://notebooks.mtls.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "path": "v1/{+name}/locations", "parameters": { "filter": { "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160).", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page." }, "name": { "required": true, "pattern": "^projects/[^/]+$", "location": "path", "description": "The resource that owns the locations collection, if applicable.", "type": "string" }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer", "location": "query" } }, "parameterOrder": [ "name" ], "response": { "$ref": "ListLocationsResponse" }, "id": "notebooks.projects.locations.list", "flatPath": "v1/projects/{projectsId}/locations", "httpMethod": "GET", "description": "Lists information about the supported locations for this service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path", "description": "Resource name for the location.", "type": "string" } }, "id": "notebooks.projects.locations.get", "response": { "$ref": "Location" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "path": "v1/{+name}" } }, "resources": { "schedules": { "methods": { "delete": { "description": "Deletes schedule and all underlying jobs", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/schedules/{schedulesId}", "path": "v1/{+name}", "response": { "$ref": "Operation" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.schedules.delete", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/schedules/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/schedules/{schedule_id}`", "required": true } } }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/schedules/{schedulesId}", "parameterOrder": [ "name" ], "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/schedules/{schedule_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/schedules/[^/]+$", "required": true, "type": "string" } }, "id": "notebooks.projects.locations.schedules.get", "response": { "$ref": "Schedule" }, "httpMethod": "GET", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of schedule" }, "trigger": { "id": "notebooks.projects.locations.schedules.trigger", "httpMethod": "POST", "description": "Triggers execution of an existing schedule.", "path": "v1/{+name}:trigger", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}/schedules/{schedule_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/schedules/[^/]+$", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/schedules/{schedulesId}:trigger", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "request": { "$ref": "TriggerScheduleRequest" } }, "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.schedules.create", "httpMethod": "POST", "parameters": { "scheduleId": { "location": "query", "type": "string", "description": "Required. User-defined unique ID of this schedule." }, "parent": { "type": "string", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/schedules", "description": "Creates a new Scheduled Notebook in a given project and location.", "request": { "$ref": "Schedule" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/schedules" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/schedules", "parameterOrder": [ "parent" ], "parameters": { "filter": { "description": "Filter applied to resulting schedules.", "type": "string", "location": "query" }, "orderBy": { "location": "query", "description": "Field to order results by.", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "required": true, "location": "path", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "A previous returned page token that can be used to continue listing from the last result." }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Maximum return size of the list call." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/schedules", "id": "notebooks.projects.locations.schedules.list", "response": { "$ref": "ListSchedulesResponse" }, "httpMethod": "GET", "description": "Lists schedules in a given project and location." } } }, "executions": { "methods": { "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/executions/{executionsId}", "response": { "$ref": "Operation" }, "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/executions/{execution_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/executions/[^/]+$", "location": "path", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "notebooks.projects.locations.executions.delete", "path": "v1/{+name}", "parameterOrder": [ "name" ], "description": "Deletes execution" }, "list": { "response": { "$ref": "ListExecutionsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/executions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "location": "query", "description": "A previous returned page token that can be used to continue listing from the last result.", "type": "string" }, "filter": { "description": "Filter applied to resulting executions. Currently only supports filtering executions by a specified schedule_id. Format: `schedule_id=`", "location": "query", "type": "string" }, "parent": { "location": "path", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true }, "orderBy": { "type": "string", "location": "query", "description": "Sort by field." }, "pageSize": { "location": "query", "format": "int32", "description": "Maximum return size of the list call.", "type": "integer" } }, "id": "notebooks.projects.locations.executions.list", "path": "v1/{+parent}/executions", "description": "Lists executions in a given project and location", "parameterOrder": [ "parent" ], "httpMethod": "GET" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets details of executions", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/executions/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/executions/{execution_id}`", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Execution" }, "path": "v1/{+name}", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/executions/{executionsId}", "httpMethod": "GET", "id": "notebooks.projects.locations.executions.get" }, "create": { "httpMethod": "POST", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/executions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.executions.create", "parameters": { "executionId": { "type": "string", "description": "Required. User-defined unique ID of this execution.", "location": "query" }, "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`" } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/executions", "request": { "$ref": "Execution" }, "response": { "$ref": "Operation" }, "description": "Creates a new Execution in a given project and location." } } }, "operations": { "methods": { "cancel": { "path": "v1/{+name}:cancel", "id": "notebooks.projects.locations.operations.cancel", "request": { "$ref": "CancelOperationRequest" }, "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource to be cancelled.", "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameterOrder": [ "name" ], "response": { "$ref": "Empty" }, "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "parameters": { "name": { "location": "path", "type": "string", "description": "The name of the operation resource.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Operation" }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.operations.get" }, "list": { "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "parameterOrder": [ "name" ], "path": "v1/{+name}/operations", "id": "notebooks.projects.locations.operations.list", "parameters": { "filter": { "description": "The standard list filter.", "type": "string", "location": "query" }, "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "format": "int32", "location": "query", "description": "The standard list page size.", "type": "integer" }, "name": { "description": "The name of the operation's parent resource.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path", "required": true } } }, "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "id": "notebooks.projects.locations.operations.delete", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource to be deleted.", "required": true } }, "response": { "$ref": "Empty" } } } }, "instances": { "methods": { "start": { "path": "v1/{+name}:start", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "httpMethod": "POST", "request": { "$ref": "StartInstanceRequest" }, "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.instances.start", "description": "Starts a notebook instance.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:start" }, "reset": { "path": "v1/{+name}:reset", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:reset", "description": "Resets a notebook instance.", "request": { "$ref": "ResetInstanceRequest" }, "httpMethod": "POST", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.instances.reset" }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "httpMethod": "POST", "id": "notebooks.projects.locations.instances.setIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "register": { "parameterOrder": [ "parent" ], "id": "notebooks.projects.locations.instances.register", "request": { "$ref": "RegisterInstanceRequest" }, "httpMethod": "POST", "path": "v1/{+parent}/instances:register", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances:register", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Registers an existing legacy notebook instance to the Notebooks API server. Legacy instances are instances created with the legacy Compute Engine calls. They are not manageable by the Notebooks API out of the box. This call makes these instances manageable by the Notebooks API.", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "required": true, "type": "string", "location": "path" } }, "response": { "$ref": "Operation" } }, "setMachineType": { "id": "notebooks.projects.locations.instances.setMachineType", "request": { "$ref": "SetInstanceMachineTypeRequest" }, "parameters": { "name": { "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "path": "v1/{+name}:setMachineType", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setMachineType", "description": "Updates the machine type of a single Instance.", "parameterOrder": [ "name" ] }, "delete": { "id": "notebooks.projects.locations.instances.delete", "path": "v1/{+name}", "httpMethod": "DELETE", "description": "Deletes a single Instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}" }, "updateConfig": { "id": "notebooks.projects.locations.instances.updateConfig", "description": "Update Notebook Instance configurations.", "request": { "$ref": "UpdateInstanceConfigRequest" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true } }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:updateConfig", "httpMethod": "PATCH", "path": "v1/{+name}:updateConfig", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "upgradeInternal": { "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "id": "notebooks.projects.locations.instances.upgradeInternal", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "type": "string", "required": true } }, "path": "v1/{+name}:upgradeInternal", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:upgradeInternal", "request": { "$ref": "UpgradeInstanceInternalRequest" }, "description": "Allows notebook instances to call this endpoint to upgrade themselves. Do not use this method directly.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" }, "getInstanceHealth": { "response": { "$ref": "GetInstanceHealthResponse" }, "id": "notebooks.projects.locations.instances.getInstanceHealth", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:getInstanceHealth", "description": "Check if a notebook instance is healthy.", "path": "v1/{+name}:getInstanceHealth" }, "rollback": { "path": "v1/{+name}:rollback", "id": "notebooks.projects.locations.instances.rollback", "httpMethod": "POST", "description": "Rollbacks a notebook instance to the previous version.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:rollback", "request": { "$ref": "RollbackInstanceRequest" } }, "updateMetadataItems": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`" } }, "id": "notebooks.projects.locations.instances.updateMetadataItems", "request": { "$ref": "UpdateInstanceMetadataItemsRequest" }, "response": { "$ref": "UpdateInstanceMetadataItemsResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:updateMetadataItems", "path": "v1/{+name}:updateMetadataItems", "description": "Add/update metadata items for an instance.", "parameterOrder": [ "name" ] }, "setLabels": { "httpMethod": "PATCH", "path": "v1/{+name}:setLabels", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setLabels", "id": "notebooks.projects.locations.instances.setLabels", "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true } }, "description": "Replaces all the labels of an Instance.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SetInstanceLabelsRequest" } }, "updateShieldedInstanceConfig": { "id": "notebooks.projects.locations.instances.updateShieldedInstanceConfig", "request": { "$ref": "UpdateShieldedInstanceConfigRequest" }, "description": "Updates the Shielded instance configuration of a single Instance.", "parameters": { "name": { "required": true, "type": "string", "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:updateShieldedInstanceConfig", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:updateShieldedInstanceConfig", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "httpMethod": "PATCH" }, "get": { "description": "Gets details of a single Instance.", "id": "notebooks.projects.locations.instances.get", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true, "type": "string" } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "Instance" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}" }, "stop": { "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "required": true, "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`" } }, "parameterOrder": [ "name" ], "id": "notebooks.projects.locations.instances.stop", "response": { "$ref": "Operation" }, "description": "Stops a notebook instance.", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:stop", "path": "v1/{+name}:stop", "request": { "$ref": "StopInstanceRequest" } }, "create": { "path": "v1/{+parent}/instances", "request": { "$ref": "Instance" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "type": "string", "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "instanceId": { "location": "query", "description": "Required. User-defined unique ID of this instance.", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "response": { "$ref": "Operation" }, "id": "notebooks.projects.locations.instances.create", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Instance in a given project and location.", "httpMethod": "POST" }, "report": { "parameters": { "name": { "location": "path", "required": true, "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:report", "id": "notebooks.projects.locations.instances.report", "description": "Allows notebook instances to report their latest instance information to the Notebooks API server. The server will merge the reported information to the instance metadata store. Do not use this method directly.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:report", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "ReportInstanceInfoRequest" } }, "setAccelerator": { "description": "Updates the guest accelerators of a single Instance.", "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "request": { "$ref": "SetInstanceAcceleratorRequest" }, "id": "notebooks.projects.locations.instances.setAccelerator", "path": "v1/{+name}:setAccelerator", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:setAccelerator" }, "upgrade": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:upgrade", "response": { "$ref": "Operation" }, "request": { "$ref": "UpgradeInstanceRequest" }, "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:upgrade", "description": "Upgrades a notebook instance to the latest version.", "httpMethod": "POST", "id": "notebooks.projects.locations.instances.upgrade", "parameterOrder": [ "name" ] }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:getIamPolicy", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "options.requestedPolicyVersion": { "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "location": "query" }, "resource": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "id": "notebooks.projects.locations.instances.getIamPolicy", "httpMethod": "GET", "response": { "$ref": "Policy" } }, "list": { "parameters": { "pageSize": { "description": "Maximum return size of the list call.", "type": "integer", "location": "query", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A previous returned page token that can be used to continue listing from the last result." }, "parent": { "location": "path", "required": true, "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances", "httpMethod": "GET", "path": "v1/{+parent}/instances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "response": { "$ref": "ListInstancesResponse" }, "id": "notebooks.projects.locations.instances.list", "description": "Lists instances in a given project and location." }, "isUpgradeable": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "notebookInstance" ], "id": "notebooks.projects.locations.instances.isUpgradeable", "httpMethod": "GET", "description": "Check if a notebook instance is upgradable.", "response": { "$ref": "IsInstanceUpgradeableResponse" }, "parameters": { "type": { "type": "string", "location": "query", "enumDescriptions": [ "Upgrade type is not specified.", "Upgrade ML framework.", "Upgrade Operating System.", "Upgrade CUDA.", "Upgrade All (OS, Framework and CUDA)." ], "description": "Optional. The optional UpgradeType. Setting this field will search for additional compute images to upgrade this instance.", "enum": [ "UPGRADE_TYPE_UNSPECIFIED", "UPGRADE_FRAMEWORK", "UPGRADE_OS", "UPGRADE_CUDA", "UPGRADE_ALL" ] }, "notebookInstance": { "type": "string", "required": true, "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" } }, "path": "v1/{+notebookInstance}:isUpgradeable", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:isUpgradeable" }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}:testIamPermissions", "id": "notebooks.projects.locations.instances.testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "parameterOrder": [ "resource" ], "httpMethod": "POST", "parameters": { "resource": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "environments": { "methods": { "list": { "parameters": { "parent": { "description": "Required. Format: `projects/{project_id}/locations/{location}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "location": "path" }, "pageToken": { "type": "string", "location": "query", "description": "A previous returned page token that can be used to continue listing from the last result." }, "pageSize": { "type": "integer", "description": "Maximum return size of the list call.", "format": "int32", "location": "query" } }, "httpMethod": "GET", "id": "notebooks.projects.locations.environments.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments", "response": { "$ref": "ListEnvironmentsResponse" }, "parameterOrder": [ "parent" ], "description": "Lists environments in a project.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/environments" }, "delete": { "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}", "id": "notebooks.projects.locations.environments.delete", "description": "Deletes a single Environment.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/environments/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/environments/{environment_id}`", "location": "path", "required": true, "type": "string" } }, "httpMethod": "DELETE", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "create": { "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1/{+parent}/environments", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments", "parameters": { "environmentId": { "description": "Required. User-defined unique ID of this environment. The `environment_id` must be 1 to 63 characters long and contain only lowercase letters, numeric characters, and dashes. The first character must be a lowercase letter and the last character cannot be a dash.", "location": "query", "type": "string" }, "parent": { "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}`", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "request": { "$ref": "Environment" }, "description": "Creates a new Environment.", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.environments.create" }, "get": { "id": "notebooks.projects.locations.environments.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/environments/{environmentsId}", "description": "Gets details of a single Environment.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/environments/[^/]+$", "required": true, "location": "path", "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/environments/{environment_id}`" } }, "path": "v1/{+name}", "httpMethod": "GET", "response": { "$ref": "Environment" } } } }, "runtimes": { "methods": { "switch": { "id": "notebooks.projects.locations.runtimes.switch", "httpMethod": "POST", "path": "v1/{+name}:switch", "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:switch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "SwitchRuntimeRequest" }, "parameterOrder": [ "name" ], "description": "Switch a Managed Notebook Runtime.", "parameters": { "name": { "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "required": true, "type": "string" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}", "httpMethod": "GET", "parameterOrder": [ "name" ], "response": { "$ref": "Runtime" }, "path": "v1/{+name}", "id": "notebooks.projects.locations.runtimes.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "location": "path", "required": true, "type": "string" } }, "description": "Gets details of a single Runtime. The location must be a regional endpoint rather than zonal." }, "setIamPolicy": { "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.runtimes.setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:setIamPolicy", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameterOrder": [ "resource" ], "httpMethod": "POST", "response": { "$ref": "Policy" } }, "refreshRuntimeTokenInternal": { "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "location": "path", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "type": "string" } }, "request": { "$ref": "RefreshRuntimeTokenInternalRequest" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets an access token for the consumer service account that the customer attached to the runtime. Only accessible from the tenant instance.", "path": "v1/{+name}:refreshRuntimeTokenInternal", "id": "notebooks.projects.locations.runtimes.refreshRuntimeTokenInternal", "response": { "$ref": "RefreshRuntimeTokenInternalResponse" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:refreshRuntimeTokenInternal", "httpMethod": "POST" }, "delete": { "response": { "$ref": "Operation" }, "id": "notebooks.projects.locations.runtimes.delete", "parameters": { "requestId": { "location": "query", "description": "Idempotent request UUID.", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "required": true, "location": "path" } }, "httpMethod": "DELETE", "path": "v1/{+name}", "description": "Deletes a single Runtime.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ] }, "start": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "StartRuntimeRequest" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:start", "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`" } }, "path": "v1/{+name}:start", "id": "notebooks.projects.locations.runtimes.start", "description": "Starts a Managed Notebook Runtime. Perform \"Start\" on GPU instances; \"Resume\" on CPU instances See: https://cloud.google.com/compute/docs/instances/stop-start-instance https://cloud.google.com/compute/docs/instances/suspend-resume-instance" }, "testIamPermissions": { "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "type": "string", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path" } }, "id": "notebooks.projects.locations.runtimes.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:testIamPermissions" }, "reset": { "parameterOrder": [ "name" ], "path": "v1/{+name}:reset", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:reset", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "location": "path", "type": "string", "required": true } }, "request": { "$ref": "ResetRuntimeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "description": "Resets a Managed Notebook Runtime.", "response": { "$ref": "Operation" }, "id": "notebooks.projects.locations.runtimes.reset" }, "create": { "parameters": { "runtimeId": { "location": "query", "type": "string", "description": "Required. User-defined unique ID of this Runtime." }, "requestId": { "description": "Idempotent request UUID.", "type": "string", "location": "query" }, "parent": { "required": true, "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" } }, "id": "notebooks.projects.locations.runtimes.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a new Runtime in a given project and location.", "httpMethod": "POST", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/runtimes", "request": { "$ref": "Runtime" } }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes", "description": "Lists Runtimes in a given project and location.", "response": { "$ref": "ListRuntimesResponse" }, "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. Format: `parent=projects/{project_id}/locations/{location}`", "type": "string", "location": "path" }, "pageSize": { "type": "integer", "description": "Maximum return size of the list call.", "location": "query", "format": "int32" }, "pageToken": { "type": "string", "description": "A previous returned page token that can be used to continue listing from the last result.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "notebooks.projects.locations.runtimes.list", "path": "v1/{+parent}/runtimes" }, "stop": { "id": "notebooks.projects.locations.runtimes.stop", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "type": "string", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:stop", "parameterOrder": [ "name" ], "path": "v1/{+name}:stop", "request": { "$ref": "StopRuntimeRequest" }, "description": "Stops a Managed Notebook Runtime. Perform \"Stop\" on GPU instances; \"Suspend\" on CPU instances See: https://cloud.google.com/compute/docs/instances/stop-start-instance https://cloud.google.com/compute/docs/instances/suspend-resume-instance" }, "getIamPolicy": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "options.requestedPolicyVersion": { "location": "query", "format": "int32", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "location": "path", "required": true, "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$" } }, "httpMethod": "GET", "path": "v1/{+resource}:getIamPolicy", "id": "notebooks.projects.locations.runtimes.getIamPolicy", "parameterOrder": [ "resource" ], "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "path": "v1/{+name}", "parameters": { "updateMask": { "type": "string", "description": "Required. Specifies the path, relative to `Runtime`, of the field to update. For example, to change the software configuration kernels, the `update_mask` parameter would be specified as `software_config.kernels`, and the `PATCH` request body would specify the new value, as follows: { \"software_config\":{ \"kernels\": [{ 'repository': 'gcr.io/deeplearning-platform-release/pytorch-gpu', 'tag': 'latest' }], } } Currently, only the following fields can be updated: - software_config.kernels - software_config.post_startup_script - software_config.custom_gpu_driver_path - software_config.idle_shutdown - software_config.idle_shutdown_timeout", "location": "query", "format": "google-fieldmask" }, "requestId": { "location": "query", "description": "Idempotent request UUID.", "type": "string" }, "name": { "description": "Output only. The resource name of the runtime. Format: `projects/{project}/locations/{location}/runtimes/{runtimeId}`", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "type": "string", "required": true } }, "httpMethod": "PATCH", "request": { "$ref": "Runtime" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}", "description": "Update Notebook Runtime configuration.", "id": "notebooks.projects.locations.runtimes.patch", "parameterOrder": [ "name" ] }, "reportEvent": { "request": { "$ref": "ReportRuntimeEventRequest" }, "description": "Report and process a runtime event.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/runtimes/{runtimesId}:reportEvent", "id": "notebooks.projects.locations.runtimes.reportEvent", "path": "v1/{+name}:reportEvent", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/runtimes/[^/]+$", "description": "Required. Format: `projects/{project_id}/locations/{location}/runtimes/{runtime_id}`", "location": "path" } }, "parameterOrder": [ "name" ] } } } } } } } }, "fullyEncodeReservedExpansion": true, "canonicalName": "AI Platform Notebooks", "name": "notebooks", "rootUrl": "https://notebooks.googleapis.com/", "batchPath": "batch", "discoveryVersion": "v1", "revision": "20220629", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "schemas": { "ResetRuntimeRequest": { "properties": { "requestId": { "type": "string", "description": "Idempotent request UUID." } }, "id": "ResetRuntimeRequest", "type": "object", "description": "Request for resetting a Managed Notebook Runtime." }, "SetInstanceAcceleratorRequest": { "description": "Request for setting instance accelerator.", "properties": { "coreCount": { "format": "int64", "description": "Required. Count of cores of this accelerator. Note that not all combinations of `type` and `core_count` are valid. Check [GPUs on Compute Engine](https://cloud.google.com/compute/docs/gpus/#gpus-list) to find a valid combination. TPUs are not supported.", "type": "string" }, "type": { "enum": [ "ACCELERATOR_TYPE_UNSPECIFIED", "NVIDIA_TESLA_K80", "NVIDIA_TESLA_P100", "NVIDIA_TESLA_V100", "NVIDIA_TESLA_P4", "NVIDIA_TESLA_T4", "NVIDIA_TESLA_A100", "NVIDIA_TESLA_T4_VWS", "NVIDIA_TESLA_P100_VWS", "NVIDIA_TESLA_P4_VWS", "TPU_V2", "TPU_V3" ], "description": "Required. Type of this accelerator.", "type": "string", "enumDescriptions": [ "Accelerator type is not specified.", "Accelerator type is Nvidia Tesla K80.", "Accelerator type is Nvidia Tesla P100.", "Accelerator type is Nvidia Tesla V100.", "Accelerator type is Nvidia Tesla P4.", "Accelerator type is Nvidia Tesla T4.", "Accelerator type is Nvidia Tesla A100.", "Accelerator type is NVIDIA Tesla T4 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P100 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P4 Virtual Workstations.", "(Coming soon) Accelerator type is TPU V2.", "(Coming soon) Accelerator type is TPU V3." ] } }, "type": "object", "id": "SetInstanceAcceleratorRequest" }, "Schedule": { "type": "object", "properties": { "cronSchedule": { "description": "Cron-tab formatted schedule by which the job will execute. Format: minute, hour, day of month, month, day of week, e.g. 0 0 LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WED = every Wednesday More examples: https://crontab.guru/examples.html", "type": "string" }, "description": { "type": "string", "description": "A brief description of this environment." }, "updateTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. Time the schedule was last updated." }, "timeZone": { "description": "Timezone on which the cron_schedule. The value of this field must be a time zone name from the tz database. TZ Database: https://en.wikipedia.org/wiki/List_of_tz_database_time_zones Note that some time zones include a provision for daylight savings time. The rules for daylight saving time are determined by the chosen tz. For UTC use the string \"utc\". If a time zone is not specified, the default will be in UTC (also known as GMT).", "type": "string" }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. Display name used for UI purposes. Name can only contain alphanumeric characters, hyphens '-', and underscores '_'." }, "recentExecutions": { "items": { "$ref": "Execution" }, "type": "array", "readOnly": true, "description": "Output only. The most recent execution names triggered from this schedule and their corresponding states." }, "state": { "enum": [ "STATE_UNSPECIFIED", "ENABLED", "PAUSED", "DISABLED", "UPDATE_FAILED", "INITIALIZING", "DELETING" ], "enumDescriptions": [ "Unspecified state.", "The job is executing normally.", "The job is paused by the user. It will not execute. A user can intentionally pause the job using PauseJobRequest.", "The job is disabled by the system due to error. The user cannot directly set a job to be disabled.", "The job state resulting from a failed CloudScheduler.UpdateJob operation. To recover a job from this state, retry CloudScheduler.UpdateJob until a successful response is received.", "The schedule resource is being created.", "The schedule resource is being deleted." ], "type": "string" }, "createTime": { "description": "Output only. Time the schedule was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "executionTemplate": { "$ref": "ExecutionTemplate", "description": "Notebook Execution Template corresponding to this schedule." }, "name": { "readOnly": true, "type": "string", "description": "Output only. The name of this schedule. Format: `projects/{project_id}/locations/{location}/schedules/{schedule_id}`" } }, "description": "The definition of a schedule.", "id": "Schedule" }, "RuntimeShieldedInstanceConfig": { "id": "RuntimeShieldedInstanceConfig", "description": "A set of Shielded Instance options. Check [Images using supported Shielded VM features](https://cloud.google.com/compute/docs/instances/modifying-shielded-vm). Not all combinations are valid.", "type": "object", "properties": { "enableVtpm": { "type": "boolean", "description": "Defines whether the instance has the vTPM enabled. Enabled by default." }, "enableSecureBoot": { "type": "boolean", "description": "Defines whether the instance has Secure Boot enabled. Secure Boot helps ensure that the system only runs authentic software by verifying the digital signature of all boot components, and halting the boot process if signature verification fails. Disabled by default." }, "enableIntegrityMonitoring": { "type": "boolean", "description": "Defines whether the instance has integrity monitoring enabled. Enables monitoring and attestation of the boot integrity of the instance. The attestation is performed against the integrity policy baseline. This baseline is initially derived from the implicitly trusted boot image when the instance is created. Enabled by default." } } }, "GetInstanceHealthResponse": { "description": "Response for checking if a notebook instance is healthy.", "id": "GetInstanceHealthResponse", "type": "object", "properties": { "healthInfo": { "description": "Output only. Additional information about instance health. Example: healthInfo\": { \"docker_proxy_agent_status\": \"1\", \"docker_status\": \"1\", \"jupyterlab_api_status\": \"-1\", \"jupyterlab_status\": \"-1\", \"updated\": \"2020-10-18 09:40:03.573409\" }", "additionalProperties": { "type": "string" }, "readOnly": true, "type": "object" }, "healthState": { "description": "Output only. Runtime health_state.", "enum": [ "HEALTH_STATE_UNSPECIFIED", "HEALTHY", "UNHEALTHY", "AGENT_NOT_INSTALLED", "AGENT_NOT_RUNNING" ], "type": "string", "readOnly": true, "enumDescriptions": [ "The instance substate is unknown.", "The instance is known to be in an healthy state (for example, critical daemons are running) Applies to ACTIVE state.", "The instance is known to be in an unhealthy state (for example, critical daemons are not running) Applies to ACTIVE state.", "The instance has not installed health monitoring agent. Applies to ACTIVE state.", "The instance health monitoring agent is not running. Applies to ACTIVE state." ] } } }, "VirtualMachine": { "description": "Runtime using Virtual Machine for computing.", "type": "object", "properties": { "instanceId": { "readOnly": true, "type": "string", "description": "Output only. The unique identifier of the Managed Compute Engine instance." }, "instanceName": { "description": "Output only. The user-friendly name of the Managed Compute Engine instance.", "type": "string", "readOnly": true }, "virtualMachineConfig": { "description": "Virtual Machine configuration settings.", "$ref": "VirtualMachineConfig" } }, "id": "VirtualMachine" }, "UpgradeHistoryEntry": { "id": "UpgradeHistoryEntry", "description": "The entry of VM image upgrade history.", "properties": { "targetImage": { "type": "string", "description": "Target VM Image. Format: ainotebooks-vm/project/image-name/name." }, "vmImage": { "description": "The VM image before this instance upgrade.", "type": "string" }, "state": { "description": "The state of this instance upgrade history entry.", "enum": [ "STATE_UNSPECIFIED", "STARTED", "SUCCEEDED", "FAILED" ], "enumDescriptions": [ "State is not specified.", "The instance upgrade is started.", "The instance upgrade is succeeded.", "The instance upgrade is failed." ], "type": "string" }, "version": { "type": "string", "description": "The version of the notebook instance before this upgrade." }, "containerImage": { "type": "string", "description": "The container image before this instance upgrade." }, "action": { "description": "Action. Rolloback or Upgrade.", "enum": [ "ACTION_UNSPECIFIED", "UPGRADE", "ROLLBACK" ], "type": "string", "enumDescriptions": [ "Operation is not specified.", "Upgrade.", "Rollback." ] }, "framework": { "type": "string", "description": "The framework of this notebook instance." }, "createTime": { "description": "The time that this instance upgrade history entry is created.", "type": "string", "format": "google-datetime" }, "snapshot": { "description": "The snapshot of the boot disk of this notebook instance before upgrade.", "type": "string" }, "targetVersion": { "type": "string", "description": "Target VM Version, like m63." } }, "type": "object" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." } } }, "SetInstanceLabelsRequest": { "id": "SetInstanceLabelsRequest", "properties": { "labels": { "description": "Labels to apply to this instance. These can be later modified by the setLabels method", "type": "object", "additionalProperties": { "type": "string" } } }, "description": "Request for setting instance labels.", "type": "object" }, "RefreshRuntimeTokenInternalResponse": { "description": "Response with a new access token.", "id": "RefreshRuntimeTokenInternalResponse", "type": "object", "properties": { "expireTime": { "readOnly": true, "type": "string", "description": "Output only. Token expiration time.", "format": "google-datetime" }, "accessToken": { "description": "The OAuth 2.0 access token.", "type": "string" } } }, "ShieldedInstanceConfig": { "description": "A set of Shielded Instance options. Check [Images using supported Shielded VM features] Not all combinations are valid.", "id": "ShieldedInstanceConfig", "type": "object", "properties": { "enableIntegrityMonitoring": { "description": "Defines whether the instance has integrity monitoring enabled. Enables monitoring and attestation of the boot integrity of the instance. The attestation is performed against the integrity policy baseline. This baseline is initially derived from the implicitly trusted boot image when the instance is created. Enabled by default.", "type": "boolean" }, "enableSecureBoot": { "description": "Defines whether the instance has Secure Boot enabled. Secure Boot helps ensure that the system only runs authentic software by verifying the digital signature of all boot components, and halting the boot process if signature verification fails. Disabled by default.", "type": "boolean" }, "enableVtpm": { "type": "boolean", "description": "Defines whether the instance has the vTPM enabled. Enabled by default." } } }, "RuntimeMetrics": { "properties": { "systemMetrics": { "description": "Output only. The system metrics.", "type": "object", "readOnly": true, "additionalProperties": { "type": "string" } } }, "description": "Contains runtime daemon metrics, such as OS and kernels and sessions stats.", "id": "RuntimeMetrics", "type": "object" }, "LocalDisk": { "type": "object", "properties": { "interface": { "description": "Specifies the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NVME LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SCSI", "type": "string" }, "deviceName": { "type": "string", "description": "Optional. Output only. Specifies a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine. This field is only applicable for persistent disks.", "readOnly": true }, "source": { "description": "Specifies a valid partial or full URL to an existing Persistent Disk resource.", "type": "string" }, "guestOsFeatures": { "items": { "$ref": "RuntimeGuestOsFeature" }, "readOnly": true, "type": "array", "description": "Output only. Indicates a list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." }, "boot": { "type": "boolean", "readOnly": true, "description": "Optional. Output only. Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "licenses": { "type": "array", "description": "Output only. Any valid publicly visible licenses.", "readOnly": true, "items": { "type": "string" } }, "kind": { "readOnly": true, "description": "Output only. Type of the resource. Always compute#attachedDisk for attached disks.", "type": "string" }, "mode": { "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh READ_ONLY LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh READ_WRITE", "type": "string" }, "autoDelete": { "readOnly": true, "type": "boolean", "description": "Optional. Output only. Specifies whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)." }, "initializeParams": { "description": "Input only. Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new instance. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "$ref": "LocalDiskInitializeParams" }, "type": { "type": "string", "description": "Specifies the type of the disk, either SCRATCH or PERSISTENT. If not specified, the default is PERSISTENT. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERSISTENT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SCRATCH" }, "index": { "description": "Output only. A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.", "format": "int32", "type": "integer", "readOnly": true } }, "id": "LocalDisk", "description": "A Local attached disk resource." }, "ListRuntimesResponse": { "description": "Response for listing Managed Notebook Runtimes.", "id": "ListRuntimesResponse", "type": "object", "properties": { "runtimes": { "items": { "$ref": "Runtime" }, "type": "array", "description": "A list of returned Runtimes." }, "nextPageToken": { "type": "string", "description": "Page token that can be used to continue listing from the last result in the next list call." }, "unreachable": { "type": "array", "items": { "type": "string" }, "description": "Locations that could not be reached. For example, ['us-west1', 'us-central1']. A ListRuntimesResponse will only contain either runtimes or unreachables," } } }, "VmImage": { "type": "object", "properties": { "imageName": { "description": "Use VM image name to find the image.", "type": "string" }, "imageFamily": { "description": "Use this VM image family to find the image; the newest image in this family will be used.", "type": "string" }, "project": { "description": "Required. The name of the Google Cloud project that this VM image belongs to. Format: `{project_id}`", "type": "string" } }, "id": "VmImage", "description": "Definition of a custom Compute Engine virtual machine image for starting a notebook instance with the environment installed directly on the VM." }, "LocalDiskInitializeParams": { "description": "Input only. Specifies the parameters for a new disk that will be created alongside the new instance. Use initialization parameters to create boot disks or local SSDs attached to the new runtime. This property is mutually exclusive with the source property; you can only define one or the other, but not both.", "id": "LocalDiskInitializeParams", "type": "object", "properties": { "diskSizeGb": { "description": "Optional. Specifies the size of the disk in base-2 GB. If not specified, the disk will be the same size as the image (usually 10GB). If specified, the size must be equal to or larger than 10GB. Default 100 GB.", "type": "string", "format": "int64" }, "description": { "type": "string", "description": "Optional. Provide this property when creating the disk." }, "diskType": { "enumDescriptions": [ "Disk type not set.", "Standard persistent disk type.", "SSD persistent disk type.", "Balanced persistent disk type.", "Extreme persistent disk type." ], "description": "Input only. The type of the boot disk attached to this instance, defaults to standard persistent disk (`PD_STANDARD`).", "type": "string", "enum": [ "DISK_TYPE_UNSPECIFIED", "PD_STANDARD", "PD_SSD", "PD_BALANCED", "PD_EXTREME" ] }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Labels to apply to this disk. These can be later modified by the disks.setLabels method. This field is only applicable for persistent disks." }, "diskName": { "type": "string", "description": "Optional. Specifies the disk name. If not specified, the default is to use the name of the instance. If the disk with the instance name exists already in the given zone/region, a new name will be automatically generated." } } }, "SwitchRuntimeRequest": { "description": "Request for switching a Managed Notebook Runtime.", "type": "object", "properties": { "requestId": { "description": "Idempotent request UUID.", "type": "string" }, "acceleratorConfig": { "description": "accelerator config.", "$ref": "RuntimeAcceleratorConfig" }, "machineType": { "type": "string", "description": "machine type." } }, "id": "SwitchRuntimeRequest" }, "UpgradeInstanceRequest": { "type": "object", "id": "UpgradeInstanceRequest", "description": "Request for upgrading a notebook instance", "properties": { "type": { "enumDescriptions": [ "Upgrade type is not specified.", "Upgrade ML framework.", "Upgrade Operating System.", "Upgrade CUDA.", "Upgrade All (OS, Framework and CUDA)." ], "enum": [ "UPGRADE_TYPE_UNSPECIFIED", "UPGRADE_FRAMEWORK", "UPGRADE_OS", "UPGRADE_CUDA", "UPGRADE_ALL" ], "type": "string", "description": "Optional. The optional UpgradeType. Setting this field will search for additional compute images to upgrade this instance." } } }, "Event": { "type": "object", "id": "Event", "properties": { "reportTime": { "description": "Event report time.", "format": "google-datetime", "type": "string" }, "type": { "enum": [ "EVENT_TYPE_UNSPECIFIED", "IDLE", "HEARTBEAT", "HEALTH", "MAINTENANCE" ], "enumDescriptions": [ "Event is not specified.", "The instance / runtime is idle", "The instance / runtime is available. This event indicates that instance / runtime underlying compute is operational.", "The instance / runtime health is available. This event indicates that instance / runtime health information.", "The instance / runtime is available. This event allows instance / runtime to send Host maintenance information to Control Plane. https://cloud.google.com/compute/docs/gpus/gpu-host-maintenance" ], "type": "string", "description": "Event type." }, "details": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. Event details. This field is used to pass event information." } }, "description": "The definition of an Event for a managed / semi-managed notebook instance." }, "AcceleratorConfig": { "description": "Definition of a hardware accelerator. Note that not all combinations of `type` and `core_count` are valid. Check [GPUs on Compute Engine](/compute/docs/gpus/#gpus-list) to find a valid combination. TPUs are not supported.", "type": "object", "properties": { "type": { "description": "Type of this accelerator.", "type": "string", "enum": [ "ACCELERATOR_TYPE_UNSPECIFIED", "NVIDIA_TESLA_K80", "NVIDIA_TESLA_P100", "NVIDIA_TESLA_V100", "NVIDIA_TESLA_P4", "NVIDIA_TESLA_T4", "NVIDIA_TESLA_A100", "NVIDIA_TESLA_T4_VWS", "NVIDIA_TESLA_P100_VWS", "NVIDIA_TESLA_P4_VWS", "TPU_V2", "TPU_V3" ], "enumDescriptions": [ "Accelerator type is not specified.", "Accelerator type is Nvidia Tesla K80.", "Accelerator type is Nvidia Tesla P100.", "Accelerator type is Nvidia Tesla V100.", "Accelerator type is Nvidia Tesla P4.", "Accelerator type is Nvidia Tesla T4.", "Accelerator type is Nvidia Tesla A100.", "Accelerator type is NVIDIA Tesla T4 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P100 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P4 Virtual Workstations.", "(Coming soon) Accelerator type is TPU V2.", "(Coming soon) Accelerator type is TPU V3." ] }, "coreCount": { "description": "Count of cores of this accelerator.", "type": "string", "format": "int64" } }, "id": "AcceleratorConfig" }, "Environment": { "type": "object", "description": "Definition of a software environment that is used to start a notebook instance.", "id": "Environment", "properties": { "description": { "description": "A brief description of this environment.", "type": "string" }, "postStartupScript": { "description": "Path to a Bash script that automatically runs after a notebook instance fully boots up. The path must be a URL or Cloud Storage path. Example: `\"gs://path-to-file/file-name\"`", "type": "string" }, "containerImage": { "description": "Use a container image to start the notebook instance.", "$ref": "ContainerImage" }, "displayName": { "type": "string", "description": "Display name of this environment for the UI." }, "name": { "description": "Output only. Name of this environment. Format: `projects/{project_id}/locations/{location}/environments/{environment_id}`", "readOnly": true, "type": "string" }, "vmImage": { "$ref": "VmImage", "description": "Use a Compute Engine VM image to start the notebook instance." }, "createTime": { "format": "google-datetime", "description": "Output only. The time at which this environment was created.", "type": "string", "readOnly": true } } }, "DataprocParameters": { "type": "object", "properties": { "cluster": { "type": "string", "description": "URI for cluster used to run Dataproc execution. Format: `projects/{PROJECT_ID}/regions/{REGION}/clusters/{CLUSTER_NAME}`" } }, "id": "DataprocParameters", "description": "Parameters used in Dataproc JobType executions." }, "Expr": { "properties": { "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." } }, "type": "object", "id": "Expr", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "Execution": { "type": "object", "properties": { "executionTemplate": { "$ref": "ExecutionTemplate", "description": "execute metadata including name, hardware spec, region, labels, etc." }, "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Time the Execution was last updated.", "type": "string" }, "name": { "description": "Output only. The resource name of the execute. Format: `projects/{project_id}/locations/{location}/executions/{execution_id}`", "readOnly": true, "type": "string" }, "description": { "description": "A brief description of this execution.", "type": "string" }, "state": { "enumDescriptions": [ "The job state is unspecified.", "The job has been just created and processing has not yet begun.", "The service is preparing to execution the job.", "The job is in progress.", "The job completed successfully.", "The job failed. `error_message` should contain the details of the failure.", "The job is being cancelled. `error_message` should describe the reason for the cancellation.", "The job has been cancelled. `error_message` should describe the reason for the cancellation.", "The job has become expired (relevant to Vertex AI jobs) https://cloud.google.com/vertex-ai/docs/reference/rest/v1/JobState", "The Execution is being created." ], "description": "Output only. State of the underlying AI Platform job.", "readOnly": true, "enum": [ "STATE_UNSPECIFIED", "QUEUED", "PREPARING", "RUNNING", "SUCCEEDED", "FAILED", "CANCELLING", "CANCELLED", "EXPIRED", "INITIALIZING" ], "type": "string" }, "createTime": { "description": "Output only. Time the Execution was instantiated.", "readOnly": true, "format": "google-datetime", "type": "string" }, "displayName": { "type": "string", "readOnly": true, "description": "Output only. Name used for UI purposes. Name can only contain alphanumeric characters and underscores '_'." }, "jobUri": { "readOnly": true, "type": "string", "description": "Output only. The URI of the external job used to execute the notebook." }, "outputNotebookFile": { "type": "string", "description": "Output notebook file generated by this execution" } }, "description": "The definition of a single executed notebook.", "id": "Execution" }, "TriggerScheduleRequest": { "properties": {}, "description": "Request for created scheduled notebooks", "id": "TriggerScheduleRequest", "type": "object" }, "TestIamPermissionsResponse": { "type": "object", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array", "items": { "type": "string" } } }, "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method." }, "ListInstancesResponse": { "description": "Response for listing notebook instances.", "type": "object", "id": "ListInstancesResponse", "properties": { "instances": { "description": "A list of returned instances.", "type": "array", "items": { "$ref": "Instance" } }, "nextPageToken": { "type": "string", "description": "Page token that can be used to continue listing from the last result in the next list call." }, "unreachable": { "items": { "type": "string" }, "description": "Locations that could not be reached. For example, ['us-west1-a', 'us-central1-b']. A ListInstancesResponse will only contain either instances or unreachables,", "type": "array" } } }, "OperationMetadata": { "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation.", "properties": { "endpoint": { "description": "API endpoint name of this operation.", "type": "string" }, "endTime": { "type": "string", "description": "The time the operation finished running.", "format": "google-datetime" }, "requestedCancellation": { "description": "Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "type": "boolean" }, "apiVersion": { "description": "API version used to start the operation.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The time the operation was created." }, "target": { "type": "string", "description": "Server-defined resource path for the target of the operation." }, "verb": { "type": "string", "description": "Name of the verb executed by the operation." }, "statusMessage": { "description": "Human-readable status of the operation, if any.", "type": "string" } }, "type": "object" }, "StopRuntimeRequest": { "description": "Request for stopping a Managed Notebook Runtime.", "id": "StopRuntimeRequest", "type": "object", "properties": { "requestId": { "description": "Idempotent request UUID.", "type": "string" } } }, "EncryptionConfig": { "description": "Represents a custom encryption key configuration that can be applied to a resource. This will encrypt all disks in Virtual Machine.", "type": "object", "id": "EncryptionConfig", "properties": { "kmsKey": { "description": "The Cloud KMS resource identifier of the customer-managed encryption key used to protect a resource, such as a disks. It has the following format: `projects/{PROJECT_ID}/locations/{REGION}/keyRings/{KEY_RING_NAME}/cryptoKeys/{KEY_NAME}`", "type": "string" } } }, "StartRuntimeRequest": { "type": "object", "id": "StartRuntimeRequest", "properties": { "requestId": { "type": "string", "description": "Idempotent request UUID." } }, "description": "Request for starting a Managed Notebook Runtime." }, "Instance": { "properties": { "nicType": { "enum": [ "UNSPECIFIED_NIC_TYPE", "VIRTIO_NET", "GVNIC" ], "type": "string", "description": "Optional. The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet.", "enumDescriptions": [ "No type specified.", "VIRTIO", "GVNIC" ] }, "machineType": { "type": "string", "description": "Required. The [Compute Engine machine type](/compute/docs/machine-types) of this instance." }, "creator": { "readOnly": true, "description": "Output only. Email address of entity that sent original CreateInstance request.", "type": "string" }, "tags": { "type": "array", "description": "Optional. The Compute Engine tags to add to runtime (see [Tagging instances](https://cloud.google.com/compute/docs/label-or-tag-resources#tags)).", "items": { "type": "string" } }, "subnet": { "type": "string", "description": "The name of the subnet that this instance is in. Format: `projects/{project_id}/regions/{region}/subnetworks/{subnetwork_id}`" }, "network": { "description": "The name of the VPC that this instance is in. Format: `projects/{project_id}/global/networks/{network_id}`", "type": "string" }, "createTime": { "type": "string", "description": "Output only. Instance creation time.", "format": "google-datetime", "readOnly": true }, "reservationAffinity": { "$ref": "ReservationAffinity", "description": "Optional. The optional reservation affinity. Setting this field will apply the specified [Zonal Compute Reservation](https://cloud.google.com/compute/docs/instances/reserving-zonal-resources) to this notebook instance." }, "kmsKey": { "description": "Input only. The KMS key used to encrypt the disks, only applicable if disk_encryption is CMEK. Format: `projects/{project_id}/locations/{location}/keyRings/{key_ring_id}/cryptoKeys/{key_id}` Learn more about [using your own encryption keys](/kms/docs/quickstart).", "type": "string" }, "canIpForward": { "type": "boolean", "description": "Optional. Flag to enable ip forwarding or not, default false/off. https://cloud.google.com/vpc/docs/using-routes#canipforward" }, "customGpuDriverPath": { "description": "Specify a custom Cloud Storage path where the GPU driver is stored. If not specified, we'll automatically choose from official GPU drivers.", "type": "string" }, "vmImage": { "description": "Use a Compute Engine VM image to start the notebook instance.", "$ref": "VmImage" }, "containerImage": { "$ref": "ContainerImage", "description": "Use a container image to start the notebook instance." }, "acceleratorConfig": { "$ref": "AcceleratorConfig", "description": "The hardware accelerator used on this instance. If you use accelerators, make sure that your configuration has [enough vCPUs and memory to support the `machine_type` you have selected](/compute/docs/gpus/#gpus-list)." }, "installGpuDriver": { "type": "boolean", "description": "Whether the end user authorizes Google Cloud to install GPU driver on this instance. If this field is empty or set to false, the GPU driver won't be installed. Only applicable to instances with GPUs." }, "dataDiskType": { "enum": [ "DISK_TYPE_UNSPECIFIED", "PD_STANDARD", "PD_SSD", "PD_BALANCED", "PD_EXTREME" ], "enumDescriptions": [ "Disk type not set.", "Standard persistent disk type.", "SSD persistent disk type.", "Balanced persistent disk type.", "Extreme persistent disk type." ], "type": "string", "description": "Input only. The type of the data disk attached to this instance, defaults to standard persistent disk (`PD_STANDARD`)." }, "updateTime": { "type": "string", "description": "Output only. Instance update time.", "readOnly": true, "format": "google-datetime" }, "postStartupScript": { "description": "Path to a Bash script that automatically runs after a notebook instance fully boots up. The path must be a URL or Cloud Storage path (`gs://path-to-file/file-name`).", "type": "string" }, "metadata": { "description": "Custom metadata to apply to this instance.", "additionalProperties": { "type": "string" }, "type": "object" }, "state": { "enum": [ "STATE_UNSPECIFIED", "STARTING", "PROVISIONING", "ACTIVE", "STOPPING", "STOPPED", "DELETED", "UPGRADING", "INITIALIZING", "REGISTERING", "SUSPENDING", "SUSPENDED" ], "description": "Output only. The state of this instance.", "type": "string", "enumDescriptions": [ "State is not specified.", "The control logic is starting the instance.", "The control logic is installing required frameworks and registering the instance with notebook proxy", "The instance is running.", "The control logic is stopping the instance.", "The instance is stopped.", "The instance is deleted.", "The instance is upgrading.", "The instance is being created.", "The instance is getting registered.", "The instance is suspending.", "The instance is suspended." ], "readOnly": true }, "dataDiskSizeGb": { "type": "string", "description": "Input only. The size of the data disk in GB attached to this instance, up to a maximum of 64000 GB (64 TB). You can choose the size of the data disk based on how big your notebooks and data are. If not specified, this defaults to 100.", "format": "int64" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels to apply to this instance. These can be later modified by the setLabels method." }, "disks": { "readOnly": true, "description": "Output only. Attached disks to notebook instance.", "items": { "$ref": "Disk" }, "type": "array" }, "bootDiskSizeGb": { "description": "Input only. The size of the boot disk in GB attached to this instance, up to a maximum of 64000 GB (64 TB). The minimum recommended value is 100 GB. If not specified, this defaults to 100.", "type": "string", "format": "int64" }, "noPublicIp": { "description": "If true, no public IP will be assigned to this instance.", "type": "boolean" }, "noProxyAccess": { "type": "boolean", "description": "If true, the notebook instance will not register with the proxy." }, "serviceAccount": { "description": "The service account on this instance, giving access to other Google Cloud services. You can use any service account within the same project, but you must have the service account user permission to use the instance. If not specified, the [Compute Engine default service account](https://cloud.google.com/compute/docs/access/service-accounts#default_service_account) is used.", "type": "string" }, "proxyUri": { "readOnly": true, "type": "string", "description": "Output only. The proxy endpoint that is used to access the Jupyter notebook." }, "noRemoveDataDisk": { "type": "boolean", "description": "Input only. If true, the data disk will not be auto deleted when deleting the instance." }, "upgradeHistory": { "items": { "$ref": "UpgradeHistoryEntry" }, "description": "The upgrade history of this instance.", "type": "array" }, "name": { "type": "string", "description": "Output only. The name of this notebook instance. Format: `projects/{project_id}/locations/{location}/instances/{instance_id}`", "readOnly": true }, "instanceOwners": { "description": "Input only. The owner of this instance after creation. Format: `alias@example.com` Currently supports one owner only. If not specified, all of the service account users of your VM instance's service account can use the instance.", "type": "array", "items": { "type": "string" } }, "shieldedInstanceConfig": { "description": "Optional. Shielded VM configuration. [Images using supported Shielded VM features](https://cloud.google.com/compute/docs/instances/modifying-shielded-vm).", "$ref": "ShieldedInstanceConfig" }, "bootDiskType": { "enumDescriptions": [ "Disk type not set.", "Standard persistent disk type.", "SSD persistent disk type.", "Balanced persistent disk type.", "Extreme persistent disk type." ], "enum": [ "DISK_TYPE_UNSPECIFIED", "PD_STANDARD", "PD_SSD", "PD_BALANCED", "PD_EXTREME" ], "description": "Input only. The type of the boot disk attached to this instance, defaults to standard persistent disk (`PD_STANDARD`).", "type": "string" }, "serviceAccountScopes": { "type": "array", "description": "Optional. The URIs of service account scopes to be included in Compute Engine instances. If not specified, the following [scopes](https://cloud.google.com/compute/docs/access/service-accounts#accesscopesiam) are defined: - https://www.googleapis.com/auth/cloud-platform - https://www.googleapis.com/auth/userinfo.email If not using default scopes, you need at least: https://www.googleapis.com/auth/compute", "items": { "type": "string" } }, "diskEncryption": { "type": "string", "description": "Input only. Disk encryption method used on the boot and data disks, defaults to GMEK.", "enum": [ "DISK_ENCRYPTION_UNSPECIFIED", "GMEK", "CMEK" ], "enumDescriptions": [ "Disk encryption is not specified.", "Use Google managed encryption keys to encrypt the boot disk.", "Use customer managed encryption keys to encrypt the boot disk." ] } }, "description": "The definition of a notebook instance.", "type": "object", "id": "Instance" }, "ListExecutionsResponse": { "type": "object", "description": "Response for listing scheduled notebook executions", "properties": { "unreachable": { "items": { "type": "string" }, "description": "Executions IDs that could not be reached. For example: ['projects/{project_id}/location/{location}/executions/imagenet_test1', 'projects/{project_id}/location/{location}/executions/classifier_train1']", "type": "array" }, "nextPageToken": { "description": "Page token that can be used to continue listing from the last result in the next list call.", "type": "string" }, "executions": { "items": { "$ref": "Execution" }, "description": "A list of returned instances.", "type": "array" } }, "id": "ListExecutionsResponse" }, "StopInstanceRequest": { "type": "object", "properties": {}, "description": "Request for stopping a notebook instance", "id": "StopInstanceRequest" }, "SchedulerAcceleratorConfig": { "id": "SchedulerAcceleratorConfig", "type": "object", "properties": { "type": { "description": "Type of this accelerator.", "enum": [ "SCHEDULER_ACCELERATOR_TYPE_UNSPECIFIED", "NVIDIA_TESLA_K80", "NVIDIA_TESLA_P100", "NVIDIA_TESLA_V100", "NVIDIA_TESLA_P4", "NVIDIA_TESLA_T4", "NVIDIA_TESLA_A100", "TPU_V2", "TPU_V3" ], "type": "string", "enumDescriptions": [ "Unspecified accelerator type. Default to no GPU.", "Nvidia Tesla K80 GPU.", "Nvidia Tesla P100 GPU.", "Nvidia Tesla V100 GPU.", "Nvidia Tesla P4 GPU.", "Nvidia Tesla T4 GPU.", "Nvidia Tesla A100 GPU.", "TPU v2.", "TPU v3." ] }, "coreCount": { "format": "int64", "description": "Count of cores of this accelerator.", "type": "string" } }, "description": "Definition of a hardware accelerator. Note that not all combinations of `type` and `core_count` are valid. Check [GPUs on Compute Engine](https://cloud.google.com/compute/docs/gpus) to find a valid combination. TPUs are not supported." }, "RefreshRuntimeTokenInternalRequest": { "properties": { "vmId": { "description": "Required. The VM hardware token for authenticating the VM. https://cloud.google.com/compute/docs/instances/verifying-instance-identity", "type": "string" } }, "description": "Request for getting a new access token.", "type": "object", "id": "RefreshRuntimeTokenInternalRequest" }, "RollbackInstanceRequest": { "type": "object", "properties": { "targetSnapshot": { "type": "string", "description": "Required. The snapshot for rollback. Example: \"projects/test-project/global/snapshots/krwlzipynril\"." } }, "id": "RollbackInstanceRequest", "description": "Request for rollbacking a notebook instance" }, "ResetInstanceRequest": { "id": "ResetInstanceRequest", "properties": {}, "type": "object", "description": "Request for resetting a notebook instance" }, "BootImage": { "properties": {}, "type": "object", "description": "Definition of the boot image used by the Runtime. Used to facilitate runtime upgradeability.", "id": "BootImage" }, "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" }, "VertexAIParameters": { "description": "Parameters used in Vertex AI JobType executions.", "id": "VertexAIParameters", "type": "object", "properties": { "env": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Environment variables. At most 100 environment variables can be specified and unique. Example: GCP_BUCKET=gs://my-bucket/samples/" }, "network": { "type": "string", "description": "The full name of the Compute Engine [network](/compute/docs/networks-and-firewalls#networks) to which the Job should be peered. For example, `projects/12345/global/networks/myVPC`. [Format](https://cloud.google.com/compute/docs/reference/rest/v1/networks/insert) is of the form `projects/{project}/global/networks/{network}`. Where {project} is a project number, as in `12345`, and {network} is a network name. Private services access must already be configured for the network. If left unspecified, the job is not peered with any network." } } }, "UpdateInstanceMetadataItemsResponse": { "properties": { "items": { "description": "Map of items that were added/updated to/in the metadata.", "type": "object", "additionalProperties": { "type": "string" } } }, "type": "object", "id": "UpdateInstanceMetadataItemsResponse", "description": "Response for adding/changing metadata items for an instance." }, "SetInstanceMachineTypeRequest": { "type": "object", "id": "SetInstanceMachineTypeRequest", "description": "Request for setting instance machine type.", "properties": { "machineType": { "type": "string", "description": "Required. The [Compute Engine machine type](https://cloud.google.com/compute/docs/machine-types)." } } }, "ReportInstanceInfoRequest": { "id": "ReportInstanceInfoRequest", "type": "object", "properties": { "metadata": { "type": "object", "additionalProperties": { "type": "string" }, "description": "The metadata reported to Notebooks API. This will be merged to the instance metadata store" }, "vmId": { "description": "Required. The VM hardware token for authenticating the VM. https://cloud.google.com/compute/docs/instances/verifying-instance-identity", "type": "string" } }, "description": "Request for notebook instances to report information to Notebooks API." }, "ListSchedulesResponse": { "description": "Response for listing scheduled notebook job.", "id": "ListSchedulesResponse", "type": "object", "properties": { "unreachable": { "items": { "type": "string" }, "description": "Schedules that could not be reached. For example: ['projects/{project_id}/location/{location}/schedules/monthly_digest', 'projects/{project_id}/location/{location}/schedules/weekly_sentiment']", "type": "array" }, "nextPageToken": { "description": "Page token that can be used to continue listing from the last result in the next list call.", "type": "string" }, "schedules": { "description": "A list of returned instances.", "type": "array", "items": { "$ref": "Schedule" } } } }, "IsInstanceUpgradeableResponse": { "properties": { "upgradeVersion": { "description": "The version this instance will be upgraded to if calling the upgrade endpoint. This field will only be populated if field upgradeable is true.", "type": "string" }, "upgradeInfo": { "description": "Additional information about upgrade.", "type": "string" }, "upgradeImage": { "description": "The new image self link this instance will be upgraded to if calling the upgrade endpoint. This field will only be populated if field upgradeable is true.", "type": "string" }, "upgradeable": { "description": "If an instance is upgradeable.", "type": "boolean" } }, "type": "object", "description": "Response for checking if a notebook instance is upgradeable.", "id": "IsInstanceUpgradeableResponse" }, "RuntimeGuestOsFeature": { "description": "Optional. A list of features to enable on the guest operating system. Applicable only for bootable images. Read [Enabling guest operating system features](https://cloud.google.com/compute/docs/images/create-delete-deprecate-private-images#guest-os-features) to see a list of available options. Guest OS features for boot disk.", "properties": { "type": { "type": "string", "description": "The ID of a supported feature. Read [Enabling guest operating system features](https://cloud.google.com/compute/docs/images/create-delete-deprecate-private-images#guest-os-features) to see a list of available options. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FEATURE_TYPE_UNSPECIFIED LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MULTI_IP_SUBNET LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SECURE_BOOT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UEFI_COMPATIBLE LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh VIRTIO_SCSI_MULTIQUEUE LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WINDOWS" } }, "id": "RuntimeGuestOsFeature", "type": "object" }, "Runtime": { "description": "The definition of a Runtime for a managed notebook instance.", "id": "Runtime", "type": "object", "properties": { "virtualMachine": { "description": "Use a Compute Engine VM image to start the managed notebook instance.", "$ref": "VirtualMachine" }, "metrics": { "description": "Output only. Contains Runtime daemon metrics such as Service status and JupyterLab stats.", "$ref": "RuntimeMetrics", "readOnly": true }, "updateTime": { "description": "Output only. Runtime update time.", "format": "google-datetime", "type": "string", "readOnly": true }, "accessConfig": { "$ref": "RuntimeAccessConfig", "description": "The config settings for accessing runtime." }, "softwareConfig": { "$ref": "RuntimeSoftwareConfig", "description": "The config settings for software inside the runtime." }, "healthState": { "enum": [ "HEALTH_STATE_UNSPECIFIED", "HEALTHY", "UNHEALTHY", "AGENT_NOT_INSTALLED", "AGENT_NOT_RUNNING" ], "enumDescriptions": [ "The runtime substate is unknown.", "The runtime is known to be in an healthy state (for example, critical daemons are running) Applies to ACTIVE state.", "The runtime is known to be in an unhealthy state (for example, critical daemons are not running) Applies to ACTIVE state.", "The runtime has not installed health monitoring agent. Applies to ACTIVE state.", "The runtime health monitoring agent is not running. Applies to ACTIVE state." ], "type": "string", "description": "Output only. Runtime health_state.", "readOnly": true }, "name": { "readOnly": true, "type": "string", "description": "Output only. The resource name of the runtime. Format: `projects/{project}/locations/{location}/runtimes/{runtimeId}`" }, "createTime": { "description": "Output only. Runtime creation time.", "type": "string", "readOnly": true, "format": "google-datetime" }, "state": { "type": "string", "readOnly": true, "description": "Output only. Runtime state.", "enum": [ "STATE_UNSPECIFIED", "STARTING", "PROVISIONING", "ACTIVE", "STOPPING", "STOPPED", "DELETING", "UPGRADING", "INITIALIZING" ], "enumDescriptions": [ "State is not specified.", "The compute layer is starting the runtime. It is not ready for use.", "The compute layer is installing required frameworks and registering the runtime with notebook proxy. It cannot be used.", "The runtime is currently running. It is ready for use.", "The control logic is stopping the runtime. It cannot be used.", "The runtime is stopped. It cannot be used.", "The runtime is being deleted. It cannot be used.", "The runtime is upgrading. It cannot be used.", "The runtime is being created and set up. It is not ready for use." ] } } }, "ReportRuntimeEventRequest": { "id": "ReportRuntimeEventRequest", "type": "object", "description": "Request for reporting a Managed Notebook Event.", "properties": { "vmId": { "description": "Required. The VM hardware token for authenticating the VM. https://cloud.google.com/compute/docs/instances/verifying-instance-identity", "type": "string" }, "event": { "description": "Required. The Event to be reported.", "$ref": "Event" } } }, "ContainerImage": { "id": "ContainerImage", "properties": { "tag": { "description": "The tag of the container image. If not specified, this defaults to the latest tag.", "type": "string" }, "repository": { "type": "string", "description": "Required. The path to the container image repository. For example: `gcr.io/{project_id}/{image_name}`" } }, "description": "Definition of a container image for starting a notebook instance with the environment installed in a container.", "type": "object" }, "ReservationAffinity": { "type": "object", "description": "Reservation Affinity for consuming Zonal reservation.", "properties": { "consumeReservationType": { "enumDescriptions": [ "Default type.", "Do not consume from any allocated capacity.", "Consume any reservation available.", "Must consume from a specific reservation. Must specify key value fields for specifying the reservations." ], "type": "string", "description": "Optional. Type of reservation to consume", "enum": [ "TYPE_UNSPECIFIED", "NO_RESERVATION", "ANY_RESERVATION", "SPECIFIC_RESERVATION" ] }, "key": { "type": "string", "description": "Optional. Corresponds to the label key of reservation resource." }, "values": { "description": "Optional. Corresponds to the label values of reservation resource.", "items": { "type": "string" }, "type": "array" } }, "id": "ReservationAffinity" }, "Policy": { "properties": { "bindings": { "items": { "$ref": "Binding" }, "type": "array", "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "type": "integer", "format": "int32" } }, "id": "Policy", "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/)." }, "ListEnvironmentsResponse": { "description": "Response for listing environments.", "type": "object", "properties": { "environments": { "description": "A list of returned environments.", "type": "array", "items": { "$ref": "Environment" } }, "unreachable": { "type": "array", "description": "Locations that could not be reached.", "items": { "type": "string" } }, "nextPageToken": { "description": "A page token that can be used to continue listing from the last result in the next list call.", "type": "string" } }, "id": "ListEnvironmentsResponse" }, "GuestOsFeature": { "description": "Guest OS features for boot disk.", "properties": { "type": { "description": "The ID of a supported feature. Read Enabling guest operating system features to see a list of available options. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh FEATURE_TYPE_UNSPECIFIED LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh MULTI_IP_SUBNET LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SECURE_BOOT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh UEFI_COMPATIBLE LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh VIRTIO_SCSI_MULTIQUEUE LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh WINDOWS", "type": "string" } }, "type": "object", "id": "GuestOsFeature" }, "StartInstanceRequest": { "properties": {}, "type": "object", "id": "StartInstanceRequest", "description": "Request for starting a notebook instance" }, "UpdateInstanceMetadataItemsRequest": { "properties": { "items": { "additionalProperties": { "type": "string" }, "description": "Metadata items to add/update for the instance.", "type": "object" } }, "type": "object", "id": "UpdateInstanceMetadataItemsRequest", "description": "Request for adding/changing metadata items for an instance." }, "TestIamPermissionsRequest": { "description": "Request message for `TestIamPermissions` method.", "id": "TestIamPermissionsRequest", "type": "object", "properties": { "permissions": { "type": "array", "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions)." } } }, "RegisterInstanceRequest": { "type": "object", "properties": { "instanceId": { "type": "string", "description": "Required. User defined unique ID of this instance. The `instance_id` must be 1 to 63 characters long and contain only lowercase letters, numeric characters, and dashes. The first character must be a lowercase letter and the last character cannot be a dash." } }, "id": "RegisterInstanceRequest", "description": "Request for registering a notebook instance." }, "ListOperationsResponse": { "id": "ListOperationsResponse", "description": "The response message for Operations.ListOperations.", "properties": { "nextPageToken": { "type": "string", "description": "The standard List next-page token." }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } }, "type": "object" }, "UpgradeInstanceInternalRequest": { "type": "object", "id": "UpgradeInstanceInternalRequest", "properties": { "vmId": { "description": "Required. The VM hardware token for authenticating the VM. https://cloud.google.com/compute/docs/instances/verifying-instance-identity", "type": "string" }, "type": { "description": "Optional. The optional UpgradeType. Setting this field will search for additional compute images to upgrade this instance.", "type": "string", "enum": [ "UPGRADE_TYPE_UNSPECIFIED", "UPGRADE_FRAMEWORK", "UPGRADE_OS", "UPGRADE_CUDA", "UPGRADE_ALL" ], "enumDescriptions": [ "Upgrade type is not specified.", "Upgrade ML framework.", "Upgrade Operating System.", "Upgrade CUDA.", "Upgrade All (OS, Framework and CUDA)." ] } }, "description": "Request for upgrading a notebook instance from within the VM" }, "ExecutionTemplate": { "type": "object", "properties": { "kernelSpec": { "type": "string", "description": "Name of the kernel spec to use. This must be specified if the kernel spec name on the execution target does not match the name in the input notebook file." }, "dataprocParameters": { "description": "Parameters used in Dataproc JobType executions.", "$ref": "DataprocParameters" }, "masterType": { "type": "string", "description": "Specifies the type of virtual machine to use for your training job's master worker. You must specify this field when `scaleTier` is set to `CUSTOM`. You can use certain Compute Engine machine types directly in this field. The following types are supported: - `n1-standard-4` - `n1-standard-8` - `n1-standard-16` - `n1-standard-32` - `n1-standard-64` - `n1-standard-96` - `n1-highmem-2` - `n1-highmem-4` - `n1-highmem-8` - `n1-highmem-16` - `n1-highmem-32` - `n1-highmem-64` - `n1-highmem-96` - `n1-highcpu-16` - `n1-highcpu-32` - `n1-highcpu-64` - `n1-highcpu-96` Alternatively, you can use the following legacy machine types: - `standard` - `large_model` - `complex_model_s` - `complex_model_m` - `complex_model_l` - `standard_gpu` - `complex_model_m_gpu` - `complex_model_l_gpu` - `standard_p100` - `complex_model_m_p100` - `standard_v100` - `large_model_v100` - `complex_model_m_v100` - `complex_model_l_v100` Finally, if you want to use a TPU for training, specify `cloud_tpu` in this field. Learn more about the [special configuration options for training with TPU](https://cloud.google.com/ai-platform/training/docs/using-tpus#configuring_a_custom_tpu_machine)." }, "parameters": { "description": "Parameters used within the 'input_notebook_file' notebook.", "type": "string" }, "inputNotebookFile": { "description": "Path to the notebook file to execute. Must be in a Google Cloud Storage bucket. Format: `gs://{bucket_name}/{folder}/{notebook_file_name}` Ex: `gs://notebook_user/scheduled_notebooks/sentiment_notebook.ipynb`", "type": "string" }, "tensorboard": { "description": "The name of a Vertex AI [Tensorboard] resource to which this execution will upload Tensorboard logs. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}`", "type": "string" }, "serviceAccount": { "description": "The email address of a service account to use when running the execution. You must have the `iam.serviceAccounts.actAs` permission for the specified service account.", "type": "string" }, "outputNotebookFolder": { "description": "Path to the notebook folder to write to. Must be in a Google Cloud Storage bucket path. Format: `gs://{bucket_name}/{folder}` Ex: `gs://notebook_user/scheduled_notebooks`", "type": "string" }, "jobType": { "enumDescriptions": [ "No type specified.", "Custom Job in `aiplatform.googleapis.com`. Default value for an execution.", "Run execution on a cluster with Dataproc as a job. https://cloud.google.com/dataproc/docs/reference/rest/v1/projects.regions.jobs" ], "type": "string", "description": "The type of Job to be used on this execution.", "enum": [ "JOB_TYPE_UNSPECIFIED", "VERTEX_AI", "DATAPROC" ] }, "paramsYamlFile": { "description": "Parameters to be overridden in the notebook during execution. Ref https://papermill.readthedocs.io/en/latest/usage-parameterize.html on how to specifying parameters in the input notebook and pass them here in an YAML file. Ex: `gs://notebook_user/scheduled_notebooks/sentiment_notebook_params.yaml`", "type": "string" }, "acceleratorConfig": { "description": "Configuration (count and accelerator type) for hardware running notebook execution.", "$ref": "SchedulerAcceleratorConfig" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Labels for execution. If execution is scheduled, a field included will be 'nbs-scheduled'. Otherwise, it is an immediate execution, and an included field will be 'nbs-immediate'. Use fields to efficiently index between various types of executions." }, "vertexAiParameters": { "$ref": "VertexAIParameters", "description": "Parameters used in Vertex AI JobType executions." }, "containerImageUri": { "description": "Container Image URI to a DLVM Example: 'gcr.io/deeplearning-platform-release/base-cu100' More examples can be found at: https://cloud.google.com/ai-platform/deep-learning-containers/docs/choosing-container", "type": "string" }, "scaleTier": { "enumDescriptions": [ "Unspecified Scale Tier.", "A single worker instance. This tier is suitable for learning how to use Cloud ML, and for experimenting with new models using small datasets.", "Many workers and a few parameter servers.", "A large number of workers with many parameter servers.", "A single worker instance with a K80 GPU.", "A single worker instance with a Cloud TPU.", "The CUSTOM tier is not a set tier, but rather enables you to use your own cluster specification. When you use this tier, set values to configure your processing cluster according to these guidelines: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh You _must_ set `ExecutionTemplate.masterType` to specify the type of machine to use for your master node. This is the only required setting." ], "type": "string", "description": "Required. Scale tier of the hardware used for notebook execution. DEPRECATED Will be discontinued. As right now only CUSTOM is supported.", "enum": [ "SCALE_TIER_UNSPECIFIED", "BASIC", "STANDARD_1", "PREMIUM_1", "BASIC_GPU", "BASIC_TPU", "CUSTOM" ] } }, "description": "The description a notebook execution workload.", "id": "ExecutionTemplate" }, "UpdateShieldedInstanceConfigRequest": { "properties": { "shieldedInstanceConfig": { "$ref": "ShieldedInstanceConfig", "description": "ShieldedInstance configuration to be updated." } }, "id": "UpdateShieldedInstanceConfigRequest", "type": "object", "description": "Request for updating the Shielded Instance config for a notebook instance. You can only use this method on a stopped instance" }, "Location": { "description": "A resource that represents Google Cloud Platform location.", "type": "object", "properties": { "labels": { "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "type": "object", "additionalProperties": { "type": "string" } }, "metadata": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location.", "type": "object" }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" } }, "id": "Location" }, "Disk": { "type": "object", "properties": { "licenses": { "type": "array", "items": { "type": "string" }, "description": "A list of publicly visible licenses. Reserved for Google's use. A License represents billing and aggregate usage data for public and marketplace images." }, "deviceName": { "description": "Indicates a unique device name of your choice that is reflected into the /dev/disk/by-id/google-* tree of a Linux operating system running within the instance. This name can be used to reference the device for mounting, resizing, and so on, from within the instance. If not specified, the server chooses a default device name to apply to this disk, in the form persistent-disk-x, where x is a number assigned by Google Compute Engine.This field is only applicable for persistent disks.", "type": "string" }, "kind": { "type": "string", "description": "Type of the resource. Always compute#attachedDisk for attached disks." }, "mode": { "type": "string", "description": "The mode in which to attach this disk, either READ_WRITE or READ_ONLY. If not specified, the default is to attach the disk in READ_WRITE mode. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh READ_ONLY LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh READ_WRITE" }, "diskSizeGb": { "format": "int64", "type": "string", "description": "Indicates the size of the disk in base-2 GB." }, "autoDelete": { "type": "boolean", "description": "Indicates whether the disk will be auto-deleted when the instance is deleted (but not when the disk is detached from the instance)." }, "index": { "description": "A zero-based index to this disk, where 0 is reserved for the boot disk. If you have many disks attached to an instance, each disk would have a unique index number.", "type": "string", "format": "int64" }, "guestOsFeatures": { "items": { "$ref": "GuestOsFeature" }, "type": "array", "description": "Indicates a list of features to enable on the guest operating system. Applicable only for bootable images. Read Enabling guest operating system features to see a list of available options." }, "type": { "type": "string", "description": "Indicates the type of the disk, either SCRATCH or PERSISTENT. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh PERSISTENT LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SCRATCH" }, "source": { "description": "Indicates a valid partial or full URL to an existing Persistent Disk resource.", "type": "string" }, "boot": { "type": "boolean", "description": "Indicates that this is a boot disk. The virtual machine will use the first partition of the disk for its root filesystem." }, "interface": { "type": "string", "description": "Indicates the disk interface to use for attaching this disk, which is either SCSI or NVME. The default is SCSI. Persistent disks must always use SCSI and the request will fail if you attempt to attach a persistent disk in any other format than SCSI. Local SSDs can use either NVME or SCSI. For performance characteristics of SCSI over NVMe, see Local SSD performance. Valid values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh NVME LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh SCSI" } }, "id": "Disk", "description": "An instance-attached disk resource." }, "CancelOperationRequest": { "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest", "properties": {} }, "SetIamPolicyRequest": { "type": "object", "id": "SetIamPolicyRequest", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." } }, "description": "Request message for `SetIamPolicy` method." }, "RuntimeAcceleratorConfig": { "properties": { "coreCount": { "type": "string", "description": "Count of cores of this accelerator.", "format": "int64" }, "type": { "description": "Accelerator model.", "type": "string", "enum": [ "ACCELERATOR_TYPE_UNSPECIFIED", "NVIDIA_TESLA_K80", "NVIDIA_TESLA_P100", "NVIDIA_TESLA_V100", "NVIDIA_TESLA_P4", "NVIDIA_TESLA_T4", "NVIDIA_TESLA_A100", "TPU_V2", "TPU_V3", "NVIDIA_TESLA_T4_VWS", "NVIDIA_TESLA_P100_VWS", "NVIDIA_TESLA_P4_VWS" ], "enumDescriptions": [ "Accelerator type is not specified.", "Accelerator type is Nvidia Tesla K80.", "Accelerator type is Nvidia Tesla P100.", "Accelerator type is Nvidia Tesla V100.", "Accelerator type is Nvidia Tesla P4.", "Accelerator type is Nvidia Tesla T4.", "Accelerator type is Nvidia Tesla A100.", "(Coming soon) Accelerator type is TPU V2.", "(Coming soon) Accelerator type is TPU V3.", "Accelerator type is NVIDIA Tesla T4 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P100 Virtual Workstations.", "Accelerator type is NVIDIA Tesla P4 Virtual Workstations." ] } }, "id": "RuntimeAcceleratorConfig", "type": "object", "description": "Definition of the types of hardware accelerators that can be used. Definition of the types of hardware accelerators that can be used. See [Compute Engine AcceleratorTypes](https://cloud.google.com/compute/docs/reference/beta/acceleratorTypes). Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-k80` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-p100` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-v100` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-p4` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-t4` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `nvidia-tesla-a100`" }, "Status": { "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "type": "string", "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client." }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array" } }, "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object", "id": "Status" }, "RuntimeAccessConfig": { "properties": { "runtimeOwner": { "description": "The owner of this runtime after creation. Format: `alias@example.com` Currently supports one owner only.", "type": "string" }, "proxyUri": { "description": "Output only. The proxy endpoint that is used to access the runtime.", "type": "string", "readOnly": true }, "accessType": { "enumDescriptions": [ "Unspecified access.", "Single user login.", "Service Account mode. In Service Account mode, Runtime creator will specify a SA that exists in the consumer project. Using Runtime Service Account field. Users accessing the Runtime need ActAs (Service Account User) permission." ], "type": "string", "description": "The type of access mode this instance.", "enum": [ "RUNTIME_ACCESS_TYPE_UNSPECIFIED", "SINGLE_USER", "SERVICE_ACCOUNT" ] } }, "type": "object", "description": "Specifies the login configuration for Runtime", "id": "RuntimeAccessConfig" }, "UpdateInstanceConfigRequest": { "properties": { "config": { "$ref": "InstanceConfig", "description": "The instance configurations to be updated." } }, "type": "object", "description": "Request for updating instance configurations.", "id": "UpdateInstanceConfigRequest" }, "InstanceConfig": { "type": "object", "id": "InstanceConfig", "properties": { "enableHealthMonitoring": { "type": "boolean", "description": "Verifies core internal services are running." }, "notebookUpgradeSchedule": { "description": "Cron expression in UTC timezone, used to schedule instance auto upgrade. Please follow the [cron format](https://en.wikipedia.org/wiki/Cron).", "type": "string" } }, "description": "Notebook instance configurations that can be updated." }, "RuntimeSoftwareConfig": { "type": "object", "description": "Specifies the selection and configuration of software inside the runtime. The properties to set on runtime. Properties keys are specified in `key:value` format, for example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `idle_shutdown: true` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `idle_shutdown_timeout: 180` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `enable_health_monitoring: true`", "id": "RuntimeSoftwareConfig", "properties": { "idleShutdown": { "type": "boolean", "description": "Runtime will automatically shutdown after idle_shutdown_time. Default: True" }, "customGpuDriverPath": { "type": "string", "description": "Specify a custom Cloud Storage path where the GPU driver is stored. If not specified, we'll automatically choose from official GPU drivers." }, "postStartupScriptBehavior": { "type": "string", "enum": [ "POST_STARTUP_SCRIPT_BEHAVIOR_UNSPECIFIED", "RUN_EVERY_START", "DOWNLOAD_AND_RUN_EVERY_START" ], "enumDescriptions": [ "Unspecified post startup script behavior. Will run only once at creation.", "Runs the post startup script provided during creation at every start.", "Downloads and runs the provided post startup script at every start." ], "description": "Behavior for the post startup script." }, "notebookUpgradeSchedule": { "type": "string", "description": "Cron expression in UTC timezone, used to schedule instance auto upgrade. Please follow the [cron format](https://en.wikipedia.org/wiki/Cron)." }, "enableHealthMonitoring": { "description": "Verifies core internal services are running. Default: True", "type": "boolean" }, "postStartupScript": { "type": "string", "description": "Path to a Bash script that automatically runs after a notebook instance fully boots up. The path must be a URL or Cloud Storage path (`gs://path-to-file/file-name`)." }, "idleShutdownTimeout": { "description": "Time in minutes to wait before shutting down runtime. Default: 180 minutes", "format": "int32", "type": "integer" }, "installGpuDriver": { "type": "boolean", "description": "Install Nvidia Driver automatically. Default: True" }, "kernels": { "type": "array", "description": "Optional. Use a list of container images to use as Kernels in the notebook instance.", "items": { "$ref": "ContainerImage" } }, "upgradeable": { "type": "boolean", "readOnly": true, "description": "Output only. Bool indicating whether an newer image is available in an image family." } } }, "Binding": { "description": "Associates `members`, or principals, with a `role`.", "id": "Binding", "type": "object", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "Expr" }, "members": { "type": "array", "items": { "type": "string" }, "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" } } }, "VirtualMachineConfig": { "type": "object", "id": "VirtualMachineConfig", "description": "The config settings for virtual machine.", "properties": { "guestAttributes": { "type": "object", "readOnly": true, "additionalProperties": { "type": "string" }, "description": "Output only. The Compute Engine guest attributes. (see [Project and instance guest attributes](https://cloud.google.com/compute/docs/storing-retrieving-metadata#guest_attributes))." }, "metadata": { "type": "object", "description": "Optional. The Compute Engine metadata entries to add to virtual machine. (see [Project and instance metadata](https://cloud.google.com/compute/docs/storing-retrieving-metadata#project_and_instance_metadata)).", "additionalProperties": { "type": "string" } }, "zone": { "readOnly": true, "type": "string", "description": "Output only. The zone where the virtual machine is located. If using regional request, the notebooks service will pick a location in the corresponding runtime region. On a get request, zone will always be present. Example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `us-central1-b`" }, "subnet": { "description": "Optional. The Compute Engine subnetwork to be used for machine communications. Cannot be specified with network. A full URL or partial URI are valid. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/compute/v1/projects/[project_id]/regions/us-east1/subnetworks/sub0` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[project_id]/regions/us-east1/subnetworks/sub0`", "type": "string" }, "shieldedInstanceConfig": { "$ref": "RuntimeShieldedInstanceConfig", "description": "Optional. Shielded VM Instance configuration settings." }, "reservedIpRange": { "type": "string", "description": "Optional. Reserved IP Range name is used for VPC Peering. The subnetwork allocation will use the range *name* if it's assigned. Example: managed-notebooks-range-c PEERING_RANGE_NAME_3=managed-notebooks-range-c gcloud compute addresses create $PEERING_RANGE_NAME_3 \\ --global \\ --prefix-length=24 \\ --description=\"Google Cloud Managed Notebooks Range 24 c\" \\ --network=$NETWORK \\ --addresses=192.168.0.0 \\ --purpose=VPC_PEERING Field value will be: `managed-notebooks-range-c`" }, "network": { "description": "Optional. The Compute Engine network to be used for machine communications. Cannot be specified with subnetwork. If neither `network` nor `subnet` is specified, the \"default\" network of the project is used, if it exists. A full URL or partial URI. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `https://www.googleapis.com/compute/v1/projects/[project_id]/regions/global/default` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/[project_id]/regions/global/default` Runtimes are managed resources inside Google Infrastructure. Runtimes support the following network configurations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Google Managed Network (Network & subnet are empty) LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Consumer Project VPC (network & subnet are required). Requires configuring Private Service Access. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Shared VPC (network & subnet are required). Requires configuring Private Service Access.", "type": "string" }, "acceleratorConfig": { "description": "Optional. The Compute Engine accelerator configuration for this runtime.", "$ref": "RuntimeAcceleratorConfig" }, "labels": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Optional. The labels to associate with this runtime. Label **keys** must contain 1 to 63 characters, and must conform to [RFC 1035](https://www.ietf.org/rfc/rfc1035.txt). Label **values** may be empty, but, if present, must contain 1 to 63 characters, and must conform to [RFC 1035](https://www.ietf.org/rfc/rfc1035.txt). No more than 32 labels can be associated with a cluster." }, "internalIpOnly": { "description": "Optional. If true, runtime will only have internal IP addresses. By default, runtimes are not restricted to internal IP addresses, and will have ephemeral external IP addresses assigned to each vm. This `internal_ip_only` restriction can only be enabled for subnetwork enabled networks, and all dependencies must be configured to be accessible without external IP addresses.", "type": "boolean" }, "bootImage": { "description": "Optional. Boot image metadata used for runtime upgradeability.", "$ref": "BootImage" }, "nicType": { "enumDescriptions": [ "No type specified.", "VIRTIO", "GVNIC" ], "enum": [ "UNSPECIFIED_NIC_TYPE", "VIRTIO_NET", "GVNIC" ], "type": "string", "description": "Optional. The type of vNIC to be used on this interface. This may be gVNIC or VirtioNet." }, "tags": { "type": "array", "items": { "type": "string" }, "description": "Optional. The Compute Engine tags to add to runtime (see [Tagging instances](https://cloud.google.com/compute/docs/label-or-tag-resources#tags))." }, "machineType": { "description": "Required. The Compute Engine machine type used for runtimes. Short name is valid. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `n1-standard-2` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `e2-standard-8`", "type": "string" }, "encryptionConfig": { "$ref": "EncryptionConfig", "description": "Optional. Encryption settings for virtual machine data disk." }, "containerImages": { "items": { "$ref": "ContainerImage" }, "description": "Optional. Use a list of container images to use as Kernels in the notebook instance.", "type": "array" }, "dataDisk": { "description": "Required. Data disk option configuration settings.", "$ref": "LocalDisk" } } }, "ListLocationsResponse": { "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } } }, "id": "ListLocationsResponse", "type": "object", "description": "The response message for Locations.ListLocations." } }, "title": "Notebooks API", "ownerName": "Google", "ownerDomain": "google.com", "parameters": { "oauth_token": { "type": "string", "description": "OAuth 2.0 token for the current user.", "location": "query" }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "alt": { "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "enum": [ "json", "media", "proto" ], "type": "string", "location": "query" }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "callback": { "description": "JSONP", "location": "query", "type": "string" } }, "id": "notebooks:v1", "basePath": "", "kind": "discovery#restDescription", "description": "Notebooks API is used to manage notebook resources in Google Cloud.", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "version_module": true, "version": "v1", "baseUrl": "https://notebooks.googleapis.com/" }
]===]))
