local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "version": "v1", "description": "A service to scan container images for vulnerabilities.", "basePath": "", "version_module": true, "discoveryVersion": "v1", "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://ondemandscanning.mtls.googleapis.com/", "revision": "20220711", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "baseUrl": "https://ondemandscanning.googleapis.com/", "kind": "discovery#restDescription", "ownerDomain": "google.com", "name": "ondemandscanning", "resources": { "projects": { "resources": { "locations": { "resources": { "scans": { "methods": { "analyzePackages": { "request": { "$ref": "AnalyzePackagesRequestV1" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/scans:analyzePackages", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/scans:analyzePackages", "description": "Initiates an analysis of the provided packages.", "id": "ondemandscanning.projects.locations.scans.analyzePackages", "httpMethod": "POST", "parameters": { "parent": { "description": "Required. The parent of the resource for which analysis is requested. Format: projects/[project_name]/locations/[location]", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path", "type": "string", "required": true } } } }, "resources": { "vulnerabilities": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListVulnerabilitiesResponseV1" }, "path": "v1/{+parent}/vulnerabilities", "parameterOrder": [ "parent" ], "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/scans/{scansId}/vulnerabilities", "parameters": { "pageToken": { "description": "The page token, resulting from a previous call to ListVulnerabilities.", "location": "query", "type": "string" }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/scans/[^/]+$", "type": "string", "description": "Required. The parent of the collection of Vulnerabilities being requested. Format: projects/[project_name]/locations/[location]/scans/[scan_id]" }, "pageSize": { "type": "integer", "format": "int32", "location": "query", "description": "The number of vulnerabilities to retrieve." } }, "description": "Lists vulnerabilities resulting from a successfully completed scan.", "id": "ondemandscanning.projects.locations.scans.vulnerabilities.list" } } } } }, "operations": { "methods": { "list": { "path": "v1/{+name}/operations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "ondemandscanning.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "parameters": { "pageToken": { "description": "The standard list page token.", "type": "string", "location": "query" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The standard list page size." }, "name": { "description": "The name of the operation's parent resource.", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "The standard list filter." } }, "response": { "$ref": "ListOperationsResponse" }, "parameterOrder": [ "name" ] }, "wait": { "path": "v1/{+name}:wait", "parameters": { "timeout": { "format": "google-duration", "location": "query", "description": "The maximum duration to wait before timing out. If left blank, the wait will be at most the time permitted by the underlying HTTP/RPC protocol. If RPC context deadline is also specified, the shorter one will be used.", "type": "string" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to wait on.", "type": "string", "required": true, "location": "path" } }, "response": { "$ref": "Operation" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:wait", "description": "Waits until the specified long-running operation is done or reaches at most a specified timeout, returning the latest state. If the operation is already done, the latest state is immediately returned. If the timeout specified is greater than the default HTTP/RPC timeout, the HTTP/RPC timeout is used. If the server does not support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Note that this method is on a best-effort basis. It may return the latest state before the specified timeout (including immediately), meaning even an immediate response is no guarantee that the operation is done.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "ondemandscanning.projects.locations.operations.wait", "httpMethod": "POST", "parameterOrder": [ "name" ] }, "cancel": { "response": { "$ref": "Empty" }, "id": "ondemandscanning.projects.locations.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1/{+name}:cancel", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string" } } }, "get": { "parameters": { "name": { "description": "The name of the operation resource.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string", "location": "path" } }, "path": "v1/{+name}", "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "httpMethod": "GET", "id": "ondemandscanning.projects.locations.operations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "response": { "$ref": "Operation" } }, "delete": { "id": "ondemandscanning.projects.locations.operations.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "parameters": { "name": { "location": "path", "required": true, "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "type": "string" } }, "path": "v1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" } } } } } } } }, "parameters": { "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "$.xgafv": { "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "location": "query", "description": "V1 error format." }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "location": "query", "default": "true", "description": "Returns response with indentations and line breaks." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "callback": { "location": "query", "description": "JSONP", "type": "string" } }, "schemas": { "License": { "description": "License information.", "properties": { "expression": { "type": "string", "description": "Often a single license can be used to represent the licensing terms. Sometimes it is necessary to include a choice of one or more licenses or some combination of license identifiers. Examples: \"LGPL-2.1-only OR MIT\", \"LGPL-2.1-only AND MIT\", \"GPL-2.0-or-later WITH Bison-exception-2.2\"." }, "comments": { "type": "string", "description": "Comments" } }, "id": "License", "type": "object" }, "Operation": { "type": "object", "properties": { "metadata": { "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "response": { "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" } }, "description": "This resource represents a long-running operation that is the result of a network API call.", "id": "Operation" }, "AnalyzePackagesResponse": { "description": "AnalyzePackagesResponse contains the information necessary to find results for the given scan.", "properties": { "scan": { "type": "string", "description": "The name of the scan resource created by this successful scan." } }, "id": "AnalyzePackagesResponse", "type": "object" }, "Material": { "id": "Material", "properties": { "digest": { "type": "object", "additionalProperties": { "type": "string" } }, "uri": { "type": "string" } }, "type": "object" }, "Hash": { "type": "object", "id": "Hash", "properties": { "value": { "type": "string", "description": "Required. The hash value.", "format": "byte" }, "type": { "description": "Required. The type of hash that was performed, e.g. \"SHA-256\".", "type": "string" } }, "description": "Container message for hash values." }, "BuildOccurrence": { "properties": { "provenance": { "$ref": "BuildProvenance", "description": "The actual provenance for the build." }, "intotoProvenance": { "$ref": "InTotoProvenance", "description": "Deprecated. See InTotoStatement for the replacement. In-toto Provenance representation as defined in spec." }, "intotoStatement": { "$ref": "InTotoStatement", "description": "In-toto Statement representation as defined in spec. The intoto_statement can contain any type of provenance. The serialized payload of the statement can be stored and signed in the Occurrence's envelope." }, "provenanceBytes": { "description": "Serialized JSON representation of the provenance, used in generating the build signature in the corresponding build note. After verifying the signature, `provenance_bytes` can be unmarshalled and compared to the provenance to confirm that it is unchanged. A base64-encoded string representation of the provenance bytes is used for the signature in order to interoperate with openssl which expects this format for signature verification. The serialized form is captured both to avoid ambiguity in how the provenance is marshalled to json as well to prevent incompatibilities with future changes.", "type": "string" } }, "type": "object", "description": "Details of a build occurrence.", "id": "BuildOccurrence" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder": { "properties": { "id": { "type": "string" } }, "type": "object", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder", "description": "Identifies the entity that executed the recipe, which is trusted to have correctly performed the operation and populated this provenance." }, "BuildProvenance": { "properties": { "id": { "type": "string", "description": "Required. Unique identifier of the build." }, "builtArtifacts": { "description": "Output of the build.", "items": { "$ref": "Artifact" }, "type": "array" }, "projectId": { "type": "string", "description": "ID of the project." }, "startTime": { "description": "Time at which execution of the build was started.", "format": "google-datetime", "type": "string" }, "sourceProvenance": { "description": "Details of the Source input to the build.", "$ref": "Source" }, "logsUri": { "type": "string", "description": "URI where any logs for this provenance were written." }, "buildOptions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "Special options applied to this build. This is a catch-all field where build providers can enter any desired additional details." }, "triggerId": { "description": "Trigger identifier if the build was triggered automatically; empty if not.", "type": "string" }, "creator": { "type": "string", "description": "E-mail address of the user who initiated this build. Note that this was the user's e-mail address at the time the build was initiated; this address may not represent the same end-user for all time." }, "builderVersion": { "type": "string", "description": "Version string of the builder at the time this build was executed." }, "endTime": { "type": "string", "description": "Time at which execution of the build was finished.", "format": "google-datetime" }, "createTime": { "format": "google-datetime", "description": "Time at which the build was created.", "type": "string" }, "commands": { "description": "Commands requested by the build.", "items": { "$ref": "Command" }, "type": "array" } }, "id": "BuildProvenance", "type": "object", "description": "Provenance of a build. Contains all information needed to verify the full details about the build from source to completion." }, "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation": { "properties": { "parameters": { "type": "object", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "configSource": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource" }, "environment": { "additionalProperties": { "type": "any", "description": "Properties of the object." }, "type": "object" } }, "description": "Identifies the event that kicked off the build.", "type": "object", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation" }, "EnvelopeSignature": { "properties": { "keyid": { "type": "string" }, "sig": { "type": "string", "format": "byte" } }, "type": "object", "id": "EnvelopeSignature" }, "FileLocation": { "type": "object", "properties": { "filePath": { "description": "For jars that are contained inside .war files, this filepath can indicate the path to war file combined with the path to jar file.", "type": "string" } }, "id": "FileLocation", "description": "Indicates the location at which a package was found." }, "Version": { "description": "Version contains structured information about the version of a package.", "properties": { "fullName": { "description": "Human readable version string. This string is of the form :- and is only set when kind is NORMAL.", "type": "string" }, "kind": { "type": "string", "enumDescriptions": [ "Unknown.", "A standard package version.", "A special version representing negative infinity.", "A special version representing positive infinity." ], "description": "Required. Distinguishes between sentinel MIN/MAX versions and normal versions.", "enum": [ "VERSION_KIND_UNSPECIFIED", "NORMAL", "MINIMUM", "MAXIMUM" ] }, "name": { "description": "Required only when version kind is NORMAL. The main part of the version name.", "type": "string" }, "revision": { "description": "The iteration of the package build from the above version.", "type": "string" }, "epoch": { "format": "int32", "type": "integer", "description": "Used to correct mistakes in the version numbering scheme." }, "inclusive": { "description": "Whether this version is specifying part of an inclusive range. Grafeas does not have the capability to specify version ranges; instead we have fields that specify start version and end versions. At times this is insufficient - we also need to specify whether the version is included in the range or is excluded from the range. This boolean is expected to be set to true when the version is included in a range.", "type": "boolean" } }, "id": "Version", "type": "object" }, "PackageOccurrence": { "id": "PackageOccurrence", "type": "object", "description": "Details on how a particular software package was installed on a system.", "properties": { "name": { "description": "Required. Output only. The name of the installed package.", "readOnly": true, "type": "string" }, "packageType": { "description": "Output only. The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.).", "readOnly": true, "type": "string" }, "version": { "description": "Output only. The version of the package.", "readOnly": true, "$ref": "Version" }, "architecture": { "readOnly": true, "type": "string", "enumDescriptions": [ "Unknown architecture.", "X86 architecture.", "X64 architecture." ], "description": "Output only. The CPU architecture for which packages in this distribution channel were built. Architecture will be blank for language packages.", "enum": [ "ARCHITECTURE_UNSPECIFIED", "X86", "X64" ] }, "license": { "$ref": "License", "description": "Licenses that have been declared by the authors of the package." }, "location": { "items": { "$ref": "Location" }, "type": "array", "description": "All of the places within the filesystem versions of this package have been found." }, "cpeUri": { "type": "string", "readOnly": true, "description": "Output only. The cpe_uri in [CPE format](https://cpe.mitre.org/specification/) denoting the package manager version distributing a package. The cpe_uri will be blank for language packages." } } }, "SlsaRecipe": { "properties": { "entryPoint": { "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use.", "type": "string" }, "type": { "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials.", "type": "string" }, "definedInMaterial": { "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64.", "type": "string", "format": "int64" }, "environment": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy. Depending on the recipe Type, the structure may be different." }, "arguments": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint. Depending on the recipe Type, the structure may be different." } }, "type": "object", "id": "SlsaRecipe", "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe." }, "AnalysisCompleted": { "properties": { "analysisType": { "type": "array", "items": { "type": "string" } } }, "id": "AnalysisCompleted", "type": "object", "description": "Indicates which analysis completed successfully. Multiple types of analysis can be performed on a single resource." }, "Subject": { "type": "object", "properties": { "name": { "type": "string" }, "digest": { "description": "`\"\": \"\"` Algorithms can be e.g. sha256, sha512 See https://github.com/in-toto/attestation/blob/main/spec/field_types.md#DigestSet", "additionalProperties": { "type": "string" }, "type": "object" } }, "id": "Subject" }, "DeploymentOccurrence": { "description": "The period during which some deployable was active in a runtime.", "id": "DeploymentOccurrence", "type": "object", "properties": { "resourceUri": { "items": { "type": "string" }, "type": "array", "description": "Output only. Resource URI for the artifact being deployed taken from the deployable field with the same name." }, "undeployTime": { "type": "string", "description": "End of the lifetime of this deployment.", "format": "google-datetime" }, "config": { "description": "Configuration used to create this deployment.", "type": "string" }, "address": { "description": "Address of the runtime element hosting this deployment.", "type": "string" }, "platform": { "type": "string", "enumDescriptions": [ "Unknown.", "Google Container Engine.", "Google App Engine: Flexible Environment.", "Custom user-defined platform." ], "description": "Platform hosting this deployment.", "enum": [ "PLATFORM_UNSPECIFIED", "GKE", "FLEX", "CUSTOM" ] }, "userEmail": { "type": "string", "description": "Identity of the user that triggered this deployment." }, "deployTime": { "type": "string", "format": "google-datetime", "description": "Required. Beginning of the lifetime of this deployment." } } }, "Location": { "description": "An occurrence of a particular package installation found within a system's filesystem. E.g., glibc was found in `/var/lib/dpkg/status`.", "id": "Location", "type": "object", "properties": { "version": { "description": "Deprecated. The version installed at this location.", "$ref": "Version" }, "path": { "description": "The path from which we gathered that this package/version is installed.", "type": "string" }, "cpeUri": { "type": "string", "description": "Deprecated. The CPE URI in [CPE format](https://cpe.mitre.org/specification/)" } } }, "DiscoveryOccurrence": { "id": "DiscoveryOccurrence", "description": "Provides information about the analysis status of a discovered resource.", "properties": { "cpe": { "description": "The CPE of the resource being scanned.", "type": "string" }, "continuousAnalysis": { "description": "Whether the resource is continuously analyzed.", "enumDescriptions": [ "Unknown.", "The resource is continuously analyzed.", "The resource is ignored for continuous analysis." ], "type": "string", "enum": [ "CONTINUOUS_ANALYSIS_UNSPECIFIED", "ACTIVE", "INACTIVE" ] }, "analysisError": { "items": { "$ref": "Status" }, "type": "array", "description": "Indicates any errors encountered during analysis of a resource. There could be 0 or more of these errors." }, "analysisCompleted": { "$ref": "AnalysisCompleted" }, "archiveTime": { "readOnly": true, "description": "Output only. The time occurrences related to this discovery occurrence were archived.", "format": "google-datetime", "type": "string" }, "lastScanTime": { "description": "The last time this resource was scanned.", "format": "google-datetime", "type": "string" }, "analysisStatus": { "type": "string", "enum": [ "ANALYSIS_STATUS_UNSPECIFIED", "PENDING", "SCANNING", "FINISHED_SUCCESS", "COMPLETE", "FINISHED_FAILED", "FINISHED_UNSUPPORTED" ], "description": "The status of discovery for the resource.", "enumDescriptions": [ "Unknown.", "Resource is known but no action has been taken yet.", "Resource is being analyzed.", "Analysis has finished successfully.", "Analysis has completed", "Analysis has finished unsuccessfully, the analysis itself is in a bad state.", "The resource is known not to be supported." ] }, "analysisStatusError": { "$ref": "Status", "description": "When an error is encountered this will contain a LocalizedMessage under details to show to the user. The LocalizedMessage is output only and populated by the API." } }, "type": "object" }, "AnalyzePackagesRequestV1": { "type": "object", "id": "AnalyzePackagesRequestV1", "description": "AnalyzePackagesRequest is the request to analyze a list of packages and create Vulnerability Occurrences for it.", "properties": { "resourceUri": { "description": "Required. The resource URI of the container image being scanned.", "type": "string" }, "includeOsvData": { "type": "boolean", "description": "[DEPRECATED] Whether to include OSV data in the scan. For backwards compatibility reasons, this field can be neither removed nor renamed." }, "packages": { "description": "The packages to analyze.", "type": "array", "items": { "$ref": "PackageData" } } } }, "Source": { "description": "Source describes the location of the source used for the build.", "type": "object", "id": "Source", "properties": { "context": { "description": "If provided, the source code used for the build came from this location.", "$ref": "SourceContext" }, "artifactStorageSourceUri": { "type": "string", "description": "If provided, the input binary artifacts for the build came from this location." }, "additionalContexts": { "description": "If provided, some of the source code used for the build may be found in these locations, in the case where the source repository had multiple remotes or submodules. This list will not include the context specified in the context field.", "items": { "$ref": "SourceContext" }, "type": "array" }, "fileHashes": { "additionalProperties": { "$ref": "FileHashes" }, "description": "Hash(es) of the build source, which can be used to verify that the original source integrity was maintained in the build. The keys to this map are file paths used as build source and the values contain the hash values for those files. If the build source came in a single package such as a gzipped tarfile (.tar.gz), the FileHash will be for the single path to that file.", "type": "object" } } }, "AttestationOccurrence": { "properties": { "serializedPayload": { "description": "Required. The serialized payload that is verified by one or more `signatures`.", "format": "byte", "type": "string" }, "jwts": { "description": "One or more JWTs encoding a self-contained attestation. Each JWT encodes the payload that it verifies within the JWT itself. Verifier implementation SHOULD ignore the `serialized_payload` field when verifying these JWTs. If only JWTs are present on this AttestationOccurrence, then the `serialized_payload` SHOULD be left empty. Each JWT SHOULD encode a claim specific to the `resource_uri` of this Occurrence, but this is not validated by Grafeas metadata API implementations. The JWT itself is opaque to Grafeas.", "type": "array", "items": { "$ref": "Jwt" } }, "signatures": { "description": "One or more signatures over `serialized_payload`. Verifier implementations should consider this attestation message verified if at least one `signature` verifies `serialized_payload`. See `Signature` in common.proto for more details on signature structure and verification.", "type": "array", "items": { "$ref": "Signature" } } }, "type": "object", "id": "AttestationOccurrence", "description": "Occurrence that represents a single \"attestation\". The authenticity of an attestation can be verified using the attached signature. If the verifier trusts the public key of the signer, then verifying the signature is sufficient to establish trust. In this circumstance, the authority to which this attestation is attached is primarily useful for lookup (how to find this attestation if you already know the authority and artifact to be verified) and intent (for which authority this attestation was intended to sign." }, "AliasContext": { "type": "object", "properties": { "kind": { "type": "string", "enum": [ "KIND_UNSPECIFIED", "FIXED", "MOVABLE", "OTHER" ], "description": "The alias kind.", "enumDescriptions": [ "Unknown.", "Git tag.", "Git branch.", "Used to specify non-standard aliases. For example, if a Git repo has a ref named \"refs/foo/bar\"." ] }, "name": { "description": "The alias name.", "type": "string" } }, "id": "AliasContext", "description": "An alias to a repo revision." }, "PackageData": { "type": "object", "properties": { "hashDigest": { "type": "string", "description": "HashDigest stores the SHA512 hash digest of the jar file if the package is of type Maven. This field will be unset for non Maven packages." }, "patchedCve": { "items": { "type": "string" }, "type": "array", "description": "CVEs that this package is no longer vulnerable to go/drydock-dd-custom-binary-scanning" }, "version": { "type": "string", "description": "The version of the package being analysed" }, "osVersion": { "description": "The version of the OS This field is deprecated and the information is in cpe_uri", "type": "string" }, "os": { "type": "string", "description": "The OS affected by a vulnerability This field is deprecated and the information is in cpe_uri" }, "packageType": { "enumDescriptions": [ "", "Operating System", "Java packages from Maven.", "Go third-party packages.", "Go toolchain + standard library packages." ], "type": "string", "enum": [ "PACKAGE_TYPE_UNSPECIFIED", "OS", "MAVEN", "GO", "GO_STDLIB" ], "description": "The type of package: os, maven, go, etc." }, "unused": { "type": "string" }, "dependencyChain": { "type": "array", "description": "The dependency chain between this package and the user's artifact. List in order from the customer's package under review first, to the current package last. Inclusive of the original package and the current package.", "items": { "$ref": "LanguagePackageDependency" } }, "cpeUri": { "description": "The cpe_uri in [cpe format] (https://cpe.mitre.org/specification/) in which the vulnerability may manifest. Examples include distro or storage location for vulnerable jar.", "type": "string" }, "package": { "description": "The package being analysed for vulnerabilities", "type": "string" }, "fileLocation": { "description": "The path to the jar file / go binary file.", "items": { "$ref": "FileLocation" }, "type": "array" } }, "id": "PackageData" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata": { "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata", "description": "Other properties of the build.", "properties": { "completeness": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness" }, "buildInvocationId": { "type": "string" }, "buildStartedOn": { "type": "string", "format": "google-datetime" }, "buildFinishedOn": { "type": "string", "format": "google-datetime" }, "reproducible": { "type": "boolean" } }, "type": "object" }, "Identity": { "properties": { "revision": { "format": "int32", "type": "integer", "description": "The revision number of the update." }, "updateId": { "type": "string", "description": "The revision independent identifier of the update." } }, "description": "The unique identifier of the update.", "id": "Identity", "type": "object" }, "SlsaMetadata": { "id": "SlsaMetadata", "properties": { "buildInvocationId": { "type": "string", "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec." }, "completeness": { "description": "Indicates that the builder claims certain fields in this message to be complete.", "$ref": "SlsaCompleteness" }, "reproducible": { "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output.", "type": "boolean" }, "buildStartedOn": { "description": "The timestamp of when the build started.", "type": "string", "format": "google-datetime" }, "buildFinishedOn": { "description": "The timestamp of when the build completed.", "type": "string", "format": "google-datetime" } }, "type": "object", "description": "Other properties of the build." }, "Artifact": { "id": "Artifact", "type": "object", "properties": { "checksum": { "type": "string", "description": "Hash or checksum value of a binary, or Docker Registry 2.0 digest of a container." }, "id": { "type": "string", "description": "Artifact ID, if any; for container images, this will be a URL by digest like `gcr.io/projectID/imagename@sha256:123456`." }, "names": { "description": "Related artifact names. This may be the path to a binary or jar file, or in the case of a container build, the name used to push the container image to Google Container Registry, as presented to `docker push`. Note that a single Artifact ID can have multiple names, for example if two tags are applied to one image.", "items": { "type": "string" }, "type": "array" } }, "description": "Artifact describes a build product." }, "ProjectRepoId": { "id": "ProjectRepoId", "type": "object", "description": "Selects a repo using a Google Cloud Platform project ID (e.g., winged-cargo-31) and a repo name within that project.", "properties": { "projectId": { "type": "string", "description": "The ID of the project." }, "repoName": { "description": "The name of the repo. Leave empty for the default repo.", "type": "string" } } }, "SlsaProvenance": { "properties": { "builder": { "description": "required", "$ref": "SlsaBuilder" }, "materials": { "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty.", "items": { "$ref": "Material" }, "type": "array" }, "metadata": { "$ref": "SlsaMetadata" }, "recipe": { "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible). required", "$ref": "SlsaRecipe" } }, "id": "SlsaProvenance", "type": "object" }, "Fingerprint": { "type": "object", "description": "A set of properties that uniquely identify a given Docker image.", "properties": { "v2Blob": { "items": { "type": "string" }, "type": "array", "description": "Required. The ordered list of v2 blobs that represent a given image." }, "v1Name": { "description": "Required. The layer ID of the final layer in the Docker image's v1 representation.", "type": "string" }, "v2Name": { "description": "Output only. The name of the image's v2 blobs computed via: [bottom] := v2_blobbottom := sha256(v2_blob[N] + \" \" + v2_name[N+1]) Only the name of the final blob is kept.", "type": "string" } }, "id": "Fingerprint" }, "CVSS": { "type": "object", "properties": { "exploitabilityScore": { "format": "float", "type": "number" }, "privilegesRequired": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ] }, "baseScore": { "description": "The base score is a function of the base metric scores.", "format": "float", "type": "number" }, "scope": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ] }, "confidentialityImpact": { "enumDescriptions": [ "", "", "", "" ], "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] }, "attackVector": { "description": "Base Metrics Represents the intrinsic characteristics of a vulnerability that are constant over time and across user environments.", "type": "string", "enumDescriptions": [ "", "", "", "", "" ], "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ] }, "authentication": { "enum": [ "AUTHENTICATION_UNSPECIFIED", "AUTHENTICATION_MULTIPLE", "AUTHENTICATION_SINGLE", "AUTHENTICATION_NONE" ], "enumDescriptions": [ "", "", "", "" ], "type": "string" }, "impactScore": { "format": "float", "type": "number" }, "availabilityImpact": { "type": "string", "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "enumDescriptions": [ "", "", "", "" ] }, "userInteraction": { "type": "string", "enumDescriptions": [ "", "", "" ], "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "attackComplexity": { "enumDescriptions": [ "", "", "" ], "type": "string", "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ] }, "integrityImpact": { "type": "string", "enumDescriptions": [ "", "", "", "" ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] } }, "id": "CVSS", "description": "Common Vulnerability Scoring System. For details, see https://www.first.org/cvss/specification-document This is a message we will try to use for storing various versions of CVSS rather than making a separate proto for storing a specific version." }, "Jwt": { "properties": { "compactJwt": { "type": "string", "description": "The compact encoding of a JWS, which is always three base64 encoded strings joined by periods. For details, see: https://tools.ietf.org/html/rfc7515.html#section-3.1" } }, "id": "Jwt", "type": "object" }, "Metadata": { "type": "object", "properties": { "reproducible": { "description": "If true, the builder claims that running the recipe on materials will produce bit-for-bit identical output.", "type": "boolean" }, "buildStartedOn": { "format": "google-datetime", "type": "string", "description": "The timestamp of when the build started." }, "buildInvocationId": { "type": "string", "description": "Identifies the particular build invocation, which can be useful for finding associated logs or other ad-hoc analysis. The value SHOULD be globally unique, per in-toto Provenance spec." }, "buildFinishedOn": { "description": "The timestamp of when the build completed.", "format": "google-datetime", "type": "string" }, "completeness": { "description": "Indicates that the builder claims certain fields in this message to be complete.", "$ref": "Completeness" } }, "id": "Metadata", "description": "Other properties of the build." }, "LanguagePackageDependency": { "description": "Indicates a language package available between this package and the customer's resource artifact.", "id": "LanguagePackageDependency", "properties": { "package": { "type": "string" }, "version": { "type": "string" } }, "type": "object" }, "UpgradeDistribution": { "properties": { "severity": { "type": "string", "description": "The severity as specified by the upstream operating system." }, "cve": { "type": "array", "description": "The cve tied to this Upgrade.", "items": { "type": "string" } }, "cpeUri": { "type": "string", "description": "Required - The specific operating system this metadata applies to. See https://cpe.mitre.org/specification/." }, "classification": { "type": "string", "description": "The operating system classification of this Upgrade, as specified by the upstream operating system upgrade feed. For Windows the classification is one of the category_ids listed at https://docs.microsoft.com/en-us/previous-versions/windows/desktop/ff357803(v=vs.85)" } }, "id": "UpgradeDistribution", "description": "The Upgrade Distribution represents metadata about the Upgrade for each operating system (CPE). Some distributions have additional metadata around updates, classifying them into various categories and severities.", "type": "object" }, "NonCompliantFile": { "description": "Details about files that caused a compliance check to fail. display_command is a single command that can be used to display a list of non compliant files. When there is no such command, we can also iterate a list of non compliant file using 'path'.", "type": "object", "id": "NonCompliantFile", "properties": { "reason": { "type": "string", "description": "Explains why a file is non compliant for a CIS check." }, "displayCommand": { "type": "string", "description": "Command to display the non-compliant files." }, "path": { "type": "string", "description": "Empty if `display_command` is set." } } }, "ComplianceOccurrence": { "properties": { "nonCompliantFiles": { "type": "array", "items": { "$ref": "NonCompliantFile" } }, "nonComplianceReason": { "type": "string" } }, "id": "ComplianceOccurrence", "type": "object", "description": "An indication that the compliance checks in the associated ComplianceNote were not satisfied for particular resources or a specified reason." }, "BuilderConfig": { "properties": { "id": { "type": "string" } }, "type": "object", "id": "BuilderConfig" }, "AnalyzePackagesResponseV1": { "type": "object", "description": "AnalyzePackagesResponse contains the information necessary to find results for the given scan.", "properties": { "scan": { "type": "string", "description": "The name of the scan resource created by this successful scan." } }, "id": "AnalyzePackagesResponseV1" }, "GerritSourceContext": { "type": "object", "properties": { "aliasContext": { "description": "An alias, which may be a branch or tag.", "$ref": "AliasContext" }, "hostUri": { "description": "The URI of a running Gerrit instance.", "type": "string" }, "revisionId": { "type": "string", "description": "A revision (commit) ID." }, "gerritProject": { "description": "The full project name within the host. Projects may be nested, so \"project/subproject\" is a valid project name. The \"repo name\" is the hostURI/project.", "type": "string" } }, "description": "A SourceContext referring to a Gerrit project.", "id": "GerritSourceContext" }, "SlsaProvenanceZeroTwo": { "type": "object", "properties": { "invocation": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaInvocation" }, "metadata": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaMetadata" }, "builder": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaBuilder" }, "buildType": { "type": "string" }, "materials": { "type": "array", "items": { "$ref": "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial" } }, "buildConfig": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object." } } }, "description": "See full explanation of fields at slsa.dev/provenance/v0.2.", "id": "SlsaProvenanceZeroTwo" }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." }, "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" } }, "type": "object", "id": "Status" }, "SlsaCompleteness": { "properties": { "materials": { "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\".", "type": "boolean" }, "arguments": { "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe.", "type": "boolean" }, "environment": { "type": "boolean", "description": "If true, the builder claims that recipe.environment is claimed to be complete." } }, "id": "SlsaCompleteness", "description": "Indicates that the builder claims certain fields in this message to be complete.", "type": "object" }, "RepoId": { "description": "A unique identifier for a Cloud Repo.", "type": "object", "id": "RepoId", "properties": { "projectRepoId": { "description": "A combination of a project ID and a repo name.", "$ref": "ProjectRepoId" }, "uid": { "type": "string", "description": "A server-assigned, globally unique identifier." } } }, "PackageIssue": { "properties": { "affectedPackage": { "description": "Required. The package this vulnerability was found in.", "type": "string" }, "affectedVersion": { "$ref": "Version", "description": "Required. The version of the package that is installed on the resource affected by this vulnerability." }, "packageType": { "type": "string", "description": "The type of package (e.g. OS, MAVEN, GO)." }, "fixedCpeUri": { "description": "The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability was fixed in. It is possible for this to be different from the affected_cpe_uri.", "type": "string" }, "fixedPackage": { "description": "The package this vulnerability was fixed in. It is possible for this to be different from the affected_package.", "type": "string" }, "effectiveSeverity": { "type": "string", "readOnly": true, "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "description": "Output only. The distro or language system assigned severity for this vulnerability when that is available and note provider assigned severity when it is not available." }, "fixAvailable": { "type": "boolean", "description": "Output only. Whether a fix is available for this package." }, "fixedVersion": { "$ref": "Version", "description": "Required. The version of the package this vulnerability was fixed in. Setting this to VersionKind.MAXIMUM means no fix is yet available." }, "affectedCpeUri": { "description": "Required. The [CPE URI](https://cpe.mitre.org/specification/) this vulnerability was found in.", "type": "string" }, "fileLocation": { "items": { "$ref": "GrafeasV1FileLocation" }, "type": "array", "description": "The location at which this package was found." } }, "id": "PackageIssue", "description": "A detail for a distro and package this vulnerability occurrence was found in and its associated fix (if one is available).", "type": "object" }, "AnalyzePackagesMetadata": { "description": "AnalyzePackagesMetadata contains metadata for an active scan of a container image.", "type": "object", "id": "AnalyzePackagesMetadata", "properties": { "createTime": { "type": "string", "format": "google-datetime", "description": "When the scan was created." }, "resourceUri": { "type": "string", "description": "The resource URI of the container image being scanned." } } }, "CloudRepoSourceContext": { "type": "object", "description": "A CloudRepoSourceContext denotes a particular revision in a Google Cloud Source Repo.", "id": "CloudRepoSourceContext", "properties": { "revisionId": { "type": "string", "description": "A revision ID." }, "repoId": { "$ref": "RepoId", "description": "The ID of the repo." }, "aliasContext": { "$ref": "AliasContext", "description": "An alias, which may be a branch or tag." } } }, "WindowsUpdate": { "properties": { "description": { "description": "The localized description of the update.", "type": "string" }, "categories": { "description": "The list of categories to which the update belongs.", "items": { "$ref": "Category" }, "type": "array" }, "kbArticleIds": { "description": "The Microsoft Knowledge Base article IDs that are associated with the update.", "type": "array", "items": { "type": "string" } }, "identity": { "description": "Required - The unique identifier for the update.", "$ref": "Identity" }, "title": { "description": "The localized title of the update.", "type": "string" }, "supportUrl": { "description": "The hyperlink to the support information for the update.", "type": "string" }, "lastPublishedTimestamp": { "format": "google-datetime", "type": "string", "description": "The last published timestamp of the update." } }, "id": "WindowsUpdate", "description": "Windows Update represents the metadata about the update for the Windows operating system. The fields in this message come from the Windows Update API documented at https://docs.microsoft.com/en-us/windows/win32/api/wuapi/nn-wuapi-iupdate.", "type": "object" }, "SourceContext": { "description": "A SourceContext is a reference to a tree of files. A SourceContext together with a path point to a unique revision of a single file or directory.", "properties": { "labels": { "type": "object", "description": "Labels with user defined metadata.", "additionalProperties": { "type": "string" } }, "gerrit": { "description": "A SourceContext referring to a Gerrit project.", "$ref": "GerritSourceContext" }, "git": { "$ref": "GitSourceContext", "description": "A SourceContext referring to any third party Git repo (e.g., GitHub)." }, "cloudRepo": { "$ref": "CloudRepoSourceContext", "description": "A SourceContext referring to a revision in a Google Cloud Source Repo." } }, "id": "SourceContext", "type": "object" }, "RelatedUrl": { "description": "Metadata for any related URL information.", "properties": { "label": { "type": "string", "description": "Label to describe usage of the URL." }, "url": { "type": "string", "description": "Specific URL associated with the resource." } }, "type": "object", "id": "RelatedUrl" }, "InTotoProvenance": { "properties": { "metadata": { "$ref": "Metadata" }, "materials": { "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on. This is considered to be incomplete unless metadata.completeness.materials is true. Unset or null is equivalent to empty.", "items": { "type": "string" }, "type": "array" }, "builderConfig": { "description": "required", "$ref": "BuilderConfig" }, "recipe": { "description": "Identifies the configuration used for the build. When combined with materials, this SHOULD fully describe the build, such that re-running this recipe results in bit-for-bit identical output (if the build is reproducible). required", "$ref": "Recipe" } }, "type": "object", "id": "InTotoProvenance" }, "Occurrence": { "properties": { "envelope": { "description": "https://github.com/secure-systems-lab/dsse", "$ref": "Envelope" }, "vulnerability": { "description": "Describes a security vulnerability.", "$ref": "VulnerabilityOccurrence" }, "name": { "type": "string", "description": "Output only. The name of the occurrence in the form of `projects/[PROJECT_ID]/occurrences/[OCCURRENCE_ID]`." }, "createTime": { "type": "string", "format": "google-datetime", "description": "Output only. The time this occurrence was created." }, "noteName": { "type": "string", "description": "Required. Immutable. The analysis note associated with this occurrence, in the form of `projects/[PROVIDER_ID]/notes/[NOTE_ID]`. This field can be used as a filter in list requests." }, "build": { "$ref": "BuildOccurrence", "description": "Describes a verifiable build." }, "package": { "description": "Describes the installation of a package on the linked resource.", "$ref": "PackageOccurrence" }, "compliance": { "description": "Describes a compliance violation on a linked resource.", "$ref": "ComplianceOccurrence" }, "discovery": { "description": "Describes when a resource was discovered.", "$ref": "DiscoveryOccurrence" }, "kind": { "type": "string", "enum": [ "NOTE_KIND_UNSPECIFIED", "VULNERABILITY", "BUILD", "IMAGE", "PACKAGE", "DEPLOYMENT", "DISCOVERY", "ATTESTATION", "UPGRADE", "COMPLIANCE", "DSSE_ATTESTATION" ], "description": "Output only. This explicitly denotes which of the occurrence details are specified. This field can be used as a filter in list requests.", "enumDescriptions": [ "Default value. This value is unused.", "The note and occurrence represent a package vulnerability.", "The note and occurrence assert build provenance.", "This represents an image basis relationship.", "This represents a package installed via a package manager.", "The note and occurrence track deployment events.", "The note and occurrence track the initial discovery status of a resource.", "This represents a logical \"role\" that can attest to artifacts.", "This represents an available package upgrade.", "This represents a Compliance Note", "This represents a DSSE attestation Note" ] }, "deployment": { "description": "Describes the deployment of an artifact on a runtime.", "$ref": "DeploymentOccurrence" }, "upgrade": { "$ref": "UpgradeOccurrence", "description": "Describes an available package upgrade on the linked resource." }, "dsseAttestation": { "description": "Describes an attestation of an artifact using dsse.", "$ref": "DSSEAttestationOccurrence" }, "remediation": { "type": "string", "description": "A description of actions that can be taken to remedy the note." }, "updateTime": { "description": "Output only. The time this occurrence was last updated.", "format": "google-datetime", "type": "string" }, "attestation": { "$ref": "AttestationOccurrence", "description": "Describes an attestation of an artifact." }, "resourceUri": { "type": "string", "description": "Required. Immutable. A URI that represents the resource for which the occurrence applies. For example, `https://gcr.io/project/image@sha256:123abc` for a Docker image." }, "image": { "description": "Describes how this resource derives from the basis in the associated note.", "$ref": "ImageOccurrence" } }, "id": "Occurrence", "type": "object", "description": "An instance of an analysis type that has been found on a resource." }, "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial": { "properties": { "digest": { "additionalProperties": { "type": "string" }, "type": "object" }, "uri": { "type": "string" } }, "description": "The collection of artifacts that influenced the build including sources, dependencies, build tools, base images, and so on.", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaMaterial", "type": "object" }, "Completeness": { "id": "Completeness", "description": "Indicates that the builder claims certain fields in this message to be complete.", "properties": { "materials": { "type": "boolean", "description": "If true, the builder claims that materials are complete, usually through some controls to prevent network access. Sometimes called \"hermetic\"." }, "arguments": { "description": "If true, the builder claims that recipe.arguments is complete, meaning that all external inputs are properly captured in the recipe.", "type": "boolean" }, "environment": { "description": "If true, the builder claims that recipe.environment is claimed to be complete.", "type": "boolean" } }, "type": "object" }, "DSSEAttestationOccurrence": { "type": "object", "properties": { "envelope": { "description": "If doing something security critical, make sure to verify the signatures in this metadata.", "$ref": "Envelope" }, "statement": { "$ref": "InTotoStatement" } }, "description": "Deprecated. Prefer to use a regular Occurrence, and populate the Envelope at the top level of the Occurrence.", "id": "DSSEAttestationOccurrence" }, "InTotoStatement": { "description": "Spec defined at https://github.com/in-toto/attestation/tree/main/spec#statement The serialized InTotoStatement will be stored as Envelope.payload. Envelope.payloadType is always \"application/vnd.in-toto+json\".", "type": "object", "properties": { "subject": { "items": { "$ref": "Subject" }, "type": "array" }, "slsaProvenanceZeroTwo": { "$ref": "SlsaProvenanceZeroTwo" }, "predicateType": { "type": "string", "description": "`https://slsa.dev/provenance/v0.1` for SlsaProvenance." }, "slsaProvenance": { "$ref": "SlsaProvenance" }, "provenance": { "$ref": "InTotoProvenance" }, "_type": { "type": "string", "description": "Always `https://in-toto.io/Statement/v0.1`." } }, "id": "InTotoStatement" }, "ListVulnerabilitiesResponseV1": { "properties": { "occurrences": { "type": "array", "items": { "$ref": "Occurrence" }, "description": "The list of Vulnerability Occurrences resulting from a scan." }, "nextPageToken": { "type": "string", "description": "A page token that can be used in a subsequent call to ListVulnerabilities to continue retrieving results." } }, "type": "object", "id": "ListVulnerabilitiesResponseV1", "description": "ListVulnerabilitiesResponse contains a single page of vulnerabilities resulting from a scan." }, "VulnerabilityOccurrence": { "description": "An occurrence of a severity vulnerability on a resource.", "properties": { "type": { "description": "The type of package; whether native or non native (e.g., ruby gems, node.js packages, etc.).", "type": "string" }, "packageIssue": { "description": "Required. The set of affected locations and their fixes (if available) within the associated resource.", "type": "array", "items": { "$ref": "PackageIssue" } }, "effectiveSeverity": { "type": "string", "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "description": "The distro assigned severity for this vulnerability when it is available, otherwise this is the note provider assigned severity. When there are multiple PackageIssues for this vulnerability, they can have different effective severities because some might be provided by the distro while others are provided by the language ecosystem for a language pack. For this reason, it is advised to use the effective severity on the PackageIssue level. In the case where multiple PackageIssues have differing effective severities, this field should be the highest severity for any of the PackageIssues.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ] }, "relatedUrls": { "items": { "$ref": "RelatedUrl" }, "type": "array", "description": "Output only. URLs related to this vulnerability." }, "fixAvailable": { "type": "boolean", "description": "Output only. Whether at least one of the affected packages has a fix available." }, "severity": { "description": "Output only. The note provider assigned severity of this vulnerability.", "enum": [ "SEVERITY_UNSPECIFIED", "MINIMAL", "LOW", "MEDIUM", "HIGH", "CRITICAL" ], "enumDescriptions": [ "Unknown.", "Minimal severity.", "Low severity.", "Medium severity.", "High severity.", "Critical severity." ], "type": "string" }, "cvssScore": { "format": "float", "type": "number", "description": "Output only. The CVSS score of this vulnerability. CVSS score is on a scale of 0 - 10 where 0 indicates low severity and 10 indicates high severity." }, "shortDescription": { "type": "string", "description": "Output only. A one sentence description of this vulnerability." }, "cvssv3": { "description": "The cvss v3 score for the vulnerability.", "$ref": "CVSS" }, "longDescription": { "type": "string", "description": "Output only. A detailed description of this vulnerability." } }, "type": "object", "id": "VulnerabilityOccurrence" }, "FileHashes": { "description": "Container message for hashes of byte content of files, used in source messages to verify integrity of source input to the build.", "id": "FileHashes", "properties": { "fileHash": { "items": { "$ref": "Hash" }, "description": "Required. Collection of file hashes.", "type": "array" } }, "type": "object" }, "Recipe": { "properties": { "definedInMaterial": { "description": "Index in materials containing the recipe steps that are not implied by recipe.type. For example, if the recipe type were \"make\", then this would point to the source containing the Makefile, not the make program itself. Set to -1 if the recipe doesn't come from a material, as zero is default unset value for int64.", "type": "string", "format": "int64" }, "environment": { "description": "Any other builder-controlled inputs necessary for correctly evaluating the recipe. Usually only needed for reproducing the build but not evaluated as part of policy. Since the environment field can greatly vary in structure, depending on the builder and recipe type, this is of form \"Any\".", "type": "array", "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" } }, "type": { "type": "string", "description": "URI indicating what type of recipe was performed. It determines the meaning of recipe.entryPoint, recipe.arguments, recipe.environment, and materials." }, "entryPoint": { "type": "string", "description": "String identifying the entry point into the build. This is often a path to a configuration file and/or a target label within that file. The syntax and meaning are defined by recipe.type. For example, if the recipe type were \"make\", then this would reference the directory in which to run make as well as which target to use." }, "arguments": { "items": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "type": "array", "description": "Collection of all external inputs that influenced the build on top of recipe.definedInMaterial and recipe.entryPoint. For example, if the recipe type were \"make\", then this might be the flags passed to make aside from the target, which is captured in recipe.entryPoint. Since the arguments field can greatly vary in structure, depending on the builder and recipe type, this is of form \"Any\"." } }, "type": "object", "description": "Steps taken to build the artifact. For a TaskRun, typically each container corresponds to one step in the recipe.", "id": "Recipe" }, "Empty": { "type": "object", "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "Signature": { "type": "object", "id": "Signature", "description": "Verifiers (e.g. Kritis implementations) MUST verify signatures with respect to the trust anchors defined in policy (e.g. a Kritis policy). Typically this means that the verifier has been configured with a map from `public_key_id` to public key material (and any required parameters, e.g. signing algorithm). In particular, verification implementations MUST NOT treat the signature `public_key_id` as anything more than a key lookup hint. The `public_key_id` DOES NOT validate or authenticate a public key; it only provides a mechanism for quickly selecting a public key ALREADY CONFIGURED on the verifier through a trusted channel. Verification implementations MUST reject signatures in any of the following circumstances: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is not recognized by the verifier. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The public key that `public_key_id` refers to does not verify the signature with respect to the payload. The `signature` contents SHOULD NOT be \"attached\" (where the payload is included with the serialized `signature` bytes). Verifiers MUST ignore any \"attached\" payload and only verify signatures with respect to explicitly provided payload (e.g. a `payload` field on the proto message that holds this Signature, or the canonical serialization of the proto message that holds this signature).", "properties": { "signature": { "description": "The content of the signature, an opaque bytestring. The payload that this signature verifies MUST be unambiguously provided with the Signature during verification. A wrapper message might provide the payload explicitly. Alternatively, a message might have a canonical serialization that can always be unambiguously computed to derive the payload.", "type": "string", "format": "byte" }, "publicKeyId": { "description": "The identifier for the public key that verifies this signature. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` is required. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh The `public_key_id` SHOULD be an RFC3986 conformant URI. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When possible, the `public_key_id` SHOULD be an immutable reference, such as a cryptographic digest. Examples of valid `public_key_id`s: OpenPGP V4 public key fingerprint: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"openpgp4fpr:74FAF3B861BDA0870C7B6DEF607E48D2A663AEEA\" See https://www.iana.org/assignments/uri-schemes/prov/openpgp4fpr for more details on this scheme. RFC6920 digest-named SubjectPublicKeyInfo (digest of the DER serialization): LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"ni:///sha-256;cD9o9Cq6LG3jD0iKXqEi_vdjJGecm_iXkbqVoScViaU\" LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh \"nih:///sha-256;703f68f42aba2c6de30f488a5ea122fef76324679c9bf89791ba95a1271589a5\"", "type": "string" } } }, "Envelope": { "type": "object", "description": "MUST match https://github.com/secure-systems-lab/dsse/blob/master/envelope.proto. An authenticated message of arbitrary type.", "id": "Envelope", "properties": { "payload": { "type": "string", "format": "byte" }, "signatures": { "type": "array", "items": { "$ref": "EnvelopeSignature" } }, "payloadType": { "type": "string" } } }, "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness": { "description": "Indicates that the builder claims certain fields in this message to be complete.", "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaCompleteness", "type": "object", "properties": { "parameters": { "type": "boolean" }, "environment": { "type": "boolean" }, "materials": { "type": "boolean" } } }, "Command": { "type": "object", "properties": { "id": { "description": "Optional unique identifier for this command, used in wait_for to reference this command as a dependency.", "type": "string" }, "dir": { "description": "Working directory (relative to project source root) used when running this command.", "type": "string" }, "env": { "type": "array", "items": { "type": "string" }, "description": "Environment variables set before running this command." }, "name": { "type": "string", "description": "Required. Name of the command, as presented on the command line, or if the command is packaged as a Docker container, as presented to `docker pull`." }, "waitFor": { "type": "array", "description": "The ID(s) of the command(s) that this command depends on.", "items": { "type": "string" } }, "args": { "type": "array", "description": "Command-line arguments used when executing this command.", "items": { "type": "string" } } }, "description": "Command describes a step performed as part of the build pipeline.", "id": "Command" }, "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource": { "id": "GrafeasV1SlsaProvenanceZeroTwoSlsaConfigSource", "properties": { "digest": { "additionalProperties": { "type": "string" }, "type": "object" }, "entryPoint": { "type": "string" }, "uri": { "type": "string" } }, "type": "object", "description": "Describes where the config file that kicked off the build came from. This is effectively a pointer to the source where buildConfig came from." }, "GrafeasV1FileLocation": { "properties": { "filePath": { "description": "For jars that are contained inside .war files, this filepath can indicate the path to war file combined with the path to jar file.", "type": "string" } }, "id": "GrafeasV1FileLocation", "description": "Indicates the location at which a package was found.", "type": "object" }, "ImageOccurrence": { "id": "ImageOccurrence", "properties": { "baseResourceUrl": { "description": "Output only. This contains the base image URL for the derived image occurrence.", "type": "string" }, "fingerprint": { "description": "Required. The fingerprint of the derived image.", "$ref": "Fingerprint" }, "distance": { "type": "integer", "description": "Output only. The number of layers by which this image differs from the associated image basis.", "format": "int32" }, "layerInfo": { "type": "array", "items": { "$ref": "Layer" }, "description": "This contains layer-specific metadata, if populated it has length \"distance\" and is ordered with [distance] being the layer immediately following the base image and [1] being the final layer." } }, "description": "Details of the derived image portion of the DockerImage relationship. This image would be produced from a Dockerfile with FROM .", "type": "object" }, "ListOperationsResponse": { "type": "object", "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } } }, "UpgradeOccurrence": { "properties": { "parsedVersion": { "description": "Required for non-Windows OS. The version of the package in a machine + human readable form.", "$ref": "Version" }, "windowsUpdate": { "description": "Required for Windows OS. Represents the metadata about the Windows update.", "$ref": "WindowsUpdate" }, "distribution": { "$ref": "UpgradeDistribution", "description": "Metadata about the upgrade for available for the specific operating system for the resource_url. This allows efficient filtering, as well as making it easier to use the occurrence." }, "package": { "description": "Required for non-Windows OS. The package this Upgrade is for.", "type": "string" } }, "description": "An Upgrade Occurrence represents that a specific resource_url could install a specific upgrade. This presence is supplied via local sources (i.e. it is present in the mirror and the running system has noticed its availability). For Windows, both distribution and windows_update contain information for the Windows update.", "id": "UpgradeOccurrence", "type": "object" }, "Category": { "description": "The category to which the update belongs.", "type": "object", "id": "Category", "properties": { "categoryId": { "type": "string", "description": "The identifier of the category." }, "name": { "type": "string", "description": "The localized name of the category." } } }, "GitSourceContext": { "description": "A GitSourceContext denotes a particular revision in a third party Git repository (e.g., GitHub).", "id": "GitSourceContext", "properties": { "revisionId": { "description": "Git commit hash.", "type": "string" }, "url": { "type": "string", "description": "Git repository URL." } }, "type": "object" }, "SlsaBuilder": { "properties": { "id": { "type": "string" } }, "id": "SlsaBuilder", "type": "object" }, "AnalyzePackagesMetadataV1": { "properties": { "createTime": { "description": "When the scan was created.", "format": "google-datetime", "type": "string" }, "resourceUri": { "description": "The resource URI of the container image being scanned.", "type": "string" } }, "description": "AnalyzePackagesMetadata contains metadata for an active scan of a container image.", "id": "AnalyzePackagesMetadataV1", "type": "object" }, "Layer": { "description": "Layer holds metadata specific to a layer of a Docker image.", "id": "Layer", "properties": { "directive": { "type": "string", "description": "Required. The recovered Dockerfile directive used to construct this layer. See https://docs.docker.com/engine/reference/builder/ for more information." }, "arguments": { "description": "The recovered arguments to the Dockerfile directive.", "type": "string" } }, "type": "object" } }, "documentationLink": "https://cloud.google.com/container-analysis/docs/on-demand-scanning/", "servicePath": "", "canonicalName": "On-Demand Scanning", "batchPath": "batch", "protocol": "rest", "title": "On-Demand Scanning API", "rootUrl": "https://ondemandscanning.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "id": "ondemandscanning:v1" }
]===]))
