local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "mtlsRootUrl": "https://orgpolicy.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/orgpolicy/docs/reference/rest/index.html", "discoveryVersion": "v1", "schemas": { "GoogleProtobufEmpty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {}, "id": "GoogleProtobufEmpty" }, "GoogleCloudOrgpolicyV2PolicySpecPolicyRule": { "description": "A rule used to express this policy.", "id": "GoogleCloudOrgpolicyV2PolicySpecPolicyRule", "properties": { "values": { "$ref": "GoogleCloudOrgpolicyV2PolicySpecPolicyRuleStringValues", "description": "List of values to be used for this PolicyRule. This field can be set only in Policies for list constraints." }, "denyAll": { "description": "Setting this to true means that all values are denied. This field can be set only in Policies for list constraints.", "type": "boolean" }, "condition": { "$ref": "GoogleTypeExpr", "description": "A condition which determines whether this rule is used in the evaluation of the policy. When set, the `expression` field in the `Expr' must include from 1 to 10 subexpressions, joined by the \"||\" or \"&&\" operators. Each subexpression must be of the form \"resource.matchTag('/tag_key_short_name, 'tag_value_short_name')\". or \"resource.matchTagId('tagKeys/key_id', 'tagValues/value_id')\". where key_name and value_name are the resource names for Label Keys and Values. These names are available from the Tag Manager Service. An example expression is: \"resource.matchTag('123456789/environment, 'prod')\". or \"resource.matchTagId('tagKeys/123', 'tagValues/456')\"." }, "enforce": { "description": "If `true`, then the `Policy` is enforced. If `false`, then any configuration is acceptable. This field can be set only in Policies for boolean constraints.", "type": "boolean" }, "allowAll": { "description": "Setting this to true means that all values are allowed. This field can be set only in Policies for list constraints.", "type": "boolean" } }, "type": "object" }, "GoogleCloudOrgpolicyV2ListPoliciesResponse": { "description": "The response returned from the ListPolicies method. It will be empty if no `Policies` are set on the resource.", "properties": { "policies": { "description": "All `Policies` that exist on the resource. It will be empty if no `Policies` are set.", "type": "array", "items": { "$ref": "GoogleCloudOrgpolicyV2Policy" } }, "nextPageToken": { "type": "string", "description": "Page token used to retrieve the next page. This is currently not used, but the server may at any point start supplying a valid token." } }, "type": "object", "id": "GoogleCloudOrgpolicyV2ListPoliciesResponse" }, "GoogleCloudOrgpolicyV2ListConstraintsResponse": { "properties": { "nextPageToken": { "description": "Page token used to retrieve the next page. This is currently not used.", "type": "string" }, "constraints": { "description": "The collection of constraints that are available on the targeted resource.", "type": "array", "items": { "$ref": "GoogleCloudOrgpolicyV2Constraint" } } }, "type": "object", "description": "The response returned from the ListConstraints method.", "id": "GoogleCloudOrgpolicyV2ListConstraintsResponse" }, "GoogleCloudOrgpolicyV2PolicySpecPolicyRuleStringValues": { "type": "object", "properties": { "allowedValues": { "description": "List of values allowed at this resource.", "items": { "type": "string" }, "type": "array" }, "deniedValues": { "items": { "type": "string" }, "description": "List of values denied at this resource.", "type": "array" } }, "id": "GoogleCloudOrgpolicyV2PolicySpecPolicyRuleStringValues", "description": "A message that holds specific allowed and denied values. This message can define specific values and subtrees of Cloud Resource Manager resource hierarchy (`Organizations`, `Folders`, `Projects`) that are allowed or denied. This is achieved by using the `under:` and optional `is:` prefixes. The `under:` prefix is used to denote resource subtree values. The `is:` prefix is used to denote specific values, and is required only if the value contains a \":\". Values prefixed with \"is:\" are treated the same as values with no prefix. Ancestry subtrees must be in one of the following formats: - \"projects/\", e.g. \"projects/tokyo-rain-123\" - \"folders/\", e.g. \"folders/1234\" - \"organizations/\", e.g. \"organizations/1234\" The `supports_under` field of the associated `Constraint` defines whether ancestry prefixes can be used." }, "GoogleCloudOrgpolicyV2Policy": { "type": "object", "id": "GoogleCloudOrgpolicyV2Policy", "description": "Defines a Cloud Organization `Policy` which is used to specify `Constraints` for configurations of Cloud Platform resources.", "properties": { "name": { "description": "Immutable. The resource name of the Policy. Must be one of the following forms, where constraint_name is the name of the constraint which this Policy configures: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}/policies/{constraint_name}` For example, \"projects/123/policies/compute.disableSerialPortAccess\". Note: `projects/{project_id}/policies/{constraint_name}` is also an acceptable name for API requests, but responses will return the name using the equivalent project number.", "type": "string" }, "alternate": { "description": "Deprecated.", "$ref": "GoogleCloudOrgpolicyV2AlternatePolicySpec" }, "spec": { "description": "Basic information about the Organization Policy.", "$ref": "GoogleCloudOrgpolicyV2PolicySpec" } } }, "GoogleCloudOrgpolicyV2ConstraintListConstraint": { "properties": { "supportsIn": { "description": "Indicates whether values grouped into categories can be used in `Policy.allowed_values` and `Policy.denied_values`. For example, `\"in:Python\"` would match any value in the 'Python' group.", "type": "boolean" }, "supportsUnder": { "type": "boolean", "description": "Indicates whether subtrees of Cloud Resource Manager resource hierarchy can be used in `Policy.allowed_values` and `Policy.denied_values`. For example, `\"under:folders/123\"` would match any resource under the 'folders/123' folder." } }, "description": "A `Constraint` that allows or disallows a list of string values, which are configured by an Organization's policy administrator with a `Policy`.", "id": "GoogleCloudOrgpolicyV2ConstraintListConstraint", "type": "object" }, "GoogleTypeExpr": { "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "properties": { "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "title": { "type": "string", "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "id": "GoogleTypeExpr" }, "GoogleCloudOrgpolicyV2AlternatePolicySpec": { "type": "object", "properties": { "spec": { "$ref": "GoogleCloudOrgpolicyV2PolicySpec", "description": "Specify `Constraint` for configurations of Cloud Platform resources." }, "launch": { "type": "string", "description": "Reference to the launch that will be used while audit logging and to control the launch. Should be set only in the alternate policy." } }, "id": "GoogleCloudOrgpolicyV2AlternatePolicySpec", "description": "Similar to PolicySpec but with an extra 'launch' field for launch reference. The PolicySpec here is specific for dry-run/darklaunch." }, "GoogleCloudOrgpolicyV2Constraint": { "type": "object", "id": "GoogleCloudOrgpolicyV2Constraint", "description": "A `constraint` describes a way to restrict resource's configuration. For example, you could enforce a constraint that controls which cloud services can be activated across an organization, or whether a Compute Engine instance can have serial port connections established. `Constraints` can be configured by the organization's policy administrator to fit the needs of the organization by setting a `policy` that includes `constraints` at different locations in the organization's resource hierarchy. Policies are inherited down the resource hierarchy from higher levels, but can also be overridden. For details about the inheritance rules please read about `policies`. `Constraints` have a default behavior determined by the `constraint_default` field, which is the enforcement behavior that is used in the absence of a `policy` being defined or inherited for the resource in question.", "properties": { "constraintDefault": { "enumDescriptions": [ "This is only used for distinguishing unset values and should never be used.", "Indicate that all values are allowed for list constraints. Indicate that enforcement is off for boolean constraints.", "Indicate that all values are denied for list constraints. Indicate that enforcement is on for boolean constraints." ], "enum": [ "CONSTRAINT_DEFAULT_UNSPECIFIED", "ALLOW", "DENY" ], "type": "string", "description": "The evaluation behavior of this constraint in the absence of 'Policy'." }, "description": { "type": "string", "description": "Detailed description of what this `Constraint` controls as well as how and where it is enforced. Mutable." }, "displayName": { "description": "The human readable name. Mutable.", "type": "string" }, "booleanConstraint": { "$ref": "GoogleCloudOrgpolicyV2ConstraintBooleanConstraint", "description": "Defines this constraint as being a BooleanConstraint." }, "listConstraint": { "description": "Defines this constraint as being a ListConstraint.", "$ref": "GoogleCloudOrgpolicyV2ConstraintListConstraint" }, "name": { "description": "Immutable. The resource name of the Constraint. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}/constraints/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}/constraints/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}/constraints/{constraint_name}` For example, \"/projects/123/constraints/compute.disableSerialPortAccess\".", "type": "string" } } }, "GoogleCloudOrgpolicyV2PolicySpec": { "properties": { "rules": { "description": "Up to 10 PolicyRules are allowed. In Policies for boolean constraints, the following requirements apply: - There must be one and only one PolicyRule where condition is unset. - BooleanPolicyRules with conditions must set `enforced` to the opposite of the PolicyRule without a condition. - During policy evaluation, PolicyRules with conditions that are true for a target resource take precedence.", "type": "array", "items": { "$ref": "GoogleCloudOrgpolicyV2PolicySpecPolicyRule" } }, "reset": { "type": "boolean", "description": "Ignores policies set above this resource and restores the `constraint_default` enforcement behavior of the specific `Constraint` at this resource. This field can be set in policies for either list or boolean constraints. If set, `rules` must be empty and `inherit_from_parent` must be set to false." }, "updateTime": { "readOnly": true, "description": "Output only. The time stamp this was previously updated. This represents the last time a call to `CreatePolicy` or `UpdatePolicy` was made for that `Policy`.", "format": "google-datetime", "type": "string" }, "etag": { "description": "An opaque tag indicating the current version of the `Policy`, used for concurrency control. This field is ignored if used in a `CreatePolicy` request. When the `Policy` is returned from either a `GetPolicy` or a `ListPolicies` request, this `etag` indicates the version of the current `Policy` to use when executing a read-modify-write loop. When the `Policy` is returned from a `GetEffectivePolicy` request, the `etag` will be unset.", "type": "string" }, "inheritFromParent": { "type": "boolean", "description": "Determines the inheritance behavior for this `Policy`. If `inherit_from_parent` is true, PolicyRules set higher up in the hierarchy (up to the closest root) are inherited and present in the effective policy. If it is false, then no rules are inherited, and this Policy becomes the new root for evaluation. This field can be set only for Policies which configure list constraints." } }, "type": "object", "id": "GoogleCloudOrgpolicyV2PolicySpec", "description": "Defines a Cloud Organization `PolicySpec` which is used to specify `Constraints` for configurations of Cloud Platform resources." }, "GoogleCloudOrgpolicyV2ConstraintBooleanConstraint": { "description": "A `Constraint` that is either enforced or not. For example a constraint `constraints/compute.disableSerialPortAccess`. If it is enforced on a VM instance, serial port connections will not be opened to that instance.", "type": "object", "properties": {}, "id": "GoogleCloudOrgpolicyV2ConstraintBooleanConstraint" } }, "batchPath": "batch", "fullyEncodeReservedExpansion": true, "description": "The Org Policy API allows users to configure governance rules on their GCP resources across the Cloud Resource Hierarchy.", "name": "orgpolicy", "revision": "20220711", "servicePath": "", "kind": "discovery#restDescription", "ownerDomain": "google.com", "resources": { "projects": { "resources": { "constraints": { "methods": { "list": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/constraints", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field." }, "parent": { "pattern": "^projects/[^/]+$", "location": "path", "description": "Required. The Cloud resource that parents the constraint. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "type": "string", "required": true }, "pageSize": { "location": "query", "type": "integer", "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size.", "format": "int32" } }, "parameterOrder": [ "parent" ], "flatPath": "v2/projects/{projectsId}/constraints", "response": { "$ref": "GoogleCloudOrgpolicyV2ListConstraintsResponse" }, "description": "Lists `Constraints` that could be applied on the specified resource.", "id": "orgpolicy.projects.constraints.list" } } }, "policies": { "methods": { "delete": { "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/projects/{projectsId}/policies/{policiesId}", "response": { "$ref": "GoogleProtobufEmpty" }, "parameters": { "name": { "pattern": "^projects/[^/]+/policies/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. Name of the policy to delete. See `Policy` for naming rules." } }, "parameterOrder": [ "name" ], "path": "v2/{+name}", "description": "Deletes a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or Org Policy does not exist.", "id": "orgpolicy.projects.policies.delete" }, "list": { "id": "orgpolicy.projects.policies.list", "httpMethod": "GET", "path": "v2/{+parent}/policies", "flatPath": "v2/projects/{projectsId}/policies", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudOrgpolicyV2ListPoliciesResponse" }, "description": "Retrieves all of the `Policies` that exist on a particular resource.", "parameters": { "parent": { "required": true, "description": "Required. The target Cloud resource that parents the set of constraints and policies that will be returned from this call. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "location": "path", "pattern": "^projects/[^/]+$", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size.", "location": "query" }, "pageToken": { "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field.", "location": "query", "type": "string" } } }, "getEffectivePolicy": { "description": "Gets the effective `Policy` on a resource. This is the result of merging `Policies` in the resource hierarchy and evaluating conditions. The returned `Policy` will not have an `etag` or `condition` set because it is a computed `Policy` across multiple resources. Subtrees of Resource Manager resource hierarchy with 'under:' prefix will not be expanded.", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/policies/[^/]+$", "type": "string", "description": "Required. The effective policy to compute. See `Policy` for naming rules.", "required": true } }, "httpMethod": "GET", "id": "orgpolicy.projects.policies.getEffectivePolicy", "path": "v2/{+name}:getEffectivePolicy", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "parameterOrder": [ "name" ], "flatPath": "v2/projects/{projectsId}/policies/{policiesId}:getEffectivePolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "parameterOrder": [ "name" ], "id": "orgpolicy.projects.policies.patch", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "description": "Updates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or the policy do not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ABORTED` if the etag supplied in the request does not match the persisted etag of the policy Note: the supplied policy will perform a full overwrite of all fields.", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/policies/[^/]+$", "description": "Immutable. The resource name of the Policy. Must be one of the following forms, where constraint_name is the name of the constraint which this Policy configures: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}/policies/{constraint_name}` For example, \"projects/123/policies/compute.disableSerialPortAccess\". Note: `projects/{project_id}/policies/{constraint_name}` is also an acceptable name for API requests, but responses will return the name using the equivalent project number.", "type": "string" } }, "flatPath": "v2/projects/{projectsId}/policies/{policiesId}", "httpMethod": "PATCH", "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/policies/[^/]+$", "description": "Required. Resource name of the policy. See `Policy` for naming requirements.", "type": "string" } }, "path": "v2/{+name}", "id": "orgpolicy.projects.policies.get", "description": "Gets a `Policy` on a resource. If no `Policy` is set on the resource, NOT_FOUND is returned. The `etag` value can be used with `UpdatePolicy()` to update a `Policy` during read-modify-write.", "parameterOrder": [ "name" ], "httpMethod": "GET", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "flatPath": "v2/projects/{projectsId}/policies/{policiesId}" }, "create": { "parameters": { "parent": { "description": "Required. The Cloud resource that will parent the new Policy. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "type": "string", "pattern": "^projects/[^/]+$", "required": true, "location": "path" } }, "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "description": "Creates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint does not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ALREADY_EXISTS` if the policy already exists on the given Cloud resource.", "httpMethod": "POST", "id": "orgpolicy.projects.policies.create", "flatPath": "v2/projects/{projectsId}/policies", "path": "v2/{+parent}/policies", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" } } } } } }, "organizations": { "resources": { "constraints": { "methods": { "list": { "description": "Lists `Constraints` that could be applied on the specified resource.", "path": "v2/{+parent}/constraints", "httpMethod": "GET", "id": "orgpolicy.organizations.constraints.list", "parameters": { "pageToken": { "location": "query", "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field.", "type": "string" }, "parent": { "location": "path", "pattern": "^organizations/[^/]+$", "type": "string", "required": true, "description": "Required. The Cloud resource that parents the constraint. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size." } }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/organizations/{organizationsId}/constraints", "response": { "$ref": "GoogleCloudOrgpolicyV2ListConstraintsResponse" } } } }, "policies": { "methods": { "getEffectivePolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "description": "Gets the effective `Policy` on a resource. This is the result of merging `Policies` in the resource hierarchy and evaluating conditions. The returned `Policy` will not have an `etag` or `condition` set because it is a computed `Policy` across multiple resources. Subtrees of Resource Manager resource hierarchy with 'under:' prefix will not be expanded.", "flatPath": "v2/organizations/{organizationsId}/policies/{policiesId}:getEffectivePolicy", "httpMethod": "GET", "path": "v2/{+name}:getEffectivePolicy", "parameterOrder": [ "name" ], "id": "orgpolicy.organizations.policies.getEffectivePolicy", "parameters": { "name": { "required": true, "pattern": "^organizations/[^/]+/policies/[^/]+$", "location": "path", "type": "string", "description": "Required. The effective policy to compute. See `Policy` for naming rules." } } }, "delete": { "parameterOrder": [ "name" ], "path": "v2/{+name}", "flatPath": "v2/organizations/{organizationsId}/policies/{policiesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "id": "orgpolicy.organizations.policies.delete", "response": { "$ref": "GoogleProtobufEmpty" }, "description": "Deletes a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or Org Policy does not exist.", "parameters": { "name": { "location": "path", "description": "Required. Name of the policy to delete. See `Policy` for naming rules.", "type": "string", "required": true, "pattern": "^organizations/[^/]+/policies/[^/]+$" } } }, "create": { "description": "Creates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint does not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ALREADY_EXISTS` if the policy already exists on the given Cloud resource.", "parameterOrder": [ "parent" ], "httpMethod": "POST", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "path": "v2/{+parent}/policies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "id": "orgpolicy.organizations.policies.create", "flatPath": "v2/organizations/{organizationsId}/policies", "parameters": { "parent": { "type": "string", "location": "path", "pattern": "^organizations/[^/]+$", "description": "Required. The Cloud resource that will parent the new Policy. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "required": true } } }, "get": { "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "flatPath": "v2/organizations/{organizationsId}/policies/{policiesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "id": "orgpolicy.organizations.policies.get", "parameters": { "name": { "description": "Required. Resource name of the policy. See `Policy` for naming requirements.", "type": "string", "pattern": "^organizations/[^/]+/policies/[^/]+$", "required": true, "location": "path" } }, "description": "Gets a `Policy` on a resource. If no `Policy` is set on the resource, NOT_FOUND is returned. The `etag` value can be used with `UpdatePolicy()` to update a `Policy` during read-modify-write.", "httpMethod": "GET", "path": "v2/{+name}" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v2/{+parent}/policies", "flatPath": "v2/organizations/{organizationsId}/policies", "httpMethod": "GET", "id": "orgpolicy.organizations.policies.list", "parameters": { "pageToken": { "location": "query", "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field.", "type": "string" }, "pageSize": { "type": "integer", "format": "int32", "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size.", "location": "query" }, "parent": { "required": true, "location": "path", "type": "string", "description": "Required. The target Cloud resource that parents the set of constraints and policies that will be returned from this call. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "pattern": "^organizations/[^/]+$" } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudOrgpolicyV2ListPoliciesResponse" }, "description": "Retrieves all of the `Policies` that exist on a particular resource." }, "patch": { "id": "orgpolicy.organizations.policies.patch", "parameterOrder": [ "name" ], "path": "v2/{+name}", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "description": "Updates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or the policy do not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ABORTED` if the etag supplied in the request does not match the persisted etag of the policy Note: the supplied policy will perform a full overwrite of all fields.", "parameters": { "name": { "pattern": "^organizations/[^/]+/policies/[^/]+$", "description": "Immutable. The resource name of the Policy. Must be one of the following forms, where constraint_name is the name of the constraint which this Policy configures: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}/policies/{constraint_name}` For example, \"projects/123/policies/compute.disableSerialPortAccess\". Note: `projects/{project_id}/policies/{constraint_name}` is also an acceptable name for API requests, but responses will return the name using the equivalent project number.", "required": true, "type": "string", "location": "path" } }, "flatPath": "v2/organizations/{organizationsId}/policies/{policiesId}", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" } } } } } }, "folders": { "resources": { "constraints": { "methods": { "list": { "response": { "$ref": "GoogleCloudOrgpolicyV2ListConstraintsResponse" }, "path": "v2/{+parent}/constraints", "parameters": { "pageSize": { "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size.", "location": "query", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field.", "type": "string" }, "parent": { "description": "Required. The Cloud resource that parents the constraint. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "required": true, "pattern": "^folders/[^/]+$", "location": "path", "type": "string" } }, "description": "Lists `Constraints` that could be applied on the specified resource.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "flatPath": "v2/folders/{foldersId}/constraints", "id": "orgpolicy.folders.constraints.list" } } }, "policies": { "methods": { "getEffectivePolicy": { "parameters": { "name": { "description": "Required. The effective policy to compute. See `Policy` for naming rules.", "type": "string", "required": true, "pattern": "^folders/[^/]+/policies/[^/]+$", "location": "path" } }, "description": "Gets the effective `Policy` on a resource. This is the result of merging `Policies` in the resource hierarchy and evaluating conditions. The returned `Policy` will not have an `etag` or `condition` set because it is a computed `Policy` across multiple resources. Subtrees of Resource Manager resource hierarchy with 'under:' prefix will not be expanded.", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v2/{+name}:getEffectivePolicy", "id": "orgpolicy.folders.policies.getEffectivePolicy", "flatPath": "v2/folders/{foldersId}/policies/{policiesId}:getEffectivePolicy", "httpMethod": "GET" }, "create": { "httpMethod": "POST", "parameters": { "parent": { "type": "string", "description": "Required. The Cloud resource that will parent the new Policy. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "location": "path", "required": true, "pattern": "^folders/[^/]+$" } }, "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Creates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint does not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ALREADY_EXISTS` if the policy already exists on the given Cloud resource.", "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "parameterOrder": [ "parent" ], "id": "orgpolicy.folders.policies.create", "flatPath": "v2/folders/{foldersId}/policies", "path": "v2/{+parent}/policies" }, "get": { "id": "orgpolicy.folders.policies.get", "path": "v2/{+name}", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "description": "Gets a `Policy` on a resource. If no `Policy` is set on the resource, NOT_FOUND is returned. The `etag` value can be used with `UpdatePolicy()` to update a `Policy` during read-modify-write.", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. Resource name of the policy. See `Policy` for naming requirements.", "type": "string", "required": true, "pattern": "^folders/[^/]+/policies/[^/]+$" } }, "flatPath": "v2/folders/{foldersId}/policies/{policiesId}", "parameterOrder": [ "name" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v2/folders/{foldersId}/policies", "parameters": { "pageSize": { "description": "Size of the pages to be returned. This is currently unsupported and will be ignored. The server may at any point start using this field to limit page size.", "format": "int32", "location": "query", "type": "integer" }, "pageToken": { "description": "Page token used to retrieve the next page. This is currently unsupported and will be ignored. The server may at any point start using this field.", "location": "query", "type": "string" }, "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The target Cloud resource that parents the set of constraints and policies that will be returned from this call. Must be in one of the following forms: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}`", "pattern": "^folders/[^/]+$" } }, "id": "orgpolicy.folders.policies.list", "description": "Retrieves all of the `Policies` that exist on a particular resource.", "httpMethod": "GET", "parameterOrder": [ "parent" ], "response": { "$ref": "GoogleCloudOrgpolicyV2ListPoliciesResponse" }, "path": "v2/{+parent}/policies" }, "patch": { "httpMethod": "PATCH", "id": "orgpolicy.folders.policies.patch", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Updates a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or the policy do not exist. Returns a `google.rpc.Status` with `google.rpc.Code.ABORTED` if the etag supplied in the request does not match the persisted etag of the policy Note: the supplied policy will perform a full overwrite of all fields.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudOrgpolicyV2Policy" }, "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Immutable. The resource name of the Policy. Must be one of the following forms, where constraint_name is the name of the constraint which this Policy configures: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `projects/{project_number}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `folders/{folder_id}/policies/{constraint_name}` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `organizations/{organization_id}/policies/{constraint_name}` For example, \"projects/123/policies/compute.disableSerialPortAccess\". Note: `projects/{project_id}/policies/{constraint_name}` is also an acceptable name for API requests, but responses will return the name using the equivalent project number.", "pattern": "^folders/[^/]+/policies/[^/]+$" } }, "flatPath": "v2/folders/{foldersId}/policies/{policiesId}", "response": { "$ref": "GoogleCloudOrgpolicyV2Policy" } }, "delete": { "httpMethod": "DELETE", "parameterOrder": [ "name" ], "response": { "$ref": "GoogleProtobufEmpty" }, "flatPath": "v2/folders/{foldersId}/policies/{policiesId}", "id": "orgpolicy.folders.policies.delete", "path": "v2/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "description": "Required. Name of the policy to delete. See `Policy` for naming rules.", "pattern": "^folders/[^/]+/policies/[^/]+$", "location": "path" } }, "description": "Deletes a Policy. Returns a `google.rpc.Status` with `google.rpc.Code.NOT_FOUND` if the constraint or Org Policy does not exist." } } } } } }, "title": "Organization Policy API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "id": "orgpolicy:v2", "rootUrl": "https://orgpolicy.googleapis.com/", "baseUrl": "https://orgpolicy.googleapis.com/", "parameters": { "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ] }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean" }, "alt": { "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "location": "query", "default": "json" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" } }, "version_module": true, "canonicalName": "OrgPolicy API", "version": "v2", "protocol": "rest" }
]===]))
