local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "OSPolicyAssignment": { "properties": { "name": { "type": "string", "description": "Resource name. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id}` This field is ignored when you create an OS policy assignment." }, "instanceFilter": { "description": "Required. Filter to select VMs.", "$ref": "OSPolicyAssignmentInstanceFilter" }, "uid": { "description": "Output only. Server generated unique id for the OS policy assignment resource.", "type": "string", "readOnly": true }, "baseline": { "readOnly": true, "description": "Output only. Indicates that this revision has been successfully rolled out in this zone and new VMs will be assigned OS policies from this revision. For a given OS policy assignment, there is only one revision with a value of `true` for this field.", "type": "boolean" }, "description": { "type": "string", "description": "OS policy assignment description. Length of the description is limited to 1024 characters." }, "etag": { "type": "string", "description": "The etag for this OS policy assignment. If this is provided on update, it must match the server's etag." }, "osPolicies": { "items": { "$ref": "OSPolicy" }, "type": "array", "description": "Required. List of OS policies to be applied to the VMs." }, "revisionId": { "description": "Output only. The assignment revision ID A new revision is committed whenever a rollout is triggered for a OS policy assignment", "readOnly": true, "type": "string" }, "deleted": { "readOnly": true, "type": "boolean", "description": "Output only. Indicates that this revision deletes the OS policy assignment." }, "reconciling": { "description": "Output only. Indicates that reconciliation is in progress for the revision. This value is `true` when the `rollout_state` is one of: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh IN_PROGRESS LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CANCELLING", "readOnly": true, "type": "boolean" }, "rollout": { "$ref": "OSPolicyAssignmentRollout", "description": "Required. Rollout to deploy the OS policy assignment. A rollout is triggered in the following situations: 1) OSPolicyAssignment is created. 2) OSPolicyAssignment is updated and the update contains changes to one of the following fields: - instance_filter - os_policies 3) OSPolicyAssignment is deleted." }, "rolloutState": { "type": "string", "enumDescriptions": [ "Invalid value", "The rollout is in progress.", "The rollout is being cancelled.", "The rollout is cancelled.", "The rollout has completed successfully." ], "readOnly": true, "description": "Output only. OS policy assignment rollout state", "enum": [ "ROLLOUT_STATE_UNSPECIFIED", "IN_PROGRESS", "CANCELLING", "CANCELLED", "SUCCEEDED" ] }, "revisionCreateTime": { "description": "Output only. The timestamp that the revision was created.", "type": "string", "readOnly": true, "format": "google-datetime" } }, "id": "OSPolicyAssignment", "type": "object", "description": "OS policy assignment is an API resource that is used to apply a set of OS policies to a dynamically targeted group of Compute Engine VM instances. An OS policy is used to define the desired state configuration for a Compute Engine VM instance through a set of configuration resources that provide capabilities such as installing or removing software packages, or executing a script. For more information, see [OS policy and OS policy assignment](https://cloud.google.com/compute/docs/os-configuration-management/working-with-os-policies)." }, "OSPolicyAssignmentInstanceFilter": { "type": "object", "properties": { "exclusionLabels": { "items": { "$ref": "OSPolicyAssignmentLabelSet" }, "type": "array", "description": "List of label sets used for VM exclusion. If the list has more than one label set, the VM is excluded if any of the label sets are applicable for the VM." }, "inclusionLabels": { "type": "array", "items": { "$ref": "OSPolicyAssignmentLabelSet" }, "description": "List of label sets used for VM inclusion. If the list has more than one `LabelSet`, the VM is included if any of the label sets are applicable for the VM." }, "inventories": { "type": "array", "description": "List of inventories to select VMs. A VM is selected if its inventory data matches at least one of the following inventories.", "items": { "$ref": "OSPolicyAssignmentInstanceFilterInventory" } }, "osShortNames": { "description": "Deprecated. Use the `inventories` field instead. A VM is selected if it's OS short name matches with any of the values provided in this list.", "type": "array", "items": { "type": "string" } }, "all": { "type": "boolean", "description": "Target all VMs in the project. If true, no other criteria is permitted." } }, "description": "Filters to select target VMs for an assignment. If more than one filter criteria is specified below, a VM will be selected if and only if it satisfies all of them.", "id": "OSPolicyAssignmentInstanceFilter" }, "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceExecResourceOutput": { "properties": { "enforcementOutput": { "description": "Output from enforcement phase output file (if run). Output size is limited to 100K bytes.", "type": "string", "format": "byte" } }, "type": "object", "id": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceExecResourceOutput", "description": "ExecResource specific output." }, "OSPolicyAssignmentInstanceFilterInventory": { "id": "OSPolicyAssignmentInstanceFilterInventory", "description": "VM inventory details.", "type": "object", "properties": { "osShortName": { "description": "Required. The OS short name", "type": "string" }, "osVersion": { "description": "The OS version Prefix matches are supported if asterisk(*) is provided as the last character. For example, to match all versions with a major version of `7`, specify the following value for this field `7.*` An empty string matches all OS versions.", "type": "string" } } }, "OSPolicy": { "type": "object", "properties": { "allowNoResourceGroupMatch": { "type": "boolean", "description": "This flag determines the OS policy compliance status when none of the resource groups within the policy are applicable for a VM. Set this value to `true` if the policy needs to be reported as compliant even if the policy has nothing to validate or enforce." }, "id": { "type": "string", "description": "Required. The id of the OS policy with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the assignment." }, "resourceGroups": { "description": "Required. List of resource groups for the policy. For a particular VM, resource groups are evaluated in the order specified and the first resource group that is applicable is selected and the rest are ignored. If none of the resource groups are applicable for a VM, the VM is considered to be non-compliant w.r.t this policy. This behavior can be toggled by the flag `allow_no_resource_group_match`", "type": "array", "items": { "$ref": "OSPolicyResourceGroup" } }, "description": { "type": "string", "description": "Policy description. Length of the description is limited to 1024 characters." }, "mode": { "description": "Required. Policy mode", "type": "string", "enum": [ "MODE_UNSPECIFIED", "VALIDATION", "ENFORCEMENT" ], "enumDescriptions": [ "Invalid mode", "This mode checks if the configuration resources in the policy are in their desired state. No actions are performed if they are not in the desired state. This mode is used for reporting purposes.", "This mode checks if the configuration resources in the policy are in their desired state, and if not, enforces the desired state." ] } }, "description": "An OS policy defines the desired state configuration for a VM.", "id": "OSPolicy" }, "OSPolicyResourceRepositoryResourceYumRepository": { "id": "OSPolicyResourceRepositoryResourceYumRepository", "type": "object", "properties": { "baseUrl": { "type": "string", "description": "Required. The location of the repository directory." }, "gpgKeys": { "items": { "type": "string" }, "description": "URIs of GPG keys.", "type": "array" }, "displayName": { "description": "The display name of the repository.", "type": "string" }, "id": { "type": "string", "description": "Required. A one word, unique name for this repository. This is the `repo id` in the yum config file and also the `display_name` if `display_name` is omitted. This id is also used as the unique identifier when checking for resource conflicts." } }, "description": "Represents a single yum package repository. These are added to a repo file that is managed at `/etc/yum.repos.d/google_osconfig.repo`." }, "InventoryVersionedPackage": { "properties": { "packageName": { "description": "The name of the package.", "type": "string" }, "architecture": { "type": "string", "description": "The system architecture this package is intended for." }, "version": { "type": "string", "description": "The version of the package." } }, "description": "Information related to the a standard versioned package. This includes package info for APT, Yum, Zypper, and Googet package managers.", "id": "InventoryVersionedPackage", "type": "object" }, "InventoryOsInfo": { "id": "InventoryOsInfo", "properties": { "hostname": { "type": "string", "description": "The VM hostname." }, "shortName": { "description": "The operating system short name. For example, 'windows' or 'debian'.", "type": "string" }, "kernelRelease": { "description": "The kernel release of the operating system.", "type": "string" }, "version": { "description": "The version of the operating system.", "type": "string" }, "osconfigAgentVersion": { "type": "string", "description": "The current version of the OS Config agent running on the VM." }, "kernelVersion": { "description": "The kernel version of the operating system.", "type": "string" }, "longName": { "description": "The operating system long name. For example 'Debian GNU/Linux 9' or 'Microsoft Window Server 2019 Datacenter'.", "type": "string" }, "architecture": { "type": "string", "description": "The system architecture of the operating system." } }, "description": "Operating system information for the VM.", "type": "object" }, "VulnerabilityReportVulnerabilityDetailsReference": { "description": "A reference for this vulnerability.", "properties": { "source": { "type": "string", "description": "The source of the reference e.g. NVD." }, "url": { "type": "string", "description": "The url of the reference." } }, "type": "object", "id": "VulnerabilityReportVulnerabilityDetailsReference" }, "InventoryItem": { "id": "InventoryItem", "properties": { "type": { "description": "The specific type of inventory, correlating to its specific details.", "enum": [ "TYPE_UNSPECIFIED", "INSTALLED_PACKAGE", "AVAILABLE_PACKAGE" ], "type": "string", "enumDescriptions": [ "Invalid. An type must be specified.", "This represents a package that is installed on the VM.", "This represents an update that is available for a package." ] }, "updateTime": { "type": "string", "format": "google-datetime", "description": "When this inventory item was last modified." }, "originType": { "description": "The origin of this inventory item.", "type": "string", "enumDescriptions": [ "Invalid. An origin type must be specified.", "This inventory item was discovered as the result of the agent reporting inventory via the reporting API." ], "enum": [ "ORIGIN_TYPE_UNSPECIFIED", "INVENTORY_REPORT" ] }, "availablePackage": { "$ref": "InventorySoftwarePackage", "description": "Software package available to be installed on the VM instance." }, "id": { "type": "string", "description": "Identifier for this item, unique across items for this VM." }, "createTime": { "type": "string", "format": "google-datetime", "description": "When this inventory item was first detected." }, "installedPackage": { "description": "Software package present on the VM instance.", "$ref": "InventorySoftwarePackage" } }, "description": "A single piece of inventory on a VM.", "type": "object" }, "VulnerabilityReportVulnerability": { "properties": { "availableInventoryItemIds": { "type": "array", "description": "Corresponds to the `AVAILABLE_PACKAGE` inventory item on the VM. If the vulnerability report was not updated after the VM inventory update, these values might not display in VM inventory. If there is no available fix, the field is empty. The `inventory_item` value specifies the latest `SoftwarePackage` available to the VM that fixes the vulnerability.", "items": { "type": "string" } }, "updateTime": { "type": "string", "format": "google-datetime", "description": "The timestamp for when the vulnerability was last modified." }, "installedInventoryItemIds": { "description": "Corresponds to the `INSTALLED_PACKAGE` inventory item on the VM. This field displays the inventory items affected by this vulnerability. If the vulnerability report was not updated after the VM inventory update, these values might not display in VM inventory. For some distros, this field may be empty.", "type": "array", "items": { "type": "string" } }, "createTime": { "type": "string", "description": "The timestamp for when the vulnerability was first detected.", "format": "google-datetime" }, "details": { "description": "Contains metadata as per the upstream feed of the operating system and NVD.", "$ref": "VulnerabilityReportVulnerabilityDetails" }, "items": { "type": "array", "description": "List of items affected by the vulnerability.", "items": { "$ref": "VulnerabilityReportVulnerabilityItem" } } }, "type": "object", "id": "VulnerabilityReportVulnerability", "description": "A vulnerability affecting the VM instance." }, "ListOSPolicyAssignmentsResponse": { "id": "ListOSPolicyAssignmentsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The pagination token to retrieve the next page of OS policy assignments." }, "osPolicyAssignments": { "items": { "$ref": "OSPolicyAssignment" }, "type": "array", "description": "The list of assignments" } }, "type": "object", "description": "A response message for listing all assignments under given parent." }, "OSPolicyResourceFile": { "id": "OSPolicyResourceFile", "type": "object", "description": "A remote or local file.", "properties": { "allowInsecure": { "type": "boolean", "description": "Defaults to false. When false, files are subject to validations based on the file type: Remote: A checksum must be specified. Cloud Storage: An object generation number must be specified." }, "remote": { "$ref": "OSPolicyResourceFileRemote", "description": "A generic remote file." }, "gcs": { "$ref": "OSPolicyResourceFileGcs", "description": "A Cloud Storage object." }, "localPath": { "type": "string", "description": "A local path within the VM to use." } } }, "OSPolicyOSFilter": { "properties": { "osVersion": { "type": "string", "description": "This value should match the version emitted by the OS inventory agent. Prefix matches are supported if asterisk(*) is provided as the last character. For example, to match all versions with a major version of `7`, specify the following value for this field `7.*`" }, "osShortName": { "description": "This should match OS short name emitted by the OS inventory agent. An empty value matches any OS.", "type": "string" } }, "description": "Filtering criteria to select VMs based on OS details.", "id": "OSPolicyOSFilter", "type": "object" }, "ListInventoriesResponse": { "type": "object", "id": "ListInventoriesResponse", "description": "A response message for listing inventory data for all VMs in a specified location.", "properties": { "nextPageToken": { "description": "The pagination token to retrieve the next page of inventory objects.", "type": "string" }, "inventories": { "items": { "$ref": "Inventory" }, "description": "List of inventory objects.", "type": "array" } } }, "OSPolicyAssignmentReportOSPolicyCompliance": { "id": "OSPolicyAssignmentReportOSPolicyCompliance", "description": "Compliance data for an OS policy", "properties": { "osPolicyResourceCompliances": { "type": "array", "items": { "$ref": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceCompliance" }, "description": "Compliance data for each resource within the policy that is applied to the VM." }, "complianceStateReason": { "type": "string", "description": "The reason for the OS policy to be in an unknown compliance state. This field is always populated when `compliance_state` is `UNKNOWN`. If populated, the field can contain one of the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `vm-not-running`: The VM was not running. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `os-policies-not-supported-by-agent`: The version of the OS Config agent running on the VM does not support running OS policies. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `no-agent-detected`: The OS Config agent is not detected for the VM. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `resource-execution-errors`: The OS Config agent encountered errors while executing one or more resources in the policy. See `os_policy_resource_compliances` for details. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `task-timeout`: The task sent to the agent to apply the policy timed out. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `unexpected-agent-state`: The OS Config agent did not report the final status of the task that attempted to apply the policy. Instead, the agent unexpectedly started working on a different task. This mostly happens when the agent or VM unexpectedly restarts while applying OS policies. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `internal-service-errors`: Internal service errors were encountered while attempting to apply the policy." }, "osPolicyId": { "type": "string", "description": "The OS policy id" }, "complianceState": { "type": "string", "enum": [ "UNKNOWN", "COMPLIANT", "NON_COMPLIANT" ], "enumDescriptions": [ "The policy is in an unknown compliance state. Refer to the field `compliance_state_reason` to learn the exact reason for the policy to be in this compliance state.", "Policy is compliant. The policy is compliant if all the underlying resources are also compliant.", "Policy is non-compliant. The policy is non-compliant if one or more underlying resources are non-compliant." ], "description": "The compliance state of the OS policy." } }, "type": "object" }, "FixedOrPercent": { "description": "Message encapsulating a value that can be either absolute (\"fixed\") or relative (\"percent\") to a value.", "properties": { "fixed": { "description": "Specifies a fixed value.", "type": "integer", "format": "int32" }, "percent": { "format": "int32", "description": "Specifies the relative value defined as a percentage, which will be multiplied by a reference value.", "type": "integer" } }, "type": "object", "id": "FixedOrPercent" }, "OSPolicyResourcePackageResourceGooGet": { "description": "A package managed by GooGet. - install: `googet -noconfirm install package` - remove: `googet -noconfirm remove package`", "id": "OSPolicyResourcePackageResourceGooGet", "type": "object", "properties": { "name": { "type": "string", "description": "Required. Package name." } } }, "OSPolicyResourceExecResource": { "properties": { "enforce": { "$ref": "OSPolicyResourceExecResourceExec", "description": "What to run to bring this resource into the desired state. An exit code of 100 indicates \"success\", any other exit code indicates a failure running enforce." }, "validate": { "$ref": "OSPolicyResourceExecResourceExec", "description": "Required. What to run to validate this resource is in the desired state. An exit code of 100 indicates \"in desired state\", and exit code of 101 indicates \"not in desired state\". Any other exit code indicates a failure running validate." } }, "description": "A resource that allows executing scripts on the VM. The `ExecResource` has 2 stages: `validate` and `enforce` and both stages accept a script as an argument to execute. When the `ExecResource` is applied by the agent, it first executes the script in the `validate` stage. The `validate` stage can signal that the `ExecResource` is already in the desired state by returning an exit code of `100`. If the `ExecResource` is not in the desired state, it should return an exit code of `101`. Any other exit code returned by this stage is considered an error. If the `ExecResource` is not in the desired state based on the exit code from the `validate` stage, the agent proceeds to execute the script from the `enforce` stage. If the `ExecResource` is already in the desired state, the `enforce` stage will not be run. Similar to `validate` stage, the `enforce` stage should return an exit code of `100` to indicate that the resource in now in its desired state. Any other exit code is considered an error. NOTE: An exit code of `100` was chosen over `0` (and `101` vs `1`) to have an explicit indicator of `in desired state`, `not in desired state` and errors. Because, for example, Powershell will always return an exit code of `0` unless an `exit` statement is provided in the script. So, for reasons of consistency and being explicit, exit codes `100` and `101` were chosen.", "type": "object", "id": "OSPolicyResourceExecResource" }, "OSPolicyAssignmentOperationMetadata": { "properties": { "apiMethod": { "type": "string", "enum": [ "API_METHOD_UNSPECIFIED", "CREATE", "UPDATE", "DELETE" ], "enumDescriptions": [ "Invalid value", "Create OS policy assignment API method", "Update OS policy assignment API method", "Delete OS policy assignment API method" ], "description": "The OS policy assignment API method." }, "osPolicyAssignment": { "type": "string", "description": "Reference to the `OSPolicyAssignment` API resource. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`" }, "rolloutStartTime": { "description": "Rollout start time", "format": "google-datetime", "type": "string" }, "rolloutState": { "enum": [ "ROLLOUT_STATE_UNSPECIFIED", "IN_PROGRESS", "CANCELLING", "CANCELLED", "SUCCEEDED" ], "type": "string", "enumDescriptions": [ "Invalid value", "The rollout is in progress.", "The rollout is being cancelled.", "The rollout is cancelled.", "The rollout has completed successfully." ], "description": "State of the rollout" }, "rolloutUpdateTime": { "type": "string", "format": "google-datetime", "description": "Rollout update time" } }, "description": "OS policy assignment operation metadata provided by OS policy assignment API methods that return long running operations.", "id": "OSPolicyAssignmentOperationMetadata", "type": "object" }, "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceCompliance": { "type": "object", "properties": { "complianceStateReason": { "description": "A reason for the resource to be in the given compliance state. This field is always populated when `compliance_state` is `UNKNOWN`. The following values are supported when `compliance_state == UNKNOWN` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `execution-errors`: Errors were encountered by the agent while executing the resource and the compliance state couldn't be determined. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `execution-skipped-by-agent`: Resource execution was skipped by the agent because errors were encountered while executing prior resources in the OS policy. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `os-policy-execution-attempt-failed`: The execution of the OS policy containing this resource failed and the compliance state couldn't be determined.", "type": "string" }, "complianceState": { "type": "string", "description": "The compliance state of the resource.", "enumDescriptions": [ "The resource is in an unknown compliance state. To get more details about why the policy is in this state, review the output of the `compliance_state_reason` field.", "Resource is compliant.", "Resource is non-compliant." ], "enum": [ "UNKNOWN", "COMPLIANT", "NON_COMPLIANT" ] }, "osPolicyResourceId": { "type": "string", "description": "The ID of the OS policy resource." }, "configSteps": { "description": "Ordered list of configuration completed by the agent for the OS policy resource.", "items": { "$ref": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceOSPolicyResourceConfigStep" }, "type": "array" }, "execResourceOutput": { "description": "ExecResource specific output.", "$ref": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceExecResourceOutput" } }, "description": "Compliance data for an OS policy resource.", "id": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceCompliance" }, "InventoryZypperPatch": { "type": "object", "id": "InventoryZypperPatch", "description": "Details related to a Zypper Patch.", "properties": { "patchName": { "description": "The name of the patch.", "type": "string" }, "severity": { "description": "The severity specified for this patch", "type": "string" }, "summary": { "description": "Any summary information provided about this patch.", "type": "string" }, "category": { "type": "string", "description": "The category of the patch." } } }, "ListVulnerabilityReportsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "The pagination token to retrieve the next page of vulnerabilityReports object." }, "vulnerabilityReports": { "items": { "$ref": "VulnerabilityReport" }, "type": "array", "description": "List of vulnerabilityReport objects." } }, "id": "ListVulnerabilityReportsResponse", "description": "A response message for listing vulnerability reports for all VM instances in the specified location." }, "OSPolicyResourceFileRemote": { "properties": { "sha256Checksum": { "type": "string", "description": "SHA256 checksum of the remote file." }, "uri": { "description": "Required. URI from which to fetch the object. It should contain both the protocol and path following the format `{protocol}://{location}`.", "type": "string" } }, "id": "OSPolicyResourceFileRemote", "type": "object", "description": "Specifies a file available via some URI." }, "Inventory": { "id": "Inventory", "properties": { "items": { "additionalProperties": { "$ref": "InventoryItem" }, "description": "Output only. Inventory items related to the VM keyed by an opaque unique identifier for each inventory item. The identifier is unique to each distinct and addressable inventory item and will change, when there is a new package version.", "type": "object", "readOnly": true }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. Timestamp of the last reported inventory for the VM.", "type": "string" }, "name": { "type": "string", "description": "Output only. The `Inventory` API resource name. Format: `projects/{project_number}/locations/{location}/instances/{instance_id}/inventory`", "readOnly": true }, "osInfo": { "readOnly": true, "$ref": "InventoryOsInfo", "description": "Output only. Base level operating system information for the VM." } }, "type": "object", "description": "This API resource represents the available inventory data for a Compute Engine virtual machine (VM) instance at a given point in time. You can use this API resource to determine the inventory data of your VM. For more information, see [Information provided by OS inventory management](https://cloud.google.com/compute/docs/instances/os-inventory-management#data-collected)." }, "OSPolicyResourceRepositoryResourceGooRepository": { "type": "object", "properties": { "url": { "type": "string", "description": "Required. The url of the repository." }, "name": { "type": "string", "description": "Required. The name of the repository." } }, "description": "Represents a Goo package repository. These are added to a repo file that is managed at `C:/ProgramData/GooGet/repos/google_osconfig.repo`.", "id": "OSPolicyResourceRepositoryResourceGooRepository" }, "OSPolicyResourceRepositoryResourceZypperRepository": { "description": "Represents a single zypper package repository. These are added to a repo file that is managed at `/etc/zypp/repos.d/google_osconfig.repo`.", "id": "OSPolicyResourceRepositoryResourceZypperRepository", "type": "object", "properties": { "id": { "type": "string", "description": "Required. A one word, unique name for this repository. This is the `repo id` in the zypper config file and also the `display_name` if `display_name` is omitted. This id is also used as the unique identifier when checking for GuestPolicy conflicts." }, "baseUrl": { "type": "string", "description": "Required. The location of the repository directory." }, "gpgKeys": { "description": "URIs of GPG keys.", "type": "array", "items": { "type": "string" } }, "displayName": { "type": "string", "description": "The display name of the repository." } } }, "OSPolicyResource": { "properties": { "repository": { "$ref": "OSPolicyResourceRepositoryResource", "description": "Package repository resource" }, "id": { "description": "Required. The id of the resource with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the OS policy.", "type": "string" }, "exec": { "description": "Exec resource", "$ref": "OSPolicyResourceExecResource" }, "file": { "description": "File resource", "$ref": "OSPolicyResourceFileResource" }, "pkg": { "$ref": "OSPolicyResourcePackageResource", "description": "Package resource" } }, "description": "An OS policy resource is used to define the desired state configuration and provides a specific functionality like installing/removing packages, executing a script etc. The system ensures that resources are always in their desired state by taking necessary actions if they have drifted from their desired state.", "id": "OSPolicyResource", "type": "object" }, "CancelOperationRequest": { "properties": {}, "type": "object", "description": "The request message for Operations.CancelOperation.", "id": "CancelOperationRequest" }, "OSPolicyResourceFileResource": { "description": "A resource that manages the state of a file.", "id": "OSPolicyResourceFileResource", "properties": { "path": { "type": "string", "description": "Required. The absolute path of the file within the VM." }, "permissions": { "type": "string", "description": "Consists of three octal digits which represent, in order, the permissions of the owner, group, and other users for the file (similarly to the numeric mode used in the linux chmod utility). Each digit represents a three bit number with the 4 bit corresponding to the read permissions, the 2 bit corresponds to the write bit, and the one bit corresponds to the execute permission. Default behavior is 755. Below are some examples of permissions and their associated values: read, write, and execute: 7 read and execute: 5 read and write: 6 read only: 4" }, "file": { "$ref": "OSPolicyResourceFile", "description": "A remote or local source." }, "content": { "type": "string", "description": "A a file with this content. The size of the content is limited to 1024 characters." }, "state": { "enumDescriptions": [ "Unspecified is invalid.", "Ensure file at path is present.", "Ensure file at path is absent.", "Ensure the contents of the file at path matches. If the file does not exist it will be created." ], "description": "Required. Desired state of the file.", "type": "string", "enum": [ "DESIRED_STATE_UNSPECIFIED", "PRESENT", "ABSENT", "CONTENTS_MATCH" ] } }, "type": "object" }, "OSPolicyAssignmentLabelSet": { "description": "Message representing label set. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A label is a key value pair set for a VM. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A LabelSet is a set of labels. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Labels within a LabelSet are ANDed. In other words, a LabelSet is applicable for a VM only if it matches all the labels in the LabelSet. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Example: A LabelSet with 2 labels: `env=prod` and `type=webserver` will only be applicable for those VMs with both labels present.", "id": "OSPolicyAssignmentLabelSet", "type": "object", "properties": { "labels": { "additionalProperties": { "type": "string" }, "description": "Labels are identified by key/value pairs in this map. A VM should contain all the key/value pairs specified in this map to be selected.", "type": "object" } } }, "InstanceOSPoliciesComplianceOSPolicyCompliance": { "type": "object", "description": "Compliance data for an OS policy", "id": "InstanceOSPoliciesComplianceOSPolicyCompliance", "properties": { "osPolicyAssignment": { "description": "Reference to the `OSPolicyAssignment` API resource that the `OSPolicy` belongs to. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`", "type": "string" }, "state": { "enumDescriptions": [ "Default value. This value is unused.", "Compliant state.", "Non-compliant state", "Unknown compliance state.", "No applicable OS policies were found for the instance. This state is only applicable to the instance." ], "type": "string", "description": "Compliance state of the OS policy.", "enum": [ "OS_POLICY_COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT", "UNKNOWN", "NO_OS_POLICIES_APPLICABLE" ] }, "osPolicyId": { "type": "string", "description": "The OS policy id" }, "osPolicyResourceCompliances": { "items": { "$ref": "OSPolicyResourceCompliance" }, "type": "array", "description": "Compliance data for each `OSPolicyResource` that is applied to the VM." } } }, "VulnerabilityReportVulnerabilityItem": { "id": "VulnerabilityReportVulnerabilityItem", "description": "OS inventory item that is affected by a vulnerability or fixed as a result of a vulnerability.", "properties": { "availableInventoryItemId": { "type": "string", "description": "Corresponds to the `AVAILABLE_PACKAGE` inventory item on the VM. If the vulnerability report was not updated after the VM inventory update, these values might not display in VM inventory. If there is no available fix, the field is empty. The `inventory_item` value specifies the latest `SoftwarePackage` available to the VM that fixes the vulnerability." }, "fixedCpeUri": { "type": "string", "description": "The recommended [CPE URI](https://cpe.mitre.org/specification/) update that contains a fix for this vulnerability." }, "upstreamFix": { "description": "The upstream OS patch, packages or KB that fixes the vulnerability.", "type": "string" }, "installedInventoryItemId": { "type": "string", "description": "Corresponds to the `INSTALLED_PACKAGE` inventory item on the VM. This field displays the inventory items affected by this vulnerability. If the vulnerability report was not updated after the VM inventory update, these values might not display in VM inventory. For some operating systems, this field might be empty." } }, "type": "object" }, "OSPolicyResourcePackageResourceRPM": { "description": "An RPM package file. RPM packages only support INSTALLED state.", "type": "object", "id": "OSPolicyResourcePackageResourceRPM", "properties": { "pullDeps": { "description": "Whether dependencies should also be installed. - install when false: `rpm --upgrade --replacepkgs package.rpm` - install when true: `yum -y install package.rpm` or `zypper -y install package.rpm`", "type": "boolean" }, "source": { "$ref": "OSPolicyResourceFile", "description": "Required. An rpm package." } } }, "VulnerabilityReport": { "type": "object", "properties": { "vulnerabilities": { "items": { "$ref": "VulnerabilityReportVulnerability" }, "description": "Output only. List of vulnerabilities affecting the VM.", "type": "array", "readOnly": true }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The timestamp for when the last vulnerability report was generated for the VM.", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The `vulnerabilityReport` API resource name. Format: `projects/{project_number}/locations/{location}/instances/{instance_id}/vulnerabilityReport`" } }, "id": "VulnerabilityReport", "description": "This API resource represents the vulnerability report for a specified Compute Engine virtual machine (VM) instance at a given point in time. For more information, see [Vulnerability reports](https://cloud.google.com/compute/docs/instances/os-inventory-management#vulnerability-reports)." }, "VulnerabilityReportVulnerabilityDetails": { "type": "object", "description": "Contains metadata information for the vulnerability. This information is collected from the upstream feed of the operating system.", "properties": { "cvssV2Score": { "description": "The CVSS V2 score of this vulnerability. CVSS V2 score is on a scale of 0 - 10 where 0 indicates low severity and 10 indicates high severity.", "format": "float", "type": "number" }, "severity": { "type": "string", "description": "Assigned severity/impact ranking from the distro." }, "description": { "type": "string", "description": "The note or description describing the vulnerability from the distro." }, "references": { "type": "array", "description": "Corresponds to the references attached to the `VulnerabilityDetails`.", "items": { "$ref": "VulnerabilityReportVulnerabilityDetailsReference" } }, "cve": { "description": "The CVE of the vulnerability. CVE cannot be empty and the combination of should be unique across vulnerabilities for a VM.", "type": "string" }, "cvssV3": { "description": "The full description of the CVSSv3 for this vulnerability from NVD.", "$ref": "CVSSv3" } }, "id": "VulnerabilityReportVulnerabilityDetails" }, "OSPolicyResourceConfigStep": { "type": "object", "description": "Step performed by the OS Config agent for configuring an `OSPolicyResource` to its desired state.", "properties": { "type": { "type": "string", "enumDescriptions": [ "Default value. This value is unused.", "Validation to detect resource conflicts, schema errors, etc.", "Check the current desired state status of the resource.", "Enforce the desired state for a resource that is not in desired state.", "Re-check desired state status for a resource after enforcement of all resources in the current configuration run. This step is used to determine the final desired state status for the resource. It accounts for any resources that might have drifted from their desired state due to side effects from configuring other resources during the current configuration run." ], "description": "Configuration step type.", "enum": [ "TYPE_UNSPECIFIED", "VALIDATION", "DESIRED_STATE_CHECK", "DESIRED_STATE_ENFORCEMENT", "DESIRED_STATE_CHECK_POST_ENFORCEMENT" ] }, "outcome": { "type": "string", "enum": [ "OUTCOME_UNSPECIFIED", "SUCCEEDED", "FAILED" ], "description": "Outcome of the configuration step.", "enumDescriptions": [ "Default value. This value is unused.", "The step succeeded.", "The step failed." ] }, "errorMessage": { "type": "string", "description": "An error message recorded during the execution of this step. Only populated when outcome is FAILED." } }, "id": "OSPolicyResourceConfigStep" }, "ListOSPolicyAssignmentReportsResponse": { "id": "ListOSPolicyAssignmentReportsResponse", "description": "A response message for listing OS Policy assignment reports including the page of results and page token.", "properties": { "osPolicyAssignmentReports": { "items": { "$ref": "OSPolicyAssignmentReport" }, "type": "array", "description": "List of OS policy assignment reports." }, "nextPageToken": { "type": "string", "description": "The pagination token to retrieve the next page of OS policy assignment report objects." } }, "type": "object" }, "GoogleCloudOsconfigV1__OSPolicyAssignmentOperationMetadata": { "properties": { "rolloutState": { "enum": [ "ROLLOUT_STATE_UNSPECIFIED", "IN_PROGRESS", "CANCELLING", "CANCELLED", "SUCCEEDED" ], "type": "string", "description": "State of the rollout", "enumDescriptions": [ "Invalid value", "The rollout is in progress.", "The rollout is being cancelled.", "The rollout is cancelled.", "The rollout has completed successfully." ] }, "rolloutStartTime": { "type": "string", "format": "google-datetime", "description": "Rollout start time" }, "rolloutUpdateTime": { "description": "Rollout update time", "type": "string", "format": "google-datetime" }, "osPolicyAssignment": { "description": "Reference to the `OSPolicyAssignment` API resource. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`", "type": "string" }, "apiMethod": { "enumDescriptions": [ "Invalid value", "Create OS policy assignment API method", "Update OS policy assignment API method", "Delete OS policy assignment API method" ], "description": "The OS policy assignment API method.", "enum": [ "API_METHOD_UNSPECIFIED", "CREATE", "UPDATE", "DELETE" ], "type": "string" } }, "id": "GoogleCloudOsconfigV1__OSPolicyAssignmentOperationMetadata", "description": "OS policy assignment operation metadata provided by OS policy assignment API methods that return long running operations.", "type": "object" }, "OSPolicyInventoryFilter": { "properties": { "osVersion": { "description": "The OS version Prefix matches are supported if asterisk(*) is provided as the last character. For example, to match all versions with a major version of `7`, specify the following value for this field `7.*` An empty string matches all OS versions.", "type": "string" }, "osShortName": { "description": "Required. The OS short name", "type": "string" } }, "id": "OSPolicyInventoryFilter", "description": "Filtering criteria to select VMs based on inventory details.", "type": "object" }, "OSPolicyResourcePackageResourceMSI": { "description": "An MSI package. MSI packages only support INSTALLED state.", "properties": { "source": { "description": "Required. The MSI package.", "$ref": "OSPolicyResourceFile" }, "properties": { "items": { "type": "string" }, "description": "Additional properties to use during installation. This should be in the format of Property=Setting. Appended to the defaults of `ACTION=INSTALL REBOOT=ReallySuppress`.", "type": "array" } }, "type": "object", "id": "OSPolicyResourcePackageResourceMSI" }, "InventorySoftwarePackage": { "description": "Software package information of the operating system.", "properties": { "zypperPatch": { "$ref": "InventoryZypperPatch", "description": "Details of a Zypper patch. For details about the Zypper package manager, see https://en.opensuse.org/SDB:Zypper_manual." }, "wuaPackage": { "$ref": "InventoryWindowsUpdatePackage", "description": "Details of a Windows Update package. See https://docs.microsoft.com/en-us/windows/win32/api/_wua/ for information about Windows Update." }, "yumPackage": { "$ref": "InventoryVersionedPackage", "description": "Yum package info. For details about the yum package manager, see https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html/deployment_guide/ch-yum." }, "qfePackage": { "$ref": "InventoryWindowsQuickFixEngineeringPackage", "description": "Details of a Windows Quick Fix engineering package. See https://docs.microsoft.com/en-us/windows/win32/cimwin32prov/win32-quickfixengineering for info in Windows Quick Fix Engineering." }, "windowsApplication": { "$ref": "InventoryWindowsApplication", "description": "Details of Windows Application." }, "cosPackage": { "description": "Details of a COS package.", "$ref": "InventoryVersionedPackage" }, "googetPackage": { "description": "Details of a Googet package. For details about the googet package manager, see https://github.com/google/googet.", "$ref": "InventoryVersionedPackage" }, "zypperPackage": { "$ref": "InventoryVersionedPackage", "description": "Details of a Zypper package. For details about the Zypper package manager, see https://en.opensuse.org/SDB:Zypper_manual." }, "aptPackage": { "$ref": "InventoryVersionedPackage", "description": "Details of an APT package. For details about the apt package manager, see https://wiki.debian.org/Apt." } }, "type": "object", "id": "InventorySoftwarePackage" }, "InventoryWindowsUpdatePackage": { "properties": { "kbArticleIds": { "items": { "type": "string" }, "type": "array", "description": "A collection of Microsoft Knowledge Base article IDs that are associated with the update package." }, "description": { "type": "string", "description": "The localized description of the update package." }, "updateId": { "type": "string", "description": "Gets the identifier of an update package. Stays the same across revisions." }, "supportUrl": { "type": "string", "description": "A hyperlink to the language-specific support information for the update." }, "categories": { "description": "The categories that are associated with this update package.", "type": "array", "items": { "$ref": "InventoryWindowsUpdatePackageWindowsUpdateCategory" } }, "title": { "type": "string", "description": "The localized title of the update package." }, "revisionNumber": { "description": "The revision number of this update package.", "type": "integer", "format": "int32" }, "moreInfoUrls": { "type": "array", "description": "A collection of URLs that provide more information about the update package.", "items": { "type": "string" } }, "lastDeploymentChangeTime": { "format": "google-datetime", "description": "The last published date of the update, in (UTC) date and time.", "type": "string" } }, "description": "Details related to a Windows Update package. Field data and names are taken from Windows Update API IUpdate Interface: https://docs.microsoft.com/en-us/windows/win32/api/_wua/ Descriptive fields like title, and description are localized based on the locale of the VM being updated.", "id": "InventoryWindowsUpdatePackage", "type": "object" }, "OSPolicyResourceComplianceExecResourceOutput": { "description": "ExecResource specific output.", "type": "object", "properties": { "enforcementOutput": { "format": "byte", "type": "string", "description": "Output from Enforcement phase output file (if run). Output size is limited to 100K bytes." } }, "id": "OSPolicyResourceComplianceExecResourceOutput" }, "InventoryWindowsQuickFixEngineeringPackage": { "description": "Information related to a Quick Fix Engineering package. Fields are taken from Windows QuickFixEngineering Interface and match the source names: https://docs.microsoft.com/en-us/windows/win32/cimwin32prov/win32-quickfixengineering", "id": "InventoryWindowsQuickFixEngineeringPackage", "type": "object", "properties": { "installTime": { "format": "google-datetime", "type": "string", "description": "Date that the QFE update was installed. Mapped from installed_on field." }, "description": { "description": "A textual description of the QFE update.", "type": "string" }, "hotFixId": { "description": "Unique identifier associated with a particular QFE update.", "type": "string" }, "caption": { "type": "string", "description": "A short textual description of the QFE update." } } }, "CVSSv3": { "properties": { "baseScore": { "format": "float", "description": "The base score is a function of the base metric scores. https://www.first.org/cvss/specification-document#Base-Metrics", "type": "number" }, "attackComplexity": { "type": "string", "description": "This metric describes the conditions beyond the attacker's control that must exist in order to exploit the vulnerability.", "enumDescriptions": [ "Invalid value.", "Specialized access conditions or extenuating circumstances do not exist. An attacker can expect repeatable success when attacking the vulnerable component.", "A successful attack depends on conditions beyond the attacker's control. That is, a successful attack cannot be accomplished at will, but requires the attacker to invest in some measurable amount of effort in preparation or execution against the vulnerable component before a successful attack can be expected." ], "enum": [ "ATTACK_COMPLEXITY_UNSPECIFIED", "ATTACK_COMPLEXITY_LOW", "ATTACK_COMPLEXITY_HIGH" ] }, "userInteraction": { "enumDescriptions": [ "Invalid value.", "The vulnerable system can be exploited without interaction from any user.", "Successful exploitation of this vulnerability requires a user to take some action before the vulnerability can be exploited." ], "description": "This metric captures the requirement for a human user, other than the attacker, to participate in the successful compromise of the vulnerable component.", "type": "string", "enum": [ "USER_INTERACTION_UNSPECIFIED", "USER_INTERACTION_NONE", "USER_INTERACTION_REQUIRED" ] }, "attackVector": { "enum": [ "ATTACK_VECTOR_UNSPECIFIED", "ATTACK_VECTOR_NETWORK", "ATTACK_VECTOR_ADJACENT", "ATTACK_VECTOR_LOCAL", "ATTACK_VECTOR_PHYSICAL" ], "enumDescriptions": [ "Invalid value.", "The vulnerable component is bound to the network stack and the set of possible attackers extends beyond the other options listed below, up to and including the entire Internet.", "The vulnerable component is bound to the network stack, but the attack is limited at the protocol level to a logically adjacent topology.", "The vulnerable component is not bound to the network stack and the attacker's path is via read/write/execute capabilities.", "The attack requires the attacker to physically touch or manipulate the vulnerable component." ], "description": "This metric reflects the context by which vulnerability exploitation is possible.", "type": "string" }, "exploitabilityScore": { "description": "The Exploitability sub-score equation is derived from the Base Exploitability metrics. https://www.first.org/cvss/specification-document#2-1-Exploitability-Metrics", "format": "float", "type": "number" }, "impactScore": { "format": "float", "description": "The Impact sub-score equation is derived from the Base Impact metrics.", "type": "number" }, "confidentialityImpact": { "description": "This metric measures the impact to the confidentiality of the information resources managed by a software component due to a successfully exploited vulnerability.", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "type": "string" }, "scope": { "type": "string", "enum": [ "SCOPE_UNSPECIFIED", "SCOPE_UNCHANGED", "SCOPE_CHANGED" ], "description": "The Scope metric captures whether a vulnerability in one vulnerable component impacts resources in components beyond its security scope.", "enumDescriptions": [ "Invalid value.", "An exploited vulnerability can only affect resources managed by the same security authority.", "An exploited vulnerability can affect resources beyond the security scope managed by the security authority of the vulnerable component." ] }, "privilegesRequired": { "enum": [ "PRIVILEGES_REQUIRED_UNSPECIFIED", "PRIVILEGES_REQUIRED_NONE", "PRIVILEGES_REQUIRED_LOW", "PRIVILEGES_REQUIRED_HIGH" ], "description": "This metric describes the level of privileges an attacker must possess before successfully exploiting the vulnerability.", "type": "string", "enumDescriptions": [ "Invalid value.", "The attacker is unauthorized prior to attack, and therefore does not require any access to settings or files of the vulnerable system to carry out an attack.", "The attacker requires privileges that provide basic user capabilities that could normally affect only settings and files owned by a user. Alternatively, an attacker with Low privileges has the ability to access only non-sensitive resources.", "The attacker requires privileges that provide significant (e.g., administrative) control over the vulnerable component allowing access to component-wide settings and files." ] }, "availabilityImpact": { "type": "string", "description": "This metric measures the impact to the availability of the impacted component resulting from a successfully exploited vulnerability.", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ], "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ] }, "integrityImpact": { "enum": [ "IMPACT_UNSPECIFIED", "IMPACT_HIGH", "IMPACT_LOW", "IMPACT_NONE" ], "description": "This metric measures the impact to integrity of a successfully exploited vulnerability.", "type": "string", "enumDescriptions": [ "Invalid value.", "High impact.", "Low impact.", "No impact." ] } }, "type": "object", "id": "CVSSv3", "description": "Common Vulnerability Scoring System version 3. For details, see https://www.first.org/cvss/specification-document" }, "OSPolicyAssignmentRollout": { "type": "object", "properties": { "disruptionBudget": { "$ref": "FixedOrPercent", "description": "Required. The maximum number (or percentage) of VMs per zone to disrupt at any given moment." }, "minWaitDuration": { "description": "Required. This determines the minimum duration of time to wait after the configuration changes are applied through the current rollout. A VM continues to count towards the `disruption_budget` at least until this duration of time has passed after configuration changes are applied.", "type": "string", "format": "google-duration" } }, "id": "OSPolicyAssignmentRollout", "description": "Message to configure the rollout at the zonal level for the OS policy assignment." }, "OSPolicyResourcePackageResourceDeb": { "id": "OSPolicyResourcePackageResourceDeb", "properties": { "pullDeps": { "type": "boolean", "description": "Whether dependencies should also be installed. - install when false: `dpkg -i package` - install when true: `apt-get update && apt-get -y install package.deb`" }, "source": { "$ref": "OSPolicyResourceFile", "description": "Required. A deb package." } }, "description": "A deb package file. dpkg packages only support INSTALLED state.", "type": "object" }, "OSPolicyResourceFileGcs": { "description": "Specifies a file available as a Cloud Storage Object.", "properties": { "generation": { "description": "Generation number of the Cloud Storage object.", "type": "string", "format": "int64" }, "object": { "description": "Required. Name of the Cloud Storage object.", "type": "string" }, "bucket": { "type": "string", "description": "Required. Bucket of the Cloud Storage object." } }, "id": "OSPolicyResourceFileGcs", "type": "object" }, "OSPolicyResourcePackageResource": { "id": "OSPolicyResourcePackageResource", "description": "A resource that manages a system package.", "type": "object", "properties": { "googet": { "$ref": "OSPolicyResourcePackageResourceGooGet", "description": "A package managed by GooGet." }, "deb": { "$ref": "OSPolicyResourcePackageResourceDeb", "description": "A deb package file." }, "rpm": { "description": "An rpm package file.", "$ref": "OSPolicyResourcePackageResourceRPM" }, "zypper": { "description": "A package managed by Zypper.", "$ref": "OSPolicyResourcePackageResourceZypper" }, "apt": { "description": "A package managed by Apt.", "$ref": "OSPolicyResourcePackageResourceAPT" }, "desiredState": { "enumDescriptions": [ "Unspecified is invalid.", "Ensure that the package is installed.", "The agent ensures that the package is not installed and uninstalls it if detected." ], "description": "Required. The desired state the agent should maintain for this package.", "enum": [ "DESIRED_STATE_UNSPECIFIED", "INSTALLED", "REMOVED" ], "type": "string" }, "msi": { "description": "An MSI package.", "$ref": "OSPolicyResourcePackageResourceMSI" }, "yum": { "$ref": "OSPolicyResourcePackageResourceYUM", "description": "A package managed by YUM." } } }, "OSPolicyResourceCompliance": { "type": "object", "id": "OSPolicyResourceCompliance", "properties": { "execResourceOutput": { "description": "ExecResource specific output.", "$ref": "OSPolicyResourceComplianceExecResourceOutput" }, "state": { "enumDescriptions": [ "Default value. This value is unused.", "Compliant state.", "Non-compliant state", "Unknown compliance state.", "No applicable OS policies were found for the instance. This state is only applicable to the instance." ], "description": "Compliance state of the OS policy resource.", "type": "string", "enum": [ "OS_POLICY_COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT", "UNKNOWN", "NO_OS_POLICIES_APPLICABLE" ] }, "osPolicyResourceId": { "description": "The id of the OS policy resource.", "type": "string" }, "configSteps": { "description": "Ordered list of configuration steps taken by the agent for the OS policy resource.", "items": { "$ref": "OSPolicyResourceConfigStep" }, "type": "array" } }, "description": "Compliance data for an OS policy resource." }, "OSPolicyResourcePackageResourceAPT": { "properties": { "name": { "description": "Required. Package name.", "type": "string" } }, "id": "OSPolicyResourcePackageResourceAPT", "type": "object", "description": "A package managed by APT. - install: `apt-get update && apt-get -y install [name]` - remove: `apt-get -y remove [name]`" }, "ListOSPolicyAssignmentRevisionsResponse": { "properties": { "osPolicyAssignments": { "items": { "$ref": "OSPolicyAssignment" }, "type": "array", "description": "The OS policy assignment revisions" }, "nextPageToken": { "type": "string", "description": "The pagination token to retrieve the next page of OS policy assignment revisions." } }, "id": "ListOSPolicyAssignmentRevisionsResponse", "type": "object", "description": "A response message for listing all revisions for a OS policy assignment." }, "Operation": { "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "id": "Operation", "properties": { "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "type": "boolean", "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available." }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" } } }, "Status": { "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "type": "integer", "description": "The status code, which should be an enum value of google.rpc.Code.", "format": "int32" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } }, "type": "array" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" } }, "type": "object", "id": "Status" }, "OSPolicyAssignmentReport": { "id": "OSPolicyAssignmentReport", "properties": { "name": { "type": "string", "description": "The `OSPolicyAssignmentReport` API resource name. Format: `projects/{project_number}/locations/{location}/instances/{instance_id}/osPolicyAssignments/{os_policy_assignment_id}/report`" }, "osPolicyCompliances": { "type": "array", "description": "Compliance data for each `OSPolicy` that is applied to the VM.", "items": { "$ref": "OSPolicyAssignmentReportOSPolicyCompliance" } }, "instance": { "type": "string", "description": "The Compute Engine VM instance name." }, "lastRunId": { "type": "string", "description": "Unique identifier of the last attempted run to apply the OS policies associated with this assignment on the VM. This ID is logged by the OS Config agent while applying the OS policies associated with this assignment on the VM. NOTE: If the service is unable to successfully connect to the agent for this run, then this id will not be available in the agent logs." }, "osPolicyAssignment": { "description": "Reference to the `OSPolicyAssignment` API resource that the `OSPolicy` belongs to. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`", "type": "string" }, "updateTime": { "type": "string", "description": "Timestamp for when the report was last generated.", "format": "google-datetime" } }, "type": "object", "description": "A report of the OS policy assignment status for a given instance." }, "ListInstanceOSPoliciesCompliancesResponse": { "properties": { "instanceOsPoliciesCompliances": { "items": { "$ref": "InstanceOSPoliciesCompliance" }, "description": "List of instance OS policies compliance objects.", "type": "array" }, "nextPageToken": { "type": "string", "description": "The pagination token to retrieve the next page of instance OS policies compliance objects." } }, "id": "ListInstanceOSPoliciesCompliancesResponse", "description": "A response message for listing OS policies compliance data for all Compute Engine VMs in the given location.", "type": "object" }, "OSPolicyResourceGroup": { "properties": { "resources": { "description": "Required. List of resources configured for this resource group. The resources are executed in the exact order specified here.", "items": { "$ref": "OSPolicyResource" }, "type": "array" }, "osFilter": { "description": "Deprecated. Use the `inventory_filters` field instead. Used to specify the OS filter for a resource group", "$ref": "OSPolicyOSFilter" }, "inventoryFilters": { "type": "array", "items": { "$ref": "OSPolicyInventoryFilter" }, "description": "List of inventory filters for the resource group. The resources in this resource group are applied to the target VM if it satisfies at least one of the following inventory filters. For example, to apply this resource group to VMs running either `RHEL` or `CentOS` operating systems, specify 2 items for the list with following values: inventory_filters[0].os_short_name='rhel' and inventory_filters[1].os_short_name='centos' If the list is empty, this resource group will be applied to the target VM unconditionally." } }, "description": "Resource groups provide a mechanism to group OS policy resources. Resource groups enable OS policy authors to create a single OS policy to be applied to VMs running different operating Systems. When the OS policy is applied to a target VM, the appropriate resource group within the OS policy is selected based on the `OSFilter` specified within the resource group.", "id": "OSPolicyResourceGroup", "type": "object" }, "Empty": { "type": "object", "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "OSPolicyResourceExecResourceExec": { "id": "OSPolicyResourceExecResourceExec", "properties": { "interpreter": { "description": "Required. The script interpreter to use.", "type": "string", "enumDescriptions": [ "Invalid value, the request will return validation error.", "If an interpreter is not specified, the source is executed directly. This execution, without an interpreter, only succeeds for executables and scripts that have shebang lines.", "Indicates that the script runs with `/bin/sh` on Linux and `cmd.exe` on Windows.", "Indicates that the script runs with PowerShell." ], "enum": [ "INTERPRETER_UNSPECIFIED", "NONE", "SHELL", "POWERSHELL" ] }, "script": { "type": "string", "description": "An inline script. The size of the script is limited to 1024 characters." }, "args": { "description": "Optional arguments to pass to the source during execution.", "type": "array", "items": { "type": "string" } }, "outputFilePath": { "type": "string", "description": "Only recorded for enforce Exec. Path to an output file (that is created by this Exec) whose content will be recorded in OSPolicyResourceCompliance after a successful run. Absence or failure to read this file will result in this ExecResource being non-compliant. Output file size is limited to 100K bytes." }, "file": { "description": "A remote or local file.", "$ref": "OSPolicyResourceFile" } }, "description": "A file or script to execute.", "type": "object" }, "OSPolicyResourcePackageResourceYUM": { "description": "A package managed by YUM. - install: `yum -y install package` - remove: `yum -y remove package`", "id": "OSPolicyResourcePackageResourceYUM", "properties": { "name": { "description": "Required. Package name.", "type": "string" } }, "type": "object" }, "OSPolicyResourceRepositoryResourceAptRepository": { "id": "OSPolicyResourceRepositoryResourceAptRepository", "properties": { "distribution": { "type": "string", "description": "Required. Distribution of this repository." }, "archiveType": { "description": "Required. Type of archive files in this repository.", "enumDescriptions": [ "Unspecified is invalid.", "Deb indicates that the archive contains binary files.", "Deb-src indicates that the archive contains source files." ], "type": "string", "enum": [ "ARCHIVE_TYPE_UNSPECIFIED", "DEB", "DEB_SRC" ] }, "components": { "items": { "type": "string" }, "type": "array", "description": "Required. List of components for this repository. Must contain at least one item." }, "uri": { "description": "Required. URI for this repository.", "type": "string" }, "gpgKey": { "type": "string", "description": "URI of the key file for this repository. The agent maintains a keyring at `/etc/apt/trusted.gpg.d/osconfig_agent_managed.gpg`." } }, "description": "Represents a single apt package repository. These will be added to a repo file that will be managed at `/etc/apt/sources.list.d/google_osconfig.list`.", "type": "object" }, "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceOSPolicyResourceConfigStep": { "id": "OSPolicyAssignmentReportOSPolicyComplianceOSPolicyResourceComplianceOSPolicyResourceConfigStep", "description": "Step performed by the OS Config agent for configuring an `OSPolicy` resource to its desired state.", "properties": { "type": { "enum": [ "TYPE_UNSPECIFIED", "VALIDATION", "DESIRED_STATE_CHECK", "DESIRED_STATE_ENFORCEMENT", "DESIRED_STATE_CHECK_POST_ENFORCEMENT" ], "type": "string", "description": "Configuration step type.", "enumDescriptions": [ "Default value. This value is unused.", "Checks for resource conflicts such as schema errors.", "Checks the current status of the desired state for a resource.", "Enforces the desired state for a resource that is not in desired state.", "Re-checks the status of the desired state. This check is done for a resource after the enforcement of all OS policies. This step is used to determine the final desired state status for the resource. It accounts for any resources that might have drifted from their desired state due to side effects from executing other resources." ] }, "errorMessage": { "type": "string", "description": "An error message recorded during the execution of this step. Only populated if errors were encountered during this step execution." } }, "type": "object" }, "InventoryWindowsApplication": { "type": "object", "description": "Contains information about a Windows application that is retrieved from the Windows Registry. For more information about these fields, see: https://docs.microsoft.com/en-us/windows/win32/msi/uninstall-registry-key", "id": "InventoryWindowsApplication", "properties": { "helpLink": { "type": "string", "description": "The internet address for technical support." }, "displayVersion": { "description": "The version of the product or application in string format.", "type": "string" }, "installDate": { "description": "The last time this product received service. The value of this property is replaced each time a patch is applied or removed from the product or the command-line option is used to repair the product.", "$ref": "Date" }, "publisher": { "description": "The name of the manufacturer for the product or application.", "type": "string" }, "displayName": { "type": "string", "description": "The name of the application or product." } } }, "InstanceOSPoliciesCompliance": { "id": "InstanceOSPoliciesCompliance", "description": "This API resource represents the OS policies compliance data for a Compute Engine virtual machine (VM) instance at a given point in time. A Compute Engine VM can have multiple OS policy assignments, and each assignment can have multiple OS policies. As a result, multiple OS policies could be applied to a single VM. You can use this API resource to determine both the compliance state of your VM as well as the compliance state of an individual OS policy. For more information, see [View compliance](https://cloud.google.com/compute/docs/os-configuration-management/view-compliance).", "properties": { "lastComplianceCheckTime": { "description": "Output only. Timestamp of the last compliance check for the VM.", "type": "string", "readOnly": true, "format": "google-datetime" }, "osPolicyCompliances": { "type": "array", "description": "Output only. Compliance data for each `OSPolicy` that is applied to the VM.", "readOnly": true, "items": { "$ref": "InstanceOSPoliciesComplianceOSPolicyCompliance" } }, "name": { "type": "string", "readOnly": true, "description": "Output only. The `InstanceOSPoliciesCompliance` API resource name. Format: `projects/{project_number}/locations/{location}/instanceOSPoliciesCompliances/{instance_id}`" }, "lastComplianceRunId": { "description": "Output only. Unique identifier for the last compliance run. This id will be logged by the OS config agent during a compliance run and can be used for debugging and tracing purpose.", "readOnly": true, "type": "string" }, "state": { "enumDescriptions": [ "Default value. This value is unused.", "Compliant state.", "Non-compliant state", "Unknown compliance state.", "No applicable OS policies were found for the instance. This state is only applicable to the instance." ], "type": "string", "description": "Output only. Compliance state of the VM.", "enum": [ "OS_POLICY_COMPLIANCE_STATE_UNSPECIFIED", "COMPLIANT", "NON_COMPLIANT", "UNKNOWN", "NO_OS_POLICIES_APPLICABLE" ], "readOnly": true }, "instance": { "type": "string", "description": "Output only. The Compute Engine VM instance name.", "readOnly": true }, "detailedState": { "description": "Output only. Detailed compliance state of the VM. This field is populated only when compliance state is `UNKNOWN`. It may contain one of the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `no-compliance-data`: Compliance data is not available for this VM. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `no-agent-detected`: OS Config agent is not detected for this VM. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `config-not-supported-by-agent`: The version of the OS Config agent running on this VM does not support configuration management. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `inactive`: VM is not running. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `internal-service-errors`: There were internal service errors encountered while enforcing compliance. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `agent-errors`: OS config agent encountered errors while enforcing compliance.", "readOnly": true, "type": "string" }, "detailedStateReason": { "type": "string", "readOnly": true, "description": "Output only. The reason for the `detailed_state` of the VM (if any)." } }, "type": "object" }, "OSPolicyResourcePackageResourceZypper": { "properties": { "name": { "type": "string", "description": "Required. Package name." } }, "id": "OSPolicyResourcePackageResourceZypper", "type": "object", "description": "A package managed by Zypper. - install: `zypper -y install package` - remove: `zypper -y rm package`" }, "InventoryWindowsUpdatePackageWindowsUpdateCategory": { "properties": { "id": { "type": "string", "description": "The identifier of the windows update category." }, "name": { "description": "The name of the windows update category.", "type": "string" } }, "id": "InventoryWindowsUpdatePackageWindowsUpdateCategory", "description": "Categories specified by the Windows Update.", "type": "object" }, "OSPolicyResourceRepositoryResource": { "type": "object", "description": "A resource that manages a package repository.", "id": "OSPolicyResourceRepositoryResource", "properties": { "apt": { "$ref": "OSPolicyResourceRepositoryResourceAptRepository", "description": "An Apt Repository." }, "zypper": { "$ref": "OSPolicyResourceRepositoryResourceZypperRepository", "description": "A Zypper Repository." }, "yum": { "$ref": "OSPolicyResourceRepositoryResourceYumRepository", "description": "A Yum Repository." }, "goo": { "$ref": "OSPolicyResourceRepositoryResourceGooRepository", "description": "A Goo Repository." } } }, "Date": { "type": "object", "description": "Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A full date, with non-zero year, month, and day values. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A month and day, with a zero year (for example, an anniversary). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year on its own, with a zero month and a zero day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A year and month, with a zero day (for example, a credit card expiration date). Related types: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.TimeOfDay LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.type.DateTime LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh google.protobuf.Timestamp", "properties": { "month": { "format": "int32", "description": "Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.", "type": "integer" }, "day": { "type": "integer", "format": "int32", "description": "Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant." }, "year": { "format": "int32", "type": "integer", "description": "Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year." } }, "id": "Date" } }, "resources": { "projects": { "resources": { "locations": { "resources": { "instanceOSPoliciesCompliances": { "methods": { "list": { "parameterOrder": [ "parent" ], "id": "osconfig.projects.locations.instanceOSPoliciesCompliances.list", "response": { "$ref": "ListInstanceOSPoliciesCompliancesResponse" }, "path": "v1alpha/{+parent}/instanceOSPoliciesCompliances", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instanceOSPoliciesCompliances", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "type": "string", "description": "Required. The parent resource name. Format: `projects/{project}/locations/{location}` For `{project}`, either Compute Engine project-number or project-id can be provided.", "location": "path" }, "pageToken": { "description": "A pagination token returned from a previous call to `ListInstanceOSPoliciesCompliances` that indicates where this listing should continue from.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "description": "The maximum number of results to return.", "type": "integer" }, "filter": { "location": "query", "type": "string", "description": "If provided, this field specifies the criteria that must be met by a `InstanceOSPoliciesCompliance` API resource to be included in the response." } }, "description": "List OS policies compliance data for all Compute Engine VM instances in the specified zone." }, "get": { "description": "Get OS policies compliance data for the specified Compute Engine VM instance.", "response": { "$ref": "InstanceOSPoliciesCompliance" }, "parameters": { "name": { "location": "path", "required": true, "description": "Required. API resource name for instance OS policies compliance resource. Format: `projects/{project}/locations/{location}/instanceOSPoliciesCompliances/{instance}` For `{project}`, either Compute Engine project-number or project-id can be provided. For `{instance}`, either Compute Engine VM instance-id or instance-name can be provided.", "pattern": "^projects/[^/]+/locations/[^/]+/instanceOSPoliciesCompliances/[^/]+$", "type": "string" } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instanceOSPoliciesCompliances/{instanceOSPoliciesCompliancesId}", "httpMethod": "GET", "id": "osconfig.projects.locations.instanceOSPoliciesCompliances.get", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1alpha/{+name}" } } }, "instances": { "resources": { "vulnerabilityReports": { "methods": { "get": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/vulnerabilityReport", "parameters": { "name": { "description": "Required. API resource name for vulnerability resource. Format: `projects/{project}/locations/{location}/instances/{instance}/vulnerabilityReport` For `{project}`, either `project-number` or `project-id` can be provided. For `{instance}`, either Compute Engine `instance-id` or `instance-name` can be provided.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/vulnerabilityReport$", "type": "string", "location": "path" } }, "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the vulnerability report for the specified VM instance. Only VMs with inventory data have vulnerability reports associated with them.", "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "osconfig.projects.locations.instances.vulnerabilityReports.get", "response": { "$ref": "VulnerabilityReport" } }, "list": { "path": "v1alpha/{+parent}/vulnerabilityReports", "httpMethod": "GET", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "osconfig.projects.locations.instances.vulnerabilityReports.list", "description": "List vulnerability reports for all VM instances in the specified zone.", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/vulnerabilityReports", "response": { "$ref": "ListVulnerabilityReportsResponse" }, "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The parent resource name. Format: `projects/{project}/locations/{location}/instances/-` For `{project}`, either `project-number` or `project-id` can be provided.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$" }, "filter": { "description": "This field supports filtering by the severity level for the vulnerability. For a list of severity levels, see [Severity levels for vulnerabilities](https://cloud.google.com/container-analysis/docs/container-scanning-overview#severity_levels_for_vulnerabilities). The filter field follows the rules described in the [AIP-160](https://google.aip.dev/160) guidelines as follows: + **Filter for a specific severity type**: you can list reports that contain vulnerabilities that are classified as medium by specifying `vulnerabilities.details.severity:MEDIUM`. + **Filter for a range of severities** : you can list reports that have vulnerabilities that are classified as critical or high by specifying `vulnerabilities.details.severity:HIGH OR vulnerabilities.details.severity:CRITICAL`", "location": "query", "type": "string" }, "pageSize": { "description": "The maximum number of results to return.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "description": "A pagination token returned from a previous call to `ListVulnerabilityReports` that indicates where this listing should continue from.", "location": "query" } } } } }, "inventories": { "methods": { "list": { "id": "osconfig.projects.locations.instances.inventories.list", "description": "List inventory data for all VM instances in the specified zone.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListInventoriesResponse" }, "path": "v1alpha/{+parent}/inventories", "parameters": { "pageSize": { "description": "The maximum number of results to return.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+$", "location": "path", "description": "Required. The parent resource name. Format: `projects/{project}/locations/{location}/instances/-` For `{project}`, either `project-number` or `project-id` can be provided." }, "view": { "enumDescriptions": [ "The default value. The API defaults to the BASIC view.", "Returns the basic inventory information that includes `os_info`.", "Returns all fields." ], "description": "Inventory view indicating what information should be included in the inventory resource. If unspecified, the default view is BASIC.", "location": "query", "type": "string", "enum": [ "INVENTORY_VIEW_UNSPECIFIED", "BASIC", "FULL" ] }, "filter": { "type": "string", "location": "query", "description": "If provided, this field specifies the criteria that must be met by a `Inventory` API resource to be included in the response." }, "pageToken": { "type": "string", "description": "A pagination token returned from a previous call to `ListInventories` that indicates where this listing should continue from.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/inventories" }, "get": { "path": "v1alpha/{+name}", "response": { "$ref": "Inventory" }, "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "osconfig.projects.locations.instances.inventories.get", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/inventory", "parameterOrder": [ "name" ], "description": "Get inventory data for the specified VM instance. If the VM has no associated inventory, the message `NOT_FOUND` is returned.", "parameters": { "name": { "type": "string", "required": true, "location": "path", "description": "Required. API resource name for inventory resource. Format: `projects/{project}/locations/{location}/instances/{instance}/inventory` For `{project}`, either `project-number` or `project-id` can be provided. For `{instance}`, either Compute Engine `instance-id` or `instance-name` can be provided.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/inventory$" }, "view": { "type": "string", "location": "query", "description": "Inventory view indicating what information should be included in the inventory resource. If unspecified, the default view is BASIC.", "enum": [ "INVENTORY_VIEW_UNSPECIFIED", "BASIC", "FULL" ], "enumDescriptions": [ "The default value. The API defaults to the BASIC view.", "Returns the basic inventory information that includes `os_info`.", "Returns all fields." ] } } } } }, "osPolicyAssignments": { "resources": { "reports": { "methods": { "list": { "parameters": { "filter": { "type": "string", "location": "query", "description": "If provided, this field specifies the criteria that must be met by the `OSPolicyAssignmentReport` API resource that is included in the response." }, "pageToken": { "location": "query", "type": "string", "description": "A pagination token returned from a previous call to the `ListOSPolicyAssignmentReports` method that indicates where this listing should continue from." }, "parent": { "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/osPolicyAssignments/[^/]+$", "description": "Required. The parent resource name. Format: `projects/{project}/locations/{location}/instances/{instance}/osPolicyAssignments/{assignment}/reports` For `{project}`, either `project-number` or `project-id` can be provided. For `{instance}`, either `instance-name`, `instance-id`, or `-` can be provided. If '-' is provided, the response will include OSPolicyAssignmentReports for all instances in the project/location. For `{assignment}`, either `assignment-id` or `-` can be provided. If '-' is provided, the response will include OSPolicyAssignmentReports for all OSPolicyAssignments in the project/location. Either {instance} or {assignment} must be `-`. For example: `projects/{project}/locations/{location}/instances/{instance}/osPolicyAssignments/-/reports` returns all reports for the instance `projects/{project}/locations/{location}/instances/-/osPolicyAssignments/{assignment-id}/reports` returns all the reports for the given assignment across all instances. `projects/{project}/locations/{location}/instances/-/osPolicyAssignments/-/reports` returns all the reports for all assignments across all instances.", "type": "string" }, "pageSize": { "description": "The maximum number of results to return.", "type": "integer", "location": "query", "format": "int32" } }, "description": "List OS policy asssignment reports for all Compute Engine VM instances in the specified zone.", "httpMethod": "GET", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/osPolicyAssignments/{osPolicyAssignmentsId}/reports", "response": { "$ref": "ListOSPolicyAssignmentReportsResponse" }, "parameterOrder": [ "parent" ], "path": "v1alpha/{+parent}/reports", "id": "osconfig.projects.locations.instances.osPolicyAssignments.reports.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "get": { "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/instances/{instancesId}/osPolicyAssignments/{osPolicyAssignmentsId}/report", "parameters": { "name": { "location": "path", "required": true, "description": "Required. API resource name for OS policy assignment report. Format: `/projects/{project}/locations/{location}/instances/{instance}/osPolicyAssignments/{assignment}/report` For `{project}`, either `project-number` or `project-id` can be provided. For `{instance_id}`, either Compute Engine `instance-id` or `instance-name` can be provided. For `{assignment_id}`, the OSPolicyAssignment id must be provided.", "pattern": "^projects/[^/]+/locations/[^/]+/instances/[^/]+/osPolicyAssignments/[^/]+/report$", "type": "string" } }, "parameterOrder": [ "name" ], "id": "osconfig.projects.locations.instances.osPolicyAssignments.reports.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "response": { "$ref": "OSPolicyAssignmentReport" }, "description": "Get the OS policy asssignment report for the specified Compute Engine VM instance." } } } } } } }, "osPolicyAssignments": { "methods": { "delete": { "response": { "$ref": "Operation" }, "id": "osconfig.projects.locations.osPolicyAssignments.delete", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+$", "location": "path", "description": "Required. The name of the OS policy assignment to be deleted", "type": "string" } }, "httpMethod": "DELETE", "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Delete the OS policy assignment. This method creates a new revision of the OS policy assignment. This method returns a long running operation (LRO) that contains the rollout details. The rollout can be cancelled by cancelling the LRO. If the LRO completes and is not cancelled, all revisions associated with the OS policy assignment are deleted. For more information, see [Method: projects.locations.osPolicyAssignments.operations.cancel](https://cloud.google.com/compute/docs/osconfig/rest/v1alpha/projects.locations.osPolicyAssignments.operations/cancel).", "parameterOrder": [ "name" ] }, "listRevisions": { "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+$", "location": "path", "description": "Required. The name of the OS policy assignment to list revisions for.", "required": true, "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "A pagination token returned from a previous call to `ListOSPolicyAssignmentRevisions` that indicates where this listing should continue from." }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of revisions to return." } }, "description": "List the OS policy assignment revisions for a given OS policy assignment.", "parameterOrder": [ "name" ], "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}:listRevisions", "path": "v1alpha/{+name}:listRevisions", "response": { "$ref": "ListOSPolicyAssignmentRevisionsResponse" }, "httpMethod": "GET", "id": "osconfig.projects.locations.osPolicyAssignments.listRevisions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "patch": { "description": "Update an existing OS policy assignment. This method creates a new revision of the OS policy assignment. This method returns a long running operation (LRO) that contains the rollout details. The rollout can be cancelled by cancelling the LRO. For more information, see [Method: projects.locations.osPolicyAssignments.operations.cancel](https://cloud.google.com/compute/docs/osconfig/rest/v1alpha/projects.locations.osPolicyAssignments.operations/cancel).", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}", "parameters": { "name": { "required": true, "location": "path", "description": "Resource name. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id}` This field is ignored when you create an OS policy assignment.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+$" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Optional. Field mask that controls which fields of the assignment should be updated." } }, "request": { "$ref": "OSPolicyAssignment" }, "response": { "$ref": "Operation" }, "id": "osconfig.projects.locations.osPolicyAssignments.patch", "path": "v1alpha/{+name}" }, "list": { "description": "List the OS policy assignments under the parent resource. For each OS policy assignment, the latest revision is returned.", "parameterOrder": [ "parent" ], "id": "osconfig.projects.locations.osPolicyAssignments.list", "path": "v1alpha/{+parent}/osPolicyAssignments", "parameters": { "parent": { "location": "path", "required": true, "description": "Required. The parent resource name.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "pageSize": { "location": "query", "description": "The maximum number of assignments to return.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A pagination token returned from a previous call to `ListOSPolicyAssignments` that indicates where this listing should continue from." } }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListOSPolicyAssignmentsResponse" } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "description": "Retrieve an existing OS policy assignment. This method always returns the latest revision. In order to retrieve a previous revision of the assignment, also provide the revision ID in the `name` parameter.", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "description": "Required. The resource name of OS policy assignment. Format: `projects/{project}/locations/{location}/osPolicyAssignments/{os_policy_assignment}@{revisionId}`", "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+$", "required": true } }, "id": "osconfig.projects.locations.osPolicyAssignments.get", "response": { "$ref": "OSPolicyAssignment" }, "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}" }, "create": { "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments", "request": { "$ref": "OSPolicyAssignment" }, "path": "v1alpha/{+parent}/osPolicyAssignments", "response": { "$ref": "Operation" }, "httpMethod": "POST", "parameters": { "osPolicyAssignmentId": { "description": "Required. The logical name of the OS policy assignment in the project with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the project.", "type": "string", "location": "query" }, "parent": { "description": "Required. The parent resource name in the form: projects/{project}/locations/{location}", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" } }, "id": "osconfig.projects.locations.osPolicyAssignments.create", "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Create an OS policy assignment. This method also creates the first revision of the OS policy assignment. This method returns a long running operation (LRO) that contains the rollout details. The rollout can be cancelled by cancelling the LRO. For more information, see [Method: projects.locations.osPolicyAssignments.operations.cancel](https://cloud.google.com/compute/docs/osconfig/rest/v1alpha/projects.locations.osPolicyAssignments.operations/cancel)." } }, "resources": { "operations": { "methods": { "get": { "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "path": "v1alpha/{+name}", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "id": "osconfig.projects.locations.osPolicyAssignments.operations.get", "httpMethod": "GET", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+/operations/[^/]+$", "type": "string", "description": "The name of the operation resource.", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" } }, "cancel": { "request": { "$ref": "CancelOperationRequest" }, "id": "osconfig.projects.locations.osPolicyAssignments.operations.cancel", "httpMethod": "POST", "flatPath": "v1alpha/projects/{projectsId}/locations/{locationsId}/osPolicyAssignments/{osPolicyAssignmentsId}/operations/{operationsId}:cancel", "parameters": { "name": { "description": "The name of the operation resource to be cancelled.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/osPolicyAssignments/[^/]+/operations/[^/]+$", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "path": "v1alpha/{+name}:cancel" } } } } } } } } } }, "title": "OS Config API", "ownerName": "Google", "ownerDomain": "google.com", "kind": "discovery#restDescription", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "batchPath": "batch", "name": "osconfig", "mtlsRootUrl": "https://osconfig.mtls.googleapis.com/", "baseUrl": "https://osconfig.googleapis.com/", "basePath": "", "revision": "20220625", "servicePath": "", "parameters": { "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "uploadType": { "type": "string", "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "alt": { "description": "Data format for response.", "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string", "location": "query" }, "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "location": "query" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "callback": { "type": "string", "description": "JSONP", "location": "query" } }, "id": "osconfig:v1alpha", "description": "OS management tools that can be used for patch management, patch compliance, and configuration management on VM instances.", "fullyEncodeReservedExpansion": true, "version": "v1alpha", "protocol": "rest", "canonicalName": "OS Config", "documentationLink": "https://cloud.google.com/compute/docs/osconfig/rest", "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "rootUrl": "https://osconfig.googleapis.com/" }
]===]))
