local decode = require("cjson").new().decode
return assert(decode([===[
{ "ownerName": "Google", "parameters": { "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query", "enum": [ "1", "2" ], "description": "V1 error format." }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "prettyPrint": { "type": "boolean", "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query" }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "upload_protocol": { "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "alt": { "default": "json", "description": "Data format for response.", "location": "query", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] } }, "documentationLink": "https://cloud.google.com/compute/docs/osconfig/rest", "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "protocol": "rest", "servicePath": "", "revision": "20220625", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "batchPath": "batch", "id": "osconfig:v1beta", "discoveryVersion": "v1", "name": "osconfig", "baseUrl": "https://osconfig.googleapis.com/", "canonicalName": "OS Config", "rootUrl": "https://osconfig.googleapis.com/", "schemas": { "WeeklySchedule": { "type": "object", "id": "WeeklySchedule", "properties": { "dayOfWeek": { "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "Required. Day of the week.", "type": "string", "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ] } }, "description": "Represents a weekly schedule." }, "ExecStep": { "id": "ExecStep", "description": "A step that runs an executable for a PatchJob.", "properties": { "windowsExecStepConfig": { "description": "The ExecStepConfig for all Windows VMs targeted by the PatchJob.", "$ref": "ExecStepConfig" }, "linuxExecStepConfig": { "description": "The ExecStepConfig for all Linux VMs targeted by the PatchJob.", "$ref": "ExecStepConfig" } }, "type": "object" }, "PatchInstanceFilterGroupLabel": { "description": "Represents a group of VMs that can be identified as having all these labels, for example \"env=prod and app=web\".", "type": "object", "id": "PatchInstanceFilterGroupLabel", "properties": { "labels": { "type": "object", "description": "Compute Engine instance labels that must be present for a VM instance to be targeted by this filter.", "additionalProperties": { "type": "string" } } } }, "OSPolicyAssignmentOperationMetadata": { "description": "OS policy assignment operation metadata provided by OS policy assignment API methods that return long running operations.", "properties": { "osPolicyAssignment": { "type": "string", "description": "Reference to the `OSPolicyAssignment` API resource. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`" }, "rolloutState": { "enum": [ "ROLLOUT_STATE_UNSPECIFIED", "IN_PROGRESS", "CANCELLING", "CANCELLED", "SUCCEEDED" ], "type": "string", "description": "State of the rollout", "enumDescriptions": [ "Invalid value", "The rollout is in progress.", "The rollout is being cancelled.", "The rollout is cancelled.", "The rollout has completed successfully." ] }, "apiMethod": { "enum": [ "API_METHOD_UNSPECIFIED", "CREATE", "UPDATE", "DELETE" ], "type": "string", "enumDescriptions": [ "Invalid value", "Create OS policy assignment API method", "Update OS policy assignment API method", "Delete OS policy assignment API method" ], "description": "The OS policy assignment API method." }, "rolloutStartTime": { "description": "Rollout start time", "format": "google-datetime", "type": "string" }, "rolloutUpdateTime": { "type": "string", "format": "google-datetime", "description": "Rollout update time" } }, "id": "OSPolicyAssignmentOperationMetadata", "type": "object" }, "SoftwareRecipe": { "id": "SoftwareRecipe", "description": "A software recipe is a set of instructions for installing and configuring a piece of software. It consists of a set of artifacts that are downloaded, and a set of steps that install, configure, and/or update the software. Recipes support installing and updating software from artifacts in the following formats: Zip archive, Tar archive, Windows MSI, Debian package, and RPM package. Additionally, recipes support executing a script (either defined in a file or directly in this api) in bash, sh, cmd, and powershell. Updating a software recipe If a recipe is assigned to an instance and there is a recipe with the same name but a lower version already installed and the assigned state of the recipe is `UPDATED`, then the recipe is updated to the new version. Script Working Directories Each script or execution step is run in its own temporary directory which is deleted after completing the step.", "properties": { "artifacts": { "items": { "$ref": "SoftwareRecipeArtifact" }, "type": "array", "description": "Resources available to be used in the steps in the recipe." }, "installSteps": { "description": "Actions to be taken for installing this recipe. On failure it stops executing steps and does not attempt another installation. Any steps taken (including partially completed steps) are not rolled back.", "type": "array", "items": { "$ref": "SoftwareRecipeStep" } }, "version": { "description": "The version of this software recipe. Version can be up to 4 period separated numbers (e.g. 12.34.56.78).", "type": "string" }, "desiredState": { "description": "Default is INSTALLED. The desired state the agent should maintain for this recipe. INSTALLED: The software recipe is installed on the instance but won't be updated to new versions. UPDATED: The software recipe is installed on the instance. The recipe is updated to a higher version, if a higher version of the recipe is assigned to this instance. REMOVE: Remove is unsupported for software recipes and attempts to create or update a recipe to the REMOVE state is rejected.", "enum": [ "DESIRED_STATE_UNSPECIFIED", "INSTALLED", "UPDATED", "REMOVED" ], "enumDescriptions": [ "The default is to ensure the package is installed.", "The agent ensures that the package is installed.", "The agent ensures that the package is installed and periodically checks for and install any updates.", "The agent ensures that the package is not installed and uninstall it if detected." ], "type": "string" }, "name": { "type": "string", "description": "Required. Unique identifier for the recipe. Only one recipe with a given name is installed on an instance. Names are also used to identify resources which helps to determine whether guest policies have conflicts. This means that requests to create multiple recipes with the same name and version are rejected since they could potentially have conflicting assignments." }, "updateSteps": { "description": "Actions to be taken for updating this recipe. On failure it stops executing steps and does not attempt another update for this recipe. Any steps taken (including partially completed steps) are not rolled back.", "items": { "$ref": "SoftwareRecipeStep" }, "type": "array" } }, "type": "object" }, "AssignmentGroupLabel": { "type": "object", "description": "Represents a group of VM intances that can be identified as having all these labels, for example \"env=prod and app=web\".", "id": "AssignmentGroupLabel", "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Google Compute Engine instance labels that must be present for an instance to be included in this assignment group." } } }, "EffectiveGuestPolicySourcedPackage": { "description": "A guest policy package including its source.", "id": "EffectiveGuestPolicySourcedPackage", "properties": { "source": { "description": "Name of the guest policy providing this config.", "type": "string" }, "package": { "description": "A software package to configure on the VM instance.", "$ref": "Package" } }, "type": "object" }, "GooSettings": { "description": "Googet patching is performed by running `googet update`.", "id": "GooSettings", "properties": {}, "type": "object" }, "AptRepository": { "id": "AptRepository", "description": "Represents a single Apt package repository. This repository is added to a repo file that is stored at `/etc/apt/sources.list.d/google_osconfig.list`.", "properties": { "components": { "type": "array", "description": "Required. List of components for this repository. Must contain at least one item.", "items": { "type": "string" } }, "archiveType": { "description": "Type of archive files in this repository. The default behavior is DEB.", "type": "string", "enumDescriptions": [ "Unspecified.", "DEB indicates that the archive contains binary files.", "DEB_SRC indicates that the archive contains source files." ], "enum": [ "ARCHIVE_TYPE_UNSPECIFIED", "DEB", "DEB_SRC" ] }, "uri": { "type": "string", "description": "Required. URI for this repository." }, "gpgKey": { "description": "URI of the key file for this repository. The agent maintains a keyring at `/etc/apt/trusted.gpg.d/osconfig_agent_managed.gpg` containing all the keys in any applied guest policy.", "type": "string" }, "distribution": { "type": "string", "description": "Required. Distribution of this repository." } }, "type": "object" }, "SoftwareRecipeStepInstallDpkg": { "type": "object", "id": "SoftwareRecipeStepInstallDpkg", "description": "Installs a deb via dpkg.", "properties": { "artifactId": { "type": "string", "description": "Required. The id of the relevant artifact in the recipe." } } }, "ZypperSettings": { "properties": { "withUpdate": { "description": "Adds the `--with-update` flag, to `zypper patch`.", "type": "boolean" }, "exclusivePatches": { "description": "An exclusive list of patches to be updated. These are the only patches that will be installed using 'zypper patch patch:' command. This field must not be used with any other patch configuration fields.", "items": { "type": "string" }, "type": "array" }, "excludes": { "description": "List of patches to exclude from update.", "items": { "type": "string" }, "type": "array" }, "categories": { "description": "Install only patches with these categories. Common categories include security, recommended, and feature.", "items": { "type": "string" }, "type": "array" }, "withOptional": { "description": "Adds the `--with-optional` flag to `zypper patch`.", "type": "boolean" }, "severities": { "type": "array", "description": "Install only patches with these severities. Common severities include critical, important, moderate, and low.", "items": { "type": "string" } } }, "id": "ZypperSettings", "description": "Zypper patching is performed by running `zypper patch`. See also https://en.opensuse.org/SDB:Zypper_manual.", "type": "object" }, "LookupEffectiveGuestPolicyRequest": { "description": "A request message for getting the effective guest policy assigned to the instance.", "id": "LookupEffectiveGuestPolicyRequest", "type": "object", "properties": { "osVersion": { "type": "string", "description": "Version of the OS running on the instance. The OS Config agent only provides this field for targeting if OS Inventory is enabled for that VM instance." }, "osArchitecture": { "description": "Architecture of OS running on the instance. The OS Config agent only provides this field for targeting if OS Inventory is enabled for that instance.", "type": "string" }, "osShortName": { "description": "Short name of the OS running on the instance. The OS Config agent only provides this field for targeting if OS Inventory is enabled for that instance.", "type": "string" } } }, "PatchJob": { "properties": { "name": { "type": "string", "description": "Unique identifier for this patch job in the form `projects/*/patchJobs/*`" }, "duration": { "description": "Duration of the patch job. After the duration ends, the patch job times out.", "type": "string", "format": "google-duration" }, "patchDeployment": { "description": "Output only. Name of the patch deployment that created this patch job.", "readOnly": true, "type": "string" }, "instanceFilter": { "description": "Instances to patch.", "$ref": "PatchInstanceFilter" }, "updateTime": { "description": "Last time this patch job was updated.", "format": "google-datetime", "type": "string" }, "instanceDetailsSummary": { "$ref": "PatchJobInstanceDetailsSummary", "description": "Summary of instance details." }, "description": { "description": "Description of the patch job. Length of the description is limited to 1024 characters.", "type": "string" }, "createTime": { "description": "Time this patch job was created.", "type": "string", "format": "google-datetime" }, "displayName": { "description": "Display name for this patch job. This is not a unique identifier.", "type": "string" }, "percentComplete": { "type": "number", "format": "double", "description": "Reflects the overall progress of the patch job in the range of 0.0 being no progress to 100.0 being complete." }, "errorMessage": { "type": "string", "description": "If this patch job failed, this message provides information about the failure." }, "state": { "enum": [ "STATE_UNSPECIFIED", "STARTED", "INSTANCE_LOOKUP", "PATCHING", "SUCCEEDED", "COMPLETED_WITH_ERRORS", "CANCELED", "TIMED_OUT" ], "enumDescriptions": [ "State must be specified.", "The patch job was successfully initiated.", "The patch job is looking up instances to run the patch on.", "Instances are being patched.", "Patch job completed successfully.", "Patch job completed but there were errors.", "The patch job was canceled.", "The patch job timed out." ], "type": "string", "description": "The current state of the PatchJob." }, "patchConfig": { "description": "Patch configuration being applied.", "$ref": "PatchConfig" }, "dryRun": { "description": "If this patch job is a dry run, the agent reports that it has finished without running any updates on the VM instance.", "type": "boolean" }, "rollout": { "description": "Rollout strategy being applied.", "$ref": "PatchRollout" } }, "description": "A high level representation of a patch job that is either in progress or has completed. Instance details are not included in the job. To paginate through instance details, use `ListPatchJobInstanceDetails`. For more information about patch jobs, see [Creating patch jobs](https://cloud.google.com/compute/docs/os-patch-management/create-patch-job).", "type": "object", "id": "PatchJob" }, "GooRepository": { "type": "object", "properties": { "url": { "type": "string", "description": "Required. The url of the repository." }, "name": { "type": "string", "description": "Required. The name of the repository." } }, "id": "GooRepository", "description": "Represents a Goo package repository. These is added to a repo file that is stored at C:/ProgramData/GooGet/repos/google_osconfig.repo." }, "YumRepository": { "description": "Represents a single Yum package repository. This repository is added to a repo file that is stored at `/etc/yum.repos.d/google_osconfig.repo`.", "properties": { "baseUrl": { "type": "string", "description": "Required. The location of the repository directory." }, "gpgKeys": { "items": { "type": "string" }, "description": "URIs of GPG keys.", "type": "array" }, "displayName": { "description": "The display name of the repository.", "type": "string" }, "id": { "description": "Required. A one word, unique name for this repository. This is the `repo id` in the Yum config file and also the `display_name` if `display_name` is omitted. This id is also used as the unique identifier when checking for guest policy conflicts.", "type": "string" } }, "type": "object", "id": "YumRepository" }, "Empty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "Empty" }, "ExecStepConfig": { "properties": { "localPath": { "description": "An absolute path to the executable on the VM.", "type": "string" }, "allowedSuccessCodes": { "description": "Defaults to [0]. A list of possible return values that the execution can return to indicate a success.", "type": "array", "items": { "type": "integer", "format": "int32" } }, "gcsObject": { "$ref": "GcsObject", "description": "A Google Cloud Storage object containing the executable." }, "interpreter": { "enumDescriptions": [ "If the interpreter is not specified, the value defaults to `NONE`.", "Indicates that the file is run as follows on each operating system: + For Linux VMs, the file is ran as an executable and the interpreter might be parsed from the [shebang line](https://wikipedia.org/wiki/Shebang_(Unix)) of the file. + For Windows VM, this value is not supported.", "Indicates that the file is run with `/bin/sh` on Linux and `cmd` on Windows.", "Indicates that the file is run with PowerShell." ], "description": "The script interpreter to use to run the script. If no interpreter is specified the script will be executed directly, which will likely only succeed for scripts with [shebang lines] (https://en.wikipedia.org/wiki/Shebang_\\(Unix\\)).", "type": "string", "enum": [ "INTERPRETER_UNSPECIFIED", "NONE", "SHELL", "POWERSHELL" ] } }, "type": "object", "id": "ExecStepConfig", "description": "Common configurations for an ExecStep." }, "ListPatchJobInstanceDetailsResponse": { "properties": { "nextPageToken": { "type": "string", "description": "A pagination token that can be used to get the next page of results." }, "patchJobInstanceDetails": { "items": { "$ref": "PatchJobInstanceDetails" }, "type": "array", "description": "A list of instance status." } }, "type": "object", "id": "ListPatchJobInstanceDetailsResponse", "description": "A response message for listing the instances details for a patch job." }, "SoftwareRecipeStepRunScript": { "properties": { "interpreter": { "enum": [ "INTERPRETER_UNSPECIFIED", "SHELL", "POWERSHELL" ], "description": "The script interpreter to use to run the script. If no interpreter is specified the script is executed directly, which likely only succeed for scripts with [shebang lines](https://en.wikipedia.org/wiki/Shebang_\\(Unix\\)).", "enumDescriptions": [ "Default value for ScriptType.", "Indicates that the script is run with `/bin/sh` on Linux and `cmd` on windows.", "Indicates that the script is run with powershell." ], "type": "string" }, "script": { "description": "Required. The shell script to be executed.", "type": "string" }, "allowedExitCodes": { "description": "Return codes that indicate that the software installed or updated successfully. Behaviour defaults to [0]", "type": "array", "items": { "format": "int32", "type": "integer" } } }, "type": "object", "description": "Runs a script through an interpreter.", "id": "SoftwareRecipeStepRunScript" }, "ListPatchDeploymentsResponse": { "type": "object", "id": "ListPatchDeploymentsResponse", "description": "A response message for listing patch deployments.", "properties": { "nextPageToken": { "description": "A pagination token that can be used to get the next page of patch deployments.", "type": "string" }, "patchDeployments": { "type": "array", "items": { "$ref": "PatchDeployment" }, "description": "The list of patch deployments." } } }, "MonthlySchedule": { "properties": { "monthDay": { "description": "Required. One day of the month. 1-31 indicates the 1st to the 31st day. -1 indicates the last day of the month. Months without the target day will be skipped. For example, a schedule to run \"every month on the 31st\" will not run in February, April, June, etc.", "type": "integer", "format": "int32" }, "weekDayOfMonth": { "description": "Required. Week day in a month.", "$ref": "WeekDayOfMonth" } }, "description": "Represents a monthly schedule. An example of a valid monthly schedule is \"on the third Tuesday of the month\" or \"on the 15th of the month\".", "type": "object", "id": "MonthlySchedule" }, "SoftwareRecipeArtifact": { "properties": { "allowInsecure": { "description": "Defaults to false. When false, recipes are subject to validations based on the artifact type: Remote: A checksum must be specified, and only protocols with transport-layer security are permitted. GCS: An object generation number must be specified.", "type": "boolean" }, "gcs": { "description": "A Google Cloud Storage artifact.", "$ref": "SoftwareRecipeArtifactGcs" }, "id": { "description": "Required. Id of the artifact, which the installation and update steps of this recipe can reference. Artifacts in a recipe cannot have the same id.", "type": "string" }, "remote": { "description": "A generic remote artifact.", "$ref": "SoftwareRecipeArtifactRemote" } }, "description": "Specifies a resource to be used in the recipe.", "type": "object", "id": "SoftwareRecipeArtifact" }, "GcsObject": { "description": "Google Cloud Storage object representation.", "properties": { "generationNumber": { "description": "Required. Generation number of the Google Cloud Storage object. This is used to ensure that the ExecStep specified by this PatchJob does not change.", "format": "int64", "type": "string" }, "object": { "description": "Required. Name of the Google Cloud Storage object.", "type": "string" }, "bucket": { "description": "Required. Bucket of the Google Cloud Storage object.", "type": "string" } }, "type": "object", "id": "GcsObject" }, "CancelPatchJobRequest": { "properties": {}, "type": "object", "id": "CancelPatchJobRequest", "description": "Message for canceling a patch job." }, "SoftwareRecipeArtifactRemote": { "properties": { "checksum": { "description": "Must be provided if `allow_insecure` is `false`. SHA256 checksum in hex format, to compare to the checksum of the artifact. If the checksum is not empty and it doesn't match the artifact then the recipe installation fails before running any of the steps.", "type": "string" }, "uri": { "type": "string", "description": "URI from which to fetch the object. It should contain both the protocol and path following the format {protocol}://{location}." } }, "type": "object", "description": "Specifies an artifact available via some URI.", "id": "SoftwareRecipeArtifactRemote" }, "GoogleCloudOsconfigV1__OSPolicyAssignmentOperationMetadata": { "description": "OS policy assignment operation metadata provided by OS policy assignment API methods that return long running operations.", "id": "GoogleCloudOsconfigV1__OSPolicyAssignmentOperationMetadata", "properties": { "apiMethod": { "enum": [ "API_METHOD_UNSPECIFIED", "CREATE", "UPDATE", "DELETE" ], "description": "The OS policy assignment API method.", "type": "string", "enumDescriptions": [ "Invalid value", "Create OS policy assignment API method", "Update OS policy assignment API method", "Delete OS policy assignment API method" ] }, "rolloutUpdateTime": { "type": "string", "format": "google-datetime", "description": "Rollout update time" }, "rolloutStartTime": { "description": "Rollout start time", "format": "google-datetime", "type": "string" }, "rolloutState": { "enum": [ "ROLLOUT_STATE_UNSPECIFIED", "IN_PROGRESS", "CANCELLING", "CANCELLED", "SUCCEEDED" ], "description": "State of the rollout", "enumDescriptions": [ "Invalid value", "The rollout is in progress.", "The rollout is being cancelled.", "The rollout is cancelled.", "The rollout has completed successfully." ], "type": "string" }, "osPolicyAssignment": { "description": "Reference to the `OSPolicyAssignment` API resource. Format: `projects/{project_number}/locations/{location}/osPolicyAssignments/{os_policy_assignment_id@revision_id}`", "type": "string" } }, "type": "object" }, "FixedOrPercent": { "type": "object", "description": "Message encapsulating a value that can be either absolute (\"fixed\") or relative (\"percent\") to a value.", "id": "FixedOrPercent", "properties": { "fixed": { "description": "Specifies a fixed value.", "format": "int32", "type": "integer" }, "percent": { "type": "integer", "format": "int32", "description": "Specifies the relative value defined as a percentage, which will be multiplied by a reference value." } } }, "Package": { "type": "object", "description": "Package is a reference to the software package to be installed or removed. The agent on the VM instance uses the system package manager to apply the config. These are the commands that the agent uses to install or remove packages. Apt install: `apt-get update && apt-get -y install package1 package2 package3` remove: `apt-get -y remove package1 package2 package3` Yum install: `yum -y install package1 package2 package3` remove: `yum -y remove package1 package2 package3` Zypper install: `zypper install package1 package2 package3` remove: `zypper rm package1 package2` Googet install: `googet -noconfirm install package1 package2 package3` remove: `googet -noconfirm remove package1 package2 package3`", "id": "Package", "properties": { "desiredState": { "description": "The desired_state the agent should maintain for this package. The default is to ensure the package is installed.", "enum": [ "DESIRED_STATE_UNSPECIFIED", "INSTALLED", "UPDATED", "REMOVED" ], "enumDescriptions": [ "The default is to ensure the package is installed.", "The agent ensures that the package is installed.", "The agent ensures that the package is installed and periodically checks for and install any updates.", "The agent ensures that the package is not installed and uninstall it if detected." ], "type": "string" }, "name": { "type": "string", "description": "Required. The name of the package. A package is uniquely identified for conflict validation by checking the package name and the manager(s) that the package targets." }, "manager": { "enumDescriptions": [ "The default behavior is ANY.", "Apply this package config using the default system package manager.", "Apply this package config only if Apt is available on the system.", "Apply this package config only if Yum is available on the system.", "Apply this package config only if Zypper is available on the system.", "Apply this package config only if GooGet is available on the system." ], "enum": [ "MANAGER_UNSPECIFIED", "ANY", "APT", "YUM", "ZYPPER", "GOO" ], "description": "Type of package manager that can be used to install this package. If a system does not have the package manager, the package is not installed or removed no error message is returned. By default, or if you specify `ANY`, the agent attempts to install and remove this package using the default package manager. This is useful when creating a policy that applies to different types of systems. The default behavior is ANY.", "type": "string" } } }, "SoftwareRecipeStepInstallRpm": { "id": "SoftwareRecipeStepInstallRpm", "type": "object", "properties": { "artifactId": { "type": "string", "description": "Required. The id of the relevant artifact in the recipe." } }, "description": "Installs an rpm file via the rpm utility." }, "PatchConfig": { "description": "Patch configuration specifications. Contains details on how to apply the patch(es) to a VM instance.", "id": "PatchConfig", "properties": { "postStep": { "description": "The `ExecStep` to run after the patch update.", "$ref": "ExecStep" }, "apt": { "description": "Apt update settings. Use this setting to override the default `apt` patch rules.", "$ref": "AptSettings" }, "rebootConfig": { "enumDescriptions": [ "The default behavior is DEFAULT.", "The agent decides if a reboot is necessary by checking signals such as registry keys on Windows or `/var/run/reboot-required` on APT based systems. On RPM based systems, a set of core system package install times are compared with system boot time.", "Always reboot the machine after the update completes.", "Never reboot the machine after the update completes." ], "type": "string", "enum": [ "REBOOT_CONFIG_UNSPECIFIED", "DEFAULT", "ALWAYS", "NEVER" ], "description": "Post-patch reboot settings." }, "zypper": { "$ref": "ZypperSettings", "description": "Zypper update settings. Use this setting to override the default `zypper` patch rules." }, "migInstancesAllowed": { "description": "Allows the patch job to run on Managed instance groups (MIGs).", "type": "boolean" }, "yum": { "$ref": "YumSettings", "description": "Yum update settings. Use this setting to override the default `yum` patch rules." }, "preStep": { "$ref": "ExecStep", "description": "The `ExecStep` to run before the patch update." }, "goo": { "$ref": "GooSettings", "description": "Goo update settings. Use this setting to override the default `goo` patch rules." }, "windowsUpdate": { "$ref": "WindowsUpdateSettings", "description": "Windows update settings. Use this override the default windows patch rules." } }, "type": "object" }, "ZypperRepository": { "id": "ZypperRepository", "description": "Represents a single Zypper package repository. This repository is added to a repo file that is stored at `/etc/zypp/repos.d/google_osconfig.repo`.", "type": "object", "properties": { "baseUrl": { "type": "string", "description": "Required. The location of the repository directory." }, "displayName": { "type": "string", "description": "The display name of the repository." }, "gpgKeys": { "description": "URIs of GPG keys.", "type": "array", "items": { "type": "string" } }, "id": { "description": "Required. A one word, unique name for this repository. This is the `repo id` in the zypper config file and also the `display_name` if `display_name` is omitted. This id is also used as the unique identifier when checking for guest policy conflicts.", "type": "string" } } }, "AssignmentOsType": { "id": "AssignmentOsType", "properties": { "osVersion": { "description": "Targets VM instances with OS Inventory enabled and having the following following OS version.", "type": "string" }, "osArchitecture": { "type": "string", "description": "Targets VM instances with OS Inventory enabled and having the following OS architecture." }, "osShortName": { "type": "string", "description": "Targets VM instances with OS Inventory enabled and having the following OS short name, for example \"debian\" or \"windows\"." } }, "description": "Defines the criteria for selecting VM Instances by OS type.", "type": "object" }, "EffectiveGuestPolicy": { "id": "EffectiveGuestPolicy", "description": "The effective guest policy that applies to a VM instance.", "properties": { "packages": { "description": "List of package configurations assigned to the VM instance.", "type": "array", "items": { "$ref": "EffectiveGuestPolicySourcedPackage" } }, "softwareRecipes": { "description": "List of recipes assigned to the VM instance.", "type": "array", "items": { "$ref": "EffectiveGuestPolicySourcedSoftwareRecipe" } }, "packageRepositories": { "items": { "$ref": "EffectiveGuestPolicySourcedPackageRepository" }, "type": "array", "description": "List of package repository configurations assigned to the VM instance." } }, "type": "object" }, "ResumePatchDeploymentRequest": { "type": "object", "id": "ResumePatchDeploymentRequest", "properties": {}, "description": "A request message for resuming a patch deployment." }, "PatchRollout": { "description": "Patch rollout configuration specifications. Contains details on the concurrency control when applying patch(es) to all targeted VMs.", "properties": { "mode": { "enum": [ "MODE_UNSPECIFIED", "ZONE_BY_ZONE", "CONCURRENT_ZONES" ], "enumDescriptions": [ "Mode must be specified.", "Patches are applied one zone at a time. The patch job begins in the region with the lowest number of targeted VMs. Within the region, patching begins in the zone with the lowest number of targeted VMs. If multiple regions (or zones within a region) have the same number of targeted VMs, a tie-breaker is achieved by sorting the regions or zones in alphabetical order.", "Patches are applied to VMs in all zones at the same time." ], "type": "string", "description": "Mode of the patch rollout." }, "disruptionBudget": { "description": "The maximum number (or percentage) of VMs per zone to disrupt at any given moment. The number of VMs calculated from multiplying the percentage by the total number of VMs in a zone is rounded up. During patching, a VM is considered disrupted from the time the agent is notified to begin until patching has completed. This disruption time includes the time to complete reboot and any post-patch steps. A VM contributes to the disruption budget if its patching operation fails either when applying the patches, running pre or post patch steps, or if it fails to respond with a success notification before timing out. VMs that are not running or do not have an active agent do not count toward this disruption budget. For zone-by-zone rollouts, if the disruption budget in a zone is exceeded, the patch job stops, because continuing to the next zone requires completion of the patch process in the previous zone. For example, if the disruption budget has a fixed value of `10`, and 8 VMs fail to patch in the current zone, the patch job continues to patch 2 VMs at a time until the zone is completed. When that zone is completed successfully, patching begins with 10 VMs at a time in the next zone. If 10 VMs in the next zone fail to patch, the patch job stops.", "$ref": "FixedOrPercent" } }, "type": "object", "id": "PatchRollout" }, "YumSettings": { "properties": { "security": { "type": "boolean", "description": "Adds the `--security` flag to `yum update`. Not supported on all platforms." }, "exclusivePackages": { "items": { "type": "string" }, "type": "array", "description": "An exclusive list of packages to be updated. These are the only packages that will be updated. If these packages are not installed, they will be ignored. This field must not be specified with any other patch configuration fields." }, "minimal": { "type": "boolean", "description": "Will cause patch to run `yum update-minimal` instead." }, "excludes": { "type": "array", "items": { "type": "string" }, "description": "List of packages to exclude from update. These packages are excluded by using the yum `--exclude` flag." } }, "description": "Yum patching is performed by executing `yum update`. Additional options can be set to control how this is executed. Note that not all settings are supported on all platforms.", "id": "YumSettings", "type": "object" }, "SoftwareRecipeStepInstallMsi": { "type": "object", "description": "Installs an MSI file.", "id": "SoftwareRecipeStepInstallMsi", "properties": { "flags": { "items": { "type": "string" }, "type": "array", "description": "The flags to use when installing the MSI defaults to [\"/i\"] (i.e. the install flag)." }, "allowedExitCodes": { "type": "array", "description": "Return codes that indicate that the software installed or updated successfully. Behaviour defaults to [0]", "items": { "type": "integer", "format": "int32" } }, "artifactId": { "type": "string", "description": "Required. The id of the relevant artifact in the recipe." } } }, "PackageRepository": { "description": "A package repository.", "properties": { "apt": { "$ref": "AptRepository", "description": "An Apt Repository." }, "yum": { "description": "A Yum Repository.", "$ref": "YumRepository" }, "goo": { "$ref": "GooRepository", "description": "A Goo Repository." }, "zypper": { "description": "A Zypper Repository.", "$ref": "ZypperRepository" } }, "id": "PackageRepository", "type": "object" }, "PatchDeployment": { "description": "Patch deployments are configurations that individual patch jobs use to complete a patch. These configurations include instance filter, package repository settings, and a schedule. For more information about creating and managing patch deployments, see [Scheduling patch jobs](https://cloud.google.com/compute/docs/os-patch-management/schedule-patch-jobs).", "type": "object", "id": "PatchDeployment", "properties": { "lastExecuteTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The last time a patch job was started by this deployment. Timestamp is in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "description": { "type": "string", "description": "Optional. Description of the patch deployment. Length of the description is limited to 1024 characters." }, "recurringSchedule": { "description": "Required. Schedule recurring executions.", "$ref": "RecurringSchedule" }, "createTime": { "format": "google-datetime", "type": "string", "readOnly": true, "description": "Output only. Time the patch deployment was created. Timestamp is in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format." }, "patchConfig": { "$ref": "PatchConfig", "description": "Optional. Patch configuration that is applied." }, "oneTimeSchedule": { "description": "Required. Schedule a one-time execution.", "$ref": "OneTimeSchedule" }, "duration": { "type": "string", "format": "google-duration", "description": "Optional. Duration of the patch. After the duration ends, the patch times out." }, "updateTime": { "description": "Output only. Time the patch deployment was last updated. Timestamp is in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "format": "google-datetime", "readOnly": true, "type": "string" }, "name": { "type": "string", "description": "Unique name for the patch deployment resource in a project. The patch deployment name is in the form: `projects/{project_id}/patchDeployments/{patch_deployment_id}`. This field is ignored when you create a new patch deployment." }, "instanceFilter": { "$ref": "PatchInstanceFilter", "description": "Required. VM instances to patch." }, "rollout": { "description": "Optional. Rollout strategy of the patch job.", "$ref": "PatchRollout" }, "state": { "enumDescriptions": [ "The default value. This value is used if the state is omitted.", "Active value means that patch deployment generates Patch Jobs.", "Paused value means that patch deployment does not generate Patch jobs. Requires user action to move in and out from this state." ], "description": "Output only. Current state of the patch deployment.", "type": "string", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "PAUSED" ], "readOnly": true } } }, "TimeZone": { "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "type": "object", "properties": { "id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" }, "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." } }, "id": "TimeZone" }, "GuestPolicy": { "type": "object", "id": "GuestPolicy", "description": "An OS Config resource representing a guest configuration policy. These policies represent the desired state for VM instance guest environments including packages to install or remove, package repository configurations, and software to install.", "properties": { "assignment": { "description": "Required. Specifies the VM instances that are assigned to this policy. This allows you to target sets or groups of VM instances by different parameters such as labels, names, OS, or zones. If left empty, all VM instances underneath this policy are targeted. At the same level in the resource hierarchy (that is within a project), the service prevents the creation of multiple policies that conflict with each other. For more information, see how the service [handles assignment conflicts](/compute/docs/os-config-management/create-guest-policy#handle-conflicts).", "$ref": "Assignment" }, "description": { "type": "string", "description": "Description of the guest policy. Length of the description is limited to 1024 characters." }, "recipes": { "items": { "$ref": "SoftwareRecipe" }, "type": "array", "description": "A list of Recipes to install on the VM instance." }, "createTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. Time this guest policy was created.", "type": "string" }, "updateTime": { "readOnly": true, "description": "Output only. Last time this guest policy was updated.", "type": "string", "format": "google-datetime" }, "name": { "description": "Required. Unique name of the resource in this project using one of the following forms: `projects/{project_number}/guestPolicies/{guest_policy_id}`.", "type": "string" }, "etag": { "description": "The etag for this guest policy. If this is provided on update, it must match the server's etag.", "type": "string" }, "packages": { "items": { "$ref": "Package" }, "description": "The software packages to be managed by this policy.", "type": "array" }, "packageRepositories": { "items": { "$ref": "PackageRepository" }, "type": "array", "description": "A list of package repositories to configure on the VM instance. This is done before any other configs are applied so they can use these repos. Package repositories are only configured if the corresponding package manager(s) are available." } } }, "PatchJobInstanceDetailsSummary": { "properties": { "timedOutInstanceCount": { "description": "Number of instances that exceeded the time out while applying the patch.", "type": "string", "format": "int64" }, "applyingPatchesInstanceCount": { "type": "string", "description": "Number of instances that are applying patches.", "format": "int64" }, "noAgentDetectedInstanceCount": { "description": "Number of instances that do not appear to be running the agent. Check to ensure that the agent is installed, running, and able to communicate with the service.", "format": "int64", "type": "string" }, "notifiedInstanceCount": { "description": "Number of instances notified about patch job.", "type": "string", "format": "int64" }, "succeededInstanceCount": { "type": "string", "format": "int64", "description": "Number of instances that have completed successfully." }, "postPatchStepInstanceCount": { "format": "int64", "type": "string", "description": "Number of instances that are running the post-patch step." }, "inactiveInstanceCount": { "description": "Number of instances that are inactive.", "type": "string", "format": "int64" }, "succeededRebootRequiredInstanceCount": { "type": "string", "format": "int64", "description": "Number of instances that require reboot." }, "startedInstanceCount": { "description": "Number of instances that have started.", "format": "int64", "type": "string" }, "downloadingPatchesInstanceCount": { "format": "int64", "type": "string", "description": "Number of instances that are downloading patches." }, "pendingInstanceCount": { "type": "string", "description": "Number of instances pending patch job.", "format": "int64" }, "prePatchStepInstanceCount": { "description": "Number of instances that are running the pre-patch step.", "type": "string", "format": "int64" }, "rebootingInstanceCount": { "type": "string", "description": "Number of instances rebooting.", "format": "int64" }, "ackedInstanceCount": { "description": "Number of instances that have acked and will start shortly.", "type": "string", "format": "int64" }, "failedInstanceCount": { "description": "Number of instances that failed.", "type": "string", "format": "int64" } }, "id": "PatchJobInstanceDetailsSummary", "description": "A summary of the current patch state across all instances that this patch job affects. Contains counts of instances in different states. These states map to `InstancePatchState`. List patch job instance details to see the specific states of each instance.", "type": "object" }, "PausePatchDeploymentRequest": { "properties": {}, "id": "PausePatchDeploymentRequest", "type": "object", "description": "A request message for pausing a patch deployment." }, "SoftwareRecipeArtifactGcs": { "description": "Specifies an artifact available as a Google Cloud Storage object.", "type": "object", "id": "SoftwareRecipeArtifactGcs", "properties": { "bucket": { "description": "Bucket of the Google Cloud Storage object. Given an example URL: `https://storage.googleapis.com/my-bucket/foo/bar#1234567` this value would be `my-bucket`.", "type": "string" }, "generation": { "type": "string", "format": "int64", "description": "Must be provided if allow_insecure is false. Generation number of the Google Cloud Storage object. `https://storage.googleapis.com/my-bucket/foo/bar#1234567` this value would be `1234567`." }, "object": { "description": "Name of the Google Cloud Storage object. As specified [here] (https://cloud.google.com/storage/docs/naming#objectnames) Given an example URL: `https://storage.googleapis.com/my-bucket/foo/bar#1234567` this value would be `foo/bar`.", "type": "string" } } }, "PatchJobInstanceDetails": { "description": "Patch details for a VM instance. For more information about reviewing VM instance details, see [Listing all VM instance details for a specific patch job](https://cloud.google.com/compute/docs/os-patch-management/manage-patch-jobs#list-instance-details).", "properties": { "failureReason": { "description": "If the patch fails, this field provides the reason.", "type": "string" }, "instanceSystemId": { "description": "The unique identifier for the instance. This identifier is defined by the server.", "type": "string" }, "name": { "type": "string", "description": "The instance name in the form `projects/*/zones/*/instances/*`" }, "attemptCount": { "format": "int64", "type": "string", "description": "The number of times the agent that the agent attempts to apply the patch." }, "state": { "enumDescriptions": [ "Unspecified.", "The instance is not yet notified.", "Instance is inactive and cannot be patched.", "The instance is notified that it should be patched.", "The instance has started the patching process.", "The instance is downloading patches.", "The instance is applying patches.", "The instance is rebooting.", "The instance has completed applying patches.", "The instance has completed applying patches but a reboot is required.", "The instance has failed to apply the patch.", "The instance acked the notification and will start shortly.", "The instance exceeded the time out while applying the patch.", "The instance is running the pre-patch step.", "The instance is running the post-patch step.", "The service could not detect the presence of the agent. Check to ensure that the agent is installed, running, and able to communicate with the service." ], "description": "Current state of instance patch.", "enum": [ "PATCH_STATE_UNSPECIFIED", "PENDING", "INACTIVE", "NOTIFIED", "STARTED", "DOWNLOADING_PATCHES", "APPLYING_PATCHES", "REBOOTING", "SUCCEEDED", "SUCCEEDED_REBOOT_REQUIRED", "FAILED", "ACKED", "TIMED_OUT", "RUNNING_PRE_PATCH_STEP", "RUNNING_POST_PATCH_STEP", "NO_AGENT_DETECTED" ], "type": "string" } }, "type": "object", "id": "PatchJobInstanceDetails" }, "SoftwareRecipeStepCopyFile": { "id": "SoftwareRecipeStepCopyFile", "type": "object", "properties": { "overwrite": { "type": "boolean", "description": "Whether to allow this step to overwrite existing files. If this is false and the file already exists the file is not overwritten and the step is considered a success. Defaults to false." }, "artifactId": { "type": "string", "description": "Required. The id of the relevant artifact in the recipe." }, "destination": { "description": "Required. The absolute path on the instance to put the file.", "type": "string" }, "permissions": { "type": "string", "description": "Consists of three octal digits which represent, in order, the permissions of the owner, group, and other users for the file (similarly to the numeric mode used in the linux chmod utility). Each digit represents a three bit number with the 4 bit corresponding to the read permissions, the 2 bit corresponds to the write bit, and the one bit corresponds to the execute permission. Default behavior is 755. Below are some examples of permissions and their associated values: read, write, and execute: 7 read and execute: 5 read and write: 6 read only: 4" } }, "description": "Copies the artifact to the specified path on the instance." }, "ListGuestPoliciesResponse": { "description": "A response message for listing guest policies.", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A pagination token that can be used to get the next page of guest policies." }, "guestPolicies": { "description": "The list of GuestPolicies.", "type": "array", "items": { "$ref": "GuestPolicy" } } }, "id": "ListGuestPoliciesResponse" }, "PatchInstanceFilter": { "properties": { "zones": { "items": { "type": "string" }, "type": "array", "description": "Targets VM instances in ANY of these zones. Leave empty to target VM instances in any zone." }, "instances": { "items": { "type": "string" }, "type": "array", "description": "Targets any of the VM instances specified. Instances are specified by their URI in the form `zones/[ZONE]/instances/[INSTANCE_NAME]`, `projects/[PROJECT_ID]/zones/[ZONE]/instances/[INSTANCE_NAME]`, or `https://www.googleapis.com/compute/v1/projects/[PROJECT_ID]/zones/[ZONE]/instances/[INSTANCE_NAME]`" }, "instanceNamePrefixes": { "description": "Targets VMs whose name starts with one of these prefixes. Similar to labels, this is another way to group VMs when targeting configs, for example prefix=\"prod-\".", "items": { "type": "string" }, "type": "array" }, "all": { "description": "Target all VM instances in the project. If true, no other criteria is permitted.", "type": "boolean" }, "groupLabels": { "items": { "$ref": "PatchInstanceFilterGroupLabel" }, "type": "array", "description": "Targets VM instances matching at least one of these label sets. This allows targeting of disparate groups, for example \"env=prod or env=staging\"." } }, "type": "object", "description": "A filter to target VM instances for patching. The targeted VMs must meet all criteria specified. So if both labels and zones are specified, the patch job targets only VMs with those labels and in those zones.", "id": "PatchInstanceFilter" }, "SoftwareRecipeStepExtractArchive": { "type": "object", "description": "Extracts an archive of the type specified in the specified directory.", "id": "SoftwareRecipeStepExtractArchive", "properties": { "artifactId": { "description": "Required. The id of the relevant artifact in the recipe.", "type": "string" }, "type": { "enumDescriptions": [ "Indicates that the archive type isn't specified.", "Indicates that the archive is a tar archive with no encryption.", "Indicates that the archive is a tar archive with gzip encryption.", "Indicates that the archive is a tar archive with bzip encryption.", "Indicates that the archive is a tar archive with lzma encryption.", "Indicates that the archive is a tar archive with xz encryption.", "Indicates that the archive is a zip archive." ], "description": "Required. The type of the archive to extract.", "type": "string", "enum": [ "ARCHIVE_TYPE_UNSPECIFIED", "TAR", "TAR_GZIP", "TAR_BZIP", "TAR_LZMA", "TAR_XZ", "ZIP" ] }, "destination": { "description": "Directory to extract archive to. Defaults to `/` on Linux or `C:\\` on Windows.", "type": "string" } } }, "OneTimeSchedule": { "properties": { "executeTime": { "type": "string", "format": "google-datetime", "description": "Required. The desired patch job execution time." } }, "type": "object", "description": "Sets the time for a one time patch deployment. Timestamp is in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format.", "id": "OneTimeSchedule" }, "EffectiveGuestPolicySourcedPackageRepository": { "properties": { "packageRepository": { "description": "A software package repository to configure on the VM instance.", "$ref": "PackageRepository" }, "source": { "description": "Name of the guest policy providing this config.", "type": "string" } }, "description": "A guest policy package repository including its source.", "type": "object", "id": "EffectiveGuestPolicySourcedPackageRepository" }, "ListPatchJobsResponse": { "type": "object", "id": "ListPatchJobsResponse", "properties": { "nextPageToken": { "description": "A pagination token that can be used to get the next page of results.", "type": "string" }, "patchJobs": { "type": "array", "items": { "$ref": "PatchJob" }, "description": "The list of patch jobs." } }, "description": "A response message for listing patch jobs." }, "RecurringSchedule": { "id": "RecurringSchedule", "properties": { "monthly": { "$ref": "MonthlySchedule", "description": "Required. Schedule with monthly executions." }, "weekly": { "$ref": "WeeklySchedule", "description": "Required. Schedule with weekly executions." }, "lastExecuteTime": { "description": "Output only. The time the last patch job ran successfully.", "type": "string", "readOnly": true, "format": "google-datetime" }, "timeOfDay": { "$ref": "TimeOfDay", "description": "Required. Time of the day to run a recurring deployment." }, "startTime": { "description": "Optional. The time that the recurring schedule becomes effective. Defaults to `create_time` of the patch deployment.", "type": "string", "format": "google-datetime" }, "frequency": { "enumDescriptions": [ "Invalid. A frequency must be specified.", "Indicates that the frequency of recurrence should be expressed in terms of weeks.", "Indicates that the frequency of recurrence should be expressed in terms of months.", "Indicates that the frequency of recurrence should be expressed in terms of days." ], "description": "Required. The frequency unit of this recurring schedule.", "enum": [ "FREQUENCY_UNSPECIFIED", "WEEKLY", "MONTHLY", "DAILY" ], "type": "string" }, "nextExecuteTime": { "description": "Output only. The time the next patch job is scheduled to run.", "type": "string", "readOnly": true, "format": "google-datetime" }, "endTime": { "type": "string", "description": "Optional. The end time at which a recurring patch deployment schedule is no longer active.", "format": "google-datetime" }, "timeZone": { "$ref": "TimeZone", "description": "Required. Defines the time zone that `time_of_day` is relative to. The rules for daylight saving time are determined by the chosen time zone." } }, "description": "Sets the time for recurring patch deployments.", "type": "object" }, "AptSettings": { "type": "object", "id": "AptSettings", "description": "Apt patching is completed by executing `apt-get update && apt-get upgrade`. Additional options can be set to control how this is executed.", "properties": { "exclusivePackages": { "type": "array", "description": "An exclusive list of packages to be updated. These are the only packages that will be updated. If these packages are not installed, they will be ignored. This field cannot be specified with any other patch configuration fields.", "items": { "type": "string" } }, "excludes": { "items": { "type": "string" }, "description": "List of packages to exclude from update. These packages will be excluded", "type": "array" }, "type": { "type": "string", "enumDescriptions": [ "By default, upgrade will be performed.", "Runs `apt-get dist-upgrade`.", "Runs `apt-get upgrade`." ], "enum": [ "TYPE_UNSPECIFIED", "DIST", "UPGRADE" ], "description": "By changing the type to DIST, the patching is performed using `apt-get dist-upgrade` instead." } } }, "WeekDayOfMonth": { "type": "object", "id": "WeekDayOfMonth", "description": "Represents one week day in a month. An example is \"the 4th Sunday\".", "properties": { "dayOfWeek": { "enum": [ "DAY_OF_WEEK_UNSPECIFIED", "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY" ], "type": "string", "enumDescriptions": [ "The day of the week is unspecified.", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday" ], "description": "Required. A day of the week." }, "dayOffset": { "type": "integer", "description": "Optional. Represents the number of days before or after the given week day of month that the patch deployment is scheduled for. For example if `week_ordinal` and `day_of_week` values point to the second day of the month and this `day_offset` value is set to `3`, the patch deployment takes place three days after the second Tuesday of the month. If this value is negative, for example -5, the patches are deployed five days before before the second Tuesday of the month. Allowed values are in range [-30, 30].", "format": "int32" }, "weekOrdinal": { "type": "integer", "format": "int32", "description": "Required. Week number in a month. 1-4 indicates the 1st to 4th week of the month. -1 indicates the last week of the month." } } }, "WindowsUpdateSettings": { "description": "Windows patching is performed using the Windows Update Agent.", "type": "object", "id": "WindowsUpdateSettings", "properties": { "excludes": { "type": "array", "description": "List of KBs to exclude from update.", "items": { "type": "string" } }, "classifications": { "items": { "type": "string", "enum": [ "CLASSIFICATION_UNSPECIFIED", "CRITICAL", "SECURITY", "DEFINITION", "DRIVER", "FEATURE_PACK", "SERVICE_PACK", "TOOL", "UPDATE_ROLLUP", "UPDATE" ], "enumDescriptions": [ "Invalid. If classifications are included, they must be specified.", "\"A widely released fix for a specific problem that addresses a critical, non-security-related bug.\" [1]", "\"A widely released fix for a product-specific, security-related vulnerability. Security vulnerabilities are rated by their severity. The severity rating is indicated in the Microsoft security bulletin as critical, important, moderate, or low.\" [1]", "\"A widely released and frequent software update that contains additions to a product's definition database. Definition databases are often used to detect objects that have specific attributes, such as malicious code, phishing websites, or junk mail.\" [1]", "\"Software that controls the input and output of a device.\" [1]", "\"New product functionality that is first distributed outside the context of a product release and that is typically included in the next full product release.\" [1]", "\"A tested, cumulative set of all hotfixes, security updates, critical updates, and updates. Additionally, service packs may contain additional fixes for problems that are found internally since the release of the product. Service packs my also contain a limited number of customer-requested design changes or features.\" [1]", "\"A utility or feature that helps complete a task or set of tasks.\" [1]", "\"A tested, cumulative set of hotfixes, security updates, critical updates, and updates that are packaged together for easy deployment. A rollup generally targets a specific area, such as security, or a component of a product, such as Internet Information Services (IIS).\" [1]", "\"A widely released fix for a specific problem. An update addresses a noncritical, non-security-related bug.\" [1]" ] }, "type": "array", "description": "Only apply updates of these windows update classifications. If empty, all updates are applied." }, "exclusivePatches": { "type": "array", "description": "An exclusive list of kbs to be updated. These are the only patches that will be updated. This field must not be used with other patch configurations.", "items": { "type": "string" } } } }, "SoftwareRecipeStep": { "type": "object", "id": "SoftwareRecipeStep", "description": "An action that can be taken as part of installing or updating a recipe.", "properties": { "archiveExtraction": { "description": "Extracts an archive into the specified directory.", "$ref": "SoftwareRecipeStepExtractArchive" }, "rpmInstallation": { "$ref": "SoftwareRecipeStepInstallRpm", "description": "Installs an rpm file via the rpm utility." }, "msiInstallation": { "$ref": "SoftwareRecipeStepInstallMsi", "description": "Installs an MSI file." }, "scriptRun": { "description": "Runs commands in a shell.", "$ref": "SoftwareRecipeStepRunScript" }, "fileCopy": { "description": "Copies a file onto the instance.", "$ref": "SoftwareRecipeStepCopyFile" }, "fileExec": { "description": "Executes an artifact or local file.", "$ref": "SoftwareRecipeStepExecFile" }, "dpkgInstallation": { "description": "Installs a deb file via dpkg.", "$ref": "SoftwareRecipeStepInstallDpkg" } } }, "SoftwareRecipeStepExecFile": { "description": "Executes an artifact or local file.", "id": "SoftwareRecipeStepExecFile", "type": "object", "properties": { "artifactId": { "type": "string", "description": "The id of the relevant artifact in the recipe." }, "args": { "description": "Arguments to be passed to the provided executable.", "type": "array", "items": { "type": "string" } }, "allowedExitCodes": { "type": "array", "description": "Defaults to [0]. A list of possible return values that the program can return to indicate a success.", "items": { "format": "int32", "type": "integer" } }, "localPath": { "type": "string", "description": "The absolute path of the file on the local filesystem." } } }, "EffectiveGuestPolicySourcedSoftwareRecipe": { "description": "A guest policy recipe including its source.", "type": "object", "id": "EffectiveGuestPolicySourcedSoftwareRecipe", "properties": { "softwareRecipe": { "$ref": "SoftwareRecipe", "description": "A software recipe to configure on the VM instance." }, "source": { "description": "Name of the guest policy providing this config.", "type": "string" } } }, "ExecutePatchJobRequest": { "type": "object", "description": "A request message to initiate patching across Compute Engine instances.", "id": "ExecutePatchJobRequest", "properties": { "patchConfig": { "description": "Patch configuration being applied. If omitted, instances are patched using the default configurations.", "$ref": "PatchConfig" }, "duration": { "type": "string", "description": "Duration of the patch job. After the duration ends, the patch job times out.", "format": "google-duration" }, "displayName": { "description": "Display name for this patch job. This does not have to be unique.", "type": "string" }, "rollout": { "description": "Rollout strategy of the patch job.", "$ref": "PatchRollout" }, "dryRun": { "description": "If this patch is a dry-run only, instances are contacted but will do nothing.", "type": "boolean" }, "description": { "type": "string", "description": "Description of the patch job. Length of the description is limited to 1024 characters." }, "instanceFilter": { "$ref": "PatchInstanceFilter", "description": "Required. Instances to patch, either explicitly or filtered by some criteria such as zone or labels." } } }, "Assignment": { "id": "Assignment", "properties": { "instances": { "items": { "type": "string" }, "type": "array", "description": "Targets any of the instances specified. Instances are specified by their URI in the form `zones/[ZONE]/instances/[INSTANCE_NAME]`. Instance targeting is uncommon and is supported to facilitate the management of changes by the instance or to target specific VM instances for development and testing. Only supported for project-level policies and must reference instances within this project." }, "instanceNamePrefixes": { "description": "Targets VM instances whose name starts with one of these prefixes. Like labels, this is another way to group VM instances when targeting configs, for example prefix=\"prod-\". Only supported for project-level policies.", "type": "array", "items": { "type": "string" } }, "zones": { "items": { "type": "string" }, "description": "Targets instances in any of these zones. Leave empty to target instances in any zone. Zonal targeting is uncommon and is supported to facilitate the management of changes by zone.", "type": "array" }, "groupLabels": { "description": "Targets instances matching at least one of these label sets. This allows an assignment to target disparate groups, for example \"env=prod or env=staging\".", "items": { "$ref": "AssignmentGroupLabel" }, "type": "array" }, "osTypes": { "description": "Targets VM instances matching at least one of the following OS types. VM instances must match all supplied criteria for a given OsType to be included.", "type": "array", "items": { "$ref": "AssignmentOsType" } } }, "description": "An assignment represents the group or groups of VM instances that the policy applies to. If an assignment is empty, it applies to all VM instances. Otherwise, the targeted VM instances must meet all the criteria specified. So if both labels and zones are specified, the policy applies to VM instances with those labels and in those zones.", "type": "object" }, "TimeOfDay": { "description": "Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.", "type": "object", "properties": { "minutes": { "description": "Minutes of hour of day. Must be from 0 to 59.", "format": "int32", "type": "integer" }, "hours": { "description": "Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32", "type": "integer" }, "nanos": { "description": "Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "type": "integer", "format": "int32" }, "seconds": { "type": "integer", "description": "Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "format": "int32" } }, "id": "TimeOfDay" } }, "resources": { "projects": { "resources": { "guestPolicies": { "methods": { "create": { "flatPath": "v1beta/projects/{projectsId}/guestPolicies", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta/{+parent}/guestPolicies", "description": "Create an OS Config guest policy.", "parameters": { "guestPolicyId": { "type": "string", "description": "Required. The logical name of the guest policy in the project with the following restrictions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the project.", "location": "query" }, "parent": { "pattern": "^projects/[^/]+$", "type": "string", "description": "Required. The resource name of the parent using one of the following forms: `projects/{project_number}`.", "required": true, "location": "path" } }, "id": "osconfig.projects.guestPolicies.create", "request": { "$ref": "GuestPolicy" }, "parameterOrder": [ "parent" ], "response": { "$ref": "GuestPolicy" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "flatPath": "v1beta/projects/{projectsId}/guestPolicies/{guestPoliciesId}", "description": "Delete an OS Config guest policy.", "response": { "$ref": "Empty" }, "id": "osconfig.projects.guestPolicies.delete", "parameters": { "name": { "required": true, "description": "Required. The resource name of the guest policy using one of the following forms: `projects/{project_number}/guestPolicies/{guest_policy_id}`.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/guestPolicies/[^/]+$" } }, "httpMethod": "DELETE" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+name}", "httpMethod": "GET", "response": { "$ref": "GuestPolicy" }, "parameterOrder": [ "name" ], "id": "osconfig.projects.guestPolicies.get", "description": "Get an OS Config guest policy.", "flatPath": "v1beta/projects/{projectsId}/guestPolicies/{guestPoliciesId}", "parameters": { "name": { "location": "path", "description": "Required. The resource name of the guest policy using one of the following forms: `projects/{project_number}/guestPolicies/{guest_policy_id}`.", "type": "string", "required": true, "pattern": "^projects/[^/]+/guestPolicies/[^/]+$" } } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/guestPolicies", "id": "osconfig.projects.guestPolicies.list", "parameters": { "pageSize": { "type": "integer", "format": "int32", "description": "The maximum number of guest policies to return.", "location": "query" }, "parent": { "description": "Required. The resource name of the parent using one of the following forms: `projects/{project_number}`.", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string" }, "pageToken": { "location": "query", "type": "string", "description": "A pagination token returned from a previous call to `ListGuestPolicies` that indicates where this listing should continue from." } }, "description": "Get a page of OS Config guest policies.", "httpMethod": "GET", "flatPath": "v1beta/projects/{projectsId}/guestPolicies", "response": { "$ref": "ListGuestPoliciesResponse" }, "parameterOrder": [ "parent" ] }, "patch": { "response": { "$ref": "GuestPolicy" }, "httpMethod": "PATCH", "description": "Update an OS Config guest policy.", "id": "osconfig.projects.guestPolicies.patch", "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "request": { "$ref": "GuestPolicy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/guestPolicies/{guestPoliciesId}", "parameters": { "name": { "type": "string", "required": true, "description": "Required. Unique name of the resource in this project using one of the following forms: `projects/{project_number}/guestPolicies/{guest_policy_id}`.", "pattern": "^projects/[^/]+/guestPolicies/[^/]+$", "location": "path" }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Field mask that controls which fields of the guest policy should be updated." } } } } }, "patchDeployments": { "methods": { "get": { "parameters": { "name": { "type": "string", "description": "Required. The resource name of the patch deployment in the form `projects/*/patchDeployments/*`.", "location": "path", "pattern": "^projects/[^/]+/patchDeployments/[^/]+$", "required": true } }, "response": { "$ref": "PatchDeployment" }, "path": "v1beta/{+name}", "id": "osconfig.projects.patchDeployments.get", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Get an OS Config patch deployment.", "flatPath": "v1beta/projects/{projectsId}/patchDeployments/{patchDeploymentsId}" }, "delete": { "response": { "$ref": "Empty" }, "id": "osconfig.projects.patchDeployments.delete", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The resource name of the patch deployment in the form `projects/*/patchDeployments/*`.", "required": true, "pattern": "^projects/[^/]+/patchDeployments/[^/]+$" } }, "description": "Delete an OS Config patch deployment.", "flatPath": "v1beta/projects/{projectsId}/patchDeployments/{patchDeploymentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "resume": { "id": "osconfig.projects.patchDeployments.resume", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/patchDeployments/[^/]+$", "description": "Required. The resource name of the patch deployment in the form `projects/*/patchDeployments/*`." } }, "httpMethod": "POST", "response": { "$ref": "PatchDeployment" }, "request": { "$ref": "ResumePatchDeploymentRequest" }, "description": "Change state of patch deployment back to \"ACTIVE\". Patch deployment in active state continues to generate patch jobs.", "path": "v1beta/{+name}:resume", "flatPath": "v1beta/projects/{projectsId}/patchDeployments/{patchDeploymentsId}:resume" }, "list": { "httpMethod": "GET", "response": { "$ref": "ListPatchDeploymentsResponse" }, "flatPath": "v1beta/projects/{projectsId}/patchDeployments", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "osconfig.projects.patchDeployments.list", "description": "Get a page of OS Config patch deployments.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. The resource name of the parent in the form `projects/*`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+$" }, "pageToken": { "description": "Optional. A pagination token returned from a previous call to ListPatchDeployments that indicates where this listing should continue from.", "location": "query", "type": "string" }, "pageSize": { "description": "Optional. The maximum number of patch deployments to return. Default is 100.", "format": "int32", "location": "query", "type": "integer" } }, "path": "v1beta/{+parent}/patchDeployments" }, "pause": { "parameterOrder": [ "name" ], "request": { "$ref": "PausePatchDeploymentRequest" }, "id": "osconfig.projects.patchDeployments.pause", "path": "v1beta/{+name}:pause", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "location": "path", "description": "Required. The resource name of the patch deployment in the form `projects/*/patchDeployments/*`.", "pattern": "^projects/[^/]+/patchDeployments/[^/]+$", "type": "string", "required": true } }, "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/patchDeployments/{patchDeploymentsId}:pause", "response": { "$ref": "PatchDeployment" }, "description": "Change state of patch deployment to \"PAUSED\". Patch deployment in paused state doesn't generate patch jobs." }, "create": { "parameters": { "patchDeploymentId": { "type": "string", "description": "Required. A name for the patch deployment in the project. When creating a name the following rules apply: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must contain only lowercase letters, numbers, and hyphens. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must start with a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be between 1-63 characters. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must end with a number or a letter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Must be unique within the project.", "location": "query" }, "parent": { "type": "string", "description": "Required. The project to apply this patch deployment to in the form `projects/*`.", "pattern": "^projects/[^/]+$", "location": "path", "required": true } }, "path": "v1beta/{+parent}/patchDeployments", "description": "Create an OS Config patch deployment.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "PatchDeployment" }, "request": { "$ref": "PatchDeployment" }, "parameterOrder": [ "parent" ], "id": "osconfig.projects.patchDeployments.create", "httpMethod": "POST", "flatPath": "v1beta/projects/{projectsId}/patchDeployments" }, "patch": { "parameterOrder": [ "name" ], "path": "v1beta/{+name}", "response": { "$ref": "PatchDeployment" }, "request": { "$ref": "PatchDeployment" }, "httpMethod": "PATCH", "parameters": { "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Optional. Field mask that controls which fields of the patch deployment should be updated.", "location": "query" }, "name": { "required": true, "pattern": "^projects/[^/]+/patchDeployments/[^/]+$", "location": "path", "description": "Unique name for the patch deployment resource in a project. The patch deployment name is in the form: `projects/{project_id}/patchDeployments/{patch_deployment_id}`. This field is ignored when you create a new patch deployment.", "type": "string" } }, "id": "osconfig.projects.patchDeployments.patch", "flatPath": "v1beta/projects/{projectsId}/patchDeployments/{patchDeploymentsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Update an OS Config patch deployment." } } }, "patchJobs": { "resources": { "instanceDetails": { "methods": { "list": { "response": { "$ref": "ListPatchJobInstanceDetailsResponse" }, "description": "Get a list of instance details for a given patch job.", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "location": "query", "description": "A pagination token returned from a previous call that indicates where this listing should continue from.", "type": "string" }, "pageSize": { "type": "integer", "description": "The maximum number of instance details records to return. Default is 100.", "location": "query", "format": "int32" }, "filter": { "location": "query", "type": "string", "description": "A filter expression that filters results listed in the response. This field supports filtering results by instance zone, name, state, or `failure_reason`." }, "parent": { "required": true, "pattern": "^projects/[^/]+/patchJobs/[^/]+$", "location": "path", "description": "Required. The parent for the instances are in the form of `projects/*/patchJobs/*`.", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta/{+parent}/instanceDetails", "httpMethod": "GET", "id": "osconfig.projects.patchJobs.instanceDetails.list", "flatPath": "v1beta/projects/{projectsId}/patchJobs/{patchJobsId}/instanceDetails" } } } }, "methods": { "cancel": { "id": "osconfig.projects.patchJobs.cancel", "flatPath": "v1beta/projects/{projectsId}/patchJobs/{patchJobsId}:cancel", "path": "v1beta/{+name}:cancel", "response": { "$ref": "PatchJob" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CancelPatchJobRequest" }, "parameterOrder": [ "name" ], "description": "Cancel a patch job. The patch job must be active. Canceled patch jobs cannot be restarted.", "parameters": { "name": { "pattern": "^projects/[^/]+/patchJobs/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. Name of the patch in the form `projects/*/patchJobs/*`" } } }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1beta/{+parent}/patchJobs", "response": { "$ref": "ListPatchJobsResponse" }, "parameters": { "pageSize": { "location": "query", "description": "The maximum number of instance status to return.", "type": "integer", "format": "int32" }, "pageToken": { "location": "query", "type": "string", "description": "A pagination token returned from a previous call that indicates where this listing should continue from." }, "parent": { "description": "Required. In the form of `projects/*`", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+$" }, "filter": { "location": "query", "description": "If provided, this field specifies the criteria that must be met by patch jobs to be included in the response. Currently, filtering is only available on the patch_deployment field.", "type": "string" } }, "id": "osconfig.projects.patchJobs.list", "description": "Get a list of patch jobs.", "flatPath": "v1beta/projects/{projectsId}/patchJobs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "execute": { "parameters": { "parent": { "location": "path", "required": true, "type": "string", "description": "Required. The project in which to run this patch in the form `projects/*`", "pattern": "^projects/[^/]+$" } }, "path": "v1beta/{+parent}/patchJobs:execute", "id": "osconfig.projects.patchJobs.execute", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta/projects/{projectsId}/patchJobs:execute", "response": { "$ref": "PatchJob" }, "request": { "$ref": "ExecutePatchJobRequest" }, "description": "Patch VM instances by creating and running a patch job.", "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "get": { "parameterOrder": [ "name" ], "id": "osconfig.projects.patchJobs.get", "flatPath": "v1beta/projects/{projectsId}/patchJobs/{patchJobsId}", "response": { "$ref": "PatchJob" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/patchJobs/[^/]+$", "location": "path", "type": "string", "description": "Required. Name of the patch in the form `projects/*/patchJobs/*`" } }, "path": "v1beta/{+name}", "httpMethod": "GET", "description": "Get the patch job. This can be used to track the progress of an ongoing patch job or review the details of completed jobs." } } }, "zones": { "resources": { "instances": { "methods": { "lookupEffectiveGuestPolicy": { "response": { "$ref": "EffectiveGuestPolicy" }, "id": "osconfig.projects.zones.instances.lookupEffectiveGuestPolicy", "description": "Lookup the effective guest policy that applies to a VM instance. This lookup merges all policies that are assigned to the instance ancestry.", "parameterOrder": [ "instance" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "path": "v1beta/{+instance}:lookupEffectiveGuestPolicy", "request": { "$ref": "LookupEffectiveGuestPolicyRequest" }, "flatPath": "v1beta/projects/{projectsId}/zones/{zonesId}/instances/{instancesId}:lookupEffectiveGuestPolicy", "parameters": { "instance": { "pattern": "^projects/[^/]+/zones/[^/]+/instances/[^/]+$", "type": "string", "required": true, "description": "Required. The VM instance whose policies are being looked up.", "location": "path" } } } } } } } } } }, "title": "OS Config API", "description": "OS management tools that can be used for patch management, patch compliance, and configuration management on VM instances.", "version": "v1beta", "fullyEncodeReservedExpansion": true, "basePath": "", "kind": "discovery#restDescription", "mtlsRootUrl": "https://osconfig.mtls.googleapis.com/" }
]===]))
