local decode = require("cjson").new().decode
return assert(decode([===[
{ "name": "oslogin", "servicePath": "", "revision": "20220627", "mtlsRootUrl": "https://oslogin.mtls.googleapis.com/", "kind": "discovery#restDescription", "schemas": { "PosixAccount": { "id": "PosixAccount", "type": "object", "properties": { "operatingSystemType": { "type": "string", "description": "The operating system type where this account applies.", "enumDescriptions": [ "The operating system type associated with the user account information is unspecified.", "Linux user account information.", "Windows user account information." ], "enum": [ "OPERATING_SYSTEM_TYPE_UNSPECIFIED", "LINUX", "WINDOWS" ] }, "homeDirectory": { "type": "string", "description": "The path to the home directory for this account." }, "shell": { "type": "string", "description": "The path to the logic shell for this account." }, "accountId": { "type": "string", "readOnly": true, "description": "Output only. A POSIX account identifier." }, "name": { "type": "string", "readOnly": true, "description": "Output only. The canonical resource name." }, "username": { "description": "The username of the POSIX account.", "type": "string" }, "primary": { "type": "boolean", "description": "Only one POSIX account can be marked as primary." }, "systemId": { "description": "System identifier for which account the username or uid applies to. By default, the empty value is used.", "type": "string" }, "gecos": { "type": "string", "description": "The GECOS (user information) entry for this account." }, "uid": { "format": "int64", "type": "string", "description": "The user ID." }, "gid": { "description": "The default group ID.", "type": "string", "format": "int64" } }, "description": "The POSIX account information associated with a Google account." }, "LoginProfile": { "properties": { "name": { "description": "Required. A unique user ID.", "type": "string" }, "sshPublicKeys": { "type": "object", "additionalProperties": { "$ref": "SshPublicKey" }, "description": "A map from SSH public key fingerprint to the associated key object." }, "posixAccounts": { "description": "The list of POSIX accounts associated with the user.", "type": "array", "items": { "$ref": "PosixAccount" } } }, "description": "The user profile information used for logging in to a virtual machine on Google Compute Engine.", "id": "LoginProfile", "type": "object" }, "SshPublicKey": { "id": "SshPublicKey", "description": "The SSH public key information associated with a Google account.", "type": "object", "properties": { "name": { "description": "Output only. The canonical resource name.", "readOnly": true, "type": "string" }, "fingerprint": { "description": "Output only. The SHA-256 fingerprint of the SSH public key.", "type": "string", "readOnly": true }, "expirationTimeUsec": { "type": "string", "description": "An expiration time in microseconds since epoch.", "format": "int64" }, "key": { "description": "Public key text in SSH format, defined by RFC4253 section 6.6.", "type": "string" } } }, "ImportSshPublicKeyResponse": { "id": "ImportSshPublicKeyResponse", "description": "A response message for importing an SSH public key.", "properties": { "loginProfile": { "$ref": "LoginProfile", "description": "The login profile information for the user." }, "details": { "type": "string", "description": "Detailed information about import results." } }, "type": "object" }, "Empty": { "properties": {}, "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object" } }, "ownerDomain": "google.com", "parameters": { "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "$.xgafv": { "location": "query", "enum": [ "1", "2" ], "description": "V1 error format.", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "location": "query", "type": "boolean" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "location": "query", "default": "json" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string", "location": "query" } }, "fullyEncodeReservedExpansion": true, "canonicalName": "Cloud OS Login", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "rootUrl": "https://oslogin.googleapis.com/", "baseUrl": "https://oslogin.googleapis.com/", "title": "Cloud OS Login API", "documentationLink": "https://cloud.google.com/compute/docs/oslogin/", "version_module": true, "batchPath": "batch", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" } } } }, "description": "You can use OS Login to manage access to your VM instances using IAM roles.", "discoveryVersion": "v1", "id": "oslogin:v1", "version": "v1", "basePath": "", "resources": { "users": { "methods": { "importSshPublicKey": { "request": { "$ref": "SshPublicKey" }, "description": "Adds an SSH public key and returns the profile information. Default POSIX account information is set when no username and UID exist as part of the login profile.", "path": "v1/{+parent}:importSshPublicKey", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "oslogin.users.importSshPublicKey", "response": { "$ref": "ImportSshPublicKeyResponse" }, "parameterOrder": [ "parent" ], "parameters": { "parent": { "pattern": "^users/[^/]+$", "location": "path", "type": "string", "required": true, "description": "Required. The unique ID for the user in format `users/{user}`." }, "projectId": { "description": "The project ID of the Google Cloud Platform project.", "type": "string", "location": "query" } }, "httpMethod": "POST", "flatPath": "v1/users/{usersId}:importSshPublicKey" }, "getLoginProfile": { "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^users/[^/]+$", "description": "Required. The unique ID for the user in format `users/{user}`." }, "projectId": { "description": "The project ID of the Google Cloud Platform project.", "type": "string", "location": "query" }, "systemId": { "description": "A system ID for filtering the results of the request.", "type": "string", "location": "query" } }, "response": { "$ref": "LoginProfile" }, "httpMethod": "GET", "id": "oslogin.users.getLoginProfile", "flatPath": "v1/users/{usersId}/loginProfile", "path": "v1/{+name}/loginProfile", "description": "Retrieves the profile information used for logging in to a virtual machine on Google Compute Engine.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ] } }, "resources": { "sshPublicKeys": { "methods": { "create": { "flatPath": "v1/users/{usersId}/sshPublicKeys", "parameters": { "parent": { "pattern": "^users/[^/]+$", "required": true, "type": "string", "location": "path", "description": "Required. The unique ID for the user in format `users/{user}`." } }, "path": "v1/{+parent}/sshPublicKeys", "httpMethod": "POST", "description": "Create an SSH public key", "response": { "$ref": "SshPublicKey" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "oslogin.users.sshPublicKeys.create", "request": { "$ref": "SshPublicKey" } }, "get": { "id": "oslogin.users.sshPublicKeys.get", "flatPath": "v1/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "parameterOrder": [ "name" ], "description": "Retrieves an SSH public key.", "parameters": { "name": { "description": "Required. The fingerprint of the public key to retrieve. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "location": "path", "type": "string", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "v1/{+name}", "response": { "$ref": "SshPublicKey" }, "httpMethod": "GET" }, "patch": { "flatPath": "v1/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "response": { "$ref": "SshPublicKey" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SshPublicKey" }, "parameterOrder": [ "name" ], "id": "oslogin.users.sshPublicKeys.patch", "description": "Updates an SSH public key and returns the profile information. This method supports patch semantics.", "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Mask to control which fields get updated. Updates all if not present.", "location": "query", "format": "google-fieldmask", "type": "string" }, "name": { "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "type": "string", "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "required": true, "location": "path" } } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Empty" }, "id": "oslogin.users.sshPublicKeys.delete", "flatPath": "v1/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "description": "Deletes an SSH public key.", "path": "v1/{+name}", "httpMethod": "DELETE", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "location": "path", "required": true, "type": "string" } } } } }, "projects": { "methods": { "delete": { "flatPath": "v1/users/{usersId}/projects/{projectsId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "id": "oslogin.users.projects.delete", "parameters": { "name": { "type": "string", "location": "path", "pattern": "^users/[^/]+/projects/[^/]+$", "required": true, "description": "Required. A reference to the POSIX account to update. POSIX accounts are identified by the project ID they are associated with. A reference to the POSIX account is in format `users/{user}/projects/{project}`." } }, "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes a POSIX account.", "response": { "$ref": "Empty" } } } } } } }, "protocol": "rest", "ownerName": "Google" }
]===]))
