local decode = require("cjson").new().decode
return assert(decode([===[
{ "title": "Cloud OS Login API", "schemas": { "SshPublicKey": { "properties": { "expirationTimeUsec": { "type": "string", "description": "An expiration time in microseconds since epoch.", "format": "int64" }, "fingerprint": { "description": "Output only. The SHA-256 fingerprint of the SSH public key.", "readOnly": true, "type": "string" }, "name": { "readOnly": true, "type": "string", "description": "Output only. The canonical resource name." }, "key": { "type": "string", "description": "Public key text in SSH format, defined by RFC4253 section 6.6." } }, "type": "object", "description": "The SSH public key information associated with a Google account.", "id": "SshPublicKey" }, "WebAuthn": { "type": "object", "properties": { "rpId": { "description": "Relying party ID for Web Authentication.", "type": "string" } }, "description": "Security key information specific to the Web Authentication protocol.", "id": "WebAuthn" }, "LoginProfile": { "type": "object", "description": "The user profile information used for logging in to a virtual machine on Google Compute Engine.", "id": "LoginProfile", "properties": { "securityKeys": { "items": { "$ref": "SecurityKey" }, "description": "The registered security key credentials for a user.", "type": "array" }, "posixAccounts": { "description": "The list of POSIX accounts associated with the user.", "type": "array", "items": { "$ref": "PosixAccount" } }, "sshPublicKeys": { "additionalProperties": { "$ref": "SshPublicKey" }, "description": "A map from SSH public key fingerprint to the associated key object.", "type": "object" }, "name": { "description": "Required. A unique user ID.", "type": "string" } } }, "SecurityKey": { "type": "object", "id": "SecurityKey", "properties": { "universalTwoFactor": { "description": "The U2F protocol type.", "$ref": "UniversalTwoFactor" }, "webAuthn": { "$ref": "WebAuthn", "description": "The Web Authentication protocol type." }, "publicKey": { "type": "string", "description": "Public key text in SSH format, defined by [RFC4253](\"https://www.ietf.org/rfc/rfc4253.txt\") section 6.6." }, "privateKey": { "type": "string", "description": "Hardware-backed private key text in SSH format." } }, "description": "The credential information for a Google registered security key." }, "Empty": { "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "type": "object", "properties": {} }, "PosixAccount": { "description": "The POSIX account information associated with a Google account.", "type": "object", "id": "PosixAccount", "properties": { "operatingSystemType": { "description": "The operating system type where this account applies.", "enum": [ "OPERATING_SYSTEM_TYPE_UNSPECIFIED", "LINUX", "WINDOWS" ], "type": "string", "enumDescriptions": [ "The operating system type associated with the user account information is unspecified.", "Linux user account information.", "Windows user account information." ] }, "gid": { "description": "The default group ID.", "format": "int64", "type": "string" }, "name": { "readOnly": true, "type": "string", "description": "Output only. The canonical resource name." }, "accountId": { "readOnly": true, "description": "Output only. A POSIX account identifier.", "type": "string" }, "systemId": { "description": "System identifier for which account the username or uid applies to. By default, the empty value is used.", "type": "string" }, "username": { "type": "string", "description": "The username of the POSIX account." }, "gecos": { "type": "string", "description": "The GECOS (user information) entry for this account." }, "uid": { "description": "The user ID.", "type": "string", "format": "int64" }, "shell": { "type": "string", "description": "The path to the logic shell for this account." }, "homeDirectory": { "description": "The path to the home directory for this account.", "type": "string" }, "primary": { "type": "boolean", "description": "Only one POSIX account can be marked as primary." } } }, "UniversalTwoFactor": { "properties": { "appId": { "type": "string", "description": "Application ID for the U2F protocol." } }, "description": "Security key information specific to the U2F protocol.", "type": "object", "id": "UniversalTwoFactor" }, "ImportSshPublicKeyResponse": { "id": "ImportSshPublicKeyResponse", "description": "A response message for importing an SSH public key.", "properties": { "loginProfile": { "$ref": "LoginProfile", "description": "The login profile information for the user." }, "details": { "description": "Detailed information about import results.", "type": "string" } }, "type": "object" } }, "id": "oslogin:v1alpha", "discoveryVersion": "v1", "version_module": true, "rootUrl": "https://oslogin.googleapis.com/", "kind": "discovery#restDescription", "version": "v1alpha", "ownerDomain": "google.com", "mtlsRootUrl": "https://oslogin.mtls.googleapis.com/", "protocol": "rest", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" }, "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "ownerName": "Google", "baseUrl": "https://oslogin.googleapis.com/", "servicePath": "", "parameters": { "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "location": "query", "type": "string", "enum": [ "1", "2" ] }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "alt": { "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "location": "query", "enum": [ "json", "media", "proto" ], "description": "Data format for response." }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "access_token": { "type": "string", "description": "OAuth access token.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "description": "You can use OS Login to manage access to your VM instances using IAM roles.", "batchPath": "batch", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "basePath": "", "canonicalName": "Cloud OS Login", "revision": "20220627", "name": "oslogin", "documentationLink": "https://cloud.google.com/compute/docs/oslogin/", "resources": { "users": { "resources": { "projects": { "methods": { "delete": { "parameters": { "operatingSystemType": { "type": "string", "enum": [ "OPERATING_SYSTEM_TYPE_UNSPECIFIED", "LINUX", "WINDOWS" ], "description": "The type of operating system associated with the account.", "location": "query", "enumDescriptions": [ "The operating system type associated with the user account information is unspecified.", "Linux user account information.", "Windows user account information." ] }, "name": { "location": "path", "required": true, "pattern": "^users/[^/]+/projects/[^/]+$", "type": "string", "description": "Required. A reference to the POSIX account to update. POSIX accounts are identified by the project ID they are associated with. A reference to the POSIX account is in format `users/{user}/projects/{project}`." } }, "description": "Deletes a POSIX account.", "flatPath": "v1alpha/users/{usersId}/projects/{projectsId}", "path": "v1alpha/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "oslogin.users.projects.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "response": { "$ref": "Empty" } } } }, "sshPublicKeys": { "methods": { "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SshPublicKey" }, "parameters": { "updateMask": { "description": "Mask to control which fields get updated. Updates all if not present.", "location": "query", "type": "string", "format": "google-fieldmask" }, "name": { "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "required": true, "type": "string", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "location": "path" } }, "id": "oslogin.users.sshPublicKeys.patch", "response": { "$ref": "SshPublicKey" }, "description": "Updates an SSH public key and returns the profile information. This method supports patch semantics.", "flatPath": "v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "httpMethod": "PATCH", "path": "v1alpha/{+name}", "parameterOrder": [ "name" ] }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "path": "v1alpha/{+name}", "id": "oslogin.users.sshPublicKeys.get", "httpMethod": "GET", "parameters": { "name": { "description": "Required. The fingerprint of the public key to retrieve. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "required": true, "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "response": { "$ref": "SshPublicKey" }, "description": "Retrieves an SSH public key." }, "delete": { "id": "oslogin.users.sshPublicKeys.delete", "parameters": { "name": { "type": "string", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "location": "path", "required": true, "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`." } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ], "flatPath": "v1alpha/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "httpMethod": "DELETE", "path": "v1alpha/{+name}", "description": "Deletes an SSH public key." }, "create": { "httpMethod": "POST", "description": "Create an SSH public key", "id": "oslogin.users.sshPublicKeys.create", "parameterOrder": [ "parent" ], "response": { "$ref": "SshPublicKey" }, "parameters": { "parent": { "description": "Required. The unique ID for the user in format `users/{user}`.", "location": "path", "required": true, "type": "string", "pattern": "^users/[^/]+$" } }, "request": { "$ref": "SshPublicKey" }, "flatPath": "v1alpha/users/{usersId}/sshPublicKeys", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "path": "v1alpha/{+parent}/sshPublicKeys" } } } }, "methods": { "getLoginProfile": { "id": "oslogin.users.getLoginProfile", "response": { "$ref": "LoginProfile" }, "flatPath": "v1alpha/users/{usersId}/loginProfile", "description": "Retrieves the profile information used for logging in to a virtual machine on Google Compute Engine.", "path": "v1alpha/{+name}/loginProfile", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "operatingSystemType": { "location": "query", "type": "string", "description": "The type of operating system associated with the account.", "enum": [ "OPERATING_SYSTEM_TYPE_UNSPECIFIED", "LINUX", "WINDOWS" ], "enumDescriptions": [ "The operating system type associated with the user account information is unspecified.", "Linux user account information.", "Windows user account information." ] }, "name": { "required": true, "location": "path", "pattern": "^users/[^/]+$", "type": "string", "description": "Required. The unique ID for the user in format `users/{user}`." }, "view": { "enum": [ "LOGIN_PROFILE_VIEW_UNSPECIFIED", "BASIC", "SECURITY_KEY" ], "description": "The view configures whether to retrieve security keys information.", "enumDescriptions": [ "The default login profile view. The API defaults to the BASIC view.", "Includes POSIX and SSH key information.", "Include security key information for the user." ], "type": "string", "location": "query" }, "projectId": { "description": "The project ID of the Google Cloud Platform project.", "type": "string", "location": "query" }, "systemId": { "description": "A system ID for filtering the results of the request.", "location": "query", "type": "string" } } }, "importSshPublicKey": { "id": "oslogin.users.importSshPublicKey", "path": "v1alpha/{+parent}:importSshPublicKey", "flatPath": "v1alpha/users/{usersId}:importSshPublicKey", "description": "Adds an SSH public key and returns the profile information. Default POSIX account information is set when no username and UID exist as part of the login profile.", "httpMethod": "POST", "parameters": { "view": { "location": "query", "enum": [ "LOGIN_PROFILE_VIEW_UNSPECIFIED", "BASIC", "SECURITY_KEY" ], "enumDescriptions": [ "The default login profile view. The API defaults to the BASIC view.", "Includes POSIX and SSH key information.", "Include security key information for the user." ], "description": "The view configures whether to retrieve security keys information.", "type": "string" }, "parent": { "required": true, "location": "path", "description": "The unique ID for the user in format `users/{user}`.", "pattern": "^users/[^/]+$", "type": "string" }, "projectId": { "location": "query", "type": "string", "description": "The project ID of the Google Cloud Platform project." } }, "request": { "$ref": "SshPublicKey" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "response": { "$ref": "ImportSshPublicKeyResponse" }, "parameterOrder": [ "parent" ] } } } }, "fullyEncodeReservedExpansion": true }
]===]))
