local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "Empty": { "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {}, "id": "Empty", "type": "object" }, "LoginProfile": { "properties": { "securityKeys": { "type": "array", "description": "The registered security key credentials for a user.", "items": { "$ref": "SecurityKey" } }, "sshPublicKeys": { "type": "object", "additionalProperties": { "$ref": "SshPublicKey" }, "description": "A map from SSH public key fingerprint to the associated key object." }, "name": { "type": "string", "description": "Required. A unique user ID." }, "posixAccounts": { "type": "array", "items": { "$ref": "PosixAccount" }, "description": "The list of POSIX accounts associated with the user." } }, "description": "The user profile information used for logging in to a virtual machine on Google Compute Engine.", "id": "LoginProfile", "type": "object" }, "WebAuthn": { "description": "Security key information specific to the Web Authentication protocol.", "id": "WebAuthn", "properties": { "rpId": { "description": "Relying party ID for Web Authentication.", "type": "string" } }, "type": "object" }, "PosixAccount": { "description": "The POSIX account information associated with a Google account.", "properties": { "name": { "type": "string", "description": "Output only. The canonical resource name.", "readOnly": true }, "gid": { "type": "string", "description": "The default group ID.", "format": "int64" }, "shell": { "description": "The path to the logic shell for this account.", "type": "string" }, "primary": { "description": "Only one POSIX account can be marked as primary.", "type": "boolean" }, "uid": { "description": "The user ID.", "type": "string", "format": "int64" }, "homeDirectory": { "type": "string", "description": "The path to the home directory for this account." }, "username": { "type": "string", "description": "The username of the POSIX account." }, "accountId": { "type": "string", "readOnly": true, "description": "Output only. A POSIX account identifier." }, "systemId": { "type": "string", "description": "System identifier for which account the username or uid applies to. By default, the empty value is used." }, "gecos": { "type": "string", "description": "The GECOS (user information) entry for this account." }, "operatingSystemType": { "enumDescriptions": [ "The operating system type associated with the user account information is unspecified.", "Linux user account information.", "Windows user account information." ], "enum": [ "OPERATING_SYSTEM_TYPE_UNSPECIFIED", "LINUX", "WINDOWS" ], "description": "The operating system type where this account applies.", "type": "string" } }, "id": "PosixAccount", "type": "object" }, "SshPublicKey": { "description": "The SSH public key information associated with a Google account.", "id": "SshPublicKey", "properties": { "expirationTimeUsec": { "type": "string", "description": "An expiration time in microseconds since epoch.", "format": "int64" }, "name": { "type": "string", "description": "Output only. The canonical resource name.", "readOnly": true }, "fingerprint": { "readOnly": true, "type": "string", "description": "Output only. The SHA-256 fingerprint of the SSH public key." }, "key": { "type": "string", "description": "Public key text in SSH format, defined by RFC4253 section 6.6." } }, "type": "object" }, "ImportSshPublicKeyResponse": { "id": "ImportSshPublicKeyResponse", "type": "object", "description": "A response message for importing an SSH public key.", "properties": { "loginProfile": { "$ref": "LoginProfile", "description": "The login profile information for the user." }, "details": { "type": "string", "description": "Detailed information about import results." } } }, "SecurityKey": { "id": "SecurityKey", "type": "object", "properties": { "publicKey": { "type": "string", "description": "Public key text in SSH format, defined by [RFC4253](\"https://www.ietf.org/rfc/rfc4253.txt\") section 6.6." }, "webAuthn": { "$ref": "WebAuthn", "description": "The Web Authentication protocol type." }, "privateKey": { "type": "string", "description": "Hardware-backed private key text in SSH format." }, "universalTwoFactor": { "$ref": "UniversalTwoFactor", "description": "The U2F protocol type." } }, "description": "The credential information for a Google registered security key." }, "UniversalTwoFactor": { "properties": { "appId": { "type": "string", "description": "Application ID for the U2F protocol." } }, "id": "UniversalTwoFactor", "type": "object", "description": "Security key information specific to the U2F protocol." } }, "batchPath": "batch", "title": "Cloud OS Login API", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/compute": { "description": "View and manage your Google Compute Engine resources" }, "https://www.googleapis.com/auth/cloud-platform.read-only": { "description": "View your data across Google Cloud services and see the email address of your Google Account" }, "https://www.googleapis.com/auth/compute.readonly": { "description": "View your Google Compute Engine resources" } } } }, "ownerDomain": "google.com", "name": "oslogin", "baseUrl": "https://oslogin.googleapis.com/", "mtlsRootUrl": "https://oslogin.mtls.googleapis.com/", "documentationLink": "https://cloud.google.com/compute/docs/oslogin/", "fullyEncodeReservedExpansion": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "canonicalName": "Cloud OS Login", "basePath": "", "version": "v1beta", "parameters": { "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "type": "string", "enum": [ "json", "media", "proto" ], "default": "json", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query", "type": "string" }, "fields": { "location": "query", "type": "string", "description": "Selector specifying which fields to include in a partial response." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks.", "default": "true" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." } }, "version_module": true, "rootUrl": "https://oslogin.googleapis.com/", "resources": { "users": { "resources": { "projects": { "methods": { "delete": { "flatPath": "v1beta/users/{usersId}/projects/{projectsId}", "id": "oslogin.users.projects.delete", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "parameters": { "name": { "required": true, "location": "path", "description": "Required. A reference to the POSIX account to update. POSIX accounts are identified by the project ID they are associated with. A reference to the POSIX account is in format `users/{user}/projects/{project}`.", "pattern": "^users/[^/]+/projects/[^/]+$", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "description": "Deletes a POSIX account.", "path": "v1beta/{+name}", "response": { "$ref": "Empty" } } } }, "sshPublicKeys": { "methods": { "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "name" ], "description": "Deletes an SSH public key.", "httpMethod": "DELETE", "parameters": { "name": { "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "type": "string", "required": true, "location": "path", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$" } }, "response": { "$ref": "Empty" }, "path": "v1beta/{+name}", "flatPath": "v1beta/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "id": "oslogin.users.sshPublicKeys.delete" }, "get": { "parameters": { "name": { "required": true, "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "type": "string", "location": "path", "description": "Required. The fingerprint of the public key to retrieve. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`." } }, "parameterOrder": [ "name" ], "httpMethod": "GET", "flatPath": "v1beta/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "id": "oslogin.users.sshPublicKeys.get", "response": { "$ref": "SshPublicKey" }, "path": "v1beta/{+name}", "description": "Retrieves an SSH public key." }, "patch": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "flatPath": "v1beta/users/{usersId}/sshPublicKeys/{sshPublicKeysId}", "response": { "$ref": "SshPublicKey" }, "parameters": { "updateMask": { "location": "query", "type": "string", "description": "Mask to control which fields get updated. Updates all if not present.", "format": "google-fieldmask" }, "name": { "description": "Required. The fingerprint of the public key to update. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`.", "location": "path", "type": "string", "pattern": "^users/[^/]+/sshPublicKeys/[^/]+$", "required": true } }, "path": "v1beta/{+name}", "id": "oslogin.users.sshPublicKeys.patch", "request": { "$ref": "SshPublicKey" }, "httpMethod": "PATCH", "description": "Updates an SSH public key and returns the profile information. This method supports patch semantics." }, "create": { "flatPath": "v1beta/users/{usersId}/sshPublicKeys", "httpMethod": "POST", "request": { "$ref": "SshPublicKey" }, "id": "oslogin.users.sshPublicKeys.create", "response": { "$ref": "SshPublicKey" }, "path": "v1beta/{+parent}/sshPublicKeys", "parameters": { "parent": { "type": "string", "pattern": "^users/[^/]+$", "description": "Required. The unique ID for the user in format `users/{user}`.", "location": "path", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "parameterOrder": [ "parent" ], "description": "Create an SSH public key" } } } }, "methods": { "importSshPublicKey": { "parameters": { "projectId": { "type": "string", "location": "query", "description": "The project ID of the Google Cloud Platform project." }, "parent": { "required": true, "description": "The unique ID for the user in format `users/{user}`.", "pattern": "^users/[^/]+$", "location": "path", "type": "string" }, "view": { "description": "The view configures whether to retrieve security keys information.", "location": "query", "enum": [ "LOGIN_PROFILE_VIEW_UNSPECIFIED", "BASIC", "SECURITY_KEY" ], "type": "string", "enumDescriptions": [ "The default login profile view. The API defaults to the BASIC view.", "Includes POSIX and SSH key information.", "Include security key information for the user." ] } }, "path": "v1beta/{+parent}:importSshPublicKey", "id": "oslogin.users.importSshPublicKey", "description": "Adds an SSH public key and returns the profile information. Default POSIX account information is set when no username and UID exist as part of the login profile.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/compute" ], "request": { "$ref": "SshPublicKey" }, "flatPath": "v1beta/users/{usersId}:importSshPublicKey", "response": { "$ref": "ImportSshPublicKeyResponse" }, "parameterOrder": [ "parent" ], "httpMethod": "POST" }, "getLoginProfile": { "path": "v1beta/{+name}/loginProfile", "httpMethod": "GET", "description": "Retrieves the profile information used for logging in to a virtual machine on Google Compute Engine.", "parameters": { "name": { "pattern": "^users/[^/]+$", "description": "Required. The unique ID for the user in format `users/{user}`.", "type": "string", "required": true, "location": "path" }, "projectId": { "location": "query", "type": "string", "description": "The project ID of the Google Cloud Platform project." }, "systemId": { "type": "string", "description": "A system ID for filtering the results of the request.", "location": "query" }, "view": { "type": "string", "enumDescriptions": [ "The default login profile view. The API defaults to the BASIC view.", "Includes POSIX and SSH key information.", "Include security key information for the user." ], "enum": [ "LOGIN_PROFILE_VIEW_UNSPECIFIED", "BASIC", "SECURITY_KEY" ], "location": "query", "description": "The view configures whether to retrieve security keys information." } }, "response": { "$ref": "LoginProfile" }, "flatPath": "v1beta/users/{usersId}/loginProfile", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/cloud-platform.read-only", "https://www.googleapis.com/auth/compute", "https://www.googleapis.com/auth/compute.readonly" ], "id": "oslogin.users.getLoginProfile", "parameterOrder": [ "name" ] } } } }, "kind": "discovery#restDescription", "discoveryVersion": "v1", "protocol": "rest", "ownerName": "Google", "id": "oslogin:v1beta", "revision": "20220627", "description": "You can use OS Login to manage access to your VM instances using IAM roles.", "servicePath": "" }
]===]))
