local decode = require("cjson").new().decode
return assert(decode([===[
{ "parameters": { "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "access_token": { "type": "string", "location": "query", "description": "OAuth access token." }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "default": "true", "type": "boolean", "location": "query" }, "callback": { "description": "JSONP", "location": "query", "type": "string" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "alt": { "type": "string", "description": "Data format for response.", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json" }, "$.xgafv": { "description": "V1 error format.", "enum": [ "1", "2" ], "location": "query", "type": "string", "enumDescriptions": [ "v1 error format", "v2 error format" ] }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." } }, "revision": "20220711", "rootUrl": "https://pagespeedonline.googleapis.com/", "fullyEncodeReservedExpansion": true, "id": "pagespeedonline:v5", "canonicalName": "Pagespeed Insights", "basePath": "", "ownerName": "Google", "auth": { "oauth2": { "scopes": { "openid": { "description": "Associate you with your personal info on Google" } } } }, "ownerDomain": "google.com", "batchPath": "batch", "kind": "discovery#restDescription", "name": "pagespeedonline", "baseUrl": "https://pagespeedonline.googleapis.com/", "version": "v5", "servicePath": "", "version_module": true, "documentationLink": "https://developers.google.com/speed/docs/insights/v5/about", "resources": { "pagespeedapi": { "methods": { "runpagespeed": { "flatPath": "pagespeedonline/v5/runPagespeed", "httpMethod": "GET", "parameters": { "url": { "description": "Required. The URL to fetch and analyze", "type": "string", "location": "query", "required": true, "pattern": "(?i)(url:|origin:)?http(s)?://.*" }, "utm_campaign": { "description": "Campaign name for analytics.", "location": "query", "type": "string" }, "strategy": { "location": "query", "description": "The analysis strategy (desktop or mobile) to use, and desktop is the default", "type": "string", "enum": [ "STRATEGY_UNSPECIFIED", "DESKTOP", "MOBILE" ], "enumDescriptions": [ "UNDEFINED.", "Fetch and analyze the URL for desktop browsers.", "Fetch and analyze the URL for mobile devices." ] }, "locale": { "location": "query", "description": "The locale used to localize formatted results", "pattern": "[a-zA-Z]+((_|-)[a-zA-Z]+)?", "type": "string" }, "utm_source": { "type": "string", "description": "Campaign source for analytics.", "location": "query" }, "captchaToken": { "description": "The captcha token passed when filling out a captcha.", "location": "query", "type": "string" }, "category": { "repeated": true, "enum": [ "CATEGORY_UNSPECIFIED", "ACCESSIBILITY", "BEST_PRACTICES", "PERFORMANCE", "PWA", "SEO" ], "type": "string", "location": "query", "enumDescriptions": [ "Default UNDEFINED category.", "Accessibility (a11y), category pertaining to a website's capacity to be accessible to all users.", "Best Practices, category pertaining to a website's conformance to web best practice.", "Performance, category pertaining to a website's performance.", "Progressive Web App (PWA), category pertaining to a website's ability to be run as a PWA.", "Search Engine Optimization (SEO), category pertaining to a website's ability to be indexed by search engines." ], "description": "A Lighthouse category to run; if none are given, only Performance category will be run" } }, "parameterOrder": [ "url" ], "response": { "$ref": "PagespeedApiPagespeedResponseV5" }, "id": "pagespeedonline.pagespeedapi.runpagespeed", "scopes": [ "openid" ], "description": "Runs PageSpeed analysis on the page at the specified URL, and returns PageSpeed scores, a list of suggestions to make that page faster, and other information.", "path": "pagespeedonline/v5/runPagespeed" } } } }, "description": "The PageSpeed Insights API lets you analyze the performance of your website with a simple API. It offers tailored suggestions for how you can optimize your site, and lets you easily integrate PageSpeed Insights analysis into your development tools and workflow. ", "title": "PageSpeed Insights API", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "mtlsRootUrl": "https://pagespeedonline.mtls.googleapis.com/", "schemas": { "AuditRefs": { "id": "AuditRefs", "type": "object", "description": "A light reference to an audit by id, used to group and weight audits in a given category.", "properties": { "acronym": { "description": "The conventional acronym for the audit/metric.", "type": "string" }, "id": { "description": "The audit ref id.", "type": "string" }, "weight": { "description": "The weight this audit's score has on the overall category score.", "type": "number", "format": "double" }, "relevantAudits": { "type": "array", "items": { "type": "string" }, "description": "Any audit IDs closely relevant to this one." }, "group": { "type": "string", "description": "The category group that the audit belongs to (optional)." } } }, "Categories": { "description": "The categories in a Lighthouse run.", "properties": { "accessibility": { "$ref": "LighthouseCategoryV5", "description": "The accessibility category, containing all accessibility related audits." }, "performance": { "description": "The performance category, containing all performance related audits.", "$ref": "LighthouseCategoryV5" }, "best-practices": { "$ref": "LighthouseCategoryV5", "description": "The best practices category, containing all best practices related audits." }, "seo": { "description": "The Search-Engine-Optimization (SEO) category, containing all seo related audits.", "$ref": "LighthouseCategoryV5" }, "pwa": { "$ref": "LighthouseCategoryV5", "description": "The Progressive-Web-App (PWA) category, containing all pwa related audits." } }, "id": "Categories", "type": "object" }, "StackPack": { "type": "object", "id": "StackPack", "properties": { "descriptions": { "additionalProperties": { "type": "string" }, "type": "object", "description": "The stack pack advice strings." }, "iconDataURL": { "description": "The stack pack icon data uri.", "type": "string" }, "title": { "description": "The stack pack title.", "type": "string" }, "id": { "description": "The stack pack id.", "type": "string" } }, "description": "Message containing Stack Pack information." }, "RendererFormattedStrings": { "type": "object", "id": "RendererFormattedStrings", "properties": { "runtimeDesktopEmulation": { "description": "Descriptive explanation for emulation setting when emulating a generic desktop form factor, as opposed to a mobile-device like form factor.", "type": "string" }, "dropdownSaveJSON": { "type": "string", "description": "Option in a dropdown menu that saves the Lighthouse JSON object to the local system as a '.json' file." }, "runtimeSettingsBenchmark": { "description": "Label for a row in a table that shows the estimated CPU power of the machine running Lighthouse. Example row values: 532, 1492, 783.", "type": "string" }, "calculatorLink": { "description": "Text link pointing to the Lighthouse scoring calculator. This link immediately follows a sentence stating the performance score is calculated from the perf metrics.", "type": "string" }, "labDataTitle": { "description": "The title of the lab data performance category.", "type": "string" }, "runtimeSettingsUANetwork": { "description": "Label for a row in a table that shows the User Agent that was used to send out all network requests during the Lighthouse run.", "type": "string" }, "crcLongestDurationLabel": { "type": "string", "description": "The label for values shown in the summary of critical request chains." }, "auditGroupExpandTooltip": { "description": "The tooltip text on an expandable chevron icon.", "type": "string" }, "runtimeSettingsTitle": { "description": "Title of the Runtime settings table in a Lighthouse report. Runtime settings are the environment configurations that a specific report used at auditing time.", "type": "string" }, "runtimeSettingsUrl": { "description": "Label for a row in a table that shows the URL that was audited during a Lighthouse run.", "type": "string" }, "dropdownSaveGist": { "description": "Option in a dropdown menu that saves the current report as a new GitHub Gist.", "type": "string" }, "runtimeSettingsUA": { "type": "string", "description": "Label for a row in a table that shows the User Agent that was detected on the Host machine that ran Lighthouse." }, "showRelevantAudits": { "description": "Label preceding a radio control for filtering the list of audits. The radio choices are various performance metrics (FCP, LCP, TBT), and if chosen, the audits in the report are hidden if they are not relevant to the selected metric.", "type": "string" }, "lsPerformanceCategoryDescription": { "description": "The disclaimer shown under performance explaining that the network can vary.", "type": "string" }, "runtimeMobileEmulation": { "description": "Descriptive explanation for emulation setting when emulating a Nexus 5X mobile device.", "type": "string" }, "errorLabel": { "type": "string", "description": "The label shown next to an audit or metric that has had an error." }, "runtimeSettingsDevice": { "type": "string", "description": "Label for a row in a table that describes the kind of device that was emulated for the Lighthouse run. Example values for row elements: 'No Emulation', 'Emulated Desktop', etc." }, "runtimeSettingsNetworkThrottling": { "type": "string", "description": "Label for a row in a table that describes the network throttling conditions that were used during a Lighthouse run, if any." }, "crcInitialNavigation": { "type": "string", "description": "The label for the initial request in a critical request chain." }, "dropdownDarkTheme": { "description": "Option in a dropdown menu that toggles the themeing of the report between Light(default) and Dark themes.", "type": "string" }, "runtimeUnknown": { "type": "string", "description": "Descriptive explanation for a runtime setting that is set to an unknown value." }, "notApplicableAuditsGroupTitle": { "description": "The heading shown above a list of audits that do not apply to a page.", "type": "string" }, "runtimeSettingsChannel": { "type": "string", "description": "Label for a row in a table that shows in what tool Lighthouse is being run (e.g. The lighthouse CLI, Chrome DevTools, Lightrider, WebPageTest, etc)." }, "throttlingProvided": { "type": "string", "description": "Descriptive explanation for environment throttling that was provided by the runtime environment instead of provided by Lighthouse throttling." }, "snippetExpandButtonLabel": { "description": "The label for the button to show all lines of a snippet", "type": "string" }, "errorMissingAuditInfo": { "description": "The error string shown next to an erroring audit.", "type": "string" }, "runtimeSettingsFetchTime": { "type": "string", "description": "Label for a row in a table that shows the time at which a Lighthouse run was conducted; formatted as a timestamp, e.g. Jan 1, 1970 12:00 AM UTC." }, "warningAuditsGroupTitle": { "type": "string", "description": "The heading that is shown above a list of audits that have warnings" }, "dropdownPrintExpanded": { "description": "Option in a dropdown menu that opens a full Lighthouse report in a print dialog.", "type": "string" }, "manualAuditsGroupTitle": { "description": "The heading shown above a list of audits that were not computerd in the run.", "type": "string" }, "runtimeSettingsCPUThrottling": { "type": "string", "description": "Label for a row in a table that describes the CPU throttling conditions that were used during a Lighthouse run, if any." }, "dropdownPrintSummary": { "description": "Option in a dropdown menu that opens a small, summary report in a print dialog.", "type": "string" }, "dropdownSaveHTML": { "type": "string", "description": "Option in a dropdown menu that saves the Lighthouse report HTML locally to the system as a '.html' file." }, "footerIssue": { "description": "Label for button to create an issue against the Lighthouse GitHub project.", "type": "string" }, "varianceDisclaimer": { "description": "The disclaimer shown below a performance metric value.", "type": "string" }, "viewTreemapLabel": { "type": "string", "description": "Label for a button that opens the Treemap App" }, "runtimeNoEmulation": { "type": "string", "description": "Descriptive explanation for emulation setting when no device emulation is set." }, "passedAuditsGroupTitle": { "description": "The heading that is shown above a list of audits that are passing.", "type": "string" }, "warningHeader": { "type": "string", "description": "The label shown above a bulleted list of warnings." }, "toplevelWarningsMessage": { "description": "The label shown preceding important warnings that may have invalidated an entire report.", "type": "string" }, "snippetCollapseButtonLabel": { "description": "The label for the button to show only a few lines of a snippet", "type": "string" }, "opportunityResourceColumnLabel": { "description": "The heading for the estimated page load savings opportunity of an audit.", "type": "string" }, "thirdPartyResourcesLabel": { "description": "This label is for a filter checkbox above a table of items", "type": "string" }, "opportunitySavingsColumnLabel": { "description": "The heading for the estimated page load savings of opportunity audits.", "type": "string" }, "runtimeSettingsAxeVersion": { "type": "string", "description": "Label for a row in a table that shows the version of the Axe library used" }, "dropdownViewer": { "description": "Option in a dropdown menu that opens the current report in the Lighthouse Viewer Application.", "type": "string" }, "scorescaleLabel": { "type": "string", "description": "The label that explains the score gauges scale (0-49, 50-89, 90-100)." }, "dropdownCopyJSON": { "description": "Option in a dropdown menu that copies the Lighthouse JSON object to the system clipboard.", "type": "string" } }, "description": "Message holding the formatted strings used in the renderer." }, "UserPageLoadMetricV5": { "properties": { "percentile": { "type": "integer", "description": "We use this field to store certain percentile value for this metric. For v4, this field contains pc50. For v5, this field contains pc90.", "format": "int32" }, "metricId": { "description": "Identifies the type of the metric.", "type": "string" }, "median": { "format": "int32", "description": "The median number of the metric, in millisecond.", "type": "integer" }, "formFactor": { "description": "Identifies the form factor of the metric being collected.", "type": "string" }, "distributions": { "items": { "$ref": "Bucket" }, "type": "array", "description": "Metric distributions. Proportions should sum up to 1." }, "category": { "type": "string", "description": "The category of the specific time metric." } }, "type": "object", "id": "UserPageLoadMetricV5", "description": "A CrUX metric object for a single metric and form factor." }, "LighthouseResultV5": { "properties": { "runtimeError": { "description": "A top-level error message that, if present, indicates a serious enough problem that this Lighthouse result may need to be discarded.", "$ref": "RuntimeError" }, "audits": { "additionalProperties": { "$ref": "LighthouseAuditResultV5" }, "description": "Map of audits in the LHR.", "type": "object" }, "lighthouseVersion": { "description": "The lighthouse version that was used to generate this LHR.", "type": "string" }, "categories": { "$ref": "Categories", "description": "Map of categories in the LHR." }, "i18n": { "$ref": "I18n", "description": "The internationalization strings that are required to render the LHR." }, "fetchTime": { "type": "string", "description": "The time that this run was fetched." }, "finalUrl": { "type": "string", "description": "The final resolved url that was audited." }, "runWarnings": { "items": { "type": "any" }, "description": "List of all run warnings in the LHR. Will always output to at least `[]`.", "type": "array" }, "categoryGroups": { "type": "object", "description": "Map of category groups in the LHR.", "additionalProperties": { "$ref": "CategoryGroupV5" } }, "requestedUrl": { "type": "string", "description": "The original requested url." }, "timing": { "description": "Timing information for this LHR.", "$ref": "Timing" }, "userAgent": { "type": "string", "description": "The user agent that was used to run this LHR." }, "configSettings": { "description": "The configuration settings for this LHR.", "$ref": "ConfigSettings" }, "stackPacks": { "type": "array", "description": "The Stack Pack advice strings.", "items": { "$ref": "StackPack" } }, "environment": { "description": "Environment settings that were used when making this LHR.", "$ref": "Environment" } }, "type": "object", "description": "The Lighthouse result object.", "id": "LighthouseResultV5" }, "PagespeedApiLoadingExperienceV5": { "type": "object", "properties": { "origin_fallback": { "type": "boolean", "description": "True if the result is an origin fallback from a page, false otherwise." }, "overall_category": { "description": "The human readable speed \"category\" of the id.", "type": "string" }, "id": { "type": "string", "description": "The url, pattern or origin which the metrics are on." }, "metrics": { "description": "The map of .", "additionalProperties": { "$ref": "UserPageLoadMetricV5" }, "type": "object" }, "initial_url": { "description": "The requested URL, which may differ from the resolved \"id\".", "type": "string" } }, "description": "The CrUX loading experience object that contains CrUX data breakdowns.", "id": "PagespeedApiLoadingExperienceV5" }, "PagespeedVersion": { "type": "object", "description": "The Pagespeed Version object.", "properties": { "major": { "description": "The major version number of PageSpeed used to generate these results.", "type": "string" }, "minor": { "description": "The minor version number of PageSpeed used to generate these results.", "type": "string" } }, "id": "PagespeedVersion" }, "Environment": { "type": "object", "description": "Message containing environment configuration for a Lighthouse run.", "properties": { "benchmarkIndex": { "format": "double", "type": "number", "description": "The benchmark index number that indicates rough device class." }, "hostUserAgent": { "description": "The user agent string of the version of Chrome used.", "type": "string" }, "networkUserAgent": { "type": "string", "description": "The user agent string that was sent over the network." } }, "id": "Environment" }, "Bucket": { "type": "object", "description": "A proportion of data in the total distribution, bucketed by a min/max percentage. Each bucket's range is bounded by min \u003c= x \u003c max, In millisecond.", "id": "Bucket", "properties": { "min": { "type": "integer", "description": "Lower bound for a bucket's range.", "format": "int32" }, "proportion": { "description": "The proportion of data in this bucket.", "format": "double", "type": "number" }, "max": { "description": "Upper bound for a bucket's range.", "format": "int32", "type": "integer" } } }, "LighthouseAuditResultV5": { "properties": { "displayValue": { "type": "string", "description": "The value that should be displayed on the UI for this audit." }, "errorMessage": { "type": "string", "description": "An error message from a thrown error inside the audit." }, "explanation": { "type": "string", "description": "An explanation of the errors in the audit." }, "description": { "type": "string", "description": "The description of the audit." }, "title": { "type": "string", "description": "The human readable title." }, "score": { "type": "any", "description": "The score of the audit, can be null." }, "id": { "type": "string", "description": "The audit's id." }, "details": { "type": "object", "description": "Freeform details section of the audit.", "additionalProperties": { "description": "Properties of the object.", "type": "any" } }, "warnings": { "type": "any", "description": "Possible warnings that occurred in the audit, can be null." }, "numericUnit": { "description": "The unit of the numeric_value field. Used to format the numeric value for display.", "type": "string" }, "scoreDisplayMode": { "description": "The enumerated score display mode.", "type": "string" }, "numericValue": { "format": "double", "type": "number", "description": "A numeric value that has a meaning specific to the audit, e.g. the number of nodes in the DOM or the timestamp of a specific load event. More information can be found in the audit details, if present." } }, "description": "An audit's result object in a Lighthouse result.", "type": "object", "id": "LighthouseAuditResultV5" }, "ConfigSettings": { "id": "ConfigSettings", "description": "Message containing the configuration settings for the Lighthouse run.", "properties": { "emulatedFormFactor": { "type": "string", "description": "The form factor the emulation should use. This field is deprecated, form_factor should be used instead." }, "channel": { "description": "How Lighthouse was run, e.g. from the Chrome extension or from the npm module.", "type": "string" }, "formFactor": { "description": "How Lighthouse should interpret this run in regards to scoring performance metrics and skipping mobile-only tests in desktop.", "type": "string" }, "locale": { "type": "string", "description": "The locale setting." }, "onlyCategories": { "type": "any", "description": "List of categories of audits the run should conduct." } }, "type": "object" }, "CategoryGroupV5": { "id": "CategoryGroupV5", "type": "object", "description": "Message containing a category", "properties": { "title": { "type": "string", "description": "The human readable title of the group" }, "description": { "description": "The description of what the category is grouping", "type": "string" } } }, "Timing": { "description": "Message containing the performance timing data for the Lighthouse run.", "id": "Timing", "type": "object", "properties": { "total": { "description": "The total duration of Lighthouse's run.", "type": "number", "format": "double" } } }, "LighthouseCategoryV5": { "type": "object", "properties": { "description": { "description": "A more detailed description of the category and its importance.", "type": "string" }, "id": { "type": "string", "description": "The string identifier of the category." }, "auditRefs": { "items": { "$ref": "AuditRefs" }, "description": "An array of references to all the audit members of this category.", "type": "array" }, "manualDescription": { "description": "A description for the manual audits in the category.", "type": "string" }, "title": { "description": "The human-friendly name of the category.", "type": "string" }, "score": { "type": "any", "description": "The overall score of the category, the weighted average of all its audits. (The category's score, can be null.)" } }, "id": "LighthouseCategoryV5", "description": "A Lighthouse category." }, "RuntimeError": { "type": "object", "description": "Message containing a runtime error config.", "properties": { "code": { "description": "The enumerated Lighthouse Error code.", "type": "string" }, "message": { "type": "string", "description": "A human readable message explaining the error code." } }, "id": "RuntimeError" }, "PagespeedApiPagespeedResponseV5": { "id": "PagespeedApiPagespeedResponseV5", "description": "The Pagespeed API response object.", "properties": { "version": { "description": "The version of PageSpeed used to generate these results.", "$ref": "PagespeedVersion" }, "analysisUTCTimestamp": { "description": "The UTC timestamp of this analysis.", "type": "string" }, "originLoadingExperience": { "description": "Metrics of the aggregated page loading experience of the origin", "$ref": "PagespeedApiLoadingExperienceV5" }, "kind": { "description": "Kind of result.", "type": "string" }, "captchaResult": { "description": "The captcha verify result", "type": "string" }, "id": { "type": "string", "description": "Canonicalized and final URL for the document, after following page redirects (if any)." }, "loadingExperience": { "$ref": "PagespeedApiLoadingExperienceV5", "description": "Metrics of end users' page loading experience." }, "lighthouseResult": { "description": "Lighthouse response for the audit url as an object.", "$ref": "LighthouseResultV5" } }, "type": "object" }, "I18n": { "type": "object", "description": "Message containing the i18n data for the LHR - Version 1.", "id": "I18n", "properties": { "rendererFormattedStrings": { "$ref": "RendererFormattedStrings", "description": "Internationalized strings that are formatted to the locale in configSettings." } } } }, "protocol": "rest", "discoveryVersion": "v1" }
]===]))
