local decode = require("cjson").new().decode
return assert(decode([===[
{ "mtlsRootUrl": "https://paymentsresellersubscription.mtls.googleapis.com/", "servicePath": "", "kind": "discovery#restDescription", "ownerDomain": "google.com", "baseUrl": "https://paymentsresellersubscription.googleapis.com/", "description": "", "canonicalName": "Payments Reseller Subscription", "documentationLink": "https://developers.google.com/payments/reseller/subscription/", "basePath": "", "schemas": { "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionResponse": { "properties": { "subscription": { "description": "The subscription that has user linked to it.", "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" } }, "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionResponse" }, "GoogleCloudPaymentsResellerSubscriptionV1Product": { "id": "GoogleCloudPaymentsResellerSubscriptionV1Product", "type": "object", "description": "A Product resource that defines a subscription service that can be resold.", "properties": { "regionCodes": { "type": "array", "items": { "type": "string" }, "description": "Output only. 2-letter ISO region code where the product is available in. Ex. \"US\" Please refers to: https://en.wikipedia.org/wiki/ISO_3166-1", "readOnly": true }, "subscriptionBillingCycleDuration": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Duration", "readOnly": true, "description": "Output only. Specifies the length of the billing cycle of the subscription." }, "titles": { "readOnly": true, "items": { "$ref": "GoogleTypeLocalizedText" }, "type": "array", "description": "Output only. Localized human readable name of the product." }, "name": { "description": "Output only. Response only. Resource name of the subscription. It will have the format of \"partners/{partner_id}/products/{product_id}\"", "type": "string", "readOnly": true } } }, "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionResponse": { "description": "Response that contains the updated subscription resource.", "id": "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionResponse", "type": "object", "properties": { "subscription": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription", "description": "The updated subscription resource." } } }, "GoogleCloudPaymentsResellerSubscriptionV1ListPromotionsResponse": { "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages." }, "promotions": { "description": "The promotions for the specified partner.", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Promotion" }, "type": "array" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1ListPromotionsResponse" }, "GoogleCloudPaymentsResellerSubscriptionV1Duration": { "properties": { "unit": { "enumDescriptions": [ "Default value.", "Unit of a calendar month.", "Unit of a day." ], "enum": [ "UNIT_UNSPECIFIED", "MONTH", "DAY" ], "type": "string", "description": "The unit used for the duration" }, "count": { "format": "int32", "description": "number of duration units to be included.", "type": "integer" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1Duration", "type": "object", "description": "Describes the length of a period of a time." }, "GoogleCloudPaymentsResellerSubscriptionV1ServicePeriod": { "description": "A description of what time period or moment in time the product or service is being delivered over.", "type": "object", "properties": { "endTime": { "format": "google-datetime", "type": "string", "description": "Optional. The end time of the service period. Time is exclusive." }, "startTime": { "format": "google-datetime", "type": "string", "description": "Required. The start time of the service period. Time is inclusive." } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1ServicePeriod" }, "GoogleCloudPaymentsResellerSubscriptionV1Location": { "type": "object", "description": "Describes a location of an end user.", "properties": { "postalCode": { "type": "string", "description": "The postal code this location refers to. Ex. \"94043\"" }, "regionCode": { "description": "2-letter ISO region code for current content region. Ex. “US” Please refers to: https://en.wikipedia.org/wiki/ISO_3166-1", "type": "string" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1Location" }, "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionRequest": { "id": "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionRequest", "description": "Request to revoke a cancellation request.", "properties": {}, "type": "object" }, "GoogleCloudPaymentsResellerSubscriptionV1ListProductsResponse": { "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1ListProductsResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages." }, "products": { "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Product" }, "description": "The products for the specified partner.", "type": "array" } } }, "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItem": { "properties": { "oneTimeRecurrenceDetails": { "readOnly": true, "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItemOneTimeRecurrenceDetails", "description": "Output only. Details only set for a ONE_TIME recurrence line item." }, "state": { "enumDescriptions": [ "Unspecified state.", "The line item is in ACTIVE state.", "The line item is in INACTIVE state.", "The line item is new, and is not activated or charged yet.", "The line item is being activated in order to be charged. If a free trial applies to the line item, the line item is pending a prorated charge at the end of the free trial period, as indicated by `line_item_free_trial_end_time`.", "The line item is being deactivated." ], "enum": [ "LINE_ITEM_STATE_UNSPECIFIED", "LINE_ITEM_STATE_ACTIVE", "LINE_ITEM_STATE_INACTIVE", "LINE_ITEM_STATE_NEW", "LINE_ITEM_STATE_ACTIVATING", "LINE_ITEM_STATE_DEACTIVATING" ], "description": "Output only. The state of the line item.", "readOnly": true, "type": "string" }, "lineItemFreeTrialEndTime": { "type": "string", "readOnly": true, "format": "google-datetime", "description": "Output only. It is set only if the line item has its own free trial applied. End time of the line item free trial period, in ISO 8061 format. For example, \"2019-08-31T17:28:54.564Z\". It will be set the same as createTime if no free trial promotion is specified." }, "recurrenceType": { "readOnly": true, "enum": [ "LINE_ITEM_RECURRENCE_TYPE_UNSPECIFIED", "LINE_ITEM_RECURRENCE_TYPE_PERIODIC", "LINE_ITEM_RECURRENCE_TYPE_ONE_TIME" ], "description": "Output only. The recurrence type of the line item.", "enumDescriptions": [ "The line item recurrence type is unspecified.", "The line item recurs periodically.", "The line item does not recur in the future." ], "type": "string" }, "lineItemPromotionSpecs": { "type": "array", "description": "Optional. The promotions applied on the line item. It can be: - a free trial promotion, which overrides the subscription-level free trial promotion. - an introductory pricing promotion. When used as input in Create or Provision API, specify its resource name only.", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionPromotionSpec" } }, "product": { "type": "string", "description": "Required. Product resource name that identifies one the line item The format is 'partners/{partner_id}/products/{product_id}'." }, "description": { "description": "Output only. Description of this line item.", "type": "string", "readOnly": true } }, "type": "object", "description": "Individual line item definition of a subscription. Next id: 8", "id": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItem" }, "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionCancellationDetails": { "description": "Describes the details of a cancelled or cancelling subscription.", "properties": { "reason": { "description": "The reason of the cancellation.", "type": "string", "enum": [ "CANCELLATION_REASON_UNSPECIFIED", "CANCELLATION_REASON_FRAUD", "CANCELLATION_REASON_REMORSE", "CANCELLATION_REASON_ACCIDENTAL_PURCHASE", "CANCELLATION_REASON_PAST_DUE", "CANCELLATION_REASON_ACCOUNT_CLOSED", "CANCELLATION_REASON_UPGRADE_DOWNGRADE", "CANCELLATION_REASON_USER_DELINQUENCY", "CANCELLATION_REASON_OTHER" ], "enumDescriptions": [ "Reason is unspecified.", "Fraudualant transaction.", "Buyer's remorse.", "Accidential purchase.", "Payment is past due.", "User account closed.", "Used for notification only, do not use in Cancel API. Cancellation due to upgrade or downgrade.", "Cancellation due to user delinquency", "Other reason." ] } }, "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionCancellationDetails" }, "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsResponse": { "id": "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsResponse", "properties": { "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is empty, there are no subsequent pages.", "type": "string" }, "promotions": { "description": "The promotions for the current user.", "type": "array", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Promotion" } } }, "description": "Response containing the found promotions for the current user.", "type": "object" }, "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetailsIntroductoryPricingSpec": { "id": "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetailsIntroductoryPricingSpec", "description": "The duration of an introductory pricing promotion.", "type": "object", "properties": { "recurrenceCount": { "readOnly": true, "type": "integer", "format": "int32", "description": "Output only. Output Only. The duration of an introductory offer in billing cycles." } } }, "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionResponse": { "properties": { "subscription": { "description": "The cancelled subscription resource.", "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionResponse", "type": "object" }, "GoogleCloudPaymentsResellerSubscriptionV1Subscription": { "description": "A Subscription resource managed by 3P Partners.", "properties": { "redirectUri": { "description": "Output only. The place where partners should redirect the end-user to after creation. This field might also be populated when creation failed. However, Partners should always prepare a default URL to redirect the user in case this field is empty.", "readOnly": true, "type": "string" }, "products": { "items": { "type": "string" }, "type": "array", "description": "Required. Deprecated: consider using `line_items` as the input. Required. Resource name that identifies the purchased products. The format will be 'partners/{partner_id}/products/{product_id}'." }, "createTime": { "type": "string", "readOnly": true, "description": "Output only. System generated timestamp when the subscription is created. UTC timezone.", "format": "google-datetime" }, "cycleEndTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time at which the subscription is expected to be extended, in ISO 8061 format. UTC timezone. For example: \"2019-08-31T17:28:54.564Z\"" }, "state": { "enum": [ "STATE_UNSPECIFIED", "STATE_CREATED", "STATE_ACTIVE", "STATE_CANCELLED", "STATE_IN_GRACE_PERIOD", "STATE_CANCEL_AT_END_OF_CYCLE" ], "readOnly": true, "enumDescriptions": [ "The state is unspecified.", "The subscription is created, a state before it is moved to STATE_ACTIVE.", "The subscription is active.", "The subscription is cancelled.", "The subscription has not been extended by the partner after the end of current cycle.", "The subscription is waiting to be cancelled by the next recurrence cycle." ], "description": "Output only. Describes the state of the subscription. See more details at [the lifecycle of a subscription](/payments/reseller/subscription/reference/index/Receive.Notifications#payments-subscription-lifecycle).", "type": "string" }, "cancellationDetails": { "description": "Output only. Describes the details of a cancelled subscription. Only applicable to subscription of state `STATE_CANCELLED`.", "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionCancellationDetails", "readOnly": true }, "partnerUserToken": { "description": "Required. Identifier of the end-user in partner’s system. The value is restricted to 63 ASCII characters at the maximum.", "type": "string" }, "endUserEntitled": { "type": "boolean", "readOnly": true, "description": "Output only. Indicates if the subscription is entitled to the end user." }, "renewalTime": { "description": "Output only. The time at which the subscription is expected to be renewed by Google - a new charge will be incurred and the service entitlement will be renewed. A non-immediate cancellation will take place at this time too, before which, the service entitlement for the end user will remain valid. UTC timezone in ISO 8061 format. For example: \"2019-08-31T17:28:54.564Z\"", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. Response only. Resource name of the subscription. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\"" }, "upgradeDowngradeDetails": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionUpgradeDowngradeDetails", "description": "Optional. Details about the previous subscription that this new subscription upgrades/downgrades from. Only populated if this subscription is an upgrade/downgrade from another subscription." }, "updateTime": { "type": "string", "description": "Output only. System generated timestamp when the subscription is most recently updated. UTC timezone.", "readOnly": true, "format": "google-datetime" }, "promotionSpecs": { "type": "array", "description": "Optional. Subscription-level promotions. Only free trial is supported on this level. It determines the first renewal time of the subscription to be the end of the free trial period. Specify the promotion resource name only when used as input.", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionPromotionSpec" } }, "lineItems": { "description": "Required. The line items of the subscription.", "type": "array", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItem" } }, "promotions": { "description": "Optional. Deprecated: consider using the top-level `promotion_specs` as the input. Optional. Resource name that identifies one or more promotions that can be applied on the product. A typical promotion for a subscription is Free trial. The format will be 'partners/{partner_id}/promotions/{promotion_id}'.", "type": "array", "items": { "type": "string" } }, "freeTrialEndTime": { "readOnly": true, "format": "google-datetime", "type": "string", "description": "Output only. End of the free trial period, in ISO 8061 format. For example, \"2019-08-31T17:28:54.564Z\". It will be set the same as createTime if no free trial promotion is specified." }, "serviceLocation": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Location", "description": "Required. The location that the service is provided as indicated by the partner." }, "processingState": { "description": "Output only. Describes the processing state of the subscription. See more details at [the lifecycle of a subscription](/payments/reseller/subscription/reference/index/Receive.Notifications#payments-subscription-lifecycle).", "enum": [ "PROCESSING_STATE_UNSPECIFIED", "PROCESSING_STATE_CANCELLING", "PROCESSING_STATE_RECURRING" ], "enumDescriptions": [ "The processing state is unspecified.", "The subscription is being cancelled.", "The subscription is recurring." ], "readOnly": true, "type": "string" } }, "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "GoogleCloudPaymentsResellerSubscriptionV1Promotion": { "type": "object", "description": "A Promotion resource that defines a promotion for a subscription that can be resold.", "properties": { "promotionType": { "description": "Output only. Output Only. Specifies the type of the promotion.", "enum": [ "PROMOTION_TYPE_UNSPECIFIED", "PROMOTION_TYPE_FREE_TRIAL", "PROMOTION_TYPE_INTRODUCTORY_PRICING" ], "type": "string", "enumDescriptions": [ "The promotion type is unspecified.", "The promotion is a free trial.", "The promotion is a reduced introductory pricing." ], "readOnly": true }, "introductoryPricingDetails": { "description": "Optional. Specifies the introductory pricing details when the promotion_type is PROMOTION_TYPE_INTRODUCTORY_PRICING.", "$ref": "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetails" }, "regionCodes": { "description": "Output only. 2-letter ISO region code where the promotion is available in. Ex. \"US\" Please refers to: https://en.wikipedia.org/wiki/ISO_3166-1", "items": { "type": "string" }, "type": "array", "readOnly": true }, "titles": { "type": "array", "description": "Output only. Localized human readable name of the promotion.", "readOnly": true, "items": { "$ref": "GoogleTypeLocalizedText" } }, "startTime": { "format": "google-datetime", "description": "Optional. Specifies the start time (inclusive) of the period that the promotion is available in.", "type": "string" }, "endTime": { "format": "google-datetime", "description": "Optional. Specifies the end time (exclusive) of the period that the promotion is available in. If unset, the promotion is available indefinitely.", "type": "string" }, "applicableProducts": { "description": "Output only. The product ids this promotion can be applied to.", "type": "array", "readOnly": true, "items": { "type": "string" } }, "freeTrialDuration": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Duration", "description": "Optional. Specifies the duration of the free trial of the subscription when promotion_type is PROMOTION_TYPE_FREE_TRIAL" }, "name": { "description": "Output only. Response only. Resource name of the subscription promotion. It will have the format of \"partners/{partner_id}/promotion/{promotion_id}\"", "type": "string", "readOnly": true } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1Promotion" }, "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionResponse": { "properties": { "cycleEndTime": { "type": "string", "description": "The time at which the subscription is expected to be extended, in ISO 8061 format. UTC timezone. Example, \"cycleEndTime\":\"2019-08-31T17:28:54.564Z\"", "format": "google-datetime" }, "freeTrialEndTime": { "format": "google-datetime", "description": "End of the free trial period, in ISO 8061 format. UTC timezone. Example, \"freeTrialEndTime\":\"2019-08-31T17:28:54.564Z\" This time will be set the same as initial subscription creation time if no free trial period is offered to the partner.", "type": "string" }, "renewalTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time at which the subscription is expected to be renewed by Google - a new charge will be incurred and the service entitlement will be renewed. A non-immediate cancellation will take place at this time too, before which, the service entitlement for the end user will remain valid. UTC timezone in ISO 8061 format. For example: \"2019-08-31T17:28:54.564Z\"" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionResponse", "type": "object" }, "GoogleCloudPaymentsResellerSubscriptionV1Extension": { "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1Extension", "properties": { "partnerUserToken": { "description": "Required. Identifier of the end-user in partner’s system.", "type": "string" }, "duration": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Duration", "description": "Specifies the period of access the subscription should grant." } }, "description": "Describes the details of an extension request." }, "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionRequest": { "properties": {}, "description": "Partner request for entitling the previously provisioned subscription to an end user. The end user identity is inferred from the request OAuth context.", "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionRequest" }, "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionPromotionSpec": { "description": "Describes the spec for one promotion.", "type": "object", "id": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionPromotionSpec", "properties": { "type": { "type": "string", "enum": [ "PROMOTION_TYPE_UNSPECIFIED", "PROMOTION_TYPE_FREE_TRIAL", "PROMOTION_TYPE_INTRODUCTORY_PRICING" ], "readOnly": true, "description": "Output only. The type of the promotion for the spec.", "enumDescriptions": [ "The promotion type is unspecified.", "The promotion is a free trial.", "The promotion is a reduced introductory pricing." ] }, "freeTrialDuration": { "description": "Output only. The duration of the free trial if the promotion is of type FREE_TRIAL.", "readOnly": true, "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Duration" }, "promotion": { "description": "Required. Promotion resource name that identifies a promotion. The format is 'partners/{partner_id}/promotions/{promotion_id}'.", "type": "string" }, "introductoryPricingDetails": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetails", "readOnly": true, "description": "Output only. The details of the introductory pricing spec if the promotion is of type INTRODUCTORY_PRICING." } } }, "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItemOneTimeRecurrenceDetails": { "type": "object", "description": "Details for a ONE_TIME recurrence line item.", "id": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionLineItemOneTimeRecurrenceDetails", "properties": { "servicePeriod": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1ServicePeriod", "description": "The service period of the ONE_TIME line item." } } }, "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetails": { "id": "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetails", "description": "The details of a introductory pricing promotion.", "type": "object", "properties": { "introductoryPricingSpecs": { "type": "array", "items": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1PromotionIntroductoryPricingDetailsIntroductoryPricingSpec" }, "description": "Specifies the introductory pricing periods." } } }, "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsRequest": { "properties": { "pageSize": { "description": "Optional. The maximum number of promotions to return. The service may return fewer than this value. If unspecified, at most 50 products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `ListPromotions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListPromotions` must match the call that provided the page token." }, "filter": { "type": "string", "description": "Optional. Specifies the filters for the promotion results. The syntax defined in the EBNF grammar: https://google.aip.dev/assets/misc/ebnf-filtering.txt. An error will be thrown if any specified parameter is not supported. Currently, it can only be used by Youtube partners. Allowed parameters are: - regionCodes - zipCode - eligibilityId - applicableProducts Multiple parameters can be specified, for example: \"regionCodes=US zipCode=94043 eligibilityId=2022H1Campaign\", or \"applicableProducts=partners/p1/products/product2\"" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsRequest", "type": "object" }, "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionRequest": { "id": "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionRequest", "properties": { "extension": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Extension", "description": "Required. Specifies details of the extension. Currently, the duration of the extension must be exactly one billing cycle of the original subscription." }, "requestId": { "description": "Required. Restricted to 36 ASCII characters. A random UUID is recommended. The idempotency key for the request. The ID generation logic is controlled by the partner. request_id should be the same as on retries of the same request. A different request_id must be used for a extension of a different cycle. A random UUID is recommended.", "type": "string" } }, "description": "Request message for extending a Subscription resource. A new recurrence will be made based on the subscription schedule defined by the original product.", "type": "object" }, "GoogleTypeLocalizedText": { "id": "GoogleTypeLocalizedText", "description": "Localized variant of a text in a particular language.", "type": "object", "properties": { "text": { "description": "Localized string in the language corresponding to `language_code' below.", "type": "string" }, "languageCode": { "description": "The text's BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see http://www.unicode.org/reports/tr35/#Unicode_locale_identifier.", "type": "string" } } }, "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionRequest": { "type": "object", "properties": { "cancellationReason": { "type": "string", "description": "Specifies the reason for the cancellation.", "enum": [ "CANCELLATION_REASON_UNSPECIFIED", "CANCELLATION_REASON_FRAUD", "CANCELLATION_REASON_REMORSE", "CANCELLATION_REASON_ACCIDENTAL_PURCHASE", "CANCELLATION_REASON_PAST_DUE", "CANCELLATION_REASON_ACCOUNT_CLOSED", "CANCELLATION_REASON_UPGRADE_DOWNGRADE", "CANCELLATION_REASON_USER_DELINQUENCY", "CANCELLATION_REASON_OTHER" ], "enumDescriptions": [ "Reason is unspecified.", "Fraudualant transaction.", "Buyer's remorse.", "Accidential purchase.", "Payment is past due.", "User account closed.", "Used for notification only, do not use in Cancel API. Cancellation due to upgrade or downgrade.", "Cancellation due to user delinquency", "Other reason." ] }, "cancelImmediately": { "description": "Optional. If true, the subscription will be cancelled immediately. Otherwise, the subscription will be cancelled at renewal_time, and therefore no prorated refund will be issued for the rest of the cycle.", "type": "boolean" } }, "id": "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionRequest" }, "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionUpgradeDowngradeDetails": { "id": "GoogleCloudPaymentsResellerSubscriptionV1SubscriptionUpgradeDowngradeDetails", "properties": { "previousSubscriptionId": { "description": "Required. The previous subscription id to be replaced. This is not the full resource name, use the subscription_id segment only.", "type": "string" }, "billingCycleSpec": { "enumDescriptions": [ "Billing cycle spec is not specified.", "The billing cycle of the new subscription aligns with the previous subscription it upgrades or downgrades from.", "The billing cycle of the new subscription starts immediately." ], "type": "string", "enum": [ "BILLING_CYCLE_SPEC_UNSPECIFIED", "BILLING_CYCLE_SPEC_ALIGN_WITH_PREVIOUS_SUBSCRIPTION", "BILLING_CYCLE_SPEC_START_IMMEDIATELY" ], "description": "Required. Specifies the billing cycle spec for the new upgraded/downgraded subscription." } }, "description": "Details about the previous subscription that this new subscription upgrades/downgrades from.", "type": "object" } }, "id": "paymentsresellersubscription:v1", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "title": "Payments Reseller Subscription API", "fullyEncodeReservedExpansion": true, "ownerName": "Google", "parameters": { "$.xgafv": { "location": "query", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ], "type": "string", "description": "V1 error format." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "location": "query", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string" }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "key": { "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "alt": { "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "type": "string", "description": "Data format for response.", "enum": [ "json", "media", "proto" ], "default": "json" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" }, "quotaUser": { "location": "query", "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." } }, "name": "paymentsresellersubscription", "discoveryVersion": "v1", "batchPath": "batch", "revision": "20220712", "version_module": true, "rootUrl": "https://paymentsresellersubscription.googleapis.com/", "protocol": "rest", "version": "v1", "resources": { "partners": { "resources": { "promotions": { "methods": { "list": { "httpMethod": "GET", "path": "v1/{+parent}/promotions", "flatPath": "v1/partners/{partnersId}/promotions", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1ListPromotionsResponse" }, "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "type": "string", "location": "query", "description": "Optional. A page token, received from a previous `ListPromotions` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListPromotions` must match the call that provided the page token." }, "filter": { "location": "query", "description": "Optional. Specifies the filters for the promotion results. The syntax defined in the EBNF grammar: https://google.aip.dev/assets/misc/ebnf-filtering.txt. An error will be thrown if the specified parameter(s) is not supported. Currently, it can only be used by Youtube partners. Allowed parameters are: - region_codes: \"US\" - zip_code: \"94043\" - eligibility_id: \"2022H1Campaign\" Multiple parameters can be specified, for example: \"region_codes=US zip_code=94043 eligibility_id=2022H1Campaign\"", "type": "string" }, "parent": { "description": "Required. The parent, the partner that can resell. Format: partners/{partner}", "type": "string", "location": "path", "required": true, "pattern": "^partners/[^/]+$" }, "pageSize": { "location": "query", "description": "Optional. The maximum number of promotions to return. The service may return fewer than this value. If unspecified, at most 50 products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "type": "integer" } }, "id": "paymentsresellersubscription.partners.promotions.list", "description": "To retrieve the promotions, such as free trial, that can be used by the partner. It should be autenticated with a service account." }, "findEligible": { "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsRequest" }, "path": "v1/{+parent}/promotions:findEligible", "description": "To find eligible promotions for the current user. The API requires user authorization via OAuth. The user is inferred from the authenticated OAuth credential.", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The parent, the partner that can resell. Format: partners/{partner}", "pattern": "^partners/[^/]+$", "location": "path" } }, "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1FindEligiblePromotionsResponse" }, "flatPath": "v1/partners/{partnersId}/promotions:findEligible", "httpMethod": "POST", "id": "paymentsresellersubscription.partners.promotions.findEligible", "parameterOrder": [ "parent" ] } } }, "products": { "methods": { "list": { "path": "v1/{+parent}/products", "parameters": { "parent": { "required": true, "location": "path", "description": "Required. The parent, the partner that can resell. Format: partners/{partner}", "pattern": "^partners/[^/]+$", "type": "string" }, "filter": { "type": "string", "location": "query", "description": "Optional. Specifies the filters for the products results. The syntax defined in the EBNF grammar: https://google.aip.dev/assets/misc/ebnf-filtering.txt. An error will be thrown if any specified parameter is not supported. Currently, it can only be used by Youtube partners. Allowed parameters are: - regionCodes - zipCode - eligibilityId Multiple parameters can be specified, for example: \"regionCodes=US zipCode=94043 eligibilityId=2022H1Campaign\"" }, "pageSize": { "format": "int32", "location": "query", "description": "Optional. The maximum number of products to return. The service may return fewer than this value. If unspecified, at most 50 products will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "type": "integer" }, "pageToken": { "location": "query", "type": "string", "description": "Optional. A page token, received from a previous `ListProducts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListProducts` must match the call that provided the page token." } }, "httpMethod": "GET", "flatPath": "v1/partners/{partnersId}/products", "parameterOrder": [ "parent" ], "description": "To retrieve the products that can be resold by the partner. It should be autenticated with a service account.", "id": "paymentsresellersubscription.partners.products.list", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1ListProductsResponse" } } } }, "subscriptions": { "methods": { "cancel": { "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionResponse" }, "id": "paymentsresellersubscription.partners.subscriptions.cancel", "flatPath": "v1/partners/{partnersId}/subscriptions/{subscriptionsId}:cancel", "parameters": { "name": { "location": "path", "pattern": "^partners/[^/]+/subscriptions/[^/]+$", "description": "Required. The name of the subscription resource to be cancelled. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\"", "type": "string", "required": true } }, "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1CancelSubscriptionRequest" }, "httpMethod": "POST", "parameterOrder": [ "name" ], "path": "v1/{+name}:cancel", "description": "Used by partners to cancel a subscription service either immediately or by the end of the current billing cycle for their customers. It should be called directly by the partner using service accounts." }, "create": { "path": "v1/{+parent}/subscriptions", "httpMethod": "POST", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "id": "paymentsresellersubscription.partners.subscriptions.create", "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "description": "Used by partners to create a subscription for their customers. The created subscription is associated with the end user inferred from the end user credentials. This API must be authorized by the end user using OAuth.", "flatPath": "v1/partners/{partnersId}/subscriptions", "parameterOrder": [ "parent" ], "parameters": { "parent": { "description": "Required. The parent resource name, which is the identifier of the partner. It will have the format of \"partners/{partner_id}\".", "pattern": "^partners/[^/]+$", "required": true, "location": "path", "type": "string" }, "subscriptionId": { "location": "query", "description": "Required. Identifies the subscription resource on the Partner side. The value is restricted to 63 ASCII characters at the maximum. If a subscription was previously created with the same subscription_id, we will directly return that one.", "type": "string" } } }, "extend": { "path": "v1/{+name}:extend", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionResponse" }, "parameters": { "name": { "required": true, "pattern": "^partners/[^/]+/subscriptions/[^/]+$", "location": "path", "description": "Required. The name of the subscription resource to be extended. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\".", "type": "string" } }, "description": "Used by partners to extend a subscription service for their customers on an ongoing basis for the subscription to remain active and renewable. It should be called directly by the partner using service accounts.", "id": "paymentsresellersubscription.partners.subscriptions.extend", "parameterOrder": [ "name" ], "httpMethod": "POST", "flatPath": "v1/partners/{partnersId}/subscriptions/{subscriptionsId}:extend", "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1ExtendSubscriptionRequest" } }, "provision": { "description": "Used by partners to provision a subscription for their customers. This creates a subscription without associating it with the end user account. EntitleSubscription must be called separately using OAuth in order for the end user account to be associated with the subscription. It should be called directly by the partner using service accounts.", "httpMethod": "POST", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "id": "paymentsresellersubscription.partners.subscriptions.provision", "parameterOrder": [ "parent" ], "path": "v1/{+parent}/subscriptions:provision", "flatPath": "v1/partners/{partnersId}/subscriptions:provision", "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "parameters": { "subscriptionId": { "location": "query", "type": "string", "description": "Required. Identifies the subscription resource on the Partner side. The value is restricted to 63 ASCII characters at the maximum. If a subscription was previously created with the same subscription_id, we will directly return that one." }, "parent": { "pattern": "^partners/[^/]+$", "type": "string", "location": "path", "description": "Required. The parent resource name, which is the identifier of the partner. It will have the format of \"partners/{partner_id}\".", "required": true } } }, "undoCancel": { "id": "paymentsresellersubscription.partners.subscriptions.undoCancel", "flatPath": "v1/partners/{partnersId}/subscriptions/{subscriptionsId}:undoCancel", "path": "v1/{+name}:undoCancel", "description": "Used by partners to revoke the pending cancellation of a subscription, which is currently in `STATE_CANCEL_AT_END_OF_CYCLE` state. If the subscription is already cancelled, the request will fail. It should be called directly by the partner using service accounts.", "httpMethod": "POST", "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionRequest" }, "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1UndoCancelSubscriptionResponse" }, "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the subscription resource whose pending cancellation needs to be undone. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\"", "required": true, "location": "path", "pattern": "^partners/[^/]+/subscriptions/[^/]+$" } } }, "get": { "flatPath": "v1/partners/{partnersId}/subscriptions/{subscriptionsId}", "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1Subscription" }, "id": "paymentsresellersubscription.partners.subscriptions.get", "description": "Used by partners to get a subscription by id. It should be called directly by the partner using service accounts.", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "description": "Required. The name of the subscription resource to retrieve. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\"", "location": "path", "required": true, "pattern": "^partners/[^/]+/subscriptions/[^/]+$" } }, "httpMethod": "GET", "path": "v1/{+name}" }, "entitle": { "response": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionResponse" }, "parameters": { "name": { "location": "path", "description": "Required. The name of the subscription resource that is entitled to the current end user. It will have the format of \"partners/{partner_id}/subscriptions/{subscription_id}\"", "type": "string", "pattern": "^partners/[^/]+/subscriptions/[^/]+$", "required": true } }, "flatPath": "v1/partners/{partnersId}/subscriptions/{subscriptionsId}:entitle", "httpMethod": "POST", "id": "paymentsresellersubscription.partners.subscriptions.entitle", "description": "Used by partners to entitle a previously provisioned subscription to the current end user. The end user identity is inferred from the authorized credential of the request. This API must be authorized by the end user using OAuth.", "parameterOrder": [ "name" ], "request": { "$ref": "GoogleCloudPaymentsResellerSubscriptionV1EntitleSubscriptionRequest" }, "path": "v1/{+name}:entitle" } } } } } } }
]===]))
