local decode = require("cjson").new().decode
return assert(decode([===[
{ "schemas": { "GooglePlayDeveloperReportingV1alpha1StuckBackgroundWakelockRateMetricSet": { "description": "Singleton resource representing the set of Stuck Background Wakelocks metrics. This metric set contains PowerManager wakelock duration data combined with process state data to produce a normalized metric independent of user counts. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that had a wakelock held in the background for longer than 1 hour. If your app exhibits a stuck background wakelocks rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `stuckBgWakelockRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `stuckBgWakelockRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `stuckBgWakelockRate` metric. A user is counted in this metric if their app was doing any work on the device, i.e., not just active foreground usage but also background work. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States). **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app.", "id": "GooglePlayDeveloperReportingV1alpha1StuckBackgroundWakelockRateMetricSet", "properties": { "freshnessInfo": { "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo", "description": "Summary about data freshness in this resource." }, "name": { "type": "string", "description": "The resource name. Format: apps/{app}/stuckBackgroundWakelockRateMetricSet" } }, "type": "object" }, "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetRequest": { "id": "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetRequest", "properties": { "pageSize": { "format": "int32", "type": "integer", "description": "Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 100,000; values above 100,000 will be coerced to 100,000." }, "metrics": { "items": { "type": "string" }, "description": "Metrics to aggregate. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that experienced at least one crash. If your app exhibits a crash rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `crashRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `crashRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `crashRate` metric. A user is counted in this metric if they used the app in the foreground during the aggregation period. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times.", "type": "array" }, "filter": { "type": "string", "description": "Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions." }, "dimensions": { "description": "Dimensions to slice the metrics by. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States).", "items": { "type": "string" }, "type": "array" }, "pageToken": { "type": "string", "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token." }, "timelineSpec": { "description": "Specification of the timeline aggregation parameters. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the default and only supported timezone is `America/Los_Angeles`.", "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec" } }, "type": "object", "description": "Request message for QueryCrashRateMetricSet." }, "GooglePlayDeveloperReportingV1alpha1SearchErrorReportsResponse": { "description": "Response with a paginated list of error reports matching the search query.", "id": "GooglePlayDeveloperReportingV1alpha1SearchErrorReportsResponse", "properties": { "nextPageToken": { "type": "string", "description": "Page token to fetch the next page of reports." }, "errorReports": { "description": "Error reports that were found.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1ErrorReport" }, "type": "array" } }, "type": "object" }, "GooglePlayDeveloperReportingV1alpha1ErrorIssue": { "properties": { "type": { "enum": [ "ERROR_TYPE_UNSPECIFIED", "APPLICATION_NOT_RESPONDING", "CRASH" ], "description": "Type of the errors grouped in this issue.", "type": "string", "enumDescriptions": [ "Unspecified error type.", "Application Not Responding (ANR) error. To learn more about this type of errors visit the corresponding Android Developers documentation.", "Crash caused by an unhandled exception in Java (or Kotlin or any other JVM language) or a signal in native code such as SIGSEGV." ] }, "location": { "description": "Location where the issue happened. Depending on the type this can be either: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APPLICATION_NOT_RESPONDING: the name of the activity or service that stopped responding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CRASH: the likely method name that caused the error.", "type": "string" }, "cause": { "description": "Cause of the issue. Depending on the type this can be either: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh APPLICATION_NOT_RESPONDING: the type of ANR that occurred, e.g., 'Input dispatching timed out'. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh CRASH: for Java unhandled exception errors, the type of the innermost exception that was thrown, e.g., IllegalArgumentException. For signals in native code, the signal that was raised, e.g. SIGSEGV.", "type": "string" }, "name": { "description": "The resource name of the issue. Format: apps/{app}/errorIssues/{issue}", "type": "string" } }, "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1ErrorIssue", "description": "A group of related ErrorReports received for an app. Similar error reports are grouped together into issues with a likely identical root cause. **Please note:** this resource is currently in Alpha. There could be changes to the issue grouping that would result in similar but more recent error reports being assigned to different issues. This could also cause some issues disappearing entirely and being replaced by new ones. **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app." }, "GooglePlayDeveloperReportingV1alpha1FreshnessInfo": { "properties": { "freshnesses": { "description": "Information about data freshness for every supported aggregation period. This field has set semantics, keyed by the `aggregation_period` field.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfoFreshness" }, "type": "array" } }, "description": "Represents the latest available time that can be requested in a TimelineSpec. Different aggregation periods have different freshness. For example, `DAILY` aggregation may lag behind `HOURLY` in cases where such aggregation is computed only once at the end of the day.", "id": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo", "type": "object" }, "GooglePlayDeveloperReportingV1alpha1ExcessiveWakeupRateMetricSet": { "description": "Singleton resource representing the set of Excessive Weakeups metrics. This metric set contains AlarmManager wakeup counts data combined with process state data to produce a normalized metric independent of user counts. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that had more than 10 wakeups per hour. If your app exhibits an excessive wakeup rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `excessiveWakeupRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `excessiveWakeupRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `excessiveWakeupRate` metric. A user is counted in this metric if they app was doing any work on the device, i.e., not just active foreground usage but also background work. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States). **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app.", "properties": { "freshnessInfo": { "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo", "description": "Summary about data freshness in this resource." }, "name": { "description": "The resource name. Format: apps/{app}/excessiveWakeupRateMetricSet", "type": "string" } }, "id": "GooglePlayDeveloperReportingV1alpha1ExcessiveWakeupRateMetricSet", "type": "object" }, "GooglePlayDeveloperReportingV1alpha1MetricValue": { "properties": { "decimalValue": { "$ref": "GoogleTypeDecimal", "description": "Actual value, represented as a decimal number." }, "metric": { "type": "string", "description": "Name of the metric." } }, "description": "Represents the value of a metric.", "id": "GooglePlayDeveloperReportingV1alpha1MetricValue", "type": "object" }, "GooglePlayDeveloperReportingV1alpha1TimelineSpec": { "properties": { "aggregationPeriod": { "enumDescriptions": [ "Unspecified granularity.", "Data is aggregated in hourly intervals.", "Data is aggregated in daily intervals." ], "description": "Type of the aggregation period of the datapoints in the timeline. Intervals are identified by the date and time at the start of the interval.", "type": "string", "enum": [ "AGGREGATION_PERIOD_UNSPECIFIED", "HOURLY", "DAILY" ] }, "endTime": { "description": "Ending datapoint of the timeline (exclusive). See start_time for restrictions. The timezone of the end point must match the timezone of the start point.", "$ref": "GoogleTypeDateTime" }, "startTime": { "description": "Starting datapoint of the timeline (inclusive). Must be aligned to the aggregation period as follows: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh HOURLY: the 'minutes', 'seconds' and 'nanos' fields must be unset. The time_zone can be left unset (defaults to UTC) or set explicitly to \"UTC\". Setting any other utc_offset or timezone id will result in a validation error. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: the 'hours', 'minutes', 'seconds' and 'nanos' fields must be unset. Different metric sets support different timezones. It can be left unset to use the default timezone specified by the metric set. The timezone of the end point must match the timezone of the start point.", "$ref": "GoogleTypeDateTime" } }, "id": "GooglePlayDeveloperReportingV1alpha1TimelineSpec", "type": "object", "description": "Specification of the time-related aggregation parameters of a timeline. Timelines have an aggregation period (`DAILY`, `HOURLY`, etc) which defines how events are aggregated in metrics. The points in a timeline are defined by the starting DateTime of the aggregation period. The duration is implicit in the AggregationPeriod. Hourly aggregation periods, when supported by a metric set, are always specified in UTC to avoid ambiguities around daylight saving time transitions, where an hour is skipped when adopting DST, and repeated when abandoning DST. For example, the timestamp '2021-11-07 01:00:00 America/Los_Angeles' is ambiguous since it can correspond to '2021-11-07 08:00:00 UTC' or '2021-11-07 09:00:00 UTC'. Daily aggregation periods require specifying a timezone which will determine the precise instants of the start and the end of the day. Not all metric sets support all timezones, so make sure to check which timezones are supported by the metric set you want to query." }, "GooglePlayDeveloperReportingV1alpha1MetricsRow": { "type": "object", "description": "Represents a row of dimensions and metrics.", "properties": { "aggregationPeriod": { "enumDescriptions": [ "Unspecified granularity.", "Data is aggregated in hourly intervals.", "Data is aggregated in daily intervals." ], "enum": [ "AGGREGATION_PERIOD_UNSPECIFIED", "HOURLY", "DAILY" ], "type": "string", "description": "Granularity of the aggregation period of the row." }, "startTime": { "description": "Starting date (and time for hourly aggregation) of the period covered by this row.", "$ref": "GoogleTypeDateTime" }, "metrics": { "type": "array", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricValue" }, "description": "Metric columns in the row." }, "dimensions": { "description": "Dimension columns in the row.", "type": "array", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1DimensionValue" } } }, "id": "GooglePlayDeveloperReportingV1alpha1MetricsRow" }, "GooglePlayDeveloperReportingV1alpha1ErrorCountMetricSet": { "description": "Singleton resource representing the set of error report metrics. This metric set contains un-normalized error report counts. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. The default and only supported timezone is `America/Los_Angeles`. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `errorReportCount` (`google.type.Decimal`): Absolute count of individual error reports that have been received for an app. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users for which reports have been received. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. **Required dimension:** This dimension must be always specified in all requests in the `dimensions` field in query requests. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `reportType` (string): the type of error. The value should correspond to one of the possible values in ErrorType. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): identifier of the device's form factor, e.g., PHONE. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `issueId` (string): the id an error was assigned to. The value should correspond to the `{issue}` component of the issue name. **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app. **Related metric sets:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors.counts contains normalized metrics about Crashes, another stability metric. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors.counts contains normalized metrics about ANRs, another stability metric.", "properties": { "freshnessInfo": { "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo", "description": "Summary about data freshness in this resource." }, "name": { "description": "The resource name. Format: apps/{app}/errorCountMetricSet", "type": "string" } }, "id": "GooglePlayDeveloperReportingV1alpha1ErrorCountMetricSet", "type": "object" }, "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetResponse": { "properties": { "nextPageToken": { "description": "Continuation token to fetch the next page of data.", "type": "string" }, "rows": { "description": "Returned rows of data.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricsRow" }, "type": "array" } }, "type": "object", "description": "Response message for QueryExcessiveWakeupRateMetricSet.", "id": "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetResponse" }, "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetRequest": { "id": "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetRequest", "properties": { "timelineSpec": { "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec", "description": "Specification of the timeline aggregation parameters. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. The default and only supported timezone is `America/Los_Angeles`." }, "dimensions": { "type": "array", "items": { "type": "string" }, "description": "Dimensions to slice the data by. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): identifier of the device's form factor, e.g., PHONE. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `reportType` (string): the type of error. The value should correspond to one of the possible values in ErrorType. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `issueId` (string): the id an error was assigned to. The value should correspond to the `{issue}` component of the issue name." }, "metrics": { "description": "Metrics to aggregate. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `errorReportCount` (`google.type.Decimal`): Absolute count of individual error reports that have been received for an app. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users for which reports have been received. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times.", "type": "array", "items": { "type": "string" } }, "pageToken": { "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token.", "type": "string" }, "filter": { "type": "string", "description": "Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions." }, "pageSize": { "format": "int32", "type": "integer", "description": "Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 100000; values above 100000 will be coerced to 100000." } }, "type": "object", "description": "Request message for QueryErrorCountMetricSet." }, "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetResponse": { "properties": { "rows": { "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricsRow" }, "description": "Returned rows of data.", "type": "array" }, "nextPageToken": { "type": "string", "description": "Continuation token to fetch the next page of data." } }, "id": "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetResponse", "type": "object", "description": "Response message for QueryAnrRateMetricSet." }, "GooglePlayDeveloperReportingV1alpha1FreshnessInfoFreshness": { "properties": { "latestEndTime": { "$ref": "GoogleTypeDateTime", "description": "Latest end time for which data is available, for the aggregation period. The time is specified in the metric set's default timezone. *Note:* time ranges in TimelineSpec are represented as `start_time, end_time)`. For example, if the latest available timeline data point for a `DAILY` aggregation period is `2021-06-23 00:00:00 America/Los_Angeles`, the value of this field would be `2021-06-24 00:00:00 America/Los_Angeles` so it can be easily reused in [TimelineSpec.end_time." }, "aggregationPeriod": { "enum": [ "AGGREGATION_PERIOD_UNSPECIFIED", "HOURLY", "DAILY" ], "type": "string", "enumDescriptions": [ "Unspecified granularity.", "Data is aggregated in hourly intervals.", "Data is aggregated in daily intervals." ], "description": "Aggregation period for which data is available." } }, "description": "Information about data freshness for a single aggregation period.", "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1FreshnessInfoFreshness" }, "GooglePlayDeveloperReportingV1alpha1ListAnomaliesResponse": { "id": "GooglePlayDeveloperReportingV1alpha1ListAnomaliesResponse", "properties": { "anomalies": { "description": "Anomalies that were found.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1Anomaly" }, "type": "array" }, "nextPageToken": { "description": "Continuation token to fetch the next page of data.", "type": "string" } }, "type": "object", "description": "Response with a list of anomalies in datasets." }, "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetResponse": { "description": "Response message for QueryStuckBackgroundWakelockRateMetricSet.", "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetResponse", "properties": { "rows": { "type": "array", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricsRow" }, "description": "Returned rows of data." }, "nextPageToken": { "description": "Continuation token to fetch the next page of data.", "type": "string" } } }, "GooglePlayDeveloperReportingV1alpha1CrashRateMetricSet": { "type": "object", "properties": { "freshnessInfo": { "description": "Summary about data freshness in this resource.", "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo" }, "name": { "type": "string", "description": "The resource name. Format: apps/{app}/crashRateMetricSet" } }, "description": "Singleton resource representing the set of crashrate metrics. This metric set contains crashes data combined with usage data to produce a normalized metric independent of user counts. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that experienced at least one crash. If your app exhibits a crash rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `crashRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `crashRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `crashRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `crashRate` metric. A user is counted in this metric if they used the app in the foreground during the aggregation period. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States). **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app. **Related metric sets:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors contains unnormalized version (absolute counts) of crashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors contains normalized metrics about ANRs, another stability metric.", "id": "GooglePlayDeveloperReportingV1alpha1CrashRateMetricSet" }, "GooglePlayDeveloperReportingV1alpha1AnrRateMetricSet": { "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1AnrRateMetricSet", "description": "Singleton resource representing the set of ANR (Application not responding) metrics. This metric set contains ANRs data combined with usage data to produce a normalized metric independent of user counts. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that experienced at least one ANR. If your app exhibits an ANR rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `anrRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `anrRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `anrRate` metric. A user is counted in this metric if they used the app in the foreground during the aggregation period. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States). **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app. **Related metric sets:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors contains unnormalized version (absolute counts) of crashes. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh vitals.errors contains normalized metrics about crashes, another stability metric.", "properties": { "name": { "description": "The resource name. Format: apps/{app}/anrRateMetricSet", "type": "string" }, "freshnessInfo": { "$ref": "GooglePlayDeveloperReportingV1alpha1FreshnessInfo", "description": "Summary about data freshness in this resource." } } }, "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetRequest": { "type": "object", "properties": { "dimensions": { "type": "array", "description": "Dimensions to slice the data by. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States).", "items": { "type": "string" } }, "metrics": { "description": "Metrics to aggregate. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that had a wakelock held in the background for longer than 1 hour. If your app exhibits a stuck background wakelock rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `stuckBgWakelockRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `stuckBgWakelockRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `stuckBgWakelockRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `stuckBgWakelockRate` metric. A user is counted in this metric if they app was doing any work on the device, i.e., not just active foreground usage but also background work. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times.", "type": "array", "items": { "type": "string" } }, "timelineSpec": { "description": "Specification of the timeline aggregation parameters. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`.", "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec" }, "pageSize": { "description": "Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 100000; values above 100000 will be coerced to 100000.", "type": "integer", "format": "int32" }, "filter": { "type": "string", "description": "Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions." }, "pageToken": { "type": "string", "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token." } }, "id": "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetRequest", "description": "Request message for QueryStuckBackgroundWakelockRateMetricSet." }, "GooglePlayDeveloperReportingV1alpha1SearchErrorIssuesResponse": { "description": "Response with a paginated list of issues that matched the request.", "type": "object", "properties": { "errorIssues": { "type": "array", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1ErrorIssue" }, "description": "ErrorIssues that were found." }, "nextPageToken": { "type": "string", "description": "Continuation token to fetch the next page of data." } }, "id": "GooglePlayDeveloperReportingV1alpha1SearchErrorIssuesResponse" }, "GoogleTypeTimeZone": { "description": "Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).", "type": "object", "properties": { "version": { "type": "string", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\"." }, "id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" } }, "id": "GoogleTypeTimeZone" }, "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetRequest": { "type": "object", "description": "Request message for QueryAnrRateMetricSet.", "id": "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetRequest", "properties": { "filter": { "description": "Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions.", "type": "string" }, "metrics": { "type": "array", "items": { "type": "string" }, "description": "Metrics to aggregate. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that experienced at least one ANR. If your app exhibits an ANR rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `anrRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `anrRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `anrRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `anrRate` metric. A user is counted in this metric if they used the app in the foreground during the aggregation period. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times." }, "pageSize": { "type": "integer", "format": "int32", "description": "Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 100,000; values above 100,000 will be coerced to 100,000." }, "timelineSpec": { "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec", "description": "Specification of the timeline aggregation parameters. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the default and only supported timezone is `America/Los_Angeles`." }, "dimensions": { "type": "array", "items": { "type": "string" }, "description": "Dimensions to slice the metrics by. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States)." }, "pageToken": { "type": "string", "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token." } } }, "GooglePlayDeveloperReportingV1alpha1Anomaly": { "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1Anomaly", "properties": { "name": { "description": "Name of the anomaly. Format: apps/{app}/anomalies/{anomaly}", "type": "string" }, "dimensions": { "type": "array", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1DimensionValue" }, "description": "Combination of dimensions in which the anomaly was detected." }, "timelineSpec": { "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec", "description": "Timeline specification that covers the anomaly period." }, "metricSet": { "type": "string", "description": "Metric set resource where the anomaly was detected." }, "metric": { "description": "Metric where the anomaly was detected, together with the anomalous value.", "$ref": "GooglePlayDeveloperReportingV1alpha1MetricValue" } }, "description": "Represents an anomaly detected in a dataset. Our anomaly detection systems flag datapoints in a time series that fall outside of and expected range derived from historical data. Although those expected ranges have an upper and a lower bound, we only flag anomalies when the data has become unexpectedly _worse_, which usually corresponds to the case where the metric crosses the upper bound. Multiple contiguous datapoints in a timeline outside of the expected range will be grouped into a single anomaly. Therefore, an anomaly represents effectively a segment of a metric's timeline. The information stored in the `timeline_spec`, `dimensions` and `metric` can be used to fetch a full timeline with extended ragne for context. **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app." }, "GooglePlayDeveloperReportingV1alpha1ErrorReport": { "properties": { "issue": { "description": "The issue this report was associated with. **Please note:** this resource is currently in Alpha. There could be changes to the issue grouping that would result in similar but more recent error reports being assigned to a different issue.", "type": "string" }, "name": { "description": "The resource name of the report. Format: apps/{app}/errorReports/{report}", "type": "string" }, "type": { "enum": [ "ERROR_TYPE_UNSPECIFIED", "APPLICATION_NOT_RESPONDING", "CRASH" ], "enumDescriptions": [ "Unspecified error type.", "Application Not Responding (ANR) error. To learn more about this type of errors visit the corresponding Android Developers documentation.", "Crash caused by an unhandled exception in Java (or Kotlin or any other JVM language) or a signal in native code such as SIGSEGV." ], "type": "string", "description": "Type of the error for which this report was generated." }, "reportText": { "description": "Textual representation of the error report. These textual reports are produced by the platform. The reports are then sanitized and filtered to remove any potentially sensitive information. Although their format is fairly stable, they are not entirely meant for machine consumption and we cannot guarantee that there won't be subtle changes to the formatting that may break systems trying to parse information out of the reports.", "type": "string" } }, "id": "GooglePlayDeveloperReportingV1alpha1ErrorReport", "description": "An error report received for an app. There reports are produced by the Android platform code when a (potentially fatal) error condition is detected. Identical reports from many users will be deduplicated and coalesced into a single ErrorReport. **Required permissions**: to access this resource, the calling user needs the _View app information (read-only)_ permission for the app.", "type": "object" }, "GoogleTypeDecimal": { "type": "object", "description": "A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal. [BigDecimal]: https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigDecimal.html [decimal.Decimal]: https://docs.python.org/3/library/decimal.html", "properties": { "value": { "description": "The decimal value, as a string. The string representation consists of an optional sign, `+` (`U+002B`) or `-` (`U+002D`), followed by a sequence of zero or more decimal digits (\"the integer\"), optionally followed by a fraction, optionally followed by an exponent. The fraction consists of a decimal point followed by zero or more decimal digits. The string must contain at least one digit in either the integer or the fraction. The number formed by the sign, the integer and the fraction is referred to as the significand. The exponent consists of the character `e` (`U+0065`) or `E` (`U+0045`) followed by one or more decimal digits. Services **should** normalize decimal values before storing them by: - Removing an explicitly-provided `+` sign (`+2.5` -\u003e `2.5`). - Replacing a zero-length integer value with `0` (`.5` -\u003e `0.5`). - Coercing the exponent character to lower-case (`2.5E8` -\u003e `2.5e8`). - Removing an explicitly-provided zero exponent (`2.5e0` -\u003e `2.5`). Services **may** perform additional normalization based on its own needs and the internal decimal implementation selected, such as shifting the decimal point and exponent value together (example: `2.5e-1` \u003c-\u003e `0.25`). Additionally, services **may** preserve trailing zeroes in the fraction to indicate increased precision, but are not required to do so. Note that only the `.` character is supported to divide the integer and the fraction; `,` **should not** be supported regardless of locale. Additionally, thousand separators **should not** be supported. If a service does support them, values **must** be normalized. The ENBF grammar is: DecimalString = [Sign] Significand [Exponent]; Sign = '+' | '-'; Significand = Digits '.' | [Digits] '.' Digits; Exponent = ('e' | 'E') [Sign] Digits; Digits = { '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' }; Services **should** clearly document the range of supported values, the maximum supported precision (total number of digits), and, if applicable, the scale (number of digits after the decimal point), as well as how it behaves when receiving out-of-bounds values. Services **may** choose to accept values passed as input even when the value has a higher precision or scale than the service supports, and **should** round the value to fit the supported scale. Alternatively, the service **may** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if precision would be lost. Services **should** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if the service receives a value outside of the supported range.", "type": "string" } }, "id": "GoogleTypeDecimal" }, "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetResponse": { "properties": { "rows": { "type": "array", "description": "Returned rows.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricsRow" } }, "nextPageToken": { "description": "Continuation token to fetch the next page of data.", "type": "string" } }, "id": "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetResponse", "type": "object", "description": "Error counts query response." }, "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetRequest": { "type": "object", "properties": { "pageSize": { "type": "integer", "description": "Maximum size of the returned data. If unspecified, at most 1000 rows will be returned. The maximum value is 100000; values above 100000 will be coerced to 100000.", "format": "int32" }, "pageToken": { "type": "string", "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token." }, "metrics": { "description": "Metrics to aggregate. **Supported metrics:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate` (`google.type.Decimal`): Percentage of distinct users in the aggregation period that had more than 10 wakeups per hour. If your app exhibits an excessive wakeup rate equal to or higher than the threshold, it's in the bottom 25% of the top 1,000 apps on Google Play (by number of installs). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate7dUserWeighted` (`google.type.Decimal`): Rolling average value of `excessiveWakeupRate` in the last 7 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `excessiveWakeupRate28dUserWeighted` (`google.type.Decimal`): Rolling average value of `excessiveWakeupRate` in the last 28 days. The daily values are weighted by the count of distinct users for the day. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `distinctUsers` (`google.type.Decimal`): Count of distinct users in the aggregation period that were used as normalization value for the `excessiveWakeupRate` metric. A user is counted in this metric if they app was doing any work on the device, i.e., not just active foreground usage but also background work. Care must be taken not to aggregate this count further, as it may result in users being counted multiple times.", "type": "array", "items": { "type": "string" } }, "timelineSpec": { "description": "Specification of the timeline aggregation parameters. **Supported aggregation periods:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh DAILY: metrics are aggregated in calendar date intervals. Due to historical constraints, the only supported timezone is `America/Los_Angeles`.", "$ref": "GooglePlayDeveloperReportingV1alpha1TimelineSpec" }, "filter": { "type": "string", "description": "Filters to apply to data. The filtering expression follows [AIP-160](https://google.aip.dev/160) standard and supports filtering by equality of all breakdown dimensions." }, "dimensions": { "type": "array", "items": { "type": "string" }, "description": "Dimensions to slice the data by. **Supported dimensions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel` (string): the API level of Android that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode` (int64): version of the app that was running on the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel` (string): unique identifier of the user's device model. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType` (string): the type (also known as form factor) of the user's device. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `countryCode` (string): the country or region of the user's device based on their IP address, represented as a 2-letter ISO-3166 code (e.g. US for the United States)." } }, "description": "Request message for QueryExcessiveWakeupRateMetricSet.", "id": "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetRequest" }, "GoogleTypeDateTime": { "description": "Represents civil time (or occasionally physical time). This type can represent a civil time in one of a few possible ways: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When utc_offset is set and time_zone is unset: a civil time on a calendar day with a particular offset from UTC. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When time_zone is set and utc_offset is unset: a civil time on a calendar day in a particular time zone. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh When neither time_zone nor utc_offset is set: a civil time on a calendar day in local time. The date is relative to the Proleptic Gregorian Calendar. If year is 0, the DateTime is considered not to have a specific year. month and day must have valid, non-zero values. This type may also be used to represent a physical time if all the date and time fields are set and either case of the `time_offset` oneof is set. Consider using `Timestamp` message for physical time instead. If your use case also would like to store the user's timezone, that can be done in another field. This type is more flexible than some applications may want. Make sure to document and validate your application's limitations.", "id": "GoogleTypeDateTime", "type": "object", "properties": { "nanos": { "format": "int32", "type": "integer", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." }, "utcOffset": { "type": "string", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "format": "google-duration" }, "hours": { "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "type": "integer", "format": "int32" }, "day": { "type": "integer", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32" }, "month": { "type": "integer", "description": "Required. Month of year. Must be from 1 to 12.", "format": "int32" }, "minutes": { "type": "integer", "format": "int32", "description": "Required. Minutes of hour of day. Must be from 0 to 59." }, "seconds": { "format": "int32", "type": "integer", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "year": { "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "format": "int32", "type": "integer" }, "timeZone": { "$ref": "GoogleTypeTimeZone", "description": "Time zone." } } }, "GooglePlayDeveloperReportingV1alpha1DimensionValue": { "type": "object", "properties": { "stringValue": { "description": "Actual value, represented as a string.", "type": "string" }, "int64Value": { "description": "Actual value, represented as an int64.", "type": "string", "format": "int64" }, "valueLabel": { "type": "string", "description": "Optional. Human-friendly label for the value, always in English. For example, 'Spain' for the 'ES' country code. Whereas the dimension value is stable, this value label is subject to change. Do not assume that the (value, value_label) relationship is stable. For example, the ISO country code 'MK' changed its name recently to 'North Macedonia'." }, "dimension": { "description": "Name of the dimension.", "type": "string" } }, "description": "Represents the value of a single dimension.", "id": "GooglePlayDeveloperReportingV1alpha1DimensionValue" }, "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetResponse": { "description": "Response message for QueryCrashRateMetricSet.", "properties": { "rows": { "type": "array", "description": "Returned rows of data.", "items": { "$ref": "GooglePlayDeveloperReportingV1alpha1MetricsRow" } }, "nextPageToken": { "type": "string", "description": "Continuation token to fetch the next page of data." } }, "type": "object", "id": "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetResponse" } }, "protocol": "rest", "servicePath": "", "title": "Google Play Developer Reporting API", "documentationLink": "https://developers.google.com/play/developer/reporting", "version_module": true, "kind": "discovery#restDescription", "version": "v1alpha1", "revision": "20220711", "fullyEncodeReservedExpansion": true, "parameters": { "callback": { "description": "JSONP", "location": "query", "type": "string" }, "alt": { "description": "Data format for response.", "location": "query", "type": "string", "default": "json", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "$.xgafv": { "enum": [ "1", "2" ], "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "prettyPrint": { "default": "true", "description": "Returns response with indentations and line breaks.", "type": "boolean", "location": "query" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "key": { "location": "query", "type": "string", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "location": "query", "type": "string" } }, "rootUrl": "https://playdeveloperreporting.googleapis.com/", "batchPath": "batch", "ownerDomain": "google.com", "baseUrl": "https://playdeveloperreporting.googleapis.com/", "canonicalName": "Playdeveloperreporting", "mtlsRootUrl": "https://playdeveloperreporting.mtls.googleapis.com/", "name": "playdeveloperreporting", "discoveryVersion": "v1", "basePath": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "resources": { "anomalies": { "methods": { "list": { "httpMethod": "GET", "path": "v1alpha1/{+parent}/anomalies", "description": "Lists anomalies in any of the datasets.", "id": "playdeveloperreporting.anomalies.list", "flatPath": "v1alpha1/apps/{appsId}/anomalies", "parameterOrder": [ "parent" ], "parameters": { "pageToken": { "location": "query", "description": "A page token, received from a previous `ListErrorReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListErrorReports` must match the call that provided the page token.", "type": "string" }, "parent": { "description": "Required. Parent app for which anomalies were detected. Format: apps/{app}", "required": true, "pattern": "^apps/[^/]+$", "type": "string", "location": "path" }, "pageSize": { "location": "query", "type": "integer", "description": "Maximum size of the returned data. If unspecified, at most 10 anomalies will be returned. The maximum value is 100; values above 100 will be coerced to 100.", "format": "int32" }, "filter": { "type": "string", "description": "Filtering criteria for anomalies. For basic filter guidance, please check: https://google.aip.dev/160. **Supported functions:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `activeBetween(startTime, endTime)`: If specified, only list anomalies that were active in between `startTime` (inclusive) and `endTime` (exclusive). Both parameters are expected to conform to an RFC-3339 formatted string (e.g. `2012-04-21T11:30:00-04:00`). UTC offsets are supported. Both `startTime` and `endTime` accept the special value `UNBOUNDED`, to signify intervals with no lower or upper bound, respectively. Examples: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `activeBetween(\"2021-04-21T11:30:00Z\", \"2021-07-21T00:00:00Z\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `activeBetween(UNBOUNDED, \"2021-11-21T00:00:00-04:00\")` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `activeBetween(\"2021-07-21T00:00:00-04:00\", UNBOUNDED)`", "location": "query" } }, "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1ListAnomaliesResponse" } } } }, "vitals": { "resources": { "anrrate": { "methods": { "query": { "id": "playdeveloperreporting.vitals.anrrate.query", "flatPath": "v1alpha1/apps/{appsId}/anrRateMetricSet:query", "request": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetRequest" }, "httpMethod": "POST", "path": "v1alpha1/{+name}:query", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^apps/[^/]+/anrRateMetricSet$", "location": "path", "type": "string", "required": true, "description": "Required. The resource name. Format: apps/{app}/anrRateMetricSet" } }, "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryAnrRateMetricSetResponse" }, "description": "Queries the metrics in the metric set." }, "get": { "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1AnrRateMetricSet" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The resource name. Format: apps/{app}/anrRateMetricSet", "pattern": "^apps/[^/]+/anrRateMetricSet$", "required": true } }, "path": "v1alpha1/{+name}", "description": "Describes the properties of the metric set.", "parameterOrder": [ "name" ], "id": "playdeveloperreporting.vitals.anrrate.get", "flatPath": "v1alpha1/apps/{appsId}/anrRateMetricSet", "httpMethod": "GET" } } }, "crashrate": { "methods": { "query": { "request": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetRequest" }, "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryCrashRateMetricSetResponse" }, "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^apps/[^/]+/crashRateMetricSet$", "description": "Required. The resource name. Format: apps/{app}/crashRateMetricSet" } }, "description": "Queries the metrics in the metric set.", "id": "playdeveloperreporting.vitals.crashrate.query", "httpMethod": "POST", "path": "v1alpha1/{+name}:query", "flatPath": "v1alpha1/apps/{appsId}/crashRateMetricSet:query" }, "get": { "description": "Describes the properties of the metric set.", "parameters": { "name": { "pattern": "^apps/[^/]+/crashRateMetricSet$", "location": "path", "type": "string", "description": "Required. The resource name. Format: apps/{app}/crashRateMetricSet", "required": true } }, "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1CrashRateMetricSet" }, "path": "v1alpha1/{+name}", "id": "playdeveloperreporting.vitals.crashrate.get", "httpMethod": "GET", "flatPath": "v1alpha1/apps/{appsId}/crashRateMetricSet", "parameterOrder": [ "name" ] } } }, "errors": { "resources": { "issues": { "methods": { "search": { "parameters": { "interval.startTime.timeZone.id": { "type": "string", "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "location": "query" }, "interval.startTime.utcOffset": { "location": "query", "type": "string", "format": "google-duration", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }." }, "interval.endTime.day": { "location": "query", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32", "type": "integer" }, "interval.startTime.year": { "type": "integer", "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "location": "query", "format": "int32" }, "interval.startTime.timeZone.version": { "location": "query", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\".", "type": "string" }, "interval.startTime.day": { "type": "integer", "location": "query", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32" }, "interval.endTime.utcOffset": { "type": "string", "location": "query", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "format": "google-duration" }, "interval.endTime.month": { "type": "integer", "format": "int32", "location": "query", "description": "Required. Month of year. Must be from 1 to 12." }, "parent": { "location": "path", "pattern": "^apps/[^/]+$", "description": "Required. Parent resource of the error issues, indicating the application for which they were received. Format: apps/{app}", "type": "string", "required": true }, "filter": { "location": "query", "type": "string", "description": "A selection predicate to retrieve only a subset of the issues. Counts in the returned error issues will only reflect occurrences that matched the filter. For filtering basics, please check [AIP-160](https://google.aip.dev/160). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported field names:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel`: Matches error issues that occurred in the requested Android versions (specified as the numeric API level) only. Example: `apiLevel = 28 OR apiLevel = 29`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode`: Matches error issues that occurred in the requested app version codes only. Example: `versionCode = 123 OR versionCode = 456`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel`: Matches error issues that occurred in the requested devices. Example: `deviceModel = \"walleye\" OR deviceModel = \"marlin\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType`: Matches error issues that occurred in the requested device types. Example: `deviceType = \"PHONE\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `errorIssueType`: Matches error issues of the requested types only. Valid candidates: `CRASH`, `ANR`. Example: `errorIssueType = CRASH OR errorIssueType = ANR`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported operators:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Comparison operators: The only supported comparison operator is equality. The filtered field must appear on the left hand side of the comparison. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Logical Operators: Logical operators `AND` and `OR` can be used to build complex filters following a conjunctive normal form (CNF), i.e., conjunctions of disjunctions. The `OR` operator takes precedence over `AND` so the use of parenthesis is not necessary when building CNF. The `OR` operator is only supported to build disjunctions that apply to the same field, e.g., `versionCode = 123 OR errorIssueType = ANR` is not a valid filter. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Examples LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Some valid filtering expressions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND errorIssueType = ANR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND errorIssueType = OR errorIssueType = CRASH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND (errorIssueType = OR errorIssueType = CRASH)`" }, "pageSize": { "format": "int32", "description": "The maximum number of error issues to return. The service may return fewer than this value. If unspecified, at most 50 error issues will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "type": "integer" }, "interval.endTime.minutes": { "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "location": "query", "type": "integer", "format": "int32" }, "interval.endTime.nanos": { "type": "integer", "format": "int32", "location": "query", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." }, "interval.endTime.year": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year." }, "interval.startTime.minutes": { "format": "int32", "type": "integer", "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "location": "query" }, "interval.startTime.seconds": { "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "location": "query", "format": "int32", "type": "integer" }, "interval.endTime.timeZone.id": { "location": "query", "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string" }, "interval.startTime.nanos": { "location": "query", "type": "integer", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "format": "int32" }, "interval.startTime.hours": { "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "location": "query", "format": "int32", "type": "integer" }, "interval.endTime.seconds": { "location": "query", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "type": "integer", "format": "int32" }, "pageToken": { "type": "string", "location": "query", "description": "A page token, received from a previous call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to the request must match the call that provided the page token." }, "interval.endTime.hours": { "location": "query", "type": "integer", "format": "int32", "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time." }, "interval.startTime.month": { "location": "query", "description": "Required. Month of year. Must be from 1 to 12.", "format": "int32", "type": "integer" }, "interval.endTime.timeZone.version": { "location": "query", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\".", "type": "string" } }, "httpMethod": "GET", "parameterOrder": [ "parent" ], "description": "Searches all error issues in which reports have been grouped.", "path": "v1alpha1/{+parent}/errorIssues:search", "id": "playdeveloperreporting.vitals.errors.issues.search", "flatPath": "v1alpha1/apps/{appsId}/errorIssues:search", "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1SearchErrorIssuesResponse" } } } }, "counts": { "methods": { "query": { "description": "Queries the metrics in the metrics set.", "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetResponse" }, "flatPath": "v1alpha1/apps/{appsId}/errorCountMetricSet:query", "httpMethod": "POST", "request": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryErrorCountMetricSetRequest" }, "parameterOrder": [ "name" ], "path": "v1alpha1/{+name}:query", "parameters": { "name": { "pattern": "^apps/[^/]+/errorCountMetricSet$", "location": "path", "required": true, "type": "string", "description": "Required. The resource name. Format: apps/{app}/errorCountMetricSet" } }, "id": "playdeveloperreporting.vitals.errors.counts.query" }, "get": { "id": "playdeveloperreporting.vitals.errors.counts.get", "flatPath": "v1alpha1/apps/{appsId}/errorCountMetricSet", "description": "Describes the properties of the metrics set.", "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "type": "string", "pattern": "^apps/[^/]+/errorCountMetricSet$", "required": true, "description": "Required. Name of the errors metric set. Format: apps/{app}/errorCountMetricSet", "location": "path" } }, "path": "v1alpha1/{+name}", "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1ErrorCountMetricSet" } } } }, "reports": { "methods": { "search": { "flatPath": "v1alpha1/apps/{appsId}/errorReports:search", "id": "playdeveloperreporting.vitals.errors.reports.search", "parameters": { "parent": { "required": true, "description": "Required. Parent resource of the reports, indicating the application for which they were received. Format: apps/{app}", "type": "string", "location": "path", "pattern": "^apps/[^/]+$" }, "interval.startTime.utcOffset": { "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "type": "string", "format": "google-duration", "location": "query" }, "interval.endTime.nanos": { "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.", "location": "query", "format": "int32", "type": "integer" }, "interval.startTime.month": { "type": "integer", "format": "int32", "location": "query", "description": "Required. Month of year. Must be from 1 to 12." }, "interval.endTime.timeZone.id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "type": "string", "location": "query" }, "interval.startTime.minutes": { "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "location": "query", "type": "integer", "format": "int32" }, "pageToken": { "description": "A page token, received from a previous `SearchErrorReports` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `SearchErrorReports` must match the call that provided the page token.", "type": "string", "location": "query" }, "interval.endTime.month": { "format": "int32", "location": "query", "description": "Required. Month of year. Must be from 1 to 12.", "type": "integer" }, "interval.endTime.seconds": { "format": "int32", "type": "integer", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.", "location": "query" }, "interval.startTime.timeZone.id": { "description": "IANA Time Zone Database time zone, e.g. \"America/New_York\".", "location": "query", "type": "string" }, "interval.startTime.day": { "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month.", "format": "int32", "type": "integer", "location": "query" }, "interval.endTime.hours": { "location": "query", "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "format": "int32", "type": "integer" }, "interval.startTime.year": { "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "location": "query", "format": "int32", "type": "integer" }, "interval.startTime.timeZone.version": { "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\".", "type": "string", "location": "query" }, "interval.endTime.timeZone.version": { "location": "query", "description": "Optional. IANA Time Zone Database version number, e.g. \"2019a\".", "type": "string" }, "interval.endTime.minutes": { "type": "integer", "description": "Required. Minutes of hour of day. Must be from 0 to 59.", "location": "query", "format": "int32" }, "interval.endTime.utcOffset": { "type": "string", "location": "query", "description": "UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.", "format": "google-duration" }, "interval.startTime.hours": { "type": "integer", "format": "int32", "description": "Required. Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.", "location": "query" }, "interval.startTime.nanos": { "type": "integer", "location": "query", "format": "int32", "description": "Required. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999." }, "interval.startTime.seconds": { "type": "integer", "location": "query", "format": "int32", "description": "Required. Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds." }, "filter": { "type": "string", "description": "A selection predicate to retrieve only a subset of the reports. For filtering basics, please check [AIP-160](https://google.aip.dev/160). LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported field names:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `apiLevel`: Matches error reports that occurred in the requested Android versions (specified as the numeric API level) only. Example: `apiLevel = 28 OR apiLevel = 29`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode`: Matches error reports that occurred in the requested app version codes only. Example: `versionCode = 123 OR versionCode = 456`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceModel`: Matches error reports that occurred in the requested devices. Example: `deviceModel = \"walleye\" OR deviceModel = \"marlin\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deviceType`: Matches error reports that occurred in the requested device types. Example: `deviceType = \"PHONE\"`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `errorIssueType`: Matches error reports of the requested types only. Valid candidates: `JAVA_CRASH`, `NATIVE_CRASH`, `ANR`. Example: `errorIssueType = JAVA_CRASH OR errorIssueType = NATIVE_CRASH`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `errorIssueId`: Matches error reports belonging to the requested error issue ids only. Example: `errorIssueId = 1234 OR errorIssueId = 4567`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Supported operators:** LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Comparison operators: The only supported comparison operator is equality. The filtered field must appear on the left hand side of the comparison. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Logical Operators: Logical operators `AND` and `OR` can be used to build complex filters following a conjunctive normal form (CNF), i.e., conjunctions of disjunctions. The `OR` operator takes precedence over `AND` so the use of parenthesis is not necessary when building CNF. The `OR` operator is only supported to build disjunctions that apply to the same field, e.g., `versionCode = 123 OR versionCode = ANR`. The filter expression `versionCode = 123 OR errorIssueType = ANR` is not valid. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Examples LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Some valid filtering expressions: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND errorIssueType = ANR` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND errorIssueType = OR errorIssueType = CRASH` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `versionCode = 123 AND (errorIssueType = OR errorIssueType = CRASH)`", "location": "query" }, "interval.endTime.year": { "location": "query", "format": "int32", "description": "Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.", "type": "integer" }, "pageSize": { "location": "query", "format": "int32", "type": "integer", "description": "The maximum number of reports to return. The service may return fewer than this value. If unspecified, at most 50 reports will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." }, "interval.endTime.day": { "format": "int32", "type": "integer", "location": "query", "description": "Required. Day of month. Must be from 1 to 31 and valid for the year and month." } }, "parameterOrder": [ "parent" ], "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1SearchErrorReportsResponse" }, "description": "Searches all error reports received for an app.", "httpMethod": "GET", "path": "v1alpha1/{+parent}/errorReports:search" } } } } }, "stuckbackgroundwakelockrate": { "methods": { "query": { "id": "playdeveloperreporting.vitals.stuckbackgroundwakelockrate.query", "parameterOrder": [ "name" ], "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetResponse" }, "path": "v1alpha1/{+name}:query", "description": "Queries the metrics in the metric set.", "httpMethod": "POST", "parameters": { "name": { "required": true, "pattern": "^apps/[^/]+/stuckBackgroundWakelockRateMetricSet$", "type": "string", "description": "Required. The resource name. Format: apps/{app}/stuckBackgroundWakelockRateMetricSet", "location": "path" } }, "flatPath": "v1alpha1/apps/{appsId}/stuckBackgroundWakelockRateMetricSet:query", "request": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryStuckBackgroundWakelockRateMetricSetRequest" } }, "get": { "path": "v1alpha1/{+name}", "parameters": { "name": { "pattern": "^apps/[^/]+/stuckBackgroundWakelockRateMetricSet$", "location": "path", "type": "string", "description": "Required. The resource name. Format: apps/{app}/stuckBackgroundWakelockRateMetricSet", "required": true } }, "httpMethod": "GET", "description": "Describes the properties of the metric set.", "id": "playdeveloperreporting.vitals.stuckbackgroundwakelockrate.get", "parameterOrder": [ "name" ], "flatPath": "v1alpha1/apps/{appsId}/stuckBackgroundWakelockRateMetricSet", "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1StuckBackgroundWakelockRateMetricSet" } } } }, "excessivewakeuprate": { "methods": { "get": { "description": "Describes the properties of the metric set.", "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1ExcessiveWakeupRateMetricSet" }, "parameterOrder": [ "name" ], "flatPath": "v1alpha1/apps/{appsId}/excessiveWakeupRateMetricSet", "parameters": { "name": { "location": "path", "required": true, "description": "Required. The resource name. Format: apps/{app}/excessiveWakeupRateMetricSet", "pattern": "^apps/[^/]+/excessiveWakeupRateMetricSet$", "type": "string" } }, "httpMethod": "GET", "path": "v1alpha1/{+name}", "id": "playdeveloperreporting.vitals.excessivewakeuprate.get" }, "query": { "id": "playdeveloperreporting.vitals.excessivewakeuprate.query", "request": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetRequest" }, "parameters": { "name": { "description": "Required. The resource name. Format: apps/{app}/excessiveWakeupRateMetricSet", "required": true, "location": "path", "pattern": "^apps/[^/]+/excessiveWakeupRateMetricSet$", "type": "string" } }, "response": { "$ref": "GooglePlayDeveloperReportingV1alpha1QueryExcessiveWakeupRateMetricSetResponse" }, "flatPath": "v1alpha1/apps/{appsId}/excessiveWakeupRateMetricSet:query", "description": "Queries the metrics in the metric set.", "httpMethod": "POST", "path": "v1alpha1/{+name}:query", "parameterOrder": [ "name" ] } } } } } }, "description": "", "id": "playdeveloperreporting:v1alpha1", "ownerName": "Google" }
]===]))
