local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "baseUrl": "https://policyanalyzer.googleapis.com/", "title": "Policy Analyzer API", "name": "policyanalyzer", "revision": "20220708", "mtlsRootUrl": "https://policyanalyzer.mtls.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "resources": { "activityTypes": { "resources": { "activities": { "methods": { "query": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/activityTypes/{activityTypesId}/activities:query", "httpMethod": "GET", "response": { "$ref": "GoogleCloudPolicyanalyzerV1beta1QueryActivityResponse" }, "description": "Queries policy activities on GCP resources.", "parameterOrder": [ "parent" ], "path": "v1beta1/{+parent}/activities:query", "parameters": { "pageToken": { "location": "query", "type": "string", "description": "Optional. If present, then retrieve the next batch of results from the preceding call to this method. `pageToken` must be the value of `nextPageToken` from the previous response. The values of other method parameters should be identical to those in the previous call." }, "pageSize": { "type": "integer", "description": "Optional. The maximum number of results to return from this request. Max limit is 1000. Non-positive values are ignored. The presence of `nextPageToken` in the response indicates that more results might be available.", "location": "query", "format": "int32" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/activityTypes/[^/]+$", "description": "Required. The container resource on which to execute the request. Acceptable formats: `projects/[PROJECT_ID|PROJECT_NUMBER]/locations/[LOCATION]/activityTypes/[ACTIVITY_TYPE]` LOCATION here refers to GCP Locations: https://cloud.google.com/about/locations/", "required": true, "type": "string", "location": "path" }, "filter": { "description": "Optional. Optional filter expression to restrict the activities returned. Supported filters are: - service_account_last_authn.full_resource_name {=} - service_account_key_last_authn.full_resource_name {=} ", "type": "string", "location": "query" } }, "id": "policyanalyzer.projects.locations.activityTypes.activities.query", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } } } } } } } } }, "parameters": { "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "type": "boolean", "default": "true" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "alt": { "enum": [ "json", "media", "proto" ], "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "default": "json", "location": "query", "description": "Data format for response." }, "upload_protocol": { "location": "query", "type": "string", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "callback": { "type": "string", "location": "query", "description": "JSONP" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" }, "$.xgafv": { "description": "V1 error format.", "type": "string", "enum": [ "1", "2" ], "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" } }, "ownerDomain": "google.com", "ownerName": "Google", "id": "policyanalyzer:v1beta1", "kind": "discovery#restDescription", "canonicalName": "Policy Analyzer", "description": "", "basePath": "", "version": "v1beta1", "protocol": "rest", "version_module": true, "rootUrl": "https://policyanalyzer.googleapis.com/", "schemas": { "GoogleCloudPolicyanalyzerV1beta1ObservationPeriod": { "properties": { "endTime": { "description": "The observation end time.", "format": "google-datetime", "type": "string" }, "startTime": { "format": "google-datetime", "description": "The observation start time.", "type": "string" } }, "description": "Represents data observation period.", "type": "object", "id": "GoogleCloudPolicyanalyzerV1beta1ObservationPeriod" }, "GoogleCloudPolicyanalyzerV1beta1Activity": { "type": "object", "id": "GoogleCloudPolicyanalyzerV1beta1Activity", "properties": { "observationPeriod": { "$ref": "GoogleCloudPolicyanalyzerV1beta1ObservationPeriod", "description": "The data observation period to build the activity." }, "activityType": { "type": "string", "description": "The type of the activity." }, "fullResourceName": { "description": "The full resource name that identifies the resource. For examples of full resource names for Google Cloud services, see https://cloud.google.com/iam/help/troubleshooter/full-resource-names.", "type": "string" }, "activity": { "additionalProperties": { "description": "Properties of the object.", "type": "any" }, "type": "object", "description": "A struct of custom fields to explain the activity." } } }, "GoogleCloudPolicyanalyzerV1beta1QueryActivityResponse": { "id": "GoogleCloudPolicyanalyzerV1beta1QueryActivityResponse", "type": "object", "properties": { "nextPageToken": { "type": "string", "description": "If there might be more results than those appearing in this response, then `nextPageToken` is included. To get the next set of results, call this method again using the value of `nextPageToken` as `pageToken`." }, "activities": { "description": "The set of activities that match the filter included in the request.", "items": { "$ref": "GoogleCloudPolicyanalyzerV1beta1Activity" }, "type": "array" } }, "description": "Response to the `QueryActivity` method." } }, "discoveryVersion": "v1", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "servicePath": "", "documentationLink": "https://www.google.com", "fullyEncodeReservedExpansion": true }
]===]))
