local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "schemas": { "GoogleIamV1Binding": { "id": "GoogleIamV1Binding", "type": "object", "properties": { "condition": { "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "$ref": "GoogleTypeExpr" }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "items": { "type": "string" } } }, "description": "Associates `members`, or principals, with a `role`." }, "GoogleIamV1AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "GoogleIamV1AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "id": "GoogleIamV1AuditConfig", "type": "object", "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging." }, "GoogleIamV1AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "type": "object", "id": "GoogleIamV1AuditLogConfig", "properties": { "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "description": "The log type that this config enables.", "type": "string" }, "exemptedMembers": { "type": "array", "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" } } } }, "GoogleTypeExpr": { "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" } }, "id": "GoogleTypeExpr", "type": "object", "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information." }, "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyRequest": { "type": "object", "description": "Request for TroubleshootIamPolicy.", "id": "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyRequest", "properties": { "accessTuple": { "description": "The information to use for checking whether a member has a permission for a resource.", "$ref": "GoogleCloudPolicytroubleshooterV1betaAccessTuple" } } }, "GoogleCloudPolicytroubleshooterV1betaAccessTuple": { "properties": { "principal": { "type": "string", "description": "Required. The member, or principal, whose access you want to check, in the form of the email address that represents that member. For example, `alice@example.com` or `my-service-account@my-project.iam.gserviceaccount.com`. The member must be a Google Account or a service account. Other types of members are not supported." }, "fullResourceName": { "type": "string", "description": "Required. The full resource name that identifies the resource. For example, `//compute.googleapis.com/projects/my-project/zones/us-central1-a/instances/my-instance`. For examples of full resource names for Google Cloud services, see https://cloud.google.com/iam/help/troubleshooter/full-resource-names." }, "permission": { "description": "Required. The IAM permission to check for the specified member and resource. For a complete list of IAM permissions, see https://cloud.google.com/iam/help/permissions/reference. For a complete list of predefined IAM roles and the permissions in each role, see https://cloud.google.com/iam/help/roles/reference.", "type": "string" } }, "id": "GoogleCloudPolicytroubleshooterV1betaAccessTuple", "type": "object", "description": "Information about the member, resource, and permission to check." }, "GoogleIamV1Policy": { "properties": { "auditConfigs": { "items": { "$ref": "GoogleIamV1AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy.", "type": "array" }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" }, "bindings": { "type": "array", "items": { "$ref": "GoogleIamV1Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." }, "version": { "type": "integer", "format": "int32", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "type": "object", "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "GoogleIamV1Policy" }, "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyResponse": { "properties": { "explainedPolicies": { "items": { "$ref": "GoogleCloudPolicytroubleshooterV1betaExplainedPolicy" }, "type": "array", "description": "List of IAM policies that were evaluated to check the member's permissions, with annotations to indicate how each policy contributed to the final result. The list of policies can include the policy for the resource itself. It can also include policies that are inherited from higher levels of the resource hierarchy, including the organization, the folder, and the project. To learn more about the resource hierarchy, see https://cloud.google.com/iam/help/resource-hierarchy." }, "access": { "enum": [ "ACCESS_STATE_UNSPECIFIED", "GRANTED", "NOT_GRANTED", "UNKNOWN_CONDITIONAL", "UNKNOWN_INFO_DENIED" ], "type": "string", "enumDescriptions": [ "Reserved for future use.", "The member has the permission.", "The member does not have the permission.", "The member has the permission only if a condition expression evaluates to `true`.", "The sender of the request does not have access to all of the policies that Policy Troubleshooter needs to evaluate." ], "description": "Indicates whether the member has the specified permission for the specified resource, based on evaluating all of the applicable policies." } }, "type": "object", "id": "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyResponse", "description": "Response for TroubleshootIamPolicy." }, "GoogleCloudPolicytroubleshooterV1betaExplainedPolicy": { "type": "object", "properties": { "fullResourceName": { "description": "The full resource name that identifies the resource. For example, `//compute.googleapis.com/projects/my-project/zones/us-central1-a/instances/my-instance`. If the sender of the request does not have access to the policy, this field is omitted. For examples of full resource names for Google Cloud services, see https://cloud.google.com/iam/help/troubleshooter/full-resource-names.", "type": "string" }, "access": { "enumDescriptions": [ "Reserved for future use.", "The member has the permission.", "The member does not have the permission.", "The member has the permission only if a condition expression evaluates to `true`.", "The sender of the request does not have access to all of the policies that Policy Troubleshooter needs to evaluate." ], "description": "Indicates whether _this policy_ provides the specified permission to the specified member for the specified resource. This field does _not_ indicate whether the member actually has the permission for the resource. There might be another policy that overrides this policy. To determine whether the member actually has the permission, use the `access` field in the TroubleshootIamPolicyResponse.", "type": "string", "enum": [ "ACCESS_STATE_UNSPECIFIED", "GRANTED", "NOT_GRANTED", "UNKNOWN_CONDITIONAL", "UNKNOWN_INFO_DENIED" ] }, "bindingExplanations": { "description": "Details about how each binding in the policy affects the member's ability, or inability, to use the permission for the resource. If the sender of the request does not have access to the policy, this field is omitted.", "items": { "$ref": "GoogleCloudPolicytroubleshooterV1betaBindingExplanation" }, "type": "array" }, "relevance": { "type": "string", "enumDescriptions": [ "Reserved for future use.", "The data point has a limited effect on the result. Changing the data point is unlikely to affect the overall determination.", "The data point has a strong effect on the result. Changing the data point is likely to affect the overall determination." ], "enum": [ "HEURISTIC_RELEVANCE_UNSPECIFIED", "NORMAL", "HIGH" ], "description": "The relevance of this policy to the overall determination in the TroubleshootIamPolicyResponse. If the sender of the request does not have access to the policy, this field is omitted." }, "policy": { "$ref": "GoogleIamV1Policy", "description": "The IAM policy attached to the resource. If the sender of the request does not have access to the policy, this field is empty." } }, "id": "GoogleCloudPolicytroubleshooterV1betaExplainedPolicy", "description": "Details about how a specific IAM Policy contributed to the access check." }, "GoogleCloudPolicytroubleshooterV1betaBindingExplanationAnnotatedMembership": { "type": "object", "description": "Details about whether the binding includes the member.", "id": "GoogleCloudPolicytroubleshooterV1betaBindingExplanationAnnotatedMembership", "properties": { "membership": { "enum": [ "MEMBERSHIP_UNSPECIFIED", "MEMBERSHIP_INCLUDED", "MEMBERSHIP_NOT_INCLUDED", "MEMBERSHIP_UNKNOWN_INFO_DENIED", "MEMBERSHIP_UNKNOWN_UNSUPPORTED" ], "enumDescriptions": [ "Reserved for future use.", "The binding includes the member. The member can be included directly or indirectly. For example: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A member is included directly if that member is listed in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh A member is included indirectly if that member is in a Google group or G Suite domain that is listed in the binding.", "The binding does not include the member.", "The sender of the request is not allowed to access the binding.", "The member is an unsupported type. Only Google Accounts and service accounts are supported." ], "type": "string", "description": "Indicates whether the binding includes the member." }, "relevance": { "description": "The relevance of the member's status to the overall determination for the binding.", "type": "string", "enumDescriptions": [ "Reserved for future use.", "The data point has a limited effect on the result. Changing the data point is unlikely to affect the overall determination.", "The data point has a strong effect on the result. Changing the data point is likely to affect the overall determination." ], "enum": [ "HEURISTIC_RELEVANCE_UNSPECIFIED", "NORMAL", "HIGH" ] } } }, "GoogleCloudPolicytroubleshooterV1betaBindingExplanation": { "type": "object", "id": "GoogleCloudPolicytroubleshooterV1betaBindingExplanation", "properties": { "relevance": { "enum": [ "HEURISTIC_RELEVANCE_UNSPECIFIED", "NORMAL", "HIGH" ], "description": "The relevance of this binding to the overall determination for the entire policy.", "enumDescriptions": [ "Reserved for future use.", "The data point has a limited effect on the result. Changing the data point is unlikely to affect the overall determination.", "The data point has a strong effect on the result. Changing the data point is likely to affect the overall determination." ], "type": "string" }, "condition": { "description": "A condition expression that prevents access unless the expression evaluates to `true`. To learn about IAM Conditions, see https://cloud.google.com/iam/help/conditions/overview.", "$ref": "GoogleTypeExpr" }, "memberships": { "additionalProperties": { "$ref": "GoogleCloudPolicytroubleshooterV1betaBindingExplanationAnnotatedMembership" }, "type": "object", "description": "Indicates whether each member in the binding includes the member specified in the request, either directly or indirectly. Each key identifies a member in the binding, and each value indicates whether the member in the binding includes the member in the request. For example, suppose that a binding includes the following members: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:alice@example.com` LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:product-eng@example.com` You want to troubleshoot access for `user:bob@example.com`. This user is a member of the group `group:product-eng@example.com`. For the first member in the binding, the key is `user:alice@example.com`, and the `membership` field in the value is set to `MEMBERSHIP_NOT_INCLUDED`. For the second member in the binding, the key is `group:product-eng@example.com`, and the `membership` field in the value is set to `MEMBERSHIP_INCLUDED`." }, "rolePermissionRelevance": { "enum": [ "HEURISTIC_RELEVANCE_UNSPECIFIED", "NORMAL", "HIGH" ], "type": "string", "enumDescriptions": [ "Reserved for future use.", "The data point has a limited effect on the result. Changing the data point is unlikely to affect the overall determination.", "The data point has a strong effect on the result. Changing the data point is likely to affect the overall determination." ], "description": "The relevance of the permission's existence, or nonexistence, in the role to the overall determination for the entire policy." }, "role": { "description": "The role that this binding grants. For example, `roles/compute.serviceAgent`. For a complete list of predefined IAM roles, as well as the permissions in each role, see https://cloud.google.com/iam/help/roles/reference.", "type": "string" }, "access": { "enum": [ "ACCESS_STATE_UNSPECIFIED", "GRANTED", "NOT_GRANTED", "UNKNOWN_CONDITIONAL", "UNKNOWN_INFO_DENIED" ], "enumDescriptions": [ "Reserved for future use.", "The member has the permission.", "The member does not have the permission.", "The member has the permission only if a condition expression evaluates to `true`.", "The sender of the request does not have access to all of the policies that Policy Troubleshooter needs to evaluate." ], "type": "string", "description": "Indicates whether _this binding_ provides the specified permission to the specified member for the specified resource. This field does _not_ indicate whether the member actually has the permission for the resource. There might be another binding that overrides this binding. To determine whether the member actually has the permission, use the `access` field in the TroubleshootIamPolicyResponse." }, "rolePermission": { "description": "Indicates whether the role granted by this binding contains the specified permission.", "type": "string", "enumDescriptions": [ "Reserved for future use.", "The permission is included in the role.", "The permission is not included in the role.", "The sender of the request is not allowed to access the binding." ], "enum": [ "ROLE_PERMISSION_UNSPECIFIED", "ROLE_PERMISSION_INCLUDED", "ROLE_PERMISSION_NOT_INCLUDED", "ROLE_PERMISSION_UNKNOWN_INFO_DENIED" ] } }, "description": "Details about how a binding in a policy affects a member's ability to use a permission." } }, "resources": { "iam": { "methods": { "troubleshoot": { "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "request": { "$ref": "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyRequest" }, "id": "policytroubleshooter.iam.troubleshoot", "description": "Checks whether a member has a specific permission for a specific resource, and explains why the member does or does not have that permission.", "flatPath": "v1beta/iam:troubleshoot", "path": "v1beta/iam:troubleshoot", "parameterOrder": [], "response": { "$ref": "GoogleCloudPolicytroubleshooterV1betaTroubleshootIamPolicyResponse" } } } } }, "parameters": { "alt": { "type": "string", "location": "query", "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "$.xgafv": { "enum": [ "1", "2" ], "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "type": "string", "location": "query" }, "prettyPrint": { "type": "boolean", "default": "true", "description": "Returns response with indentations and line breaks.", "location": "query" }, "access_token": { "description": "OAuth access token.", "type": "string", "location": "query" }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "location": "query" }, "key": { "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "location": "query", "type": "string" }, "oauth_token": { "type": "string", "location": "query", "description": "OAuth 2.0 token for the current user." }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "location": "query", "type": "string" } }, "title": "Policy Troubleshooter API", "fullyEncodeReservedExpansion": true, "canonicalName": "Policy Troubleshooter", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "protocol": "rest", "ownerName": "Google", "mtlsRootUrl": "https://policytroubleshooter.mtls.googleapis.com/", "version_module": true, "documentationLink": "https://cloud.google.com/iam/", "version": "v1beta", "id": "policytroubleshooter:v1beta", "kind": "discovery#restDescription", "discoveryVersion": "v1", "rootUrl": "https://policytroubleshooter.googleapis.com/", "name": "policytroubleshooter", "basePath": "", "servicePath": "", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "ownerDomain": "google.com", "revision": "20220708", "baseUrl": "https://policytroubleshooter.googleapis.com/", "description": "" }
]===]))
