local decode = require("cjson").new().decode
return assert(decode([===[
{ "id": "poly:v1", "title": "Poly API", "mtlsRootUrl": "https://poly.mtls.googleapis.com/", "documentationLink": "https://developers.google.com/poly/", "discoveryVersion": "v1", "ownerName": "Google", "parameters": { "alt": { "default": "json", "location": "query", "type": "string", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "description": "Data format for response.", "enum": [ "json", "media", "proto" ] }, "access_token": { "location": "query", "type": "string", "description": "OAuth access token." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "prettyPrint": { "location": "query", "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true" }, "$.xgafv": { "type": "string", "location": "query", "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "enum": [ "1", "2" ] }, "callback": { "location": "query", "type": "string", "description": "JSONP" } }, "revision": "20210817", "ownerDomain": "google.com", "baseUrl": "https://poly.googleapis.com/", "description": "The Poly API provides read access to assets hosted on poly.google.com to all, and upload access to poly.google.com for whitelisted accounts. ", "name": "poly", "version": "v1", "protocol": "rest", "kind": "discovery#restDescription", "resources": { "assets": { "methods": { "get": { "path": "v1/{+name}", "id": "poly.assets.get", "description": "Returns detailed information about an asset given its name. PRIVATE assets are returned only if the currently authenticated user (via OAuth token) is the author of the asset.", "flatPath": "v1/assets/{assetsId}", "response": { "$ref": "Asset" }, "httpMethod": "GET", "parameters": { "name": { "required": true, "location": "path", "pattern": "^assets/[^/]+$", "type": "string", "description": "Required. An asset's name in the form `assets/{ASSET_ID}`." } }, "parameterOrder": [ "name" ] }, "list": { "parameterOrder": [], "path": "v1/assets", "flatPath": "v1/assets", "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Specifies an ordering for assets. Acceptable values are: `BEST`, `NEWEST`, `OLDEST`. Defaults to `BEST`, which ranks assets based on a combination of popularity and other features." }, "format": { "description": "Return only assets with the matching format. Acceptable values are: `BLOCKS`, `FBX`, `GLTF`, `GLTF2`, `OBJ`, `TILT`.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "description": "Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token.", "location": "query" }, "maxComplexity": { "description": "Returns assets that are of the specified complexity or less. Defaults to COMPLEX. For example, a request for MEDIUM assets also includes SIMPLE assets.", "enum": [ "COMPLEXITY_UNSPECIFIED", "COMPLEX", "MEDIUM", "SIMPLE" ], "type": "string", "location": "query", "enumDescriptions": [ "No complexity specified. This is equivalent to omitting the filter.", "Highly-complex.", "Averagely-complex.", "Simple." ] }, "category": { "description": "Filter assets based on the specified category. Supported values are: `animals`, `architecture`, `art`, `food`, `nature`, `objects`, `people`, `scenes`, `technology`, and `transport`.", "location": "query", "type": "string" }, "curated": { "location": "query", "type": "boolean", "description": "Return only assets that have been curated by the Poly team." }, "keywords": { "description": "One or more search terms to be matched against all text that Poly has indexed for assets, which includes display_name, description, and tags. Multiple keywords should be separated by spaces.", "location": "query", "type": "string" }, "pageSize": { "format": "int32", "location": "query", "type": "integer", "description": "The maximum number of assets to be returned. This value must be between `1` and `100`. Defaults to `20`." } }, "httpMethod": "GET", "description": "Lists all public, remixable assets. These are assets with an access level of PUBLIC and published under the CC-By license.", "id": "poly.assets.list", "response": { "$ref": "ListAssetsResponse" } } } }, "users": { "resources": { "likedassets": { "methods": { "list": { "response": { "$ref": "ListLikedAssetsResponse" }, "id": "poly.users.likedassets.list", "parameterOrder": [ "name" ], "description": "Lists assets that the user has liked. Only the value 'me', representing the currently-authenticated user, is supported. May include assets with an access level of UNLISTED.", "path": "v1/{+name}/likedassets", "httpMethod": "GET", "flatPath": "v1/users/{usersId}/likedassets", "parameters": { "orderBy": { "location": "query", "description": "Specifies an ordering for assets. Acceptable values are: `BEST`, `NEWEST`, `OLDEST`, 'LIKED_TIME'. Defaults to `LIKED_TIME`, which ranks assets based on how recently they were liked.", "type": "string" }, "pageSize": { "format": "int32", "type": "integer", "description": "The maximum number of assets to be returned. This value must be between `1` and `100`. Defaults to `20`.", "location": "query" }, "name": { "type": "string", "location": "path", "required": true, "description": "A valid user id. Currently, only the special value 'me', representing the currently-authenticated user is supported. To use 'me', you must pass an OAuth token with the request.", "pattern": "^users/[^/]+$" }, "format": { "description": "Return only assets with the matching format. Acceptable values are: `BLOCKS`, `FBX`, `GLTF`, `GLTF2`, `OBJ`, `TILT`.", "location": "query", "type": "string" }, "pageToken": { "description": "Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token.", "type": "string", "location": "query" } } } } }, "assets": { "methods": { "list": { "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "A valid user id. Currently, only the special value 'me', representing the currently-authenticated user is supported. To use 'me', you must pass an OAuth token with the request.", "pattern": "^users/[^/]+$" }, "pageToken": { "type": "string", "description": "Specifies a continuation token from a previous search whose results were split into multiple pages. To get the next page, submit the same request specifying the value from next_page_token.", "location": "query" }, "visibility": { "location": "query", "type": "string", "description": "The visibility of the assets to be returned. Defaults to VISIBILITY_UNSPECIFIED which returns all assets.", "enumDescriptions": [ "No visibility specified. Returns all assets.", "Returns only published assets.", "Returns only private assets." ], "enum": [ "VISIBILITY_UNSPECIFIED", "PUBLISHED", "PRIVATE" ] }, "pageSize": { "type": "integer", "location": "query", "description": "The maximum number of assets to be returned. This value must be between `1` and `100`. Defaults to `20`.", "format": "int32" }, "format": { "description": "Return only assets with the matching format. Acceptable values are: `BLOCKS`, `FBX`, `GLTF`, `GLTF2`, `OBJ`, and `TILT`.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Specifies an ordering for assets. Acceptable values are: `BEST`, `NEWEST`, `OLDEST`. Defaults to `BEST`, which ranks assets based on a combination of popularity and other features." } }, "id": "poly.users.assets.list", "path": "v1/{+name}/assets", "response": { "$ref": "ListUserAssetsResponse" }, "httpMethod": "GET", "flatPath": "v1/users/{usersId}/assets", "description": "Lists assets authored by the given user. Only the value 'me', representing the currently-authenticated user, is supported. May include assets with an access level of PRIVATE or UNLISTED and assets which are All Rights Reserved for the currently-authenticated user.", "parameterOrder": [ "name" ] } } } } } }, "canonicalName": "Poly Service", "version_module": true, "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "fullyEncodeReservedExpansion": true, "servicePath": "", "rootUrl": "https://poly.googleapis.com/", "basePath": "", "schemas": { "RemixInfo": { "type": "object", "properties": { "sourceAsset": { "type": "array", "items": { "type": "string" }, "description": "Resource ids for the sources of this remix, of the form: `assets/{ASSET_ID}`" } }, "id": "RemixInfo", "description": "Info about the sources of this asset (i.e. assets that were remixed to create this asset)." }, "Quaternion": { "description": "A [Quaternion](//en.wikipedia.org/wiki/Quaternion). Please note: if in the response you see \"w: 1\" and nothing else this is the default value of [0, 0, 0, 1] where x,y, and z are 0.", "id": "Quaternion", "type": "object", "properties": { "w": { "description": "The scalar component.", "format": "double", "type": "number" }, "x": { "format": "double", "type": "number", "description": "The x component." }, "y": { "format": "double", "description": "The y component.", "type": "number" }, "z": { "description": "The z component.", "type": "number", "format": "double" } } }, "ObjParseError": { "properties": { "code": { "enumDescriptions": [ "Unknown error code.", "Vertex references are specified in an inconsistent style for a face (e.g. some vertices specify texture vertices but some don't).", "The command is invalid.", "A invalid number was specified.", "An invalid vertex reference was specified.", "A vertex reference does not specify a geometric vertex.", "An expected token was not found.", "The vertex specified too few dimensions for its usage.", "The face specified too few vertices.", "The vertex specified too many dimensions for its usage.", "This command is a valid OBJ command but is not supported. This error is only generated for the first instance of such a command.", "This line ended with unparsed token characters.", "The specified vertex was not found.", "The specified number was too large or small for its usage.", "The specified parameter value was not recognized.", "The specified texture option is not valid.", "The maximum number of problems to report was reached. Parsing continues, but further problems will be ignored.", "An expected file name was not specified.", "The specified file was not found in the import.", "The specified material was not found in any material definition in the import.", "Material parameters were specified before the first material definition.", "The smoothing group is not valid.", "Vertex colors were specified for only some vertices of a face.", "A missing file was found at a different file path.", "A line in an OBJ or MTL file exceeded the maximum line length.", "The file path was invalid. Only relative paths are supported." ], "description": "The type of problem found (required).", "enum": [ "CODE_UNSPECIFIED", "INCONSISTENT_VERTEX_REFS", "INVALID_COMMAND", "INVALID_NUMBER", "INVALID_VERTEX_REF", "MISSING_GEOMETRIC_VERTEX", "MISSING_TOKEN", "TOO_FEW_DIMENSIONS", "TOO_FEW_VERTICES", "TOO_MANY_DIMENSIONS", "UNSUPPORTED_COMMAND", "UNUSED_TOKENS", "VERTEX_NOT_FOUND", "NUMBER_OUT_OF_RANGE", "INVALID_VALUE", "INVALID_TEXTURE_OPTION", "TOO_MANY_PROBLEMS", "MISSING_FILE_NAME", "FILE_NOT_FOUND", "UNKNOWN_MATERIAL", "NO_MATERIAL_DEFINED", "INVALID_SMOOTHING_GROUP", "MISSING_VERTEX_COLORS", "FILE_SUBSTITUTION", "LINE_TOO_LONG", "INVALID_FILE_PATH" ], "type": "string" }, "line": { "type": "string", "description": "The text of the line. Note that this may be truncated if the line was very long. This may not include the error if it occurs after line truncation." }, "endIndex": { "type": "integer", "format": "int32", "description": "The ending character index at which the problem was found." }, "startIndex": { "description": "The starting character index at which the problem was found.", "type": "integer", "format": "int32" }, "filePath": { "type": "string", "description": "The file path in which the problem was found." }, "lineNumber": { "type": "integer", "format": "int32", "description": "Line number at which the problem was found." } }, "description": "Details of an error resulting from parsing an OBJ file", "id": "ObjParseError", "type": "object" }, "FormatComplexity": { "type": "object", "description": "Information on the complexity of this Format.", "id": "FormatComplexity", "properties": { "lodHint": { "format": "int32", "type": "integer", "description": "A non-negative integer that represents the level of detail (LOD) of this format relative to other formats of the same asset with the same format_type. This hint allows you to sort formats from the most-detailed (0) to least-detailed (integers greater than 0)." }, "triangleCount": { "format": "int64", "description": "The estimated number of triangles.", "type": "string" } } }, "AssetImportMessage": { "properties": { "code": { "enum": [ "CODE_UNSPECIFIED", "NO_IMPORTABLE_FILE", "EMPTY_MODEL", "OBJ_PARSE_ERROR", "EXPIRED", "IMAGE_ERROR", "EXTRA_FILES_WITH_ARCHIVE", "DEFAULT_MATERIALS", "FATAL_ERROR", "INVALID_ELEMENT_TYPE" ], "description": "The code associated with this message.", "type": "string", "enumDescriptions": [ "Unknown error code.", "The asset import did not include any file that we can import (i.e. an OBJ file).", "When generating the preview for the import, no geometry was found.", "A problem was encountered while parsing the OBJ file. The converter makes a 'best effort' attempt to continue when encountering such issues. In some cases the resulting preview model may still be acceptable. The details can be found in the parse error message.", "The importer was not able to import the model before the expiration time.", "The importer encountered a problem reading an image file.", "Multiple files were encountered in addition to a ZIP archive. When uploading an archive only one file is permitted.", "Default materials are used in the model. This means that one or more faces is using default materials either because no usemtl statement was specified or because the requested material was not found due to a missing material file or bad material name. This does not cover the case of missing textures.", "The importer encountered a fatal error and was unable to import the model.", "The import includes a file of an unsupported element type. The file path is specified." ] }, "objParseError": { "description": "An optional OBJ parse error. Only present for OBJ_PARSE_ERROR.", "$ref": "ObjParseError" }, "filePath": { "description": "An optional file path. Only present for those error codes that specify it.", "type": "string" }, "imageError": { "$ref": "ImageError", "description": "An optional image error. Only present for INVALID_IMAGE_FILE." } }, "description": "A message generated by the asset import process.", "type": "object", "id": "AssetImportMessage" }, "File": { "properties": { "url": { "type": "string", "description": "The URL where the file data can be retrieved." }, "relativePath": { "description": "The path of the resource file relative to the root file. For root or thumbnail files, this is just the filename.", "type": "string" }, "contentType": { "description": "The MIME content-type, such as `image/png`. For more information, see [MIME types](//developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types).", "type": "string" } }, "type": "object", "id": "File", "description": "Represents a file in Poly, which can be a root, resource, or thumbnail file." }, "ListAssetsResponse": { "type": "object", "id": "ListAssetsResponse", "description": "A response message from a request to list.", "properties": { "nextPageToken": { "type": "string", "description": "The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token." }, "totalSize": { "type": "integer", "description": "The total number of assets in the list, without pagination.", "format": "int32" }, "assets": { "type": "array", "items": { "$ref": "Asset" }, "description": "A list of assets that match the criteria specified in the request." } } }, "ListLikedAssetsResponse": { "id": "ListLikedAssetsResponse", "properties": { "nextPageToken": { "type": "string", "description": "The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token." }, "totalSize": { "type": "integer", "format": "int32", "description": "The total number of assets in the list, without pagination." }, "assets": { "items": { "$ref": "Asset" }, "type": "array", "description": "A list of assets that match the criteria specified in the request." } }, "description": "A response message from a request to list.", "type": "object" }, "PresentationParams": { "properties": { "backgroundColor": { "type": "string", "description": "A background color which could be used for displaying the 3D asset in a 'thumbnail' or 'palette' style view. Authors have the option to set this background color when publishing or editing their asset. This is represented as a six-digit hexademical triplet specifying the RGB components of the background color, e.g. #FF0000 for Red." }, "orientingRotation": { "description": "A rotation that should be applied to the object root to make it upright. More precisely, this quaternion transforms from \"object space\" (the space in which the object is defined) to \"presentation space\", a coordinate system where +Y is up, +X is right, -Z is forward. For example, if the object is the Eiffel Tower, in its local coordinate system the object might be laid out such that the base of the tower is on the YZ plane and the tip of the tower is towards positive X. In this case this quaternion would specify a rotation (of 90 degrees about the Z axis) such that in the presentation space the base of the tower is aligned with the XZ plane, and the tip of the tower lies towards +Y. This rotation is unrelated to the object's pose in the web preview, which is just a camera position setting and is *not* reflected in this rotation. Please note: this is applicable only to the gLTF.", "$ref": "Quaternion" }, "colorSpace": { "type": "string", "description": "The materials' diffuse/albedo color. This does not apply to vertex colors or texture maps.", "enum": [ "UNKNOWN", "LINEAR", "GAMMA" ], "enumDescriptions": [ "Invalid color value.", "Linear color values. Default.", "Colors should be converted to linear by assuming gamma = 2.0." ] } }, "type": "object", "id": "PresentationParams", "description": "Hints for displaying the asset, based on information available when the asset was uploaded." }, "ImageError": { "type": "object", "id": "ImageError", "description": "A message resulting from reading an image file.", "properties": { "code": { "enumDescriptions": [ "Unknown error code.", "We were unable to read the image file.", "The image size is too large.", "The image data does not match the expected MIME type of the image." ], "type": "string", "enum": [ "CODE_UNSPECIFIED", "INVALID_IMAGE", "IMAGE_TOO_BIG", "WRONG_IMAGE_TYPE" ], "description": "The type of image error encountered. Optional for older image errors." }, "filePath": { "description": "The file path in the import of the image that was rejected.", "type": "string" } } }, "Asset": { "id": "Asset", "properties": { "presentationParams": { "description": "Hints for displaying the asset. Note that these parameters are not immutable; the author of an asset may change them post-publication.", "$ref": "PresentationParams" }, "displayName": { "type": "string", "description": "The human-readable name, set by the asset's author." }, "isCurated": { "type": "boolean", "description": "Whether this asset has been curated by the Poly team." }, "description": { "type": "string", "description": "The human-readable description, set by the asset's author." }, "formats": { "type": "array", "items": { "$ref": "Format" }, "description": "A list of Formats where each format describes one representation of the asset." }, "authorName": { "description": "The author's publicly visible name. Use this name when giving credit to the author. For more information, see [Licensing](/poly/discover/licensing).", "type": "string" }, "visibility": { "type": "string", "description": "The visibility of the asset and who can access it.", "enum": [ "VISIBILITY_UNSPECIFIED", "PRIVATE", "UNLISTED", "PUBLIC" ], "enumDescriptions": [ "Unknown (and invalid) visibility.", "Access to the asset and its underlying files and resources is restricted to the author. **Authentication:** You must supply an OAuth token that corresponds to the author's account.", "Access to the asset and its underlying files and resources is available to anyone with the asset's name. Unlisted assets are **not** returned by List Assets.", "Access to the asset and its underlying files and resources is available to anyone." ] }, "name": { "description": "The unique identifier for the asset in the form: `assets/{ASSET_ID}`.", "type": "string" }, "thumbnail": { "$ref": "File", "description": "The thumbnail image for the asset." }, "metadata": { "description": "Application-defined opaque metadata for this asset. This field is only returned when querying for the signed-in user's own assets, not for public assets. This string is limited to 1K chars. It is up to the creator of the asset to define the format for this string (for example, JSON).", "type": "string" }, "updateTime": { "format": "google-datetime", "description": "The time when the asset was last modified. For published assets, whose contents are immutable, the update time changes only when metadata properties, such as visibility, are updated.", "type": "string" }, "createTime": { "format": "google-datetime", "type": "string", "description": "For published assets, the time when the asset was published. For unpublished assets, the time when the asset was created." }, "remixInfo": { "$ref": "RemixInfo", "description": "The remix info for the asset." }, "license": { "enum": [ "UNKNOWN", "CREATIVE_COMMONS_BY", "ALL_RIGHTS_RESERVED" ], "description": "The license under which the author has made the asset available for use, if any.", "type": "string", "enumDescriptions": [ "Unknown license value.", "Creative Commons CC-BY 3.0. https://creativecommons.org/licenses/by/3.0/", "Unlicensed: All Rights Reserved by the author. Unlicensed assets are **not** returned by List Assets." ] } }, "type": "object", "description": "Represents and describes an asset in the Poly library. An asset is a 3D model or scene created using [Tilt Brush](//www.tiltbrush.com), [Blocks](//vr.google.com/blocks/), or any 3D program that produces a file that can be upload to Poly." }, "Format": { "properties": { "root": { "$ref": "File", "description": "The root of the file hierarchy. This will always be populated. For some format_types - such as `TILT`, which are self-contained - this is all of the data. Other types - such as `OBJ` - often reference other data elements. These are contained in the resources field." }, "formatType": { "description": "A short string that identifies the format type of this representation. Possible values are: `FBX`, `GLTF`, `GLTF2`, `OBJ`, and `TILT`.", "type": "string" }, "formatComplexity": { "$ref": "FormatComplexity", "description": "Complexity stats about this representation of the asset." }, "resources": { "items": { "$ref": "File" }, "type": "array", "description": "A list of dependencies of the root element. May include, but is not limited to, materials, textures, and shader programs." } }, "type": "object", "description": "The same asset can be represented in different formats, for example, a [WaveFront .obj](//en.wikipedia.org/wiki/Wavefront_.obj_file) file with its corresponding .mtl file or a [Khronos glTF](//www.khronos.org/gltf) file with its corresponding .glb binary data. A format refers to a specific representation of an asset and contains all information needed to retrieve and describe this representation.", "id": "Format" }, "UserAsset": { "id": "UserAsset", "properties": { "asset": { "$ref": "Asset", "description": "An Asset." } }, "type": "object", "description": "Data about the user's asset." }, "ListUserAssetsResponse": { "description": "A response message from a request to list.", "properties": { "totalSize": { "type": "integer", "format": "int32", "description": "The total number of assets in the list, without pagination." }, "nextPageToken": { "description": "The continuation token for retrieving the next page. If empty, indicates that there are no more pages. To get the next page, submit the same request specifying this value as the page_token.", "type": "string" }, "userAssets": { "items": { "$ref": "UserAsset" }, "description": "A list of UserAssets matching the request.", "type": "array" } }, "type": "object", "id": "ListUserAssetsResponse" }, "StartAssetImportResponse": { "type": "object", "description": "A response message from a request to startImport. This is returned in the response field of the Operation.", "properties": { "assetId": { "description": "The id of newly created asset. If this is empty when the operation is complete it means the import failed. Please refer to the assetImportMessages field to understand what went wrong.", "type": "string" }, "publishUrl": { "type": "string", "description": "The publish URL for the asset." }, "assetImportId": { "type": "string", "description": "The id of the asset import." }, "assetImportMessages": { "type": "array", "items": { "$ref": "AssetImportMessage" }, "description": "The message from the asset import. This will contain any warnings (or - in the case of failure - errors) that occurred during import." } }, "id": "StartAssetImportResponse" } }, "batchPath": "batch" }
]===]))
