local decode = require("cjson").new().decode
return assert(decode([===[
{ "batchPath": "batch", "description": "The Certificate Authority Service API is a highly-available, scalable service that enables you to simplify and automate the management of private certificate authorities (CAs) while staying in control of your private keys. ", "ownerDomain": "google.com", "ownerName": "Google", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "parameters": { "pageToken": { "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string", "location": "query" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "location": "query", "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "type": "integer" }, "name": { "description": "The resource that owns the locations collection, if applicable.", "pattern": "^projects/[^/]+$", "required": true, "location": "path", "type": "string" } }, "flatPath": "v1/projects/{projectsId}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.list", "httpMethod": "GET", "parameterOrder": [ "name" ], "description": "Lists information about the supported locations for this service.", "path": "v1/{+name}/locations", "response": { "$ref": "ListLocationsResponse" } }, "get": { "parameters": { "name": { "type": "string", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "location": "path" } }, "parameterOrder": [ "name" ], "response": { "$ref": "Location" }, "path": "v1/{+name}", "httpMethod": "GET", "id": "privateca.projects.locations.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}", "description": "Gets information about a location.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "certificateTemplates": { "methods": { "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.certificateTemplates.list", "httpMethod": "GET", "parameters": { "orderBy": { "type": "string", "description": "Optional. Specify how the results should be sorted.", "location": "query" }, "pageSize": { "description": "Optional. Limit on the number of CertificateTemplates to include in the response. Further CertificateTemplates can subsequently be obtained by including the ListCertificateTemplatesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "format": "int32", "type": "integer", "location": "query" }, "parent": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true, "description": "Required. The resource name of the location associated with the CertificateTemplates, in the format `projects/*/locations/*`.", "location": "path" }, "filter": { "description": "Optional. Only include resources that match the filter in the response.", "type": "string", "location": "query" }, "pageToken": { "description": "Optional. Pagination token, returned earlier via ListCertificateTemplatesResponse.next_page_token.", "type": "string", "location": "query" } }, "path": "v1/{+parent}/certificateTemplates", "description": "Lists CertificateTemplates.", "response": { "$ref": "ListCertificateTemplatesResponse" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates" }, "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}:getIamPolicy", "id": "privateca.projects.locations.certificateTemplates.getIamPolicy", "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "location": "path", "type": "string", "required": true }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET" }, "testIamPermissions": { "id": "privateca.projects.locations.certificateTemplates.testIamPermissions", "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "response": { "$ref": "TestIamPermissionsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}:testIamPermissions", "path": "v1/{+resource}:testIamPermissions", "parameters": { "resource": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "request": { "$ref": "TestIamPermissionsRequest" } }, "create": { "description": "Create a new CertificateTemplate in a given Project and Location.", "request": { "$ref": "CertificateTemplate" }, "httpMethod": "POST", "path": "v1/{+parent}/certificateTemplates", "id": "privateca.projects.locations.certificateTemplates.create", "response": { "$ref": "Operation" }, "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates", "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The resource name of the location associated with the CertificateTemplate, in the format `projects/*/locations/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "certificateTemplateId": { "description": "Required. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`", "location": "query", "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "response": { "$ref": "Policy" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "required": true, "location": "path", "type": "string" } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "path": "v1/{+resource}:setIamPolicy", "id": "privateca.projects.locations.certificateTemplates.setIamPolicy", "httpMethod": "POST" }, "delete": { "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "DELETE", "description": "DeleteCertificateTemplate deletes a CertificateTemplate.", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "privateca.projects.locations.certificateTemplates.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}", "parameters": { "name": { "type": "string", "description": "Required. The resource name for this CertificateTemplate in the format `projects/*/locations/*/certificateTemplates/*`.", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "required": true }, "requestId": { "type": "string", "location": "query", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}", "response": { "$ref": "CertificateTemplate" }, "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "description": "Required. The name of the CertificateTemplate to get.", "type": "string", "required": true, "location": "path" } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "privateca.projects.locations.certificateTemplates.get", "description": "Returns a CertificateTemplate." }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/certificateTemplates/{certificateTemplatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Update a CertificateTemplate.", "response": { "$ref": "Operation" }, "request": { "$ref": "CertificateTemplate" }, "id": "privateca.projects.locations.certificateTemplates.patch", "path": "v1/{+name}", "httpMethod": "PATCH", "parameters": { "name": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateTemplates/[^/]+$", "location": "path", "required": true, "description": "Output only. The resource name for this CertificateTemplate in the format `projects/*/locations/*/certificateTemplates/*`." }, "updateMask": { "description": "Required. A list of fields to be updated in this request.", "type": "string", "format": "google-fieldmask", "location": "query" }, "requestId": { "location": "query", "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "parameterOrder": [ "name" ] } } }, "operations": { "methods": { "delete": { "id": "privateca.projects.locations.operations.delete", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path", "required": true, "type": "string" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "httpMethod": "DELETE", "response": { "$ref": "Empty" }, "parameterOrder": [ "name" ] }, "cancel": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "privateca.projects.locations.operations.cancel", "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "parameterOrder": [ "name" ], "path": "v1/{+name}:cancel", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "required": true, "description": "The name of the operation resource to be cancelled.", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "location": "path" } }, "request": { "$ref": "CancelOperationRequest" }, "response": { "$ref": "Empty" } }, "get": { "httpMethod": "GET", "parameterOrder": [ "name" ], "id": "privateca.projects.locations.operations.get", "path": "v1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Operation" }, "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource.", "type": "string", "location": "path" } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}" }, "list": { "parameters": { "filter": { "type": "string", "description": "The standard list filter.", "location": "query" }, "pageSize": { "description": "The standard list page size.", "format": "int32", "location": "query", "type": "integer" }, "name": { "description": "The name of the operation's parent resource.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "pageToken": { "location": "query", "type": "string", "description": "The standard list page token." } }, "id": "privateca.projects.locations.operations.list", "response": { "$ref": "ListOperationsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id.", "path": "v1/{+name}/operations", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "parameterOrder": [ "name" ] } } }, "caPools": { "resources": { "certificateAuthorities": { "resources": { "certificateRevocationLists": { "methods": { "get": { "httpMethod": "GET", "response": { "$ref": "CertificateRevocationList" }, "parameters": { "name": { "location": "path", "type": "string", "description": "Required. The name of the CertificateRevocationList to get.", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "required": true } }, "parameterOrder": [ "name" ], "description": "Returns a CertificateRevocationList.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}" }, "getIamPolicy": { "response": { "$ref": "Policy" }, "parameters": { "options.requestedPolicyVersion": { "format": "int32", "location": "query", "type": "integer", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path" } }, "httpMethod": "GET", "parameterOrder": [ "resource" ], "path": "v1/{+resource}:getIamPolicy", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." }, "patch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "name": { "description": "Output only. The resource name for this CertificateRevocationList in the format `projects/*/locations/*/caPools/*certificateAuthorities/*/ certificateRevocationLists/*`.", "type": "string", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$" }, "updateMask": { "location": "query", "type": "string", "description": "Required. A list of fields to be updated in this request.", "format": "google-fieldmask" } }, "parameterOrder": [ "name" ], "request": { "$ref": "CertificateRevocationList" }, "response": { "$ref": "Operation" }, "httpMethod": "PATCH", "path": "v1/{+name}", "description": "Update a CertificateRevocationList.", "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.patch", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}" }, "testIamPermissions": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1/{+resource}:testIamPermissions", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$" } }, "parameterOrder": [ "resource" ], "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "parameters": { "resource": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:setIamPolicy", "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.setIamPolicy", "httpMethod": "POST", "path": "v1/{+resource}:setIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" } }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists", "description": "Lists CertificateRevocationLists.", "parameterOrder": [ "parent" ], "response": { "$ref": "ListCertificateRevocationListsResponse" }, "parameters": { "pageSize": { "description": "Optional. Limit on the number of CertificateRevocationLists to include in the response. Further CertificateRevocationLists can subsequently be obtained by including the ListCertificateRevocationListsResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "format": "int32", "type": "integer", "location": "query" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "description": "Required. The resource name of the location associated with the CertificateRevocationLists, in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "location": "path", "type": "string", "required": true }, "pageToken": { "type": "string", "description": "Optional. Pagination token, returned earlier via ListCertificateRevocationListsResponse.next_page_token.", "location": "query" }, "orderBy": { "location": "query", "description": "Optional. Specify how the results should be sorted.", "type": "string" }, "filter": { "location": "query", "description": "Optional. Only include resources that match the filter in the response.", "type": "string" } }, "httpMethod": "GET", "id": "privateca.projects.locations.caPools.certificateAuthorities.certificateRevocationLists.list", "path": "v1/{+parent}/certificateRevocationLists" } } } }, "methods": { "enable": { "path": "v1/{+name}:enable", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Enable a CertificateAuthority.", "httpMethod": "POST", "id": "privateca.projects.locations.caPools.certificateAuthorities.enable", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "required": true, "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`." } }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "request": { "$ref": "EnableCertificateAuthorityRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}:enable" }, "undelete": { "id": "privateca.projects.locations.caPools.certificateAuthorities.undelete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}:undelete", "httpMethod": "POST", "description": "Undelete a CertificateAuthority that has been deleted.", "response": { "$ref": "Operation" }, "request": { "$ref": "UndeleteCertificateAuthorityRequest" }, "parameters": { "name": { "type": "string", "location": "path", "required": true, "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$" } }, "parameterOrder": [ "name" ], "path": "v1/{+name}:undelete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "activate": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}:activate", "response": { "$ref": "Operation" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}:activate", "parameterOrder": [ "name" ], "parameters": { "name": { "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "location": "path" } }, "id": "privateca.projects.locations.caPools.certificateAuthorities.activate", "description": "Activate a CertificateAuthority that is in state AWAITING_USER_ACTIVATION and is of type SUBORDINATE. After the parent Certificate Authority signs a certificate signing request from FetchCertificateAuthorityCsr, this method can complete the activation process.", "request": { "$ref": "ActivateCertificateAuthorityRequest" } }, "get": { "parameters": { "name": { "required": true, "description": "Required. The name of the CertificateAuthority to get.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$" } }, "response": { "$ref": "CertificateAuthority" }, "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}", "description": "Returns a CertificateAuthority.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "path": "v1/{+name}", "id": "privateca.projects.locations.caPools.certificateAuthorities.get" }, "list": { "description": "Lists CertificateAuthorities.", "httpMethod": "GET", "id": "privateca.projects.locations.caPools.certificateAuthorities.list", "path": "v1/{+parent}/certificateAuthorities", "parameterOrder": [ "parent" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities", "parameters": { "pageToken": { "location": "query", "description": "Optional. Pagination token, returned earlier via ListCertificateAuthoritiesResponse.next_page_token.", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Optional. Only include resources that match the filter in the response." }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. Limit on the number of CertificateAuthorities to include in the response. Further CertificateAuthorities can subsequently be obtained by including the ListCertificateAuthoritiesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default." }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "required": true, "description": "Required. The resource name of the CaPool associated with the CertificateAuthorities, in the format `projects/*/locations/*/caPools/*`.", "type": "string", "location": "path" }, "orderBy": { "type": "string", "description": "Optional. Specify how the results should be sorted.", "location": "query" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListCertificateAuthoritiesResponse" } }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "skipGracePeriod": { "location": "query", "description": "Optional. If this flag is set, the Certificate Authority will be deleted as soon as possible without a 30-day grace period where undeletion would have been allowed. If you proceed, there will be no way to recover this CA.", "type": "boolean" }, "name": { "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "location": "path", "type": "string" }, "ignoreActiveCertificates": { "location": "query", "type": "boolean", "description": "Optional. This field allows the CA to be deleted even if the CA has active certs. Active certs include both unrevoked and unexpired certs." }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" } }, "httpMethod": "DELETE", "id": "privateca.projects.locations.caPools.certificateAuthorities.delete", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "description": "Delete a CertificateAuthority.", "path": "v1/{+name}" }, "fetch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}:fetch", "parameters": { "name": { "location": "path", "required": true, "type": "string", "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$" } }, "id": "privateca.projects.locations.caPools.certificateAuthorities.fetch", "httpMethod": "GET", "path": "v1/{+name}:fetch", "response": { "$ref": "FetchCertificateAuthorityCsrResponse" }, "description": "Fetch a certificate signing request (CSR) from a CertificateAuthority that is in state AWAITING_USER_ACTIVATION and is of type SUBORDINATE. The CSR must then be signed by the desired parent Certificate Authority, which could be another CertificateAuthority resource, or could be an on-prem certificate authority. See also ActivateCertificateAuthority." }, "patch": { "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+name}", "parameters": { "updateMask": { "description": "Required. A list of fields to be updated in this request.", "format": "google-fieldmask", "type": "string", "location": "query" }, "name": { "description": "Output only. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "required": true }, "requestId": { "type": "string", "location": "query", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}", "description": "Update a CertificateAuthority.", "id": "privateca.projects.locations.caPools.certificateAuthorities.patch", "request": { "$ref": "CertificateAuthority" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ] }, "create": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities", "response": { "$ref": "Operation" }, "id": "privateca.projects.locations.caPools.certificateAuthorities.create", "description": "Create a new CertificateAuthority in a given Project and Location.", "httpMethod": "POST", "request": { "$ref": "CertificateAuthority" }, "parameterOrder": [ "parent" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/certificateAuthorities", "parameters": { "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "certificateAuthorityId": { "location": "query", "description": "Required. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "location": "path", "required": true, "description": "Required. The resource name of the CaPool associated with the CertificateAuthorities, in the format `projects/*/locations/*/caPools/*`.", "type": "string" } } }, "disable": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificateAuthorities/{certificateAuthoritiesId}:disable", "description": "Disable a CertificateAuthority.", "id": "privateca.projects.locations.caPools.certificateAuthorities.disable", "response": { "$ref": "Operation" }, "path": "v1/{+name}:disable", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "DisableCertificateAuthorityRequest" }, "parameters": { "name": { "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificateAuthorities/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ] } } }, "certificates": { "methods": { "revoke": { "id": "privateca.projects.locations.caPools.certificates.revoke", "request": { "$ref": "RevokeCertificateRequest" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificates/[^/]+$", "required": true, "type": "string", "description": "Required. The resource name for this Certificate in the format `projects/*/locations/*/caPools/*/certificates/*`.", "location": "path" } }, "path": "v1/{+name}:revoke", "response": { "$ref": "Certificate" }, "description": "Revoke a Certificate.", "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificates/{certificatesId}:revoke" }, "get": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificates/{certificatesId}", "description": "Returns a Certificate.", "response": { "$ref": "Certificate" }, "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.caPools.certificates.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificates/[^/]+$", "type": "string", "description": "Required. The name of the Certificate to get.", "location": "path", "required": true } }, "path": "v1/{+name}" }, "create": { "id": "privateca.projects.locations.caPools.certificates.create", "response": { "$ref": "Certificate" }, "description": "Create a new Certificate in a given Project, Location from a particular CaPool.", "httpMethod": "POST", "path": "v1/{+parent}/certificates", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificates", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "issuingCertificateAuthorityId": { "description": "Optional. The resource ID of the CertificateAuthority that should issue the certificate. This optional field will ignore the load-balancing scheme of the Pool and directly issue the certificate from the CA with the specified ID, contained in the same CaPool referenced by `parent`. Per-CA quota rules apply. If left empty, a CertificateAuthority will be chosen from the CaPool by the service. For example, to issue a Certificate from a Certificate Authority with resource name \"projects/my-project/locations/us-central1/caPools/my-pool/certificateAuthorities/my-ca\", you can set the parent to \"projects/my-project/locations/us-central1/caPools/my-pool\" and the issuing_certificate_authority_id to \"my-ca\".", "location": "query", "type": "string" }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" }, "certificateId": { "type": "string", "description": "Optional. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`. This field is required when using a CertificateAuthority in the Enterprise CertificateAuthority.Tier, but is optional and its value is ignored otherwise.", "location": "query" }, "validateOnly": { "type": "boolean", "location": "query", "description": "Optional. If this is true, no Certificate resource will be persisted regardless of the CaPool's tier, and the returned Certificate will not contain the pem_certificate field." }, "parent": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "description": "Required. The resource name of the CaPool associated with the Certificate, in the format `projects/*/locations/*/caPools/*`." } }, "parameterOrder": [ "parent" ], "request": { "$ref": "Certificate" } }, "list": { "response": { "$ref": "ListCertificatesResponse" }, "id": "privateca.projects.locations.caPools.certificates.list", "parameters": { "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the location associated with the Certificates, in the format `projects/*/locations/*/caPools/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$" }, "pageSize": { "location": "query", "type": "integer", "format": "int32", "description": "Optional. Limit on the number of Certificates to include in the response. Further Certificates can subsequently be obtained by including the ListCertificatesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default." }, "filter": { "type": "string", "description": "Optional. Only include resources that match the filter in the response. For details on supported filters and syntax, see [Certificates Filtering documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#filtering_support).", "location": "query" }, "orderBy": { "description": "Optional. Specify how the results should be sorted. For details on supported fields and syntax, see [Certificates Sorting documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#sorting_support).", "type": "string", "location": "query" }, "pageToken": { "location": "query", "description": "Optional. Pagination token, returned earlier via ListCertificatesResponse.next_page_token.", "type": "string" } }, "parameterOrder": [ "parent" ], "path": "v1/{+parent}/certificates", "description": "Lists Certificates.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificates", "httpMethod": "GET" }, "patch": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}/certificates/{certificatesId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Certificate" }, "parameterOrder": [ "name" ], "id": "privateca.projects.locations.caPools.certificates.patch", "path": "v1/{+name}", "parameters": { "requestId": { "type": "string", "location": "query", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "updateMask": { "format": "google-fieldmask", "description": "Required. A list of fields to be updated in this request.", "type": "string", "location": "query" }, "name": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+/certificates/[^/]+$", "type": "string", "description": "Output only. The resource name for this Certificate in the format `projects/*/locations/*/caPools/*/certificates/*`.", "location": "path", "required": true } }, "description": "Update a Certificate. Currently, the only field you can update is the labels field.", "httpMethod": "PATCH", "request": { "$ref": "Certificate" } } } } }, "methods": { "delete": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}", "parameterOrder": [ "name" ], "response": { "$ref": "Operation" }, "id": "privateca.projects.locations.caPools.delete", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "requestId": { "location": "query", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" }, "name": { "description": "Required. The resource name for this CaPool in the format `projects/*/locations/*/caPools/*`.", "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$" } }, "path": "v1/{+name}", "httpMethod": "DELETE", "description": "Delete a CaPool." }, "patch": { "path": "v1/{+name}", "parameterOrder": [ "name" ], "request": { "$ref": "CaPool" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}", "httpMethod": "PATCH", "response": { "$ref": "Operation" }, "id": "privateca.projects.locations.caPools.patch", "parameters": { "updateMask": { "description": "Required. A list of fields to be updated in this request.", "location": "query", "format": "google-fieldmask", "type": "string" }, "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "type": "string", "required": true, "description": "Output only. The resource name for this CaPool in the format `projects/*/locations/*/caPools/*`." }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query" } }, "description": "Update a CaPool.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "setIamPolicy": { "httpMethod": "POST", "parameterOrder": [ "resource" ], "request": { "$ref": "SetIamPolicyRequest" }, "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}:setIamPolicy", "path": "v1/{+resource}:setIamPolicy", "id": "privateca.projects.locations.caPools.setIamPolicy", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "required": true } }, "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "response": { "$ref": "Policy" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "fetchCaCerts": { "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}:fetchCaCerts", "response": { "$ref": "FetchCaCertsResponse" }, "request": { "$ref": "FetchCaCertsRequest" }, "id": "privateca.projects.locations.caPools.fetchCaCerts", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+caPool}:fetchCaCerts", "description": "FetchCaCerts returns the current trust anchor for the CaPool. This will include CA certificate chains for all ACTIVE CertificateAuthority resources in the CaPool.", "parameterOrder": [ "caPool" ], "parameters": { "caPool": { "location": "path", "required": true, "description": "Required. The resource name for the CaPool in the format `projects/*/locations/*/caPools/*`.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$" } } }, "create": { "parameters": { "parent": { "type": "string", "required": true, "description": "Required. The resource name of the location associated with the CaPool, in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "location": "path" }, "requestId": { "type": "string", "location": "query", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "caPoolId": { "type": "string", "description": "Required. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`", "location": "query" } }, "response": { "$ref": "Operation" }, "httpMethod": "POST", "path": "v1/{+parent}/caPools", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Create a CaPool.", "id": "privateca.projects.locations.caPools.create", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools", "parameterOrder": [ "parent" ], "request": { "$ref": "CaPool" } }, "testIamPermissions": { "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}:testIamPermissions", "parameters": { "resource": { "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$", "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "location": "path" } }, "request": { "$ref": "TestIamPermissionsRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "resource" ], "httpMethod": "POST", "id": "privateca.projects.locations.caPools.testIamPermissions", "path": "v1/{+resource}:testIamPermissions" }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "id": "privateca.projects.locations.caPools.list", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools", "path": "v1/{+parent}/caPools", "response": { "$ref": "ListCaPoolsResponse" }, "parameters": { "orderBy": { "type": "string", "location": "query", "description": "Optional. Specify how the results should be sorted." }, "pageSize": { "description": "Optional. Limit on the number of CaPools to include in the response. Further CaPools can subsequently be obtained by including the ListCaPoolsResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "type": "integer", "format": "int32", "location": "query" }, "parent": { "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$", "description": "Required. The resource name of the location associated with the CaPools, in the format `projects/*/locations/*`." }, "pageToken": { "description": "Optional. Pagination token, returned earlier via ListCaPoolsResponse.next_page_token.", "location": "query", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "Optional. Only include resources that match the filter in the response." } }, "description": "Lists CaPools." }, "getIamPolicy": { "path": "v1/{+resource}:getIamPolicy", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.caPools.getIamPolicy", "httpMethod": "GET", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$" }, "options.requestedPolicyVersion": { "type": "integer", "location": "query", "format": "int32", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}:getIamPolicy", "response": { "$ref": "Policy" } }, "get": { "httpMethod": "GET", "path": "v1/{+name}", "parameterOrder": [ "name" ], "id": "privateca.projects.locations.caPools.get", "flatPath": "v1/projects/{projectsId}/locations/{locationsId}/caPools/{caPoolsId}", "parameters": { "name": { "description": "Required. The name of the CaPool to get.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/caPools/[^/]+$" } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "CaPool" }, "description": "Returns a CaPool." } } } } } } } }, "mtlsRootUrl": "https://privateca.mtls.googleapis.com/", "basePath": "", "title": "Certificate Authority API", "schemas": { "ActivateCertificateAuthorityRequest": { "id": "ActivateCertificateAuthorityRequest", "type": "object", "description": "Request message for CertificateAuthorityService.ActivateCertificateAuthority.", "properties": { "subordinateConfig": { "$ref": "SubordinateConfig", "description": "Required. Must include information about the issuer of 'pem_ca_certificate', and any further issuers until the self-signed CA." }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "pemCaCertificate": { "description": "Required. The signed CA certificate issued from FetchCertificateAuthorityCsrResponse.pem_csr.", "type": "string" } } }, "CertificateExtensionConstraints": { "properties": { "knownExtensions": { "type": "array", "items": { "type": "string", "enumDescriptions": [ "Not specified.", "Refers to a certificate's Key Usage extension, as described in [RFC 5280 section 4.2.1.3](https://tools.ietf.org/html/rfc5280#section-4.2.1.3). This corresponds to the KeyUsage.base_key_usage field.", "Refers to a certificate's Extended Key Usage extension, as described in [RFC 5280 section 4.2.1.12](https://tools.ietf.org/html/rfc5280#section-4.2.1.12). This corresponds to the KeyUsage.extended_key_usage message.", "Refers to a certificate's Basic Constraints extension, as described in [RFC 5280 section 4.2.1.9](https://tools.ietf.org/html/rfc5280#section-4.2.1.9). This corresponds to the X509Parameters.ca_options field.", "Refers to a certificate's Policy object identifiers, as described in [RFC 5280 section 4.2.1.4](https://tools.ietf.org/html/rfc5280#section-4.2.1.4). This corresponds to the X509Parameters.policy_ids field.", "Refers to OCSP servers in a certificate's Authority Information Access extension, as described in [RFC 5280 section 4.2.2.1](https://tools.ietf.org/html/rfc5280#section-4.2.2.1), This corresponds to the X509Parameters.aia_ocsp_servers field." ], "enum": [ "KNOWN_CERTIFICATE_EXTENSION_UNSPECIFIED", "BASE_KEY_USAGE", "EXTENDED_KEY_USAGE", "CA_OPTIONS", "POLICY_IDS", "AIA_OCSP_SERVERS" ] }, "description": "Optional. A set of named X.509 extensions. Will be combined with additional_extensions to determine the full set of X.509 extensions." }, "additionalExtensions": { "type": "array", "items": { "$ref": "ObjectId" }, "description": "Optional. A set of ObjectIds identifying custom X.509 extensions. Will be combined with known_extensions to determine the full set of X.509 extensions." } }, "description": "Describes a set of X.509 extensions that may be part of some certificate issuance controls.", "type": "object", "id": "CertificateExtensionConstraints" }, "X509Extension": { "id": "X509Extension", "properties": { "critical": { "description": "Optional. Indicates whether or not this extension is critical (i.e., if the client does not know how to handle this extension, the client should consider this to be an error).", "type": "boolean" }, "value": { "type": "string", "format": "byte", "description": "Required. The value of this X.509 extension." }, "objectId": { "$ref": "ObjectId", "description": "Required. The OID for this X.509 extension." } }, "description": "An X509Extension specifies an X.509 extension, which may be used in different parts of X.509 objects like certificates, CSRs, and CRLs.", "type": "object" }, "KeyVersionSpec": { "type": "object", "properties": { "cloudKmsKeyVersion": { "type": "string", "description": "The resource name for an existing Cloud KMS CryptoKeyVersion in the format `projects/*/locations/*/keyRings/*/cryptoKeys/*/cryptoKeyVersions/*`. This option enables full flexibility in the key's capabilities and properties." }, "algorithm": { "enumDescriptions": [ "Not specified.", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PSS_2048_SHA256", "maps to CryptoKeyVersionAlgorithm. RSA_SIGN_PSS_3072_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PSS_4096_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_2048_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_3072_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_4096_SHA256", "maps to CryptoKeyVersionAlgorithm.EC_SIGN_P256_SHA256", "maps to CryptoKeyVersionAlgorithm.EC_SIGN_P384_SHA384" ], "type": "string", "description": "The algorithm to use for creating a managed Cloud KMS key for a for a simplified experience. All managed keys will be have their ProtectionLevel as `HSM`.", "enum": [ "SIGN_HASH_ALGORITHM_UNSPECIFIED", "RSA_PSS_2048_SHA256", "RSA_PSS_3072_SHA256", "RSA_PSS_4096_SHA256", "RSA_PKCS1_2048_SHA256", "RSA_PKCS1_3072_SHA256", "RSA_PKCS1_4096_SHA256", "EC_P256_SHA256", "EC_P384_SHA384" ] } }, "description": "A Cloud KMS key configuration that a CertificateAuthority will use.", "id": "KeyVersionSpec" }, "CaPool": { "type": "object", "properties": { "name": { "type": "string", "description": "Output only. The resource name for this CaPool in the format `projects/*/locations/*/caPools/*`.", "readOnly": true }, "issuancePolicy": { "description": "Optional. The IssuancePolicy to control how Certificates will be issued from this CaPool.", "$ref": "IssuancePolicy" }, "publishingOptions": { "$ref": "PublishingOptions", "description": "Optional. The PublishingOptions to follow when issuing Certificates from any CertificateAuthority in this CaPool." }, "labels": { "type": "object", "description": "Optional. Labels with user-defined metadata.", "additionalProperties": { "type": "string" } }, "tier": { "enumDescriptions": [ "Not specified.", "Enterprise tier.", "DevOps tier." ], "enum": [ "TIER_UNSPECIFIED", "ENTERPRISE", "DEVOPS" ], "type": "string", "description": "Required. Immutable. The Tier of this CaPool." } }, "description": "A CaPool represents a group of CertificateAuthorities that form a trust anchor. A CaPool can be used to manage issuance policies for one or more CertificateAuthority resources and to rotate CA certificates in and out of the trust anchor.", "id": "CaPool" }, "CertificateFingerprint": { "description": "A group of fingerprints for the x509 certificate.", "properties": { "sha256Hash": { "description": "The SHA 256 hash, encoded in hexadecimal, of the DER x509 certificate.", "type": "string" } }, "id": "CertificateFingerprint", "type": "object" }, "Operation": { "properties": { "name": { "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.", "type": "string" }, "response": { "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "type": "object" }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any." }, "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "$ref": "Status", "description": "The error result of the operation in case of failure or cancellation." } }, "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object" }, "RevokeCertificateRequest": { "properties": { "reason": { "type": "string", "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ], "description": "Required. The RevocationReason for revoking this certificate.", "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ] }, "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Request message for CertificateAuthorityService.RevokeCertificate.", "id": "RevokeCertificateRequest", "type": "object" }, "FetchCaCertsRequest": { "id": "FetchCaCertsRequest", "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "description": "Request message for CertificateAuthorityService.FetchCaCerts.", "type": "object" }, "SubjectDescription": { "properties": { "subject": { "$ref": "Subject", "description": "Contains distinguished name fields such as the common name, location and / organization." }, "subjectAltName": { "description": "The subject alternative name fields.", "$ref": "SubjectAltNames" }, "notBeforeTime": { "type": "string", "format": "google-datetime", "description": "The time at which the certificate becomes valid." }, "notAfterTime": { "description": "The time after which the certificate is expired. Per RFC 5280, the validity period for a certificate is the period of time from not_before_time through not_after_time, inclusive. Corresponds to 'not_before_time' + 'lifetime' - 1 second.", "format": "google-datetime", "type": "string" }, "hexSerialNumber": { "description": "The serial number encoded in lowercase hexadecimal.", "type": "string" }, "lifetime": { "format": "google-duration", "type": "string", "description": "For convenience, the actual lifetime of an issued certificate." } }, "type": "object", "description": "These values describe fields in an issued X.509 certificate such as the distinguished name, subject alternative names, serial number, and lifetime.", "id": "SubjectDescription" }, "OperationMetadata": { "properties": { "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. The time the operation was created.", "type": "string", "readOnly": true }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "type": "boolean", "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true }, "apiVersion": { "type": "string", "description": "Output only. API version used to start the operation.", "readOnly": true }, "endTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time the operation finished running." }, "target": { "type": "string", "readOnly": true, "description": "Output only. Server-defined resource path for the target of the operation." } }, "type": "object", "id": "OperationMetadata", "description": "Represents the metadata of the long-running operation." }, "KeyId": { "id": "KeyId", "type": "object", "description": "A KeyId identifies a specific public key, usually by hashing the public key.", "properties": { "keyId": { "type": "string", "description": "Optional. The value of this KeyId encoded in lowercase hexadecimal. This is most likely the 160 bit SHA-1 hash of the public key." } } }, "ListOperationsResponse": { "type": "object", "description": "The response message for Operations.ListOperations.", "id": "ListOperationsResponse", "properties": { "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "SubjectAltNames": { "properties": { "customSans": { "type": "array", "description": "Contains additional subject alternative name values. For each custom_san, the `value` field must contain an ASN.1 encoded UTF8String.", "items": { "$ref": "X509Extension" } }, "ipAddresses": { "items": { "type": "string" }, "type": "array", "description": "Contains only valid 32-bit IPv4 addresses or RFC 4291 IPv6 addresses." }, "uris": { "type": "array", "items": { "type": "string" }, "description": "Contains only valid RFC 3986 URIs." }, "dnsNames": { "type": "array", "items": { "type": "string" }, "description": "Contains only valid, fully-qualified host names." }, "emailAddresses": { "description": "Contains only valid RFC 2822 E-mail addresses.", "items": { "type": "string" }, "type": "array" } }, "type": "object", "description": "SubjectAltNames corresponds to a more modern way of listing what the asserted identity is in a certificate (i.e., compared to the \"common name\" in the distinguished name).", "id": "SubjectAltNames" }, "CertificateTemplate": { "type": "object", "description": "A CertificateTemplate refers to a managed template for certificate issuance.", "id": "CertificateTemplate", "properties": { "updateTime": { "description": "Output only. The time at which this CertificateTemplate was updated.", "format": "google-datetime", "type": "string", "readOnly": true }, "description": { "type": "string", "description": "Optional. A human-readable description of scenarios this template is intended for." }, "labels": { "type": "object", "description": "Optional. Labels with user-defined metadata.", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Output only. The resource name for this CertificateTemplate in the format `projects/*/locations/*/certificateTemplates/*`.", "readOnly": true }, "createTime": { "type": "string", "description": "Output only. The time at which this CertificateTemplate was created.", "readOnly": true, "format": "google-datetime" }, "predefinedValues": { "$ref": "X509Parameters", "description": "Optional. A set of X.509 values that will be applied to all issued certificates that use this template. If the certificate request includes conflicting values for the same properties, they will be overwritten by the values defined here. If the issuing CaPool's IssuancePolicy defines conflicting baseline_values for the same properties, the certificate issuance request will fail." }, "passthroughExtensions": { "description": "Optional. Describes the set of X.509 extensions that may appear in a Certificate issued using this CertificateTemplate. If a certificate request sets extensions that don't appear in the passthrough_extensions, those extensions will be dropped. If the issuing CaPool's IssuancePolicy defines baseline_values that don't appear here, the certificate issuance request will fail. If this is omitted, then this template will not add restrictions on a certificate's X.509 extensions. These constraints do not apply to X.509 extensions set in this CertificateTemplate's predefined_values.", "$ref": "CertificateExtensionConstraints" }, "identityConstraints": { "description": "Optional. Describes constraints on identities that may be appear in Certificates issued using this template. If this is omitted, then this template will not add restrictions on a certificate's identity.", "$ref": "CertificateIdentityConstraints" } } }, "CertificateIdentityConstraints": { "properties": { "allowSubjectPassthrough": { "description": "Required. If this is true, the Subject field may be copied from a certificate request into the signed certificate. Otherwise, the requested Subject will be discarded.", "type": "boolean" }, "allowSubjectAltNamesPassthrough": { "type": "boolean", "description": "Required. If this is true, the SubjectAltNames extension may be copied from a certificate request into the signed certificate. Otherwise, the requested SubjectAltNames will be discarded." }, "celExpression": { "$ref": "Expr", "description": "Optional. A CEL expression that may be used to validate the resolved X.509 Subject and/or Subject Alternative Name before a certificate is signed. To see the full allowed syntax and some examples, see https://cloud.google.com/certificate-authority-service/docs/using-cel" } }, "type": "object", "description": "Describes constraints on a Certificate's Subject and SubjectAltNames.", "id": "CertificateIdentityConstraints" }, "AccessUrls": { "properties": { "caCertificateAccessUrl": { "type": "string", "description": "The URL where this CertificateAuthority's CA certificate is published. This will only be set for CAs that have been activated." }, "crlAccessUrls": { "items": { "type": "string" }, "type": "array", "description": "The URLs where this CertificateAuthority's CRLs are published. This will only be set for CAs that have been activated." } }, "description": "URLs where a CertificateAuthority will publish content.", "type": "object", "id": "AccessUrls" }, "KeyUsage": { "type": "object", "id": "KeyUsage", "description": "A KeyUsage describes key usage values that may appear in an X.509 certificate.", "properties": { "unknownExtendedKeyUsages": { "items": { "$ref": "ObjectId" }, "description": "Used to describe extended key usages that are not listed in the KeyUsage.ExtendedKeyUsageOptions message.", "type": "array" }, "extendedKeyUsage": { "$ref": "ExtendedKeyUsageOptions", "description": "Detailed scenarios in which a key may be used." }, "baseKeyUsage": { "description": "Describes high-level ways in which a key may be used.", "$ref": "KeyUsageOptions" } } }, "KeyUsageOptions": { "type": "object", "properties": { "digitalSignature": { "description": "The key may be used for digital signatures.", "type": "boolean" }, "certSign": { "type": "boolean", "description": "The key may be used to sign certificates." }, "encipherOnly": { "type": "boolean", "description": "The key may be used to encipher only." }, "crlSign": { "type": "boolean", "description": "The key may be used sign certificate revocation lists." }, "keyEncipherment": { "type": "boolean", "description": "The key may be used to encipher other keys." }, "keyAgreement": { "type": "boolean", "description": "The key may be used in a key agreement protocol." }, "decipherOnly": { "type": "boolean", "description": "The key may be used to decipher only." }, "dataEncipherment": { "type": "boolean", "description": "The key may be used to encipher data." }, "contentCommitment": { "description": "The key may be used for cryptographic commitments. Note that this may also be referred to as \"non-repudiation\".", "type": "boolean" } }, "description": "KeyUsage.KeyUsageOptions corresponds to the key usage values described in https://tools.ietf.org/html/rfc5280#section-4.2.1.3.", "id": "KeyUsageOptions" }, "PublishingOptions": { "description": "Options relating to the publication of each CertificateAuthority's CA certificate and CRLs and their inclusion as extensions in issued Certificates. The options set here apply to certificates issued by any CertificateAuthority in the CaPool.", "id": "PublishingOptions", "properties": { "publishCrl": { "type": "boolean", "description": "Optional. When true, publishes each CertificateAuthority's CRL and includes its URL in the \"CRL Distribution Points\" X.509 extension in all issued Certificates. If this is false, CRLs will not be published and the corresponding X.509 extension will not be written in issued certificates. CRLs will expire 7 days from their creation. However, we will rebuild daily. CRLs are also rebuilt shortly after a certificate is revoked." }, "publishCaCert": { "type": "boolean", "description": "Optional. When true, publishes each CertificateAuthority's CA certificate and includes its URL in the \"Authority Information Access\" X.509 extension in all issued Certificates. If this is false, the CA certificate will not be published and the corresponding X.509 extension will not be written in issued certificates." } }, "type": "object" }, "ListCertificateTemplatesResponse": { "description": "Response message for CertificateAuthorityService.ListCertificateTemplates.", "type": "object", "id": "ListCertificateTemplatesResponse", "properties": { "unreachable": { "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListCertificateTemplatesRequest.next_page_token to retrieve the next page of results.", "type": "string" }, "certificateTemplates": { "items": { "$ref": "CertificateTemplate" }, "type": "array", "description": "The list of CertificateTemplates." } } }, "CertificateAuthority": { "type": "object", "id": "CertificateAuthority", "properties": { "expireTime": { "type": "string", "description": "Output only. The time at which this CertificateAuthority will be permanently purged, if it is in the DELETED state.", "readOnly": true, "format": "google-datetime" }, "config": { "description": "Required. Immutable. The config used to create a self-signed X.509 certificate or CSR.", "$ref": "CertificateConfig" }, "keySpec": { "description": "Required. Immutable. Used when issuing certificates for this CertificateAuthority. If this CertificateAuthority is a self-signed CertificateAuthority, this key is also used to sign the self-signed CA certificate. Otherwise, it is used to sign a CSR.", "$ref": "KeyVersionSpec" }, "gcsBucket": { "type": "string", "description": "Immutable. The name of a Cloud Storage bucket where this CertificateAuthority will publish content, such as the CA certificate and CRLs. This must be a bucket name, without any prefixes (such as `gs://`) or suffixes (such as `.googleapis.com`). For example, to use a bucket named `my-bucket`, you would simply specify `my-bucket`. If not specified, a managed bucket will be created." }, "subordinateConfig": { "$ref": "SubordinateConfig", "description": "Optional. If this is a subordinate CertificateAuthority, this field will be set with the subordinate configuration, which describes its issuers. This may be updated, but this CertificateAuthority must continue to validate." }, "pemCaCertificates": { "description": "Output only. This CertificateAuthority's certificate chain, including the current CertificateAuthority's certificate. Ordered such that the root issuer is the final element (consistent with RFC 5246). For a self-signed CA, this will only list the current CertificateAuthority's certificate.", "items": { "type": "string" }, "type": "array", "readOnly": true }, "caCertificateDescriptions": { "type": "array", "readOnly": true, "description": "Output only. A structured description of this CertificateAuthority's CA certificate and its issuers. Ordered as self-to-root.", "items": { "$ref": "CertificateDescription" } }, "labels": { "type": "object", "description": "Optional. Labels with user-defined metadata.", "additionalProperties": { "type": "string" } }, "tier": { "readOnly": true, "type": "string", "description": "Output only. The CaPool.Tier of the CaPool that includes this CertificateAuthority.", "enumDescriptions": [ "Not specified.", "Enterprise tier.", "DevOps tier." ], "enum": [ "TIER_UNSPECIFIED", "ENTERPRISE", "DEVOPS" ] }, "type": { "description": "Required. Immutable. The Type of this CertificateAuthority.", "enum": [ "TYPE_UNSPECIFIED", "SELF_SIGNED", "SUBORDINATE" ], "enumDescriptions": [ "Not specified.", "Self-signed CA.", "Subordinate CA. Could be issued by a Private CA CertificateAuthority or an unmanaged CA." ], "type": "string" }, "deleteTime": { "type": "string", "readOnly": true, "description": "Output only. The time at which this CertificateAuthority was soft deleted, if it is in the DELETED state.", "format": "google-datetime" }, "createTime": { "readOnly": true, "type": "string", "format": "google-datetime", "description": "Output only. The time at which this CertificateAuthority was created." }, "state": { "readOnly": true, "enumDescriptions": [ "Not specified.", "Certificates can be issued from this CA. CRLs will be generated for this CA. The CA will be part of the CaPool's trust anchor, and will be used to issue certificates from the CaPool.", "Certificates cannot be issued from this CA. CRLs will still be generated. The CA will be part of the CaPool's trust anchor, but will not be used to issue certificates from the CaPool.", "Certificates can be issued from this CA. CRLs will be generated for this CA. The CA will be part of the CaPool's trust anchor, but will not be used to issue certificates from the CaPool.", "Certificates cannot be issued from this CA. CRLs will not be generated. The CA will not be part of the CaPool's trust anchor, and will not be used to issue certificates from the CaPool.", "Certificates cannot be issued from this CA. CRLs will not be generated. The CA may still be recovered by calling CertificateAuthorityService.UndeleteCertificateAuthority before expire_time. The CA will not be part of the CaPool's trust anchor, and will not be used to issue certificates from the CaPool." ], "description": "Output only. The State for this CertificateAuthority.", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DISABLED", "STAGED", "AWAITING_USER_ACTIVATION", "DELETED" ], "type": "string" }, "lifetime": { "description": "Required. Immutable. The desired lifetime of the CA certificate. Used to create the \"not_before_time\" and \"not_after_time\" fields inside an X.509 certificate.", "type": "string", "format": "google-duration" }, "accessUrls": { "description": "Output only. URLs for accessing content published by this CA, such as the CA certificate and CRLs.", "$ref": "AccessUrls", "readOnly": true }, "updateTime": { "format": "google-datetime", "description": "Output only. The time at which this CertificateAuthority was last updated.", "readOnly": true, "type": "string" }, "name": { "type": "string", "readOnly": true, "description": "Output only. The resource name for this CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`." } }, "description": "A CertificateAuthority represents an individual Certificate Authority. A CertificateAuthority can be used to create Certificates." }, "IssuanceModes": { "id": "IssuanceModes", "type": "object", "description": "IssuanceModes specifies the allowed ways in which Certificates may be requested from this CaPool.", "properties": { "allowCsrBasedIssuance": { "type": "boolean", "description": "Optional. When true, allows callers to create Certificates by specifying a CSR." }, "allowConfigBasedIssuance": { "type": "boolean", "description": "Optional. When true, allows callers to create Certificates by specifying a CertificateConfig." } } }, "RevokedCertificate": { "properties": { "hexSerialNumber": { "description": "The serial number of the Certificate.", "type": "string" }, "certificate": { "type": "string", "description": "The resource name for the Certificate in the format `projects/*/locations/*/caPools/*/certificates/*`." }, "revocationReason": { "description": "The reason the Certificate was revoked.", "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ], "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ], "type": "string" } }, "id": "RevokedCertificate", "type": "object", "description": "Describes a revoked Certificate." }, "TestIamPermissionsResponse": { "id": "TestIamPermissionsResponse", "description": "Response message for `TestIamPermissions` method.", "properties": { "permissions": { "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "items": { "type": "string" }, "type": "array" } }, "type": "object" }, "AuditLogConfig": { "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "properties": { "exemptedMembers": { "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members.", "items": { "type": "string" }, "type": "array" }, "logType": { "description": "The log type that this config enables.", "type": "string", "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ] } }, "type": "object", "id": "AuditLogConfig" }, "CertChain": { "properties": { "certificates": { "type": "array", "items": { "type": "string" }, "description": "The certificates that form the CA chain, from leaf to root order." } }, "id": "CertChain", "type": "object" }, "Expr": { "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "id": "Expr", "properties": { "expression": { "type": "string", "description": "Textual representation of an expression in Common Expression Language syntax." }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" }, "description": { "type": "string", "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI." }, "location": { "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file.", "type": "string" } }, "type": "object" }, "TestIamPermissionsRequest": { "properties": { "permissions": { "type": "array", "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "items": { "type": "string" } } }, "type": "object", "id": "TestIamPermissionsRequest", "description": "Request message for `TestIamPermissions` method." }, "Subject": { "description": "Subject describes parts of a distinguished name that, in turn, describes the subject of the certificate.", "id": "Subject", "properties": { "organizationalUnit": { "description": "The organizational_unit of the subject.", "type": "string" }, "countryCode": { "type": "string", "description": "The country code of the subject." }, "postalCode": { "description": "The postal code of the subject.", "type": "string" }, "streetAddress": { "type": "string", "description": "The street address of the subject." }, "organization": { "description": "The organization of the subject.", "type": "string" }, "province": { "description": "The province, territory, or regional state of the subject.", "type": "string" }, "commonName": { "description": "The \"common name\" of the subject.", "type": "string" }, "locality": { "type": "string", "description": "The locality or city of the subject." } }, "type": "object" }, "SetIamPolicyRequest": { "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest", "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "format": "google-fieldmask", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "type": "string" } }, "type": "object" }, "CertificateDescription": { "description": "A CertificateDescription describes an X.509 certificate or CSR that has been issued, as an alternative to using ASN.1 / X.509.", "id": "CertificateDescription", "properties": { "publicKey": { "description": "The public key that corresponds to an issued certificate.", "$ref": "PublicKey" }, "authorityKeyId": { "$ref": "KeyId", "description": "Identifies the subject_key_id of the parent certificate, per https://tools.ietf.org/html/rfc5280#section-4.2.1.1" }, "subjectDescription": { "$ref": "SubjectDescription", "description": "Describes some of the values in a certificate that are related to the subject and lifetime." }, "crlDistributionPoints": { "items": { "type": "string" }, "description": "Describes a list of locations to obtain CRL information, i.e. the DistributionPoint.fullName described by https://tools.ietf.org/html/rfc5280#section-4.2.1.13", "type": "array" }, "subjectKeyId": { "$ref": "KeyId", "description": "Provides a means of identifiying certificates that contain a particular public key, per https://tools.ietf.org/html/rfc5280#section-4.2.1.2." }, "aiaIssuingCertificateUrls": { "description": "Describes lists of issuer CA certificate URLs that appear in the \"Authority Information Access\" extension in the certificate.", "items": { "type": "string" }, "type": "array" }, "certFingerprint": { "$ref": "CertificateFingerprint", "description": "The hash of the x.509 certificate." }, "x509Description": { "description": "Describes some of the technical X.509 fields in a certificate.", "$ref": "X509Parameters" } }, "type": "object" }, "UndeleteCertificateAuthorityRequest": { "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "id": "UndeleteCertificateAuthorityRequest", "description": "Request message for CertificateAuthorityService.UndeleteCertificateAuthority.", "type": "object" }, "FetchCaCertsResponse": { "properties": { "caCerts": { "type": "array", "items": { "$ref": "CertChain" }, "description": "The PEM encoded CA certificate chains of all ACTIVE CertificateAuthority resources in this CaPool." } }, "type": "object", "description": "Response message for CertificateAuthorityService.FetchCaCerts.", "id": "FetchCaCertsResponse" }, "Certificate": { "description": "A Certificate corresponds to a signed X.509 certificate issued by a CertificateAuthority.", "type": "object", "id": "Certificate", "properties": { "createTime": { "type": "string", "readOnly": true, "description": "Output only. The time at which this Certificate was created.", "format": "google-datetime" }, "updateTime": { "description": "Output only. The time at which this Certificate was updated.", "format": "google-datetime", "readOnly": true, "type": "string" }, "pemCertificate": { "type": "string", "description": "Output only. The pem-encoded, signed X.509 certificate.", "readOnly": true }, "name": { "description": "Output only. The resource name for this Certificate in the format `projects/*/locations/*/caPools/*/certificates/*`.", "type": "string", "readOnly": true }, "issuerCertificateAuthority": { "type": "string", "description": "Output only. The resource name of the issuing CertificateAuthority in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`.", "readOnly": true }, "certificateDescription": { "readOnly": true, "description": "Output only. A structured description of the issued X.509 certificate.", "$ref": "CertificateDescription" }, "labels": { "description": "Optional. Labels with user-defined metadata.", "type": "object", "additionalProperties": { "type": "string" } }, "config": { "description": "Immutable. A description of the certificate and key that does not require X.509 or ASN.1.", "$ref": "CertificateConfig" }, "subjectMode": { "description": "Immutable. Specifies how the Certificate's identity fields are to be decided. If this is omitted, the `DEFAULT` subject mode will be used.", "enumDescriptions": [ "Not specified.", "The default mode used in most cases. Indicates that the certificate's Subject and/or SubjectAltNames are specified in the certificate request. This mode requires the caller to have the `privateca.certificates.create` permission.", "A mode reserved for special cases. Indicates that the certificate should have one or more SPIFFE SubjectAltNames set by the service based on the caller's identity. This mode will ignore any explicitly specified Subject and/or SubjectAltNames in the certificate request. This mode requires the caller to have the `privateca.certificates.createForSelf` permission." ], "type": "string", "enum": [ "SUBJECT_REQUEST_MODE_UNSPECIFIED", "DEFAULT", "REFLECTED_SPIFFE" ] }, "pemCsr": { "type": "string", "description": "Immutable. A pem-encoded X.509 certificate signing request (CSR)." }, "pemCertificateChain": { "type": "array", "readOnly": true, "items": { "type": "string" }, "description": "Output only. The chain that may be used to verify the X.509 certificate. Expected to be in issuer-to-root order according to RFC 5246." }, "lifetime": { "format": "google-duration", "type": "string", "description": "Required. Immutable. The desired lifetime of a certificate. Used to create the \"not_before_time\" and \"not_after_time\" fields inside an X.509 certificate. Note that the lifetime may be truncated if it would extend past the life of any certificate authority in the issuing chain." }, "certificateTemplate": { "description": "Immutable. The resource name for a CertificateTemplate used to issue this certificate, in the format `projects/*/locations/*/certificateTemplates/*`. If this is specified, the caller must have the necessary permission to use this template. If this is omitted, no template will be used. This template must be in the same location as the Certificate.", "type": "string" }, "revocationDetails": { "readOnly": true, "$ref": "RevocationDetails", "description": "Output only. Details regarding the revocation of this Certificate. This Certificate is considered revoked if and only if this field is present." } } }, "ObjectId": { "id": "ObjectId", "properties": { "objectIdPath": { "items": { "type": "integer", "format": "int32" }, "type": "array", "description": "Required. The parts of an OID path. The most significant parts of the path come first." } }, "type": "object", "description": "An ObjectId specifies an object identifier (OID). These provide context and describe types in ASN.1 messages." }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "properties": { "locations": { "items": { "$ref": "Location" }, "type": "array", "description": "A list of locations that matches the specified filter in the request." }, "nextPageToken": { "type": "string", "description": "The standard List next-page token." } }, "id": "ListLocationsResponse", "type": "object" }, "EcKeyType": { "description": "Describes an Elliptic Curve key that may be used in a Certificate issued from a CaPool.", "properties": { "signatureAlgorithm": { "enum": [ "EC_SIGNATURE_ALGORITHM_UNSPECIFIED", "ECDSA_P256", "ECDSA_P384", "EDDSA_25519" ], "enumDescriptions": [ "Not specified. Signifies that any signature algorithm may be used.", "Refers to the Elliptic Curve Digital Signature Algorithm over the NIST P-256 curve.", "Refers to the Elliptic Curve Digital Signature Algorithm over the NIST P-384 curve.", "Refers to the Edwards-curve Digital Signature Algorithm over curve 25519, as described in RFC 8410." ], "type": "string", "description": "Optional. A signature algorithm that must be used. If this is omitted, any EC-based signature algorithm will be allowed." } }, "type": "object", "id": "EcKeyType" }, "CertificateConfig": { "id": "CertificateConfig", "properties": { "publicKey": { "description": "Optional. The public key that corresponds to this config. This is, for example, used when issuing Certificates, but not when creating a self-signed CertificateAuthority or CertificateAuthority CSR.", "$ref": "PublicKey" }, "subjectConfig": { "$ref": "SubjectConfig", "description": "Required. Specifies some of the values in a certificate that are related to the subject." }, "x509Config": { "$ref": "X509Parameters", "description": "Required. Describes how some of the technical X.509 fields in a certificate should be populated." } }, "type": "object", "description": "A CertificateConfig describes an X.509 certificate or CSR that is to be created, as an alternative to using ASN.1." }, "CertificateRevocationList": { "type": "object", "properties": { "updateTime": { "type": "string", "readOnly": true, "description": "Output only. The time at which this CertificateRevocationList was updated.", "format": "google-datetime" }, "state": { "readOnly": true, "type": "string", "description": "Output only. The State for this CertificateRevocationList.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "SUPERSEDED" ], "enumDescriptions": [ "Not specified.", "The CertificateRevocationList is up to date.", "The CertificateRevocationList is no longer current." ] }, "accessUrl": { "description": "Output only. The location where 'pem_crl' can be accessed.", "type": "string", "readOnly": true }, "revisionId": { "type": "string", "readOnly": true, "description": "Output only. The revision ID of this CertificateRevocationList. A new revision is committed whenever a new CRL is published. The format is an 8-character hexadecimal string." }, "name": { "description": "Output only. The resource name for this CertificateRevocationList in the format `projects/*/locations/*/caPools/*certificateAuthorities/*/ certificateRevocationLists/*`.", "type": "string", "readOnly": true }, "revokedCertificates": { "readOnly": true, "items": { "$ref": "RevokedCertificate" }, "description": "Output only. The revoked serial numbers that appear in pem_crl.", "type": "array" }, "pemCrl": { "type": "string", "readOnly": true, "description": "Output only. The PEM-encoded X.509 CRL." }, "createTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time at which this CertificateRevocationList was created.", "type": "string" }, "sequenceNumber": { "type": "string", "readOnly": true, "format": "int64", "description": "Output only. The CRL sequence number that appears in pem_crl." }, "labels": { "type": "object", "description": "Optional. Labels with user-defined metadata.", "additionalProperties": { "type": "string" } } }, "description": "A CertificateRevocationList corresponds to a signed X.509 certificate Revocation List (CRL). A CRL contains the serial numbers of certificates that should no longer be trusted.", "id": "CertificateRevocationList" }, "RevocationDetails": { "properties": { "revocationState": { "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ], "type": "string", "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ], "description": "Indicates why a Certificate was revoked." }, "revocationTime": { "type": "string", "format": "google-datetime", "description": "The time at which this Certificate was revoked." } }, "type": "object", "id": "RevocationDetails", "description": "Describes fields that are relavent to the revocation of a Certificate." }, "Binding": { "id": "Binding", "description": "Associates `members`, or principals, with a `role`.", "properties": { "members": { "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. ", "type": "array", "items": { "type": "string" } }, "role": { "type": "string", "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`." }, "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." } }, "type": "object" }, "PublicKey": { "type": "object", "properties": { "key": { "type": "string", "description": "Required. A public key. The padding and encoding must match with the `KeyFormat` value specified for the `format` field.", "format": "byte" }, "format": { "type": "string", "enumDescriptions": [ "Default unspecified value.", "The key is PEM-encoded as defined in [RFC 7468](https://tools.ietf.org/html/rfc7468). It can be any of the following: a PEM-encoded PKCS#1/RFC 3447 RSAPublicKey structure, an RFC 5280 [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) or a PEM-encoded X.509 certificate signing request (CSR). If a [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) is specified, it can contain a A PEM-encoded PKCS#1/RFC 3447 RSAPublicKey or a NIST P-256/secp256r1/prime256v1 or P-384 key. If a CSR is specified, it will used solely for the purpose of extracting the public key. When generated by the service, it will always be an RFC 5280 [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) structure containing an algorithm identifier and a key." ], "description": "Required. The format of the public key.", "enum": [ "KEY_FORMAT_UNSPECIFIED", "PEM" ] } }, "id": "PublicKey", "description": "A PublicKey describes a public key." }, "ReconciliationOperationMetadata": { "type": "object", "description": "Operation metadata returned by the CLH during resource state reconciliation.", "properties": { "exclusiveAction": { "enum": [ "UNKNOWN_REPAIR_ACTION", "DELETE", "RETRY" ], "type": "string", "enumDescriptions": [ "", "The resource has to be deleted. When using this bit, the CLH should fail the operation.", "This resource could not be repaired but the repair should be tried again at a later time. This can happen if there is a dependency that needs to be resolved first- e.g. if a parent resource must be repaired before a child resource." ] }, "deleteResource": { "type": "boolean", "description": "DEPRECATED. Use exclusive_action instead." } }, "id": "ReconciliationOperationMetadata" }, "ListCertificateAuthoritiesResponse": { "type": "object", "description": "Response message for CertificateAuthorityService.ListCertificateAuthorities.", "id": "ListCertificateAuthoritiesResponse", "properties": { "certificateAuthorities": { "items": { "$ref": "CertificateAuthority" }, "description": "The list of CertificateAuthorities.", "type": "array" }, "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results. Pass this value in ListCertificateAuthoritiesRequest.next_page_token to retrieve the next page of results." }, "unreachable": { "type": "array", "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "items": { "type": "string" } } } }, "Empty": { "type": "object", "id": "Empty", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "properties": {} }, "Policy": { "id": "Policy", "properties": { "version": { "type": "integer", "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32" }, "etag": { "format": "byte", "type": "string", "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost." }, "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "bindings": { "type": "array", "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`." } }, "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "type": "object" }, "ListCaPoolsResponse": { "properties": { "unreachable": { "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "type": "array", "items": { "type": "string" } }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListCertificateAuthoritiesRequest.next_page_token to retrieve the next page of results.", "type": "string" }, "caPools": { "items": { "$ref": "CaPool" }, "type": "array", "description": "The list of CaPools." } }, "description": "Response message for CertificateAuthorityService.ListCaPools.", "type": "object", "id": "ListCaPoolsResponse" }, "FetchCertificateAuthorityCsrResponse": { "type": "object", "properties": { "pemCsr": { "readOnly": true, "description": "Output only. The PEM-encoded signed certificate signing request (CSR).", "type": "string" } }, "description": "Response message for CertificateAuthorityService.FetchCertificateAuthorityCsr.", "id": "FetchCertificateAuthorityCsrResponse" }, "EnableCertificateAuthorityRequest": { "id": "EnableCertificateAuthorityRequest", "type": "object", "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "description": "Request message for CertificateAuthorityService.EnableCertificateAuthority." }, "AuditConfig": { "type": "object", "properties": { "service": { "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services.", "type": "string" }, "auditLogConfigs": { "description": "The configuration for logging of each type of permission.", "items": { "$ref": "AuditLogConfig" }, "type": "array" } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "id": "AuditConfig" }, "AllowedKeyType": { "properties": { "rsa": { "description": "Represents an allowed RSA key type.", "$ref": "RsaKeyType" }, "ellipticCurve": { "description": "Represents an allowed Elliptic Curve key type.", "$ref": "EcKeyType" } }, "id": "AllowedKeyType", "description": "Describes a \"type\" of key that may be used in a Certificate issued from a CaPool. Note that a single AllowedKeyType may refer to either a fully-qualified key algorithm, such as RSA 4096, or a family of key algorithms, such as any RSA key.", "type": "object" }, "RsaKeyType": { "description": "Describes an RSA key that may be used in a Certificate issued from a CaPool.", "type": "object", "id": "RsaKeyType", "properties": { "maxModulusSize": { "format": "int64", "description": "Optional. The maximum allowed RSA modulus size (inclusive), in bits. If this is not set, or if set to zero, the service will not enforce an explicit upper bound on RSA modulus sizes.", "type": "string" }, "minModulusSize": { "format": "int64", "description": "Optional. The minimum allowed RSA modulus size (inclusive), in bits. If this is not set, or if set to zero, the service-level min RSA modulus size will continue to apply.", "type": "string" } } }, "ListCertificatesResponse": { "description": "Response message for CertificateAuthorityService.ListCertificates.", "id": "ListCertificatesResponse", "properties": { "certificates": { "type": "array", "description": "The list of Certificates.", "items": { "$ref": "Certificate" } }, "unreachable": { "items": { "type": "string" }, "type": "array", "description": "A list of locations (e.g. \"us-west1\") that could not be reached." }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListCertificatesRequest.next_page_token to retrieve the next page of results.", "type": "string" } }, "type": "object" }, "DisableCertificateAuthorityRequest": { "id": "DisableCertificateAuthorityRequest", "type": "object", "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "description": "Request message for CertificateAuthorityService.DisableCertificateAuthority." }, "CaOptions": { "id": "CaOptions", "type": "object", "description": "Describes values that are relevant in a CA certificate.", "properties": { "isCa": { "description": "Optional. Refers to the \"CA\" X.509 extension, which is a boolean value. When this value is missing, the extension will be omitted from the CA certificate.", "type": "boolean" }, "maxIssuerPathLength": { "description": "Optional. Refers to the path length restriction X.509 extension. For a CA certificate, this value describes the depth of subordinate CA certificates that are allowed. If this value is less than 0, the request will fail. If this value is missing, the max path length will be omitted from the CA certificate.", "type": "integer", "format": "int32" } } }, "X509Parameters": { "properties": { "policyIds": { "description": "Optional. Describes the X.509 certificate policy object identifiers, per https://tools.ietf.org/html/rfc5280#section-4.2.1.4.", "items": { "$ref": "ObjectId" }, "type": "array" }, "caOptions": { "description": "Optional. Describes options in this X509Parameters that are relevant in a CA certificate.", "$ref": "CaOptions" }, "additionalExtensions": { "type": "array", "items": { "$ref": "X509Extension" }, "description": "Optional. Describes custom X.509 extensions." }, "keyUsage": { "description": "Optional. Indicates the intended use for keys that correspond to a certificate.", "$ref": "KeyUsage" }, "aiaOcspServers": { "type": "array", "items": { "type": "string" }, "description": "Optional. Describes Online Certificate Status Protocol (OCSP) endpoint addresses that appear in the \"Authority Information Access\" extension in the certificate." } }, "description": "An X509Parameters is used to describe certain fields of an X.509 certificate, such as the key usage fields, fields specific to CA certificates, certificate policy extensions and custom extensions.", "type": "object", "id": "X509Parameters" }, "ListCertificateRevocationListsResponse": { "properties": { "unreachable": { "type": "array", "items": { "type": "string" }, "description": "A list of locations (e.g. \"us-west1\") that could not be reached." }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListCertificateRevocationListsRequest.next_page_token to retrieve the next page of results.", "type": "string" }, "certificateRevocationLists": { "type": "array", "items": { "$ref": "CertificateRevocationList" }, "description": "The list of CertificateRevocationLists." } }, "description": "Response message for CertificateAuthorityService.ListCertificateRevocationLists.", "type": "object", "id": "ListCertificateRevocationListsResponse" }, "Location": { "properties": { "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}" }, "metadata": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "displayName": { "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\".", "type": "string" }, "name": { "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`", "type": "string" }, "locationId": { "type": "string", "description": "The canonical id for this location. For example: `\"us-east1\"`." } }, "id": "Location", "description": "A resource that represents Google Cloud Platform location.", "type": "object" }, "Status": { "properties": { "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use.", "type": "array", "items": { "type": "object", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } }, "code": { "type": "integer", "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code." } }, "id": "Status", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "type": "object" }, "SubordinateConfig": { "description": "Describes a subordinate CA's issuers. This is either a resource name to a known issuing CertificateAuthority, or a PEM issuer certificate chain.", "type": "object", "id": "SubordinateConfig", "properties": { "pemIssuerChain": { "description": "Required. Contains the PEM certificate chain for the issuers of this CertificateAuthority, but not pem certificate for this CA itself.", "$ref": "SubordinateConfigChain" }, "certificateAuthority": { "type": "string", "description": "Required. This can refer to a CertificateAuthority that was used to create a subordinate CertificateAuthority. This field is used for information and usability purposes only. The resource name is in the format `projects/*/locations/*/caPools/*/certificateAuthorities/*`." } } }, "SubordinateConfigChain": { "properties": { "pemCertificates": { "type": "array", "items": { "type": "string" }, "description": "Required. Expected to be in leaf-to-root order according to RFC 5246." } }, "id": "SubordinateConfigChain", "description": "This message describes a subordinate CA's issuer certificate chain. This wrapper exists for compatibility reasons.", "type": "object" }, "ExtendedKeyUsageOptions": { "id": "ExtendedKeyUsageOptions", "description": "KeyUsage.ExtendedKeyUsageOptions has fields that correspond to certain common OIDs that could be specified as an extended key usage value.", "properties": { "emailProtection": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.4. Officially described as \"Email protection\"." }, "ocspSigning": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.9. Officially described as \"Signing OCSP responses\"." }, "serverAuth": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.1. Officially described as \"TLS WWW server authentication\", though regularly used for non-WWW TLS." }, "codeSigning": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.3. Officially described as \"Signing of downloadable executable code client authentication\"." }, "timeStamping": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.8. Officially described as \"Binding the hash of an object to a time\"." }, "clientAuth": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.2. Officially described as \"TLS WWW client authentication\", though regularly used for non-WWW TLS." } }, "type": "object" }, "CancelOperationRequest": { "properties": {}, "type": "object", "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation." }, "IssuancePolicy": { "id": "IssuancePolicy", "description": "Defines controls over all certificate issuance within a CaPool.", "type": "object", "properties": { "identityConstraints": { "$ref": "CertificateIdentityConstraints", "description": "Optional. Describes constraints on identities that may appear in Certificates issued through this CaPool. If this is omitted, then this CaPool will not add restrictions on a certificate's identity." }, "passthroughExtensions": { "description": "Optional. Describes the set of X.509 extensions that may appear in a Certificate issued through this CaPool. If a certificate request sets extensions that don't appear in the passthrough_extensions, those extensions will be dropped. If a certificate request uses a CertificateTemplate with predefined_values that don't appear here, the certificate issuance request will fail. If this is omitted, then this CaPool will not add restrictions on a certificate's X.509 extensions. These constraints do not apply to X.509 extensions set in this CaPool's baseline_values.", "$ref": "CertificateExtensionConstraints" }, "allowedKeyTypes": { "description": "Optional. If any AllowedKeyType is specified, then the certificate request's public key must match one of the key types listed here. Otherwise, any key may be used.", "items": { "$ref": "AllowedKeyType" }, "type": "array" }, "allowedIssuanceModes": { "description": "Optional. If specified, then only methods allowed in the IssuanceModes may be used to issue Certificates.", "$ref": "IssuanceModes" }, "maximumLifetime": { "description": "Optional. The maximum lifetime allowed for issued Certificates. Note that if the issuing CertificateAuthority expires before a Certificate's requested maximum_lifetime, the effective lifetime will be explicitly truncated to match it.", "type": "string", "format": "google-duration" }, "baselineValues": { "$ref": "X509Parameters", "description": "Optional. A set of X.509 values that will be applied to all certificates issued through this CaPool. If a certificate request includes conflicting values for the same properties, they will be overwritten by the values defined here. If a certificate request uses a CertificateTemplate that defines conflicting predefined_values for the same properties, the certificate issuance request will fail." } } }, "SubjectConfig": { "type": "object", "description": "These values are used to create the distinguished name and subject alternative name fields in an X.509 certificate.", "id": "SubjectConfig", "properties": { "subjectAltName": { "$ref": "SubjectAltNames", "description": "Optional. The subject alternative name fields." }, "subject": { "description": "Required. Contains distinguished name fields such as the common name, location and organization.", "$ref": "Subject" } } } }, "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "name": "privateca", "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "revision": "20220623", "id": "privateca:v1", "version": "v1", "documentationLink": "https://cloud.google.com/", "fullyEncodeReservedExpansion": true, "protocol": "rest", "canonicalName": "Certificate Authority Service", "servicePath": "", "discoveryVersion": "v1", "kind": "discovery#restDescription", "version_module": true, "parameters": { "callback": { "type": "string", "description": "JSONP", "location": "query" }, "oauth_token": { "description": "OAuth 2.0 token for the current user.", "type": "string", "location": "query" }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "type": "string", "location": "query", "enum": [ "1", "2" ] }, "fields": { "location": "query", "description": "Selector specifying which fields to include in a partial response.", "type": "string" }, "alt": { "description": "Data format for response.", "default": "json", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "prettyPrint": { "type": "boolean", "default": "true", "location": "query", "description": "Returns response with indentations and line breaks." }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." } }, "baseUrl": "https://privateca.googleapis.com/", "rootUrl": "https://privateca.googleapis.com/" }
]===]))
