local decode = require("cjson").new().decode
return assert(decode([===[
{ "description": "The Certificate Authority Service API is a highly-available, scalable service that enables you to simplify and automate the management of private certificate authorities (CAs) while staying in control of your private keys. ", "documentationLink": "https://cloud.google.com/", "servicePath": "", "revision": "20220623", "parameters": { "fields": { "type": "string", "location": "query", "description": "Selector specifying which fields to include in a partial response." }, "alt": { "description": "Data format for response.", "type": "string", "location": "query", "default": "json", "enum": [ "json", "media", "proto" ], "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ] }, "$.xgafv": { "description": "V1 error format.", "enumDescriptions": [ "v1 error format", "v2 error format" ], "location": "query", "enum": [ "1", "2" ], "type": "string" }, "quotaUser": { "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string", "location": "query" }, "uploadType": { "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "location": "query" }, "prettyPrint": { "description": "Returns response with indentations and line breaks.", "type": "boolean", "default": "true", "location": "query" }, "upload_protocol": { "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "location": "query", "type": "string" }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "oauth_token": { "location": "query", "description": "OAuth 2.0 token for the current user.", "type": "string" }, "callback": { "location": "query", "type": "string", "description": "JSONP" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." } }, "mtlsRootUrl": "https://privateca.mtls.googleapis.com/", "rootUrl": "https://privateca.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "basePath": "", "ownerName": "Google", "version_module": true, "icons": { "x16": "http://www.google.com/images/icons/product/search-16.gif", "x32": "http://www.google.com/images/icons/product/search-32.gif" }, "protocol": "rest", "discoveryVersion": "v1", "kind": "discovery#restDescription", "canonicalName": "Certificate Authority Service", "schemas": { "TestIamPermissionsRequest": { "type": "object", "id": "TestIamPermissionsRequest", "properties": { "permissions": { "items": { "type": "string" }, "description": "The set of permissions to check for the `resource`. Permissions with wildcards (such as `*` or `storage.*`) are not allowed. For more information see [IAM Overview](https://cloud.google.com/iam/docs/overview#permissions).", "type": "array" } }, "description": "Request message for `TestIamPermissions` method." }, "ListReusableConfigsResponse": { "type": "object", "id": "ListReusableConfigsResponse", "description": "Response message for CertificateAuthorityService.ListReusableConfigs.", "properties": { "reusableConfigs": { "description": "The list of ReusableConfigs.", "type": "array", "items": { "$ref": "ReusableConfig" } }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListReusableConfigsRequest.next_page_token to retrieve the next page of results.", "type": "string" }, "unreachable": { "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "items": { "type": "string" }, "type": "array" } } }, "AllowedConfigList": { "properties": { "allowedConfigValues": { "description": "Required. All Certificates issued by the CertificateAuthority must match at least one listed ReusableConfigWrapper. If a ReusableConfigWrapper has an empty field, any value will be allowed for that field.", "items": { "$ref": "ReusableConfigWrapper" }, "type": "array" } }, "type": "object", "id": "AllowedConfigList" }, "IssuanceModes": { "properties": { "allowCsrBasedIssuance": { "type": "boolean", "description": "Required. When true, allows callers to create Certificates by specifying a CSR." }, "allowConfigBasedIssuance": { "description": "Required. When true, allows callers to create Certificates by specifying a CertificateConfig.", "type": "boolean" } }, "type": "object", "id": "IssuanceModes", "description": "IssuanceModes specifies the allowed ways in which Certificates may be requested from this CertificateAuthority." }, "AllowedSubjectAltNames": { "properties": { "allowedIps": { "description": "Optional. Contains valid 32-bit IPv4 addresses and subnet ranges or RFC 4291 IPv6 addresses and subnet ranges. Subnet ranges are specified using the '/' notation (e.g. 10.0.0.0/8, 2001:700:300:1800::/64). Glob patterns are supported only for ip address entries (i.e. not for subnet ranges).", "type": "array", "items": { "type": "string" } }, "allowedUris": { "description": "Optional. Contains valid RFC 3986 URIs. Glob patterns are also supported. To match across path seperators (i.e. '/') use the double star glob pattern (i.e. '**').", "items": { "type": "string" }, "type": "array" }, "allowGlobbingDnsWildcards": { "description": "Optional. Specifies if glob patterns used for allowed_dns_names allow wildcard certificates. If this is set, certificate requests with wildcard domains will be permitted to match a glob pattern specified in allowed_dns_names. Otherwise, certificate requests with wildcard domains will be permitted only if allowed_dns_names contains a literal wildcard.", "type": "boolean" }, "allowedDnsNames": { "type": "array", "description": "Optional. Contains valid, fully-qualified host names. Glob patterns are also supported. To allow an explicit wildcard certificate, escape with backlash (i.e. `\\*`). E.g. for globbed entries: `*bar.com` will allow `foo.bar.com`, but not `*.bar.com`, unless the allow_globbing_dns_wildcards field is set. E.g. for wildcard entries: `\\*.bar.com` will allow `*.bar.com`, but not `foo.bar.com`.", "items": { "type": "string" } }, "allowedEmailAddresses": { "type": "array", "description": "Optional. Contains valid RFC 2822 E-mail addresses. Glob patterns are also supported.", "items": { "type": "string" } }, "allowCustomSans": { "description": "Optional. Specifies if to allow custom X509Extension values.", "type": "boolean" } }, "id": "AllowedSubjectAltNames", "description": "AllowedSubjectAltNames specifies the allowed values for SubjectAltNames by the CertificateAuthority when issuing Certificates.", "type": "object" }, "RevokeCertificateRequest": { "id": "RevokeCertificateRequest", "description": "Request message for CertificateAuthorityService.RevokeCertificate.", "type": "object", "properties": { "reason": { "type": "string", "description": "Required. The RevocationReason for revoking this certificate.", "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ], "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ] }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "CertificateDescription": { "type": "object", "properties": { "subjectDescription": { "$ref": "SubjectDescription", "description": "Describes some of the values in a certificate that are related to the subject and lifetime." }, "publicKey": { "$ref": "PublicKey", "description": "The public key that corresponds to an issued certificate." }, "certFingerprint": { "description": "The hash of the x.509 certificate.", "$ref": "CertificateFingerprint" }, "crlDistributionPoints": { "description": "Describes a list of locations to obtain CRL information, i.e. the DistributionPoint.fullName described by https://tools.ietf.org/html/rfc5280#section-4.2.1.13", "items": { "type": "string" }, "type": "array" }, "authorityKeyId": { "$ref": "KeyId", "description": "Identifies the subject_key_id of the parent certificate, per https://tools.ietf.org/html/rfc5280#section-4.2.1.1" }, "configValues": { "$ref": "ReusableConfigValues", "description": "Describes some of the technical fields in a certificate." }, "aiaIssuingCertificateUrls": { "type": "array", "items": { "type": "string" }, "description": "Describes lists of issuer CA certificate URLs that appear in the \"Authority Information Access\" extension in the certificate." }, "subjectKeyId": { "$ref": "KeyId", "description": "Provides a means of identifiying certificates that contain a particular public key, per https://tools.ietf.org/html/rfc5280#section-4.2.1.2." } }, "id": "CertificateDescription", "description": "A CertificateDescription describes an X.509 certificate or CSR that has been issued, as an alternative to using ASN.1 / X.509." }, "CancelOperationRequest": { "properties": {}, "type": "object", "id": "CancelOperationRequest", "description": "The request message for Operations.CancelOperation." }, "Binding": { "properties": { "condition": { "$ref": "Expr", "description": "The condition that is associated with this binding. If the condition evaluates to `true`, then this binding applies to the current request. If the condition evaluates to `false`, then this binding does not apply to the current request. However, a different role binding might grant the same role to one or more of the principals in this binding. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "role": { "description": "Role that is assigned to the list of `members`, or principals. For example, `roles/viewer`, `roles/editor`, or `roles/owner`.", "type": "string" }, "members": { "items": { "type": "string" }, "type": "array", "description": "Specifies the principals requesting access for a Google Cloud resource. `members` can have the following values: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allUsers`: A special identifier that represents anyone who is on the internet; with or without a Google account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `allAuthenticatedUsers`: A special identifier that represents anyone who is authenticated with a Google account or a service account. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `user:{emailid}`: An email address that represents a specific Google account. For example, `alice@example.com` . LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `serviceAccount:{emailid}`: An email address that represents a service account. For example, `my-other-app@appspot.gserviceaccount.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `group:{emailid}`: An email address that represents a Google group. For example, `admins@example.com`. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:user:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a user that has been recently deleted. For example, `alice@example.com?uid=123456789012345678901`. If the user is recovered, this value reverts to `user:{emailid}` and the recovered user retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:serviceAccount:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, `my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901`. If the service account is undeleted, this value reverts to `serviceAccount:{emailid}` and the undeleted service account retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `deleted:group:{emailid}?uid={uniqueid}`: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, `admins@example.com?uid=123456789012345678901`. If the group is recovered, this value reverts to `group:{emailid}` and the recovered group retains the role in the binding. LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh `domain:{domain}`: The G Suite domain (primary) that represents all the users of that domain. For example, `google.com` or `example.com`. " } }, "type": "object", "id": "Binding", "description": "Associates `members`, or principals, with a `role`." }, "KeyUsageOptions": { "properties": { "certSign": { "type": "boolean", "description": "The key may be used to sign certificates." }, "encipherOnly": { "description": "The key may be used to encipher only.", "type": "boolean" }, "digitalSignature": { "type": "boolean", "description": "The key may be used for digital signatures." }, "contentCommitment": { "type": "boolean", "description": "The key may be used for cryptographic commitments. Note that this may also be referred to as \"non-repudiation\"." }, "keyEncipherment": { "type": "boolean", "description": "The key may be used to encipher other keys." }, "crlSign": { "description": "The key may be used sign certificate revocation lists.", "type": "boolean" }, "dataEncipherment": { "type": "boolean", "description": "The key may be used to encipher data." }, "decipherOnly": { "type": "boolean", "description": "The key may be used to decipher only." }, "keyAgreement": { "type": "boolean", "description": "The key may be used in a key agreement protocol." } }, "id": "KeyUsageOptions", "description": "KeyUsage.KeyUsageOptions corresponds to the key usage values described in https://tools.ietf.org/html/rfc5280#section-4.2.1.3.", "type": "object" }, "DisableCertificateAuthorityRequest": { "id": "DisableCertificateAuthorityRequest", "properties": { "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "description": "Request message for CertificateAuthorityService.DisableCertificateAuthority.", "type": "object" }, "IssuingOptions": { "description": "Options that affect all certificates issued by a CertificateAuthority.", "type": "object", "properties": { "includeCrlAccessUrl": { "type": "boolean", "description": "Required. When true, includes a URL to the CRL corresponding to certificates issued from a CertificateAuthority. CRLs will expire 7 days from their creation. However, we will rebuild daily. CRLs are also rebuilt shortly after a certificate is revoked." }, "includeCaCertUrl": { "type": "boolean", "description": "Required. When true, includes a URL to the issuing CA certificate in the \"authority information access\" X.509 extension." } }, "id": "IssuingOptions" }, "RevokedCertificate": { "id": "RevokedCertificate", "description": "Describes a revoked Certificate.", "type": "object", "properties": { "certificate": { "type": "string", "description": "The resource path for the Certificate in the format `projects/*/locations/*/certificateAuthorities/*/certificates/*`." }, "hexSerialNumber": { "description": "The serial number of the Certificate.", "type": "string" }, "revocationReason": { "description": "The reason the Certificate was revoked.", "type": "string", "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ], "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ] } } }, "Policy": { "description": "An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A `Policy` is a collection of `bindings`. A `binding` binds one or more `members`, or principals, to a single `role`. Principals can be user accounts, service accounts, Google groups, and domains (such as G Suite). A `role` is a named list of permissions; each `role` can be an IAM predefined role or a user-created custom role. For some types of Google Cloud resources, a `binding` can also specify a `condition`, which is a logical expression that allows access to a resource only if the expression evaluates to `true`. A condition can add constraints based on attributes of the request, the resource, or both. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies). **JSON example:** { \"bindings\": [ { \"role\": \"roles/resourcemanager.organizationAdmin\", \"members\": [ \"user:mike@example.com\", \"group:admins@example.com\", \"domain:google.com\", \"serviceAccount:my-project-id@appspot.gserviceaccount.com\" ] }, { \"role\": \"roles/resourcemanager.organizationViewer\", \"members\": [ \"user:eve@example.com\" ], \"condition\": { \"title\": \"expirable access\", \"description\": \"Does not grant access after Sep 2020\", \"expression\": \"request.time \u003c timestamp('2020-10-01T00:00:00.000Z')\", } } ], \"etag\": \"BwWWja0YfJA=\", \"version\": 3 } **YAML example:** bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time \u003c timestamp('2020-10-01T00:00:00.000Z') etag: BwWWja0YfJA= version: 3 For a description of IAM and its features, see the [IAM documentation](https://cloud.google.com/iam/docs/).", "id": "Policy", "properties": { "bindings": { "items": { "$ref": "Binding" }, "description": "Associates a list of `members`, or principals, with a `role`. Optionally, may specify a `condition` that determines how and when the `bindings` are applied. Each of the `bindings` must contain at least one principal. The `bindings` in a `Policy` can refer to up to 1,500 principals; up to 250 of these principals can be Google groups. Each occurrence of a principal counts towards these limits. For example, if the `bindings` grant 50 different roles to `user:alice@example.com`, and not to any other principal, then you can add another 1,450 principals to the `bindings` in the `Policy`.", "type": "array" }, "version": { "description": "Specifies the format of the policy. Valid values are `0`, `1`, and `3`. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version `3`. This requirement applies to the following operations: LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Getting a policy that includes a conditional role binding LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Adding a conditional role binding to a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Changing a conditional role binding in a policy LICENSE Makefile README.md gsa_key.json lua-resty-gcp-dev-1.rockspec lua-resty-gcp-scm-1.rockspec.original lua-resty-gcp-scm-1.rockspec.template spec src upload.sh Removing any role binding, with or without a condition, from a policy that includes conditions **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer" }, "auditConfigs": { "type": "array", "items": { "$ref": "AuditConfig" }, "description": "Specifies cloud audit logging configuration for this policy." }, "etag": { "description": "`etag` is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the `etag` in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An `etag` is returned in the response to `getIamPolicy`, and systems are expected to put that etag in the request to `setIamPolicy` to ensure that their change will be applied to the same version of the policy. **Important:** If you use IAM Conditions, you must include the `etag` field whenever you call `setIamPolicy`. If you omit this field, then IAM allows you to overwrite a version `3` policy with a version `1` policy, and all of the conditions in the version `3` policy are lost.", "format": "byte", "type": "string" } }, "type": "object" }, "OperationMetadata": { "type": "object", "id": "OperationMetadata", "properties": { "endTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation finished running.", "type": "string" }, "target": { "description": "Output only. Server-defined resource path for the target of the operation.", "readOnly": true, "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "readOnly": true, "description": "Output only. The time the operation was created." }, "verb": { "description": "Output only. Name of the verb executed by the operation.", "readOnly": true, "type": "string" }, "apiVersion": { "type": "string", "readOnly": true, "description": "Output only. API version used to start the operation." }, "statusMessage": { "type": "string", "readOnly": true, "description": "Output only. Human-readable status of the operation, if any." }, "requestedCancellation": { "description": "Output only. Identifies whether the user has requested cancellation of the operation. Operations that have successfully been cancelled have Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "readOnly": true, "type": "boolean" } }, "description": "Represents the metadata of the long-running operation." }, "ReconciliationOperationMetadata": { "properties": { "deleteResource": { "type": "boolean", "description": "DEPRECATED. Use exclusive_action instead." }, "exclusiveAction": { "enumDescriptions": [ "", "The resource has to be deleted. When using this bit, the CLH should fail the operation.", "This resource could not be repaired but the repair should be tried again at a later time. This can happen if there is a dependency that needs to be resolved first- e.g. if a parent resource must be repaired before a child resource." ], "type": "string", "enum": [ "UNKNOWN_REPAIR_ACTION", "DELETE", "RETRY" ] } }, "type": "object", "description": "Operation metadata returned by the CLH during resource state reconciliation.", "id": "ReconciliationOperationMetadata" }, "AuditConfig": { "properties": { "auditLogConfigs": { "items": { "$ref": "AuditLogConfig" }, "description": "The configuration for logging of each type of permission.", "type": "array" }, "service": { "type": "string", "description": "Specifies a service that will be enabled for audit logging. For example, `storage.googleapis.com`, `cloudsql.googleapis.com`. `allServices` is a special value that covers all services." } }, "description": "Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both `allServices` and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { \"audit_configs\": [ { \"service\": \"allServices\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" }, { \"log_type\": \"ADMIN_READ\" } ] }, { \"service\": \"sampleservice.googleapis.com\", \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\" }, { \"log_type\": \"DATA_WRITE\", \"exempted_members\": [ \"user:aliya@example.com\" ] } ] } ] } For sampleservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts `jose@example.com` from DATA_READ logging, and `aliya@example.com` from DATA_WRITE logging.", "type": "object", "id": "AuditConfig" }, "ReusableConfigWrapper": { "properties": { "reusableConfig": { "description": "Required. A resource path to a ReusableConfig in the format `projects/*/locations/*/reusableConfigs/*`.", "type": "string" }, "reusableConfigValues": { "description": "Required. A user-specified inline ReusableConfigValues.", "$ref": "ReusableConfigValues" } }, "description": "A ReusableConfigWrapper describes values that may assist in creating an X.509 certificate, or a reference to a pre-defined set of values.", "type": "object", "id": "ReusableConfigWrapper" }, "CertificateConfig": { "description": "A CertificateConfig describes an X.509 certificate or CSR that is to be created, as an alternative to using ASN.1.", "properties": { "subjectConfig": { "description": "Required. Specifies some of the values in a certificate that are related to the subject.", "$ref": "SubjectConfig" }, "publicKey": { "description": "Optional. The public key that corresponds to this config. This is, for example, used when issuing Certificates, but not when creating a self-signed CertificateAuthority or CertificateAuthority CSR.", "$ref": "PublicKey" }, "reusableConfig": { "description": "Required. Describes how some of the technical fields in a certificate should be populated.", "$ref": "ReusableConfigWrapper" } }, "type": "object", "id": "CertificateConfig" }, "CertificateAuthorityPolicy": { "id": "CertificateAuthorityPolicy", "description": "The issuing policy for a CertificateAuthority. Certificates will not be successfully issued from this CertificateAuthority if they violate the policy.", "type": "object", "properties": { "maximumLifetime": { "format": "google-duration", "type": "string", "description": "Optional. The maximum lifetime allowed by the CertificateAuthority. Note that if the any part if the issuing chain expires before a Certificate's requested maximum_lifetime, the effective lifetime will be explicitly truncated." }, "allowedLocationsAndOrganizations": { "description": "Optional. If any Subject is specified here, then all Certificates issued by the CertificateAuthority must match at least one listed Subject. If a Subject has an empty field, any value will be allowed for that field.", "type": "array", "items": { "$ref": "Subject" } }, "allowedConfigList": { "description": "Optional. All Certificates issued by the CertificateAuthority must match at least one listed ReusableConfigWrapper in the list.", "$ref": "AllowedConfigList" }, "allowedCommonNames": { "items": { "type": "string" }, "type": "array", "description": "Optional. If any value is specified here, then all Certificates issued by the CertificateAuthority must match at least one listed value. If no value is specified, all values will be allowed for this fied. Glob patterns are also supported." }, "allowedIssuanceModes": { "description": "Optional. If specified, then only methods allowed in the IssuanceModes may be used to issue Certificates.", "$ref": "IssuanceModes" }, "overwriteConfigValues": { "description": "Optional. All Certificates issued by the CertificateAuthority will use the provided configuration values, overwriting any requested configuration values.", "$ref": "ReusableConfigWrapper" }, "allowedSans": { "$ref": "AllowedSubjectAltNames", "description": "Optional. If a AllowedSubjectAltNames is specified here, then all Certificates issued by the CertificateAuthority must match AllowedSubjectAltNames. If no value or an empty value is specified, any value will be allowed for the SubjectAltNames field." } } }, "CertificateFingerprint": { "properties": { "sha256Hash": { "description": "The SHA 256 hash, encoded in hexadecimal, of the DER x509 certificate.", "type": "string" } }, "description": "A group of fingerprints for the x509 certificate.", "type": "object", "id": "CertificateFingerprint" }, "CaOptions": { "description": "Describes values that are relevant in a CA certificate.", "properties": { "maxIssuerPathLength": { "type": "integer", "format": "int32", "description": "Optional. Refers to the path length restriction X.509 extension. For a CA certificate, this value describes the depth of subordinate CA certificates that are allowed. If this value is less than 0, the request will fail. If this value is missing, the max path length will be omitted from the CA certificate." }, "isCa": { "description": "Optional. Refers to the \"CA\" X.509 extension, which is a boolean value. When this value is missing, the extension will be omitted from the CA certificate.", "type": "boolean" } }, "type": "object", "id": "CaOptions" }, "SubordinateConfigChain": { "properties": { "pemCertificates": { "description": "Required. Expected to be in leaf-to-root order according to RFC 5246.", "items": { "type": "string" }, "type": "array" } }, "description": "This message describes a subordinate CA's issuer certificate chain. This wrapper exists for compatibility reasons.", "id": "SubordinateConfigChain", "type": "object" }, "RestoreCertificateAuthorityRequest": { "description": "Request message for CertificateAuthorityService.RestoreCertificateAuthority.", "type": "object", "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "id": "RestoreCertificateAuthorityRequest" }, "ListCertificatesResponse": { "type": "object", "description": "Response message for CertificateAuthorityService.ListCertificates.", "id": "ListCertificatesResponse", "properties": { "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results. Pass this value in ListCertificatesRequest.next_page_token to retrieve the next page of results." }, "certificates": { "type": "array", "description": "The list of Certificates.", "items": { "$ref": "Certificate" } }, "unreachable": { "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "type": "array", "items": { "type": "string" } } } }, "SetIamPolicyRequest": { "properties": { "policy": { "$ref": "Policy", "description": "REQUIRED: The complete policy to be applied to the `resource`. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Google Cloud services (such as Projects) might reject them." }, "updateMask": { "type": "string", "description": "OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: `paths: \"bindings, etag\"`", "format": "google-fieldmask" } }, "type": "object", "description": "Request message for `SetIamPolicy` method.", "id": "SetIamPolicyRequest" }, "RevocationDetails": { "type": "object", "id": "RevocationDetails", "description": "Describes fields that are relavent to the revocation of a Certificate.", "properties": { "revocationState": { "enumDescriptions": [ "Default unspecified value. This value does indicate that a Certificate has been revoked, but that a reason has not been recorded.", "Key material for this Certificate may have leaked.", "The key material for a certificate authority in the issuing path may have leaked.", "The subject or other attributes in this Certificate have changed.", "This Certificate has been superseded.", "This Certificate or entities in the issuing path have ceased to operate.", "This Certificate should not be considered valid, it is expected that it may become valid in the future.", "This Certificate no longer has permission to assert the listed attributes.", "The authority which determines appropriate attributes for a Certificate may have been compromised." ], "description": "Indicates why a Certificate was revoked.", "enum": [ "REVOCATION_REASON_UNSPECIFIED", "KEY_COMPROMISE", "CERTIFICATE_AUTHORITY_COMPROMISE", "AFFILIATION_CHANGED", "SUPERSEDED", "CESSATION_OF_OPERATION", "CERTIFICATE_HOLD", "PRIVILEGE_WITHDRAWN", "ATTRIBUTE_AUTHORITY_COMPROMISE" ], "type": "string" }, "revocationTime": { "type": "string", "description": "The time at which this Certificate was revoked.", "format": "google-datetime" } } }, "SubordinateConfig": { "properties": { "certificateAuthority": { "description": "Required. This can refer to a CertificateAuthority that was used to create a subordinate CertificateAuthority. This field is used for information and usability purposes only. The resource name is in the format `projects/*/locations/*/certificateAuthorities/*`.", "type": "string" }, "pemIssuerChain": { "description": "Required. Contains the PEM certificate chain for the issuers of this CertificateAuthority, but not pem certificate for this CA itself.", "$ref": "SubordinateConfigChain" } }, "description": "Describes a subordinate CA's issuers. This is either a resource path to a known issuing CertificateAuthority, or a PEM issuer certificate chain.", "id": "SubordinateConfig", "type": "object" }, "KeyVersionSpec": { "id": "KeyVersionSpec", "type": "object", "properties": { "cloudKmsKeyVersion": { "type": "string", "description": "Required. The resource name for an existing Cloud KMS CryptoKeyVersion in the format `projects/*/locations/*/keyRings/*/cryptoKeys/*/cryptoKeyVersions/*`. This option enables full flexibility in the key's capabilities and properties." }, "algorithm": { "type": "string", "enum": [ "SIGN_HASH_ALGORITHM_UNSPECIFIED", "RSA_PSS_2048_SHA256", "RSA_PSS_3072_SHA256", "RSA_PSS_4096_SHA256", "RSA_PKCS1_2048_SHA256", "RSA_PKCS1_3072_SHA256", "RSA_PKCS1_4096_SHA256", "EC_P256_SHA256", "EC_P384_SHA384" ], "enumDescriptions": [ "Not specified.", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PSS_2048_SHA256", "maps to CryptoKeyVersionAlgorithm. RSA_SIGN_PSS_3072_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PSS_4096_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_2048_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_3072_SHA256", "maps to CryptoKeyVersionAlgorithm.RSA_SIGN_PKCS1_4096_SHA256", "maps to CryptoKeyVersionAlgorithm.EC_SIGN_P256_SHA256", "maps to CryptoKeyVersionAlgorithm.EC_SIGN_P384_SHA384" ], "description": "Required. The algorithm to use for creating a managed Cloud KMS key for a for a simplified experience. All managed keys will be have their ProtectionLevel as `HSM`." } }, "description": "A Cloud KMS key configuration that a CertificateAuthority will use." }, "ReusableConfigValues": { "description": "A ReusableConfigValues is used to describe certain fields of an X.509 certificate, such as the key usage fields, fields specific to CA certificates, certificate policy extensions and custom extensions.", "type": "object", "id": "ReusableConfigValues", "properties": { "aiaOcspServers": { "type": "array", "description": "Optional. Describes Online Certificate Status Protocol (OCSP) endpoint addresses that appear in the \"Authority Information Access\" extension in the certificate.", "items": { "type": "string" } }, "policyIds": { "description": "Optional. Describes the X.509 certificate policy object identifiers, per https://tools.ietf.org/html/rfc5280#section-4.2.1.4.", "type": "array", "items": { "$ref": "ObjectId" } }, "additionalExtensions": { "description": "Optional. Describes custom X.509 extensions.", "type": "array", "items": { "$ref": "X509Extension" } }, "caOptions": { "$ref": "CaOptions", "description": "Optional. Describes options in this ReusableConfigValues that are relevant in a CA certificate." }, "keyUsage": { "description": "Optional. Indicates the intended use for keys that correspond to a certificate.", "$ref": "KeyUsage" } } }, "EnableCertificateAuthorityRequest": { "description": "Request message for CertificateAuthorityService.EnableCertificateAuthority.", "id": "EnableCertificateAuthorityRequest", "properties": { "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string" } }, "type": "object" }, "CertificateRevocationList": { "type": "object", "id": "CertificateRevocationList", "description": "A CertificateRevocationList corresponds to a signed X.509 certificate Revocation List (CRL). A CRL contains the serial numbers of certificates that should no longer be trusted.", "properties": { "sequenceNumber": { "format": "int64", "description": "Output only. The CRL sequence number that appears in pem_crl.", "readOnly": true, "type": "string" }, "createTime": { "format": "google-datetime", "description": "Output only. The time at which this CertificateRevocationList was created.", "readOnly": true, "type": "string" }, "updateTime": { "readOnly": true, "format": "google-datetime", "description": "Output only. The time at which this CertificateRevocationList was updated.", "type": "string" }, "state": { "description": "Output only. The State for this CertificateRevocationList.", "enum": [ "STATE_UNSPECIFIED", "ACTIVE", "SUPERSEDED" ], "readOnly": true, "type": "string", "enumDescriptions": [ "Not specified.", "The CertificateRevocationList is up to date.", "The CertificateRevocationList is no longer current." ] }, "pemCrl": { "type": "string", "description": "Output only. The PEM-encoded X.509 CRL.", "readOnly": true }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Labels with user-defined metadata." }, "revokedCertificates": { "description": "Output only. The revoked serial numbers that appear in pem_crl.", "type": "array", "items": { "$ref": "RevokedCertificate" }, "readOnly": true }, "name": { "type": "string", "description": "Output only. The resource path for this CertificateRevocationList in the format `projects/*/locations/*/certificateAuthorities/*/ certificateRevocationLists/*`.", "readOnly": true }, "accessUrl": { "type": "string", "readOnly": true, "description": "Output only. The location where 'pem_crl' can be accessed." } } }, "X509Extension": { "description": "An X509Extension specifies an X.509 extension, which may be used in different parts of X.509 objects like certificates, CSRs, and CRLs.", "properties": { "objectId": { "description": "Required. The OID for this X.509 extension.", "$ref": "ObjectId" }, "value": { "type": "string", "description": "Required. The value of this X.509 extension.", "format": "byte" }, "critical": { "type": "boolean", "description": "Required. Indicates whether or not this extension is critical (i.e., if the client does not know how to handle this extension, the client should consider this to be an error)." } }, "type": "object", "id": "X509Extension" }, "Status": { "id": "Status", "type": "object", "description": "The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).", "properties": { "code": { "format": "int32", "description": "The status code, which should be an enum value of google.rpc.Code.", "type": "integer" }, "message": { "description": "A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.", "type": "string" }, "details": { "items": { "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." }, "type": "object" }, "type": "array", "description": "A list of messages that carry the error details. There is a common set of message types for APIs to use." } } }, "ScheduleDeleteCertificateAuthorityRequest": { "type": "object", "description": "Request message for CertificateAuthorityService.ScheduleDeleteCertificateAuthority.", "properties": { "ignoreActiveCertificates": { "description": "Optional. This field allows the CA to be scheduled for deletion even if the CA has active certs. Active certs include both unrevoked and unexpired certs.", "type": "boolean" }, "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } }, "id": "ScheduleDeleteCertificateAuthorityRequest" }, "AuditLogConfig": { "type": "object", "properties": { "logType": { "enumDescriptions": [ "Default case. Should never be this.", "Admin reads. Example: CloudIAM getIamPolicy", "Data writes. Example: CloudSQL Users create", "Data reads. Example: CloudSQL Users list" ], "description": "The log type that this config enables.", "enum": [ "LOG_TYPE_UNSPECIFIED", "ADMIN_READ", "DATA_WRITE", "DATA_READ" ], "type": "string" }, "exemptedMembers": { "type": "array", "items": { "type": "string" }, "description": "Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members." } }, "description": "Provides the configuration for logging a type of permissions. Example: { \"audit_log_configs\": [ { \"log_type\": \"DATA_READ\", \"exempted_members\": [ \"user:jose@example.com\" ] }, { \"log_type\": \"DATA_WRITE\" } ] } This enables 'DATA_READ' and 'DATA_WRITE' logging, while exempting jose@example.com from DATA_READ logging.", "id": "AuditLogConfig" }, "CertificateAuthority": { "properties": { "updateTime": { "description": "Output only. The time at which this CertificateAuthority was updated.", "readOnly": true, "format": "google-datetime", "type": "string" }, "keySpec": { "description": "Required. Immutable. Used when issuing certificates for this CertificateAuthority. If this CertificateAuthority is a self-signed CertificateAuthority, this key is also used to sign the self-signed CA certificate. Otherwise, it is used to sign a CSR.", "$ref": "KeyVersionSpec" }, "lifetime": { "description": "Required. The desired lifetime of the CA certificate. Used to create the \"not_before_time\" and \"not_after_time\" fields inside an X.509 certificate.", "type": "string", "format": "google-duration" }, "subordinateConfig": { "$ref": "SubordinateConfig", "description": "Optional. If this is a subordinate CertificateAuthority, this field will be set with the subordinate configuration, which describes its issuers. This may be updated, but this CertificateAuthority must continue to validate." }, "accessUrls": { "readOnly": true, "description": "Output only. URLs for accessing content published by this CA, such as the CA certificate and CRLs.", "$ref": "AccessUrls" }, "issuingOptions": { "$ref": "IssuingOptions", "description": "Optional. The IssuingOptions to follow when issuing Certificates from this CertificateAuthority." }, "tier": { "type": "string", "enum": [ "TIER_UNSPECIFIED", "ENTERPRISE", "DEVOPS" ], "enumDescriptions": [ "Not specified.", "Enterprise tier.", "DevOps tier." ], "description": "Required. Immutable. The Tier of this CertificateAuthority." }, "name": { "description": "Output only. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "readOnly": true, "type": "string" }, "type": { "description": "Required. Immutable. The Type of this CertificateAuthority.", "enum": [ "TYPE_UNSPECIFIED", "SELF_SIGNED", "SUBORDINATE" ], "type": "string", "enumDescriptions": [ "Not specified.", "Self-signed CA.", "Subordinate CA. Could be issued by a Private CA CertificateAuthority or an unmanaged CA." ] }, "gcsBucket": { "description": "Immutable. The name of a Cloud Storage bucket where this CertificateAuthority will publish content, such as the CA certificate and CRLs. This must be a bucket name, without any prefixes (such as `gs://`) or suffixes (such as `.googleapis.com`). For example, to use a bucket named `my-bucket`, you would simply specify `my-bucket`. If not specified, a managed bucket will be created.", "type": "string" }, "certificatePolicy": { "$ref": "CertificateAuthorityPolicy", "description": "Optional. The CertificateAuthorityPolicy to enforce when issuing Certificates from this CertificateAuthority." }, "caCertificateDescriptions": { "readOnly": true, "description": "Output only. A structured description of this CertificateAuthority's CA certificate and its issuers. Ordered as self-to-root.", "items": { "$ref": "CertificateDescription" }, "type": "array" }, "createTime": { "description": "Output only. The time at which this CertificateAuthority was created.", "type": "string", "readOnly": true, "format": "google-datetime" }, "state": { "enumDescriptions": [ "Not specified.", "Certificates can be issued from this CA. CRLs will be generated for this CA.", "Certificates cannot be issued from this CA. CRLs will still be generated.", "Certificates cannot be issued from this CA. CRLs will not be generated.", "Certificates cannot be issued from this CA. CRLs will not be generated." ], "type": "string", "description": "Output only. The State for this CertificateAuthority.", "enum": [ "STATE_UNSPECIFIED", "ENABLED", "DISABLED", "PENDING_ACTIVATION", "PENDING_DELETION" ], "readOnly": true }, "deleteTime": { "format": "google-datetime", "readOnly": true, "type": "string", "description": "Output only. The time at which this CertificateAuthority will be deleted, if scheduled for deletion." }, "config": { "description": "Required. Immutable. The config used to create a self-signed X.509 certificate or CSR.", "$ref": "CertificateConfig" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Labels with user-defined metadata." }, "pemCaCertificates": { "readOnly": true, "items": { "type": "string" }, "description": "Output only. This CertificateAuthority's certificate chain, including the current CertificateAuthority's certificate. Ordered such that the root issuer is the final element (consistent with RFC 5246). For a self-signed CA, this will only list the current CertificateAuthority's certificate.", "type": "array" } }, "type": "object", "id": "CertificateAuthority", "description": "A CertificateAuthority represents an individual Certificate Authority. A CertificateAuthority can be used to create Certificates." }, "Subject": { "properties": { "province": { "description": "The province, territory, or regional state of the subject.", "type": "string" }, "countryCode": { "type": "string", "description": "The country code of the subject." }, "postalCode": { "description": "The postal code of the subject.", "type": "string" }, "organization": { "description": "The organization of the subject.", "type": "string" }, "streetAddress": { "type": "string", "description": "The street address of the subject." }, "locality": { "description": "The locality or city of the subject.", "type": "string" }, "organizationalUnit": { "type": "string", "description": "The organizational_unit of the subject." } }, "type": "object", "id": "Subject", "description": "Subject describes parts of a distinguished name that, in turn, describes the subject of the certificate." }, "Empty": { "id": "Empty", "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }" }, "KeyId": { "properties": { "keyId": { "description": "Optional. The value of this KeyId encoded in lowercase hexadecimal. This is most likely the 160 bit SHA-1 hash of the public key.", "type": "string" } }, "type": "object", "id": "KeyId", "description": "A KeyId identifies a specific public key, usually by hashing the public key." }, "ReusableConfig": { "id": "ReusableConfig", "properties": { "updateTime": { "format": "google-datetime", "readOnly": true, "description": "Output only. The time at which this ReusableConfig was updated.", "type": "string" }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "Optional. Labels with user-defined metadata." }, "createTime": { "description": "Output only. The time at which this ReusableConfig was created.", "readOnly": true, "format": "google-datetime", "type": "string" }, "name": { "description": "Output only. The resource path for this ReusableConfig in the format `projects/*/locations/*/reusableConfigs/*`.", "type": "string", "readOnly": true }, "values": { "description": "Required. The config values.", "$ref": "ReusableConfigValues" }, "description": { "description": "Optional. A human-readable description of scenarios these ReusableConfigValues may be compatible with.", "type": "string" } }, "description": "A ReusableConfig refers to a managed ReusableConfigValues. Those, in turn, are used to describe certain fields of an X.509 certificate, such as the key usage fields, fields specific to CA certificates, certificate policy extensions and custom extensions.", "type": "object" }, "ListOperationsResponse": { "id": "ListOperationsResponse", "type": "object", "properties": { "nextPageToken": { "description": "The standard List next-page token.", "type": "string" }, "operations": { "type": "array", "description": "A list of operations that matches the specified filter in the request.", "items": { "$ref": "Operation" } } }, "description": "The response message for Operations.ListOperations." }, "ListCertificateAuthoritiesResponse": { "id": "ListCertificateAuthoritiesResponse", "description": "Response message for CertificateAuthorityService.ListCertificateAuthorities.", "type": "object", "properties": { "certificateAuthorities": { "description": "The list of CertificateAuthorities.", "type": "array", "items": { "$ref": "CertificateAuthority" } }, "nextPageToken": { "description": "A token to retrieve next page of results. Pass this value in ListCertificateAuthoritiesRequest.next_page_token to retrieve the next page of results.", "type": "string" }, "unreachable": { "type": "array", "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "items": { "type": "string" } } } }, "ObjectId": { "properties": { "objectIdPath": { "items": { "type": "integer", "format": "int32" }, "description": "Required. The parts of an OID path. The most significant parts of the path come first.", "type": "array" } }, "type": "object", "description": "An ObjectId specifies an object identifier (OID). These provide context and describe types in ASN.1 messages.", "id": "ObjectId" }, "Location": { "properties": { "displayName": { "type": "string", "description": "The friendly name for this location, typically a nearby city name. For example, \"Tokyo\"." }, "metadata": { "type": "object", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" }, "description": "Service-specific metadata. For example the available capacity at the given location." }, "locationId": { "description": "The canonical id for this location. For example: `\"us-east1\"`.", "type": "string" }, "labels": { "type": "object", "description": "Cross-service attributes for the location. For example {\"cloud.googleapis.com/region\": \"us-east1\"}", "additionalProperties": { "type": "string" } }, "name": { "type": "string", "description": "Resource name for the location, which may vary between implementations. For example: `\"projects/example-project/locations/us-east1\"`" } }, "description": "A resource that represents Google Cloud Platform location.", "id": "Location", "type": "object" }, "Certificate": { "description": "A Certificate corresponds to a signed X.509 certificate issued by a CertificateAuthority.", "id": "Certificate", "type": "object", "properties": { "updateTime": { "type": "string", "description": "Output only. The time at which this Certificate was updated.", "format": "google-datetime", "readOnly": true }, "pemCsr": { "description": "Immutable. A pem-encoded X.509 certificate signing request (CSR).", "type": "string" }, "revocationDetails": { "description": "Output only. Details regarding the revocation of this Certificate. This Certificate is considered revoked if and only if this field is present.", "$ref": "RevocationDetails", "readOnly": true }, "name": { "readOnly": true, "description": "Output only. The resource path for this Certificate in the format `projects/*/locations/*/certificateAuthorities/*/certificates/*`.", "type": "string" }, "certificateDescription": { "$ref": "CertificateDescription", "readOnly": true, "description": "Output only. A structured description of the issued X.509 certificate." }, "config": { "$ref": "CertificateConfig", "description": "Immutable. A description of the certificate and key that does not require X.509 or ASN.1." }, "lifetime": { "description": "Required. Immutable. The desired lifetime of a certificate. Used to create the \"not_before_time\" and \"not_after_time\" fields inside an X.509 certificate. Note that the lifetime may be truncated if it would extend past the life of any certificate authority in the issuing chain.", "format": "google-duration", "type": "string" }, "pemCertificate": { "readOnly": true, "type": "string", "description": "Output only. The pem-encoded, signed X.509 certificate." }, "labels": { "description": "Optional. Labels with user-defined metadata.", "additionalProperties": { "type": "string" }, "type": "object" }, "createTime": { "type": "string", "description": "Output only. The time at which this Certificate was created.", "format": "google-datetime", "readOnly": true }, "pemCertificateChain": { "readOnly": true, "items": { "type": "string" }, "type": "array", "description": "Output only. The chain that may be used to verify the X.509 certificate. Expected to be in issuer-to-root order according to RFC 5246." } } }, "ListCertificateRevocationListsResponse": { "description": "Response message for CertificateAuthorityService.ListCertificateRevocationLists.", "id": "ListCertificateRevocationListsResponse", "type": "object", "properties": { "certificateRevocationLists": { "type": "array", "items": { "$ref": "CertificateRevocationList" }, "description": "The list of CertificateRevocationLists." }, "unreachable": { "type": "array", "description": "A list of locations (e.g. \"us-west1\") that could not be reached.", "items": { "type": "string" } }, "nextPageToken": { "type": "string", "description": "A token to retrieve next page of results. Pass this value in ListCertificateRevocationListsRequest.next_page_token to retrieve the next page of results." } } }, "SubjectConfig": { "description": "These values are used to create the distinguished name and subject alternative name fields in an X.509 certificate.", "type": "object", "id": "SubjectConfig", "properties": { "subjectAltName": { "$ref": "SubjectAltNames", "description": "Optional. The subject alternative name fields." }, "commonName": { "description": "Optional. The \"common name\" of the distinguished name.", "type": "string" }, "subject": { "$ref": "Subject", "description": "Required. Contains distinguished name fields such as the location and organization." } } }, "SubjectDescription": { "id": "SubjectDescription", "description": "These values describe fields in an issued X.509 certificate such as the distinguished name, subject alternative names, serial number, and lifetime.", "properties": { "lifetime": { "description": "For convenience, the actual lifetime of an issued certificate. Corresponds to 'not_after_time' - 'not_before_time'.", "type": "string", "format": "google-duration" }, "notAfterTime": { "description": "The time at which the certificate expires.", "type": "string", "format": "google-datetime" }, "commonName": { "description": "The \"common name\" of the distinguished name.", "type": "string" }, "notBeforeTime": { "format": "google-datetime", "description": "The time at which the certificate becomes valid.", "type": "string" }, "subjectAltName": { "description": "The subject alternative name fields.", "$ref": "SubjectAltNames" }, "subject": { "$ref": "Subject", "description": "Contains distinguished name fields such as the location and organization." }, "hexSerialNumber": { "type": "string", "description": "The serial number encoded in lowercase hexadecimal." } }, "type": "object" }, "Expr": { "properties": { "location": { "type": "string", "description": "Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file." }, "description": { "description": "Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI.", "type": "string" }, "expression": { "description": "Textual representation of an expression in Common Expression Language syntax.", "type": "string" }, "title": { "description": "Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression.", "type": "string" } }, "description": "Represents a textual expression in the Common Expression Language (CEL) syntax. CEL is a C-like expression language. The syntax and semantics of CEL are documented at https://github.com/google/cel-spec. Example (Comparison): title: \"Summary size limit\" description: \"Determines if a summary is less than 100 chars\" expression: \"document.summary.size() \u003c 100\" Example (Equality): title: \"Requestor is owner\" description: \"Determines if requestor is the document owner\" expression: \"document.owner == request.auth.claims.email\" Example (Logic): title: \"Public documents\" description: \"Determine whether the document should be publicly visible\" expression: \"document.type != 'private' && document.type != 'internal'\" Example (Data Manipulation): title: \"Notification string\" description: \"Create a notification string with a timestamp.\" expression: \"'New message received at ' + string(document.create_time)\" The exact variables and functions that may be referenced within an expression are determined by the service that evaluates it. See the service documentation for additional information.", "type": "object", "id": "Expr" }, "AccessUrls": { "properties": { "caCertificateAccessUrl": { "description": "The URL where this CertificateAuthority's CA certificate is published. This will only be set for CAs that have been activated.", "type": "string" }, "crlAccessUrl": { "description": "The URL where this CertificateAuthority's CRLs are published. This will only be set for CAs that have been activated.", "type": "string" } }, "id": "AccessUrls", "description": "URLs where a CertificateAuthority will publish content.", "type": "object" }, "KeyUsage": { "id": "KeyUsage", "description": "A KeyUsage describes key usage values that may appear in an X.509 certificate.", "properties": { "unknownExtendedKeyUsages": { "items": { "$ref": "ObjectId" }, "description": "Used to describe extended key usages that are not listed in the KeyUsage.ExtendedKeyUsageOptions message.", "type": "array" }, "baseKeyUsage": { "description": "Describes high-level ways in which a key may be used.", "$ref": "KeyUsageOptions" }, "extendedKeyUsage": { "description": "Detailed scenarios in which a key may be used.", "$ref": "ExtendedKeyUsageOptions" } }, "type": "object" }, "ListLocationsResponse": { "description": "The response message for Locations.ListLocations.", "type": "object", "id": "ListLocationsResponse", "properties": { "locations": { "description": "A list of locations that matches the specified filter in the request.", "type": "array", "items": { "$ref": "Location" } }, "nextPageToken": { "description": "The standard List next-page token.", "type": "string" } } }, "FetchCertificateAuthorityCsrResponse": { "description": "Response message for CertificateAuthorityService.FetchCertificateAuthorityCsr.", "id": "FetchCertificateAuthorityCsrResponse", "properties": { "pemCsr": { "readOnly": true, "type": "string", "description": "Output only. The PEM-encoded signed certificate signing request (CSR)." } }, "type": "object" }, "PublicKey": { "id": "PublicKey", "type": "object", "description": "A PublicKey describes a public key.", "properties": { "key": { "description": "Required. A public key. When this is specified in a request, the padding and encoding can be any of the options described by the respective 'KeyType' value. When this is generated by the service, it will always be an RFC 5280 [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) structure containing an algorithm identifier and a key.", "type": "string", "format": "byte" }, "type": { "enumDescriptions": [ "Default unspecified value.", "A PEM-encoded PKCS#1/RFC 3447 RSAPublicKey structure, or an RFC 5280 [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) structure containing the former.", "An RFC 5280 [SubjectPublicKeyInfo](https://tools.ietf.org/html/rfc5280#section-4.1) structure containing a PEM-encoded compressed NIST P-256/secp256r1/prime256v1 or P-384 key." ], "description": "Optional. The type of public key. If specified, it must match the public key used for the`key` field.", "enum": [ "KEY_TYPE_UNSPECIFIED", "PEM_RSA_KEY", "PEM_EC_KEY" ], "type": "string" } } }, "ActivateCertificateAuthorityRequest": { "description": "Request message for CertificateAuthorityService.ActivateCertificateAuthority.", "type": "object", "properties": { "requestId": { "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." }, "subordinateConfig": { "description": "Required. Must include information about the issuer of 'pem_ca_certificate', and any further issuers until the self-signed CA.", "$ref": "SubordinateConfig" }, "pemCaCertificate": { "description": "Required. The signed CA certificate issued from FetchCertificateAuthorityCsrResponse.pem_csr.", "type": "string" } }, "id": "ActivateCertificateAuthorityRequest" }, "TestIamPermissionsResponse": { "type": "object", "description": "Response message for `TestIamPermissions` method.", "id": "TestIamPermissionsResponse", "properties": { "permissions": { "items": { "type": "string" }, "description": "A subset of `TestPermissionsRequest.permissions` that the caller is allowed.", "type": "array" } } }, "SubjectAltNames": { "description": "SubjectAltNames corresponds to a more modern way of listing what the asserted identity is in a certificate (i.e., compared to the \"common name\" in the distinguished name).", "id": "SubjectAltNames", "type": "object", "properties": { "customSans": { "items": { "$ref": "X509Extension" }, "description": "Contains additional subject alternative name values.", "type": "array" }, "emailAddresses": { "items": { "type": "string" }, "description": "Contains only valid RFC 2822 E-mail addresses.", "type": "array" }, "uris": { "description": "Contains only valid RFC 3986 URIs.", "items": { "type": "string" }, "type": "array" }, "dnsNames": { "description": "Contains only valid, fully-qualified host names.", "items": { "type": "string" }, "type": "array" }, "ipAddresses": { "type": "array", "items": { "type": "string" }, "description": "Contains only valid 32-bit IPv4 addresses or RFC 4291 IPv6 addresses." } } }, "ExtendedKeyUsageOptions": { "type": "object", "description": "KeyUsage.ExtendedKeyUsageOptions has fields that correspond to certain common OIDs that could be specified as an extended key usage value.", "properties": { "clientAuth": { "description": "Corresponds to OID 1.3.6.1.5.5.7.3.2. Officially described as \"TLS WWW client authentication\", though regularly used for non-WWW TLS.", "type": "boolean" }, "timeStamping": { "description": "Corresponds to OID 1.3.6.1.5.5.7.3.8. Officially described as \"Binding the hash of an object to a time\".", "type": "boolean" }, "codeSigning": { "description": "Corresponds to OID 1.3.6.1.5.5.7.3.3. Officially described as \"Signing of downloadable executable code client authentication\".", "type": "boolean" }, "emailProtection": { "description": "Corresponds to OID 1.3.6.1.5.5.7.3.4. Officially described as \"Email protection\".", "type": "boolean" }, "serverAuth": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.1. Officially described as \"TLS WWW server authentication\", though regularly used for non-WWW TLS." }, "ocspSigning": { "type": "boolean", "description": "Corresponds to OID 1.3.6.1.5.5.7.3.9. Officially described as \"Signing OCSP responses\"." } }, "id": "ExtendedKeyUsageOptions" }, "Operation": { "id": "Operation", "description": "This resource represents a long-running operation that is the result of a network API call.", "type": "object", "properties": { "done": { "description": "If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.", "type": "boolean" }, "error": { "description": "The error result of the operation in case of failure or cancellation.", "$ref": "Status" }, "name": { "type": "string", "description": "The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`." }, "metadata": { "type": "object", "description": "Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.", "additionalProperties": { "description": "Properties of the object. Contains field @type with type URL.", "type": "any" } }, "response": { "type": "object", "description": "The normal response of the operation in case of success. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.", "additionalProperties": { "type": "any", "description": "Properties of the object. Contains field @type with type URL." } } } } }, "fullyEncodeReservedExpansion": true, "id": "privateca:v1beta1", "batchPath": "batch", "ownerDomain": "google.com", "version": "v1beta1", "title": "Certificate Authority API", "name": "privateca", "baseUrl": "https://privateca.googleapis.com/", "resources": { "projects": { "resources": { "locations": { "methods": { "list": { "flatPath": "v1beta1/projects/{projectsId}/locations", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "ListLocationsResponse" }, "description": "Lists information about the supported locations for this service.", "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/locations", "id": "privateca.projects.locations.list", "httpMethod": "GET", "parameters": { "name": { "required": true, "description": "The resource that owns the locations collection, if applicable.", "location": "path", "type": "string", "pattern": "^projects/[^/]+$" }, "pageToken": { "location": "query", "description": "A page token received from the `next_page_token` field in the response. Send that page token to receive the subsequent page.", "type": "string" }, "filter": { "location": "query", "type": "string", "description": "A filter to narrow down results to a preferred subset. The filtering language accepts strings like `\"displayName=tokyo\"`, and is documented in more detail in [AIP-160](https://google.aip.dev/160)." }, "pageSize": { "format": "int32", "description": "The maximum number of results to return. If not set, the service selects a default.", "location": "query", "type": "integer" } } }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}", "parameterOrder": [ "name" ], "description": "Gets information about a location.", "parameters": { "name": { "location": "path", "description": "Resource name for the location.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string", "required": true } }, "id": "privateca.projects.locations.get", "httpMethod": "GET", "path": "v1beta1/{+name}", "response": { "$ref": "Location" } } }, "resources": { "certificateAuthorities": { "methods": { "activate": { "parameterOrder": [ "name" ], "httpMethod": "POST", "id": "privateca.projects.locations.certificateAuthorities.activate", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:activate", "response": { "$ref": "Operation" }, "description": "Activate a CertificateAuthority that is in state PENDING_ACTIVATION and is of type SUBORDINATE. After the parent Certificate Authority signs a certificate signing request from FetchCertificateAuthorityCsr, this method can complete the activation process.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:activate", "parameters": { "name": { "location": "path", "type": "string", "required": true, "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$" } }, "request": { "$ref": "ActivateCertificateAuthorityRequest" } }, "fetch": { "response": { "$ref": "FetchCertificateAuthorityCsrResponse" }, "path": "v1beta1/{+name}:fetch", "description": "Fetch a certificate signing request (CSR) from a CertificateAuthority that is in state PENDING_ACTIVATION and is of type SUBORDINATE. The CSR must then be signed by the desired parent Certificate Authority, which could be another CertificateAuthority resource, or could be an on-prem certificate authority. See also ActivateCertificateAuthority.", "id": "privateca.projects.locations.certificateAuthorities.fetch", "httpMethod": "GET", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "required": true, "type": "string", "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "location": "path" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:fetch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "enable": { "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST", "parameters": { "name": { "type": "string", "required": true, "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "location": "path" } }, "request": { "$ref": "EnableCertificateAuthorityRequest" }, "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:enable", "description": "Enable a CertificateAuthority.", "id": "privateca.projects.locations.certificateAuthorities.enable", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:enable" }, "list": { "parameterOrder": [ "parent" ], "httpMethod": "GET", "description": "Lists CertificateAuthorities.", "id": "privateca.projects.locations.certificateAuthorities.list", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities", "path": "v1beta1/{+parent}/certificateAuthorities", "response": { "$ref": "ListCertificateAuthoritiesResponse" }, "parameters": { "pageSize": { "description": "Optional. Limit on the number of CertificateAuthorities to include in the response. Further CertificateAuthorities can subsequently be obtained by including the ListCertificateAuthoritiesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "format": "int32", "type": "integer", "location": "query" }, "parent": { "required": true, "location": "path", "description": "Required. The resource name of the location associated with the CertificateAuthorities, in the format `projects/*/locations/*`.", "pattern": "^projects/[^/]+/locations/[^/]+$", "type": "string" }, "orderBy": { "description": "Optional. Specify how the results should be sorted.", "location": "query", "type": "string" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Pagination token, returned earlier via ListCertificateAuthoritiesResponse.next_page_token." }, "filter": { "location": "query", "description": "Optional. Only include resources that match the filter in the response.", "type": "string" } } }, "scheduleDelete": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:scheduleDelete", "response": { "$ref": "Operation" }, "path": "v1beta1/{+name}:scheduleDelete", "description": "Schedule a CertificateAuthority for deletion.", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "required": true } }, "httpMethod": "POST", "id": "privateca.projects.locations.certificateAuthorities.scheduleDelete", "request": { "$ref": "ScheduleDeleteCertificateAuthorityRequest" } }, "testIamPermissions": { "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "parameterOrder": [ "resource" ], "id": "privateca.projects.locations.certificateAuthorities.testIamPermissions", "request": { "$ref": "TestIamPermissionsRequest" }, "parameters": { "resource": { "type": "string", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "location": "path" } }, "path": "v1beta1/{+resource}:testIamPermissions", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "TestIamPermissionsResponse" }, "httpMethod": "POST" }, "get": { "response": { "$ref": "CertificateAuthority" }, "httpMethod": "GET", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "type": "string", "description": "Required. The name of the CertificateAuthority to get." } }, "id": "privateca.projects.locations.certificateAuthorities.get", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}", "description": "Returns a CertificateAuthority." }, "disable": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1beta1/{+name}:disable", "request": { "$ref": "DisableCertificateAuthorityRequest" }, "parameters": { "name": { "required": true, "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "location": "path", "type": "string" } }, "parameterOrder": [ "name" ], "id": "privateca.projects.locations.certificateAuthorities.disable", "httpMethod": "POST", "description": "Disable a CertificateAuthority.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:disable", "response": { "$ref": "Operation" } }, "setIamPolicy": { "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:setIamPolicy", "response": { "$ref": "Policy" }, "httpMethod": "POST", "request": { "$ref": "SetIamPolicyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.certificateAuthorities.setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:setIamPolicy" }, "create": { "id": "privateca.projects.locations.certificateAuthorities.create", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "parent": { "required": true, "description": "Required. The resource name of the location associated with the CertificateAuthorities, in the format `projects/*/locations/*`.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" }, "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "certificateAuthorityId": { "location": "query", "description": "Required. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`", "type": "string" } }, "path": "v1beta1/{+parent}/certificateAuthorities", "httpMethod": "POST", "parameterOrder": [ "parent" ], "request": { "$ref": "CertificateAuthority" }, "response": { "$ref": "Operation" }, "description": "Create a new CertificateAuthority in a given Project and Location." }, "restore": { "parameterOrder": [ "name" ], "request": { "$ref": "RestoreCertificateAuthorityRequest" }, "description": "Restore a CertificateAuthority that is scheduled for deletion.", "httpMethod": "POST", "id": "privateca.projects.locations.certificateAuthorities.restore", "path": "v1beta1/{+name}:restore", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:restore", "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "required": true, "type": "string", "description": "Required. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "location": "path" } } }, "patch": { "path": "v1beta1/{+name}", "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}", "request": { "$ref": "CertificateAuthority" }, "description": "Update a CertificateAuthority.", "httpMethod": "PATCH", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.certificateAuthorities.patch", "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "required": true, "description": "Output only. The resource name for this CertificateAuthority in the format `projects/*/locations/*/certificateAuthorities/*`.", "type": "string" }, "updateMask": { "type": "string", "location": "query", "format": "google-fieldmask", "description": "Required. A list of fields to be updated in this request." }, "requestId": { "location": "query", "type": "string", "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000)." } } }, "getIamPolicy": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Policy" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}:getIamPolicy", "id": "privateca.projects.locations.certificateAuthorities.getIamPolicy", "httpMethod": "GET", "parameters": { "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "type": "integer", "location": "query" }, "resource": { "location": "path", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$" } }, "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set." } }, "resources": { "certificateRevocationLists": { "methods": { "get": { "response": { "$ref": "CertificateRevocationList" }, "description": "Returns a CertificateRevocationList.", "httpMethod": "GET", "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.get", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "description": "Required. The name of the CertificateRevocationList to get.", "required": true, "type": "string", "location": "path" } }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}", "path": "v1beta1/{+name}" }, "testIamPermissions": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "resource": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." } }, "parameterOrder": [ "resource" ], "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning.", "path": "v1beta1/{+resource}:testIamPermissions", "httpMethod": "POST", "response": { "$ref": "TestIamPermissionsResponse" }, "request": { "$ref": "TestIamPermissionsRequest" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:testIamPermissions", "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.testIamPermissions" }, "getIamPolicy": { "httpMethod": "GET", "response": { "$ref": "Policy" }, "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.getIamPolicy", "path": "v1beta1/{+resource}:getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:getIamPolicy", "parameters": { "options.requestedPolicyVersion": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies)." }, "resource": { "type": "string", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "required": true, "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$" } }, "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Lists CertificateRevocationLists.", "response": { "$ref": "ListCertificateRevocationListsResponse" }, "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.list", "httpMethod": "GET", "path": "v1beta1/{+parent}/certificateRevocationLists", "parameters": { "pageToken": { "type": "string", "description": "Optional. Pagination token, returned earlier via ListCertificateRevocationListsResponse.next_page_token.", "location": "query" }, "filter": { "description": "Optional. Only include resources that match the filter in the response.", "type": "string", "location": "query" }, "orderBy": { "type": "string", "location": "query", "description": "Optional. Specify how the results should be sorted." }, "pageSize": { "format": "int32", "type": "integer", "location": "query", "description": "Optional. Limit on the number of CertificateRevocationLists to include in the response. Further CertificateRevocationLists can subsequently be obtained by including the ListCertificateRevocationListsResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default." }, "parent": { "type": "string", "location": "path", "required": true, "description": "Required. The resource name of the location associated with the CertificateRevocationLists, in the format `projects/*/locations/*/certificateauthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists", "parameterOrder": [ "parent" ] }, "patch": { "httpMethod": "PATCH", "description": "Update a CertificateRevocationList.", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "CertificateRevocationList" }, "response": { "$ref": "Operation" }, "parameterOrder": [ "name" ], "parameters": { "name": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "type": "string", "description": "Output only. The resource path for this CertificateRevocationList in the format `projects/*/locations/*/certificateAuthorities/*/ certificateRevocationLists/*`.", "required": true }, "updateMask": { "format": "google-fieldmask", "type": "string", "location": "query", "description": "Required. A list of fields to be updated in this request." }, "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" } }, "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.patch", "path": "v1beta1/{+name}" }, "setIamPolicy": { "request": { "$ref": "SetIamPolicyRequest" }, "response": { "$ref": "Policy" }, "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificateRevocationLists/[^/]+$", "location": "path", "required": true } }, "path": "v1beta1/{+resource}:setIamPolicy", "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "id": "privateca.projects.locations.certificateAuthorities.certificateRevocationLists.setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificateRevocationLists/{certificateRevocationListsId}:setIamPolicy", "parameterOrder": [ "resource" ] } } }, "certificates": { "methods": { "create": { "parameters": { "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "type": "string", "location": "query" }, "certificateId": { "description": "Optional. It must be unique within a location and match the regular expression `[a-zA-Z0-9_-]{1,63}`. This field is required when using a CertificateAuthority in the Enterprise CertificateAuthority.Tier, but is optional and its value is ignored otherwise.", "location": "query", "type": "string" }, "parent": { "location": "path", "type": "string", "description": "Required. The resource name of the location and CertificateAuthority associated with the Certificate, in the format `projects/*/locations/*/certificateAuthorities/*`.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "required": true } }, "parameterOrder": [ "parent" ], "description": "Create a new Certificate in a given Project, Location from a particular CertificateAuthority.", "request": { "$ref": "Certificate" }, "path": "v1beta1/{+parent}/certificates", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificates", "id": "privateca.projects.locations.certificateAuthorities.certificates.create", "response": { "$ref": "Certificate" }, "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "id": "privateca.projects.locations.certificateAuthorities.certificates.list", "description": "Lists Certificates.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameterOrder": [ "parent" ], "httpMethod": "GET", "path": "v1beta1/{+parent}/certificates", "parameters": { "pageSize": { "location": "query", "format": "int32", "description": "Optional. Limit on the number of Certificates to include in the response. Further Certificates can subsequently be obtained by including the ListCertificatesResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "type": "integer" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Pagination token, returned earlier via ListCertificatesResponse.next_page_token." }, "orderBy": { "location": "query", "description": "Optional. Specify how the results should be sorted. For details on supported fields and syntax, see [Certificates Sorting documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#sorting_support).", "type": "string" }, "parent": { "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+$", "type": "string", "location": "path", "description": "Required. The resource name of the location associated with the Certificates, in the format `projects/*/locations/*/certificateauthorities/*`.", "required": true }, "filter": { "location": "query", "description": "Optional. Only include resources that match the filter in the response. For details on supported filters and syntax, see [Certificates Filtering documentation](https://cloud.google.com/certificate-authority-service/docs/sorting-filtering-certificates#filtering_support).", "type": "string" } }, "response": { "$ref": "ListCertificatesResponse" }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificates" }, "patch": { "id": "privateca.projects.locations.certificateAuthorities.certificates.patch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "Certificate" }, "httpMethod": "PATCH", "parameterOrder": [ "name" ], "description": "Update a Certificate. Currently, the only field you can update is the labels field.", "path": "v1beta1/{+name}", "request": { "$ref": "Certificate" }, "parameters": { "requestId": { "description": "Optional. An ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request. For example, consider a situation where you make an initial request and t he request times out. If you make the request again with the same request ID, the server can check if original operation with the same request ID was received, and if so, will ignore the second request. This prevents clients from accidentally creating duplicate commitments. The request ID must be a valid UUID with the exception that zero UUID is not supported (00000000-0000-0000-0000-000000000000).", "location": "query", "type": "string" }, "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificates/[^/]+$", "description": "Output only. The resource path for this Certificate in the format `projects/*/locations/*/certificateAuthorities/*/certificates/*`.", "required": true }, "updateMask": { "type": "string", "format": "google-fieldmask", "description": "Required. A list of fields to be updated in this request.", "location": "query" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificates/{certificatesId}" }, "revoke": { "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificates/[^/]+$", "description": "Required. The resource name for this Certificate in the format `projects/*/locations/*/certificateAuthorities/*/certificates/*`." } }, "httpMethod": "POST", "id": "privateca.projects.locations.certificateAuthorities.certificates.revoke", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificates/{certificatesId}:revoke", "request": { "$ref": "RevokeCertificateRequest" }, "response": { "$ref": "Certificate" }, "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Revoke a Certificate.", "path": "v1beta1/{+name}:revoke" }, "get": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/certificateAuthorities/{certificateAuthoritiesId}/certificates/{certificatesId}", "path": "v1beta1/{+name}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.certificateAuthorities.certificates.get", "description": "Returns a Certificate.", "parameterOrder": [ "name" ], "response": { "$ref": "Certificate" }, "parameters": { "name": { "required": true, "description": "Required. The name of the Certificate to get.", "pattern": "^projects/[^/]+/locations/[^/]+/certificateAuthorities/[^/]+/certificates/[^/]+$", "type": "string", "location": "path" } }, "httpMethod": "GET" } } } } }, "reusableConfigs": { "methods": { "setIamPolicy": { "parameterOrder": [ "resource" ], "description": "Sets the access control policy on the specified resource. Replaces any existing policy. Can return `NOT_FOUND`, `INVALID_ARGUMENT`, and `PERMISSION_DENIED` errors.", "parameters": { "resource": { "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/reusableConfigs/[^/]+$", "required": true, "description": "REQUIRED: The resource for which the policy is being specified. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "type": "string" } }, "response": { "$ref": "Policy" }, "path": "v1beta1/{+resource}:setIamPolicy", "httpMethod": "POST", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "privateca.projects.locations.reusableConfigs.setIamPolicy", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reusableConfigs/{reusableConfigsId}:setIamPolicy", "request": { "$ref": "SetIamPolicyRequest" } }, "list": { "response": { "$ref": "ListReusableConfigsResponse" }, "path": "v1beta1/{+parent}/reusableConfigs", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "id": "privateca.projects.locations.reusableConfigs.list", "parameters": { "orderBy": { "location": "query", "type": "string", "description": "Optional. Specify how the results should be sorted." }, "filter": { "type": "string", "description": "Optional. Only include resources that match the filter in the response.", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. Pagination token, returned earlier via ListReusableConfigsResponse.next_page_token." }, "pageSize": { "description": "Optional. Limit on the number of ReusableConfigs to include in the response. Further ReusableConfigs can subsequently be obtained by including the ListReusableConfigsResponse.next_page_token in a subsequent request. If unspecified, the server will pick an appropriate default.", "location": "query", "type": "integer", "format": "int32" }, "parent": { "description": "Required. The resource name of the location associated with the ReusableConfigs, in the format `projects/*/locations/*`.", "required": true, "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reusableConfigs", "description": "Lists ReusableConfigs.", "parameterOrder": [ "parent" ] }, "get": { "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Returns a ReusableConfig.", "response": { "$ref": "ReusableConfig" }, "id": "privateca.projects.locations.reusableConfigs.get", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reusableConfigs/{reusableConfigsId}", "path": "v1beta1/{+name}", "parameterOrder": [ "name" ], "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/reusableConfigs/[^/]+$", "description": "Required. The name of the ReusableConfigs to get.", "type": "string", "required": true, "location": "path" } } }, "testIamPermissions": { "id": "privateca.projects.locations.reusableConfigs.testIamPermissions", "parameterOrder": [ "resource" ], "path": "v1beta1/{+resource}:testIamPermissions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "TestIamPermissionsRequest" }, "httpMethod": "POST", "parameters": { "resource": { "description": "REQUIRED: The resource for which the policy detail is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field.", "location": "path", "required": true, "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/reusableConfigs/[^/]+$" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reusableConfigs/{reusableConfigsId}:testIamPermissions", "response": { "$ref": "TestIamPermissionsResponse" }, "description": "Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a `NOT_FOUND` error. Note: This operation is designed to be used for building permission-aware UIs and command-line tools, not for authorization checking. This operation may \"fail open\" without warning." }, "getIamPolicy": { "path": "v1beta1/{+resource}:getIamPolicy", "parameters": { "resource": { "required": true, "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+/reusableConfigs/[^/]+$", "description": "REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field." }, "options.requestedPolicyVersion": { "description": "Optional. The maximum policy version that will be used to format the policy. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional role bindings must specify version 3. Policies with no conditional role bindings may specify any valid value or leave the field unset. The policy in the response might use the policy version that you specified, or it might use a lower policy version. For example, if you specify version 3, but the policy has no conditional role bindings, the response uses version 1. To learn which resources support conditions in their IAM policies, see the [IAM documentation](https://cloud.google.com/iam/help/conditions/resource-policies).", "format": "int32", "location": "query", "type": "integer" } }, "response": { "$ref": "Policy" }, "id": "privateca.projects.locations.reusableConfigs.getIamPolicy", "description": "Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set.", "parameterOrder": [ "resource" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "GET", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/reusableConfigs/{reusableConfigsId}:getIamPolicy" } } }, "operations": { "methods": { "get": { "response": { "$ref": "Operation" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.", "id": "privateca.projects.locations.operations.get", "parameterOrder": [ "name" ], "httpMethod": "GET", "parameters": { "name": { "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true, "description": "The name of the operation resource.", "location": "path", "type": "string" } }, "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "path": "v1beta1/{+name}" }, "list": { "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations", "httpMethod": "GET", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "pageToken": { "type": "string", "description": "The standard list page token.", "location": "query" }, "pageSize": { "type": "integer", "format": "int32", "description": "The standard list page size.", "location": "query" }, "name": { "description": "The name of the operation's parent resource.", "type": "string", "location": "path", "pattern": "^projects/[^/]+/locations/[^/]+$", "required": true }, "filter": { "type": "string", "description": "The standard list filter.", "location": "query" } }, "parameterOrder": [ "name" ], "path": "v1beta1/{+name}/operations", "response": { "$ref": "ListOperationsResponse" }, "id": "privateca.projects.locations.operations.list", "description": "Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`. NOTE: the `name` binding allows API services to override the binding to use different resource name schemes, such as `users/*/operations`. To override the binding, API services can add a binding such as `\"/v1/{name=users/*}/operations\"` to their service configuration. For backwards compatibility, the default name includes the operations collection id, however overriding users must ensure the name binding is the parent resource, without the operations collection id." }, "delete": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "parameters": { "name": { "description": "The name of the operation resource to be deleted.", "location": "path", "type": "string", "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "required": true } }, "response": { "$ref": "Empty" }, "path": "v1beta1/{+name}", "description": "Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.", "id": "privateca.projects.locations.operations.delete", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}", "parameterOrder": [ "name" ], "httpMethod": "DELETE" }, "cancel": { "description": "Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.", "response": { "$ref": "Empty" }, "request": { "$ref": "CancelOperationRequest" }, "parameterOrder": [ "name" ], "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/locations/[^/]+/operations/[^/]+$", "description": "The name of the operation resource to be cancelled.", "type": "string", "location": "path" } }, "path": "v1beta1/{+name}:cancel", "flatPath": "v1beta1/projects/{projectsId}/locations/{locationsId}/operations/{operationsId}:cancel", "id": "privateca.projects.locations.operations.cancel", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "POST" } } } } } } } } }
]===]))
