local decode = require("cjson").new().decode
return assert(decode([===[
{ "canonicalName": "Pubsub", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." }, "https://www.googleapis.com/auth/pubsub": { "description": "View and manage Pub/Sub topics and subscriptions" } } } }, "ownerDomain": "google.com", "protocol": "rest", "servicePath": "", "documentationLink": "https://cloud.google.com/pubsub/docs", "name": "pubsub", "title": "Cloud Pub/Sub API", "basePath": "", "batchPath": "batch", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "mtlsRootUrl": "https://pubsub.mtls.googleapis.com/", "resources": { "topics": { "methods": { "create": { "id": "pubsub.topics.create", "path": "v1beta1a/topics", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "request": { "$ref": "Topic" }, "response": { "$ref": "Topic" }, "flatPath": "v1beta1a/topics", "httpMethod": "POST", "description": "Creates the given topic with the given name.", "parameters": {}, "parameterOrder": [] }, "publish": { "httpMethod": "POST", "id": "pubsub.topics.publish", "flatPath": "v1beta1a/topics/publish", "parameters": {}, "description": "Adds a message to the topic. Returns NOT_FOUND if the topic does not exist.", "parameterOrder": [], "request": { "$ref": "PublishRequest" }, "response": { "$ref": "Empty" }, "path": "v1beta1a/topics/publish", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ] }, "delete": { "parameterOrder": [ "topic" ], "id": "pubsub.topics.delete", "parameters": { "topic": { "pattern": "^.*$", "location": "path", "required": true, "description": "Name of the topic to delete.", "type": "string" } }, "description": "Deletes the topic with the given name. Returns NOT_FOUND if the topic does not exist. After a topic is deleted, a new topic may be created with the same name.", "path": "v1beta1a/topics/{+topic}", "response": { "$ref": "Empty" }, "httpMethod": "DELETE", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "flatPath": "v1beta1a/topics/{topicsId}" }, "list": { "parameters": { "query": { "location": "query", "description": "A valid label query expression.", "type": "string" }, "maxResults": { "description": "Maximum number of topics to return.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "location": "query", "description": "The value obtained in the last ListTopicsResponse for continuation.", "type": "string" } }, "response": { "$ref": "ListTopicsResponse" }, "parameterOrder": [], "id": "pubsub.topics.list", "description": "Lists matching topics.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "path": "v1beta1a/topics", "httpMethod": "GET", "flatPath": "v1beta1a/topics" }, "publishBatch": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "path": "v1beta1a/topics/publishBatch", "parameters": {}, "id": "pubsub.topics.publishBatch", "parameterOrder": [], "description": "Adds one or more messages to the topic. Returns NOT_FOUND if the topic does not exist.", "request": { "$ref": "PublishBatchRequest" }, "response": { "$ref": "PublishBatchResponse" }, "flatPath": "v1beta1a/topics/publishBatch", "httpMethod": "POST" }, "get": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "path": "v1beta1a/topics/{+topic}", "description": "Gets the configuration of a topic. Since the topic only has the name attribute, this method is only useful to check the existence of a topic. If other attributes are added in the future, they will be returned here.", "parameters": { "topic": { "location": "path", "type": "string", "required": true, "description": "The name of the topic to get.", "pattern": "^.*$" } }, "response": { "$ref": "Topic" }, "id": "pubsub.topics.get", "httpMethod": "GET", "flatPath": "v1beta1a/topics/{topicsId}", "parameterOrder": [ "topic" ] } } }, "subscriptions": { "methods": { "modifyPushConfig": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "description": "Modifies the PushConfig for a specified subscription. This method can be used to suspend the flow of messages to an endpoint by clearing the PushConfig field in the request. Messages will be accumulated for delivery even if no push configuration is defined or while the configuration is modified.", "id": "pubsub.subscriptions.modifyPushConfig", "parameters": {}, "path": "v1beta1a/subscriptions/modifyPushConfig", "flatPath": "v1beta1a/subscriptions/modifyPushConfig", "httpMethod": "POST", "response": { "$ref": "Empty" }, "request": { "$ref": "ModifyPushConfigRequest" }, "parameterOrder": [] }, "delete": { "flatPath": "v1beta1a/subscriptions/{subscriptionsId}", "path": "v1beta1a/subscriptions/{+subscription}", "description": "Deletes an existing subscription. All pending messages in the subscription are immediately dropped. Calls to Pull after deletion will return NOT_FOUND.", "response": { "$ref": "Empty" }, "id": "pubsub.subscriptions.delete", "httpMethod": "DELETE", "parameterOrder": [ "subscription" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "parameters": { "subscription": { "type": "string", "required": true, "description": "The subscription to delete.", "location": "path", "pattern": "^.*$" } } }, "modifyAckDeadline": { "id": "pubsub.subscriptions.modifyAckDeadline", "flatPath": "v1beta1a/subscriptions/modifyAckDeadline", "request": { "$ref": "ModifyAckDeadlineRequest" }, "httpMethod": "POST", "response": { "$ref": "Empty" }, "description": "Modifies the Ack deadline for a message received from a pull request.", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "path": "v1beta1a/subscriptions/modifyAckDeadline", "parameterOrder": [] }, "pullBatch": { "flatPath": "v1beta1a/subscriptions/pullBatch", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "parameterOrder": [], "response": { "$ref": "PullBatchResponse" }, "description": "Pulls messages from the server. Returns an empty list if there are no messages available in the backlog. The system is free to return UNAVAILABLE if there are too many pull requests outstanding for the given subscription.", "parameters": {}, "httpMethod": "POST", "id": "pubsub.subscriptions.pullBatch", "request": { "$ref": "PullBatchRequest" }, "path": "v1beta1a/subscriptions/pullBatch" }, "get": { "httpMethod": "GET", "parameterOrder": [ "subscription" ], "parameters": { "subscription": { "required": true, "location": "path", "description": "The name of the subscription to get.", "type": "string", "pattern": "^.*$" } }, "path": "v1beta1a/subscriptions/{+subscription}", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "flatPath": "v1beta1a/subscriptions/{subscriptionsId}", "description": "Gets the configuration details of a subscription.", "response": { "$ref": "Subscription" }, "id": "pubsub.subscriptions.get" }, "pull": { "path": "v1beta1a/subscriptions/pull", "httpMethod": "POST", "id": "pubsub.subscriptions.pull", "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "parameterOrder": [], "description": "Pulls a single message from the server. If return_immediately is true, and no messages are available in the subscription, this method returns FAILED_PRECONDITION. The system is free to return an UNAVAILABLE error if no messages are available in a reasonable amount of time (to reduce system load).", "response": { "$ref": "PullResponse" }, "request": { "$ref": "PullRequest" }, "flatPath": "v1beta1a/subscriptions/pull" }, "acknowledge": { "request": { "$ref": "AcknowledgeRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "response": { "$ref": "Empty" }, "flatPath": "v1beta1a/subscriptions/acknowledge", "parameters": {}, "description": "Acknowledges a particular received message: the Pub/Sub system can remove the given message from the subscription. Acknowledging a message whose Ack deadline has expired may succeed, but the message could have been already redelivered. Acknowledging a message more than once will not result in an error. This is only used for messages received via pull.", "id": "pubsub.subscriptions.acknowledge", "httpMethod": "POST", "parameterOrder": [], "path": "v1beta1a/subscriptions/acknowledge" }, "create": { "flatPath": "v1beta1a/subscriptions", "request": { "$ref": "Subscription" }, "parameters": {}, "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "httpMethod": "POST", "description": "Creates a subscription on a given topic for a given subscriber. If the subscription already exists, returns ALREADY_EXISTS. If the corresponding topic doesn't exist, returns NOT_FOUND. If the name is not provided in the request, the server will assign a random name for this subscription on the same project as the topic.", "id": "pubsub.subscriptions.create", "parameterOrder": [], "path": "v1beta1a/subscriptions", "response": { "$ref": "Subscription" } }, "list": { "description": "Lists matching subscriptions.", "path": "v1beta1a/subscriptions", "flatPath": "v1beta1a/subscriptions", "scopes": [ "https://www.googleapis.com/auth/cloud-platform", "https://www.googleapis.com/auth/pubsub" ], "id": "pubsub.subscriptions.list", "parameterOrder": [], "parameters": { "pageToken": { "location": "query", "type": "string", "description": "The value obtained in the last ListSubscriptionsResponse for continuation." }, "query": { "description": "A valid label query expression.", "type": "string", "location": "query" }, "maxResults": { "format": "int32", "description": "Maximum number of subscriptions to return.", "type": "integer", "location": "query" } }, "response": { "$ref": "ListSubscriptionsResponse" }, "httpMethod": "GET" } } } }, "id": "pubsub:v1beta1a", "description": "Provides reliable, many-to-many, asynchronous messaging between applications. ", "schemas": { "PullRequest": { "properties": { "returnImmediately": { "description": "If this is specified as true the system will respond immediately even if it is not able to return a message in the Pull response. Otherwise the system is allowed to wait until at least one message is available rather than returning FAILED_PRECONDITION. The client may cancel the request if it does not wish to wait any longer for the response.", "type": "boolean" }, "subscription": { "description": "The subscription from which a message should be pulled.", "type": "string" } }, "id": "PullRequest", "type": "object", "description": "Request for the Pull method." }, "Subscription": { "id": "Subscription", "description": "A subscription resource.", "type": "object", "properties": { "name": { "type": "string", "description": "Name of the subscription." }, "topic": { "type": "string", "description": "The name of the topic from which this subscription is receiving messages." }, "ackDeadlineSeconds": { "description": "For either push or pull delivery, the value is the maximum time after a subscriber receives a message before the subscriber should acknowledge or Nack the message. If the Ack deadline for a message passes without an Ack or a Nack, the Pub/Sub system will eventually redeliver the message. If a subscriber acknowledges after the deadline, the Pub/Sub system may accept the Ack, but it is possible that the message has been already delivered again. Multiple Acks to the message are allowed and will succeed. For push delivery, this value is used to set the request timeout for the call to the push endpoint. For pull delivery, this value is used as the initial value for the Ack deadline. It may be overridden for each message using its corresponding ack_id with ModifyAckDeadline. While a message is outstanding (i.e. it has been delivered to a pull subscriber and the subscriber has not yet Acked or Nacked), the Pub/Sub system will not deliver that message to another pull subscriber (on a best-effort basis).", "format": "int32", "type": "integer" }, "pushConfig": { "description": "If push delivery is used with this subscription, this field is used to configure it.", "$ref": "PushConfig" } } }, "ModifyAckDeadlineRequest": { "description": "Request for the ModifyAckDeadline method.", "type": "object", "id": "ModifyAckDeadlineRequest", "properties": { "ackIds": { "type": "array", "description": "List of acknowledgment IDs. Either this field or ack_id should be populated, not both.", "items": { "type": "string" } }, "subscription": { "type": "string", "description": "Next Index: 5 The name of the subscription from which messages are being pulled." }, "ackDeadlineSeconds": { "format": "int32", "description": "The new ack deadline with respect to the time this request was sent to the Pub/Sub system. Must be \u003e= 0. For example, if the value is 10, the new ack deadline will expire 10 seconds after the ModifyAckDeadline call was made. Specifying zero may immediately make the message available for another pull request.", "type": "integer" }, "ackId": { "type": "string", "description": "The acknowledgment ID. Either this or ack_ids must be populated, not both." } } }, "Topic": { "id": "Topic", "description": "A topic resource.", "type": "object", "properties": { "name": { "description": "Name of the topic.", "type": "string" } } }, "Empty": { "description": "An empty message that you can re-use to avoid defining duplicated empty messages in your project. A typical example is to use it as argument or the return value of a service API. For instance: service Foo { rpc Bar (proto2.Empty) returns (proto2.Empty) { }; }; BEGIN GOOGLE-INTERNAL The difference between this one and net/rpc/empty-message.proto is that 1) The generated message here is in proto2 C++ API. 2) The proto2.Empty has minimum dependencies (no message_set or net/rpc dependencies) END GOOGLE-INTERNAL", "properties": {}, "id": "Empty", "type": "object" }, "PullBatchResponse": { "id": "PullBatchResponse", "description": "Response for the PullBatch method.", "properties": { "pullResponses": { "type": "array", "items": { "$ref": "PullResponse" }, "description": "Received Pub/Sub messages or status events. The Pub/Sub system will return zero messages if there are no more messages available in the backlog. The Pub/Sub system may return fewer than the max_events requested even if there are more messages available in the backlog." } }, "type": "object" }, "PullResponse": { "type": "object", "properties": { "ackId": { "type": "string", "description": "This ID must be used to acknowledge the received event or message." }, "pubsubEvent": { "description": "A pubsub message or truncation event.", "$ref": "PubsubEvent" } }, "description": "Either a PubsubMessage or a truncation event. One of these two must be populated.", "id": "PullResponse" }, "AcknowledgeRequest": { "description": "Request for the Acknowledge method.", "id": "AcknowledgeRequest", "type": "object", "properties": { "subscription": { "description": "The subscription whose message is being acknowledged.", "type": "string" }, "ackId": { "type": "array", "description": "The acknowledgment ID for the message being acknowledged. This was returned by the Pub/Sub system in the Pull response.", "items": { "type": "string" } } } }, "PushConfig": { "properties": { "pushEndpoint": { "type": "string", "description": "A URL locating the endpoint to which messages should be pushed. For example, a Webhook endpoint might use \"https://example.com/push\"." } }, "description": "Configuration for a push delivery endpoint.", "type": "object", "id": "PushConfig" }, "PullBatchRequest": { "properties": { "returnImmediately": { "description": "If this is specified as true the system will respond immediately even if it is not able to return a message in the Pull response. Otherwise the system is allowed to wait until at least one message is available rather than returning no messages. The client may cancel the request if it does not wish to wait any longer for the response.", "type": "boolean" }, "subscription": { "type": "string", "description": "The subscription from which messages should be pulled." }, "maxEvents": { "type": "integer", "format": "int32", "description": "The maximum number of PubsubEvents returned for this request. The Pub/Sub system may return fewer than the number of events specified." } }, "description": "Request for the PullBatch method.", "type": "object", "id": "PullBatchRequest" }, "ModifyPushConfigRequest": { "properties": { "subscription": { "description": "The name of the subscription.", "type": "string" }, "pushConfig": { "$ref": "PushConfig", "description": "An empty push_config indicates that the Pub/Sub system should pause pushing messages from the given subscription." } }, "description": "Request for the ModifyPushConfig method.", "type": "object", "id": "ModifyPushConfigRequest" }, "ListSubscriptionsResponse": { "type": "object", "description": "Response for the ListSubscriptions method.", "properties": { "nextPageToken": { "type": "string", "description": "If not empty, indicates that there are more subscriptions that match the request and this value should be passed to the next ListSubscriptionsRequest to continue." }, "subscription": { "description": "The subscriptions that match the request.", "type": "array", "items": { "$ref": "Subscription" } } }, "id": "ListSubscriptionsResponse" }, "PubsubEvent": { "description": "An event indicating a received message or truncation event.", "type": "object", "properties": { "deleted": { "description": "Indicates that this subscription has been deleted. (Note that pull subscribers will always receive NOT_FOUND in response in their pull request on the subscription, rather than seeing this boolean.)", "type": "boolean" }, "message": { "$ref": "PubsubMessage", "description": "A received message." }, "truncated": { "description": "Indicates that this subscription has been truncated.", "type": "boolean" }, "subscription": { "description": "The subscription that received the event.", "type": "string" } }, "id": "PubsubEvent" }, "ListTopicsResponse": { "properties": { "topic": { "items": { "$ref": "Topic" }, "description": "The resulting topics.", "type": "array" }, "nextPageToken": { "type": "string", "description": "If not empty, indicates that there are more topics that match the request, and this value should be passed to the next ListTopicsRequest to continue." } }, "description": "Response for the ListTopics method.", "id": "ListTopicsResponse", "type": "object" }, "PublishRequest": { "description": "Request for the Publish method.", "type": "object", "properties": { "message": { "$ref": "PubsubMessage", "description": "The message to publish." }, "topic": { "type": "string", "description": "The message in the request will be published on this topic." } }, "id": "PublishRequest" }, "PublishBatchRequest": { "id": "PublishBatchRequest", "type": "object", "description": "Request for the PublishBatch method.", "properties": { "messages": { "description": "The messages to publish.", "items": { "$ref": "PubsubMessage" }, "type": "array" }, "topic": { "type": "string", "description": "The messages in the request will be published on this topic." } } }, "Label": { "type": "object", "properties": { "strValue": { "description": "A string value.", "type": "string" }, "numValue": { "description": "An integer value.", "format": "int64", "type": "string" }, "key": { "description": "The key of a label is a syntactically valid URL (as per RFC 1738) with the \"scheme\" and initial slashes omitted and with the additional restrictions noted below. Each key should be globally unique. The \"host\" portion is called the \"namespace\" and is not necessarily resolvable to a network endpoint. Instead, the namespace indicates what system or entity defines the semantics of the label. Namespaces do not restrict the set of objects to which a label may be associated. Keys are defined by the following grammar: key = hostname \"/\" kpath kpath = ksegment *[ \"/\" ksegment ] ksegment = alphadigit | *[ alphadigit | \"-\" | \"_\" | \".\" ] where \"hostname\" and \"alphadigit\" are defined as in RFC 1738. Example key: spanner.google.com/universe", "type": "string" } }, "description": "A key-value pair applied to a given object.", "id": "Label" }, "PublishBatchResponse": { "properties": { "messageIds": { "description": "The server-assigned ID of each published message, in the same order as the messages in the request. IDs are guaranteed to be unique within the topic.", "type": "array", "items": { "type": "string" } } }, "description": "Response for the PublishBatch method.", "id": "PublishBatchResponse", "type": "object" }, "PubsubMessage": { "id": "PubsubMessage", "type": "object", "description": "A message data and its labels.", "properties": { "publishTime": { "type": "string", "format": "int64", "description": "The time at which the message was published. The time is milliseconds since the UNIX epoch." }, "messageId": { "type": "string", "description": "ID of this message assigned by the server at publication time. Guaranteed to be unique within the topic. This value may be read by a subscriber that receives a PubsubMessage via a Pull call or a push delivery. It must not be populated by a publisher in a Publish call." }, "data": { "type": "string", "format": "byte", "description": "The message payload." }, "label": { "description": "Optional list of labels for this message. Keys in this collection must be unique.", "type": "array", "items": { "$ref": "Label" } } } } }, "baseUrl": "https://pubsub.googleapis.com/", "parameters": { "prettyPrint": { "description": "Returns response with indentations and line breaks.", "location": "query", "default": "true", "type": "boolean" }, "access_token": { "description": "OAuth access token.", "location": "query", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "location": "query", "enum": [ "1", "2" ], "type": "string" }, "key": { "type": "string", "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token." }, "uploadType": { "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\").", "type": "string", "location": "query" }, "alt": { "description": "Data format for response.", "default": "json", "type": "string", "location": "query", "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ] }, "quotaUser": { "type": "string", "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters." }, "callback": { "location": "query", "description": "JSONP", "type": "string" }, "fields": { "type": "string", "description": "Selector specifying which fields to include in a partial response.", "location": "query" }, "upload_protocol": { "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\").", "type": "string" } }, "discoveryVersion": "v1", "ownerName": "Google", "revision": "20220628", "version": "v1beta1a", "kind": "discovery#restDescription", "rootUrl": "https://pubsub.googleapis.com/" }
]===]))
