local decode = require("cjson").new().decode
return assert(decode([===[
{ "basePath": "", "schemas": { "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupMembershipsResponse": { "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupMembershipsResponse", "description": "The response to a `ListRelatedAccountGroupMemberships` call.", "properties": { "relatedAccountGroupMemberships": { "description": "The memberships listed by the query.", "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroupMembership" }, "type": "array" }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } } }, "GoogleCloudRecaptchaenterpriseV1Event": { "id": "GoogleCloudRecaptchaenterpriseV1Event", "properties": { "userAgent": { "type": "string", "description": "Optional. The user agent present in the request from the user's device related to this event." }, "userIpAddress": { "description": "Optional. The IP address in the request from the user's device related to this event.", "type": "string" }, "token": { "type": "string", "description": "Optional. The user response token provided by the reCAPTCHA client-side integration on your site." }, "hashedAccountId": { "description": "Optional. Optional unique stable hashed user identifier for the request. The identifier should ideally be hashed using sha256 with stable secret.", "format": "byte", "type": "string" }, "siteKey": { "type": "string", "description": "Optional. The site key that was used to invoke reCAPTCHA on your site and generate the token." }, "expectedAction": { "description": "Optional. The expected action for this type of event. This should be the same action provided at token generation time on client-side platforms already integrated with recaptcha enterprise.", "type": "string" } }, "type": "object" }, "GoogleCloudRecaptchaenterpriseV1WebKeySettings": { "id": "GoogleCloudRecaptchaenterpriseV1WebKeySettings", "properties": { "integrationType": { "enumDescriptions": [ "Default type that indicates this enum hasn't been specified. This is not a valid IntegrationType, one of the other types must be specified instead.", "Only used to produce scores. It doesn't display the \"I'm not a robot\" checkbox and never shows captcha challenges.", "Displays the \"I'm not a robot\" checkbox and may show captcha challenges after it is checked.", "Doesn't display the \"I'm not a robot\" checkbox, but may show captcha challenges after risk analysis." ], "type": "string", "description": "Required. Describes how this key is integrated with the website.", "enum": [ "INTEGRATION_TYPE_UNSPECIFIED", "SCORE", "CHECKBOX", "INVISIBLE" ] }, "challengeSecurityPreference": { "enum": [ "CHALLENGE_SECURITY_PREFERENCE_UNSPECIFIED", "USABILITY", "BALANCE", "SECURITY" ], "description": "Settings for the frequency and difficulty at which this key triggers captcha challenges. This should only be specified for IntegrationTypes CHECKBOX and INVISIBLE.", "enumDescriptions": [ "Default type that indicates this enum hasn't been specified.", "Key tends to show fewer and easier challenges.", "Key tends to show balanced (in amount and difficulty) challenges.", "Key tends to show more and harder challenges." ], "type": "string" }, "allowAllDomains": { "description": "If set to true, it means allowed_domains will not be enforced.", "type": "boolean" }, "allowAmpTraffic": { "description": "If set to true, the key can be used on AMP (Accelerated Mobile Pages) websites. This is supported only for the SCORE integration type.", "type": "boolean" }, "allowedDomains": { "type": "array", "items": { "type": "string" }, "description": "Domains or subdomains of websites allowed to use the key. All subdomains of an allowed domain are automatically allowed. A valid domain requires a host and must not include any path, port, query or fragment. Examples: 'example.com' or 'subdomain.example.com'" } }, "description": "Settings specific to keys that can be used by websites.", "type": "object" }, "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroupMembership": { "description": "A membership in a group of related accounts.", "id": "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroupMembership", "properties": { "name": { "description": "Required. The resource name for this membership in the format `projects/{project}/relatedaccountgroups/{relatedaccountgroup}/memberships/{membership}`.", "type": "string" }, "hashedAccountId": { "format": "byte", "type": "string", "description": "The unique stable hashed user identifier of the member. The identifier corresponds to a `hashed_account_id` provided in a previous CreateAssessment or AnnotateAssessment call." } }, "type": "object" }, "GoogleCloudRecaptchaenterpriseV1Assessment": { "type": "object", "description": "A recaptcha assessment resource.", "id": "GoogleCloudRecaptchaenterpriseV1Assessment", "properties": { "name": { "description": "Output only. The resource name for the Assessment in the format \"projects/{project}/assessments/{assessment}\".", "type": "string", "readOnly": true }, "accountDefenderAssessment": { "description": "Assessment returned by Account Defender when a hashed_account_id is provided.", "$ref": "GoogleCloudRecaptchaenterpriseV1AccountDefenderAssessment" }, "event": { "description": "The event being assessed.", "$ref": "GoogleCloudRecaptchaenterpriseV1Event" }, "tokenProperties": { "$ref": "GoogleCloudRecaptchaenterpriseV1TokenProperties", "description": "Output only. Properties of the provided event token.", "readOnly": true }, "privatePasswordLeakVerification": { "$ref": "GoogleCloudRecaptchaenterpriseV1PrivatePasswordLeakVerification", "description": "The private password leak verification field contains the parameters used to check for leaks privately without sharing user credentials." }, "riskAnalysis": { "readOnly": true, "description": "Output only. The risk analysis result for the event being assessed.", "$ref": "GoogleCloudRecaptchaenterpriseV1RiskAnalysis" } } }, "GoogleCloudRecaptchaenterpriseV1ListKeysResponse": { "description": "Response to request to list keys in a project.", "properties": { "keys": { "type": "array", "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "description": "Key details." }, "nextPageToken": { "description": "Token to retrieve the next page of results. It is set to empty if no keys remain in results.", "type": "string" } }, "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1ListKeysResponse" }, "GoogleCloudRecaptchaenterpriseV1IOSKeySettings": { "id": "GoogleCloudRecaptchaenterpriseV1IOSKeySettings", "description": "Settings specific to keys that can be used by iOS apps.", "type": "object", "properties": { "allowedBundleIds": { "items": { "type": "string" }, "type": "array", "description": "iOS bundle ids of apps allowed to use the key. Example: 'com.companyname.productname.appname'" }, "allowAllBundleIds": { "description": "If set to true, allowed_bundle_ids are not enforced.", "type": "boolean" } } }, "GoogleCloudRecaptchaenterpriseV1TestingOptions": { "properties": { "testingChallenge": { "type": "string", "enum": [ "TESTING_CHALLENGE_UNSPECIFIED", "NOCAPTCHA", "UNSOLVABLE_CHALLENGE" ], "description": "For challenge-based keys only (CHECKBOX, INVISIBLE), all challenge requests for this site will return nocaptcha if NOCAPTCHA, or an unsolvable challenge if CHALLENGE.", "enumDescriptions": [ "Perform the normal risk analysis and return either nocaptcha or a challenge depending on risk and trust factors.", "Challenge requests for this key always return a nocaptcha, which does not require a solution.", "Challenge requests for this key always return an unsolvable challenge." ] }, "testingScore": { "type": "number", "description": "All assessments for this Key will return this score. Must be between 0 (likely not legitimate) and 1 (likely legitimate) inclusive.", "format": "float" } }, "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1TestingOptions", "description": "Options for user acceptance testing." }, "GoogleCloudRecaptchaenterpriseV1RetrieveLegacySecretKeyResponse": { "properties": { "legacySecretKey": { "type": "string", "description": "The secret key (also known as shared secret) authorizes communication between your application backend and the reCAPTCHA Enterprise server to create an assessment. The secret key needs to be kept safe for security purposes." } }, "description": "Secret key used in legacy reCAPTCHA only. Should be used when integrating with a 3rd party which is still using legacy reCAPTCHA.", "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1RetrieveLegacySecretKeyResponse" }, "GoogleProtobufEmpty": { "properties": {}, "type": "object", "description": "A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }", "id": "GoogleProtobufEmpty" }, "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsRequest": { "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsRequest", "description": "The request message to search related account group memberships.", "properties": { "pageToken": { "type": "string", "description": "Optional. A page token, received from a previous `SearchRelatedAccountGroupMemberships` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `SearchRelatedAccountGroupMemberships` must match the call that provided the page token." }, "hashedAccountId": { "type": "string", "format": "byte", "description": "Optional. The unique stable hashed user identifier we should search connections to. The identifier should correspond to a `hashed_account_id` provided in a previous CreateAssessment or AnnotateAssessment call." }, "pageSize": { "format": "int32", "type": "integer", "description": "Optional. The maximum number of groups to return. The service may return fewer than this value. If unspecified, at most 50 groups will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000." } } }, "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsResponse": { "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsResponse", "description": "The response to a `SearchRelatedAccountGroupMemberships` call.", "properties": { "relatedAccountGroupMemberships": { "description": "The queried memberships.", "type": "array", "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroupMembership" } }, "nextPageToken": { "type": "string", "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages." } } }, "GoogleCloudRecaptchaenterpriseV1TokenProperties": { "properties": { "invalidReason": { "description": "Reason associated with the response when valid = false.", "type": "string", "enum": [ "INVALID_REASON_UNSPECIFIED", "UNKNOWN_INVALID_REASON", "MALFORMED", "EXPIRED", "DUPE", "MISSING", "BROWSER_ERROR" ], "enumDescriptions": [ "Default unspecified type.", "If the failure reason was not accounted for.", "The provided user verification token was malformed.", "The user verification token had expired.", "The user verification had already been seen.", "The user verification token was not present.", "A retriable error (such as network failure) occurred on the browser. Could easily be simulated by an attacker." ] }, "createTime": { "type": "string", "description": "The timestamp corresponding to the generation of the token.", "format": "google-datetime" }, "valid": { "type": "boolean", "description": "Whether the provided user response token is valid. When valid = false, the reason could be specified in invalid_reason or it could also be due to a user failing to solve a challenge or a sitekey mismatch (i.e the sitekey used to generate the token was different than the one specified in the assessment)." }, "action": { "type": "string", "description": "Action name provided at token generation." }, "hostname": { "description": "The hostname of the page on which the token was generated.", "type": "string" } }, "id": "GoogleCloudRecaptchaenterpriseV1TokenProperties", "type": "object" }, "GoogleCloudRecaptchaenterpriseV1ScoreDistribution": { "id": "GoogleCloudRecaptchaenterpriseV1ScoreDistribution", "description": "Score distribution.", "properties": { "scoreBuckets": { "type": "object", "additionalProperties": { "format": "int64", "type": "string" }, "description": "Map key is score value multiplied by 100. The scores are discrete values between [0, 1]. The maximum number of buckets is on order of a few dozen, but typically much lower (ie. 10)." } }, "type": "object" }, "GoogleCloudRecaptchaenterpriseV1WafSettings": { "id": "GoogleCloudRecaptchaenterpriseV1WafSettings", "properties": { "wafFeature": { "description": "Required. The WAF feature for which this key is enabled.", "enum": [ "WAF_FEATURE_UNSPECIFIED", "CHALLENGE_PAGE", "SESSION_TOKEN", "ACTION_TOKEN" ], "enumDescriptions": [ "Undefined feature.", "Redirects suspicious traffic to reCAPTCHA.", "Use reCAPTCHA session-tokens to protect the whole user session on the site's domain.", "Use reCAPTCHA action-tokens to protect user actions." ], "type": "string" }, "wafService": { "enum": [ "WAF_SERVICE_UNSPECIFIED", "CA" ], "enumDescriptions": [ "Undefined WAF", "Cloud Armor" ], "type": "string", "description": "Required. The WAF service that uses this key." } }, "description": "Settings specific to keys that can be used for WAF (Web Application Firewall).", "type": "object" }, "GoogleCloudRecaptchaenterpriseV1Metrics": { "id": "GoogleCloudRecaptchaenterpriseV1Metrics", "properties": { "scoreMetrics": { "description": "Metrics will be continuous and in order by dates, and in the granularity of day. All Key types should have score-based data.", "type": "array", "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1ScoreMetrics" } }, "challengeMetrics": { "description": "Metrics will be continuous and in order by dates, and in the granularity of day. Only challenge-based keys (CHECKBOX, INVISIBLE), will have challenge-based data.", "type": "array", "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1ChallengeMetrics" } }, "startTime": { "type": "string", "description": "Inclusive start time aligned to a day (UTC).", "format": "google-datetime" }, "name": { "type": "string", "description": "Output only. The name of the metrics, in the format \"projects/{project}/keys/{key}/metrics\".", "readOnly": true } }, "description": "Metrics for a single Key.", "type": "object" }, "GoogleCloudRecaptchaenterpriseV1AndroidKeySettings": { "properties": { "allowedPackageNames": { "type": "array", "items": { "type": "string" }, "description": "Android package names of apps allowed to use the key. Example: 'com.companyname.appname'" }, "allowAllPackageNames": { "type": "boolean", "description": "If set to true, allowed_package_names are not enforced." } }, "type": "object", "description": "Settings specific to keys that can be used by Android apps.", "id": "GoogleCloudRecaptchaenterpriseV1AndroidKeySettings" }, "GoogleCloudRecaptchaenterpriseV1RiskAnalysis": { "id": "GoogleCloudRecaptchaenterpriseV1RiskAnalysis", "type": "object", "properties": { "score": { "type": "number", "description": "Legitimate event score from 0.0 to 1.0. (1.0 means very likely legitimate traffic while 0.0 means very likely non-legitimate traffic).", "format": "float" }, "reasons": { "type": "array", "description": "Reasons contributing to the risk analysis verdict.", "items": { "enumDescriptions": [ "Default unspecified type.", "Interactions matched the behavior of an automated agent.", "The event originated from an illegitimate environment.", "Traffic volume from the event source is higher than normal.", "Interactions with the site were significantly different than expected patterns.", "Too little traffic has been received from this site thus far to generate quality risk analysis." ], "enum": [ "CLASSIFICATION_REASON_UNSPECIFIED", "AUTOMATION", "UNEXPECTED_ENVIRONMENT", "TOO_MUCH_TRAFFIC", "UNEXPECTED_USAGE_PATTERNS", "LOW_CONFIDENCE_SCORE" ], "type": "string" } } }, "description": "Risk analysis result for an event." }, "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroup": { "id": "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroup", "description": "A group of related accounts.", "type": "object", "properties": { "name": { "description": "Required. The resource name for the related account group in the format `projects/{project}/relatedaccountgroups/{related_account_group}`.", "type": "string" } } }, "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupsResponse": { "type": "object", "description": "The response to a `ListRelatedAccountGroups` call.", "id": "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupsResponse", "properties": { "relatedAccountGroups": { "items": { "$ref": "GoogleCloudRecaptchaenterpriseV1RelatedAccountGroup" }, "type": "array", "description": "The groups of related accounts listed by the query." }, "nextPageToken": { "description": "A token, which can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.", "type": "string" } } }, "GoogleCloudRecaptchaenterpriseV1Key": { "id": "GoogleCloudRecaptchaenterpriseV1Key", "description": "A key used to identify and configure applications (web and/or mobile) that use reCAPTCHA Enterprise.", "type": "object", "properties": { "iosSettings": { "$ref": "GoogleCloudRecaptchaenterpriseV1IOSKeySettings", "description": "Settings for keys that can be used by iOS apps." }, "displayName": { "description": "Human-readable display name of this key. Modifiable by user.", "type": "string" }, "createTime": { "type": "string", "format": "google-datetime", "description": "The timestamp corresponding to the creation of this Key." }, "testingOptions": { "$ref": "GoogleCloudRecaptchaenterpriseV1TestingOptions", "description": "Options for user acceptance testing." }, "labels": { "type": "object", "additionalProperties": { "type": "string" }, "description": "See Creating and managing labels." }, "wafSettings": { "description": "Settings for WAF", "$ref": "GoogleCloudRecaptchaenterpriseV1WafSettings" }, "name": { "type": "string", "description": "The resource name for the Key in the format \"projects/{project}/keys/{key}\"." }, "androidSettings": { "description": "Settings for keys that can be used by Android apps.", "$ref": "GoogleCloudRecaptchaenterpriseV1AndroidKeySettings" }, "webSettings": { "description": "Settings for keys that can be used by websites.", "$ref": "GoogleCloudRecaptchaenterpriseV1WebKeySettings" } } }, "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentRequest": { "id": "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentRequest", "description": "The request message to annotate an Assessment.", "properties": { "annotation": { "enumDescriptions": [ "Default unspecified type.", "Provides information that the event turned out to be legitimate.", "Provides information that the event turned out to be fraudulent.", "Provides information that the event was related to a login event in which the user typed the correct password. Deprecated, prefer indicating CORRECT_PASSWORD through the reasons field instead.", "Provides information that the event was related to a login event in which the user typed the incorrect password. Deprecated, prefer indicating INCORRECT_PASSWORD through the reasons field instead." ], "type": "string", "enum": [ "ANNOTATION_UNSPECIFIED", "LEGITIMATE", "FRAUDULENT", "PASSWORD_CORRECT", "PASSWORD_INCORRECT" ], "description": "Optional. The annotation that will be assigned to the Event. This field can be left empty to provide reasons that apply to an event without concluding whether the event is legitimate or fraudulent." }, "hashedAccountId": { "type": "string", "description": "Optional. Optional unique stable hashed user identifier to apply to the assessment. This is an alternative to setting the hashed_account_id in CreateAssessment, for example when the account identifier is not yet known in the initial request. It is recommended that the identifier is hashed using hmac-sha256 with stable secret.", "format": "byte" }, "reasons": { "description": "Optional. Optional reasons for the annotation that will be assigned to the Event.", "type": "array", "items": { "enum": [ "REASON_UNSPECIFIED", "CHARGEBACK", "CHARGEBACK_FRAUD", "CHARGEBACK_DISPUTE", "PAYMENT_HEURISTICS", "INITIATED_TWO_FACTOR", "PASSED_TWO_FACTOR", "FAILED_TWO_FACTOR", "CORRECT_PASSWORD", "INCORRECT_PASSWORD" ], "type": "string", "enumDescriptions": [ "Default unspecified reason.", "Indicates a chargeback issued for the transaction with no other details. When possible, specify the type by using CHARGEBACK_FRAUD or CHARGEBACK_DISPUTE instead.", "Indicates a chargeback related to an alleged unauthorized transaction from the cardholder's perspective (for example, the card number was stolen).", "Indicates a chargeback related to the cardholder having provided their card details but allegedly not being satisfied with the purchase (for example, misrepresentation, attempted cancellation).", "Indicates the transaction associated with the assessment is suspected of being fraudulent based on the payment method, billing details, shipping address or other transaction information.", "Indicates that the user was served a 2FA challenge. An old assessment with `ENUM_VALUES.INITIATED_TWO_FACTOR` reason that has not been overwritten with `PASSED_TWO_FACTOR` is treated as an abandoned 2FA flow. This is equivalent to `FAILED_TWO_FACTOR`.", "Indicates that the user passed a 2FA challenge.", "Indicates that the user failed a 2FA challenge.", "Indicates the user provided the correct password.", "Indicates the user provided an incorrect password." ] } } }, "type": "object" }, "GoogleCloudRecaptchaenterpriseV1PrivatePasswordLeakVerification": { "properties": { "encryptedLeakMatchPrefixes": { "type": "array", "items": { "type": "string", "format": "byte" }, "readOnly": true, "description": "Output only. List of prefixes of the encrypted potential password leaks that matched the given parameters. They should be compared with the client-side decryption prefix of `reencrypted_user_credentials_hash`" }, "encryptedUserCredentialsHash": { "format": "byte", "description": "Optional. Encrypted Scrypt hash of the canonicalized username+password. It is re-encrypted by the server and returned through `reencrypted_user_credentials_hash`.", "type": "string" }, "reencryptedUserCredentialsHash": { "readOnly": true, "description": "Output only. Corresponds to the re-encryption of the `encrypted_user_credentials_hash` field. Used to match potential password leaks within `encrypted_leak_match_prefixes`.", "type": "string", "format": "byte" }, "lookupHashPrefix": { "type": "string", "description": "Optional. Exactly 26-bit prefix of the SHA-256 hash of the canonicalized username. It is used to look up password leaks associated with that hash prefix.", "format": "byte" } }, "description": "Private password leak verification info.", "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1PrivatePasswordLeakVerification" }, "GoogleCloudRecaptchaenterpriseV1MigrateKeyRequest": { "id": "GoogleCloudRecaptchaenterpriseV1MigrateKeyRequest", "properties": {}, "type": "object", "description": "The migrate key request message." }, "GoogleCloudRecaptchaenterpriseV1ScoreMetrics": { "properties": { "overallMetrics": { "description": "Aggregated score metrics for all traffic.", "$ref": "GoogleCloudRecaptchaenterpriseV1ScoreDistribution" }, "actionMetrics": { "additionalProperties": { "$ref": "GoogleCloudRecaptchaenterpriseV1ScoreDistribution" }, "type": "object", "description": "Action-based metrics. The map key is the action name which specified by the site owners at time of the \"execute\" client-side call. Populated only for SCORE keys." } }, "id": "GoogleCloudRecaptchaenterpriseV1ScoreMetrics", "type": "object", "description": "Metrics related to scoring." }, "GoogleCloudRecaptchaenterpriseV1ChallengeMetrics": { "type": "object", "properties": { "pageloadCount": { "description": "Count of reCAPTCHA checkboxes or badges rendered. This is mostly equivalent to a count of pageloads for pages that include reCAPTCHA.", "format": "int64", "type": "string" }, "passedCount": { "type": "string", "format": "int64", "description": "Count of nocaptchas (successful verification without a challenge) plus submitted challenge solutions that were correct and resulted in verification." }, "nocaptchaCount": { "format": "int64", "description": "Count of nocaptchas (successful verification without a challenge) issued.", "type": "string" }, "failedCount": { "description": "Count of submitted challenge solutions that were incorrect or otherwise deemed suspicious such that a subsequent challenge was triggered.", "format": "int64", "type": "string" } }, "description": "Metrics related to challenges.", "id": "GoogleCloudRecaptchaenterpriseV1ChallengeMetrics" }, "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentResponse": { "type": "object", "id": "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentResponse", "properties": {}, "description": "Empty response for AnnotateAssessment." }, "GoogleCloudRecaptchaenterpriseV1AccountDefenderAssessment": { "description": "Account Defender risk assessment.", "type": "object", "properties": { "labels": { "description": "Labels for this request.", "items": { "enumDescriptions": [ "Default unspecified type.", "The request matches a known good profile for the user.", "The request is potentially a suspicious login event and should be further verified either via multi-factor authentication or another system.", "The request matched a profile that previously had suspicious account creation behavior. This could mean this is a fake account.", "The account in the request has a high number of related accounts. It does not necessarily imply that the account is bad but could require investigating." ], "type": "string", "enum": [ "ACCOUNT_DEFENDER_LABEL_UNSPECIFIED", "PROFILE_MATCH", "SUSPICIOUS_LOGIN_ACTIVITY", "SUSPICIOUS_ACCOUNT_CREATION", "RELATED_ACCOUNTS_NUMBER_HIGH" ] }, "type": "array" } }, "id": "GoogleCloudRecaptchaenterpriseV1AccountDefenderAssessment" } }, "id": "recaptchaenterprise:v1", "title": "reCAPTCHA Enterprise API", "kind": "discovery#restDescription", "revision": "20220701", "name": "recaptchaenterprise", "baseUrl": "https://recaptchaenterprise.googleapis.com/", "version_module": true, "canonicalName": "Recaptcha Enterprise", "ownerDomain": "google.com", "version": "v1", "description": "", "icons": { "x32": "http://www.google.com/images/icons/product/search-32.gif", "x16": "http://www.google.com/images/icons/product/search-16.gif" }, "discoveryVersion": "v1", "ownerName": "Google", "parameters": { "prettyPrint": { "default": "true", "type": "boolean", "location": "query", "description": "Returns response with indentations and line breaks." }, "access_token": { "location": "query", "description": "OAuth access token.", "type": "string" }, "oauth_token": { "location": "query", "type": "string", "description": "OAuth 2.0 token for the current user." }, "alt": { "enumDescriptions": [ "Responses with Content-Type of application/json", "Media download with context-dependent Content-Type", "Responses with Content-Type of application/x-protobuf" ], "enum": [ "json", "media", "proto" ], "default": "json", "description": "Data format for response.", "location": "query", "type": "string" }, "uploadType": { "location": "query", "type": "string", "description": "Legacy upload protocol for media (e.g. \"media\", \"multipart\")." }, "fields": { "description": "Selector specifying which fields to include in a partial response.", "type": "string", "location": "query" }, "quotaUser": { "location": "query", "description": "Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.", "type": "string" }, "upload_protocol": { "type": "string", "location": "query", "description": "Upload protocol for media (e.g. \"raw\", \"multipart\")." }, "callback": { "description": "JSONP", "type": "string", "location": "query" }, "key": { "location": "query", "description": "API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.", "type": "string" }, "$.xgafv": { "enumDescriptions": [ "v1 error format", "v2 error format" ], "description": "V1 error format.", "enum": [ "1", "2" ], "type": "string", "location": "query" } }, "protocol": "rest", "servicePath": "", "resources": { "projects": { "resources": { "relatedaccountgroups": { "methods": { "list": { "flatPath": "v1/projects/{projectsId}/relatedaccountgroups", "path": "v1/{+parent}/relatedaccountgroups", "parameters": { "pageSize": { "format": "int32", "description": "Optional. The maximum number of groups to return. The service may return fewer than this value. If unspecified, at most 50 groups will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "location": "query", "type": "integer" }, "parent": { "location": "path", "required": true, "description": "Required. The name of the project to list related account groups from, in the format \"projects/{project}\".", "type": "string", "pattern": "^projects/[^/]+$" }, "pageToken": { "description": "Optional. A page token, received from a previous `ListRelatedAccountGroups` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListRelatedAccountGroups` must match the call that provided the page token.", "type": "string", "location": "query" } }, "parameterOrder": [ "parent" ], "description": "List groups of related accounts.", "httpMethod": "GET", "id": "recaptchaenterprise.projects.relatedaccountgroups.list", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } }, "resources": { "memberships": { "methods": { "list": { "httpMethod": "GET", "parameters": { "parent": { "pattern": "^projects/[^/]+/relatedaccountgroups/[^/]+$", "description": "Required. The resource name for the related account group in the format `projects/{project}/relatedaccountgroups/{relatedaccountgroup}`.", "location": "path", "type": "string", "required": true }, "pageSize": { "description": "Optional. The maximum number of accounts to return. The service may return fewer than this value. If unspecified, at most 50 accounts will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.", "format": "int32", "type": "integer", "location": "query" }, "pageToken": { "type": "string", "location": "query", "description": "Optional. A page token, received from a previous `ListRelatedAccountGroupMemberships` call. When paginating, all other parameters provided to `ListRelatedAccountGroupMemberships` must match the call that provided the page token." } }, "parameterOrder": [ "parent" ], "id": "recaptchaenterprise.projects.relatedaccountgroups.memberships.list", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1ListRelatedAccountGroupMembershipsResponse" }, "description": "Get the memberships in a group of related accounts.", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/memberships", "flatPath": "v1/projects/{projectsId}/relatedaccountgroups/{relatedaccountgroupsId}/memberships" } } } } }, "keys": { "methods": { "retrieveLegacySecretKey": { "flatPath": "v1/projects/{projectsId}/keys/{keysId}:retrieveLegacySecretKey", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1RetrieveLegacySecretKeyResponse" }, "path": "v1/{+key}:retrieveLegacySecretKey", "id": "recaptchaenterprise.projects.keys.retrieveLegacySecretKey", "parameterOrder": [ "key" ], "httpMethod": "GET", "description": "Returns the secret key related to the specified public key. You should use the legacy secret key only if you are integrating with a 3rd party using the legacy reCAPTCHA instead of reCAPTCHA Enterprise.", "parameters": { "key": { "pattern": "^projects/[^/]+/keys/[^/]+$", "type": "string", "location": "path", "description": "Required. The public key name linked to the requested secret key , in the format \"projects/{project}/keys/{key}\".", "required": true } }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] }, "list": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recaptchaenterprise.projects.keys.list", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1ListKeysResponse" }, "description": "Returns the list of all keys that belong to a project.", "path": "v1/{+parent}/keys", "httpMethod": "GET", "flatPath": "v1/projects/{projectsId}/keys", "parameterOrder": [ "parent" ], "parameters": { "pageSize": { "location": "query", "type": "integer", "description": "Optional. The maximum number of keys to return. Default is 10. Max limit is 1000.", "format": "int32" }, "pageToken": { "description": "Optional. The next_page_token value returned from a previous. ListKeysRequest, if any.", "location": "query", "type": "string" }, "parent": { "pattern": "^projects/[^/]+$", "required": true, "type": "string", "description": "Required. The name of the project that contains the keys that will be listed, in the format \"projects/{project}\".", "location": "path" } } }, "patch": { "flatPath": "v1/projects/{projectsId}/keys/{keysId}", "path": "v1/{+name}", "description": "Updates the specified key.", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "parameterOrder": [ "name" ], "id": "recaptchaenterprise.projects.keys.patch", "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "httpMethod": "PATCH", "parameters": { "updateMask": { "description": "Optional. The mask to control which fields of the key get updated. If the mask is not present, all fields will be updated.", "location": "query", "type": "string", "format": "google-fieldmask" }, "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/keys/[^/]+$", "type": "string", "description": "The resource name for the Key in the format \"projects/{project}/keys/{key}\"." } } }, "delete": { "parameters": { "name": { "pattern": "^projects/[^/]+/keys/[^/]+$", "type": "string", "description": "Required. The name of the key to be deleted, in the format \"projects/{project}/keys/{key}\".", "location": "path", "required": true } }, "path": "v1/{+name}", "parameterOrder": [ "name" ], "httpMethod": "DELETE", "flatPath": "v1/projects/{projectsId}/keys/{keysId}", "description": "Deletes the specified key.", "response": { "$ref": "GoogleProtobufEmpty" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recaptchaenterprise.projects.keys.delete" }, "migrate": { "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "parameterOrder": [ "name" ], "path": "v1/{+name}:migrate", "httpMethod": "POST", "description": "Migrates an existing key from reCAPTCHA to reCAPTCHA Enterprise. Once a key is migrated, it can be used from either product. SiteVerify requests are billed as CreateAssessment calls. You must be authenticated as one of the current owners of the reCAPTCHA Site Key, and your user must have the reCAPTCHA Enterprise Admin IAM role in the destination project.", "flatPath": "v1/projects/{projectsId}/keys/{keysId}:migrate", "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1MigrateKeyRequest" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "id": "recaptchaenterprise.projects.keys.migrate", "parameters": { "name": { "location": "path", "type": "string", "pattern": "^projects/[^/]+/keys/[^/]+$", "required": true, "description": "Required. The name of the key to be migrated, in the format \"projects/{project}/keys/{key}\"." } } }, "get": { "path": "v1/{+name}", "httpMethod": "GET", "parameterOrder": [ "name" ], "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "flatPath": "v1/projects/{projectsId}/keys/{keysId}", "description": "Returns the specified key.", "parameters": { "name": { "required": true, "location": "path", "pattern": "^projects/[^/]+/keys/[^/]+$", "type": "string", "description": "Required. The name of the requested key, in the format \"projects/{project}/keys/{key}\"." } }, "id": "recaptchaenterprise.projects.keys.get", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" } }, "getMetrics": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Metrics" }, "description": "Get some aggregated metrics for a Key. This data can be used to build dashboards.", "httpMethod": "GET", "id": "recaptchaenterprise.projects.keys.getMetrics", "parameterOrder": [ "name" ], "path": "v1/{+name}", "parameters": { "name": { "type": "string", "location": "path", "required": true, "pattern": "^projects/[^/]+/keys/[^/]+/metrics$", "description": "Required. The name of the requested metrics, in the format \"projects/{project}/keys/{key}/metrics\"." } }, "flatPath": "v1/projects/{projectsId}/keys/{keysId}/metrics" }, "create": { "httpMethod": "POST", "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "path": "v1/{+parent}/keys", "description": "Creates a new reCAPTCHA Enterprise key.", "id": "recaptchaenterprise.projects.keys.create", "parameters": { "parent": { "type": "string", "pattern": "^projects/[^/]+$", "location": "path", "required": true, "description": "Required. The name of the project in which the key will be created, in the format \"projects/{project}\"." } }, "flatPath": "v1/projects/{projectsId}/keys", "parameterOrder": [ "parent" ], "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1Key" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ] } } }, "relatedaccountgroupmemberships": { "methods": { "search": { "id": "recaptchaenterprise.projects.relatedaccountgroupmemberships.search", "httpMethod": "POST", "parameters": { "project": { "required": true, "location": "path", "description": "Required. The name of the project to search related account group memberships from, in the format \"projects/{project}\".", "pattern": "^projects/[^/]+$", "type": "string" } }, "path": "v1/{+project}/relatedaccountgroupmemberships:search", "flatPath": "v1/projects/{projectsId}/relatedaccountgroupmemberships:search", "parameterOrder": [ "project" ], "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsRequest" }, "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1SearchRelatedAccountGroupMembershipsResponse" }, "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "description": "Search group memberships related to a given account." } } }, "assessments": { "methods": { "create": { "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "path": "v1/{+parent}/assessments", "flatPath": "v1/projects/{projectsId}/assessments", "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1Assessment" }, "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1Assessment" }, "id": "recaptchaenterprise.projects.assessments.create", "description": "Creates an Assessment of the likelihood an event is legitimate.", "parameterOrder": [ "parent" ], "parameters": { "parent": { "location": "path", "type": "string", "required": true, "pattern": "^projects/[^/]+$", "description": "Required. The name of the project in which the assessment will be created, in the format \"projects/{project}\"." } }, "httpMethod": "POST" }, "annotate": { "parameterOrder": [ "name" ], "flatPath": "v1/projects/{projectsId}/assessments/{assessmentsId}:annotate", "httpMethod": "POST", "parameters": { "name": { "required": true, "pattern": "^projects/[^/]+/assessments/[^/]+$", "location": "path", "description": "Required. The resource name of the Assessment, in the format \"projects/{project}/assessments/{assessment}\".", "type": "string" } }, "description": "Annotates a previously created Assessment to provide additional information on whether the event turned out to be authentic or fraudulent.", "id": "recaptchaenterprise.projects.assessments.annotate", "path": "v1/{+name}:annotate", "scopes": [ "https://www.googleapis.com/auth/cloud-platform" ], "request": { "$ref": "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentRequest" }, "response": { "$ref": "GoogleCloudRecaptchaenterpriseV1AnnotateAssessmentResponse" } } } } } } }, "documentationLink": "https://cloud.google.com/recaptcha-enterprise/", "rootUrl": "https://recaptchaenterprise.googleapis.com/", "auth": { "oauth2": { "scopes": { "https://www.googleapis.com/auth/cloud-platform": { "description": "See, edit, configure, and delete your Google Cloud data and see the email address for your Google Account." } } } }, "fullyEncodeReservedExpansion": true, "mtlsRootUrl": "https://recaptchaenterprise.mtls.googleapis.com/", "batchPath": "batch" }
]===]))
